﻿Imports XCM
Imports XSP

''' ---------------------------------------------
''' <summary>
''' 死亡情報登録／参照
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MEN030F020

#Region "コンスタント"

#End Region

#Region "変数"

	Private updFlg As clsMENCOMMON.Enum_UpdFlg = clsMENCOMMON.Enum_UpdFlg.eInit		'更新フラグ
	Private cliCom As clsCom														'共通クラス
	Private cliMENCOMMON As clsMENCOMMON											'登録／参照　共通クラス
	Private DeathRecOld As datMTI_DEATH_PLUS_OneRec									'保存用新規死亡情報
	Private AControl As Control														'アクティブコントロール
	Private strDeathLctCd As String													'死亡場所コード
	Private strDeathLctNm As String													'死亡場所名

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pExeMode">処理モード</param>
	''' <param name="pPatientNo">患者番号</param>
	''' <param name="pHspHistoryNo">入退院歴番号</param>
	''' <param name="pChNo">科歴番号</param>
	''' <remarks>
	''' 2010/12/01 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal pExeMode As Enum_ExeMode, ByVal pPatientNo As String, ByVal pHspHistoryNo As Integer, ByVal pChNo As Integer)
		' この呼び出しは、Windows フォーム デザイナで必要です。
		MyBase.New()
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。
		Me.ExeMode = pExeMode					'処理モード
		Me.PatientNo = pPatientNo				'患者番号
		Me.HspHistoryNo = pHspHistoryNo			'入退院歴番号
		Me.ChNo = pChNo							'科歴番号
		Me.ClosingSkip = True					'終了時処理は継承元で実行しない
	End Sub

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' 画面ロード時イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/01 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN030F020_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
		If Me.DesignMode OrElse Me.LoadError Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.NRM, "MEN030F020_Load", "画面ロード時イベント")
		Dim cliCombo As clsComboCom
		Dim rows() As DataRow
		Dim dtHspDateTime As Date
		Dim strHspTime As String
		Dim tsHspTime As TimeSpan
		Dim dtDeathDateTime As Date
		Dim tsDeathTime As TimeSpan
		Dim resultDay As Long
		Dim resultTime As Long
		Dim slDeathDiv As SortedList
		Dim intFixedCd As Integer
		Try
			cliCom = New clsCom
			cliMENCOMMON = New clsMENCOMMON
			cliCombo = New clsComboCom
			slDeathDiv = New SortedList

			' 処理モード「参照」の場合
			If Me.ExeMode = Enum_ExeMode.eReference Then
				' 保存ボタンを非表示にする。
				Me.btn015MEN000F010.Visible = False
				' 全ての入力項目を参照モードにする。
				Me.dte006MEN030F020.CanInput = False
				Me.msk007MEN030F020.CanInput = False
				Me.cmb017MEN030F020.CanInput = False
				Me.cmb020MEN030F020.CanInput = False
				Me.cmb023MEN030F020.CanInput = False
				Me.txt026MEN030F020.CanInput = False
				Me.txt028MEN030F020.CanInput = False
			End If
			' コンボボックス設定
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				Me.cmb017MEN030F020.DataSource = cliCombo.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_DeathDiv)
				Me.cmb017MEN030F020.setDropDownWidth()
				Me.cmb020MEN030F020.DataSource = cliCombo.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_PostperativeDeceaseDiv)
				Me.cmb020MEN030F020.setDropDownWidth()
				Me.cmb023MEN030F020.DataSource = cliCombo.getCombo(db, clsComboCom.Enum_ComboType.Enum_X_Chk)
				Me.cmb023MEN030F020.setDropDownWidth()
				If Me.ExeMode = Enum_ExeMode.eEntry Then '登録モード
					Using dtDeathLct As DataTable = cliCombo.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_DeathLctXFix1)
						rows = dtDeathLct.Select(sqlComboCom.itmFIXED_CD & " = '" & clsConst.Enum_Decease_Lct_Fix1.Hsp & "'")
						If rows Is Nothing OrElse rows.Length = 0 Then
							' 固定コード（院内）に該当する死亡場所コードがない場合、エラーメッセージを出力し親画面に戻る
							Me.showMsg("E0009", "死亡場所マスタ", "マスタ保守", Nothing)
							' 画面終了
							Me.EndProc4Load()
							Exit Sub
						End If
						With rows(0)
							strDeathLctCd = .Item(sqlComboCom.itmDEATH_LCT_CD).ToString
							strDeathLctNm = .Item(sqlComboCom.itmDEATH_LCT_NM).ToString
						End With
					End Using
					Using dtDeathDiv As DataTable = cliCombo.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_DeathDiv)
						For Each row As DataRow In dtDeathDiv.Rows
							If Not Integer.TryParse(row(sqlComboCom.itmFIXED_CD).ToString, intFixedCd) Then
								Continue For
							End If
							Select Case intFixedCd
								Case clsConst.Enum_Decease_Div_Fix1.Arrival
									' 到着後
									If Not slDeathDiv.ContainsKey(clsConst.Enum_Decease_Div_Fix1.Arrival) Then
										slDeathDiv.Add(clsConst.Enum_Decease_Div_Fix1.Arrival, row(sqlComboCom.itmDEATH_DIV_CD).ToString)
									End If
								Case clsConst.Enum_Decease_Div_Fix1.WithIn24
									' ２４時間以内
									If Not slDeathDiv.ContainsKey(clsConst.Enum_Decease_Div_Fix1.WithIn24) Then
										slDeathDiv.Add(clsConst.Enum_Decease_Div_Fix1.WithIn24, row(sqlComboCom.itmDEATH_DIV_CD).ToString)
									End If
								Case clsConst.Enum_Decease_Div_Fix1.WithIn48
									' ４８時間以内
									If Not slDeathDiv.ContainsKey(clsConst.Enum_Decease_Div_Fix1.WithIn48) Then
										slDeathDiv.Add(clsConst.Enum_Decease_Div_Fix1.WithIn48, row(sqlComboCom.itmDEATH_DIV_CD).ToString)
									End If
								Case Else
							End Select
						Next
					End Using
				End If
			End Using

			' 新規の死亡情報の場合は、親画面より初期値を代入する
			If Me.DeathRec Is Nothing Then
				Me.DeathRec = New datMTI_DEATH_PLUS_OneRec
				If Me.ExeMode = Enum_ExeMode.eEntry Then '登録モード
					Me.updFlg = clsMENCOMMON.Enum_UpdFlg.eEmpty
					Me.DeathRec.PATIENT_NO = Me.PatientNo									'患者番号
					Me.DeathRec.DEATH_LCT_CD = strDeathLctCd								'死亡場所コード ← 固定コード（院内）の死亡場所コード
					Me.DeathRec.DEATH_LCT_NM = strDeathLctNm								'死亡場所名
					Me.DeathRec.DEATH_LCT_FIXED_CD = clsConst.Enum_Decease_Lct_Fix1.Hsp		'固定コード
				End If
			Else
				Me.DeathRecOld = Me.DeathRec.Copy
			End If
			If Me.ExeMode = Enum_ExeMode.eEntry Then '登録モード
				' 死亡日が未設定の場合は、親画面より初期値を代入する
				If Me.DeathRec.DEATH_DT.Equals(Nothing) Then
					Me.DeathRec.DEATH_DT = Me.ChRec.END_DT									'死亡日 ← 終了日
					Me.DeathRec.DEATH_TIME = Me.ChRec.END_TIME								'死亡時刻 ← 終了時刻
				End If
				' 死亡区分コードが未設定の場合は、死亡日より初期値を代入する
				If String.IsNullOrEmpty(Me.DeathRec.DEATH_DIV) Then
					Select Case True
						Case Me.ChRec.HSP_FLG = clsConst.Enum_CheckBox_Flg.CheckOn
							' 入院時は開始日より取得
							dtHspDateTime = Me.ChRec.START_DT
							strHspTime = Me.ChRec.START_TIME
						Case Me.HspRec IsNot Nothing
							' 入院時以外は入院日より取得
							dtHspDateTime = Me.HspRec.HSP_DT
							strHspTime = Me.HspRec.HSP_TIME
						Case Else
							dtHspDateTime = Nothing
							strHspTime = Nothing
					End Select
					Select Case False
						Case Not dtHspDateTime.Equals(Nothing) AndAlso Not Me.DeathRec.DEATH_DT.Equals(Nothing)
							' 入院日もしくは死亡日が未設定は処理しない
						Case TimeSpan.TryParse(strHspTime, tsHspTime) AndAlso TimeSpan.TryParse(Me.DeathRec.DEATH_TIME, tsDeathTime)
							' 入院時刻もしくは死亡時刻が未設定は日付のみ比較
							resultDay = DateDiff(DateInterval.Day, dtHspDateTime, Me.DeathRec.DEATH_DT)
							Select Case resultDay
								Case 0
									Me.DeathRec.DEATH_DIV = slDeathDiv(clsConst.Enum_Decease_Div_Fix1.WithIn24)
								Case 1
									Me.DeathRec.DEATH_DIV = slDeathDiv(clsConst.Enum_Decease_Div_Fix1.WithIn48)
								Case Else
							End Select
						Case Else
							' 入院日時と死亡日時を比較
							dtHspDateTime = dtHspDateTime.Add(tsHspTime)
							dtDeathDateTime = Me.DeathRec.DEATH_DT.Add(tsDeathTime)
							resultTime = DateDiff(DateInterval.Minute, dtHspDateTime, dtDeathDateTime)
							Select Case resultTime
								Case Is <= 24 * 60
									Me.DeathRec.DEATH_DIV = slDeathDiv(clsConst.Enum_Decease_Div_Fix1.WithIn24)
								Case Is <= 24 * 60 * 2
									Me.DeathRec.DEATH_DIV = slDeathDiv(clsConst.Enum_Decease_Div_Fix1.WithIn48)
								Case Else
							End Select
					End Select
				End If
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
			Me.EndProc4Load()
		Finally
			cliCombo = Nothing
			rows = Nothing
			slDeathDiv = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面オープン時イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/01 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN030F020_Shown(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Shown
		If Me.DesignMode OrElse Me.LoadError Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.NRM, "MEN030F020_Shown", "画面オープン時イベント")
		Try
			' 画面の再描画を行う。
			Me.repaint()
			' 登録モードなら死亡日にフォーカス。
			If Me.ExeMode = Enum_ExeMode.eEntry Then
				Me.dte006MEN030F020.Focus()
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
			Me.EndProc4Shown()
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面終了時イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/07 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN030F020_FormClosing(ByVal sender As System.Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles MyBase.FormClosing
		log(clsSysMst.logLevel.NRM, "MEN030F020_FormClosing", " 画面終了時イベント")
		Try
			' 画面途中でエラーの場合は処理しない
			If Me.LoadError OrElse e.Cancel Then
				Exit Try
			End If
			' 終了時処理
			Me.ClosingProc()
		Catch ex As Exception
			e.Cancel = True		'エラー時は画面を閉じない
			Me.ErrorProc(ex)
		Finally
			' 変数の解放は ClosedProc に記述する
			ClosedProc(e.Cancel)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 死亡日入力確定イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/01 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dte006MEN030F020_Validated(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles dte006MEN030F020.Validated
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "dte006MEN030F020_Validated", "死亡日入力確定イベント START")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "死亡日入力確定イベント START")
'(M) END V4-11023-000 004 20110816
		Try
			Me.setNenTukiNiti()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 保存処理直前のコントロールの設定
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/01 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dte006MEN030F020_Enter(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles dte006MEN030F020.Enter
		log(clsSysMst.logLevel.DBG, "dte006MEN030F020_Enter", "保存処理直前のコントロールの設定")
		Try
			AControl = Me.ActiveControl
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 保存処理直前のコントロールの設定
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/01 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub msk007MEN030F020_Enter(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles msk007MEN030F020.Enter
		log(clsSysMst.logLevel.DBG, "msk007MEN030F020_Enter", "保存処理直前のコントロールの設定")
		Try
			AControl = Me.ActiveControl
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 保存処理直前のコントロールの設定
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/01 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb017MEN030F020_Enter(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmb017MEN030F020.Enter
		log(clsSysMst.logLevel.DBG, "cmb017MEN030F020_Enter", "保存処理直前のコントロールの設定")
		Try
			AControl = Me.ActiveControl
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 保存処理直前のコントロールの設定
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/01 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb020MEN030F020_Enter(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmb020MEN030F020.Enter
		log(clsSysMst.logLevel.DBG, "cmb020MEN030F020_Enter", "保存処理直前のコントロールの設定")
		Try
			AControl = Me.ActiveControl
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 保存処理直前のコントロールの設定
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/01 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb023MEN030F020_Enter(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmb023MEN030F020.Enter
		log(clsSysMst.logLevel.DBG, "cmb023MEN030F020_Enter", "保存処理直前のコントロールの設定")
		Try
			AControl = Me.ActiveControl
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 保存処理直前のコントロールの設定
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/01 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub txt026MEN030F020_Enter(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txt026MEN030F020.Enter
		log(clsSysMst.logLevel.DBG, "txt026MEN030F020_Enter", "保存処理直前のコントロールの設定")
		Try
			AControl = Me.ActiveControl
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 保存処理直前のコントロールの設定
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/01 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub txt028MEN030F020_Enter(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txt028MEN030F020.Enter
		log(clsSysMst.logLevel.DBG, "txt028MEN030F020_Enter", "保存処理直前のコントロールの設定")
		Try
			AControl = Me.ActiveControl
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 死亡時の年齢、月齢、日齢を計算してコントロールに設定する
	''' </summary>
	''' <remarks>
	''' 2010/12/01 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setNenTukiNiti()
		log(clsSysMst.logLevel.DBG, "setNenTukiNiti", "死亡時の年齢、月齢、日齢を計算してコントロールに設定する START")
		Try
			'年齢　＆　月齢　＆　日齢計算
			Me.cliMENCOMMON.setAgeLabel(Me.BasicInfoRec.BIRTH_DT, Me.dte006MEN030F020.DateValue, Me.lbl009MEN030F020, Me.lbl011MEN030F020, Me.lbl013MEN030F020, Me.lbl014MEN030F020, Me.lbl015MEN030F020)
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 入力値変更チェック
	''' </summary>
	''' <remarks>
	''' 2010/12/01 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkUpdate() As Boolean
		log(clsSysMst.logLevel.DBG, "chkUpdate", "入力値変更チェック")
		Try
			Select Case False
				Case Me.DeathRecOld IsNot Nothing
				Case Me.DeathRec.PATIENT_NO = Me.DeathRecOld.PATIENT_NO						'患者番号
				Case Me.DeathRec.DEATH_DT = Me.DeathRecOld.DEATH_DT							'死亡日
				Case Me.DeathRec.DEATH_TIME = Me.DeathRecOld.DEATH_TIME						'死亡時刻
				Case Me.DeathRec.DEATH_AGE = Me.DeathRecOld.DEATH_AGE						'死亡時年齢
				Case Me.DeathRec.DEATH_MONTH_AGE = Me.DeathRecOld.DEATH_MONTH_AGE			'死亡時月齢
				Case Me.DeathRec.DEATH_DAY_AGE = Me.DeathRecOld.DEATH_DAY_AGE				'死亡時日齢
				Case Me.DeathRec.AUTOPSY_CHK = Me.DeathRecOld.AUTOPSY_CHK					'剖検有無区分コード
				Case Me.DeathRec.AUTOPSY_NO = Me.DeathRecOld.AUTOPSY_NO						'剖検番号
				Case Me.DeathRec.DEATH_DIV = Me.DeathRecOld.DEATH_DIV						'死亡区分コード
				Case Me.DeathRec.AFTER_OPE_DEATH_DIV = Me.DeathRecOld.AFTER_OPE_DEATH_DIV	'術後死亡区分コード
				Case Me.DeathRec.DEATH_LCT_CD = Me.DeathRecOld.DEATH_LCT_CD					'死亡場所コード
				Case Me.DeathRec.DEATH_REMARKS = Me.DeathRecOld.DEATH_REMARKS				'コメント
				Case Else
					Return False
			End Select
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 入力値を内部構造体に保持
	''' </summary>
	''' <remarks>
	''' 2010/12/01 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub getInputData()
		log(clsSysMst.logLevel.DBG, "getInputData", "入力値を内部構造体に保持")
		Try
			Me.DeathRec.DEATH_LCT_CD = Me.lbl002MEN030F020.Text						'死亡場所コード
			Me.DeathRec.DEATH_LCT_NM = Me.lbl003MEN030F020.Text						'死亡場所名
			Me.DeathRec.DEATH_DT = Me.dte006MEN030F020.DateValue					'死亡日
			If IsDate(Me.msk007MEN030F020.Text) Then
				Me.DeathRec.DEATH_TIME = Me.msk007MEN030F020.Text					'死亡時刻
			Else
				Me.DeathRec.DEATH_TIME = Nothing
			End If
			Integer.TryParse(Me.lbl009MEN030F020.Text, Me.DeathRec.DEATH_AGE)		'死亡時年齢
			Integer.TryParse(Me.lbl011MEN030F020.Text, Me.DeathRec.DEATH_MONTH_AGE)	'死亡時月齢
			Integer.TryParse(Me.lbl014MEN030F020.Text, Me.DeathRec.DEATH_DAY_AGE)	'死亡時日齢
			Me.DeathRec.DEATH_DIV = Me.cmb017MEN030F020.Text						'死亡区分コード
			Me.DeathRec.DEATH_DIV_NM = Me.lbl018MEN030F020.Text						'死亡区分名
			Me.DeathRec.AFTER_OPE_DEATH_DIV = Me.cmb020MEN030F020.Text				'術後死亡区分コード
			Me.DeathRec.AUTOPSY_CHK = Me.cmb023MEN030F020.Text						'剖検有無区分コード
			Me.DeathRec.AUTOPSY_NO = Me.txt026MEN030F020.Text						'剖検番号
			Me.DeathRec.DEATH_REMARKS = Me.txt028MEN030F020.Text					'コメント
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

#Region "オーバーライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 画面再描画
	''' </summary>
	''' <remarks>
	''' 2010/12/01 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub repaint()
		log(clsSysMst.logLevel.DBG, "repaint", "画面再描画 Start")
		Try
			' コントロールのレイアウトロジックを一時的に中断
			SuspendLayout()

			' 画面項目の表示
			Me.lbl002MEN030F020.Text = Me.DeathRec.DEATH_LCT_CD								'死亡場所コード
			Me.lbl003MEN030F020.Text = Me.DeathRec.DEATH_LCT_NM								'死亡場所名
			Me.dte006MEN030F020.DateValue = Me.DeathRec.DEATH_DT							'死亡日
			Me.msk007MEN030F020.Text = Me.DeathRec.DEATH_TIME								'死亡時刻
			' 死亡時年齢・月齢・日齢
			Me.setNenTukiNiti()
			cliCom.setComboValue(Me.cmb017MEN030F020, Me.DeathRec.DEATH_DIV)				'死亡区分コード
			cliCom.setComboValue(Me.cmb020MEN030F020, Me.DeathRec.AFTER_OPE_DEATH_DIV)		'術後死亡区分コード
			cliCom.setComboValue(Me.cmb023MEN030F020, Me.DeathRec.AUTOPSY_CHK)				'剖検有無区分コード
			Me.txt026MEN030F020.Text = Me.DeathRec.AUTOPSY_NO								'剖検番号
			Me.txt028MEN030F020.Text = Me.DeathRec.DEATH_REMARKS							'コメント
			Me.lbl030MEN030F020.Text = cliMENCOMMON.getDateFormat(Me.DeathRec.LASTUPD_DT)	'最終更新日
		Catch ex As Exception
			Throw
		Finally
			' レイアウトロジックを再開
			ResumeLayout(False)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 更新前チェック処理
	''' </summary>
	''' <remarks>
	''' 2010/12/01 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function PreUpdChkData() As Boolean
		log(clsSysMst.logLevel.DBG, "PreUpdChkData", "更新前チェック処理 Start")
		Try
			' 子コントロールの検証
			Return Me.ValidateChildren
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 更新前処理
	''' </summary>
	''' <remarks>
	''' 2010/12/01 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function PreUpdProc() As Boolean
		log(clsSysMst.logLevel.DBG, "PreUpdProc", "更新前処理 Start")
		Try
			' 入力値を内部構造体に保持
			getInputData()
			' 入力値変更チェック
			Return chkUpdate()
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 更新前確認メッセージ
	''' </summary>
	''' <remarks>
	''' 2010/12/01 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function PreUpdConfirm() As MsgBoxResult
		log(clsSysMst.logLevel.DBG, "PreUpdConfirm", "更新前確認メッセージ Start")
		Try
			If Me.updFlg = clsMENCOMMON.Enum_UpdFlg.eEmpty Then
				Return MsgBoxResult.Yes
			Else
				Return MyBase.PreUpdConfirm()
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' チェック処理
	''' </summary>
	''' <remarks>
	''' 2010/12/01 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function ChkData() As Boolean
		log(clsSysMst.logLevel.DBG, "ChkData", "チェック処理 Start")
		Dim resultDay As Long
		Try
			' 全項目未入力なら削除
			Select Case False
				Case Me.DeathRec.DEATH_DT.Equals(Nothing)					'死亡日
				Case String.IsNullOrWhiteSpace(Me.DeathRec.DEATH_TIME)		'死亡時刻
				Case Me.DeathRec.DEATH_AGE = 0								'死亡時年齢
				Case Me.DeathRec.DEATH_MONTH_AGE = 0						'死亡時月齢
				Case Me.DeathRec.DEATH_DAY_AGE = 0							'死亡時日齢
				Case String.IsNullOrEmpty(Me.DeathRec.AUTOPSY_CHK)			'剖検有無区分コード
				Case String.IsNullOrWhiteSpace(Me.DeathRec.AUTOPSY_NO)		'剖検番号
				Case String.IsNullOrEmpty(Me.DeathRec.DEATH_DIV)			'死亡区分コード
				Case String.IsNullOrEmpty(Me.DeathRec.AFTER_OPE_DEATH_DIV)	'術後死亡区分コード
				Case String.IsNullOrWhiteSpace(Me.DeathRec.DEATH_REMARKS)	'コメント
				Case Else
					Me.updFlg = clsMENCOMMON.Enum_UpdFlg.eDelete
					Return True
			End Select
			' 死亡日の未入力チェック
			If String.IsNullOrEmpty(Me.dte006MEN030F020.Text) Then
				Me.addErrList("E0001", Me.dte006MEN030F020.Name, Me.lbl004MEN030F020.Text, Nothing)
			End If
			' 死亡日と退院日の差チェック
			If Not Me.ChRec.END_DT.Equals(Nothing) AndAlso Not Me.dte006MEN030F020.DateValue.Equals(Nothing) Then
				' 死亡情報の死亡日と終了日の差が＋１日以外の場合はエラーとする。
				resultDay = DateDiff(DateInterval.Day, Me.ChRec.END_DT, Me.dte006MEN030F020.DateValue)
				If resultDay < 0 OrElse resultDay > 1 Then
					Me.addErrList("E0032", Me.dte006MEN030F020.Name, Me.lbl004MEN030F020.Text, "退院日と死亡日が", Nothing)
				End If
			End If

			If Me.getErrCount() > 0 Then
				Me.nextErrForm()
				Return False
			Else
				Return True
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 更新処理
	''' </summary>
	''' <remarks>
	''' 2010/12/01 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function UpdProc() As Boolean
		log(clsSysMst.logLevel.DBG, "UpdProc", "更新処理 Start")
		Try
			Me.FormReturn = Enum_FormReturn.OK
			If Me.updFlg = clsMENCOMMON.Enum_UpdFlg.eDelete Then
				Me.ReturnValue = Nothing
			Else
				Me.DeathRec.LASTUPD_DT = Now()
				Me.ReturnValue = Me.DeathRec.Copy
			End If
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 更新後処理
	''' </summary>
	''' <remarks>
	''' 2010/12/01 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function AfterUpdProc() As Boolean
		log(clsSysMst.logLevel.DBG, "AfterUpdProc", "更新後処理 Start")
		Try
			Me.DeathRecOld = Me.DeathRec.Copy
			If Me.updFlg = clsMENCOMMON.Enum_UpdFlg.eDelete Then
				Me.DeathRec.LASTUPD_DT = Nothing
			Else
				Me.updFlg = clsMENCOMMON.Enum_UpdFlg.eUpdate
			End If
			Me.repaint()
			' 処理直前のコントロールに戻る
			AControl.Focus()
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 画面終了後処理
	''' </summary>
	''' <param name="bCancel">キャンセルフラグ</param>
	''' <remarks>
	''' 2010/12/01 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub ClosedProc(ByVal bCancel As Boolean)
		If bCancel Then
			Exit Sub
		End If
		Try
			' 画面終了後処理
			MyBase.ClosedProc(bCancel)
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			cliCom = Nothing
			cliMENCOMMON = Nothing
			DeathRecOld = Nothing
			AControl = Nothing
		End Try
	End Sub

#End Region

End Class