﻿Imports XCM
Imports XSP

''' ---------------------------------------------
''' <summary>
''' 前回退院日選択
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MEN030F040

#Region "コンスタント"
	Private Const ORENZAN As String = " OR "								'論理演算子
	Private Const ANDENZAN As String = " AND "								'論理演算子
	Private Const NOT_EQUAL As String = "<>"
	Private Const DESC As String = " DESC"
	Private Const C_HSP_HISTORY_NO As String = "c01009MEN030F040"			'入退院歴番号
	Private Const C_OUT_HSP_DT As String = "c06009MEN030F040"				'退院日
	Private Const C_CH_NO As String = "c01016MEN030F040"					'科歴番号
	Private Const C_END_DT As String = "c05016MEN030F040"					'終了日
	Private Const BR_NO_COL_CTRL_HISTORY As String = "c02009MEN030F040"		'『入退院歴情報』の病歴番号
	Private Const BR_NO_COL_CTRL_CH As String = "c02016MEN030F040"			'『科歴情報』の病歴番号
#End Region

#Region "変数"
	Private DataMTI_HSP As DataTable					'入退院情報検索結果テーブル
	Private DataMTI_CH As DataTable						'科歴情報検索結果テーブル
	Private DataMTI_DISEASE As DataTable				'病名情報＋名称検索結果テーブル
	Private HspDt As Date								'入院日
	Private StartDt As Date								'開始日
	Private LastOutHspDt As Date						'前回退院日
	Private LastOutHsp As clsMENCOMMON.Enum_LastOutHsp	'前回退院日選択モード
	Private cliCom As clsCom							'共通メソッド
	Private cliMENCOMMON As clsMENCOMMON				'登録／参照　共通クラス
	Private ReturnDt As DictionaryEntry					'返却日オブジェクト
	Private cliGridStyle As clsGridStyle				'グリッドスタイルクラス
#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pLastOutHsp">前回退院日選択モード</param>
	''' <param name="pPatientNo">患者番号</param>
	''' <param name="pHspHistoryNo">入退院歴番号</param>
	''' <param name="pChNo">科歴番号</param>
	''' <param name="pHspDt">入院日</param>
	''' <param name="pStartDt">開始日</param>
	''' <param name="pLastOutHspDt">前回退院日</param>
	''' <remarks>
	''' 2010/12/08 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal pLastOutHsp As clsMENCOMMON.Enum_LastOutHsp, ByVal pPatientNo As String, ByVal pHspHistoryNo As Integer, ByVal pChNo As Integer, ByVal pHspDt As Date, ByVal pStartDt As Date, ByVal pLastOutHspDt As Date)
		' この呼び出しは、Windows フォーム デザイナで必要です。
		MyBase.New()
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。
		Me.PatientNo = pPatientNo					'患者番号
		Me.HspHistoryNo = pHspHistoryNo				'入退院歴番号
		Me.ChNo = pChNo								'科歴番号
		HspDt = pHspDt								'入院日
		StartDt = pStartDt							'開始日
		LastOutHspDt = pLastOutHspDt				'前回退院日
		LastOutHsp = pLastOutHsp					'前回退院日選択モード
	End Sub

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' 画面ロード時イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/08 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN030F040_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
		If Me.DesignMode OrElse Me.LoadError Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.NRM, "MEN030F040_Load", "画面ロード時イベント")
		Dim returnValue As DataRow()
		Dim txtlong As String = Nothing
		Dim envTitle As String = ""
		Try
			cliCom = New clsCom
			cliMENCOMMON = New clsMENCOMMON
			ReturnDt = New DictionaryEntry(LastOutHsp, Nothing)
			cliGridStyle = New clsGridStyle
			cliGridStyle.setGridHeight(Me.dgv009MEN030F040)		'グリッド１行の高さを設定
			cliGridStyle.setGridHeight(Me.dgv016MEN030F040)		'グリッド１行の高さを設定
			cliGridStyle.setGridHeight(Me.dgv018MEN030F040)		'グリッド１行の高さを設定
			Me.dgv009MEN030F040.AutoGenerateColumns = False
			Me.dgv016MEN030F040.AutoGenerateColumns = False
			Me.dgv018MEN030F040.AutoGenerateColumns = False
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				Using cliMTI_HSP As clsMTI_HSP = New clsMTI_HSP
					DataMTI_HSP = cliMTI_HSP.getHspPlusPatientDa(db, PatientNo)					'１患者分の入退院情報＋名称を取得します
				End Using
				Using cliMTI_CH As clsMTI_CH = New clsMTI_CH
					DataMTI_CH = cliMTI_CH.getChPlusPatientDa(db, PatientNo)					'１患者分の科歴情報＋名称を取得します
				End Using
				Using cliMTI_DISEASE As clsMTI_DISEASE = New clsMTI_DISEASE
					DataMTI_DISEASE = cliMTI_DISEASE.getDiseasePlusPatientDa(db, PatientNo)		'１患者分の病名情報＋名称を取得します
				End Using
			End Using
			'現科歴の除外
			txtlong = sqlMTI_CH.itmHSP_HISTORY_NO & NOT_EQUAL & HspHistoryNo & ORENZAN & sqlMTI_CH.itmCH_NO & NOT_EQUAL & ChNo
			returnValue = DataMTI_CH.Select(txtlong)
			DataMTI_CH = cliCom.getTableFromRows(DataMTI_CH, returnValue)
			'再ソート
			Using dvData As DataView = New DataView(DataMTI_CH)
				dvData.Sort = sqlMTI_CH.itmHSP_HISTORY_NO & DESC & "," & sqlMTI_CH.itmCH_NO & DESC
				DataMTI_CH = dvData.ToTable
			End Using
			Select Case True
				Case LastOutHsp = clsMENCOMMON.Enum_LastOutHsp.eLastOutHsp
					Me.lbl001MEN030F040.Text = "前回退院日"
				Case LastOutHsp = clsMENCOMMON.Enum_LastOutHsp.eSameDiseaseLastOutHsp
					Me.lbl001MEN030F040.Text = "同一疾病自院前回退院日"
				Case Else
			End Select

			'動作環境設定テーブルより「入退院歴情報」および「科歴情報」の病歴番号列タイトルを設定する。
			envTitle = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00001)
			Me.dgv009MEN030F040.Columns.Item(BR_NO_COL_CTRL_HISTORY).HeaderText = envTitle
			Me.dgv016MEN030F040.Columns.Item(BR_NO_COL_CTRL_CH).HeaderText = envTitle
		Catch ex As Exception
			Me.ErrorProc(ex)
			Me.EndProc4Load()
		Finally
			returnValue = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面オープン時イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/08 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN030F040_Shown(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Shown
		If Me.DesignMode OrElse Me.LoadError Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.NRM, "MEN030F040_Shown", " 画面オープン時イベント")
		Try
			Me.dgv009MEN030F040.DataSource = DataMTI_HSP
			'選択解除
			If Me.dgv009MEN030F040.RowCount <> 0 Then
				Me.dgv009MEN030F040.CurrentRow.Selected = False
			End If
			Me.lbl002MEN030F040.Text = cliMENCOMMON.getDateFormat(LastOutHspDt)	'親画面の前回退院日
			Me.lbl005MEN030F040.Text = cliMENCOMMON.getDateFormat(HspDt)		'現在入院日
			Me.lbl012MEN030F040.Text = cliMENCOMMON.getDateFormat(StartDt)		'現在開始日
			'科歴、病名一覧の初期化
			Me.dgv016MEN030F040.DataSource = Nothing
			Me.dgv018MEN030F040.DataSource = Nothing
			Me.lbl007MEN030F040.Text = Nothing
			Me.lbl014MEN030F040.Text = Nothing
			Me.btn006MEN000F010.Enabled = False
			Me.btn007MEN000F010.Enabled = False
		Catch ex As Exception
			Me.ErrorProc(ex)
			Me.EndProc4Shown()
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面終了時イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/08 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN030F040_FormClosing(ByVal sender As System.Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles MyBase.FormClosing
		log(clsSysMst.logLevel.NRM, "MEN030F040_FormClosing", " 画面終了時イベント")
		Try
			' 画面途中でエラーの場合は処理しない
			If Me.LoadError OrElse e.Cancel Then
				Exit Try
			End If
		Catch ex As Exception
			e.Cancel = True		'エラー時は画面を閉じない
			Me.ErrorProc(ex)
		Finally
			' 変数の解放は ClosedProc に記述する
			ClosedProc(e.Cancel)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 入退院歴一覧グリッド内容変更
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/08 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dgv009MEN030F040_SelectionChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles dgv009MEN030F040.SelectionChanged
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "dgv009MEN030F040_SelectionChanged", "入退院歴一覧グリッド内容変更 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "入退院歴一覧グリッド内容変更 Start")
'(M) END V4-11023-000 004 20110816
		Dim wkOutHspDt As Date	'退院日
		Dim resultDay As Long	'日数差
		Dim Sort As DataTable	'ソート用テーブル
		Try
			If dgv009MEN030F040.CurrentRow Is Nothing OrElse dgv009MEN030F040.CurrentRow.Index < 0 Then Exit Sub
			'科歴一覧の設定
			Dim drHSP_HISTORY_NO() As DataRow = DataMTI_CH.Select(sqlMTI_CH.itmHSP_HISTORY_NO & " = '" & cliCom.getDtItmValue(Me.dgv009MEN030F040.Rows(Me.dgv009MEN030F040.CurrentRow.Index).Cells(C_HSP_HISTORY_NO).Value.ToString) & "'")
			Me.dgv016MEN030F040.DataSource = cliCom.getTableFromRows(DataMTI_CH, drHSP_HISTORY_NO)
			If dgv016MEN030F040.RowCount <> 0 Then
				Me.dgv016MEN030F040.CurrentRow.Selected = False
			End If
			'前回退院日に設定
			Me.lbl002MEN030F040.Text = cliMENCOMMON.getDateFormat(Me.dgv009MEN030F040.Rows(Me.dgv009MEN030F040.CurrentRow.Index).Cells(C_OUT_HSP_DT).Value)
			'退院日との日数差設定
			If Date.TryParse(Me.lbl002MEN030F040.Text, wkOutHspDt) Then
				resultDay = DateDiff(DateInterval.Day, wkOutHspDt, HspDt)
				Me.lbl007MEN030F040.Text = resultDay
			Else
				resultDay = -1
				Me.lbl007MEN030F040.Text = Nothing
			End If
			'退院日確定ボタン設定
			If resultDay < 0 Then
				Me.btn006MEN000F010.Enabled = False
			Else
				Me.btn006MEN000F010.Enabled = True
			End If
			'病名一覧の設定
			drHSP_HISTORY_NO = DataMTI_DISEASE.Select(sqlMTI_DISEASE.itmHSP_HISTORY_NO & " = '" & cliCom.getDtItmValue(Me.dgv009MEN030F040.Rows(Me.dgv009MEN030F040.CurrentRow.Index).Cells(C_HSP_HISTORY_NO).Value.ToString) & "'")
			Sort = cliCom.getTableFromRows(DataMTI_DISEASE, drHSP_HISTORY_NO)
			Using dvData As DataView = New DataView(Sort)
				dvData.Sort = sqlMTI_DISEASE.itmCH_NO & DESC
				Sort = dvData.ToTable
			End Using
			Me.dgv018MEN030F040.DataSource = Sort
			If dgv018MEN030F040.RowCount <> 0 Then
				Me.dgv018MEN030F040.CurrentRow.Selected = False
			End If
			'終了日との日数差をクリア、終了日確定ボタンを使用不可
			Me.lbl014MEN030F040.Text = Nothing
			Me.btn007MEN000F010.Enabled = False
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			Sort = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 科歴一覧グリッド内容変更
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/08 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dgv016MEN030F040_SelectionChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles dgv016MEN030F040.SelectionChanged
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "dgv016MEN030F040_SelectionChanged", "科歴一覧グリッド内容変更 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "科歴一覧グリッド内容変更 Start")
'(M) END V4-11023-000 004 20110816
		Dim wkEndDt As Date		'終了日
		Dim resultDay As Long	'日数差
		Dim Sort As DataTable	'ソート用テーブル
		Try
			If dgv009MEN030F040.CurrentRow Is Nothing OrElse dgv009MEN030F040.CurrentRow.Index < 0 Then Exit Sub
			If dgv016MEN030F040.CurrentRow Is Nothing OrElse dgv016MEN030F040.CurrentRow.Index < 0 Then Exit Sub
			'病名一覧の設定
			Dim drCH_NO() As DataRow = DataMTI_DISEASE.Select((sqlMTI_DISEASE.itmHSP_HISTORY_NO & " = '" & cliCom.getDtItmValue(Me.dgv009MEN030F040.Rows(Me.dgv009MEN030F040.CurrentRow.Index).Cells(C_HSP_HISTORY_NO).Value.ToString) & "'") & ANDENZAN & (sqlMTI_DISEASE.itmCH_NO & " = '" & cliCom.getDtItmValue(Me.dgv016MEN030F040.Rows(Me.dgv016MEN030F040.CurrentRow.Index).Cells(C_CH_NO).Value.ToString) & "'"))
			Sort = cliCom.getTableFromRows(DataMTI_DISEASE, drCH_NO)
			Using dvData As DataView = New DataView(Sort)
				dvData.Sort = sqlMTI_DISEASE.itmCH_NO & DESC
				Sort = dvData.ToTable
			End Using
			Me.dgv018MEN030F040.DataSource = Sort
			If dgv018MEN030F040.RowCount <> 0 Then
				Me.dgv018MEN030F040.CurrentRow.Selected = False
			End If
			'前回退院日に設定
			Me.lbl002MEN030F040.Text = cliMENCOMMON.getDateFormat(Me.dgv016MEN030F040.Rows(Me.dgv016MEN030F040.CurrentRow.Index).Cells(C_END_DT).Value)
			'終了日との日数差設定
			If Date.TryParse(Me.lbl002MEN030F040.Text, wkEndDt) Then
				resultDay = DateDiff(DateInterval.Day, wkEndDt, StartDt)
				Me.lbl014MEN030F040.Text = resultDay
			Else
				resultDay = -1
				Me.lbl014MEN030F040.Text = Nothing
			End If
			'終了日確定ボタン設定
			If resultDay < 0 Then
				Me.btn007MEN000F010.Enabled = False
			Else
				Me.btn007MEN000F010.Enabled = True
			End If
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			Sort = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 入退院歴一覧グリッドダブルクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/08 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dgv009MEN030F040_CellMouseDoubleClick(ByVal sender As System.Object, ByVal e As System.Windows.Forms.DataGridViewCellMouseEventArgs) Handles dgv009MEN030F040.CellMouseDoubleClick
		log(clsSysMst.logLevel.NRM, "dgv009MEN030F040_CellMouseDoubleClick", "入退院歴一覧グリッドダブルクリック Start")
		Try
			If Me.btn006MEN000F010.Enabled = True Then
				'返却値
				ReturnDt.Value = Me.dgv009MEN030F040.Rows(Me.dgv009MEN030F040.CurrentRow.Index).Cells(C_OUT_HSP_DT).Value
				'終了処理
				Me.FuncCloseProc()
			End If
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 科歴一覧グリッドダブルクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/08 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dgv016MEN030F040_CellMouseDoubleClick(ByVal sender As System.Object, ByVal e As System.Windows.Forms.DataGridViewCellMouseEventArgs) Handles dgv016MEN030F040.CellMouseDoubleClick
		log(clsSysMst.logLevel.NRM, "dgv016MEN030F040_CellMouseDoubleClick", "科歴一覧グリッドダブルクリック Start")
		Try
			If Me.btn007MEN000F010.Enabled = True Then
				'返却値
				ReturnDt.Value = Me.dgv016MEN030F040.Rows(Me.dgv016MEN030F040.CurrentRow.Index).Cells(C_END_DT).Value
				'終了処理
				Me.FuncCloseProc()
			End If
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

#End Region

#Region "オーバーライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 機能１処理(入退院歴確定)
	''' </summary>
	''' <remarks>
	''' 2010/12/08 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function Func1Proc() As Boolean
		log(clsSysMst.logLevel.DBG, "Func1Proc", "入退院歴確定 Start")
		Try
			'返却値
			ReturnDt.Value = Me.dgv009MEN030F040.Rows(Me.dgv009MEN030F040.CurrentRow.Index).Cells(C_OUT_HSP_DT).Value
			'終了処理
			Me.FuncCloseProc()
		Catch ex As Exception
			Throw
		End Try
		Return True
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 機能２処理(科歴確定)
	''' </summary>
	''' <remarks>
	''' 2010/12/08 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function Func2Proc() As Boolean
		log(clsSysMst.logLevel.DBG, "Func2Proc", "科歴確定 Start")
		Try
			'返却値
			ReturnDt.Value = Me.dgv016MEN030F040.Rows(Me.dgv016MEN030F040.CurrentRow.Index).Cells(C_END_DT).Value
			'終了処理
			Me.FuncCloseProc()
		Catch ex As Exception
			Throw
		End Try
		Return True
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ＥＮＴＥＲキーによる処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/08 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function EnterProc() As Boolean
		log(clsSysMst.logLevel.NRM, "EnterProc", "ＥＮＴＥＲキー押下 Start")
		Try
			Select Case True
				Case Me.ActiveControl.Name = Me.dgv009MEN030F040.Name
					If Me.btn006MEN000F010.Enabled = True Then
						'返却値
						ReturnDt.Value = Me.dgv009MEN030F040.Rows(Me.dgv009MEN030F040.CurrentRow.Index).Cells(C_OUT_HSP_DT).Value
						'終了処理
						Me.FuncCloseProc()
					End If
				Case Me.ActiveControl.Name = Me.dgv016MEN030F040.Name
					If Me.btn007MEN000F010.Enabled = True Then
						'返却値
						ReturnDt.Value = Me.dgv016MEN030F040.Rows(Me.dgv016MEN030F040.CurrentRow.Index).Cells(C_END_DT).Value
						'終了処理
						Me.FuncCloseProc()
					End If
				Case Else
					Return MyBase.EnterProc()
			End Select
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 更新前処理
	''' </summary>
	''' <remarks>
	''' 2010/12/08 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function PreUpdProc() As Boolean
		log(clsSysMst.logLevel.DBG, "PreUpdProc", "更新前処理 Start")
		Try
			'返却値
			Me.ReturnValue = ReturnDt
			'戻り値判定
			Return (ReturnDt.Value IsNot Nothing)
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 確認メッセージを表示しない（更新前確認メッセージ）
	''' </summary>
	''' <remarks>
	''' 2010/12/08 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function PreUpdConfirm() As MsgBoxResult
		Return MsgBoxResult.Yes
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 画面終了後処理
	''' </summary>
	''' <param name="bCancel">キャンセルフラグ</param>
	''' <remarks>
	''' 2010/12/08 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub ClosedProc(ByVal bCancel As Boolean)
		If bCancel Then
			Exit Sub
		End If
		Try
			' インスタンス開放
			Me.dgv009MEN030F040.DataSource = Nothing
			Me.dgv016MEN030F040.DataSource = Nothing
			Me.dgv018MEN030F040.DataSource = Nothing

			If DataMTI_HSP IsNot Nothing Then DataMTI_HSP.Dispose()

			If DataMTI_CH IsNot Nothing Then DataMTI_CH.Dispose()

			If DataMTI_DISEASE IsNot Nothing Then DataMTI_DISEASE.Dispose()

			' 画面終了後処理
			MyBase.ClosedProc(bCancel)
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			DataMTI_HSP = Nothing
			DataMTI_CH = Nothing
			DataMTI_DISEASE = Nothing
			cliGridStyle = Nothing
			cliCom = Nothing
			cliMENCOMMON = Nothing
		End Try
	End Sub

#End Region

End Class