﻿Imports XCM
Imports XSP

''' ---------------------------------------------
''' <summary>
''' 医師登録
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MEN030F050

#Region "変数"

	' MultiRow データテーブル
	Private dtDoctor As DataTable

	' 動作環境設定の科歴医師の開始日・終了日を入力する
	Private flgAttendDate As Boolean = False

	' 画面抑制
	Private bShowed As Boolean = False					'Show イベント終了

	' 更新フラグ
	Private flgUpdDoctor As Boolean = False				'医師情報

	' 手術医師区分のデフォルト値
	Private strDefaultDoctorDiv As String = Nothing

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pPatientNo">患者番号</param>
	''' <param name="pHspHistoryNo">入退院歴番号</param>
	''' <param name="pChNo">科歴番号</param>
	''' <param name="pDtDoctor">医師情報データテーブル</param>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal pPatientNo As String, ByVal pHspHistoryNo As Integer, ByVal pChNo As Integer, ByVal pDtDoctor As DataTable)
		' この呼び出しは、Windows フォーム デザイナで必要です。
		MyBase.New()
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。
		Me.PatientNo = pPatientNo					'患者番号
		Me.HspHistoryNo = pHspHistoryNo				'入退院歴番号
		Me.ChNo = pChNo								'科歴番号
		dtDoctor = pDtDoctor.Copy					'医師情報
	End Sub

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' 画面終了時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN030F050_FormClosing(ByVal sender As System.Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(clsSysMst.logLevel.NRM, "MEN030F050_FormClosing", "画面終了時 Start")
		Try
			' 画面途中でエラーの場合は処理しない
			If Me.LoadError OrElse e.Cancel Then
				Exit Try
			End If
		Catch ex As Exception
			e.Cancel = True		'エラー時は画面を閉じない
			ErrorProc(ex)
		Finally
			' 変数の解放は ClosedProc に記述する
			ClosedProc(e.Cancel)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面ロード時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN030F050_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Me.Load
		If Me.DesignMode OrElse Me.LoadError Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.NRM, "MEN030F050_Load", "画面ロード時 Start")
		Dim cliCombo As clsComboCom
		Dim intEnv As Integer = 0
		Try
			' コンボボックス項目取得共通クラスのインスタンス化
			cliCombo = New clsComboCom

			With Me.mlr001MEN030F050
				' 医師情報起動ボタンは非表示
				.HeaderVisible(MEN030C010.CST_DOCTOR_HEADER_BUTTON) = False

				' 動作環境設定の科歴医師の開始日・終了日を入力＝するの場合、
				If Integer.TryParse(clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00007), intEnv) AndAlso _
				   intEnv = clsConst.Enum_ChDoctorStrAndEndInput.ChDocInput Then
					' 医師情報マルチロウの担当開始日～担当終了日は表示
					flgAttendDate = True
				End If

				' 医師情報マルチロウの担当開始日～担当終了日の表示を切り替え
				.HeaderVisible(MEN030C010.CST_DOCTOR_HEADER_ATTEND_DATE) = flgAttendDate
				.DetailVisible(MEN030C011.CST_DOCTOR_DETAIL_ATTEND_DATE) = flgAttendDate
			End With

			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				' コンボボックスの初期設定
				With Me.mlr001MEN030F050.DetailProperty(MEN030C011.CST_DOCTOR_DETAIL_DOCTOR_DIV)
					' コンボボックス項目取得共通処理（医師区分マスタ）
					.DataSource = cliCombo.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_DoctorDiv)
				End With
				Using dtDoctorDiv As DataTable = cliCombo.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_DoctorDiv)
					If dtDoctorDiv IsNot Nothing AndAlso dtDoctorDiv.Rows.Count > 0 Then
						For Each row As DataRow In dtDoctorDiv.Rows
							' 医師区分のデフォルト値を取得
							strDefaultDoctorDiv = row(sqlComboCom.itmDOCTOR_DIV_CD).ToString
							Exit For
						Next
					End If
				End Using
				With Me.mlr001MEN030F050.DetailProperty(MEN030C011.CST_DOCTOR_DETAIL_DOCTOR_CD)
					' コンボボックス項目取得共通処理（医師コード）
					.DataSource = cliCombo.getCombo(db, clsComboCom.Enum_ComboType.Enum_X_StaffXOpk_Dsp)
				End With
			End Using

			' データソース設定
			dtDoctor.AcceptChanges()
			Me.btn004MEN000F010.Enabled = False				'↑ボタン使用不可
			Me.btn005MEN000F010.Enabled = False				'↓ボタン使用不可
			Me.mlr001MEN030F050.DataSource = dtDoctor		'医師情報マルチロウ
		Catch ex As Exception
			ErrorProc(ex)
			Me.EndProc4Load()
		Finally
			cliCombo = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面初回起動時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN030F050_Shown(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Me.Shown
		If Me.DesignMode OrElse Me.LoadError Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.NRM, "MEN030F050_Shown", "画面初回起動時 Start")
		Try
			' 画面初回起動終了
			bShowed = True
		Catch ex As Exception
			ErrorProc(ex)
			Me.EndProc4Shown()
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 医師情報マルチロウコントロールチェック時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub mlr001MEN030F050_Control_CheckedChanged(ByVal sender As System.Object, ByVal e As XCM.BT_MultiRow.MultiRowEventArgs) Handles mlr001MEN030F050.Control_CheckedChanged
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "mlr001MEN030F050_Control_CheckedChanged", "医師情報マルチロウコントロールチェック時 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "医師情報マルチロウコントロールチェック時 Start")
'(M) END V4-11023-000 004 20110816
		Dim cliCommon As clsMENCOMMON = Nothing
		Try
			Select Case CType(sender, Control).Name
				Case MEN030C011.CST_DOCTOR_DETAIL_MAIN_DOCTOR_FLG
					' 主治医フラグチェック時
					If CType(sender, BT_CheckBox).Checked Then
						' ある明細行のチェックオンで他の行をすべてチェックオフとし、同時に複数行のチェックオンの状態にはならない。
						cliCommon = New clsMENCOMMON
						For i As Integer = 0 To dtDoctor.Rows.Count - 1
							With dtDoctor.Rows(i)
								If .RowState = DataRowState.Deleted Then
									Continue For
								End If
								flgUpdDoctor = cliCommon.setDtTableField_Checked(.Item(sqlMTI_DOCTOR.itmMAIN_DOCTOR_FLG), (i = e.Index)) OrElse flgUpdDoctor
							End With
						Next
						Me.mlr001MEN030F050.Requery()
					End If
				Case Else
			End Select
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			cliCommon = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 医師情報マルチロウコントロールクリック時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub mlr001MEN030F050_Control_Click(ByVal sender As System.Object, ByVal e As XCM.BT_MultiRow.MultiRowEventArgs) Handles mlr001MEN030F050.Control_Click
		log(clsSysMst.logLevel.NRM, "mlr001MEN030F050_Control_Click", "医師情報マルチロウコントロールクリック時 Start")
		Try
			Select Case CType(sender, Control).Name
				Case MEN030C011.CST_DOCTOR_DETAIL_MAIN_DOCTOR_FLG
					' 医師情報の医師区分コードへフォーカス移動
					Me.mlr001MEN030F050.Rows(e.DetailIndex).Control(MEN030C011.CST_DOCTOR_DETAIL_DOCTOR_DIV).Focus()
				Case MEN030C011.CST_DOCTOR_DETAIL_BUTTON_SEARCH
					' 職員検索画面を起動
					With Me.mlr001MEN030F050.Rows(e.DetailIndex)
						Me.ExecStaffForm(.Control(MEN030C011.CST_DOCTOR_DETAIL_DOCTOR_CD), .Control(MEN030C011.CST_DOCTOR_DETAIL_DOCTOR_NM), Me.ChRec.DEPT_NM)
					End With
				Case MEN030C011.CST_DOCTOR_DETAIL_BUTTON_DELETE
					If e.Index < 0 Then
						Exit Sub
					End If
					' 確認メッセージ出力後、内部変数より該当する医師情報を削除する。
					If Me.confMsg("Q0005", MessageBoxButtons.YesNo, MessageBoxDefaultButton.Button2, "削除", Nothing) = MsgBoxResult.Yes Then
						' 行削除
						dtDoctor.Rows(e.Index).Delete()
						Me.mlr001MEN030F050.Requery()
						' 医師情報の医師区分コードへフォーカス移動
						Me.mlr001MEN030F050.Rows(e.DetailIndex).Control(MEN030C011.CST_DOCTOR_DETAIL_DOCTOR_DIV).Focus()
						' 上下ボタン使用可否を設定
						setUpDownButtonEnabled(e)
						flgUpdDoctor = True
					End If
				Case Else
			End Select
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 医師情報マルチロウコンボ変更時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub mlr001MEN030F050_Control_SelectedIndexChanged(ByVal sender As Object, ByVal e As XCM.BT_MultiRow.MultiRowEventArgs) Handles mlr001MEN030F050.Control_SelectedIndexChanged
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "mlr001MEN030F050_Control_SelectedIndexChanged", "医師情報マルチロウコンボ変更時 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "医師情報マルチロウコンボ変更時 Start")
'(M) END V4-11023-000 004 20110816
		Dim cliCom As clsCom = Nothing
		Try
			Select Case CType(sender, Control).Name
				Case MEN030C011.CST_DOCTOR_DETAIL_DOCTOR_DIV
					flgUpdDoctor = True
				Case MEN030C011.CST_DOCTOR_DETAIL_DOCTOR_CD
					flgUpdDoctor = True
					' 医師区分コードが未設定の場合、先頭の医師区分コードを設定する
					With Me.mlr001MEN030F050.Rows(e.DetailIndex)
						With CType(.Control(MEN030C011.CST_DOCTOR_DETAIL_DOCTOR_DIV), BT_MultiComboBox)
							If Not String.IsNullOrEmpty(.Text) Then
								Exit Select
							End If
						End With
						If Not String.IsNullOrEmpty(strDefaultDoctorDiv) Then
							cliCom = New clsCom
							cliCom.setComboValue(.Control(MEN030C011.CST_DOCTOR_DETAIL_DOCTOR_DIV), strDefaultDoctorDiv)
						End If
					End With
				Case Else
			End Select
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			cliCom = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 医師情報マルチロウ日付変更時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub mlr001MEN030F050_Control_TextChanged(ByVal sender As Object, ByVal e As XCM.BT_MultiRow.MultiRowEventArgs) Handles mlr001MEN030F050.Control_TextChanged
		If Not TypeOf sender Is BT_Date Then
			Exit Sub
		End If
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "mlr001MEN030F050_Control_TextChanged", "医師情報マルチロウ日付変更時 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "医師情報マルチロウ日付変更時 Start")
'(M) END V4-11023-000 004 20110816
		Try
			Select Case CType(sender, Control).Name
				Case MEN030C011.CST_DOCTOR_DETAIL_ATTEND_START_DT
					flgUpdDoctor = True
				Case MEN030C011.CST_DOCTOR_DETAIL_ATTEND_END_DT
					flgUpdDoctor = True
				Case Else
			End Select
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 医師情報マルチロウバインド時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub mlr001MEN030F050_DataBindingComplete(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mlr001MEN030F050.DataBindingComplete
		If Me.mlr001MEN030F050.DataSource Is Nothing Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.DBG, "mlr001MEN030F050_DataBindingComplete", "医師情報マルチロウバインド時 Start")
		Try
			' 医師情報マルチロウの明細行を設定
			With Me.mlr001MEN030F050
				For i As Integer = 0 To .RowCount - 1
					With .Rows(i)
						' 医師コードコンボボックスに診療科名を設定
						CType(.Control(MEN030C011.CST_DOCTOR_DETAIL_DOCTOR_CD), BT_MultiComboBox).StaffDeptNm = Me.ChRec.DEPT_NM
						' 担当開始日～担当終了日の表示を切り替え
						.Control(MEN030C011.CST_DOCTOR_DETAIL_ATTEND_START_DT).Visible = flgAttendDate
						.Control(MEN030C011.CST_DOCTOR_DETAIL_ATTEND_BETWEEN).Visible = flgAttendDate
						.Control(MEN030C011.CST_DOCTOR_DETAIL_ATTEND_END_DT).Visible = flgAttendDate
						If flgAttendDate Then
							.Width = .OrgSize.Width
						Else
							.Width = .Control(MEN030C011.CST_DOCTOR_DETAIL_ATTEND_START_DT).Left
						End If
					End With
				Next
			End With
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 医師情報マルチロウ明細行初期化時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub mlr001MEN030F050_DetailInit(ByVal sender As System.Object, ByVal e As XCM.BT_MultiRow.MultiRowEventArgs) Handles mlr001MEN030F050.DetailInit
		log(clsSysMst.logLevel.DBG, "mlr001MEN030F050_DetailInit", "医師情報マルチロウ明細行初期化時 Start")
		Try
			With CType(sender, BT_MultiRowDetail)
				' ボタン画像を設定
				Me.setButtonBMP(.Control(MEN030C011.CST_DOCTOR_DETAIL_BUTTON_SEARCH), clsBmp.Enum_BmpType.Find)
				Me.setButtonBMP(.Control(MEN030C011.CST_DOCTOR_DETAIL_BUTTON_DELETE), clsBmp.Enum_BmpType.Delete)
			End With
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 医師情報マルチロウ明細行追加時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub mlr001MEN030F050_Row_Added(ByVal sender As System.Object, ByVal e As XCM.BT_MultiRow.MultiRowEventArgs) Handles mlr001MEN030F050.Row_Added
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "mlr001MEN030F050_Row_Added", "医師情報マルチロウ明細行追加時 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "医師情報マルチロウ明細行追加時 Start")
'(M) END V4-11023-000 004 20110816
		Dim row As DataRow = Nothing
		Try
			' 上下ボタン使用可否を設定
			setUpDownButtonEnabled(e)
			' 医師連番
			row = dtDoctor.Rows(e.Index)
			row(sqlMTI_DOCTOR.itmDOCTOR_SERIAL_NO) = dtDoctor.Rows.Count
			With CType(sender, BT_MultiRowDetail)
				' １行目の追加の場合のみ、主治医フラグをオンにする。
				If .ViewIndex = 0 Then
					If .Control(MEN030C011.CST_DOCTOR_DETAIL_MAIN_DOCTOR_FLG).Equals(e.CurrentControl) Then
						' 主治医フラグの入力中は設定しない
					Else
						row(sqlMTI_DOCTOR.itmMAIN_DOCTOR_FLG) = clsConst.Enum_CheckBox_Flg.CheckOn
					End If
				End If
				' 医師区分コード
				If .Control(MEN030C011.CST_DOCTOR_DETAIL_DOCTOR_DIV).Equals(e.CurrentControl) Then
					' 医師区分コードの入力中は設定しない
				Else
					' 医師区分コードが未設定の場合、先頭の医師区分コードを設定する
					If Not String.IsNullOrEmpty(strDefaultDoctorDiv) Then
						row(sqlMTI_DOCTOR.itmDOCTOR_DIV) = strDefaultDoctorDiv
					End If
				End If
				' 動作環境設定の科歴医師の開始日・終了日を入力＝するの場合、
				If flgAttendDate Then
					' 担当開始日
					If .Control(MEN030C011.CST_DOCTOR_DETAIL_ATTEND_START_DT).Equals(e.CurrentControl) Then
						' 担当開始日の入力中は設定しない
					Else
						' 担当開始日には開始日を設定する。
						row(sqlMTI_DOCTOR.itmATTEND_START_DT) = Me.ChRec.START_DT	'担当開始日 ← 開始日
					End If
					' 担当終了日
					If .Control(MEN030C011.CST_DOCTOR_DETAIL_ATTEND_END_DT).Equals(e.CurrentControl) Then
						' 担当終了日の入力中は設定しない
					Else
						' 担当終了日には終了日を設定する。
						row(sqlMTI_DOCTOR.itmATTEND_END_DT) = Me.ChRec.END_DT		'担当終了日 ← 終了日
					End If
				End If
			End With
			Me.mlr001MEN030F050.Requery()
			flgUpdDoctor = True
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			row = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 医師情報マルチロウ行変更時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub mlr001MEN030F050_SelectedIndexChanged(ByVal sender As Object, ByVal e As XCM.BT_MultiRow.MultiRowEventArgs) Handles mlr001MEN030F050.SelectedIndexChanged
		log(clsSysMst.logLevel.DBG, "mlr001MEN030F050_SelectedIndexChanged", "医師情報マルチロウ行変更時 Start")
		Try
			' 上下ボタン使用可否を設定
			setUpDownButtonEnabled(e)
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 上下ボタン使用可否を設定
	''' </summary>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setUpDownButtonEnabled(ByVal e As XCM.BT_MultiRow.MultiRowEventArgs)
		log(clsSysMst.logLevel.DBG, "setUpDownButtonEnabled", "上下ボタン使用可否を設定 Start")
		Dim iRowsCount As Integer = 0
		Dim iFirstRowIndex As Integer = -1
		Dim iLastRowIndex As Integer = -1
		Try
			' マルチロウ行数の取得
			For i As Integer = 0 To dtDoctor.Rows.Count - 1
				With dtDoctor.Rows(i)
					If .RowState = DataRowState.Deleted Then
						Continue For
					End If
					iRowsCount += 1
					If iFirstRowIndex < 0 Then
						iFirstRowIndex = i
					End If
					iLastRowIndex = i
				End With
			Next
			' ボタン制御
			If iRowsCount > 0 AndAlso e.Index > iFirstRowIndex AndAlso e.Index <= iLastRowIndex Then
				Me.btn004MEN000F010.Enabled = True		'↑ボタン使用可
			Else
				Me.btn004MEN000F010.Enabled = False		'↑ボタン使用不可
			End If
			If iRowsCount > 0 AndAlso e.Index < iLastRowIndex Then
				Me.btn005MEN000F010.Enabled = True		'↓ボタン使用可
			Else
				Me.btn005MEN000F010.Enabled = False		'↓ボタン使用不可
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' マルチロウ上下入替え処理
	''' </summary>
	''' <param name="bDownWard"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function setMultiRowExchange(ByVal bDownWard As Boolean) As Boolean
		log(clsSysMst.logLevel.DBG, "setMultiRowExchange", "マルチロウ上下入替え処理 Start")
		Dim rowBegin As DataRow = Nothing
		Dim rowSince As DataRow = Nothing
		Dim intIndexBegin As Integer = 0
		Dim intIndexSince As Integer = 0
		Dim intSerialNoBegin As Integer = 0
		Dim intSerialNoSince As Integer = 0
		Try
			' インデックス範囲の設定
			If Not bDownWard Then
				' 上方
				intIndexBegin = Me.mlr001MEN030F050.SelectedIndex - 1
				intIndexSince = Me.mlr001MEN030F050.SelectedIndex
			Else
				' 下方
				intIndexBegin = Me.mlr001MEN030F050.SelectedIndex
				intIndexSince = Me.mlr001MEN030F050.SelectedIndex + 1
			End If
			' 対象行の DataRow 取得
			Using dv As DataView = dtDoctor.DefaultView
				With dv.ToTable
					For i As Integer = intIndexBegin To .Rows.Count - 1
						Select Case i
							Case intIndexBegin
								rowBegin = .Rows(i)
								intSerialNoBegin = rowBegin(sqlMTI_DOCTOR.itmDOCTOR_SERIAL_NO)
							Case intIndexSince
								rowSince = .Rows(i)
								intSerialNoSince = rowSince(sqlMTI_DOCTOR.itmDOCTOR_SERIAL_NO)
							Case Else
								Exit For
						End Select
					Next
				End With
			End Using
			If rowBegin IsNot Nothing AndAlso rowSince IsNot Nothing Then
				' 上下入替え
				For Each row As DataRow In dtDoctor.Rows
					If row.RowState = DataRowState.Deleted Then
						Continue For
					End If
					Select Case row(sqlMTI_DOCTOR.itmDOCTOR_SERIAL_NO)
						Case intSerialNoBegin
							row(sqlMTI_DOCTOR.itmDOCTOR_SERIAL_NO) = intSerialNoSince
						Case intSerialNoSince
							row(sqlMTI_DOCTOR.itmDOCTOR_SERIAL_NO) = intSerialNoBegin
						Case Else
					End Select
				Next
				Using dt As DataTable = dtDoctor.Copy
					dt.DefaultView.Sort = sqlMTI_DOCTOR.itmDOCTOR_SERIAL_NO
					dtDoctor = dt.DefaultView.ToTable
					Me.mlr001MEN030F050.DataSource = dtDoctor
					Me.mlr001MEN030F050.Requery()
				End Using
				If Not bDownWard Then
					' 上方
					Me.mlr001MEN030F050.SelectRow(intIndexBegin)
				Else
					' 下方
					Me.mlr001MEN030F050.SelectRow(intIndexSince)
				End If
				flgUpdDoctor = True
			End If
		Catch ex As Exception
			Throw
		Finally
			rowBegin = Nothing
			rowSince = Nothing
		End Try
	End Function

#End Region

#Region "オーバライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 上へ処理
	''' </summary>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function UpWardProc() As Boolean
		log(clsSysMst.logLevel.DBG, "UpWardProc", "上へ処理 クリック Start")
		Try
			' マルチロウ上下入替え処理（上方）
			Return setMultiRowExchange(False)
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 下へ処理
	''' </summary>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function DownWardProc() As Boolean
		log(clsSysMst.logLevel.DBG, "DownWardProc", "下へ処理 クリック Start")
		Try
			' マルチロウ上下入替え処理（下方）
			Return setMultiRowExchange(True)
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' Ｆ１キー押下処理
	''' </summary>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function F1KeyProc() As Boolean
		log(clsSysMst.logLevel.NRM, "F1KeyProc", "Ｆ１キー押下処理 Start")
		Try
			' 処理モード＝「参照」の場合は処理しない
			If Me.ExeMode = Enum_ExeMode.eEntry Then
				With Me.mlr001MEN030F050
					For i As Integer = 0 To .RowCount - 1
						With .Rows(i)
							If .Control(MEN030C011.CST_DOCTOR_DETAIL_DOCTOR_CD).Focused Then
								' 職員検索画面を起動
								Return Me.ExecStaffForm(.Control(MEN030C011.CST_DOCTOR_DETAIL_DOCTOR_CD), .Control(MEN030C011.CST_DOCTOR_DETAIL_DOCTOR_NM), Me.ChRec.DEPT_NM) OrElse MyBase.F1KeyProc()
							End If
						End With
					Next
				End With
			End If
			Return MyBase.F1KeyProc()
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 更新前チェック処理
	''' </summary>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function PreUpdChkData() As Boolean
		log(clsSysMst.logLevel.DBG, "PreUpdChkData", "更新前チェック処理 Start")
		Try
			' 子コントロールの検証
			Return Me.ValidateChildren
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 更新前処理
	''' </summary>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function PreUpdProc() As Boolean
		log(clsSysMst.logLevel.DBG, "PreUpdProc", "更新前処理 Start")
		Try
			Return flgUpdDoctor
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 更新処理
	''' </summary>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function UpdProc() As Boolean
		log(clsSysMst.logLevel.DBG, "UpdProc", "更新処理 Start")
		Try
			Me.ReturnValue = dtDoctor.Copy
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 更新後処理
	''' </summary>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function AfterUpdProc() As Boolean
		log(clsSysMst.logLevel.DBG, "AfterUpdProc", "更新後処理 Start")
		Try
			Me.FormReturn = Enum_FormReturn.OK
			flgUpdDoctor = False
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 画面終了後処理
	''' </summary>
	''' <param name="bCancel">キャンセルフラグ</param>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub ClosedProc(ByVal bCancel As Boolean)
		If bCancel Then
			Exit Sub
		End If
		Try
			' インスタンス開放
			If dtDoctor IsNot Nothing Then
				dtDoctor.Dispose()
			End If

			' 画面終了後処理
			MyBase.ClosedProc(bCancel)
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			dtDoctor = Nothing
		End Try
	End Sub

#End Region

End Class