﻿Imports XCM
Imports XSP

''' ---------------------------------------------
''' <summary>
''' 手術・治療処置・検査情報複写
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MEN050F020

#Region "コンスタント"

	'入退院情報表示列コントロール
	Private DSPCOL_NAME_HISTORY As String() = { _
	"c01003MEN050F020", "c02003MEN050F020", "c03003MEN050F020", "c04003MEN050F020", "c05003MEN050F020", _
	"c06003MEN050F020", "c07003MEN050F020", "c08003MEN050F020", "c09003MEN050F020", "c10003MEN050F020", _
	"c11003MEN050F020", "c12003MEN050F020", "c13003MEN050F020"}
	'科歴情報表示列コントロール
	Private DSPCOL_NAME_CH As String() = { _
	"c01005MEN050F020", "c02005MEN050F020", "c03005MEN050F020", "c04005MEN050F020", "c05005MEN050F020", _
	"c06005MEN050F020", "c07005MEN050F020", "c08005MEN050F020", "c09005MEN050F020", "c10005MEN050F020", _
	"c11005MEN050F020", "c12005MEN050F020", "c13005MEN050F020", "c14005MEN050F020"}
	'手術・治療処置・検査情報表示列コントロール
	Private DSPCOL_NAME_SEARCH As String() = { _
	"c02007MEN050F020", "c03007MEN050F020", "c04007MEN050F020", "c05007MEN050F020", "c06007MEN050F020",
	"c07007MEN050F020", "c08007MEN050F020"}

	'画面種別別非表示コントロール（手術・治療処置・検査情報）
	Private NODSPCOL_NAME_OPE As String() = {"c08007MEN050F020"}
	Private NODSPCOL_NAME_CARE As String() = {"c06007MEN050F020", "c07007MEN050F020"}
	Private NODSPCOL_NAME_TEST As String() = {"c06007MEN050F020", "c07007MEN050F020"}

	'画面タイトル
	Private Const HED_TITLE_OPE As String = "手 術 情 報 複 写"
	Private Const HED_TITLE_CARE As String = "治 療 処 置 情 報 複 写"
	Private Const HED_TITLE_TEST As String = "検 査 情 報 複 写"

	'列ヘッダタイトル
	Private Const COL_HED_TITLE_OPE As String = "手術名"
	Private Const COL_HED_TITLE_CARE As String = "治療処置名"
	Private Const COL_HED_TITLE_TEST As String = "検査名"

	'検索情報一覧タイトル
	Private Const LIST_TITLE_OPE As String = "手  術"
	Private Const LIST_TITLE_CARE As String = "治療処置"
	Private Const LIST_TITLE_TEST As String = "検  査"

	'手術名・治療処置名・検査名列コントロール名
	Private Const NAME_COL_CTRL As String = "c04007MEN050F020"

	'病歴番号列コントロール名
	Private Const BR_NO_COL_CTRL_HISTORY As String = "c02003MEN050F020"
	Private Const BR_NO_COL_CTRL_CH As String = "c02005MEN050F020"

	'データバインド列設定
	Private DATAPROP_ADD_CTRL As String() = {"c01007MEN050F020", "c02007MEN050F020", "c04007MEN050F020", "c05007MEN050F020"}
	'先頭接続文字
	Private Const DATAPROP_ADD_OPE As String = "OPE_"
	Private Const DATAPROP_ADD_CARE As String = "CARE_"
	Private Const DATAPROP_ADD_TEST As String = "TEST_"

#End Region

#Region "変数"

	Private pScrKind As clsMENCOMMON.Enum_ScrKind	'画面種類

	Private pdtHistory As DataTable					'入退院情報データテーブル
	Private pdtCh As DataTable						'科歴情報データテーブル
	Private pdtSearch As DataTable					'手術・治療処置・検査情報データテーブル
	Private pdtParent As DataTable					'親画面の手術・治療処置・検査情報データテーブル
	Private pdtOpeDoctor As DataTable				'親画面の手術医師情報データテーブル

	Private pSelectHistoryNo As Integer = Nothing	'入退院歴番号（絞込み条件）
	Private pSelectChNo As Integer = Nothing		'科歴番号（絞込み条件）

	Private pRetData As DataTable					'追加情報一覧（手術・治療処置・検査情報）

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ（手術）
	''' </summary>
	''' <param name="scrKind">画面種類</param>
	''' <param name="patientNo">患者番号</param>
	''' <param name="historyNo">入退院歴番号</param>
	''' <param name="chNo">科歴番号</param>
	''' <param name="dtParent">親画面の手術情報データテーブル</param>
	''' <param name="dtOpeDoctor">親画面の手術医師情報データテーブル</param>
	''' <remarks>
	''' 2010/11/19 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal scrKind As clsMENCOMMON.Enum_ScrKind, ByVal patientNo As String, ByVal historyNo As Integer, ByVal chNo As Integer, ByVal dtParent As DataTable, ByVal dtOpeDoctor As DataTable)
		' この呼び出しはデザイナーで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。
		Me.pScrKind = scrKind					'画面種類
		Me.PatientNo = patientNo				'患者番号
		Me.HspHistoryNo = historyNo				'入退院歴番号
		Me.ChNo = chNo							'科歴番号
		Me.pdtParent = dtParent.Copy			'親画面の手術情報データテーブル
		If dtOpeDoctor IsNot Nothing Then
			Me.pdtOpeDoctor = dtOpeDoctor.Copy	'親画面の手術医師情報データテーブル
		End If
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ（治療処置・検査情報）
	''' </summary>
	''' <param name="scrKind">画面種類</param>
	''' <param name="patientNo">患者番号</param>
	''' <param name="historyNo">入退院歴番号</param>
	''' <param name="chNo">科歴番号</param>
	''' <param name="dtParent">親画面のデータテーブル</param>
	''' <remarks>
	''' 2010/11/19 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal scrKind As clsMENCOMMON.Enum_ScrKind, ByVal patientNo As String, ByVal historyNo As Integer, ByVal chNo As Integer, ByVal dtParent As DataTable)
		Me.New(scrKind, patientNo, historyNo, chNo, dtParent, Nothing)
	End Sub

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' 画面終了時イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/19 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN050F020_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(clsSysMst.logLevel.NRM, "MEN050F020_FormClosing", "画面終了時イベント Start")
		Try
			' 画面途中でエラーの場合は処理しない
			If Me.LoadError OrElse e.Cancel Then
				Exit Try
			End If
		Catch ex As Exception
			e.Cancel = True		'エラー時は画面を閉じない
			Me.ErrorProc(ex)
		Finally
			' 変数の解放は ClosedProc に記述する
			Me.ClosedProc(e.Cancel)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面ロード時イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/19 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN050F020_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		If Me.DesignMode OrElse Me.LoadError Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.NRM, "MEN050F020_Load", "画面ロード時イベント Start")
		Dim cliGridStyle As clsGridStyle
		Dim envTitle As String = Nothing
		Dim envSortOpe As clsConst.Enum_SortOpe = clsConst.Enum_SortOpe.NoSort
		Dim envSortCare As clsConst.Enum_SortCare = clsConst.Enum_SortCare.NoSort
		Dim envSortTest As clsConst.Enum_SortTest = clsConst.Enum_SortTest.NoSort
		Try
			cliGridStyle = New clsGridStyle

			'「追加しました。」メッセージラベルを非表示
			Me.lbl008MEN050F020.Visible = False

			'初期化
			Me.pdtHistory = New DataTable			'入退院情報データテーブル
			Me.pdtCh = New DataTable				'科歴情報データテーブル
			Me.pdtSearch = New DataTable			'検索情報データテーブル
			Me.pRetData = New DataTable				'追加検索情報一覧
			Me.pSelectHistoryNo = Nothing			'入退院歴番号（絞込み条件）
			Me.pSelectChNo = Nothing				'科歴番号（絞込み条件）

			'動作環境設定テーブルより「入退院歴情報」および「科歴情報」の病歴番号列タイトルを設定する。
			envTitle = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00001)
			Me.dgv003MEN050F020.Columns.Item(BR_NO_COL_CTRL_HISTORY).HeaderText = envTitle
			Me.dgv005MEN050F020.Columns.Item(BR_NO_COL_CTRL_CH).HeaderText = envTitle

			'動作環境設定テーブルより手術一覧並び替え設定を取得する
			If Not Integer.TryParse(clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00046), envSortOpe) Then
				envSortOpe = clsConst.Enum_SortOpe.NoSort
			End If

			'動作環境設定テーブルより処置一覧並び替え設定を取得する
			If Not Integer.TryParse(clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00047), envSortCare) Then
				envSortCare = clsConst.Enum_SortCare.NoSort
			End If

			'動作環境設定テーブルより検査一覧並び替え設定を取得する
			If Not Integer.TryParse(clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00048), envSortTest) Then
				envSortTest = clsConst.Enum_SortTest.NoSort
			End If

			'画面種類別の設定
			Select Case Me.pScrKind
				Case clsMENCOMMON.Enum_ScrKind.eOpe		'手術
					'画面タイトル設定
					Me.Title = HED_TITLE_OPE
					Me.Text = Me.Title.Replace(" ", "")
					'検索情報一覧タイトル
					Me.lbl006MEN050F020.Text = LIST_TITLE_OPE
					With Me.dgv007MEN050F020.Columns
						'列ヘッダタイトル設定
						.Item(NAME_COL_CTRL).HeaderText = COL_HED_TITLE_OPE
						'データバインド列設定
						For i As Integer = 0 To CType(DATAPROP_ADD_CTRL, Array).GetUpperBound(0)
							.Item(DATAPROP_ADD_CTRL(i)).DataPropertyName = DATAPROP_ADD_OPE & .Item(DATAPROP_ADD_CTRL(i)).DataPropertyName
						Next
					End With
				Case clsMENCOMMON.Enum_ScrKind.eCare	'治療処置
					'画面タイトル設定
					Me.Title = HED_TITLE_CARE
					Me.Text = Me.Title.Replace(" ", "")
					'検索情報一覧タイトル
					Me.lbl006MEN050F020.Text = LIST_TITLE_CARE
					With Me.dgv007MEN050F020.Columns
						'列ヘッダタイトル設定
						.Item(NAME_COL_CTRL).HeaderText = COL_HED_TITLE_CARE
						'データバインド列設定
						For i As Integer = 0 To CType(DATAPROP_ADD_CTRL, Array).GetUpperBound(0)
							.Item(DATAPROP_ADD_CTRL(i)).DataPropertyName = DATAPROP_ADD_CARE & .Item(DATAPROP_ADD_CTRL(i)).DataPropertyName
						Next
					End With
				Case clsMENCOMMON.Enum_ScrKind.eTest	'検査
					'画面タイトル設定
					Me.Title = HED_TITLE_TEST
					Me.Text = Me.Title.Replace(" ", "")
					'検索情報一覧タイトル
					Me.lbl006MEN050F020.Text = LIST_TITLE_TEST
					With Me.dgv007MEN050F020.Columns
						'列ヘッダタイトル設定
						.Item(NAME_COL_CTRL).HeaderText = COL_HED_TITLE_TEST
						'データバインド列設定
						For i As Integer = 0 To CType(DATAPROP_ADD_CTRL, Array).GetUpperBound(0)
							.Item(DATAPROP_ADD_CTRL(i)).DataPropertyName = DATAPROP_ADD_TEST & .Item(DATAPROP_ADD_CTRL(i)).DataPropertyName
						Next
					End With
				Case Else
			End Select

			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				'入退院情報の検索
				Using cliHsp As clsMTI_HSP = New clsMTI_HSP
					Me.pdtHistory = cliHsp.getHspPlusPatientDa(db, Me.PatientNo)
				End Using
				'科歴情報の検索
				Using cliCh As clsMTI_CH = New clsMTI_CH
					Me.pdtCh = cliCh.getChPlusPatientDa(db, Me.PatientNo)
				End Using
				'画面種別の情報の検索
				Select Case Me.pScrKind
					Case clsMENCOMMON.Enum_ScrKind.eOpe		'手術
						'手術情報の検索
						Using cliOpe As clsMTI_OPE = New clsMTI_OPE(envSortOpe)
							Me.pdtSearch = cliOpe.getOpePlusPatientDa(db, Me.PatientNo)
						End Using
					Case clsMENCOMMON.Enum_ScrKind.eCare	'治療処置
						'治療処置情報の検索
						Using cliCare As clsMTI_CARE = New clsMTI_CARE(envSortCare)
							Me.pdtSearch = cliCare.getCarePlusPatientDa(db, Me.PatientNo)
						End Using
					Case clsMENCOMMON.Enum_ScrKind.eTest	'検査
						'検査情報の検索
						Using cliTest As clsMTI_TEST = New clsMTI_TEST(envSortTest)
							Me.pdtSearch = cliTest.getTestPlusPatientDa(db, Me.PatientNo)
						End Using
					Case Else
				End Select
				Me.pdtSearch.Columns.Add(sqlMENCOMMON.itmAddCol4NewRow, GetType(String))
				Me.pdtSearch.Columns.Add(sqlMENCOMMON.itmAddCol4RowSeq, GetType(Integer))
			End Using

			'検索情報と同じ型にしておく
			pRetData = Me.pdtSearch.Clone

			cliGridStyle.setGridHeight(Me.dgv003MEN050F020)
			cliGridStyle.setGridHeight(Me.dgv005MEN050F020)
			cliGridStyle.setGridHeight(Me.dgv007MEN050F020)
		Catch ex As Exception
			Me.ErrorProc(ex)
			Me.EndProc4Load()
		Finally
			cliGridStyle = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面オープン時イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/19 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN050F020_Shown(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Shown
		If Me.DesignMode OrElse Me.LoadError Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.NRM, "MEN050F020_Shown", "画面オープン時イベント Start")
		Try
			'入退院歴情報一覧表示
			Me.setHistoryList()
			'入退院歴一覧にフォーカス移動
			Me.dgv003MEN050F020.Focus()
		Catch ex As Exception
			Me.ErrorProc(ex)
			Me.EndProc4Shown()
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 「入退院歴情報」行変更時イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/19 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dgv003MEN050F020_SelectionChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles dgv003MEN050F020.SelectionChanged
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "dgv003MEN050F020_SelectionChanged", "「入退院歴情報」行変更時イベント Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "「入退院歴情報」行変更時イベント Start")
'(M) END V4-11023-000 004 20110816
		Try
			With Me.dgv003MEN050F020
				If .CurrentRow IsNot Nothing AndAlso .CurrentRow.Index > -1 Then
					Me.pSelectHistoryNo = .Rows(.CurrentRow.Index).Cells(1).Value
				End If
			End With
			'科歴情報一覧表示
			Me.setChList()
			'科歴情報一覧にフォーカス移動
			Me.dgv005MEN050F020.Focus()
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 「科歴情報」行変更時イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/19 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dgv005MEN050F020_SelectionChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles dgv005MEN050F020.SelectionChanged
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "dgv005MEN050F020_SelectionChanged", "「科歴情報」行変更時イベント Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "「科歴情報」行変更時イベント Start")
'(M) END V4-11023-000 004 20110816
		Try
			With Me.dgv005MEN050F020
				If .CurrentRow IsNot Nothing AndAlso .CurrentRow.Index > -1 Then
					Me.pSelectChNo = .Rows(.CurrentRow.Index).Cells(2).Value
				End If
			End With
			'検索情報一覧表示
			Me.setSearchList(False)
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 「検索情報」ダブルクリック時イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/19 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dgv007MEN050F020_DoubleClick(ByVal sender As Object, ByVal e As System.EventArgs) Handles dgv007MEN050F020.DoubleClick
		log(clsSysMst.logLevel.NRM, "dgv007MEN050F020_DoubleClick", "「検索情報」ダブルクリック時イベント Start")
		Try
			'追加処理
			Me.addData()
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 「検索情報」行変更時イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/19 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dgv007MEN050F020_SelectionChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles dgv007MEN050F020.SelectionChanged
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "dgv007MEN050F020_SelectionChanged", "「検索情報」行変更時イベント Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "「検索情報」行変更時イベント Start")
'(M) END V4-11023-000 004 20110816
		Try
			'「追加しました。」メッセージラベルを非表示
			Me.lbl008MEN050F020.Visible = False
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 入退院歴情報一覧表示
	''' </summary>
	''' <remarks>
	''' 2010/11/19 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setHistoryList()
		log(clsSysMst.logLevel.DBG, "setHistoryList", "入退院歴情報一覧表示 Start")
		Try
			With Me.dgv003MEN050F020
				.DataSource = Me.pdtHistory
				If CType(.DataSource, DataTable).Rows.Count > 0 Then
					.Rows(0).Selected = True
					Me.pSelectHistoryNo = .Rows(.CurrentRow.Index).Cells(1).Value
				End If
				'列の表示設定
				For i As Integer = 0 To .ColumnCount - 1
					If Array.IndexOf(Me.DSPCOL_NAME_HISTORY, .Columns(i).Name) > -1 Then
						.Columns(i).Visible = True
					Else
						.Columns(i).Visible = False
					End If
				Next
				'表示順設定
				For i As Integer = 0 To CType(Me.DSPCOL_NAME_HISTORY, Array).GetUpperBound(0)
					.Columns.Item(Me.DSPCOL_NAME_HISTORY(i)).DisplayIndex = i
				Next
			End With
			'科歴情報一覧表示
			Me.setChList()
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 科歴情報一覧表示
	''' </summary>
	''' <remarks>
	''' 2010/11/19 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setChList()
		log(clsSysMst.logLevel.DBG, "setChList", "科歴情報一覧表示 Start")
		Dim listData As DataTable
		Try
			listData = Me.pdtCh.Clone
			With Me.pdtCh
				For i As Integer = 0 To .Rows.Count - 1
					If Me.pSelectHistoryNo = .Rows(i)(1) Then
						listData.ImportRow(.Rows(i))
					End If
				Next
			End With
			Me.dgv005MEN050F020.DataSource = listData
			With Me.dgv005MEN050F020
				If CType(.DataSource, DataTable).Rows.Count > 0 Then
					.Rows(0).Selected = True
					Me.pSelectChNo = .Rows(.CurrentRow.Index).Cells(2).Value
				End If
				'列の表示設定
				For i As Integer = 0 To .ColumnCount - 1
					If Array.IndexOf(Me.DSPCOL_NAME_CH, .Columns(i).Name) > -1 Then
						.Columns(i).Visible = True
					Else
						.Columns(i).Visible = False
					End If
				Next
				'表示順設定
				For i As Integer = 0 To CType(Me.DSPCOL_NAME_CH, Array).GetUpperBound(0)
					.Columns.Item(Me.DSPCOL_NAME_CH(i)).DisplayIndex = i
				Next
			End With
			'検索情報一覧表示
			Me.setSearchList(False)
		Catch ex As Exception
			Throw
		Finally
			listData = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 検索情報一覧表示
	''' </summary>
	''' <param name="allFlg">全情報表示フラグ</param>
	''' <remarks>
	''' 2010/11/19 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setSearchList(ByVal allFlg As Boolean)
		log(clsSysMst.logLevel.DBG, "setSearchList", "検索情報一覧表示 Start")
		Dim listData As DataTable
		Try
			listData = Me.pdtSearch.Clone
			Select Case True
				Case allFlg
					'全情報表示
					For Each row As DataRow In Me.pdtSearch.Rows
						Select Case True
							Case Me.HspHistoryNo < row(1)
								Exit Select
							Case Me.HspHistoryNo > row(1)
								Exit For
							Case Me.ChNo < row(2)
								Exit Select
							Case Else
								Exit For
						End Select
						listData.ImportRow(row)
					Next
					For Each row As DataRow In Me.pdtParent.Rows
						Select Case True
							Case row.RowState = DataRowState.Deleted
								Continue For
							Case row(sqlMENCOMMON.itmAddCol4NewRow).ToString = clsMENCOMMON.CONST_NEWROW
								Continue For
							Case Else
								row(sqlMENCOMMON.itmAddCol4NewRow) = clsMENCOMMON.CONST_ADDROW
								listData.ImportRow(row)
						End Select
					Next
					For Each row As DataRow In Me.pdtSearch.Rows
						Select Case True
							Case Me.HspHistoryNo < row(1)
								Continue For
							Case Me.HspHistoryNo > row(1)
								Exit Select
							Case Me.ChNo < row(2)
								Continue For
							Case Me.ChNo > row(2)
								Exit Select
							Case Else
								Continue For
						End Select
						listData.ImportRow(row)
					Next
				Case Me.pSelectHistoryNo = Me.HspHistoryNo AndAlso Me.pSelectChNo = Me.ChNo
					'親画面と同じ
					For Each row As DataRow In Me.pdtParent.Rows
						Select Case True
							Case row.RowState = DataRowState.Deleted
								Continue For
							Case row(sqlMENCOMMON.itmAddCol4NewRow).ToString = clsMENCOMMON.CONST_NEWROW
								Continue For
							Case Else
								row(sqlMENCOMMON.itmAddCol4NewRow) = clsMENCOMMON.CONST_ADDROW
								listData.ImportRow(row)
						End Select
					Next
				Case Else
					'選択
					For Each row As DataRow In Me.pdtSearch.Rows
						If Me.pSelectHistoryNo = row(1) AndAlso Me.pSelectChNo = row(2) Then
							listData.ImportRow(row)
						End If
					Next
			End Select
			Me.dgv007MEN050F020.DataSource = listData
			With Me.dgv007MEN050F020
				If CType(.DataSource, DataTable).Rows.Count > 0 Then
					.Rows(0).Selected = True
				End If
				'列の表示設定
				For i As Integer = 0 To .ColumnCount - 1
					If Array.IndexOf(Me.DSPCOL_NAME_SEARCH, .Columns(i).Name) > -1 Then
						.Columns(i).Visible = True
					Else
						.Columns(i).Visible = False
					End If
				Next
				'列非表示設定
				Select Case Me.pScrKind
					Case clsMENCOMMON.Enum_ScrKind.eOpe		'手術
						For i As Integer = 0 To CType(NODSPCOL_NAME_OPE, Array).GetUpperBound(0)
							.Columns.Item(NODSPCOL_NAME_OPE(i)).Visible = False
						Next
					Case clsMENCOMMON.Enum_ScrKind.eCare	'治療処置
						For i As Integer = 0 To CType(NODSPCOL_NAME_CARE, Array).GetUpperBound(0)
							.Columns.Item(NODSPCOL_NAME_CARE(i)).Visible = False
						Next
					Case clsMENCOMMON.Enum_ScrKind.eTest	'検査
						For i As Integer = 0 To CType(NODSPCOL_NAME_TEST, Array).GetUpperBound(0)
							.Columns.Item(NODSPCOL_NAME_TEST(i)).Visible = False
						Next
					Case Else
				End Select
				'表示順設定
				For i As Integer = 0 To CType(Me.DSPCOL_NAME_SEARCH, Array).GetUpperBound(0)
					.Columns.Item(Me.DSPCOL_NAME_SEARCH(i)).DisplayIndex = i
				Next
			End With
			'「追加しました。」メッセージラベルを非表示
			Me.lbl008MEN050F020.Visible = False
		Catch ex As Exception
			Throw
		Finally
			listData = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 追加処理
	''' </summary>
	''' <remarks>
	''' 2010/11/19 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub addData()
		log(clsSysMst.logLevel.DBG, "addData", "追加処理 Start")
		Try
			'検索情報が０件の場合
			If Me.dgv007MEN050F020.DataSource Is Nothing OrElse CType(Me.dgv007MEN050F020.DataSource, DataTable).Rows.Count <= 0 Then
				'エラーメッセージを出力し処理を抜ける。
				Select Case Me.pScrKind
					Case clsMENCOMMON.Enum_ScrKind.eOpe		'手術
						Me.showMsg("E0003", "手術情報が０件の", "複写", Nothing)
					Case clsMENCOMMON.Enum_ScrKind.eCare	'治療処置
						Me.showMsg("E0003", "治療処置情報が０件の", "複写", Nothing)
					Case clsMENCOMMON.Enum_ScrKind.eTest	'検査
						Me.showMsg("E0003", "検査情報が０件の", "複写", Nothing)
					Case Else
				End Select
				Exit Sub
			End If
			'検索情報が選択されていない場合
			If Me.dgv007MEN050F020.CurrentCell Is Nothing OrElse Me.dgv007MEN050F020.CurrentCell.ColumnIndex < 0 OrElse Me.dgv007MEN050F020.CurrentCell.RowIndex < 0 Then
				'エラーメッセージを出力し処理を抜ける。
				Select Case Me.pScrKind
					Case clsMENCOMMON.Enum_ScrKind.eOpe		'手術
						Me.showMsg("E0014", "手術情報", Nothing)
					Case clsMENCOMMON.Enum_ScrKind.eCare	'治療処置
						Me.showMsg("E0014", "治療処置情報", Nothing)
					Case clsMENCOMMON.Enum_ScrKind.eTest	'検査
						Me.showMsg("E0014", "検査情報", Nothing)
					Case Else
				End Select
				Exit Sub
			End If
			'内部変数に検索情報をセット
			With CType(Me.dgv007MEN050F020.DataSource, DataTable)
				'追加
				pRetData.ImportRow(.Rows(Me.dgv007MEN050F020.CurrentCell.RowIndex))
			End With
			'「追加しました。」メッセージラベルを表示
			Me.lbl008MEN050F020.Visible = True
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 戻り値作成処理（手術）
	''' </summary>
	''' <remarks>
	''' 2010/11/29 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getReturnValueOpe() As ArrayList
		log(clsSysMst.logLevel.DBG, "getReturnValueOpe", "戻り値作成処理（手術） Start")
		Dim arData As ArrayList = Nothing
		Dim dtOpeReturn As datMTI_OPE_Return = Nothing
		Dim iHspHistoryNo As Integer = 0
		Dim iChNo As Integer = 0
		Dim iOpeSerialNo As Integer = 0
		Dim bParentFlg As Boolean = False
		Try
			arData = New ArrayList()
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData), cliOpe As clsMTI_OPE = New clsMTI_OPE
				For Each row As DataRow In Me.pRetData.Rows
					Select Case False
						Case Integer.TryParse(row(sqlMTI_OPE.itmHSP_HISTORY_NO).ToString, iHspHistoryNo) AndAlso iHspHistoryNo > 0
						Case Integer.TryParse(row(sqlMTI_OPE.itmCH_NO).ToString, iChNo) AndAlso iChNo > 0
						Case Integer.TryParse(row(sqlMTI_OPE.itmOPE_SERIAL_NO).ToString, iOpeSerialNo) AndAlso iOpeSerialNo > 0
						Case Else
							bParentFlg = (row(sqlMENCOMMON.itmAddCol4NewRow).ToString = clsMENCOMMON.CONST_ADDROW)
							dtOpeReturn = New datMTI_OPE_Return
							dtOpeReturn.OpePlusRec = cliOpe.getOpePlusRecFromDataRow(row)
							If dtOpeReturn.OpePlusRec IsNot Nothing Then
								dtOpeReturn.OpeDoctorArray = getReturnValueOpeDoctor(db, Me.PatientNo, iHspHistoryNo, iChNo, iOpeSerialNo, bParentFlg)
								arData.Add(dtOpeReturn)
							End If
					End Select
				Next
			End Using
			Return arData
		Catch ex As Exception
			Throw
		Finally
			arData = Nothing
			dtOpeReturn = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 戻り値作成処理（手術医師）
	''' </summary>
	''' <remarks>
	''' 2010/11/29 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getReturnValueOpeDoctor(ByVal db As clsDB, ByVal pPatientNo As String, ByVal pHspHistoryNo As Integer, ByVal pChNo As Integer, ByVal pOpeSerialNo As Integer, ByVal pParentFlg As Boolean) As ArrayList
		log(clsSysMst.logLevel.DBG, "getReturnValueOpe", "戻り値作成処理（手術医師） Start")
		Dim arData As ArrayList = Nothing
		Dim dtData As datMTI_OPE_DOCTOR_OneRec = Nothing
		Dim iSerialNo As Integer = 0
		Try
			arData = New ArrayList()
			Using cliOpeDoctor As clsMTI_OPE_DOCTOR = New clsMTI_OPE_DOCTOR
				If pParentFlg Then
					If pdtOpeDoctor IsNot Nothing Then
						For Each row As DataRow In pdtOpeDoctor.Select(sqlMTI_OPE_DOCTOR.itmOPE_SERIAL_NO & "=" & pOpeSerialNo)
							If row.RowState = DataRowState.Deleted Then
								Continue For
							End If
							iSerialNo = iSerialNo + 1
							row(sqlMTI_OPE_DOCTOR.itmOPE_DOCTOR_SERIAL_NO) = iSerialNo
							dtData = cliOpeDoctor.getOpeDoctorRecFromDataRow(row)
							If dtData IsNot Nothing Then
								arData.Add(dtData)
							End If
						Next
					End If
				Else
					arData = cliOpeDoctor.getOpeDoctorSerial(db, pPatientNo, pHspHistoryNo, pChNo, pOpeSerialNo)
				End If
			End Using
			Return arData
		Catch ex As Exception
			Throw
		Finally
			arData = Nothing
			dtData = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 戻り値作成処理（治療処置）
	''' </summary>
	''' <remarks>
	''' 2010/11/29 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getReturnValueCare() As ArrayList
		log(clsSysMst.logLevel.DBG, "getReturnValueCare", "戻り値作成処理（治療処置） Start")
		Dim arData As ArrayList = Nothing
		Dim dtData As datMTI_CARE_PLUS_OneRec = Nothing
		Dim iHspHistoryNo As Integer = 0
		Dim iChNo As Integer = 0
		Dim iCareSerialNo As Integer = 0
		Try
			arData = New ArrayList()
			Using cliCare As clsMTI_CARE = New clsMTI_CARE
				For Each row As DataRow In Me.pRetData.Rows
					Select Case False
						Case Integer.TryParse(row(sqlMTI_CARE.itmHSP_HISTORY_NO).ToString, iHspHistoryNo) AndAlso iHspHistoryNo > 0
						Case Integer.TryParse(row(sqlMTI_CARE.itmCH_NO).ToString, iChNo) AndAlso iChNo > 0
						Case Integer.TryParse(row(sqlMTI_CARE.itmCARE_SERIAL_NO).ToString, iCareSerialNo) AndAlso iCareSerialNo > 0
						Case Else
							dtData = cliCare.getCarePlusRecFromDataRow(row)
							If dtData IsNot Nothing Then
								arData.Add(dtData)
							End If
					End Select
				Next
			End Using
			Return arData
		Catch ex As Exception
			Throw
		Finally
			arData = Nothing
			dtData = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 戻り値作成処理（検査）
	''' </summary>
	''' <remarks>
	''' 2010/11/29 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getReturnValueTest() As ArrayList
		log(clsSysMst.logLevel.DBG, "getReturnValueTest", "戻り値作成処理（検査） Start")
		Dim arData As ArrayList = Nothing
		Dim dtData As datMTI_TEST_PLUS_OneRec = Nothing
		Dim iHspHistoryNo As Integer = 0
		Dim iChNo As Integer = 0
		Dim iTestSerialNo As Integer = 0
		Try
			arData = New ArrayList()
			Using cliTest As clsMTI_TEST = New clsMTI_TEST
				For Each row As DataRow In Me.pRetData.Rows
					Select Case False
						Case Integer.TryParse(row(sqlMTI_TEST.itmHSP_HISTORY_NO).ToString, iHspHistoryNo) AndAlso iHspHistoryNo > 0
						Case Integer.TryParse(row(sqlMTI_TEST.itmCH_NO).ToString, iChNo) AndAlso iChNo > 0
						Case Integer.TryParse(row(sqlMTI_TEST.itmTEST_SERIAL_NO).ToString, iTestSerialNo) AndAlso iTestSerialNo > 0
						Case Else
							dtData = cliTest.getTestPlusRecFromDataRow(row)
							If dtData IsNot Nothing Then
								arData.Add(dtData)
							End If
					End Select
				Next
			End Using
			Return arData
		Catch ex As Exception
			Throw
		Finally
			arData = Nothing
			dtData = Nothing
		End Try
	End Function

#End Region

#Region "オーバーライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' Ｆ３キー（追加）押下処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/19 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function FuncAddProc() As Boolean
		log(clsSysMst.logLevel.DBG, "FuncAddProc", "Ｆ３キー押下処理 Start")
		Try
			'追加処理
			Me.addData()
		Catch ex As Exception
			Throw
		End Try
		Return True
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' Ｆ１２キー（閉じる）押下処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/19 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function FuncCloseProc() As Boolean
		log(clsSysMst.logLevel.DBG, "FuncCloseProc", "Ｆ１２キー押下処理 Start")
		Dim retArray As ArrayList
		Try
			'戻り値を作成
			Select Case Me.pScrKind
				Case clsMENCOMMON.Enum_ScrKind.eOpe		'手術
					retArray = getReturnValueOpe()
				Case clsMENCOMMON.Enum_ScrKind.eCare	'治療処置
					retArray = getReturnValueCare()
				Case clsMENCOMMON.Enum_ScrKind.eTest	'検査
					retArray = getReturnValueTest()
				Case Else
					retArray = New ArrayList
			End Select
			'呼び出し元画面に戻る
			If retArray.Count > 0 Then
				Me.ReturnValue = retArray
				Me.FormReturn = Enum_FormReturn.OK
			End If
			'終了処理
			Me.EndProc()
		Catch ex As Exception
			Throw
		Finally
			retArray = Nothing
		End Try

		Return True
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ＥＮＴＥＲキー押下処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/19 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function EnterProc() As Boolean
		log(clsSysMst.logLevel.DBG, "EnterProc", "ＥＮＴＥＲキー押下処理 Start")
		Try
			If Me.ActiveControl.Name = Me.dgv007MEN050F020.Name Then
				'追加処理
				Me.addData()
			Else
				Return MyBase.EnterProc()
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 「全情報表示」ボタン押下時イベント
	''' </summary>
	''' <remarks>
	''' 2010/11/19 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function Func1Proc() As Boolean
		log(clsSysMst.logLevel.DBG, "Func1Proc", "「全情報表示」ボタン押下時イベント Start")
		Try
			'検索情報一覧表示
			Me.setSearchList(True)
			'検索情報一覧にフォーカス移動
			Me.dgv007MEN050F020.Focus()
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 「全件追加」ボタン押下時イベント
	''' </summary>
	''' <remarks>
	''' 2010/11/19 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function Func2Proc() As Boolean
		log(clsSysMst.logLevel.DBG, "Func2Proc", "「全件追加」ボタン押下時イベント Start")
		Dim retArray As ArrayList
		Dim msgChar As String = Nothing
		Try
			'検索情報が０件の場合
			If Me.dgv007MEN050F020.DataSource Is Nothing OrElse CType(Me.dgv007MEN050F020.DataSource, DataTable).Rows.Count <= 0 Then
				'エラーメッセージを出力し処理を抜ける。
				Select Case Me.pScrKind
					Case clsMENCOMMON.Enum_ScrKind.eOpe		'手術
						Me.showMsg("E0003", "手術情報が０件の", "複写", Nothing)
					Case clsMENCOMMON.Enum_ScrKind.eCare	'治療処置
						Me.showMsg("E0003", "治療処置情報が０件の", "複写", Nothing)
					Case clsMENCOMMON.Enum_ScrKind.eTest	'検査
						Me.showMsg("E0003", "検査情報が０件の", "複写", Nothing)
					Case Else
				End Select
				Exit Function
			End If

			Select Case Me.pScrKind
				Case clsMENCOMMON.Enum_ScrKind.eOpe		'手術
					msgChar = "手術情報を全件追加"
				Case clsMENCOMMON.Enum_ScrKind.eCare	'治療処置
					msgChar = "治療処置情報を全件追加"
				Case clsMENCOMMON.Enum_ScrKind.eTest	'検査
					msgChar = "検査情報を全件追加"
				Case Else
			End Select
'(M) STR V4-12053-000 004 2012/12/14 ID 病歴大将V4PKG 管理No.49 確認メッセージ「OK/キャンセル」→「はい/いいえ」に修正
			'If Me.confMsg("Q0005", msgChar, Nothing) = MsgBoxResult.Ok Then
			If Me.confMsg("Q0005", msgChar, Nothing) = MsgBoxResult.Yes Then
'(M) END V4-12053-000 004 2012/12/14 ID
				With CType(Me.dgv007MEN050F020.DataSource, DataTable)
					For i As Integer = 0 To .Rows.Count - 1
						'追加
						pRetData.ImportRow(.Rows(i))
					Next
				End With
				'「追加しました。」メッセージラベルを表示
				Me.lbl008MEN050F020.Visible = True
				'戻り値を作成
				Select Case Me.pScrKind
					Case clsMENCOMMON.Enum_ScrKind.eOpe		'手術
						retArray = getReturnValueOpe()
					Case clsMENCOMMON.Enum_ScrKind.eCare	'治療処置
						retArray = getReturnValueCare()
					Case clsMENCOMMON.Enum_ScrKind.eTest	'検査
						retArray = getReturnValueTest()
					Case Else
						retArray = New ArrayList
				End Select
				'呼び出し元画面に戻る
				If retArray.Count > 0 Then
					Me.ReturnValue = retArray
					Me.FormReturn = Enum_FormReturn.OK
				End If
				'終了処理
				Me.EndProc()
			End If
		Catch ex As Exception
			Throw
		Finally
			retArray = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 画面終了後処理
	''' </summary>
	''' <param name="bCancel">キャンセルフラグ</param>
	''' <remarks>
	''' 2010/11/19 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub ClosedProc(ByVal bCancel As Boolean)
		If bCancel Then
			Exit Sub
		End If
		Try
			' インスタンス開放
			If pdtHistory IsNot Nothing Then
				pdtHistory.Dispose()
			End If
			If pdtCh IsNot Nothing Then
				pdtCh.Dispose()
			End If
			If pdtSearch IsNot Nothing Then
				pdtSearch.Dispose()
			End If
			If pdtParent IsNot Nothing Then
				pdtParent.Dispose()
			End If
			If pdtOpeDoctor IsNot Nothing Then
				pdtOpeDoctor.Dispose()
			End If
			If pRetData IsNot Nothing Then
				pRetData.Dispose()
			End If
			' 画面終了後処理
			MyBase.ClosedProc(bCancel)
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			pdtHistory = Nothing
			pdtCh = Nothing
			pdtSearch = Nothing
			pdtParent = Nothing
			pdtOpeDoctor = Nothing
			pRetData = Nothing
		End Try
	End Sub

#End Region

End Class