﻿Imports XCM
Imports XSP

''' ---------------------------------------------
''' <summary>
''' 分娩登録／参照
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MEN100F010

#Region "コンスタント"
	Private Const CONST_SELECT_PRAM_STRING As String = "@KEY_CD"
	Private Const CONST_SELECT_M_CBDIVCNT As String = sqlComboCom.itmITEM_CD & " = '" & CONST_SELECT_PRAM_STRING & "'"
	Private Const CONST_SELECT_M_CbSb_KEY As String = "CB_SERIAL_NO = "
	Private Const CONTROL_C01050MEN100F010 As String = "c01050MEN100F010"
	Private Const CONST_SHOW_CBSB_PARAM_STRING = "MEN100F020"
#End Region

#Region "変数"
	' 入力チェッククラス
	Private cliMEN010F060 As clsMEN010F060
	' MEN共通クラス
	Private cliMENCOMMON As clsMENCOMMON
	'グリッドスタイルクラス
	Private cliGridStyle As clsGridStyle
	' データテーブル
	Private datCb As DataTable
	Private datCbChild As DataTable
	Private datCbSb As DataTable
	Private datDispCbSb As DataTable
	' 現在編集中連番
	Private pNowSerialNo As Integer = 0
	'チェックボックス用グリッド表示文字列
	Private pCHECKBOX_TRUE As String
	Private pCHECKBOX_FALSE As String
	' 新規ファイルフラグ
	Private pNewRecordFlg As Boolean = False
	'子分娩日の初期プロパティ
	Private pFirstSelectValue As String = String.Empty
	' 選択行表示中フラグ
	Private pNowDispRowFlg As Boolean = False
	' 現在編集中の分娩児項目
	Private pNowChdCbTime As String = Nothing			'子分娩時刻
	Private pNowNewbornNo As String = Nothing			'新生児番号
	Private pNowChdPatientNo As String = Nothing		'子患者番号
	Private pNowNewbornStature As String = Nothing		'新生児身長
	Private pNowNewbornWeight As String = Nothing		'新生児体重
	Private pNowChdRemarks As String = Nothing			'子備考
#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pExeMode">処理モード</param>
	''' <param name="pPatientNo">患者番号</param>
	''' <param name="pHspHistoryNo">入退院歴番号</param>
	''' <param name="pChNo">科歴番号</param>
	''' <remarks>
	''' 2010/11/15 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal pExeMode As Enum_ExeMode, ByVal pPatientNo As String, ByVal pHspHistoryNo As Integer, ByVal pChNo As Integer)
		' この呼び出しは、Windows フォーム デザイナで必要です。
		MyBase.New()
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。
		Me.ExeMode = pExeMode						'処理モード
		Me.PatientNo = pPatientNo					'患者番号
		Me.HspHistoryNo = pHspHistoryNo				'入退院歴番号
		Me.ChNo = pChNo								'科歴番号
		Me.BeforeTransit = Enum_Transit.eChildbirth	'画面遷移前は「分娩」
	End Sub

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' 分娩登録＿Ｌｏａｄ処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN100F010_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		If Me.DesignMode OrElse Me.LoadError Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.NRM, "MEN100F010_Load", "分娩登録＿Ｌｏａｄ処理 Start")
		Dim cliCombo As clsComboCom
		Dim cliCom As clsCom
		Dim dtCbDiv As DataTable
		Dim larData As ArrayList
		Try
			cliMEN010F060 = New clsMEN010F060
			cliMENCOMMON = New clsMENCOMMON
			cliGridStyle = New clsGridStyle
			datCb = New DataTable
			datCbChild = New DataTable
			datCbSb = New DataTable
			datDispCbSb = New DataTable
			cliCombo = New clsComboCom
			cliCom = New clsCom
			'コントロール名の設定
			setControlName()
			' 参照モード？
			If Me.ExeMode = Enum_ExeMode.eReference Then showReferenceMode()
			'入力必須項目については該当する見出しの前景色を青色にする。
			lbl051MEN100F010.ForeColor = clsConst.CST_REQUIRED_COLOR
			' 条件入力値
			lbl013MEN100F010.ForeColor = clsConst.CST_OPTIONAL_REQUIRED_COLOR
			'チェックボックスのグリッド表示文字取得
			pCHECKBOX_TRUE = cliMENCOMMON.getCheckFlgDisp(clsConst.Enum_CheckBox_Flg.CheckOn)
			pCHECKBOX_FALSE = cliMENCOMMON.getCheckFlgDisp(clsConst.Enum_CheckBox_Flg.CheckOff)
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				'帝王切開
				cmb029MEN100F010.DataSource = cliCombo.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_CaesareanOperation)
				'性別
				cmb052MEN100F010.DataSource = cliCombo.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_CbGender)
				'血液型
				cmb059MEN100F010.DataSource = cliCombo.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_BloodType)
				'血液型 RH
				cmb061MEN100F010.DataSource = cliCombo.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_Rh)
				'アフガー１
				cmb074MEN100F010.DataSource = cliCombo.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_CbApgarscore)
				'アフガー5
				cmb077MEN100F010.DataSource = cliCombo.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_CbApgarscore)
				'分娩様式
				dtCbDiv = cliCombo.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_CbDivCnt)
				'初経産区分
				cmb002MEN100F010.DataSource = cliCom.getTableFromRows(dtCbDiv, dtCbDiv.Select(Replace(CONST_SELECT_M_CBDIVCNT, CONST_SELECT_PRAM_STRING, CStr(clsMENCOMMON.Enum_Cb_Delivery_Kbn.eDelivery1))))
				'分娩形態
				cmb005MEN100F010.DataSource = cliCom.getTableFromRows(dtCbDiv, dtCbDiv.Select(Replace(CONST_SELECT_M_CBDIVCNT, CONST_SELECT_PRAM_STRING, CStr(clsMENCOMMON.Enum_Cb_Delivery_Kbn.eDelivery2))))
				'分娩様式３
				cmb008MEN100F010.DataSource = cliCom.getTableFromRows(dtCbDiv, dtCbDiv.Select(Replace(CONST_SELECT_M_CBDIVCNT, CONST_SELECT_PRAM_STRING, CStr(clsMENCOMMON.Enum_Cb_Delivery_Kbn.eDelivery3))))
				'分娩様式４
				cmb011MEN100F010.DataSource = cliCom.getTableFromRows(dtCbDiv, dtCbDiv.Select(Replace(CONST_SELECT_M_CBDIVCNT, CONST_SELECT_PRAM_STRING, CStr(clsMENCOMMON.Enum_Cb_Delivery_Kbn.eDelivery4))))
				'分娩様式
				cmb089MEN100F010.DataSource = cliCom.getTableFromRows(dtCbDiv, dtCbDiv.Select(Replace(CONST_SELECT_M_CBDIVCNT, CONST_SELECT_PRAM_STRING, CStr(clsMENCOMMON.Enum_Cb_Delivery_Kbn.eDeliveryStyle1))))
				cmb092MEN100F010.DataSource = cliCom.getTableFromRows(dtCbDiv, dtCbDiv.Select(Replace(CONST_SELECT_M_CBDIVCNT, CONST_SELECT_PRAM_STRING, CStr(clsMENCOMMON.Enum_Cb_Delivery_Kbn.eDeliveryStyle2))))
				cmb095MEN100F010.DataSource = cliCom.getTableFromRows(dtCbDiv, dtCbDiv.Select(Replace(CONST_SELECT_M_CBDIVCNT, CONST_SELECT_PRAM_STRING, CStr(clsMENCOMMON.Enum_Cb_Delivery_Kbn.eDeliveryStyle3))))
				cmb098MEN100F010.DataSource = cliCom.getTableFromRows(dtCbDiv, dtCbDiv.Select(Replace(CONST_SELECT_M_CBDIVCNT, CONST_SELECT_PRAM_STRING, CStr(clsMENCOMMON.Enum_Cb_Delivery_Kbn.eDeliveryStyle4))))
				Me.cmb029MEN100F010.setDropDownWidth()
				Me.cmb052MEN100F010.setDropDownWidth()
				Me.cmb059MEN100F010.setDropDownWidth()
				Me.cmb061MEN100F010.setDropDownWidth()
				Me.cmb074MEN100F010.setDropDownWidth()
				Me.cmb077MEN100F010.setDropDownWidth()
				Me.cmb002MEN100F010.setDropDownWidth()
				Me.cmb005MEN100F010.setDropDownWidth()
				Me.cmb008MEN100F010.setDropDownWidth()
				Me.cmb011MEN100F010.setDropDownWidth()
				Me.cmb089MEN100F010.setDropDownWidth()
				Me.cmb092MEN100F010.setDropDownWidth()
				Me.cmb095MEN100F010.setDropDownWidth()
				Me.cmb098MEN100F010.setDropDownWidth()
			End Using
			' 初期設定を行う
			If Not SetInitDisp() Then
				Me.EndProc4Load()
				Exit Sub
			End If
			'DataGridView 設定
			cliGridStyle.setGridHeight(dgv050MEN100F010)
			dgv050MEN100F010.AutoGenerateColumns = False
			'分娩情報の取得
			SearchProc()
			dgv050MEN100F010.DataSource = datCbChild
			datCbChild.AcceptChanges()						' 変更をすべてクリアする
			' ソートをつける（グリッドの初回ソートがおかしいので１回目のソートを行う）
			larData = New ArrayList
			larData.Add(New DictionaryEntry(sqlMTI_CB_CHILD.itmCB_SERIAL_NO, clsGridSort.Enum_SortType.SortNone))
		Catch ex As Exception
			ErrorProc(ex)
			Me.EndProc4Load()
		Finally
			cliCombo = Nothing
			dtCbDiv = Nothing
			cliCom = Nothing
			larData = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 分娩登録＿初期表示
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN100F010_Shown(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Shown
		If Me.DesignMode OrElse Me.LoadError Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.NRM, "MEN100F010_Shown", "分娩登録＿初期表示 Start")
		Try
			'分娩があるか？
			If datCb.Rows.Count <> 0 Then
				disp_CbInfo()
			Else
				pNewRecordFlg = True
			End If
			' レコードなしチェック
			If datCbChild.Rows.Count = 0 Then
				If Me.ExeMode = Enum_ExeMode.eEntry Then
					' 新規レコード追加
					AddNewRow()
				End If
			Else
				' 先頭レコードを取得しセットする
				srhSerialNo(0)
				pNewRecordFlg = False
			End If
			dspDataRow()
		Catch ex As Exception
			ErrorProc(ex)
			Me.EndProc4Shown()
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' グリッドKeyDown処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dgv050MEN100F010_KeyDown(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles dgv050MEN100F010.KeyDown
		log(clsSysMst.logLevel.DBG, "dgv050MEN100F010_KeyDown", "グリッドKeyDown処理 Start")	'大量ログ出力の為、DBGに変更
		Dim lPageDisplayedCnt As Integer = dgv050MEN100F010.DisplayedRowCount(False)
		Dim lCurrentIndex As Integer = 0
		Try
			Select Case e.KeyCode
				Case Keys.Down
					If dgv050MEN100F010.RowCount = 0 Then Exit Sub
					If dgv050MEN100F010.RowCount - 1 <= dgv050MEN100F010.CurrentRow.Index Then Exit Sub
					GrdRowUpDownIndex(False)
					e.SuppressKeyPress = True
				Case Keys.Up
					If dgv050MEN100F010.RowCount = 0 Then Exit Sub
					If 0 >= dgv050MEN100F010.CurrentRow.Index Then Exit Sub
					GrdRowUpDownIndex(True)
					e.SuppressKeyPress = True
				Case Keys.PageUp
					If dgv050MEN100F010.RowCount = 0 Then Exit Sub
					lCurrentIndex = dgv050MEN100F010.FirstDisplayedScrollingRowIndex
					If Not setDataRow(srhSerialNo(pNowSerialNo, True)) Then Exit Sub
					Select Case True
						Case 0 <= lCurrentIndex - (lPageDisplayedCnt)
							srhSerialNo(dgv050MEN100F010.Rows(lCurrentIndex - lPageDisplayedCnt).Cells(CONTROL_C01050MEN100F010).Value)
							dspDataRow()
						Case 0 > lCurrentIndex - (lPageDisplayedCnt)
							srhSerialNo(dgv050MEN100F010.Rows(0).Cells(CONTROL_C01050MEN100F010).Value)
							dspDataRow()
						Case Else
					End Select
					e.SuppressKeyPress = True
				Case Keys.PageDown
					If dgv050MEN100F010.RowCount = 0 Then Exit Sub
					lCurrentIndex = dgv050MEN100F010.CurrentCell.RowIndex
					If Not setDataRow(srhSerialNo(pNowSerialNo, True)) Then Exit Sub
					Select Case True
						Case dgv050MEN100F010.Rows.Count - 1 >= lCurrentIndex + lPageDisplayedCnt
							srhSerialNo(dgv050MEN100F010.Rows(lCurrentIndex + lPageDisplayedCnt).Cells(CONTROL_C01050MEN100F010).Value, False, False)
							dspDataRow()
						Case dgv050MEN100F010.Rows.Count - 1 < lCurrentIndex + lPageDisplayedCnt
							srhSerialNo(dgv050MEN100F010.Rows(dgv050MEN100F010.Rows.Count - 1).Cells(CONTROL_C01050MEN100F010).Value, False, False)
							dspDataRow()
						Case Else
					End Select
					e.SuppressKeyPress = True
				Case Else
			End Select
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			lCurrentIndex = Nothing
			lPageDisplayedCnt = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' セルクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dgv050MEN100F010_CellMouseClick(ByVal sender As Object, ByVal e As System.Windows.Forms.DataGridViewCellMouseEventArgs) Handles dgv050MEN100F010.CellMouseClick
		log(clsSysMst.logLevel.NRM, "dgv001MEN110F010_CellMouseClick", "セルクリック Start")
		Try
			If e.RowIndex < 0 OrElse e.ColumnIndex < 0 Then Exit Sub
			selGridView()
			cmb052MEN100F010.Focus()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 分娩日変更時処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dte014MEN100F010_Validated(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles dte014MEN100F010.Validated
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "dte014MEN100F010_Validated", "分娩日変更時処理 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "分娩日変更時処理 Start")
'(M) END V4-11023-000 004 20110816
		Dim lAge As ArrayList
		Dim cliCom As XSP.clsCom
		Dim lNenAge As Integer
		Dim lTukiAge As Integer
		Dim lHiAge As Integer
		Try
			If Me.ValidatedSkip AndAlso dte014MEN100F010.ContainsFocus = False Then Exit Sub
			cliCom = New XSP.clsCom
			If Not String.IsNullOrEmpty(dte014MEN100F010.Text) Then
				cliCom.setCalcNenGetuNiti(BasicInfoRec.BIRTH_DT, dte014MEN100F010.DateValue, lNenAge, lTukiAge, lHiAge)
				lbl016MEN100F010.Text = lNenAge
				lbl018MEN100F010.Text = lTukiAge
			Else
				lbl016MEN100F010.Text = String.Empty
				lbl018MEN100F010.Text = String.Empty
			End If
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			lAge = Nothing
			cliCom = Nothing
			lNenAge = Nothing
			lTukiAge = Nothing
			lHiAge = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 削除ボタンクリック処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn043MEN100F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn043MEN100F010.Click
		log(clsSysMst.logLevel.NRM, "btn043MEN100F010_Click", "削除ボタンクリック処理 Start")
		Try
			If confMsg("Q0005", MessageBoxButtons.YesNo, MessageBoxDefaultButton.Button2, "分娩情報の削除", Nothing) = MsgBoxResult.Yes Then
				delCbData()
				Me.FuncNextFormSpecify(Enum_Transit.eHistory)
			End If
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 児童数クリック処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn040MEN100F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn040MEN100F010.Click
		log(clsSysMst.logLevel.NRM, "btn040MEN100F010_Click", "児童数クリック処理 Start")
		Try
			num041MEN100F010.Text = getCbChildCnt()
			num041MEN100F010.Focus()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 性別コンボ選択変更時処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/29 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb052MEN100F010_SelectedIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles cmb052MEN100F010.SelectedIndexChanged
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "cmb052MEN100F010_SelectedIndexChanged", "性別コンボ選択変更時処理 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "性別コンボ選択変更時処理 Start")
'(M) END V4-11023-000 004 20110816
		Try
			If pNowSerialNo = 0 Then Exit Sub
			If pNowDispRowFlg Then Exit Sub
			'子分娩日をセット
			setCbChildDate()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 子分娩時刻フォーカス取得時処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/29 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub msk057MEN100F010_Enter(ByVal sender As Object, ByVal e As System.EventArgs) Handles msk057MEN100F010.Enter
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "msk057MEN100F010_Enter", "子分娩時刻フォーカス取得時処理 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "子分娩時刻フォーカス取得時処理 Start")
'(M) END V4-11023-000 004 20110816
		Try
			pNowChdCbTime = msk057MEN100F010.Text
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 子分娩時刻変更時処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/29 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub msk057MEN100F010_Validated(ByVal sender As Object, ByVal e As System.EventArgs) Handles msk057MEN100F010.Validated
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "msk057MEN100F010_Validated", "子分娩時刻変更時処理 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "子分娩時刻変更時処理 Start")
'(M) END V4-11023-000 004 20110816
		Try
			If Me.ValidatedSkip AndAlso msk057MEN100F010.ContainsFocus = False Then Exit Sub
			If pNowChdCbTime = msk057MEN100F010.Text Then Exit Sub
			'子分娩日をセット
			setCbChildDate()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 子血液型コンボ選択変更時処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/29 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb059MEN100F010_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmb059MEN100F010.SelectedIndexChanged
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "cmb059MEN100F010_SelectedIndexChanged", "子血液型コンボ選択変更時処理 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "子血液型コンボ選択変更時処理 Start")
'(M) END V4-11023-000 004 20110816
		Try
			If pNowSerialNo = 0 Then Exit Sub
			If pNowDispRowFlg Then Exit Sub
			'子分娩日をセット
			setCbChildDate()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 子Ｒｈコンボ選択変更時処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/29 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb061MEN100F010_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmb061MEN100F010.SelectedIndexChanged
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "cmb061MEN100F010_SelectedIndexChanged", "子Ｒｈコンボ選択変更時処理 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "子Ｒｈコンボ選択変更時処理 Start")
'(M) END V4-11023-000 004 20110816
		Try
			If pNowSerialNo = 0 Then Exit Sub
			If pNowDispRowFlg Then Exit Sub
			'子分娩日をセット
			setCbChildDate()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 新生児番号フォーカス取得時処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/29 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub txt064MEN100F010_Enter(ByVal sender As Object, ByVal e As System.EventArgs) Handles txt064MEN100F010.Enter
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "txt064MEN100F010_Enter", "新生児番号フォーカス取得時処理 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "新生児番号フォーカス取得時処理 Start")
'(M) END V4-11023-000 004 20110816
		Try
			pNowNewbornNo = txt064MEN100F010.Text
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 新生児番号変更時処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/29 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub txt064MEN100F010_Validated(ByVal sender As Object, ByVal e As System.EventArgs) Handles txt064MEN100F010.Validated
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "txt064MEN100F010_Validated", "新生児番号変更時処理 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "新生児番号変更時処理 Start")
'(M) END V4-11023-000 004 20110816
		Try
			If Me.ValidatedSkip AndAlso txt064MEN100F010.ContainsFocus = False Then Exit Sub
			If pNowNewbornNo = txt064MEN100F010.Text Then Exit Sub
			'子分娩日をセット
			setCbChildDate()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 子患者番号フォーカス取得時処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/29 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub msk066MEN100F010_Enter(ByVal sender As Object, ByVal e As System.EventArgs) Handles msk066MEN100F010.Enter
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "msk066MEN100F010_Enter", "子患者番号フォーカス取得時処理 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "子患者番号フォーカス取得時処理 Start")
'(M) END V4-11023-000 004 20110816
		Try
			pNowChdPatientNo = msk066MEN100F010.Text
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 子患者番号変更時処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/29 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub msk066MEN100F010_Validated(ByVal sender As Object, ByVal e As System.EventArgs) Handles msk066MEN100F010.Validated
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "msk066MEN100F010_Validated", "子患者番号変更時処理 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "子患者番号変更時処理 Start")
'(M) END V4-11023-000 004 20110816
		Try
			If Me.ValidatedSkip AndAlso msk066MEN100F010.ContainsFocus = False Then Exit Sub
			If pNowChdPatientNo = msk066MEN100F010.Text Then Exit Sub
			'子分娩日をセット
			setCbChildDate()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 新生児身長フォーカス取得時処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/29 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub num068MEN100F010_Enter(ByVal sender As Object, ByVal e As System.EventArgs) Handles num068MEN100F010.Enter
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "num068MEN100F010_Enter", "新生児身長フォーカス取得時処理 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "新生児身長フォーカス取得時処理 Start")
'(M) END V4-11023-000 004 20110816
		Try
			pNowNewbornStature = num068MEN100F010.Text
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 新生児身長変更時処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/29 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub num068MEN100F010_Validated(ByVal sender As Object, ByVal e As System.EventArgs) Handles num068MEN100F010.Validated
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "num068MEN100F010_Validated", "新生児身長変更時処理 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "新生児身長変更時処理 Start")
'(M) END V4-11023-000 004 20110816
		Try
			If Me.ValidatedSkip AndAlso num068MEN100F010.ContainsFocus = False Then Exit Sub
			If pNowNewbornStature = num068MEN100F010.Text Then Exit Sub
			'子分娩日をセット
			setCbChildDate()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 新生児体重フォーカス取得時処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/29 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub num071MEN100F010_Enter(ByVal sender As Object, ByVal e As System.EventArgs) Handles num071MEN100F010.Enter
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "num071MEN100F010_Enter", "新生児体重フォーカス取得時処理 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "新生児体重フォーカス取得時処理 Start")
'(M) END V4-11023-000 004 20110816
		Try
			pNowNewbornWeight = num071MEN100F010.Text
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 新生児体重変更時処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/29 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub num071MEN100F010_Validated(ByVal sender As Object, ByVal e As System.EventArgs) Handles num071MEN100F010.Validated
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "num071MEN100F010_Validated", "新生児体重変更時処理 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "新生児体重変更時処理 Start")
'(M) END V4-11023-000 004 20110816
		Try
			If Me.ValidatedSkip AndAlso num071MEN100F010.ContainsFocus = False Then Exit Sub
			If pNowNewbornWeight = num071MEN100F010.Text Then Exit Sub
			'子分娩日をセット
			setCbChildDate()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' アプガー指数１分コンボ選択変更時処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/29 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb074MEN100F010_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmb074MEN100F010.SelectedIndexChanged
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "cmb074MEN100F010_SelectedIndexChanged", "アプガー指数１分コンボ選択変更時処理 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "アプガー指数１分コンボ選択変更時処理 Start")
'(M) END V4-11023-000 004 20110816
		Try
			If pNowSerialNo = 0 Then Exit Sub
			If pNowDispRowFlg Then Exit Sub
			'子分娩日をセット
			setCbChildDate()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' アプガー指数５分コンボ選択変更時処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/29 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb077MEN100F010_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmb077MEN100F010.SelectedIndexChanged
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "cmb077MEN100F010_SelectedIndexChanged", "アプガー指数５分コンボ選択変更時処理 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "アプガー指数５分コンボ選択変更時処理 Start")
'(M) END V4-11023-000 004 20110816
		Try
			If pNowSerialNo = 0 Then Exit Sub
			If pNowDispRowFlg Then Exit Sub
			'子分娩日をセット
			setCbChildDate()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 未熟チェック変更時処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub chk079MEN100F010_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chk079MEN100F010.CheckedChanged
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "chk079MEN100F010_CheckedChanged", "未熟チェック変更時処理 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "未熟チェック変更時処理 Start")
'(M) END V4-11023-000 004 20110816
		Try
			If pNowSerialNo = 0 Then Exit Sub
			If pNowDispRowFlg Then Exit Sub
			'子分娩日をセット
			setCbChildDate()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 奇形チェック変更時処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub chk080MEN100F010_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chk080MEN100F010.CheckedChanged
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "chk080MEN100F010_CheckedChanged", "奇形チェック変更時処理 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "奇形チェック変更時処理 Start")
'(M) END V4-11023-000 004 20110816
		Try
			If pNowSerialNo = 0 Then Exit Sub
			If pNowDispRowFlg Then Exit Sub
			'子分娩日をセット
			setCbChildDate()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 死産情報チェック変更時処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub chk081MEN100F010_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chk081MEN100F010.CheckedChanged
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "chk081MEN100F010_CheckedChanged", "死産情報チェック変更時処理 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "死産情報チェック変更時処理 Start")
'(M) END V4-11023-000 004 20110816
		Try
			If pNowSerialNo = 0 Then Exit Sub
			If pNowDispRowFlg Then Exit Sub
			'子分娩日をセット
			setCbChildDate()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 死産情報チェックキーアップ処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub chk081MEN100F010_KeyUp(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles chk081MEN100F010.KeyUp
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "chk081MEN100F010_KeyUp", "死産情報チェックキーアップ処理 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "死産情報チェックキーアップ処理 Start")
'(M) END V4-11023-000 004 20110816
		Try
			Select Case e.KeyCode
				Case Keys.Space
					If Me.ExeMode <> Enum_ExeMode.eEntry Then Exit Sub
					chkCbSbStatus()
				Case Else
			End Select
		Catch ex As Exception
			chk081MEN100F010.Checked = False
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 死産情報チェッククリック処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub chk081MEN100F010_MouseClick(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles chk081MEN100F010.MouseClick
		log(clsSysMst.logLevel.NRM, "chk081MEN100F010_MouseClick", "死産情報チェッククリック処理 Start")
		Try
			If Me.ExeMode <> Enum_ExeMode.eEntry Then Exit Sub
			chkCbSbStatus()
		Catch ex As Exception
			chk081MEN100F010.Checked = False
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 死産クリック処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn082MEN100F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn082MEN100F010.Click
		log(clsSysMst.logLevel.NRM, "btn082MEN100F010_Click", "死産クリック処理 Start")
		Try
			chk081MEN100F010.Focus()
			If chk081MEN100F010.Checked = False Then Exit Sub
			showCbSb()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 子分娩チェック１変更時処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub chk083MEN100F010_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chk083MEN100F010.CheckedChanged
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "chk083MEN100F010_CheckedChanged", "子分娩チェック１変更時処理 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "子分娩チェック１変更時処理 Start")
'(M) END V4-11023-000 004 20110816
		Try
			If pNowSerialNo = 0 Then Exit Sub
			If pNowDispRowFlg Then Exit Sub
			'子分娩日をセット
			setCbChildDate()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 子分娩チェック２変更時処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub chk084MEN100F010_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chk084MEN100F010.CheckedChanged
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "chk084MEN100F010_CheckedChanged", "子分娩チェック２変更時処理 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "子分娩チェック２変更時処理 Start")
'(M) END V4-11023-000 004 20110816
		Try
			If pNowSerialNo = 0 Then Exit Sub
			If pNowDispRowFlg Then Exit Sub
			'子分娩日をセット
			setCbChildDate()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 子分娩チェック３変更時処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub chk085MEN100F010_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chk085MEN100F010.CheckedChanged
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "chk085MEN100F010_CheckedChanged", "子分娩チェック３変更時処理 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "子分娩チェック３変更時処理 Start")
'(M) END V4-11023-000 004 20110816
		Try
			If pNowSerialNo = 0 Then Exit Sub
			If pNowDispRowFlg Then Exit Sub
			'子分娩日をセット
			setCbChildDate()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 子分娩チェック４変更時処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub chk086MEN100F010_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chk086MEN100F010.CheckedChanged
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "chk086MEN100F010_CheckedChanged", "子分娩チェック４変更時処理 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "子分娩チェック４変更時処理 Start")
'(M) END V4-11023-000 004 20110816
		Try
			If pNowSerialNo = 0 Then Exit Sub
			If pNowDispRowFlg Then Exit Sub
			'子分娩日をセット
			setCbChildDate()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 子分娩チェック５変更時処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub chk087MEN100F010_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chk087MEN100F010.CheckedChanged
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "chk087MEN100F010_CheckedChanged", "子分娩チェック５変更時処理 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "子分娩チェック５変更時処理 Start")
'(M) END V4-11023-000 004 20110816
		Try
			If pNowSerialNo = 0 Then Exit Sub
			If pNowDispRowFlg Then Exit Sub
			'子分娩日をセット
			setCbChildDate()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 分娩様式コンボ１選択変更時処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/29 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb089MEN100F010_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmb089MEN100F010.SelectedIndexChanged
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "cmb089MEN100F010_SelectedIndexChanged", "分娩様式コンボ１選択変更時処理 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "分娩様式コンボ１選択変更時処理 Start")
'(M) END V4-11023-000 004 20110816
		Try
			If pNowSerialNo = 0 Then Exit Sub
			If pNowDispRowFlg Then Exit Sub
			'子分娩日をセット
			setCbChildDate()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 分娩様式コンボ２選択変更時処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/29 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb092MEN100F010_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmb092MEN100F010.SelectedIndexChanged
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "cmb092MEN100F010_SelectedIndexChanged", "分娩様式コンボ２選択変更時処理 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "分娩様式コンボ２選択変更時処理 Start")
'(M) END V4-11023-000 004 20110816
		Try
			If pNowSerialNo = 0 Then Exit Sub
			If pNowDispRowFlg Then Exit Sub
			'子分娩日をセット
			setCbChildDate()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 分娩様式コンボ３選択変更時処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/29 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb095MEN100F010_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmb095MEN100F010.SelectedIndexChanged
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "cmb095MEN100F010_SelectedIndexChanged", "分娩様式コンボ３選択変更時処理 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "分娩様式コンボ３選択変更時処理 Start")
'(M) END V4-11023-000 004 20110816
		Try
			If pNowSerialNo = 0 Then Exit Sub
			If pNowDispRowFlg Then Exit Sub
			'子分娩日をセット
			setCbChildDate()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 分娩様式コンボ４選択変更時処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/29 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb098MEN100F010_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmb098MEN100F010.SelectedIndexChanged
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "cmb098MEN100F010_SelectedIndexChanged", "分娩様式コンボ４選択変更時処理 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "分娩様式コンボ４選択変更時処理 Start")
'(M) END V4-11023-000 004 20110816
		Try
			If pNowSerialNo = 0 Then Exit Sub
			If pNowDispRowFlg Then Exit Sub
			'子分娩日をセット
			setCbChildDate()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 子備考フォーカス取得時処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/29 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub txt101MEN100F010_Enter(ByVal sender As Object, ByVal e As System.EventArgs) Handles txt101MEN100F010.Enter
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "txt101MEN100F010_Enter", "子備考フォーカス取得時処理 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "子備考フォーカス取得時処理 Start")
'(M) END V4-11023-000 004 20110816
		Try
			pNowChdRemarks = txt101MEN100F010.Text
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 子備考変更時処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/29 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub txt101MEN100F010_Validated(ByVal sender As Object, ByVal e As System.EventArgs) Handles txt101MEN100F010.Validated
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "txt101MEN100F010_Validated", "子備考変更時処理 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "子備考変更時処理 Start")
'(M) END V4-11023-000 004 20110816
		Try
			If Me.ValidatedSkip AndAlso txt101MEN100F010.ContainsFocus = False Then Exit Sub
			If pNowChdRemarks = txt101MEN100F010.Text Then Exit Sub
			'子分娩日をセット
			setCbChildDate()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 分娩登録＿終了処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN100F010_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(clsSysMst.logLevel.NRM, "MEN100F010_FormClosing", "分娩登録＿終了処理 Start")
		Try
			' 画面途中でエラーの場合は処理しない
			If Me.LoadError OrElse e.Cancel Then
				Exit Try
			End If
			' 終了時処理
			Me.ClosingProc()
		Catch ex As Exception
			e.Cancel = True		'エラー時は画面を閉じない
			ErrorProc(ex)
		Finally
			' 変数の解放は ClosedProc に記述する
			ClosedProc(e.Cancel)
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' コントロール名の設定
	''' </summary>
	''' <remarks>
	''' 2011/03/16 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setControlName()
		log(clsSysMst.logLevel.DBG, "setControlName", "コントロール名の設定 Start")
		Try
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.CB_DIV1) = cmb002MEN100F010.Name					'分娩区分コード１
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.CB_DIV2) = cmb005MEN100F010.Name					'分娩区分コード２
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.CB_DIV3) = cmb008MEN100F010.Name					'分娩区分コード３
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.CB_DIV4) = cmb011MEN100F010.Name					'分娩区分コード４
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.CB_DT) = dte014MEN100F010.Name						'分娩日
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.GESTATIONAL_WEEK_COUNT) = num021MEN100F010.Name		'在胎週数
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.GESTATIONAL_DAY_COUNT) = num023MEN100F010.Name		'在胎日数
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.BLEEDING_VOLUME) = num026MEN100F010.Name			'出血量
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.CAESAREAN_OPE_CD) = cmb029MEN100F010.Name			'帝王切開有無コード
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.PREMATURE_BIRTH) = chk031MEN100F010.Name			'早産
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.MISCARRIAGE) = chk032MEN100F010.Name				'流産
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.CB_CHK1) = chk033MEN100F010.Name					'分娩チェック項目１
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.CB_CHK2) = chk034MEN100F010.Name					'分娩チェック項目２
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.CB_CHK3) = chk035MEN100F010.Name					'分娩チェック項目３
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.REMARKS) = txt037MEN100F010.Name					'備考
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.CHD_COUNT) = num041MEN100F010.Name					'児数
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.GENDER_CD) = cmb052MEN100F010.Name					'性別コード
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.CHD_CB_DT) = dte056MEN100F010.Name					'子分娩日
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.CHD_CB_TIME) = msk057MEN100F010.Name				'子分娩時刻
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.CHD_BLOODTYPE_CD) = cmb059MEN100F010.Name			'子血液型コード
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.CHD_RH_CD) = cmb061MEN100F010.Name					'子Ｒｈコード
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.NEWBORN_NO) = txt064MEN100F010.Name					'新生児番号
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.CHD_PATIENT_NO) = msk066MEN100F010.Name				'子患者番号
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.NEWBORN_STATURE) = num068MEN100F010.Name			'新生児身長
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.NEWBORN_WEIGHT) = num071MEN100F010.Name				'新生児体重
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.APGARSCORE_1MIN) = cmb074MEN100F010.Name			'アプガー指数１分
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.APGARSCORE_5MIN) = cmb077MEN100F010.Name			'アプガー指数５分
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.IMMATURE) = chk079MEN100F010.Name					'未熟
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.DEFORMITY) = chk080MEN100F010.Name					'奇形
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.STILLBIRTH) = chk081MEN100F010.Name					'流死産
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.CHD_CB_CHK1) = chk083MEN100F010.Name				'子分娩チェック項目１
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.CHD_CB_CHK2) = chk084MEN100F010.Name				'子分娩チェック項目２
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.CHD_CB_CHK3) = chk085MEN100F010.Name				'子分娩チェック項目３
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.CHD_CB_CHK4) = chk086MEN100F010.Name				'子分娩チェック項目４
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.CHD_CB_CHK5) = chk087MEN100F010.Name				'子分娩チェック項目５
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.CB_PTN1) = cmb089MEN100F010.Name					'分娩様式コード１
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.CB_PTN2) = cmb092MEN100F010.Name					'分娩様式コード２
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.CB_PTN3) = cmb095MEN100F010.Name					'分娩様式コード３
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.CB_PTN4) = cmb098MEN100F010.Name					'分娩様式コード４
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.CHD_REMARKS) = txt101MEN100F010.Name				'子備考
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 初期表示設定処理
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function SetInitDisp() As Boolean
		log(clsSysMst.logLevel.DBG, "SetInitDisp", "初期表示設定処理 Start")
		Dim lTani As String = Nothing
		Dim lDtChiItm As DataTable
		Dim lDtDivItm As DataTable
		Dim lDtRow As DataRow = Nothing
		Try
			lDtChiItm = New DataTable
			lDtDivItm = New DataTable
			'単位設定
			lTani = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00083)
			If Not String.IsNullOrEmpty(lTani) Then
				lbl027MEN100F010.Text = lTani
			End If
			'チェック名称クリア
			chk033MEN100F010.Visible = False
			chk034MEN100F010.Visible = False
			chk035MEN100F010.Visible = False
			chk083MEN100F010.Visible = False
			chk084MEN100F010.Visible = False
			chk085MEN100F010.Visible = False
			chk086MEN100F010.Visible = False
			chk087MEN100F010.Visible = False
			c16050MEN100F010.Visible = False
			c17050MEN100F010.Visible = False
			c18050MEN100F010.Visible = False
			c19050MEN100F010.Visible = False
			c20050MEN100F010.Visible = False
			'区分名称クリア
			lbl001MEN100F010.Visible = False
			cmb002MEN100F010.Visible = False
			lbl003MEN100F010.Visible = False
			lbl004MEN100F010.Visible = False
			cmb005MEN100F010.Visible = False
			lbl006MEN100F010.Visible = False
			lbl007MEN100F010.Visible = False
			cmb008MEN100F010.Visible = False
			lbl009MEN100F010.Visible = False
			lbl010MEN100F010.Visible = False
			cmb011MEN100F010.Visible = False
			lbl012MEN100F010.Visible = False
			lbl088MEN100F010.Visible = False
			cmb089MEN100F010.Visible = False
			lbl090MEN100F010.Visible = False
			lbl091MEN100F010.Visible = False
			cmb092MEN100F010.Visible = False
			lbl093MEN100F010.Visible = False
			lbl094MEN100F010.Visible = False
			cmb095MEN100F010.Visible = False
			lbl096MEN100F010.Visible = False
			lbl097MEN100F010.Visible = False
			cmb098MEN100F010.Visible = False
			lbl099MEN100F010.Visible = False
			'チェック名称、区分名称取得
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				With db
					'チェック名称
					.setSQLDa(sqlMEN100F010.sqlMtmCbChkItm)
					.execQueryDa(lDtChiItm)
					'区分名称
					.setSQLDa(sqlMENCOMMON.sqlMtmCbDivItm)
					.execQueryDa(lDtDivItm)
				End With
			End Using
			If lDtChiItm.Rows.Count = 0 OrElse lDtDivItm.Rows.Count = 0 Then
				Return False
			End If
			'チェック名表示
			For Each lDtRow In lDtChiItm.Rows
				If String.IsNullOrEmpty(lDtRow(sqlMEN100F010.itmITEM_NM).ToString) Then Continue For
				Select Case lDtRow(sqlMEN100F010.itmITEM_CD)
					Case CStr(clsMENCOMMON.Enum_Cb_Check_Kbn.eCbCheck1)
						chk033MEN100F010.Text = lDtRow(sqlMEN100F010.itmITEM_NM).ToString
						chk033MEN100F010.Visible = True
					Case CStr(clsMENCOMMON.Enum_Cb_Check_Kbn.eCbCheck2)
						chk034MEN100F010.Text = lDtRow(sqlMEN100F010.itmITEM_NM).ToString
						chk034MEN100F010.Visible = True
					Case CStr(clsMENCOMMON.Enum_Cb_Check_Kbn.eCbCheck3)
						chk035MEN100F010.Text = lDtRow(sqlMEN100F010.itmITEM_NM).ToString
						chk035MEN100F010.Visible = True
					Case CStr(clsMENCOMMON.Enum_Cb_Check_Kbn.eCbChildCheck1)
						chk083MEN100F010.Text = lDtRow(sqlMEN100F010.itmITEM_NM).ToString
						chk083MEN100F010.Visible = True
						c16050MEN100F010.Visible = True
					Case CStr(clsMENCOMMON.Enum_Cb_Check_Kbn.eCbChildCheck2)
						chk084MEN100F010.Text = lDtRow(sqlMEN100F010.itmITEM_NM).ToString
						chk084MEN100F010.Visible = True
						c17050MEN100F010.Visible = True
					Case CStr(clsMENCOMMON.Enum_Cb_Check_Kbn.eCbChildCheck3)
						chk085MEN100F010.Text = lDtRow(sqlMEN100F010.itmITEM_NM).ToString
						chk085MEN100F010.Visible = True
						c18050MEN100F010.Visible = True
					Case CStr(clsMENCOMMON.Enum_Cb_Check_Kbn.eCbChildCheck4)
						chk086MEN100F010.Text = lDtRow(sqlMEN100F010.itmITEM_NM).ToString
						chk086MEN100F010.Visible = True
						c19050MEN100F010.Visible = True
					Case CStr(clsMENCOMMON.Enum_Cb_Check_Kbn.eCbChildCheck5)
						chk087MEN100F010.Text = lDtRow(sqlMEN100F010.itmITEM_NM).ToString
						chk087MEN100F010.Visible = True
						c20050MEN100F010.Visible = True
					Case Else
				End Select
			Next
			'項目名表示
			For Each lDtRow In lDtDivItm.Rows
				If String.IsNullOrEmpty(lDtRow(sqlMEN100F010.itmITEM_NM).ToString) Then Continue For
				Select Case lDtRow(sqlMENCOMMON.itmITEM_CD)
					Case CStr(clsMENCOMMON.Enum_Cb_Delivery_Kbn.eDelivery1)
						lbl001MEN100F010.Text = lDtRow(sqlMENCOMMON.itmITEM_NM).ToString
						lbl001MEN100F010.Visible = True
						cmb002MEN100F010.Visible = True
						lbl003MEN100F010.Visible = True
					Case CStr(clsMENCOMMON.Enum_Cb_Delivery_Kbn.eDelivery2)
						lbl004MEN100F010.Text = lDtRow(sqlMENCOMMON.itmITEM_NM).ToString
						lbl004MEN100F010.Visible = True
						cmb005MEN100F010.Visible = True
						lbl006MEN100F010.Visible = True
					Case CStr(clsMENCOMMON.Enum_Cb_Delivery_Kbn.eDelivery3)
						lbl007MEN100F010.Text = lDtRow(sqlMENCOMMON.itmITEM_NM).ToString
						lbl007MEN100F010.Visible = True
						cmb008MEN100F010.Visible = True
						lbl009MEN100F010.Visible = True
					Case CStr(clsMENCOMMON.Enum_Cb_Delivery_Kbn.eDelivery4)
						lbl010MEN100F010.Text = lDtRow(sqlMENCOMMON.itmITEM_NM).ToString
						lbl010MEN100F010.Visible = True
						cmb011MEN100F010.Visible = True
						lbl012MEN100F010.Visible = True
					Case CStr(clsMENCOMMON.Enum_Cb_Delivery_Kbn.eDeliveryStyle1)
						lbl088MEN100F010.Text = lDtRow(sqlMENCOMMON.itmITEM_NM).ToString
						lbl088MEN100F010.Visible = True
						cmb089MEN100F010.Visible = True
						lbl090MEN100F010.Visible = True
					Case CStr(clsMENCOMMON.Enum_Cb_Delivery_Kbn.eDeliveryStyle2)
						lbl091MEN100F010.Text = lDtRow(sqlMENCOMMON.itmITEM_NM).ToString
						lbl091MEN100F010.Visible = True
						cmb092MEN100F010.Visible = True
						lbl093MEN100F010.Visible = True
					Case CStr(clsMENCOMMON.Enum_Cb_Delivery_Kbn.eDeliveryStyle3)
						lbl094MEN100F010.Text = lDtRow(sqlMENCOMMON.itmITEM_NM).ToString
						lbl094MEN100F010.Visible = True
						cmb095MEN100F010.Visible = True
						lbl096MEN100F010.Visible = True
					Case CStr(clsMENCOMMON.Enum_Cb_Delivery_Kbn.eDeliveryStyle4)
						lbl097MEN100F010.Text = lDtRow(sqlMENCOMMON.itmITEM_NM).ToString
						lbl097MEN100F010.Visible = True
						cmb098MEN100F010.Visible = True
						lbl099MEN100F010.Visible = True
					Case Else
				End Select
			Next
			Return True
		Catch ex As Exception
			Throw
		Finally
			lTani = Nothing
			lDtChiItm = Nothing
			lDtDivItm = Nothing
			lDtRow = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 表示切替_参照処理
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub showReferenceMode()
		log(clsSysMst.logLevel.DBG, "showReferenceMode", "表示切替_参照処理 Start")
		Try
			btn004MEN000F010.Visible = False
			btn005MEN000F010.Visible = False
			pnl020MEN000F040.Visible = False
			btn011MEN000F010.Visible = False
			btn013MEN000F010.Visible = False
			btn008MEN000F010.Visible = False

			cmb002MEN100F010.CanInput = False
			cmb005MEN100F010.CanInput = False
			dte014MEN100F010.CanInput = False
			cmb008MEN100F010.CanInput = False
			cmb011MEN100F010.CanInput = False
			num021MEN100F010.CanInput = False
			num023MEN100F010.CanInput = False
			num026MEN100F010.CanInput = False
			cmb029MEN100F010.CanInput = False
			chk031MEN100F010.CanInput = False
			chk032MEN100F010.CanInput = False
			chk033MEN100F010.CanInput = False
			chk034MEN100F010.CanInput = False
			chk035MEN100F010.CanInput = False
			txt037MEN100F010.CanInput = False
			btn040MEN100F010.CanInput = False
			num041MEN100F010.CanInput = False
			cmb052MEN100F010.CanInput = False
			dte056MEN100F010.CanInput = False
			msk057MEN100F010.CanInput = False
			cmb059MEN100F010.CanInput = False
			cmb061MEN100F010.CanInput = False
			txt064MEN100F010.CanInput = False
			msk066MEN100F010.CanInput = False
			num068MEN100F010.CanInput = False
			num071MEN100F010.CanInput = False
			cmb074MEN100F010.CanInput = False
			cmb077MEN100F010.CanInput = False
			chk079MEN100F010.CanInput = False
			chk080MEN100F010.CanInput = False
			chk081MEN100F010.CanInput = False
			chk083MEN100F010.CanInput = False
			chk084MEN100F010.CanInput = False
			chk085MEN100F010.CanInput = False
			chk086MEN100F010.CanInput = False
			chk087MEN100F010.CanInput = False
			cmb089MEN100F010.CanInput = False
			cmb092MEN100F010.CanInput = False
			cmb095MEN100F010.CanInput = False
			cmb098MEN100F010.CanInput = False
			txt101MEN100F010.CanInput = False
			btn043MEN100F010.Enabled = False
			btn043MEN100F010.Visible = False
		Catch ex As Exception
			Throw
		End Try

	End Sub

	''' ---------------------------------------------
	''' <summary>
	'''分娩情報取得処理
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub SearchProc()
		log(clsSysMst.logLevel.DBG, "SearchProc", "分娩情報取得処理 Start")
		Try
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData), cliCb As clsMTI_CB = New clsMTI_CB, cliCbChild As clsMTI_CB_CHILD = New clsMTI_CB_CHILD, cliCbSb As clsMTI_CB_SB = New clsMTI_CB_SB
				' 分娩情報の取得
				datCb = cliCb.getCbOneRecDa(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
				' 分娩児情報の取得
				datCbChild = cliCbChild.getCbChildPlusChDa(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo, clsMENCOMMON.Enum_Cb_Delivery_Kbn.eDeliveryStyle1, clsMENCOMMON.Enum_Cb_Delivery_Kbn.eDeliveryStyle2, clsMENCOMMON.Enum_Cb_Delivery_Kbn.eDeliveryStyle3, clsMENCOMMON.Enum_Cb_Delivery_Kbn.eDeliveryStyle4)
				datCbChild.Columns.Add(sqlMENCOMMON.itmAddCol4NewRow, GetType(String))
				datCbChild.Columns.Add(sqlMENCOMMON.itmAddCol4RowSeq, GetType(Integer))
				' 分娩児死産情報の取得
				datCbSb = cliCbSb.getCbSbChDa(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
				datDispCbSb = datCbSb.Clone
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 分娩情報表示処理
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub disp_CbInfo()
		log(clsSysMst.logLevel.DBG, "disp_CbInfo", "分娩情報表示処理 Start")
		Dim cliCom As clsCom
		Try
			cliCom = New clsCom
			If datCb.Rows.Count = 0 Then
				cliCom.setComboValue(cmb002MEN100F010, Nothing)
				cliCom.setComboValue(cmb005MEN100F010, Nothing)
				cliCom.setComboValue(cmb008MEN100F010, Nothing)
				cliCom.setComboValue(cmb011MEN100F010, Nothing)
				dte014MEN100F010.DateValue = Nothing
				lbl016MEN100F010.Text = String.Empty
				lbl018MEN100F010.Text = String.Empty
				num021MEN100F010.Text = String.Empty
				num023MEN100F010.Text = String.Empty
				num026MEN100F010.Text = String.Empty
				cliCom.setComboValue(cmb029MEN100F010, Nothing)
				chk031MEN100F010.Checked = False
				chk032MEN100F010.Checked = False
				chk033MEN100F010.Checked = False
				chk034MEN100F010.Checked = False
				chk035MEN100F010.Checked = False
				txt037MEN100F010.Text = String.Empty
				lbl045MEN100F010.Text = String.Empty
				lbl047MEN100F010.Text = String.Empty
				lbl049MEN100F010.Text = String.Empty
			Else
				With datCb.Rows(0)
					'初経産区分
					cliCom.setComboValue(cmb002MEN100F010, .Item(sqlMTI_CB.itmCB_DIV1).ToString)
					'分娩形態
					cliCom.setComboValue(cmb005MEN100F010, .Item(sqlMTI_CB.itmCB_DIV2).ToString)
					'分娩様式３
					cliCom.setComboValue(cmb008MEN100F010, .Item(sqlMTI_CB.itmCB_DIV3).ToString)
					'分娩様式４
					cliCom.setComboValue(cmb011MEN100F010, .Item(sqlMTI_CB.itmCB_DIV4).ToString)
					'分娩日
					If IsDBNull(.Item(sqlMTI_CB.itmCB_DT)) Then
						dte014MEN100F010.DateValue = Nothing
					Else
						dte014MEN100F010.DateValue = .Item(sqlMTI_CB.itmCB_DT)
					End If
					'分娩時年齢
					lbl016MEN100F010.Text = .Item(sqlMTI_CB.itmCB_AGE).ToString
					lbl018MEN100F010.Text = .Item(sqlMTI_CB.itmCB_MONTH_AGE).ToString
					'在胎日数
					If Not IsDBNull(.Item(sqlMTI_CB.itmGESTATIONAL_WEEK_COUNT)) Then
						num021MEN100F010.Text = .Item(sqlMTI_CB.itmGESTATIONAL_WEEK_COUNT)
					End If
					If Not IsDBNull(.Item(sqlMTI_CB.itmGESTATIONAL_DAY_COUNT)) Then
						num023MEN100F010.Text = .Item(sqlMTI_CB.itmGESTATIONAL_DAY_COUNT)
					End If
					'出血量
					If Not IsDBNull(.Item(sqlMTI_CB.itmBLEEDING_VOLUME)) Then
						num026MEN100F010.Text = .Item(sqlMTI_CB.itmBLEEDING_VOLUME)
					End If
					'帝王切開
					cliCom.setComboValue(cmb029MEN100F010, .Item(sqlMTI_CB.itmCAESAREAN_OPE_CD).ToString)
					'早産
					chk031MEN100F010.Checked = cliMENCOMMON.getCheckBoxValue(.Item(sqlMTI_CB.itmPREMATURE_BIRTH))
					'流産
					chk032MEN100F010.Checked = cliMENCOMMON.getCheckBoxValue(.Item(sqlMTI_CB.itmMISCARRIAGE))
					'チェック項目1
					chk033MEN100F010.Checked = cliMENCOMMON.getCheckBoxValue(.Item(sqlMTI_CB.itmCB_CHK1))
					'チェック項目2
					chk034MEN100F010.Checked = cliMENCOMMON.getCheckBoxValue(.Item(sqlMTI_CB.itmCB_CHK2))
					'チェック項目3
					chk035MEN100F010.Checked = cliMENCOMMON.getCheckBoxValue(.Item(sqlMTI_CB.itmCB_CHK3))
					'備考
					txt037MEN100F010.Text = .Item(sqlMTI_CB.itmREMARKS).ToString
					'児数
					If Not IsDBNull(.Item(sqlMTI_CB.itmCHD_COUNT)) Then
						num041MEN100F010.Text = .Item(sqlMTI_CB.itmCHD_COUNT)
					End If
					'最終更新日
					lbl045MEN100F010.Text = cliMENCOMMON.getDateFormat(.Item(sqlMTI_CB.itmLASTUPD_DT))
					'データ取込日
					lbl047MEN100F010.Text = cliMENCOMMON.getDateFormat(.Item(sqlMTI_CB.itmDATA_CAPTURE_DT))
					'新規登録日
					lbl049MEN100F010.Text = cliMENCOMMON.getDateFormat(.Item(sqlMTI_CB.itmNEW_REG_DT))
				End With
			End If
		Catch ex As Exception
			Throw
		Finally
			cliCom = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 修正表示処理
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dspDataRow()
		log(clsSysMst.logLevel.DBG, "dspDataRow", "修正表示処理 Start")
		Dim cliCom As clsCom = Nothing
		Dim lGridViewRow As DataGridViewRow = Nothing
		Dim lDataRowView As DataRowView = Nothing
		Dim lDataRow As DataRow = Nothing
		Try
			cliCom = New clsCom
			' 選択行レコード取得
			lGridViewRow = Me.dgv050MEN100F010.CurrentRow
			If lGridViewRow Is Nothing Then Exit Sub
			lDataRowView = CType(lGridViewRow.DataBoundItem, DataRowView)
			lDataRow = CType(lDataRowView.Row, DataRow)
			' 編集中連番を退避する
			pNowSerialNo = lDataRow.Item(sqlMTI_CB_CHILD.itmCB_SERIAL_NO)
			pNowDispRowFlg = True
			' 性別
			cliCom.setComboValue(cmb052MEN100F010, lDataRow.Item(sqlMTI_CB_CHILD.itmGENDER_CD).ToString)
			'分娩日時
			If IsDBNull(lDataRow.Item(sqlMTI_CB_CHILD.itmCHD_CB_DT)) Then
				dte056MEN100F010.DateValue = Nothing
			Else
				dte056MEN100F010.DateValue = lDataRow.Item(sqlMTI_CB_CHILD.itmCHD_CB_DT)
			End If
			If IsDBNull(lDataRow.Item(sqlMTI_CB_CHILD.itmCHD_CB_TIME)) Then
				msk057MEN100F010.Text = String.Empty
			Else
				msk057MEN100F010.Text = lDataRow.Item(sqlMTI_CB_CHILD.itmCHD_CB_TIME)
			End If
			'血液型
			cliCom.setComboValue(cmb059MEN100F010, lDataRow.Item(sqlMTI_CB_CHILD.itmCHD_BLOODTYPE_CD).ToString)
			cliCom.setComboValue(cmb061MEN100F010, lDataRow.Item(sqlMTI_CB_CHILD.itmCHD_RH_CD).ToString)
			'新生児番号、患者番号
			If IsDBNull(lDataRow.Item(sqlMTI_CB_CHILD.itmNEWBORN_NO)) Then
				txt064MEN100F010.Text = Nothing
			Else
				txt064MEN100F010.Text = lDataRow.Item(sqlMTI_CB_CHILD.itmNEWBORN_NO)
			End If
			If IsDBNull(lDataRow.Item(sqlMTI_CB_CHILD.itmCHD_PATIENT_NO)) Then
				msk066MEN100F010.Text = Nothing
			Else
				msk066MEN100F010.Text = lDataRow.Item(sqlMTI_CB_CHILD.itmCHD_PATIENT_NO)
			End If
			'身長、体重
			If IsDBNull(lDataRow.Item(sqlMTI_CB_CHILD.itmNEWBORN_STATURE)) Then
				num068MEN100F010.Text = Nothing
			Else
				num068MEN100F010.Text = lDataRow.Item(sqlMTI_CB_CHILD.itmNEWBORN_STATURE)
			End If
			If IsDBNull(lDataRow.Item(sqlMTI_CB_CHILD.itmNEWBORN_WEIGHT)) Then
				num071MEN100F010.Text = Nothing
			Else
				num071MEN100F010.Text = lDataRow.Item(sqlMTI_CB_CHILD.itmNEWBORN_WEIGHT)
			End If
			'アフガー
			cliCom.setComboValue(cmb074MEN100F010, lDataRow.Item(sqlMTI_CB_CHILD.itmAPGARSCORE_1MIN).ToString)
			cliCom.setComboValue(cmb077MEN100F010, lDataRow.Item(sqlMTI_CB_CHILD.itmAPGARSCORE_5MIN).ToString)
			'未熟、奇形、流死産
			chk079MEN100F010.Checked = cliMENCOMMON.getCheckBoxValue(lDataRow.Item(sqlMTI_CB_CHILD.itmIMMATURE))
			chk080MEN100F010.Checked = cliMENCOMMON.getCheckBoxValue(lDataRow.Item(sqlMTI_CB_CHILD.itmDEFORMITY))
			chk081MEN100F010.Checked = cliMENCOMMON.getCheckBoxValue(lDataRow.Item(sqlMTI_CB_CHILD.itmSTILLBIRTH))
			'チェック項目
			chk083MEN100F010.Checked = cliMENCOMMON.getCheckBoxValue(lDataRow.Item(sqlMTI_CB_CHILD.itmCHD_CB_CHK1))
			chk084MEN100F010.Checked = cliMENCOMMON.getCheckBoxValue(lDataRow.Item(sqlMTI_CB_CHILD.itmCHD_CB_CHK2))
			chk085MEN100F010.Checked = cliMENCOMMON.getCheckBoxValue(lDataRow.Item(sqlMTI_CB_CHILD.itmCHD_CB_CHK3))
			chk086MEN100F010.Checked = cliMENCOMMON.getCheckBoxValue(lDataRow.Item(sqlMTI_CB_CHILD.itmCHD_CB_CHK4))
			chk087MEN100F010.Checked = cliMENCOMMON.getCheckBoxValue(lDataRow.Item(sqlMTI_CB_CHILD.itmCHD_CB_CHK5))
			'分娩様式
			cliCom.setComboValue(cmb089MEN100F010, lDataRow.Item(sqlMTI_CB_CHILD.itmCB_PTN1).ToString)
			cliCom.setComboValue(cmb092MEN100F010, lDataRow.Item(sqlMTI_CB_CHILD.itmCB_PTN2).ToString)
			cliCom.setComboValue(cmb095MEN100F010, lDataRow.Item(sqlMTI_CB_CHILD.itmCB_PTN3).ToString)
			cliCom.setComboValue(cmb098MEN100F010, lDataRow.Item(sqlMTI_CB_CHILD.itmCB_PTN4).ToString)
			'備考
			If IsDBNull(lDataRow.Item(sqlMTI_CB_CHILD.itmCHD_REMARKS)) Then
				txt101MEN100F010.Text = Nothing
			Else
				txt101MEN100F010.Text = lDataRow.Item(sqlMTI_CB_CHILD.itmCHD_REMARKS)
			End If
			'子供数を登録する
			num041MEN100F010.Text = getCbChildCnt()
			'分娩児死産情報
			datDispCbSb.Rows.Clear()
			datDispCbSb = cliCom.getTableFromRows(datDispCbSb, datCbSb.Select(CONST_SELECT_M_CbSb_KEY & pNowSerialNo))
			If Me.ExeMode = Enum_ExeMode.eEntry Then
				' 矢印制御
				cliMENCOMMON.dspUpDownButtonFace(dgv050MEN100F010, Me)
				'子分娩日の初期プロパティ
				If lDataRow(sqlMENCOMMON.itmAddCol4NewRow).ToString = clsMENCOMMON.CONST_NEWROW Then
					pFirstSelectValue = dte056MEN100F010.Text
				Else
					pFirstSelectValue = String.Empty
				End If
			End If
		Catch ex As Exception
			Throw
		Finally
			pNowDispRowFlg = False
			cliCom = Nothing
			lGridViewRow = Nothing
			lDataRowView = Nothing
			lDataRow = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 連番を探しカレントにする
	''' </summary>
	''' <param name="aSerialNo">シリアル番号</param>
	''' <param name="aMvFlg">移動可否</param>
	''' <param name="aDisplayScroll">スクロール可否</param>
	''' <returns>行番号</returns>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function srhSerialNo(ByVal aSerialNo As Integer, Optional ByVal aMvFlg As Boolean = False, Optional ByVal aDisplayScroll As Boolean = True) As Integer
		log(clsSysMst.logLevel.DBG, "srhSerialNo", "連番を探しカレントにする Start")
		Dim lRetIndex As Integer = -1
		Dim lcnt As Integer = 0
		Try
			For lcnt = 0 To dgv050MEN100F010.Rows.Count - 1
				If dgv050MEN100F010.Rows(lcnt).Cells(CONTROL_C01050MEN100F010).Value = aSerialNo Then
					If Not aMvFlg Then
						dgv050MEN100F010.Rows(lcnt).Selected = True
						dgv050MEN100F010.Rows(lcnt).Cells(1).Selected = True
						If aDisplayScroll Then
							dgv050MEN100F010.FirstDisplayedScrollingRowIndex = lcnt
						End If
						dgv050MEN100F010.Refresh()
					End If
					lRetIndex = lcnt
					Exit For
				End If
			Next
		Catch ex As Exception
			Throw
		Finally
			lcnt = Nothing
		End Try
		Return lRetIndex
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 修正データグリッド反映処理
	''' </summary>
	''' <param name="aRowIndex">対象行番号</param>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function setDataRow(ByVal aRowIndex As Integer) As Boolean
		log(clsSysMst.logLevel.DBG, "setDataRow", "修正データグリッド反映処理 Start")
		Dim lRegistDay As String
		Dim lGridViewRow As DataGridViewRow = Nothing
		Dim lDataRowView As DataRowView = Nothing
		Dim lDataRow As DataRow = Nothing
		Try
			'更新モード以外は抜ける
			If Me.ExeMode <> Enum_ExeMode.eEntry Then Return True
			If dgv050MEN100F010.Rows.Count = 0 Then Return True
			' コントロール値確定
			If aRowIndex < 0 Then Return False
			If Not Me.ValidateChildren() Then Return False
			Dim lRowState As Boolean = False
			' 選択行レコード取得
			lGridViewRow = dgv050MEN100F010.Rows(aRowIndex)
			lDataRowView = CType(lGridViewRow.DataBoundItem, DataRowView)
			lDataRow = CType(lDataRowView.Row, DataRow)
			' 入力チェックを行う
			Select Case chkDataRow()
				Case MsgBoxResult.Cancel
					Return True
				Case MsgBoxResult.No
					If Me.getErrCount <> 0 Then nextErrForm()
					Return False
				Case Else
			End Select
			'分娩日時チェック→全入力チェックへ
			If False AndAlso dte014MEN100F010.DateValue.Equals(Nothing) = False AndAlso dte056MEN100F010.DateValue.Equals(Nothing) = False Then
				If (dte014MEN100F010.DateValue = dte056MEN100F010.DateValue OrElse dte014MEN100F010.DateValue.AddDays(1) = dte056MEN100F010.DateValue) = False Then
					If confMsg("Q0001", MessageBoxButtons.YesNo, "児分娩日が分娩日または分娩日＋１日と違います。このまま登録して", Nothing) = vbNo Then
						Return False
					End If
				End If
			End If
			lDataRow.BeginEdit()
			lDataRow.Item(sqlMTI_CB_CHILD.itmPATIENT_NO) = Me.PatientNo
			lDataRow.Item(sqlMTI_CB_CHILD.itmHSP_HISTORY_NO) = Me.HspHistoryNo
			lDataRow.Item(sqlMTI_CB_CHILD.itmCH_NO) = Me.ChNo
			' 性別
			If cliMENCOMMON.setDtTableField_BTMultiCombo(lDataRow.Item(sqlMTI_CB_CHILD.itmGENDER_CD), cmb052MEN100F010) Then
				lDataRow.Item(sqlMTI_CB_CHILD.itmGENDER_NM) = lbl053MEN100F010.Text
				lRowState = True
			End If
			' 分娩日時
			If cliMENCOMMON.setDtTableField_BTDate(lDataRow.Item(sqlMTI_CB_CHILD.itmCHD_CB_DT), dte056MEN100F010) Then
				lRowState = True
			End If
			If cliMENCOMMON.setDtTableField_BTMask(lDataRow.Item(sqlMTI_CB_CHILD.itmCHD_CB_TIME), msk057MEN100F010) Then
				lRowState = True
			End If
			' 血液型　
			If cliMENCOMMON.setDtTableField_BTMultiCombo(lDataRow.Item(sqlMTI_CB_CHILD.itmCHD_BLOODTYPE_CD), cmb059MEN100F010) Then
				lDataRow.Item(sqlMTI_CB_CHILD.itmCHD_BLOODTYPE_NM) = lbl060MEN100F010.Text
				lRowState = True
			End If
			If cliMENCOMMON.setDtTableField_BTMultiCombo(lDataRow.Item(sqlMTI_CB_CHILD.itmCHD_RH_CD), cmb061MEN100F010) Then
				lDataRow.Item(sqlMTI_CB_CHILD.itmCHD_RH_NM) = lbl062MEN100F010.Text
				lRowState = True
			End If
			'新生児番号 
			If cliMENCOMMON.setDtTableField_Text(lDataRow.Item(sqlMTI_CB_CHILD.itmNEWBORN_NO), txt064MEN100F010.Text) Then
				lRowState = True
			End If
			'患者番号
			If cliMENCOMMON.setDtTableField_Text(lDataRow.Item(sqlMTI_CB_CHILD.itmCHD_PATIENT_NO), msk066MEN100F010.Text) Then
				lRowState = True
			End If
			'身長　
			If cliMENCOMMON.setDtTableField_BTNumber(lDataRow.Item(sqlMTI_CB_CHILD.itmNEWBORN_STATURE), num068MEN100F010) Then
				lRowState = True
			End If
			'体重
			If cliMENCOMMON.setDtTableField_BTNumber(lDataRow.Item(sqlMTI_CB_CHILD.itmNEWBORN_WEIGHT), num071MEN100F010) Then
				lRowState = True
			End If
			'アプガー
			If cliMENCOMMON.setDtTableField_BTMultiCombo(lDataRow.Item(sqlMTI_CB_CHILD.itmAPGARSCORE_1MIN), cmb074MEN100F010) Then
				If Not String.IsNullOrEmpty(lbl075MEN100F010.Text) Then
					lDataRow.Item(sqlMTI_CB_CHILD.itmAPGARSCORE1) = lbl075MEN100F010.Text
				Else
					lDataRow.Item(sqlMTI_CB_CHILD.itmAPGARSCORE1) = DBNull.Value
				End If
				lRowState = True
			End If
			If cliMENCOMMON.setDtTableField_BTMultiCombo(lDataRow.Item(sqlMTI_CB_CHILD.itmAPGARSCORE_5MIN), cmb077MEN100F010) Then
				If Not String.IsNullOrEmpty(lbl078MEN100F010.Text) Then
					lDataRow.Item(sqlMTI_CB_CHILD.itmAPGARSCORE5) = lbl078MEN100F010.Text
				Else
					lDataRow.Item(sqlMTI_CB_CHILD.itmAPGARSCORE5) = DBNull.Value
				End If
				lRowState = True
			End If
			'未熟、奇形、流死産
			If cliMENCOMMON.setDtTableField_Checked(lDataRow.Item(sqlMTI_CB_CHILD.itmIMMATURE), chk079MEN100F010.Checked) Then
				If chk079MEN100F010.Checked Then
					lDataRow.Item(sqlMTI_CB_CHILD.itmIMMATURE_DSP) = pCHECKBOX_TRUE
				Else
					lDataRow.Item(sqlMTI_CB_CHILD.itmIMMATURE_DSP) = pCHECKBOX_FALSE
				End If
				lRowState = True
			End If
			If cliMENCOMMON.setDtTableField_Checked(lDataRow.Item(sqlMTI_CB_CHILD.itmDEFORMITY), chk080MEN100F010.Checked) Then
				If chk080MEN100F010.Checked Then
					lDataRow.Item(sqlMTI_CB_CHILD.itmDEFORMITY_DSP) = pCHECKBOX_TRUE
				Else
					lDataRow.Item(sqlMTI_CB_CHILD.itmDEFORMITY_DSP) = pCHECKBOX_FALSE
				End If
				lRowState = True
			End If
			If cliMENCOMMON.setDtTableField_Checked(lDataRow.Item(sqlMTI_CB_CHILD.itmSTILLBIRTH), chk081MEN100F010.Checked) Then
				If chk081MEN100F010.Checked Then
					lDataRow.Item(sqlMTI_CB_CHILD.itmSTILLBIRTH_DSP) = pCHECKBOX_TRUE
				Else
					lDataRow.Item(sqlMTI_CB_CHILD.itmSTILLBIRTH_DSP) = pCHECKBOX_FALSE
				End If
				lRowState = True
			End If
			'チェック１～５　
			If cliMENCOMMON.setDtTableField_Checked(lDataRow.Item(sqlMTI_CB_CHILD.itmCHD_CB_CHK1), chk083MEN100F010.Checked) Then
				If chk083MEN100F010.Checked Then
					lDataRow.Item(sqlMTI_CB_CHILD.itmCHD_CB_CHK1_DSP) = pCHECKBOX_TRUE
				Else
					lDataRow.Item(sqlMTI_CB_CHILD.itmCHD_CB_CHK1_DSP) = pCHECKBOX_FALSE
				End If
				lRowState = True
			End If
			If cliMENCOMMON.setDtTableField_Checked(lDataRow.Item(sqlMTI_CB_CHILD.itmCHD_CB_CHK2), chk084MEN100F010.Checked) Then
				If chk084MEN100F010.Checked Then
					lDataRow.Item(sqlMTI_CB_CHILD.itmCHD_CB_CHK2_DSP) = pCHECKBOX_TRUE
				Else
					lDataRow.Item(sqlMTI_CB_CHILD.itmCHD_CB_CHK2_DSP) = pCHECKBOX_FALSE
				End If
				lRowState = True
			End If
			If cliMENCOMMON.setDtTableField_Checked(lDataRow.Item(sqlMTI_CB_CHILD.itmCHD_CB_CHK3), chk085MEN100F010.Checked) Then
				If chk085MEN100F010.Checked Then
					lDataRow.Item(sqlMTI_CB_CHILD.itmCHD_CB_CHK3_DSP) = pCHECKBOX_TRUE
				Else
					lDataRow.Item(sqlMTI_CB_CHILD.itmCHD_CB_CHK3_DSP) = pCHECKBOX_FALSE
				End If
				lRowState = True
			End If
			If cliMENCOMMON.setDtTableField_Checked(lDataRow.Item(sqlMTI_CB_CHILD.itmCHD_CB_CHK4), chk086MEN100F010.Checked) Then
				If chk086MEN100F010.Checked Then
					lDataRow.Item(sqlMTI_CB_CHILD.itmCHD_CB_CHK4_DSP) = pCHECKBOX_TRUE
				Else
					lDataRow.Item(sqlMTI_CB_CHILD.itmCHD_CB_CHK4_DSP) = pCHECKBOX_FALSE
				End If
				lRowState = True
			End If
			If cliMENCOMMON.setDtTableField_Checked(lDataRow.Item(sqlMTI_CB_CHILD.itmCHD_CB_CHK5), chk087MEN100F010.Checked) Then
				If chk087MEN100F010.Checked Then
					lDataRow.Item(sqlMTI_CB_CHILD.itmCHD_CB_CHK5_DSP) = pCHECKBOX_TRUE
				Else
					lDataRow.Item(sqlMTI_CB_CHILD.itmCHD_CB_CHK5_DSP) = pCHECKBOX_FALSE
				End If
				lRowState = True
			End If
			'分娩様式 
			If cliMENCOMMON.setDtTableField_BTMultiCombo(lDataRow.Item(sqlMTI_CB_CHILD.itmCB_PTN1), cmb089MEN100F010) Then
				lDataRow.Item(sqlMTI_CB_CHILD.itmCB_PTN_NM1) = lbl075MEN100F010.Text
				lRowState = True
			End If
			If cliMENCOMMON.setDtTableField_BTMultiCombo(lDataRow.Item(sqlMTI_CB_CHILD.itmCB_PTN2), cmb092MEN100F010) Then
				lDataRow.Item(sqlMTI_CB_CHILD.itmCB_PTN_NM2) = lbl093MEN100F010.Text
				lRowState = True
			End If
			If cliMENCOMMON.setDtTableField_BTMultiCombo(lDataRow.Item(sqlMTI_CB_CHILD.itmCB_PTN3), cmb095MEN100F010) Then
				lDataRow.Item(sqlMTI_CB_CHILD.itmCB_PTN_NM3) = lbl096MEN100F010.Text
				lRowState = True
			End If
			If cliMENCOMMON.setDtTableField_BTMultiCombo(lDataRow.Item(sqlMTI_CB_CHILD.itmCB_PTN4), cmb098MEN100F010) Then
				lDataRow.Item(sqlMTI_CB_CHILD.itmCB_PTN_NM4) = lbl099MEN100F010.Text
				lRowState = True
			End If
			'備考
			If cliMENCOMMON.setDtTableField_Text(lDataRow.Item(sqlMTI_CB_CHILD.itmCHD_REMARKS), txt101MEN100F010.Text) Then
				lRowState = True
			End If
			' 更新チェック
			If lRowState Then
				'体重
				If IsDBNull(lDataRow.Item(sqlMTI_CB_CHILD.itmNEWBORN_WEIGHT)) Then
					lDataRow.Item(sqlMTI_CB_CHILD.itmNEWBORN_WEIGHT) = 0
				End If
				lDataRow.Item(sqlMTI_CB_CHILD.itmLASTUPDUSER_CD) = clsSysMst.getLoginId		'更新者コード
				lDataRow.Item(sqlMTI_CB_CHILD.itmLASTUPD_DT) = Now							'最終更新日
				lDataRow.EndEdit()
				' 新規行クリア
				resetNewRow(lDataRow.Item(sqlMENCOMMON.itmAddCol4NewRow).ToString)
			Else
				lDataRow.CancelEdit()
			End If
			'分娩児死産情報格納
			updCbSb()
		Catch ex As Exception
			Throw
		Finally
			lRegistDay = Nothing
			lGridViewRow = Nothing
			lDataRowView = Nothing
			lDataRow = Nothing
		End Try
		Return True
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 新規行クリア処理
	''' </summary>
	''' <param name="aNewRow">新規行識別</param>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub resetNewRow(ByVal aNewRow As String)
		log(clsSysMst.logLevel.DBG, "resetNewRow", "新規行クリア処理 Start")
		Dim lGridViewRow As DataGridViewRow = Nothing
		Dim lDataRowView As DataRowView = Nothing
		Dim lDataRow As DataRow = Nothing
		Try
			If String.IsNullOrEmpty(aNewRow) Then Exit Sub
			For Each lGridViewRow In dgv050MEN100F010.Rows
				lDataRowView = CType(lGridViewRow.DataBoundItem, DataRowView)
				lDataRow = CType(lDataRowView.Row, DataRow)
				With lDataRow
					'同じ新規行識別
					If .Item(sqlMENCOMMON.itmAddCol4NewRow).ToString <> aNewRow Then Continue For
					.BeginEdit()
					.Item(sqlMENCOMMON.itmAddCol4NewRow) = DBNull.Value				'新規行識別
					.Item(sqlMENCOMMON.itmAddCol4RowSeq) = DBNull.Value				'順番識別
					.EndEdit()
				End With
			Next
		Catch ex As Exception
			Throw
		Finally
			lGridViewRow = Nothing
			lDataRowView = Nothing
			lDataRow = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 分娩児死産情報格納処理
	''' </summary>
	''' <remarks>
	''' 2010/12/24 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub updCbSb()
		log(clsSysMst.logLevel.DBG, "updCbSb", "分娩児死産情報格納処理 Start")
		Dim lDtRows() As DataRow = Nothing
		Dim lDtRow As DataRow = Nothing
		Try
			lDtRows = datCbSb.Select(CONST_SELECT_M_CbSb_KEY & pNowSerialNo)
			For Each lDtRow In lDtRows
				datCbSb.Rows.Remove(lDtRow)
			Next
			datCbSb.Merge(datDispCbSb)
		Catch ex As Exception
			Throw
		Finally
			lDtRows = Nothing
			lDtRow = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 分娩児入力チェック
	''' </summary>
	''' <returns>成否</returns>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkDataRow() As MsgBoxResult
		log(clsSysMst.logLevel.DBG, "chkDataRow", "分娩児入力チェック Start")
		Dim lRet As MsgBoxResult = MsgBoxResult.Yes
		Dim ldtCbChildInfoRow As datCbChildInfo			' 分娩児チェック用テーブル
		Dim lArList As ArrayList
		Dim lRetErrCnt As ArrayList
		Dim lChkObj As Object = Nothing
		Dim lDtCbSbRows() As DataRow
		Dim lDtCbSbRow As DataRow
		Dim lDtRow As DataRow
		Try
			' すべて入力なしの場合は抜ける
			Select Case False
				Case String.IsNullOrEmpty(cmb052MEN100F010.Text)
				Case String.IsNullOrEmpty(dte056MEN100F010.Text) OrElse dte056MEN100F010.Text = pFirstSelectValue
				Case msk057MEN100F010.IsNullOrEmpty
				Case String.IsNullOrEmpty(cmb059MEN100F010.Text)
				Case String.IsNullOrEmpty(cmb061MEN100F010.Text)
				Case String.IsNullOrEmpty(txt064MEN100F010.Text)
				Case msk066MEN100F010.IsNullOrEmpty
				Case String.IsNullOrEmpty(num068MEN100F010.Text)
				Case String.IsNullOrEmpty(num071MEN100F010.Text)
				Case String.IsNullOrEmpty(cmb074MEN100F010.Text)
				Case String.IsNullOrEmpty(cmb077MEN100F010.Text)
				Case Not chk079MEN100F010.Checked
				Case Not chk080MEN100F010.Checked
				Case Not chk081MEN100F010.Checked
				Case Not chk083MEN100F010.Checked
				Case Not chk084MEN100F010.Checked
				Case Not chk085MEN100F010.Checked
				Case Not chk086MEN100F010.Checked
				Case Not chk087MEN100F010.Checked
				Case String.IsNullOrEmpty(cmb089MEN100F010.Text)
				Case String.IsNullOrEmpty(cmb092MEN100F010.Text)
				Case String.IsNullOrEmpty(cmb095MEN100F010.Text)
				Case String.IsNullOrEmpty(cmb098MEN100F010.Text)
				Case String.IsNullOrEmpty(txt101MEN100F010.Text)
				Case Else
					For Each lDtRow In datDispCbSb.Rows
						If lDtRow.RowState = DataRowState.Deleted Then Continue For
						Exit Select
					Next
					dte056MEN100F010.DateValue = Nothing
					Return MsgBoxResult.Cancel
			End Select
			ldtCbChildInfoRow = New datCbChildInfo
			ldtCbChildInfoRow.PATIENT_NO = Me.PatientNo
			ldtCbChildInfoRow.HSP_HISTORY_NO = Me.HspHistoryNo
			ldtCbChildInfoRow.CH_NO = Me.ChNo
			ldtCbChildInfoRow.CB_SERIAL_NO = pNowSerialNo
			ldtCbChildInfoRow.GENDER_CD = cmb052MEN100F010.Text				'性別
			'分娩日
			If Not String.IsNullOrEmpty(dte014MEN100F010.Text) Then
				ldtCbChildInfoRow.CB_DT = dte014MEN100F010.DateValue
			End If
			'子分娩日
			If Not String.IsNullOrEmpty(dte056MEN100F010.Text) Then
				ldtCbChildInfoRow.CHD_CB_DT = dte056MEN100F010.DateValue
			End If
			If Not msk057MEN100F010.IsNullOrEmpty Then
				ldtCbChildInfoRow.CHD_CB_TIME = String.Format(clsMENCOMMON.CONST_FORMAT_TIME, msk057MEN100F010.ValidateText)
			End If
			'血液型
			ldtCbChildInfoRow.CHD_BLOODTYPE_CD = cmb059MEN100F010.Text
			ldtCbChildInfoRow.CHD_RH_CD = cmb061MEN100F010.Text
			ldtCbChildInfoRow.NEWBORN_NO = txt064MEN100F010.Text
			ldtCbChildInfoRow.CHD_PATIENT_NO = msk066MEN100F010.Text
			If Not String.IsNullOrEmpty(num068MEN100F010.Text) Then
				ldtCbChildInfoRow.NEWBORN_STATURE = num068MEN100F010.DblValue
			End If
			If Not String.IsNullOrEmpty(num071MEN100F010.Text) Then
				ldtCbChildInfoRow.NEWBORN_WEIGHT = CInt(num071MEN100F010.DblValue)
			End If
			ldtCbChildInfoRow.APGARSCORE_1MIN = cmb074MEN100F010.Text
			ldtCbChildInfoRow.APGARSCORE_5MIN = cmb077MEN100F010.Text
			ldtCbChildInfoRow.IMMATURE = cliMENCOMMON.setCheckBoxValue(chk079MEN100F010.Checked)
			ldtCbChildInfoRow.DEFORMITY = cliMENCOMMON.setCheckBoxValue(chk080MEN100F010.Checked)
			ldtCbChildInfoRow.STILLBIRTH = cliMENCOMMON.setCheckBoxValue(chk081MEN100F010.Checked)
			ldtCbChildInfoRow.CB_PTN1 = cmb089MEN100F010.Text
			ldtCbChildInfoRow.CB_PTN2 = cmb092MEN100F010.Text
			ldtCbChildInfoRow.CB_PTN3 = cmb095MEN100F010.Text
			ldtCbChildInfoRow.CB_PTN4 = cmb098MEN100F010.Text
			ldtCbChildInfoRow.CHD_CB_CHK1 = cliMENCOMMON.setCheckBoxValue(chk083MEN100F010.Checked)
			ldtCbChildInfoRow.CHD_CB_CHK2 = cliMENCOMMON.setCheckBoxValue(chk084MEN100F010.Checked)
			ldtCbChildInfoRow.CHD_CB_CHK3 = cliMENCOMMON.setCheckBoxValue(chk085MEN100F010.Checked)
			ldtCbChildInfoRow.CHD_CB_CHK4 = cliMENCOMMON.setCheckBoxValue(chk086MEN100F010.Checked)
			ldtCbChildInfoRow.CHD_CB_CHK5 = cliMENCOMMON.setCheckBoxValue(chk087MEN100F010.Checked)
			ldtCbChildInfoRow.CHD_REMARKS = txt101MEN100F010.Text
			If chk081MEN100F010.Checked Then
				lDtCbSbRows = datDispCbSb.Select(CONST_SELECT_M_CbSb_KEY & pNowSerialNo)
				For Each lDtCbSbRow In lDtCbSbRows
					ldtCbChildInfoRow.CB_SB_PATIENT_NO = lDtCbSbRow(sqlMTI_CB_SB.itmPATIENT_NO).ToString
				Next
			End If
			'分娩児情報チェック処理
			lArList = New ArrayList
			lArList.Add(ldtCbChildInfoRow)
			lRetErrCnt = cliMEN010F060.chkCbChildInfo(lArList, Me)
			For Each lChkObj In lRetErrCnt
				If IIf(lChkObj Is Nothing, 0, lChkObj) <> 0 Then
					lRet = MsgBoxResult.No
				End If
			Next
		Catch ex As Exception
			Throw
		Finally
			ldtCbChildInfoRow = Nothing
			lArList = Nothing
			lRetErrCnt = Nothing
			lChkObj = Nothing
			lDtCbSbRows = Nothing
			lDtCbSbRow = Nothing
			lDtRow = Nothing
		End Try
		Return lRet
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 全分娩児入力チェック
	''' </summary>
	''' <returns>成否</returns>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkDataRowAll() As Boolean
		log(clsSysMst.logLevel.DBG, "chkDataRowAll", "全分娩児入力チェック Start")
		Dim lRet As Boolean = True
		Dim lChk As Boolean = False
		Dim lDtRow As DataRow = Nothing
		Dim ldtCbChildInfoRow As datCbChildInfo			' 分娩児チェック用テーブル
		Dim lArList As ArrayList
		Dim lRetErrCnt As ArrayList
		Dim lChkObj As Object = Nothing
		Dim lDtCbSbRows() As DataRow
		Dim lDtCbSbRow As DataRow
		Try
			lArList = New ArrayList
			For Each lDtRow In datCbChild.Rows
				If lDtRow.RowState = DataRowState.Deleted Then Continue For
				If lDtRow(sqlMENCOMMON.itmAddCol4NewRow).ToString = clsMENCOMMON.CONST_NEWROW Then Continue For
				ldtCbChildInfoRow = New datCbChildInfo
				With ldtCbChildInfoRow
					.PATIENT_NO = lDtRow(sqlMTI_CB_CHILD.itmPATIENT_NO)
					.HSP_HISTORY_NO = lDtRow(sqlMTI_CB_CHILD.itmHSP_HISTORY_NO)
					.CH_NO = lDtRow(sqlMTI_CB_CHILD.itmCH_NO)
					.CB_SERIAL_NO = lDtRow(sqlMTI_CB_CHILD.itmCB_SERIAL_NO)
					'性別
					.GENDER_CD = lDtRow(sqlMTI_CB_CHILD.itmGENDER_CD).ToString
					'子分娩日時
					If IsDate(lDtRow(sqlMTI_CB_CHILD.itmCHD_CB_DT)) Then
						.CHD_CB_DT = lDtRow(sqlMTI_CB_CHILD.itmCHD_CB_DT)
					End If
					.CHD_CB_TIME = lDtRow(sqlMTI_CB_CHILD.itmCHD_CB_TIME).ToString
					'血液型
					.CHD_BLOODTYPE_CD = lDtRow(sqlMTI_CB_CHILD.itmCHD_BLOODTYPE_CD).ToString
					.CHD_RH_CD = lDtRow(sqlMTI_CB_CHILD.itmCHD_RH_CD).ToString
					'新生児番号 
					.NEWBORN_NO = lDtRow(sqlMTI_CB_CHILD.itmNEWBORN_NO).ToString
					'患者番号
					.CHD_PATIENT_NO = lDtRow(sqlMTI_CB_CHILD.itmCHD_PATIENT_NO).ToString
					'身長　
					If IsNumeric(lDtRow(sqlMTI_CB_CHILD.itmNEWBORN_STATURE)) Then
						.NEWBORN_STATURE = lDtRow(sqlMTI_CB_CHILD.itmNEWBORN_STATURE)
					End If
					'体重
					If IsNumeric(lDtRow(sqlMTI_CB_CHILD.itmNEWBORN_WEIGHT)) Then
						.NEWBORN_WEIGHT = lDtRow(sqlMTI_CB_CHILD.itmNEWBORN_WEIGHT)
					End If
					'アプガー
					.APGARSCORE_1MIN = lDtRow(sqlMTI_CB_CHILD.itmAPGARSCORE_1MIN).ToString
					.APGARSCORE_5MIN = lDtRow(sqlMTI_CB_CHILD.itmAPGARSCORE_5MIN).ToString
					'未熟、奇形、流死産
					If IsNumeric(lDtRow(sqlMTI_CB_CHILD.itmIMMATURE)) Then
						.IMMATURE = lDtRow(sqlMTI_CB_CHILD.itmIMMATURE)
					End If
					If IsNumeric(lDtRow(sqlMTI_CB_CHILD.itmDEFORMITY)) Then
						.DEFORMITY = lDtRow(sqlMTI_CB_CHILD.itmDEFORMITY)
					End If
					If IsNumeric(lDtRow(sqlMTI_CB_CHILD.itmSTILLBIRTH)) Then
						.STILLBIRTH = lDtRow(sqlMTI_CB_CHILD.itmSTILLBIRTH)
					End If
					'分娩様式 
					.CB_PTN1 = lDtRow(sqlMTI_CB_CHILD.itmCB_PTN1).ToString
					.CB_PTN2 = lDtRow(sqlMTI_CB_CHILD.itmCB_PTN2).ToString
					.CB_PTN3 = lDtRow(sqlMTI_CB_CHILD.itmCB_PTN3).ToString
					.CB_PTN4 = lDtRow(sqlMTI_CB_CHILD.itmCB_PTN4).ToString
					'チェック１～５　
					If IsNumeric(lDtRow(sqlMTI_CB_CHILD.itmCHD_CB_CHK1)) Then
						.CHD_CB_CHK1 = lDtRow(sqlMTI_CB_CHILD.itmCHD_CB_CHK1)
					End If
					If IsNumeric(lDtRow(sqlMTI_CB_CHILD.itmCHD_CB_CHK2)) Then
						.CHD_CB_CHK2 = lDtRow(sqlMTI_CB_CHILD.itmCHD_CB_CHK2)
					End If
					If IsNumeric(lDtRow(sqlMTI_CB_CHILD.itmCHD_CB_CHK3)) Then
						.CHD_CB_CHK3 = lDtRow(sqlMTI_CB_CHILD.itmCHD_CB_CHK3)
					End If
					If IsNumeric(lDtRow(sqlMTI_CB_CHILD.itmCHD_CB_CHK4)) Then
						.CHD_CB_CHK4 = lDtRow(sqlMTI_CB_CHILD.itmCHD_CB_CHK4)
					End If
					If IsNumeric(lDtRow(sqlMTI_CB_CHILD.itmCHD_CB_CHK5)) Then
						.CHD_CB_CHK5 = lDtRow(sqlMTI_CB_CHILD.itmCHD_CB_CHK5)
					End If
					'備考
					.CHD_REMARKS = lDtRow(sqlMTI_CB_CHILD.itmCHD_REMARKS).ToString
					'分娩日
					If Not String.IsNullOrEmpty(dte014MEN100F010.Text) Then
						.CB_DT = dte014MEN100F010.DateValue
					End If
					'分娩子流死産情報の有無
					If .STILLBIRTH.HasValue AndAlso .STILLBIRTH.Value = clsConst.Enum_CheckBox_Flg.CheckOn Then
						lDtCbSbRows = datCbSb.Select(CONST_SELECT_M_CbSb_KEY & .CB_SERIAL_NO.Value)
						For Each lDtCbSbRow In lDtCbSbRows
							.CB_SB_PATIENT_NO = lDtCbSbRow(sqlMTI_CB_SB.itmPATIENT_NO).ToString
						Next
					End If
					'分娩日時チェック
					If .CB_DT.HasValue AndAlso .CHD_CB_DT.HasValue Then
						If (.CB_DT.Value = .CHD_CB_DT.Value OrElse .CB_DT.Value.AddDays(1) = .CHD_CB_DT.Value) = False Then
							lChk = True
						End If
					End If
				End With
				lArList.Add(ldtCbChildInfoRow)
			Next
			'チェック
			If lArList.Count > 0 Then
				lRetErrCnt = cliMEN010F060.chkCbChildInfo(lArList, Me)
				For Each lChkObj In lRetErrCnt
					If IIf(lChkObj Is Nothing, 0, lChkObj) <> 0 Then
						lRet = False
					End If
				Next
			End If
			'分娩日時チェック
			If lRet AndAlso lChk Then
				If confMsg("Q0001", MessageBoxButtons.YesNo, "児分娩日が分娩日または分娩日＋１日と違うデータがあります。このまま登録して", Nothing) = vbNo Then
					lRet = False
				End If
			End If
		Catch ex As Exception
			Throw
		Finally
			lChk = Nothing
			lDtRow = Nothing
			ldtCbChildInfoRow = Nothing
			lArList = Nothing
			lRetErrCnt = Nothing
			lChkObj = Nothing
			lDtCbSbRows = Nothing
			lDtCbSbRow = Nothing
		End Try
		Return lRet
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 分娩入力チェック
	''' </summary>
	''' <returns>成否</returns>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkCbInfo() As Boolean
		log(clsSysMst.logLevel.DBG, "chkCbInfo", "分娩入力チェック Start")
		Dim lRet As Boolean = True
		Dim ldtCbInfoRow As datCbInfo						' 分娩チェック用テーブル
		Dim lArList As ArrayList
		Dim lRetErrCnt As ArrayList
		Dim lChkObj As Object = Nothing
		Dim lDtRow As DataRow = Nothing
		Try
			If Me.pNewRecordFlg Then
				Select Case False
					Case String.IsNullOrEmpty(cmb002MEN100F010.Text)
					Case String.IsNullOrEmpty(cmb005MEN100F010.Text)
					Case String.IsNullOrEmpty(cmb008MEN100F010.Text)
					Case String.IsNullOrEmpty(cmb011MEN100F010.Text)
					Case String.IsNullOrEmpty(dte014MEN100F010.Text)
					Case String.IsNullOrEmpty(num021MEN100F010.Text)
					Case String.IsNullOrEmpty(num023MEN100F010.Text)
					Case String.IsNullOrEmpty(num026MEN100F010.Text)
					Case String.IsNullOrEmpty(cmb029MEN100F010.Text)
					Case Not chk031MEN100F010.Checked
					Case Not chk032MEN100F010.Checked
					Case Not chk033MEN100F010.Checked
					Case Not chk034MEN100F010.Checked
					Case Not chk035MEN100F010.Checked
					Case String.IsNullOrEmpty(txt037MEN100F010.Text)
					Case Else
						For Each lDtRow In datCbChild.Rows
							If lDtRow.RowState = DataRowState.Deleted Then Continue For
							Select Case False
								Case String.IsNullOrEmpty(lDtRow(sqlMTI_CB_CHILD.itmGENDER_CD).ToString)
								Case Else
									Continue For
							End Select
							Exit Select
						Next
						Return lRet
				End Select
				pNewRecordFlg = False
			End If
			ldtCbInfoRow = New datCbInfo
			ldtCbInfoRow.BIRTH_DT = Me.BasicInfoRec.BIRTH_DT
			ldtCbInfoRow.GENDER_CD = BasicInfoRec.GENDER_CD
			ldtCbInfoRow.PATIENT_NO = Me.PatientNo
			ldtCbInfoRow.HSP_HISTORY_NO = Me.HspHistoryNo
			ldtCbInfoRow.CH_NO = Me.ChNo
			ldtCbInfoRow.CB_DIV1 = cmb002MEN100F010.Text
			ldtCbInfoRow.CB_DIV2 = cmb005MEN100F010.Text
			ldtCbInfoRow.CB_DIV3 = cmb008MEN100F010.Text
			ldtCbInfoRow.CB_DIV4 = cmb011MEN100F010.Text
			ldtCbInfoRow.CB_CHK1 = cliMENCOMMON.setCheckBoxValue(chk033MEN100F010.Checked)
			ldtCbInfoRow.CB_CHK2 = cliMENCOMMON.setCheckBoxValue(chk034MEN100F010.Checked)
			ldtCbInfoRow.CB_CHK3 = cliMENCOMMON.setCheckBoxValue(chk035MEN100F010.Checked)
			If Not String.IsNullOrEmpty(num026MEN100F010.Text) Then
				ldtCbInfoRow.BLEEDING_VOLUME = Integer.Parse(num026MEN100F010.Text)
			End If
			ldtCbInfoRow.CAESAREAN_OPE_CD = cmb029MEN100F010.Text
			ldtCbInfoRow.REMARKS = txt037MEN100F010.Text
			If Not String.IsNullOrEmpty(lbl016MEN100F010.Text) Then
				ldtCbInfoRow.CB_AGE = lbl016MEN100F010.Text
			End If
			If Not String.IsNullOrEmpty(lbl018MEN100F010.Text) Then
				ldtCbInfoRow.CB_MONTH_AGE = lbl018MEN100F010.Text
			End If
			If Not String.IsNullOrEmpty(num021MEN100F010.Text) Then
				ldtCbInfoRow.GESTATIONAL_WEEK_COUNT = num021MEN100F010.Text
			End If
			If Not String.IsNullOrEmpty(num023MEN100F010.Text) Then
				ldtCbInfoRow.GESTATIONAL_DAY_COUNT = num023MEN100F010.Text
			End If
			If Not String.IsNullOrEmpty(num041MEN100F010.Text) Then
				ldtCbInfoRow.CHD_COUNT = num041MEN100F010.Text
			End If
			'分娩日
			If Not String.IsNullOrEmpty(dte014MEN100F010.Text) Then
				ldtCbInfoRow.CB_DT = dte014MEN100F010.DateValue
			End If
			'流産
			ldtCbInfoRow.MISCARRIAGE = cliMENCOMMON.setCheckBoxValue(chk032MEN100F010.Checked)
			'早産
			ldtCbInfoRow.PREMATURE_BIRTH = cliMENCOMMON.setCheckBoxValue(chk031MEN100F010.Checked)
			ldtCbInfoRow.START_DT = ChRec.START_DT
			ldtCbInfoRow.END_DT = ChRec.END_DT
			ldtCbInfoRow.HSP_DT = HspRec.HSP_DT
			ldtCbInfoRow.OUT_HSP_DT = HspRec.OUT_HSP_DT
			'分娩情報チェック処理
			lArList = New ArrayList
			lArList.Add(ldtCbInfoRow)
			lRetErrCnt = cliMEN010F060.chkCbInfo(lArList, Me)
			For Each lChkObj In lRetErrCnt
				If IIf(lChkObj Is Nothing, 0, lChkObj) <> 0 Then
					lRet = False
				End If
			Next
			Return lRet
		Catch ex As Exception
			Throw
		Finally
			ldtCbInfoRow = Nothing
			lArList = Nothing
			lRetErrCnt = Nothing
			lChkObj = Nothing
			lDtRow = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 分娩情報DataTable反映処理
	''' </summary>
	''' <returns>成否</returns>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function setDataRowCbInfo() As Boolean
		log(clsSysMst.logLevel.DBG, "setDataRowCbInfo", "分娩情報DataTable反映処理 クリック Start")
		Dim lDtRow As DataRow = Nothing
		Dim lRowState As Boolean = False
		Dim lNewFlg As Boolean = False
		Try
			'更新モード以外は抜ける
			If Me.ExeMode <> Enum_ExeMode.eEntry Then Return True

			If datCb.Rows.Count = 0 Then
				lNewFlg = True
				lDtRow = datCb.NewRow
				lDtRow.BeginEdit()
				lDtRow(sqlMTI_CB.itmPATIENT_NO) = Me.PatientNo
				lDtRow(sqlMTI_CB.itmHSP_HISTORY_NO) = Me.HspHistoryNo
				lDtRow(sqlMTI_CB.itmCH_NO) = Me.ChNo
				lDtRow(sqlMTI_CB.itmNEW_REG_DT) = Now
			Else
				lDtRow = datCb.Rows(0)
				lDtRow.BeginEdit()
			End If
			lDtRow(sqlMTI_CB.itmLASTUPDUSER_CD) = clsSysMst.getLoginId
			lDtRow(sqlMTI_CB.itmLASTUPD_DT) = Now
			If cliMENCOMMON.setDtTableField_BTMultiCombo(lDtRow(sqlMTI_CB.itmCB_DIV1), cmb002MEN100F010) Then
				lRowState = True
			End If
			If cliMENCOMMON.setDtTableField_BTMultiCombo(lDtRow(sqlMTI_CB.itmCB_DIV2), cmb005MEN100F010) Then
				lRowState = True
			End If
			If cliMENCOMMON.setDtTableField_BTMultiCombo(lDtRow(sqlMTI_CB.itmCB_DIV3), cmb008MEN100F010) Then
				lRowState = True
			End If
			If cliMENCOMMON.setDtTableField_BTMultiCombo(lDtRow(sqlMTI_CB.itmCB_DIV4), cmb011MEN100F010) Then
				lRowState = True
			End If
			'分娩日
			If cliMENCOMMON.setDtTableField_BTDate(lDtRow(sqlMTI_CB.itmCB_DT), dte014MEN100F010) Then
				lRowState = True
			End If
			If cliMENCOMMON.setDtTableField_TextInt(lDtRow(sqlMTI_CB.itmCB_AGE), lbl016MEN100F010.Text) Then
				lRowState = True
			End If
			If cliMENCOMMON.setDtTableField_TextInt(lDtRow(sqlMTI_CB.itmCB_MONTH_AGE), lbl018MEN100F010.Text) Then
				lRowState = True
			End If
			'在胎日数
			If cliMENCOMMON.setDtTableField_BTNumber(lDtRow(sqlMTI_CB.itmGESTATIONAL_WEEK_COUNT), num021MEN100F010) Then
				lRowState = True
			End If
			If cliMENCOMMON.setDtTableField_BTNumber(lDtRow(sqlMTI_CB.itmGESTATIONAL_DAY_COUNT), num023MEN100F010) Then
				lRowState = True
			End If
			'備考
			If cliMENCOMMON.setDtTableField_Text(lDtRow(sqlMTI_CB.itmREMARKS), txt037MEN100F010.Text) Then
				lRowState = True
			End If
			'出血量
			If cliMENCOMMON.setDtTableField_BTNumber(lDtRow(sqlMTI_CB.itmBLEEDING_VOLUME), num026MEN100F010) Then
				lRowState = True
			End If
			'帝王切開
			If cliMENCOMMON.setDtTableField_BTMultiCombo(lDtRow(sqlMTI_CB.itmCAESAREAN_OPE_CD), cmb029MEN100F010) Then
				lRowState = True
			End If
			'早産、流産
			If cliMENCOMMON.setDtTableField_Checked(lDtRow(sqlMTI_CB.itmPREMATURE_BIRTH), chk031MEN100F010.Checked) Then
				lRowState = True
			End If
			If cliMENCOMMON.setDtTableField_Checked(lDtRow(sqlMTI_CB.itmMISCARRIAGE), chk032MEN100F010.Checked) Then
				lRowState = True
			End If
			'チェック１～３
			If cliMENCOMMON.setDtTableField_Checked(lDtRow(sqlMTI_CB.itmCB_CHK1), chk033MEN100F010.Checked) Then
				lRowState = True
			End If
			If cliMENCOMMON.setDtTableField_Checked(lDtRow(sqlMTI_CB.itmCB_CHK2), chk034MEN100F010.Checked) Then
				lRowState = True
			End If
			If cliMENCOMMON.setDtTableField_Checked(lDtRow(sqlMTI_CB.itmCB_CHK3), chk035MEN100F010.Checked) Then
				lRowState = True
			End If
			'児数
			If cliMENCOMMON.setDtTableField_BTNumber(lDtRow(sqlMTI_CB.itmCHD_COUNT), num041MEN100F010) Then
				lRowState = True
			End If
			If lRowState Then
				lDtRow(sqlMTI_CB.itmLASTUPDUSER_CD) = clsSysMst.getLoginId	'更新者コード
				lDtRow(sqlMTI_CB.itmLASTUPD_DT) = Now						'最終更新日
				lDtRow.EndEdit()
			Else
				lDtRow.CancelEdit()
			End If
			If lNewFlg Then
				datCb.Rows.InsertAt(lDtRow, 0)
			End If
		Catch ex As Exception
			Throw
		Finally
			lDtRow = Nothing
			lRowState = Nothing
			lNewFlg = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' グリッド上下入替え処理
	''' </summary>
	''' <param name="aRowIndex1">入替え元Index</param>
	''' <param name="aRowIndex2">入替え先Index</param>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub chgUpDownGrid(ByVal aRowIndex1 As Integer, ByVal aRowIndex2 As Integer)
		log(clsSysMst.logLevel.DBG, "chgUpDownGrid", "グリッド上下入替え処理 クリック Start")
		Dim lGridViewRow1 As DataGridViewRow = Nothing
		Dim lGridViewRow2 As DataGridViewRow = Nothing
		Dim lDataRowView1 As DataRowView = Nothing
		Dim lDataRowView2 As DataRowView = Nothing
		Dim lDataRow1 As DataRow = Nothing
		Dim lDataRow2 As DataRow = Nothing
		Dim ldv As DataView = Nothing
		Dim lDtCbSbRows1() As DataRow = Nothing
		Dim lDtCbSbRows2() As DataRow = Nothing
		Try
			dgv050MEN100F010.Columns(CONTROL_C01050MEN100F010).HeaderCell.SortGlyphDirection = SortOrder.Ascending
			Dim wIndex As Integer
			Dim wIndex2 As Integer
			lGridViewRow1 = dgv050MEN100F010.Rows(aRowIndex1)
			lGridViewRow2 = dgv050MEN100F010.Rows(aRowIndex2)
			lDataRowView1 = CType(lGridViewRow1.DataBoundItem, DataRowView)
			lDataRowView2 = CType(lGridViewRow2.DataBoundItem, DataRowView)
			lDataRow1 = CType(lDataRowView1.Row, DataRow)
			lDataRow2 = CType(lDataRowView2.Row, DataRow)
			' Index退避
			wIndex = dgv050MEN100F010.Rows(aRowIndex1).Cells(CONTROL_C01050MEN100F010).Value
			wIndex2 = dgv050MEN100F010.Rows(aRowIndex2).Cells(CONTROL_C01050MEN100F010).Value
			' 選択行レコード取得
			lDataRow1.BeginEdit()
			lDataRow2.BeginEdit()
			lDataRow1(sqlMTI_CB_CHILD.itmCB_SERIAL_NO) = wIndex2
			lDataRow2(sqlMTI_CB_CHILD.itmCB_SERIAL_NO) = wIndex
			lDataRow1.EndEdit()
			lDataRow2.EndEdit()
			' ソート処理
			ldv = datCbChild.DefaultView
			ldv.Sort = sqlMTI_CB_CHILD.itmCB_SERIAL_NO
			dgv050MEN100F010.Columns(CONTROL_C01050MEN100F010).HeaderCell.SortGlyphDirection = SortOrder.Ascending
			' 現在行にフォーカス移動
			srhSerialNo(wIndex2)
			pNowSerialNo = wIndex2
			' ボタン表示切替
			cliMENCOMMON.dspUpDownButtonFace(dgv050MEN100F010, Me)
			'死産情報入替え
			lDtCbSbRows1 = datCbSb.Select(CONST_SELECT_M_CbSb_KEY & wIndex)
			lDtCbSbRows2 = datCbSb.Select(CONST_SELECT_M_CbSb_KEY & wIndex2)
			For Each lDataRow1 In lDtCbSbRows1
				lDataRow1.BeginEdit()
				lDataRow1(sqlMTI_CB_SB.itmCB_SERIAL_NO) = wIndex2
				lDataRow1.EndEdit()
			Next
			For Each lDataRow2 In lDtCbSbRows2
				lDataRow2.BeginEdit()
				lDataRow2(sqlMTI_CB_SB.itmCB_SERIAL_NO) = wIndex
				lDataRow2.EndEdit()
			Next
		Catch ex As Exception
			Throw
		Finally
			lGridViewRow1 = Nothing
			lGridViewRow2 = Nothing
			lDataRowView1 = Nothing
			lDataRowView2 = Nothing
			lDataRow1 = Nothing
			lDataRow2 = Nothing
			ldv = Nothing
			lDtCbSbRows1 = Nothing
			lDtCbSbRows2 = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' グリッド上下移動処理
	''' </summary>
	''' <param name="aUpFlg">True 上, False 下</param>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub GrdRowUpDownIndex(ByVal aUpFlg As Boolean)
		log(clsSysMst.logLevel.DBG, "GrdRowUpDownIndex", "グリッド上下移動処理 クリック Start")
		Try
			Dim wRowIndex As Integer = srhSerialNo(pNowSerialNo, True)
			Dim wRowNextIndex As Integer = IIf(aUpFlg, wRowIndex - 1, wRowIndex + 1)
			' グリッドに反映
			If Not setDataRow(wRowIndex) Then Exit Sub
			If wRowNextIndex >= 0 AndAlso wRowNextIndex < dgv050MEN100F010.RowCount Then
				dgv050MEN100F010.Rows(wRowNextIndex).Cells(1).Selected = True
			End If
			' グリッドから取得
			dspDataRow()
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 新規レコード追加処理
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub AddNewRow()
		log(clsSysMst.logLevel.DBG, "AddNewRow", "新規レコード追加処理 Start")
		Dim wGridViewRow As DataGridViewRow = Nothing
		Dim wDataRowView As DataRowView = Nothing
		Dim wRow As DataRow = Nothing
		Dim lSerialNo As Integer = Nothing
		Dim lRowIndex As Integer = Nothing
		Try
			' 既存の最大連番を取得する
			If dgv050MEN100F010.Rows.Count = 0 Then
				lSerialNo = 0
			Else
				lSerialNo = dgv050MEN100F010.Rows(dgv050MEN100F010.Rows.Count - 1).Cells(CONTROL_C01050MEN100F010).Value
			End If
			' 最大連番の選択行を取得する
			lRowIndex = srhSerialNo(lSerialNo, True)
			If lRowIndex < 0 Then
				' 選択行なしは新規追加
				wRow = datCbChild.NewRow
				lSerialNo = lSerialNo + 1
			Else
				' 選択行レコード取得
				wGridViewRow = dgv050MEN100F010.Rows(lRowIndex)
				wDataRowView = CType(wGridViewRow.DataBoundItem, DataRowView)
				wRow = CType(wDataRowView.Row, DataRow)
				If wRow(sqlMENCOMMON.itmAddCol4NewRow).ToString <> clsMENCOMMON.CONST_NEWROW Then
					' 選択行が新規行以外は新規追加
					lRowIndex = -1
					wRow = datCbChild.NewRow
					lSerialNo = lSerialNo + 1
				Else
					' 選択行が新規行のときは更新開始
					wRow.BeginEdit()
				End If
			End If
			wRow(sqlMTI_CB_CHILD.itmCB_SERIAL_NO) = lSerialNo
			'新規行
			wRow(sqlMENCOMMON.itmAddCol4NewRow) = clsMENCOMMON.CONST_NEWROW
			If lRowIndex < 0 Then
				'追加
				datCbChild.Rows.Add(wRow)
			Else
				'更新終了
				wRow.EndEdit()
			End If
			cliMENCOMMON.dspUpDownButtonFace(dgv050MEN100F010, Me)
			' 新規選択
			pNowSerialNo = lSerialNo
			srhSerialNo(pNowSerialNo)
		Catch ex As Exception
			Throw
		Finally
			wGridViewRow = Nothing
			wDataRowView = Nothing
			wRow = Nothing
			lSerialNo = Nothing
			lRowIndex = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 死産チェック状態判断処理
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub chkCbSbStatus()
		log(clsSysMst.logLevel.DBG, "chkCbSbStatus", "死産チェック状態判断処理 Start")
		Try
			If chk081MEN100F010.Checked Then
				showCbSb()
			Else
				If confMsg("Q0005", MessageBoxButtons.YesNo, MessageBoxDefaultButton.Button2, "死産情報を削除", Nothing) = MsgBoxResult.Yes Then
					delCbSbRow()
				Else
					chk081MEN100F010.Checked = True
				End If
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 死産情報表示処理
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub showCbSb()
		log(clsSysMst.logLevel.DBG, "showCbSb", "死産情報表示処理 Start")
		Dim lcbChild As datMTI_CB_CHILD_PLUS_OneRec
		Dim lCbSb As datMTI_CB_SB_OneRec
		Dim lDtRows() As DataRow = Nothing
		Try
			lcbChild = New datMTI_CB_CHILD_PLUS_OneRec
			setCbChildInfo(lcbChild)
			lDtRows = datDispCbSb.Select(CONST_SELECT_M_CbSb_KEY & pNowSerialNo)
			If lDtRows.Length = 0 Then
				nextForm(New MEN.MEN100F020(Me.ExeMode, Me.PatientNo, Me.HspHistoryNo, Me.ChNo, lcbChild, Nothing))	'分娩児死産情報登録
			Else
				lCbSb = New datMTI_CB_SB_OneRec
				getCbSbRow(lDtRows(0), lCbSb)
				nextForm(New MEN.MEN100F020(Me.ExeMode, Me.PatientNo, Me.HspHistoryNo, Me.ChNo, lcbChild, lCbSb))	'分娩児死産情報登録
			End If
		Catch ex As Exception
			Throw
		Finally
			lDtRows = Nothing
			lcbChild = Nothing
			lCbSb = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 分娩死情報のDataRowから構造体へコピー処理
	''' </summary>
	''' <param name="aDtRow">Row型</param>
	''' <param name="aCbSb">分娩死情報構造体</param>
	''' <remarks>
	''' 2010/12/08 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub getCbSbRow(ByVal aDtRow As DataRow, ByRef aCbSb As datMTI_CB_SB_OneRec)
		log(clsSysMst.logLevel.DBG, "getCbSbRow", "分娩死情報のDataRowから構造体へコピー処理 Start")
		Try
			aCbSb.PATIENT_NO = aDtRow.Item(sqlMTI_CB_SB.itmPATIENT_NO).ToString
			aCbSb.HSP_HISTORY_NO = aDtRow.Item(sqlMTI_CB_SB.itmHSP_HISTORY_NO)
			aCbSb.CH_NO = aDtRow.Item(sqlMTI_CB_SB.itmCH_NO)
			aCbSb.CB_SERIAL_NO = aDtRow.Item(sqlMTI_CB_SB.itmCB_SERIAL_NO)
			aCbSb.SB_NO = aDtRow.Item(sqlMTI_CB_SB.itmSB_NO).ToString																	'流死産番号
			aCbSb.SB_DT = If(IsDBNull(aDtRow.Item(sqlMTI_CB_SB.itmSB_DT)), Nothing, aDtRow.Item(sqlMTI_CB_SB.itmSB_DT))					'流死産日
			aCbSb.SB_TIME = aDtRow.Item(sqlMTI_CB_SB.itmSB_TIME).ToString																'流死産時刻
			aCbSb.WEEK_COUNT = aDtRow.Item(sqlMTI_CB_SB.itmWEEK_COUNT).ToString															'週数
			aCbSb.SB_LCT = aDtRow.Item(sqlMTI_CB_SB.itmSB_LCT).ToString																	'流死産場所コード
			aCbSb.AUTOPSY_CHK = aDtRow.Item(sqlMTI_CB_SB.itmAUTOPSY_CHK).ToString														'剖検有無コード
			aCbSb.AUTOPSY_NO = aDtRow.Item(sqlMTI_CB_SB.itmAUTOPSY_NO).ToString															'剖検番号
			aCbSb.INDUCED_ABORTION_CHK = aDtRow.Item(sqlMTI_CB_SB.itmINDUCED_ABORTION_CHK).ToString										'人工中絶有無コード
			aCbSb.MOTHER_CMPC_CHK = aDtRow.Item(sqlMTI_CB_SB.itmMOTHER_CMPC_CHK).ToString												'母体合併症有無コード
			aCbSb.REMARKS = aDtRow.Item(sqlMTI_CB_SB.itmREMARKS).ToString																'備考
			aCbSb.LASTUPDUSER_CD = aDtRow.Item(sqlMTI_CB_SB.itmLASTUPDUSER_CD).ToString													'更新者コード
			aCbSb.LASTUPD_DT = If(IsDBNull(aDtRow.Item(sqlMTI_CB_SB.itmLASTUPD_DT)), Nothing, aDtRow.Item(sqlMTI_CB_SB.itmLASTUPD_DT))	'最終更新日
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 分娩死情報の構造体からDataRowへコピー処理
	''' </summary>
	''' <param name="aDtRow">Row型</param>
	''' <param name="aCbSb">分娩死情報構造体</param>
	''' <remarks>
	''' 2010/12/08 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setCbSbRow(ByRef aDtRow As DataRow, ByVal aCbSb As datMTI_CB_SB_OneRec)
		log(clsSysMst.logLevel.DBG, "setCbSbRow", "分娩死情報の構造体からDataRowへコピー処理 Start")
		Try
			aDtRow.Item(sqlMTI_CB_SB.itmPATIENT_NO) = Me.PatientNo
			aDtRow.Item(sqlMTI_CB_SB.itmHSP_HISTORY_NO) = Me.HspHistoryNo
			aDtRow.Item(sqlMTI_CB_SB.itmCH_NO) = Me.ChNo
			aDtRow.Item(sqlMTI_CB_SB.itmCB_SERIAL_NO) = aCbSb.CB_SERIAL_NO
			aDtRow.Item(sqlMTI_CB_SB.itmSB_NO) = If(String.IsNullOrEmpty(aCbSb.SB_NO), DBNull.Value, aCbSb.SB_NO)												'流死産番号
			aDtRow.Item(sqlMTI_CB_SB.itmSB_DT) = If(aCbSb.SB_DT.Equals(Nothing), DBNull.Value, aCbSb.SB_DT)														'流死産日
			aDtRow.Item(sqlMTI_CB_SB.itmSB_TIME) = If(String.IsNullOrEmpty(aCbSb.SB_TIME), DBNull.Value, aCbSb.SB_TIME)											'流死産時刻
			aDtRow.Item(sqlMTI_CB_SB.itmWEEK_COUNT) = If(String.IsNullOrEmpty(aCbSb.WEEK_COUNT), DBNull.Value, aCbSb.WEEK_COUNT)								'週数
			aDtRow.Item(sqlMTI_CB_SB.itmSB_LCT) = If(String.IsNullOrEmpty(aCbSb.SB_LCT), DBNull.Value, aCbSb.SB_LCT)											'流死産場所コード
			aDtRow.Item(sqlMTI_CB_SB.itmAUTOPSY_CHK) = If(String.IsNullOrEmpty(aCbSb.AUTOPSY_CHK), DBNull.Value, aCbSb.AUTOPSY_CHK)								'剖検有無コード
			aDtRow.Item(sqlMTI_CB_SB.itmAUTOPSY_NO) = If(String.IsNullOrEmpty(aCbSb.AUTOPSY_NO), DBNull.Value, aCbSb.AUTOPSY_NO)								'剖検番号
			aDtRow.Item(sqlMTI_CB_SB.itmINDUCED_ABORTION_CHK) = If(String.IsNullOrEmpty(aCbSb.INDUCED_ABORTION_CHK), DBNull.Value, aCbSb.INDUCED_ABORTION_CHK)	'人工中絶有無コード
			aDtRow.Item(sqlMTI_CB_SB.itmMOTHER_CMPC_CHK) = If(String.IsNullOrEmpty(aCbSb.MOTHER_CMPC_CHK), DBNull.Value, aCbSb.MOTHER_CMPC_CHK)					'母体合併症有無コード
			aDtRow.Item(sqlMTI_CB_SB.itmREMARKS) = If(String.IsNullOrEmpty(aCbSb.REMARKS), DBNull.Value, aCbSb.REMARKS)											'備考
			aDtRow.Item(sqlMTI_CB_SB.itmLASTUPDUSER_CD) = If(String.IsNullOrEmpty(aCbSb.LASTUPDUSER_CD), DBNull.Value, aCbSb.LASTUPDUSER_CD)					'更新者コード
			aDtRow.Item(sqlMTI_CB_SB.itmLASTUPD_DT) = If(aCbSb.LASTUPD_DT.Equals(Nothing), Now, aCbSb.LASTUPD_DT)												'最終更新日
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 分娩児情報を配列にセット
	''' </summary>
	''' <param name="aCbChild">datCbChildInfo型配列</param>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setCbChildInfo(ByRef aCbChild As datMTI_CB_CHILD_PLUS_OneRec)
		log(clsSysMst.logLevel.DBG, "setCbChildInfo", "分娩児情報を配列にセット Start")
		Try
			With aCbChild
				'基本情報
				.PATIENT_NO = Me.PatientNo
				.HSP_HISTORY_NO = Me.HspHistoryNo
				.CH_NO = Me.ChNo
				.CB_SERIAL_NO = pNowSerialNo
				'性別
				.GENDER_CD = cmb052MEN100F010.Text
				.GENDER_NM = lbl053MEN100F010.Text
				'子分娩日
				.CHD_CB_DT = dte056MEN100F010.DateValue
				'子分娩時
				If msk057MEN100F010.IsNullOrEmpty Then
					.CHD_CB_TIME = Nothing
				Else
					.CHD_CB_TIME = msk057MEN100F010.Text
				End If
				'血液型
				.CHD_BLOODTYPE_CD = cmb059MEN100F010.Text
				.CHD_BLOODTYPE_NM = lbl060MEN100F010.Text
				.CHD_RH_CD = cmb061MEN100F010.Text
				.CHD_RH_NM = lbl062MEN100F010.Text
				'新生児、患者番号
				.NEWBORN_NO = txt064MEN100F010.Text
				.CHD_PATIENT_NO = msk066MEN100F010.Text
				'身長体重
				If String.IsNullOrEmpty(num068MEN100F010.Text) Then
					.NEWBORN_STATURE = Nothing
				Else
					.NEWBORN_STATURE = num068MEN100F010.DblValue
				End If
				If String.IsNullOrEmpty(num071MEN100F010.Text) Then
					.NEWBORN_WEIGHT = Nothing
				Else
					.NEWBORN_WEIGHT = CInt(num071MEN100F010.DblValue)
				End If
				'アプガー
				.APGARSCORE_1MIN = cmb074MEN100F010.Text
				.APGARSCORE1 = lbl075MEN100F010.Text
				.APGARSCORE_5MIN = cmb077MEN100F010.Text
				.APGARSCORE5 = lbl078MEN100F010.Text
				'未熟、奇形、死産
				.IMMATURE = cliMENCOMMON.setCheckBoxValue(chk079MEN100F010.Checked)
				.DEFORMITY = cliMENCOMMON.setCheckBoxValue(chk080MEN100F010.Checked)
				.STILLBIRTH = cliMENCOMMON.setCheckBoxValue(chk081MEN100F010.Checked)
				'分娩様式
				.CB_PTN1 = cmb089MEN100F010.Text
				.CB_PTN_NM1 = lbl090MEN100F010.Text
				.CB_PTN2 = cmb092MEN100F010.Text
				.CB_PTN_NM2 = lbl093MEN100F010.Text
				.CB_PTN3 = cmb095MEN100F010.Text
				.CB_PTN_NM3 = lbl096MEN100F010.Text
				.CB_PTN4 = cmb098MEN100F010.Text
				.CB_PTN_NM4 = lbl099MEN100F010.Text
				'チェック項目
				.CHD_CB_CHK1 = cliMENCOMMON.setCheckBoxValue(chk083MEN100F010.Checked)
				.CHD_CB_CHK2 = cliMENCOMMON.setCheckBoxValue(chk084MEN100F010.Checked)
				.CHD_CB_CHK3 = cliMENCOMMON.setCheckBoxValue(chk085MEN100F010.Checked)
				.CHD_CB_CHK4 = cliMENCOMMON.setCheckBoxValue(chk086MEN100F010.Checked)
				.CHD_CB_CHK5 = cliMENCOMMON.setCheckBoxValue(chk087MEN100F010.Checked)
				'備考
				.CHD_REMARKS = txt101MEN100F010.Text
			End With
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 死産情報削除処理
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub delCbSbRow()
		log(clsSysMst.logLevel.DBG, "delCbSbRow", "死産情報削除処理 Start")
		Dim lDtRows() As DataRow = Nothing
		Dim lDtRow As DataRow = Nothing
		Try
			lDtRows = datDispCbSb.Select(CONST_SELECT_M_CbSb_KEY & pNowSerialNo)
			For Each lDtRow In lDtRows
				datDispCbSb.Rows.Remove(lDtRow)
			Next
		Catch ex As Exception
			Throw
		Finally
			lDtRows = Nothing
			lDtRow = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 分娩データ登録処理
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub updCbData()
		log(clsSysMst.logLevel.DBG, "updCbData", "分娩データ登録処理 Start")
		Dim lDtRow As DataRow = Nothing
		Dim lDtCbSbRow As DataRow = Nothing
		Dim lDtCbSbRows() As DataRow = Nothing
		Dim lSerialNo As Integer = 0
		Dim ldv As DataView = datCbChild.DefaultView
		Dim lInsertCount As Integer = 0
		Try
			'更新モード以外は抜ける
			If Me.ExeMode <> Enum_ExeMode.eEntry Then Exit Sub
			If Me.pNewRecordFlg Then Exit Sub
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData), cliCb As clsMTI_CB = New clsMTI_CB, cliCbChild As clsMTI_CB_CHILD = New clsMTI_CB_CHILD, cliCbSb As clsMTI_CB_SB = New clsMTI_CB_SB, cliCh As clsMTI_CH = New clsMTI_CH
				' トランザクション開始
				db.ctlTran(clsDB.Enum_TranMode.Begin)
				Try
					' 分娩情報削除
					cliCb.execDelCbOneRec(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
					' 分娩児情報削除
					cliCbChild.execDelCbChildCh(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
					' 分娩死情報削除
					cliCbSb.execDelCbSbCh(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
					' 分娩情報登録
					lInsertCount = cliCb.execInsCbOneRec(db, datCb.Rows(0))
					' 分娩児情報登録
					ldv.Sort = sqlMTI_CB_CHILD.itmCB_SERIAL_NO
					For Each lDtRow In ldv.ToTable.Rows
						Select Case lDtRow.RowState
							Case DataRowState.Added, DataRowState.Modified, DataRowState.Unchanged		' 追加 変更 変更なし
								' 性別が入っていないものは登録しない
								If IsDBNull(lDtRow(sqlMTI_CB_CHILD.itmGENDER_CD)) Then Continue For
								lSerialNo = lSerialNo + 1
							Case Else
								Continue For
						End Select

						' 分娩死情報登録の取得
						If lDtRow(sqlMTI_CB_CHILD.itmSTILLBIRTH) = clsConst.Enum_CheckBox_Flg.CheckOn Then
							lDtCbSbRows = datCbSb.Select(CONST_SELECT_M_CbSb_KEY & lDtRow(sqlMTI_CB_SB.itmCB_SERIAL_NO))
						Else
							lDtCbSbRows = Nothing
						End If

						' 更新
						lDtRow(sqlMTI_CB_CHILD.itmPATIENT_NO) = Me.PatientNo
						lDtRow(sqlMTI_CB_CHILD.itmHSP_HISTORY_NO) = Me.HspHistoryNo
						lDtRow(sqlMTI_CB_CHILD.itmCH_NO) = Me.ChNo
						lDtRow(sqlMTI_CB_CHILD.itmCB_SERIAL_NO) = lSerialNo
						cliCbChild.execInsCbChildOneRec(db, lDtRow)

						' 分娩死情報登録
						If lDtCbSbRows IsNot Nothing AndAlso lDtCbSbRows.Length > 0 Then
							' 更新
							lDtCbSbRows(0)(sqlMTI_CB_SB.itmPATIENT_NO) = Me.PatientNo
							lDtCbSbRows(0)(sqlMTI_CB_SB.itmHSP_HISTORY_NO) = Me.HspHistoryNo
							lDtCbSbRows(0)(sqlMTI_CB_SB.itmCH_NO) = Me.ChNo
							lDtCbSbRows(0)(sqlMTI_CB_SB.itmCB_SERIAL_NO) = lSerialNo
							cliCbSb.execInsCbSbOneRec(db, lDtCbSbRows(0))
						End If
					Next
					' 科歴情報の更新を行う
					cliCh.execUpdChCbCount(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo, lInsertCount)
					' コミット
					db.ctlTran(clsDB.Enum_TranMode.Commit)
				Catch ex As Exception
					' ロールバック
					db.ctlTran(clsDB.Enum_TranMode.RollBack)
					Throw
				End Try
			End Using
		Catch ex As Exception
			Throw
		Finally
			lDtRow = Nothing
			lSerialNo = Nothing
			ldv = Nothing
			lDtCbSbRow = Nothing
			lDtCbSbRows = Nothing
			lInsertCount = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 分娩データ削除処理
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub delCbData()
		log(clsSysMst.logLevel.DBG, "delCbData", "分娩データ削除処理 Start")
		Try
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				' トランザクション開始
				db.ctlTran(clsDB.Enum_TranMode.Begin)
				Try
					' 分娩情報削除
					Using cliCb As clsMTI_CB = New clsMTI_CB
						cliCb.execDelCbOneRec(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
					End Using
					' 分娩児情報削除
					Using cliCbChild As clsMTI_CB_CHILD = New clsMTI_CB_CHILD
						cliCbChild.execDelCbChildCh(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
					End Using
					' 分娩死情報削除
					Using cliCbSb As clsMTI_CB_SB = New clsMTI_CB_SB
						cliCbSb.execDelCbSbCh(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
					End Using
					' 科歴情報の更新を行う
					Using cliCh As clsMTI_CH = New clsMTI_CH
						cliCh.execUpdChCbCount(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo, 0)
					End Using
					' コミット
					db.ctlTran(clsDB.Enum_TranMode.Commit)
				Catch ex As Exception
					' ロールバック
					db.ctlTran(clsDB.Enum_TranMode.RollBack)
					Throw
				End Try
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 子情報件数取得処理
	''' </summary>
	''' <returns>件数</returns>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getCbChildCnt() As Integer
		log(clsSysMst.logLevel.DBG, "getCbChildCnt", "子情報件数取得処理 Start")
		Dim lRetCnt As Integer = 0
		Dim lDtRow As DataRow = Nothing
		Try
			For Each lDtRow In datCbChild.Rows
				If lDtRow.RowState <> DataRowState.Deleted AndAlso IsDBNull(lDtRow(sqlMTI_CB_CHILD.itmGENDER_CD)) = False Then
					lRetCnt = lRetCnt + 1
				End If
			Next
			Return lRetCnt
		Catch ex As Exception
			Throw
		Finally
			lDtRow = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' グリッドの行確定処理
	''' </summary>
	''' <remarks>
	''' 2010/12/10 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub selGridView()
		log(clsSysMst.logLevel.DBG, "selGridView", "グリッドの行確定処理 クリック Start")
		Try
			If pNowSerialNo = 0 Then Exit Sub
			If Not setDataRow(srhSerialNo(pNowSerialNo, True)) Then
				srhSerialNo(pNowSerialNo)
				dgv050MEN100F010.Refresh()
				Exit Sub
			End If
			dspDataRow()
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 子分娩日をセット
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setCbChildDate()
		log(clsSysMst.logLevel.DBG, "setCbChildDate", "子分娩日をセット Start")
		Try
			'子分娩日が未入力の場合
			If String.IsNullOrEmpty(dte056MEN100F010.Text) Then
				'分娩日が入っている場合は、子分娩日をセット
				If Not String.IsNullOrEmpty(dte014MEN100F010.Text) Then
					dte056MEN100F010.DateValue = dte014MEN100F010.DateValue
				End If
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

#Region "オーバーライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 更新処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function UpdProc() As Boolean
		log(clsSysMst.logLevel.DBG, "UpdProc", "更新処理 Start")
		Dim lRet As Boolean = Nothing
		Dim lChkDate As Date = Nothing
		Dim lErrMsg As String = Nothing
		Try
			lRet = setDataRow(srhSerialNo(pNowSerialNo, True))
			If lRet = False Then
				Return False
			End If
			dspDataRow()
			lRet = chkDataRowAll()
			Select Case True
				Case lRet = False AndAlso Me.getErrCount = 0
					Return False
				Case Me.getErrCount <> 0
					nextErrForm()
					Return False
				Case Else
			End Select
			lRet = chkCbInfo()
			Select Case True
				Case lRet = True AndAlso Me.pNewRecordFlg
					Return True
				Case lRet = False AndAlso Me.getErrCount = 0
					Return False
				Case Me.getErrCount <> 0
					nextErrForm()
					Return False
				Case Else
			End Select
			'分娩日、児数チェック
			If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00071) = clsConst.Enum_CbDtRange.HspOut Then
				lChkDate = Me.HspRec.HSP_DT
				lErrMsg = "分娩日が入院日より１日前です。このまま登録"
			Else
				lChkDate = Me.ChRec.START_DT
				lErrMsg = "分娩日が開始日より１日前です。このまま登録"
			End If
			If Date.Compare(dte014MEN100F010.DateValue.AddDays(+1), lChkDate) = 0 Then
				Select Case confMsg("Q0005", Windows.Forms.MessageBoxButtons.YesNo, lErrMsg, Nothing)
					Case vbNo
						Return False
					Case Else
				End Select
			End If
			If getCbChildCnt() <> num041MEN100F010.DblValue Then
				Select Case confMsg("Q0005", Windows.Forms.MessageBoxButtons.YesNo, "児数が一致しません。再計算", Nothing)
					Case vbYes
						num041MEN100F010.Text = getCbChildCnt()
					Case Else
				End Select
			End If

			'分娩情報反映
			setDataRowCbInfo()
			Return True
		Catch ex As Exception
			Throw
		Finally
			lRet = Nothing
			lChkDate = Nothing
			lErrMsg = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ＤＢ更新
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function DBProc() As Boolean
		log(clsSysMst.logLevel.DBG, "DBProc", "ＤＢ更新 Start")
		Try
			' 更新処理
			updCbData()
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 上へ処理
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function UpWardProc() As Boolean
		log(clsSysMst.logLevel.DBG, "UpWardProc", "上へ処理 クリック Start")
		Try
			chgUpDownGrid(dgv050MEN100F010.CurrentCell.RowIndex, dgv050MEN100F010.CurrentCell.RowIndex - 1)
			cmb052MEN100F010.Focus()
		Catch ex As Exception
			Throw
		End Try
		Return MyBase.UpWardProc()
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 下へ処理
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function DownWardProc() As Boolean
		log(clsSysMst.logLevel.DBG, "DownWardProc", "下へ処理 クリック Start")
		Try
			chgUpDownGrid(dgv050MEN100F010.CurrentCell.RowIndex, dgv050MEN100F010.CurrentCell.RowIndex + 1)
			cmb052MEN100F010.Focus()
		Catch ex As Exception
			Throw
		End Try
		Return MyBase.DownWardProc()
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' カーソル上移動処理
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function Func1Proc() As Boolean
		log(clsSysMst.logLevel.DBG, "Func1Proc", "カーソル上移動処理 クリック Start")
		Try
			GrdRowUpDownIndex(True)
			cmb052MEN100F010.Focus()
		Catch ex As Exception
			Throw
		End Try
		Return MyBase.Func1Proc()
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' カーソル下移動処理
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function Func2Proc() As Boolean
		log(clsSysMst.logLevel.DBG, "Func2Proc", "カーソル下移動処理 クリック Start")
		Try
			GrdRowUpDownIndex(False)
			cmb052MEN100F010.Focus()
		Catch ex As Exception
			Throw
		End Try
		Return MyBase.Func2Proc()
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' Ｆ３キー押下による追加
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function FuncAddProc() As Boolean
		log(clsSysMst.logLevel.DBG, "FuncAddProc", "Ｆ３キー押下 Start")
		Try
			' グリッドに反映
			If Not setDataRow(srhSerialNo(pNowSerialNo, True)) Then Return False
			AddNewRow()
			dspDataRow()
			cmb052MEN100F010.Focus()
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' Ｆ５キー押下による削除
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function FuncDeleteProc() As Boolean
		log(clsSysMst.logLevel.DBG, "FuncDeleteProc", "Ｆ５キー押下 Start")
		Dim lGridViewRow As DataGridViewRow = Nothing
		Dim lDataRowView As DataRowView = Nothing
		Dim lDataRow As DataRow = Nothing
		Try
			lGridViewRow = dgv050MEN100F010.CurrentRow
			If lGridViewRow Is Nothing Then Return False
			If confMsg("Q0005", MessageBoxButtons.YesNo, MessageBoxDefaultButton.Button2, "削除", Nothing) = MsgBoxResult.Yes Then
				' 選択行レコード取得
				lDataRowView = CType(lGridViewRow.DataBoundItem, DataRowView)
				lDataRow = CType(lDataRowView.Row, DataRow)
				' 最終行の場合は１つカーソルを前に移動する
				With dgv050MEN100F010
					If .CurrentCell.RowIndex = .Rows.Count - 1 AndAlso .Rows.Count <> 1 Then
						.Rows(dgv050MEN100F010.Rows.Count - 2).Cells(1).Selected = True
					End If
				End With
				lDataRow.Delete()
				' すべて削除されている場合は新規追加
				If dgv050MEN100F010.Rows.Count = 0 Then
					AddNewRow()
					dspDataRow()
				Else
					dspDataRow()
				End If
			End If
			cmb052MEN100F010.Focus()
		Catch ex As Exception
			Throw
		Finally
			lGridViewRow = Nothing
			lDataRowView = Nothing
			lDataRow = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' Ｆ７キー押下による保存
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function FuncExecProc() As Boolean
		log(clsSysMst.logLevel.DBG, "FuncExecProc", "Ｆ７キー押下 Start")
		Try
			If Not setDataRow(srhSerialNo(pNowSerialNo, True)) Then Return False
			cliMENCOMMON.dspUpDownButtonFace(dgv050MEN100F010, Me)
			dspDataRow()
			cmb052MEN100F010.Focus()
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' Ｆ８キー押下による取消し
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function FuncCancelProc() As Boolean
		log(clsSysMst.logLevel.DBG, "FuncCancelProc", "Ｆ８キー押下 Start")
		Try
			If confMsg("Q0001", MessageBoxButtons.YesNo, MessageBoxDefaultButton.Button2, "修正内容を取消します。", Nothing) = MsgBoxResult.Yes Then
				dspDataRow()
			End If
			cmb052MEN100F010.Focus()
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 子画面処理後の処理
	''' </summary>
	''' <param name="ret"></param>
	''' <param name="de"></param>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub rcvData(ByVal ret As XCM.frmBase.Enum_FormReturn, ByVal de As System.Collections.DictionaryEntry)
		log(clsSysMst.logLevel.DBG, "rcvData", "子画面処理後の処理 start")
		Dim lDtRow As DataRow
		Try
			Select Case de.Key.ToString
				Case CONST_SHOW_CBSB_PARAM_STRING
					If Me.ExeMode = Enum_ExeMode.eReference Then Exit Sub
					If ret = Enum_FormReturn.OK Then
						delCbSbRow()
						If (de.Value Is Nothing) = False Then
							lDtRow = datDispCbSb.NewRow
							setCbSbRow(lDtRow, de.Value)
							datDispCbSb.Rows.Add(lDtRow)
						Else
							chk081MEN100F010.Checked = False
						End If
					Else
						' レコードなしの場合死産チェックを外す
						If datDispCbSb.Select(CONST_SELECT_M_CbSb_KEY & pNowSerialNo).Length = 0 Then
							chk081MEN100F010.Checked = False
						End If
					End If
				Case CST_SHOW_XSP080F010_ID
					cmb002MEN100F010.Focus()
					MyBase.rcvData(ret, de)
				Case Else
			End Select
			MyBase.rcvData(ret, de)
		Catch ex As Exception
			Throw
		Finally
			lDtRow = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ＥＮＴＥＲキー押下処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/10 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function EnterProc() As Boolean
		log(clsSysMst.logLevel.DBG, "EnterProc", "ＥＮＴＥＲキー押下処理 Start")
		Try
			Select Case True
				Case dgv050MEN100F010.Focused
					selGridView()
					cmb052MEN100F010.Focus()
					Return True
				Case Else
					Return MyBase.EnterProc()
			End Select
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 画面終了後処理
	''' </summary>
	''' <param name="bCancel">キャンセルフラグ</param>
	''' <remarks>
	''' 2010/12/10 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub ClosedProc(ByVal bCancel As Boolean)
		If bCancel Then
			Exit Sub
		End If
		Try
			' インスタンス開放
			If cliMEN010F060 IsNot Nothing Then cliMEN010F060.Dispose()
			If datCb IsNot Nothing Then datCb.Dispose()
			If datCbChild IsNot Nothing Then datCbChild.Dispose()
			If datCbSb IsNot Nothing Then datCbSb.Dispose()
			If datDispCbSb IsNot Nothing Then datDispCbSb.Dispose()

			' 画面終了後処理
			MyBase.ClosedProc(bCancel)
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			cliMEN010F060 = Nothing
			cliMENCOMMON = Nothing
			cliGridStyle = Nothing
			datCb = Nothing
			datCbChild = Nothing
			datCbSb = Nothing
			datDispCbSb = Nothing
			pNowSerialNo = Nothing
			pCHECKBOX_TRUE = Nothing
			pCHECKBOX_FALSE = Nothing
			pNewRecordFlg = Nothing
			pFirstSelectValue = Nothing
			pNowDispRowFlg = Nothing
			pNowChdCbTime = Nothing
			pNowNewbornNo = Nothing
			pNowChdPatientNo = Nothing
			pNowNewbornStature = Nothing
			pNowNewbornWeight = Nothing
			pNowChdRemarks = Nothing
		End Try
	End Sub

#End Region

End Class