﻿Imports XCM
Imports XSP
Imports System.Windows.Forms

''' ---------------------------------------------
''' <summary>
''' ＤＰＣ２００８_登録／参照
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MEN130F020

#Region "コンスタント"

	'操作対象外コントロール名
	Private RULED_OUT_CTRL As String() = {"lbl017MEN130F020", "lbl018MEN130F020", "lbl122MEN130F020"}

	'子画面ID
	Private Const CST_SHOW_XCM020F010_ID As String = "XCM020F010"		'エラーメッセージ画面

#End Region

#Region "変数"

	'画面呼び出し時のパラメータ(コンストラクタでセット)
	Private pHspDate As String														'入院日
	Private pOutHspDate As String													'退院日
	Private pDeptCode As String														'診療科コード
	Private pModelYear As String													'年度
	Private pChildNum As String														'連番(子様式のみ)
	Private pWardStDate As String													'病棟開始日
	Private pWardEdDate As String													'病棟終了日

	Private styleMode As clsMENCOMMON.Enum_StyleMode								'様式モード
	Private updFlg As clsMENCOMMON.Enum_UpdFlg = clsMENCOMMON.Enum_UpdFlg.eInit		'更新フラグ
	Private saveFlg As Boolean = False												'保存フラグ
	Private dpcInfo(99) As String													'DPC情報

	Private frmMEN130F021 As MEN130F021 = Nothing									'遷移先画面(ＡＤＬスコア画面)

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ(親様式)
	''' </summary>
	''' <param name="execMode">処理モード</param>
	''' <param name="patientNo">患者番号</param>
	''' <param name="historyNo">入退院歴番号</param>
	''' <param name="hspDate">入院日</param>
	''' <param name="outHspDate">退院日</param>
	''' <param name="deptCode">診療科コード</param>
	''' <param name="modelYear">年度</param>
	''' <remarks>
	''' 2010/10/28 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal execMode As Enum_ExeMode, ByVal patientNo As String, ByVal historyNo As Integer, ByVal hspDate As String, _
	ByVal outHspDate As String, ByVal deptCode As String, ByVal modelYear As String)
		' この呼び出しはデザイナーで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。
		Me.ExeMode = execMode								'処理モード
		Me.PatientNo = patientNo							'患者番号
		Me.HspHistoryNo = historyNo							'入退院歴番号

		Me.pHspDate = hspDate								'入院日
		Me.pOutHspDate = outHspDate							'退院日
		Me.pDeptCode = deptCode								'診療科コード
		Me.pModelYear = modelYear							'年度
		Me.pChildNum = "000"								'連番

		Me.styleMode = clsMENCOMMON.Enum_StyleMode.eParent	'親様式モード
		Me.ClosingSkip = True								'終了時処理は継承元で実行しない
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ(子様式)
	''' </summary>
	''' <param name="execMode">処理モード</param>
	''' <param name="patientNo">患者番号</param>
	''' <param name="historyNo">入退院歴番号</param>
	''' <param name="hspDate">入院日</param>
	''' <param name="outHspDate">退院日</param>
	''' <param name="deptCode">診療科コード</param>
	''' <param name="modelYear">年度</param>
	''' <param name="childNum">連番</param>
	''' <param name="wardStDate">病棟開始日</param>
	''' <param name="wardEdDate" >病棟終了日</param>
	''' <remarks>
	''' 2010/10/28 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal execMode As Enum_ExeMode, ByVal patientNo As String, ByVal historyNo As Integer, ByVal hspDate As String, _
	ByVal outHspDate As String, ByVal deptCode As String, ByVal modelYear As String, ByVal childNum As Integer, _
	ByVal wardStDate As String, ByVal wardEdDate As String)
		' この呼び出しはデザイナーで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。
		Me.ExeMode = execMode								'処理モード
		Me.PatientNo = patientNo							'患者番号
		Me.HspHistoryNo = historyNo							'入退院歴番号

		Me.pHspDate = hspDate								'入院日
		Me.pOutHspDate = outHspDate							'退院日
		Me.pDeptCode = deptCode								'診療科コード
		Me.pModelYear = modelYear							'年度
		Me.pChildNum = Format(childNum, "000")				'連番
		Me.pWardStDate = wardStDate							'病棟開始日
		Me.pWardEdDate = wardEdDate							'病棟終了日

		Me.styleMode = clsMENCOMMON.Enum_StyleMode.eChild	'子様式モード
		Me.ClosingSkip = True								'終了時処理は継承元で実行しない
	End Sub

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' 画面終了時イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/06 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN130F020_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(clsSysMst.logLevel.NRM, "MEN130F020_FormClosing", "画面終了時イベント Start")
		Try
			' 画面途中でエラーの場合は処理しない
			If Me.LoadError OrElse e.Cancel Then
				Exit Try
			End If
			' 画面終了時処理
			Me.ClosingProc()
		Catch ex As Exception
			e.Cancel = True		'エラー時は画面を閉じない
			Me.ErrorProc(ex)
		Finally
			' 変数の解放は ClosedProc に記述する
			Me.ClosedProc(e.Cancel)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面ロード時イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/28 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN130F020_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		If Me.DesignMode OrElse Me.LoadError Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.NRM, "MEN130F020_Load", "画面ロード時イベント Start")
		Dim dpcCnt As Integer
		Try
			' 必須入力前景色
			Me.lbl019MEN130F020.ForeColor = clsConst.CST_REQUIRED_COLOR		'現在の妊娠の有無
			Me.lbl029MEN130F020.ForeColor = clsConst.CST_REQUIRED_COLOR		'入院時意識障害ある場合のＪＣＳ
			Me.lbl150MEN130F020.ForeColor = clsConst.CST_REQUIRED_COLOR		'化学療法の有無
			Me.lbl153MEN130F020.ForeColor = clsConst.CST_REQUIRED_COLOR		'テモゾロミド（初発の初回治療に限る）の有無

			' 特定条件必須入力前景色
			Me.lbl004MEN130F020.ForeColor = clsConst.CST_OPTIONAL_REQUIRED_COLOR	'入院中の主な診療目的
			Me.lbl007MEN130F020.ForeColor = clsConst.CST_OPTIONAL_REQUIRED_COLOR	'治験実施の有無
			Me.lbl010MEN130F020.ForeColor = clsConst.CST_OPTIONAL_REQUIRED_COLOR	'転科の有無
			Me.lbl013MEN130F020.ForeColor = clsConst.CST_OPTIONAL_REQUIRED_COLOR	'退院時転帰
			Me.lbl107MEN130F020.ForeColor = clsConst.CST_OPTIONAL_REQUIRED_COLOR	'入院時の妊娠週数

			'ＤＰＣ項目マスタおよびＤＰＣ補足対応マスタより該当する項目の見出しおよび入力可否を設定する。
			clsMENCOMMON.setAllItemVisible(Me.tpg016MEN130F020, False, Me.RULED_OUT_CTRL)
			clsMENCOMMON.setAllItemVisible(Me.tpg121MEN130F020, False, Me.RULED_OUT_CTRL)
			If Me.setItemInfo() <= 0 Then
				'エラーメッセージを出力し、親画面に戻る。
				Me.showMsg("E0004")
				'終了処理
				Me.EndProc4Load()
				Exit Sub
			End If

			'処理モード「参照」の場合
			If Me.ExeMode = Enum_ExeMode.eReference Then
				'保存ボタンを非表示にする。
				Me.btn015MEN000F010.Visible = False
				'全ての入力項目を参照モードにする。
				clsMENCOMMON.setAllItemCanInput(Me.tab001MEN130F020, False)
			End If

			'親様式モードの場合
			If styleMode = clsMENCOMMON.Enum_StyleMode.eParent Then
				'子様式タブページを非表示にする
				Me.tab001MEN130F020.TabPages.RemoveAt(0)
			End If

			' Ｆ１０キーで切り替えるタブコントロールを設定
			Me.F10TabControl = Me.tab001MEN130F020

			'各コンボボックスを初期設定する。
			Me.setComboBoxInit()

			'ＤＰＣ情報保持用変数の初期化
			For i As Integer = 0 To dpcInfo.GetUpperBound(0)
				dpcInfo(i) = String.Empty
			Next

			'ＤＰＣ情報の取得
			dpcCnt = Me.getDPCInfo()

			'基本情報の性別が「男」の場合、入力可能箇所を変更する。
			If Not Me.IsWoman() Then
				'「現在の妊娠の有無」に"0:無"を設定する。
				dpcInfo(0) = "0"
				'「現在の妊娠の有無」を入力不可にする。
				Me.cmb020MEN130F020.Enabled = False
				'「入院時の妊娠週数」を入力不可にする。
				Me.num108MEN130F020.Enabled = False
			End If

			'ＤＰＣ情報の表示
			If dpcCnt > 0 Then
				'更新フラグクリア
				Me.updFlg = clsMENCOMMON.Enum_UpdFlg.eInit
			Else
				'更新フラグ=1
				Me.updFlg = clsMENCOMMON.Enum_UpdFlg.eEmpty
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
			Me.EndProc4Load()
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面オープン時イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/29 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN130F020_Shown(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Shown
		If Me.DesignMode OrElse Me.LoadError Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.NRM, "MEN130F020_Shown", "画面オープン時イベント Start")
		Dim cliCommon As clsMENCOMMON
		Try
			cliCommon = New clsMENCOMMON
			Select Case Me.styleMode
				Case clsMENCOMMON.Enum_StyleMode.eParent
					'親様式モードの場合、ＤＰＣ１タブを選択する。
					Me.tab001MEN130F020.SelectedIndex = 0
				Case clsMENCOMMON.Enum_StyleMode.eChild
					'子様式モードの場合、子様式タブを選択する。
					Me.tab001MEN130F020.SelectedIndex = 0
					'入院日および退院日の項目にそれぞれ病棟開始日ならびに病棟終了日の内容を設定する。
					Me.lbl008MEN000F030.Text = "病棟開始日"
					Me.lbl009MEN000F030.Text = cliCommon.getDateFormat(Me.pWardStDate)
					Me.lbl011MEN000F030.Text = "病棟終了日"
					Me.lbl012MEN000F030.Text = cliCommon.getDateFormat(Me.pWardEdDate)
				Case Else
					'何もしない
			End Select
			'画面の再描画を行う。
			Me.repaint()
		Catch ex As Exception
			Me.ErrorProc(ex)
			Me.EndProc4Shown()
		Finally
			cliCommon = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' タブ切替クリックイベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/29 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn120MEN130F020_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btn120MEN130F020.Click
		log(clsSysMst.logLevel.NRM, "btn120MEN130F020_Click", "タブ切替クリックイベント Start")
		Try
			Me.TabChangeProc()	'タブ切替
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' タブ切替クリックイベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/29 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn156MEN130F020_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btn156MEN130F020.Click
		log(clsSysMst.logLevel.NRM, "btn156MEN130F020_Click", "タブ切替クリックイベント Start")
		Try
			If Me.styleMode = clsMENCOMMON.Enum_StyleMode.eParent Then
				Me.TabChangeProc()	'タブ切替
			Else
				Me.TabChangeProc(1)	'ＤＰＣ１タブを選択
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 入院時のＡＤＬスコアクリックイベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/29 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn033MEN130F020_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btn033MEN130F020.Click
		log(clsSysMst.logLevel.NRM, "btn033MEN130F020_Click", "入院時のＡＤＬスコアクリックイベント Start")
		Try
			frmMEN130F021 = Nothing
			frmMEN130F021 = New MEN130F021(Me.ExeMode, clsMENCOMMON.Enum_AdlScoreKind.eHsp, Me.txt034MEN130F020.Name, Me.txt034MEN130F020.Text)
			Me.nextForm(frmMEN130F021)
			Me.txt034MEN130F020.Focus()
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 退院時のＡＤＬスコアクリックイベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/29 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn035MEN130F020_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles btn035MEN130F020.Click
		log(clsSysMst.logLevel.NRM, "btn035MEN130F020_Click", "退院時のＡＤＬスコアクリックイベント Start")
		Try
			frmMEN130F021 = Nothing
			frmMEN130F021 = New MEN130F021(Me.ExeMode, clsMENCOMMON.Enum_AdlScoreKind.eOutHsp, Me.txt036MEN130F020.Name, Me.txt036MEN130F020.Text)
			Me.nextForm(frmMEN130F021)
			Me.txt036MEN130F020.Focus()
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 各コンボボックスの初期設定
	''' </summary>
	''' <remarks>
	''' 2010/10/28 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setComboBoxInit()
		log(clsSysMst.logLevel.DBG, "setComboBoxInit", "コンボボックス初期設定 Start")
		Dim cliCommon As clsMENCOMMON = Nothing
		Dim cliCombo As clsComboCom = Nothing
		Dim cmbMb1() As String
		Dim cmbMb2()() As String
		Try
			cliCommon = New clsMENCOMMON
			cliCombo = New clsComboCom

			'子様式モードの場合
			If styleMode = clsMENCOMMON.Enum_StyleMode.eChild Then
				Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
					'入院中の主な診療目的
					With Me.cmb005MEN130F020
						.DataSource = cliCombo.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_HspAim)
						.setDropDownWidth()
					End With
					'退院時転帰
					With Me.cmb014MEN130F020
						.DataSource = cliCombo.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_OutHspOutcome)
						.setDropDownWidth()
					End With
				End Using
				'治験実施の有無
				cmbMb2 = {New String() {"0", "無"}, New String() {"1", "有"}}
				cliCommon.setComboBoxData(Me.cmb008MEN130F020, cmbMb2)
				'転科の有無
				cmbMb2 = {New String() {"0", "無"}, New String() {"1", "有"}}
				cliCommon.setComboBoxData(Me.cmb011MEN130F020, cmbMb2)
			End If

			'現在の妊娠の有無
			cmbMb2 = {New String() {"0", "無"}, New String() {"1", "有"}, New String() {"2", "不明"}}
			cliCommon.setComboBoxData(Me.cmb020MEN130F020, cmbMb2)
			'褥創ステージＮＰＵＡＰ分類
			cmbMb2 = {New String() {"1", "Ⅰ"}, New String() {"2", "Ⅱ"}, New String() {"3", "Ⅲ"}, New String() {"4", "Ⅳ"}}
			cliCommon.setComboBoxData(Me.cmb038MEN130F020, cmbMb2)
			'がんの初発、再発
			cmbMb2 = {New String() {"0", "初発"}, New String() {"1", "再発"}}
			cliCommon.setComboBoxData(Me.cmb041MEN130F020, cmbMb2)
			'ＵＩＣＣ病期分類（Ｔ）
			cmbMb1 = New String() {"TX", "T0", "Tis", "Tis（DCIS）", "Tis（LCIS）", _
								   "Tis（Paget）", "Tispu", "Tispd", "T1mic", "T1", _
								   "T1a", "T1a1", "T1a2", "T1b", "T1b1", _
								   "T1b2", "T1c", "T2", "T2a", "T2b", _
								   "T2c", "T3", "T3a", "T3b", "T3c", _
								   "T4", "T4a", "T4b", "T4c", "T4d", _
								   "Ta"}
			cliCommon.setComboBoxData(Me.cmb044MEN130F020, cmbMb1)
			'ＵＩＣＣ病期分類（Ｎ）
			cmbMb1 = New String() {"NX", "N0", "N1", "N1a", "N1b", "N2", "N2a", "N2b", "N2c", "N3", "N3a", "N3b", "N3c"}
			cliCommon.setComboBoxData(Me.cmb046MEN130F020, cmbMb1)
			'ＵＩＣＣ病期分類（Ｍ）
			cmbMb1 = New String() {"MX", "M0", "M1", "M1a", "M1b", "M1c"}
			cliCommon.setComboBoxData(Me.cmb048MEN130F020, cmbMb1)
			'がんのＳｔａｇｅ分類
			cmbMb1 = New String() {"0", "0N", "0A", "0IS", "1", "1N", "1A", "1A1", "1A2", "1B", _
								   "1B1", "1B2", "1C", "2", "2N", "2A", "2B", "2C", "3", "3N", _
								   "3A", "3B", "3C", "4", "4N", "4A", "4B", "4C", "4S"}
			cliCommon.setComboBoxData(Me.cmb050MEN130F020, cmbMb1)
			'がん患者のＰｅｒｆｏｒｍａｎｃｅ Ｓｔａｔｕｓ
			cmbMb2 = {New String() {"0", "無症状"}, New String() {"1", "軽度"}, New String() {"2", "歩行可"}, _
					  New String() {"3", "介助"}, New String() {"4", "就床"}}
			cliCommon.setComboBoxData(Me.cmb052MEN130F020, cmbMb2)
			'脊髄麻痺患者の入院時の重症度
			cmbMb2 = {New String() {"A", "完全麻痺"}, New String() {"B", "知覚残存"}, New String() {"C", "運動useless"}, _
					  New String() {"D", "運動useful"}, New String() {"E", "回復"}}
			cliCommon.setComboBoxData(Me.cmb055MEN130F020, cmbMb2)
			'Ｈｕｇｈ－Ｊｏｎｅｓ分類
			cmbMb2 = {New String() {"1", "Ⅰ"}, New String() {"2", "Ⅱ"}, New String() {"3", "Ⅲ"}, _
					  New String() {"4", "Ⅳ"}, New String() {"5", "Ⅴ"}}
			cliCommon.setComboBoxData(Me.cmb058MEN130F020, cmbMb2)
			'心不全のＮＹＨＡ心機能分類
			cmbMb2 = {New String() {"1", "Ⅰ"}, New String() {"2", "Ⅱ"}, New String() {"3", "Ⅲ"}, New String() {"4", "Ⅳ"}}
			cliCommon.setComboBoxData(Me.cmb061MEN130F020, cmbMb2)
			'ＣＣＳ分類：狭心症、慢性虚血性心疾患における入院時の重症度
			cmbMb2 = {New String() {"1", "ＣｌａｓｓⅠ"}, New String() {"2", "ＣｌａｓｓⅡ"}, New String() {"3", "ＣｌａｓｓⅢ"}, _
					  New String() {"4", "ＣｌａｓｓⅣ"}}
			cliCommon.setComboBoxData(Me.cmb064MEN130F020, cmbMb2)
			'Ｋｉｌｌｉｐ分類：急性心筋梗塞における入院時の重症度
			cmbMb2 = {New String() {"1", "Ｃｌａｓｓ１"}, New String() {"2", "Ｃｌａｓｓ２"}, New String() {"3", "Ｃｌａｓｓ３"}, _
					  New String() {"4", "Ｃｌａｓｓ４"}}
			cliCommon.setComboBoxData(Me.cmb067MEN130F020, cmbMb2)
			'多発性骨髄腫の病期分類
			cmbMb2 = {New String() {"1A", "Ⅰ期Ａ"}, New String() {"1B", "Ⅰ期Ｂ"}, New String() {"2A", "Ⅱ期Ａ"}, _
					  New String() {"2B", "Ⅱ期Ｂ"}, New String() {"3A", "Ⅲ期Ａ"}, New String() {"3B", "Ⅲ期Ｂ"}}
			cliCommon.setComboBoxData(Me.cmb074MEN130F020, cmbMb2)
			'急性白血病の病型分類（ＦＡＢ分類）
			cmbMb1 = New String() {"M1", "M2", "M3", "M3V", "M4", "M4E0", "M5a", "M5b", "M6", "M7", "M0", "L1", "L2", "L3"}
			cliCommon.setComboBoxData(Me.cmb077MEN130F020, cmbMb1)
			'非ホジキン病の病期分類
			cmbMb1 = New String() {"1A", "1B", "1EA", "1EB", "2A", "2B", "2EA", "2EB", "3A", "3B", _
								   "3EA", "3EB", "3SA", "3SB", "3SEA", "3SEB", "4A", "4B", "4EA", "4EB"}
			cliCommon.setComboBoxData(Me.cmb079MEN130F020, cmbMb1)
			'ＡＳＡ米国麻酔学会による分類
			cmbMb2 = {New String() {"1", "Ⅰ"}, New String() {"2", "Ⅱ"}, New String() {"3", "Ⅲ"}, _
					  New String() {"4", "Ⅳ"}, New String() {"5", "Ⅴ"}}
			cliCommon.setComboBoxData(Me.cmb093MEN130F020, cmbMb2)
			'予定しない再手術（４８時間以内）
			cmbMb2 = {New String() {"0", "無"}, New String() {"1", "有"}}
			cliCommon.setComboBoxData(Me.cmb096MEN130F020, cmbMb2)
			'予定しない外来処置後の入院
			cmbMb2 = {New String() {"0", "無"}, New String() {"1", "有"}}
			cliCommon.setComboBoxData(Me.cmb099MEN130F020, cmbMb2)
			'２日以内のＩＣＵへの再入室（４８時間以内）
			cmbMb2 = {New String() {"0", "無"}, New String() {"1", "有"}}
			cliCommon.setComboBoxData(Me.cmb102MEN130F020, cmbMb2)
			'ＩＣＵへの緊急入室
			cmbMb2 = {New String() {"0", "無"}, New String() {"1", "有"}}
			cliCommon.setComboBoxData(Me.cmb105MEN130F020, cmbMb2)
			'精神保健福祉法における入院形態
			cmbMb2 = {New String() {"1", "任意入院"}, New String() {"2", "医療保護入院"}, New String() {"3", "措置入院"}, _
					  New String() {"4", "応急入院"}}
			cliCommon.setComboBoxData(Me.cmb110MEN130F020, cmbMb2)
			'外傷の受傷機転
			cmbMb2 = {New String() {"1", "鈍的外傷"}, New String() {"2", "鋭的外傷"}, New String() {"3", "不明"}}
			cliCommon.setComboBoxData(Me.cmb128MEN130F020, cmbMb2)
			'頭頚部最大ＡＩＳ
			cmbMb1 = New String() {"0", "2", "3", "4", "5", "6", "9"}
			cliCommon.setComboBoxData(Me.cmb139MEN130F020, cmbMb1)
			'顔面最大ＡＩＳ
			cmbMb1 = New String() {"0", "2", "3", "4", "9"}
			cliCommon.setComboBoxData(Me.cmb141MEN130F020, cmbMb1)
			'胸部最大ＡＩＳ
			cmbMb1 = New String() {"0", "1", "2", "3", "4", "5", "6", "9"}
			cliCommon.setComboBoxData(Me.cmb143MEN130F020, cmbMb1)
			'腹部最大ＡＩＳ
			cmbMb1 = New String() {"0", "2", "3", "4", "5", "6", "9"}
			cliCommon.setComboBoxData(Me.cmb145MEN130F020, cmbMb1)
			'四肢最大ＡＩＳ
			cmbMb1 = New String() {"0", "2", "3", "4", "5", "9"}
			cliCommon.setComboBoxData(Me.cmb147MEN130F020, cmbMb1)
			'体表最大ＡＩＳ
			cmbMb1 = New String() {"0", "1", "2", "3", "4", "5", "6", "9"}
			cliCommon.setComboBoxData(Me.cmb149MEN130F020, cmbMb1)
			'化学療法の有無
			cmbMb2 = {New String() {"0", "無"}, New String() {"1", "有（経口）"}, New String() {"2", "有（経静脈又は経動脈）"}, _
					  New String() {"3", "有（その他）"}}
			cliCommon.setComboBoxData(Me.cmb151MEN130F020, cmbMb2)
			'テモゾロミド（初発の初回治療に限る）の有無
			cmbMb2 = {New String() {"0", "無"}, New String() {"1", "有"}}
			cliCommon.setComboBoxData(Me.cmb154MEN130F020, cmbMb2)
		Catch ex As Exception
			Throw
		Finally
			cliCommon = Nothing
			cliCombo = Nothing
			cmbMb1 = Nothing
			cmbMb2 = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 各項目の設定
	''' </summary>
	''' <remarks>
	''' 2010/10/28 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function setItemInfo() As Integer
		log(clsSysMst.logLevel.DBG, "setItemInfo", "項目設定 Start")
		Dim iRet As Integer = 0
		Dim inputCnt As Integer = 0
		Dim dbData As datMTI_DPC_DPCITEMINFO = Nothing
		Dim arData As ArrayList
		Try
			'ＤＰＣ項目マスタおよびＤＰＣ補足対応マスタより該当する項目の見出しおよび入力可否を設定する。
			Using cliMti_Dpc As clsMTI_DPC = New clsMTI_DPC
				arData = cliMti_Dpc.getDPCItemInfo(sqlMTI_DPC.Enum_SqlNo.sqlSelDPCItemInfo2008)
			End Using
			If arData IsNot Nothing Then
				For Each dbData In arData
					If dbData.INPUT_FLG <> clsConst.Enum_Required_Flg.NonRequired Then '入力フラグ="0"の場合は何もしない
						inputCnt += 1
						Select Case dbData.S_ITM_CD
							Case clsMENCOMMON.Enum_DpcNo.eDPC1	'現在の妊娠の有無
								Me.lbl019MEN130F020.Visible = True
								Me.cmb020MEN130F020.Visible = True
								Me.lbl021MEN130F020.Visible = True
								Me.lbl019MEN130F020.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC2	'出生時体重
								Me.lbl022MEN130F020.Visible = True
								Me.num023MEN130F020.Visible = True
								Me.lbl024MEN130F020.Visible = True
								Me.lbl022MEN130F020.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC3	'出生時妊娠週数
								Me.lbl025MEN130F020.Visible = True
								Me.num026MEN130F020.Visible = True
								Me.lbl025MEN130F020.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC4	'喫煙指数（1日の喫煙本数×喫煙年数）
								Me.lbl027MEN130F020.Visible = True
								Me.num028MEN130F020.Visible = True
								Me.lbl027MEN130F020.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC5	'入院時意識障害ある場合のＪＣＳ
								Me.lbl029MEN130F020.Visible = True
								Me.txt030MEN130F020.Visible = True
								Me.lbl029MEN130F020.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC6	'退院時意識障害ある場合のＪＣＳ
								Me.lbl031MEN130F020.Visible = True
								Me.txt032MEN130F020.Visible = True
								Me.lbl031MEN130F020.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC7	'入院時のＡＤＬスコア
								Me.btn033MEN130F020.Visible = True
								Me.txt034MEN130F020.Visible = True
								Me.btn033MEN130F020.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC8	'退院時のＡＤＬスコア
								Me.btn035MEN130F020.Visible = True
								Me.txt036MEN130F020.Visible = True
								Me.btn035MEN130F020.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC9	'褥創ステージＮＰＵＡＰ分類
								Me.lbl037MEN130F020.Visible = True
								Me.cmb038MEN130F020.Visible = True
								Me.lbl039MEN130F020.Visible = True
								Me.lbl037MEN130F020.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC10	'がんの初発、再発
								Me.lbl040MEN130F020.Visible = True
								Me.cmb041MEN130F020.Visible = True
								Me.lbl042MEN130F020.Visible = True
								Me.lbl040MEN130F020.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC11	'ＵＩＣＣ病期分類（Ｔ）
								Me.lbl043MEN130F020.Visible = True
								Me.cmb044MEN130F020.Visible = True
								Me.lbl043MEN130F020.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC12	'ＵＩＣＣ病期分類（Ｎ）
								Me.lbl045MEN130F020.Visible = True
								Me.cmb046MEN130F020.Visible = True
								Me.lbl045MEN130F020.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC13	'ＵＩＣＣ病期分類（Ｍ）
								Me.lbl047MEN130F020.Visible = True
								Me.cmb048MEN130F020.Visible = True
								Me.lbl047MEN130F020.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC14	'がんのＳｔａｇｅ分類
								Me.lbl049MEN130F020.Visible = True
								Me.cmb050MEN130F020.Visible = True
								Me.lbl049MEN130F020.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC15	'がん患者のＰｅｒｆｏｒｍａｎｃｅ Ｓｔａｔｕｓ
								Me.lbl051MEN130F020.Visible = True
								Me.cmb052MEN130F020.Visible = True
								Me.lbl053MEN130F020.Visible = True
								Me.lbl051MEN130F020.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC16	'脊髄麻痺患者の入院時の重症度
								Me.lbl054MEN130F020.Visible = True
								Me.cmb055MEN130F020.Visible = True
								Me.lbl056MEN130F020.Visible = True
								Me.lbl054MEN130F020.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC17	'Ｈｕｇｈ－Ｊｏｎｅｓ分類
								Me.lbl057MEN130F020.Visible = True
								Me.cmb058MEN130F020.Visible = True
								Me.lbl059MEN130F020.Visible = True
								Me.lbl057MEN130F020.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC18	'心不全のＮＹＨＡ心機能分類
								Me.lbl060MEN130F020.Visible = True
								Me.cmb061MEN130F020.Visible = True
								Me.lbl062MEN130F020.Visible = True
								Me.lbl060MEN130F020.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC19	'ＣＣＳ分類：狭心症、慢性虚血性心疾患における入院時の重症度
								Me.lbl063MEN130F020.Visible = True
								Me.cmb064MEN130F020.Visible = True
								Me.lbl065MEN130F020.Visible = True
								Me.lbl063MEN130F020.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC20	'Ｋｉｌｌｉｐ分類：急性心筋梗塞における入院時の重症度
								Me.lbl066MEN130F020.Visible = True
								Me.cmb067MEN130F020.Visible = True
								Me.lbl068MEN130F020.Visible = True
								Me.lbl066MEN130F020.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC21	'肝硬変のＣｈｉｌｄ－Ｐｕｇｈ分類
								Me.lbl069MEN130F020.Visible = True
								Me.txt070MEN130F020.Visible = True
								Me.lbl069MEN130F020.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC22	'急性膵炎の重症度分類
								Me.lbl071MEN130F020.Visible = True
								Me.num072MEN130F020.Visible = True
								Me.lbl071MEN130F020.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC23	'多発性骨髄腫の病期分類
								Me.lbl073MEN130F020.Visible = True
								Me.cmb074MEN130F020.Visible = True
								Me.lbl075MEN130F020.Visible = True
								Me.lbl073MEN130F020.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC24	'急性白血病の病型分類（ＦＡＢ分類）
								Me.lbl076MEN130F020.Visible = True
								Me.cmb077MEN130F020.Visible = True
								Me.lbl076MEN130F020.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC25	'非ホジキン病の病期分類
								Me.lbl078MEN130F020.Visible = True
								Me.cmb079MEN130F020.Visible = True
								Me.lbl078MEN130F020.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC26	'Ｂｕｒｎ Ｉｎｄｅｘ
								Me.lbl080MEN130F020.Visible = True
								Me.num081MEN130F020.Visible = True
								Me.lbl080MEN130F020.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC27	'その他の重症度分類・名称
								Me.lbl082MEN130F020.Visible = True
								Me.txt083MEN130F020.Visible = True
								Me.lbl082MEN130F020.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC28	'その他の重症度分類・分類番号または記号
								Me.lbl084MEN130F020.Visible = True
								Me.txt085MEN130F020.Visible = True
								Me.lbl084MEN130F020.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC29	'救急カテ実施時間
								Me.lbl086MEN130F020.Visible = True
								Me.num087MEN130F020.Visible = True
								Me.lbl088MEN130F020.Visible = True
								Me.lbl086MEN130F020.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC30	'救急脳血管障害検査実施時間
								Me.lbl089MEN130F020.Visible = True
								Me.num090MEN130F020.Visible = True
								Me.lbl091MEN130F020.Visible = True
								Me.lbl089MEN130F020.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC31	'ＡＳＡ米国麻酔学会による分類
								Me.lbl092MEN130F020.Visible = True
								Me.cmb093MEN130F020.Visible = True
								Me.lbl094MEN130F020.Visible = True
								Me.lbl092MEN130F020.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC32	'予定しない再手術（４８時間以内）
								Me.lbl095MEN130F020.Visible = True
								Me.cmb096MEN130F020.Visible = True
								Me.lbl097MEN130F020.Visible = True
								Me.lbl095MEN130F020.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC33	'予定しない外来処置後の入院
								Me.lbl098MEN130F020.Visible = True
								Me.cmb099MEN130F020.Visible = True
								Me.lbl100MEN130F020.Visible = True
								Me.lbl098MEN130F020.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC34	'２日以内のＩＣＵへの再入室（４８時間以内）
								Me.lbl101MEN130F020.Visible = True
								Me.cmb102MEN130F020.Visible = True
								Me.lbl103MEN130F020.Visible = True
								Me.lbl101MEN130F020.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC35	'ＩＣＵへの緊急入室
								Me.lbl104MEN130F020.Visible = True
								Me.cmb105MEN130F020.Visible = True
								Me.lbl106MEN130F020.Visible = True
								Me.lbl104MEN130F020.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC36	'入院時の妊娠週数
								Me.lbl107MEN130F020.Visible = True
								Me.num108MEN130F020.Visible = True
								Me.lbl107MEN130F020.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC37	'精神保健福祉法における入院形態
								Me.lbl109MEN130F020.Visible = True
								Me.cmb110MEN130F020.Visible = True
								Me.lbl111MEN130F020.Visible = True
								Me.lbl109MEN130F020.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC38	'精神保健福祉法に基づく隔離日数
								Me.lbl112MEN130F020.Visible = True
								Me.num113MEN130F020.Visible = True
								Me.lbl114MEN130F020.Visible = True
								Me.lbl112MEN130F020.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC39	'精神保健福祉法に基づく身体拘束日数
								Me.lbl115MEN130F020.Visible = True
								Me.num116MEN130F020.Visible = True
								Me.lbl117MEN130F020.Visible = True
								Me.lbl115MEN130F020.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC40	'入院時ＧＡＦ尺度
								Me.lbl118MEN130F020.Visible = True
								Me.num119MEN130F020.Visible = True
								Me.lbl118MEN130F020.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC41	'退院時ＧＡＦ尺度
								Me.lbl123MEN130F020.Visible = True
								Me.num124MEN130F020.Visible = True
								Me.lbl123MEN130F020.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC42	'病名付加コード
								Me.lbl125MEN130F020.Visible = True
								Me.txt126MEN130F020.Visible = True
								Me.lbl125MEN130F020.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC43	'外傷の受傷機転
								Me.lbl127MEN130F020.Visible = True
								Me.cmb128MEN130F020.Visible = True
								Me.lbl129MEN130F020.Visible = True
								Me.lbl127MEN130F020.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC44	'入院時Ｇｌａｓｇｏｗ Ｃｏｍａ Ｓｃａｌｅ
								Me.lbl130MEN130F020.Visible = True
								Me.txt131MEN130F020.Visible = True
								Me.lbl130MEN130F020.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC45	'入院時収縮期血圧
								Me.lbl132MEN130F020.Visible = True
								Me.num133MEN130F020.Visible = True
								Me.lbl134MEN130F020.Visible = True
								Me.lbl132MEN130F020.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC46	'入院時呼吸回数
								Me.lbl135MEN130F020.Visible = True
								Me.num136MEN130F020.Visible = True
								Me.lbl137MEN130F020.Visible = True
								Me.lbl135MEN130F020.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC47	'頭頚部最大ＡＩＳ
								Me.lbl138MEN130F020.Visible = True
								Me.cmb139MEN130F020.Visible = True
								Me.lbl138MEN130F020.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC48	'顔面最大ＡＩＳ
								Me.lbl140MEN130F020.Visible = True
								Me.cmb141MEN130F020.Visible = True
								Me.lbl140MEN130F020.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC49	'胸部最大ＡＩＳ
								Me.lbl142MEN130F020.Visible = True
								Me.cmb143MEN130F020.Visible = True
								Me.lbl142MEN130F020.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC50	'腹部最大ＡＩＳ
								Me.lbl144MEN130F020.Visible = True
								Me.cmb145MEN130F020.Visible = True
								Me.lbl144MEN130F020.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC51	'四肢最大ＡＩＳ
								Me.lbl146MEN130F020.Visible = True
								Me.cmb147MEN130F020.Visible = True
								Me.lbl146MEN130F020.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC52	'体表最大ＡＩＳ
								Me.lbl148MEN130F020.Visible = True
								Me.cmb149MEN130F020.Visible = True
								Me.lbl148MEN130F020.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC53	'化学療法の有無
								Me.lbl150MEN130F020.Visible = True
								Me.cmb151MEN130F020.Visible = True
								Me.lbl152MEN130F020.Visible = True
								Me.lbl150MEN130F020.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC54	'テモゾロミド（初発の初回治療に限る）の有無
								Me.lbl153MEN130F020.Visible = True
								Me.cmb154MEN130F020.Visible = True
								Me.lbl155MEN130F020.Visible = True
								Me.lbl153MEN130F020.Text = dbData.CONTENT
							Case Else
								'何もしない
						End Select
					End If
				Next
				iRet = inputCnt
			End If
		Catch ex As Exception
			Throw
		Finally
			dbData = Nothing
			arData = Nothing
		End Try
		Return iRet
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ＤＰＣ情報の取得
	''' </summary>
	''' <remarks>
	''' 2010/10/28 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getDPCInfo() As Integer
		log(clsSysMst.logLevel.DBG, "getDPCInfo", "ＤＰＣ情報の取得 Start")
		Dim iRet As Integer = 0
		Dim dbData As datMTI_DPC_DPCINFO = Nothing
		Dim arData As ArrayList
		Try
			Using cliMti_Dpc As clsMTI_DPC = New clsMTI_DPC
				arData = cliMti_Dpc.getDPCInfo(Me.PatientNo, Me.pHspDate, Me.pDeptCode, Me.pModelYear & Me.pChildNum)
			End Using
			If arData IsNot Nothing Then
				iRet = arData.Count
				For Each dbData In arData
					If Not String.IsNullOrEmpty(dbData.DPC_001) Then dpcInfo(0) = dbData.DPC_001
					If Not String.IsNullOrEmpty(dbData.DPC_002) Then dpcInfo(1) = dbData.DPC_002
					If Not String.IsNullOrEmpty(dbData.DPC_003) Then dpcInfo(2) = dbData.DPC_003
					If Not String.IsNullOrEmpty(dbData.DPC_004) Then dpcInfo(3) = dbData.DPC_004
					If Not String.IsNullOrEmpty(dbData.DPC_005) Then dpcInfo(4) = dbData.DPC_005
					If Not String.IsNullOrEmpty(dbData.DPC_006) Then dpcInfo(5) = dbData.DPC_006
					If Not String.IsNullOrEmpty(dbData.DPC_007) Then dpcInfo(6) = dbData.DPC_007
					If Not String.IsNullOrEmpty(dbData.DPC_008) Then dpcInfo(7) = dbData.DPC_008
					If Not String.IsNullOrEmpty(dbData.DPC_009) Then dpcInfo(8) = dbData.DPC_009
					If Not String.IsNullOrEmpty(dbData.DPC_010) Then dpcInfo(9) = dbData.DPC_010
					If Not String.IsNullOrEmpty(dbData.DPC_011) Then dpcInfo(10) = dbData.DPC_011
					If Not String.IsNullOrEmpty(dbData.DPC_012) Then dpcInfo(11) = dbData.DPC_012
					If Not String.IsNullOrEmpty(dbData.DPC_013) Then dpcInfo(12) = dbData.DPC_013
					If Not String.IsNullOrEmpty(dbData.DPC_014) Then dpcInfo(13) = dbData.DPC_014
					If Not String.IsNullOrEmpty(dbData.DPC_015) Then dpcInfo(14) = dbData.DPC_015
					If Not String.IsNullOrEmpty(dbData.DPC_016) Then dpcInfo(15) = dbData.DPC_016
					If Not String.IsNullOrEmpty(dbData.DPC_017) Then dpcInfo(16) = dbData.DPC_017
					If Not String.IsNullOrEmpty(dbData.DPC_018) Then dpcInfo(17) = dbData.DPC_018
					If Not String.IsNullOrEmpty(dbData.DPC_019) Then dpcInfo(18) = dbData.DPC_019
					If Not String.IsNullOrEmpty(dbData.DPC_020) Then dpcInfo(19) = dbData.DPC_020
					If Not String.IsNullOrEmpty(dbData.DPC_021) Then dpcInfo(20) = dbData.DPC_021
					If Not String.IsNullOrEmpty(dbData.DPC_022) Then dpcInfo(21) = dbData.DPC_022
					If Not String.IsNullOrEmpty(dbData.DPC_023) Then dpcInfo(22) = dbData.DPC_023
					If Not String.IsNullOrEmpty(dbData.DPC_024) Then dpcInfo(23) = dbData.DPC_024
					If Not String.IsNullOrEmpty(dbData.DPC_025) Then dpcInfo(24) = dbData.DPC_025
					If Not String.IsNullOrEmpty(dbData.DPC_026) Then dpcInfo(25) = dbData.DPC_026
					If Not String.IsNullOrEmpty(dbData.DPC_027) Then dpcInfo(26) = dbData.DPC_027
					If Not String.IsNullOrEmpty(dbData.DPC_028) Then dpcInfo(27) = dbData.DPC_028
					If Not String.IsNullOrEmpty(dbData.DPC_029) Then dpcInfo(28) = dbData.DPC_029
					If Not String.IsNullOrEmpty(dbData.DPC_030) Then dpcInfo(29) = dbData.DPC_030
					If Not String.IsNullOrEmpty(dbData.DPC_031) Then dpcInfo(30) = dbData.DPC_031
					If Not String.IsNullOrEmpty(dbData.DPC_032) Then dpcInfo(31) = dbData.DPC_032
					If Not String.IsNullOrEmpty(dbData.DPC_033) Then dpcInfo(32) = dbData.DPC_033
					If Not String.IsNullOrEmpty(dbData.DPC_034) Then dpcInfo(33) = dbData.DPC_034
					If Not String.IsNullOrEmpty(dbData.DPC_035) Then dpcInfo(34) = dbData.DPC_035
					If Not String.IsNullOrEmpty(dbData.DPC_036) Then dpcInfo(35) = dbData.DPC_036
					If Not String.IsNullOrEmpty(dbData.DPC_037) Then dpcInfo(36) = dbData.DPC_037
					If Not String.IsNullOrEmpty(dbData.DPC_038) Then dpcInfo(37) = dbData.DPC_038
					If Not String.IsNullOrEmpty(dbData.DPC_039) Then dpcInfo(38) = dbData.DPC_039
					If Not String.IsNullOrEmpty(dbData.DPC_040) Then dpcInfo(39) = dbData.DPC_040
					If Not String.IsNullOrEmpty(dbData.DPC_041) Then dpcInfo(40) = dbData.DPC_041
					If Not String.IsNullOrEmpty(dbData.DPC_042) Then dpcInfo(41) = dbData.DPC_042
					If Not String.IsNullOrEmpty(dbData.DPC_043) Then dpcInfo(42) = dbData.DPC_043
					If Not String.IsNullOrEmpty(dbData.DPC_044) Then dpcInfo(43) = dbData.DPC_044
					If Not String.IsNullOrEmpty(dbData.DPC_045) Then dpcInfo(44) = dbData.DPC_045
					If Not String.IsNullOrEmpty(dbData.DPC_046) Then dpcInfo(45) = dbData.DPC_046
					If Not String.IsNullOrEmpty(dbData.DPC_047) Then dpcInfo(46) = dbData.DPC_047
					If Not String.IsNullOrEmpty(dbData.DPC_048) Then dpcInfo(47) = dbData.DPC_048
					If Not String.IsNullOrEmpty(dbData.DPC_049) Then dpcInfo(48) = dbData.DPC_049
					If Not String.IsNullOrEmpty(dbData.DPC_050) Then dpcInfo(49) = dbData.DPC_050
					If Not String.IsNullOrEmpty(dbData.DPC_051) Then dpcInfo(50) = dbData.DPC_051
					If Not String.IsNullOrEmpty(dbData.DPC_052) Then dpcInfo(51) = dbData.DPC_052
					If Not String.IsNullOrEmpty(dbData.DPC_053) Then dpcInfo(52) = dbData.DPC_053
					If Not String.IsNullOrEmpty(dbData.DPC_054) Then dpcInfo(53) = dbData.DPC_054
					If Not String.IsNullOrEmpty(dbData.DPC_055) Then dpcInfo(54) = dbData.DPC_055
					If Not String.IsNullOrEmpty(dbData.DPC_056) Then dpcInfo(55) = dbData.DPC_056
					If Not String.IsNullOrEmpty(dbData.DPC_057) Then dpcInfo(56) = dbData.DPC_057
					If Not String.IsNullOrEmpty(dbData.DPC_058) Then dpcInfo(57) = dbData.DPC_058
					If Not String.IsNullOrEmpty(dbData.DPC_059) Then dpcInfo(58) = dbData.DPC_059
					If Not String.IsNullOrEmpty(dbData.DPC_060) Then dpcInfo(59) = dbData.DPC_060
					If Not String.IsNullOrEmpty(dbData.DPC_061) Then dpcInfo(60) = dbData.DPC_061
					If Not String.IsNullOrEmpty(dbData.DPC_062) Then dpcInfo(61) = dbData.DPC_062
					If Not String.IsNullOrEmpty(dbData.DPC_063) Then dpcInfo(62) = dbData.DPC_063
					If Not String.IsNullOrEmpty(dbData.DPC_064) Then dpcInfo(63) = dbData.DPC_064
					If Not String.IsNullOrEmpty(dbData.DPC_065) Then dpcInfo(64) = dbData.DPC_065
					If Not String.IsNullOrEmpty(dbData.DPC_066) Then dpcInfo(65) = dbData.DPC_066
					If Not String.IsNullOrEmpty(dbData.DPC_067) Then dpcInfo(66) = dbData.DPC_067
					If Not String.IsNullOrEmpty(dbData.DPC_068) Then dpcInfo(67) = dbData.DPC_068
					If Not String.IsNullOrEmpty(dbData.DPC_069) Then dpcInfo(68) = dbData.DPC_069
					If Not String.IsNullOrEmpty(dbData.DPC_070) Then dpcInfo(69) = dbData.DPC_070
					If Not String.IsNullOrEmpty(dbData.DPC_071) Then dpcInfo(70) = dbData.DPC_071
					If Not String.IsNullOrEmpty(dbData.DPC_072) Then dpcInfo(71) = dbData.DPC_072
					If Not String.IsNullOrEmpty(dbData.DPC_073) Then dpcInfo(72) = dbData.DPC_073
					If Not String.IsNullOrEmpty(dbData.DPC_074) Then dpcInfo(73) = dbData.DPC_074
					If Not String.IsNullOrEmpty(dbData.DPC_075) Then dpcInfo(74) = dbData.DPC_075
					If Not String.IsNullOrEmpty(dbData.DPC_076) Then dpcInfo(75) = dbData.DPC_076
					If Not String.IsNullOrEmpty(dbData.DPC_077) Then dpcInfo(76) = dbData.DPC_077
					If Not String.IsNullOrEmpty(dbData.DPC_078) Then dpcInfo(77) = dbData.DPC_078
					If Not String.IsNullOrEmpty(dbData.DPC_079) Then dpcInfo(78) = dbData.DPC_079
					If Not String.IsNullOrEmpty(dbData.DPC_080) Then dpcInfo(79) = dbData.DPC_080
					If Not String.IsNullOrEmpty(dbData.DPC_081) Then dpcInfo(80) = dbData.DPC_081
					If Not String.IsNullOrEmpty(dbData.DPC_082) Then dpcInfo(81) = dbData.DPC_082
					If Not String.IsNullOrEmpty(dbData.DPC_083) Then dpcInfo(82) = dbData.DPC_083
					If Not String.IsNullOrEmpty(dbData.DPC_084) Then dpcInfo(83) = dbData.DPC_084
					If Not String.IsNullOrEmpty(dbData.DPC_085) Then dpcInfo(84) = dbData.DPC_085
					If Not String.IsNullOrEmpty(dbData.DPC_086) Then dpcInfo(85) = dbData.DPC_086
					If Not String.IsNullOrEmpty(dbData.DPC_087) Then dpcInfo(86) = dbData.DPC_087
					If Not String.IsNullOrEmpty(dbData.DPC_088) Then dpcInfo(87) = dbData.DPC_088
					If Not String.IsNullOrEmpty(dbData.DPC_089) Then dpcInfo(88) = dbData.DPC_089
					If Not String.IsNullOrEmpty(dbData.DPC_090) Then dpcInfo(89) = dbData.DPC_090
					If Not String.IsNullOrEmpty(dbData.DPC_091) Then dpcInfo(90) = dbData.DPC_091
					If Not String.IsNullOrEmpty(dbData.DPC_092) Then dpcInfo(91) = dbData.DPC_092
					If Not String.IsNullOrEmpty(dbData.DPC_093) Then dpcInfo(92) = dbData.DPC_093
					If Not String.IsNullOrEmpty(dbData.DPC_094) Then dpcInfo(93) = dbData.DPC_094
					If Not String.IsNullOrEmpty(dbData.DPC_095) Then dpcInfo(94) = dbData.DPC_095
					If Not String.IsNullOrEmpty(dbData.DPC_096) Then dpcInfo(95) = dbData.DPC_096
					If Not String.IsNullOrEmpty(dbData.DPC_097) Then dpcInfo(96) = dbData.DPC_097
					If Not String.IsNullOrEmpty(dbData.DPC_098) Then dpcInfo(97) = dbData.DPC_098
					If Not String.IsNullOrEmpty(dbData.DPC_099) Then dpcInfo(98) = dbData.DPC_099
					If Not String.IsNullOrEmpty(dbData.DPC_100) Then dpcInfo(99) = dbData.DPC_100
				Next
			End If
		Catch ex As Exception
			Throw
		Finally
			dbData = Nothing
			arData = Nothing
		End Try
		Return iRet
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ＤＰＣ情報の更新
	''' </summary>
	''' <remarks>
	''' 2010/10/29 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function updDPCInfo() As Boolean
		log(clsSysMst.logLevel.DBG, "updDPCInfo", "ＤＰＣ情報の更新 Start")
		Dim iRet As Integer = 0
		Dim bRet As Boolean = False
		Dim dpcInfoWk(99) As String		'DPC情報
		Try
			'入力値
			dpcInfoWk(80) = Me.cmb005MEN130F020.Text
			dpcInfoWk(81) = Me.cmb008MEN130F020.Text
			dpcInfoWk(82) = Me.cmb011MEN130F020.Text
			dpcInfoWk(83) = Me.cmb014MEN130F020.Text

			dpcInfoWk(0) = Me.cmb020MEN130F020.Text
			dpcInfoWk(1) = Me.num023MEN130F020.Text
			dpcInfoWk(2) = Me.num026MEN130F020.Text
			dpcInfoWk(3) = Me.num028MEN130F020.Text
			dpcInfoWk(4) = Me.txt030MEN130F020.Text
			dpcInfoWk(5) = Me.txt032MEN130F020.Text
			dpcInfoWk(6) = Me.txt034MEN130F020.Text
			dpcInfoWk(7) = Me.txt036MEN130F020.Text
			dpcInfoWk(8) = Me.cmb038MEN130F020.Text
			dpcInfoWk(9) = Me.cmb041MEN130F020.Text
			dpcInfoWk(10) = Me.cmb044MEN130F020.Text
			dpcInfoWk(11) = Me.cmb046MEN130F020.Text
			dpcInfoWk(12) = Me.cmb048MEN130F020.Text
			dpcInfoWk(13) = Me.cmb050MEN130F020.Text
			dpcInfoWk(14) = Me.cmb052MEN130F020.Text
			dpcInfoWk(15) = Me.cmb055MEN130F020.Text
			dpcInfoWk(16) = Me.cmb058MEN130F020.Text
			dpcInfoWk(17) = Me.cmb061MEN130F020.Text
			dpcInfoWk(18) = Me.cmb064MEN130F020.Text
			dpcInfoWk(19) = Me.cmb067MEN130F020.Text
			dpcInfoWk(20) = Me.txt070MEN130F020.Text
			dpcInfoWk(21) = Me.num072MEN130F020.Text
			dpcInfoWk(22) = Me.cmb074MEN130F020.Text
			dpcInfoWk(23) = Me.cmb077MEN130F020.Text
			dpcInfoWk(24) = Me.cmb079MEN130F020.Text
			dpcInfoWk(25) = Me.num081MEN130F020.Text
			dpcInfoWk(26) = Me.txt083MEN130F020.Text
			dpcInfoWk(27) = Me.txt085MEN130F020.Text
			dpcInfoWk(28) = Me.num087MEN130F020.Text
			dpcInfoWk(29) = Me.num090MEN130F020.Text
			dpcInfoWk(30) = Me.cmb093MEN130F020.Text
			dpcInfoWk(31) = Me.cmb096MEN130F020.Text
			dpcInfoWk(32) = Me.cmb099MEN130F020.Text
			dpcInfoWk(33) = Me.cmb102MEN130F020.Text
			dpcInfoWk(34) = Me.cmb105MEN130F020.Text
			dpcInfoWk(35) = Me.num108MEN130F020.Text
			dpcInfoWk(36) = Me.cmb110MEN130F020.Text
			dpcInfoWk(37) = Me.num113MEN130F020.Text
			dpcInfoWk(38) = Me.num116MEN130F020.Text
			dpcInfoWk(39) = Me.num119MEN130F020.Text
			dpcInfoWk(40) = Me.num124MEN130F020.Text
			dpcInfoWk(41) = Me.txt126MEN130F020.Text
			dpcInfoWk(42) = Me.cmb128MEN130F020.Text
			dpcInfoWk(43) = Me.txt131MEN130F020.Text
			dpcInfoWk(44) = Me.num133MEN130F020.Text
			dpcInfoWk(45) = Me.num136MEN130F020.Text
			dpcInfoWk(46) = Me.cmb139MEN130F020.Text
			dpcInfoWk(47) = Me.cmb141MEN130F020.Text
			dpcInfoWk(48) = Me.cmb143MEN130F020.Text
			dpcInfoWk(49) = Me.cmb145MEN130F020.Text
			dpcInfoWk(50) = Me.cmb147MEN130F020.Text
			dpcInfoWk(51) = Me.cmb149MEN130F020.Text
			dpcInfoWk(52) = Me.cmb151MEN130F020.Text
			dpcInfoWk(53) = Me.cmb154MEN130F020.Text
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				'トランザクション開始
				db.ctlTran(clsDB.Enum_TranMode.Begin)
				Try
					Using cliMti_Dpc As clsMTI_DPC = New clsMTI_DPC
						'現レコードの削除
						iRet = cliMti_Dpc.delDPCInfo(db, Me.PatientNo, Me.pHspDate, Me.pDeptCode, Me.pModelYear & Me.pChildNum)

						If Me.updFlg <> clsMENCOMMON.Enum_UpdFlg.eDelete Then
							'削除モード以外はレコード登録
							iRet = cliMti_Dpc.addDPCInfo(db, Me.PatientNo, Me.HspHistoryNo, Me.pHspDate, Me.pOutHspDate, _
															 Me.pDeptCode, Me.pModelYear & Me.pChildNum, dpcInfoWk, _userID)
							If iRet = 0 Then
								If db.statTran Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
								Return False
							End If
						End If
					End Using
					'コミット
					db.ctlTran(clsDB.Enum_TranMode.Commit)
					'更新フラグを初期化
					Me.updFlg = clsMENCOMMON.Enum_UpdFlg.eInit
					bRet = True
				Catch ex As Exception
					'ロールバック
					If db.statTran() Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
					Throw
				End Try
			End Using
		Catch ex As Exception
			Throw
		Finally
			dpcInfoWk = Nothing
		End Try
		Return bRet
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 入力チェック
	''' </summary>
	''' <remarks>
	''' 2010/10/28 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkInput() As Boolean
		log(clsSysMst.logLevel.DBG, "chkInput", "入力チェック Start")
		Dim i As Integer
		Dim decValue As Decimal
		Dim chkValue As String
		Try
			'「現在の妊娠の有無」コンボボックスが未入力の場合
			If Me.cmb020MEN130F020.Enabled AndAlso String.IsNullOrEmpty(Me.cmb020MEN130F020.Text) Then
				Me.addErrList("E0001", Me.cmb020MEN130F020.Name, Me.lbl019MEN130F020.Text, Nothing)
			End If
			'「出生時体重」の入力が500未満、もしくは4600以上の場合
			If Not String.IsNullOrEmpty(Me.num023MEN130F020.Text) Then
				If Me.num023MEN130F020.DblValue < 500 OrElse Me.num023MEN130F020.DblValue >= 4600 Then
					Me.addErrList("E0021", Me.num023MEN130F020.Name, Me.lbl022MEN130F020.Text, "500未満もしくは4600以上の数字", Nothing)
				End If
			End If
			'「入院時意識障害ある場合のＪＣＳ」が未入力の場合
			If String.IsNullOrEmpty(Me.txt030MEN130F020.Text) Then
				Me.addErrList("E0001", Me.txt030MEN130F020.Name, Me.lbl029MEN130F020.Text, Nothing)
			End If
			'「入院時意識障害ある場合のＪＣＳ」に数字のみで0～300の範囲以外の入力がある場合
			If Decimal.TryParse(Me.txt030MEN130F020.Text, decValue) Then
				If decValue < 0 OrElse decValue > 300 Then
					Me.addErrList("E0029", Me.txt030MEN130F020.Name, Me.lbl029MEN130F020.Text, "数値", "0～300の値", Nothing)
				End If
			End If
			'「入院時意識障害ある場合のＪＣＳ」の各桁の内容に0～3、A、I、R以外がある場合
			If Not String.IsNullOrEmpty(Me.txt030MEN130F020.Text) Then
				chkValue = Me.txt030MEN130F020.Text
				For i = 0 To chkValue.Length - 1
					Select Case chkValue.Substring(i, 1)
						Case "0", "1", "2", "3", "A", "I", "R"
						Case Else
							Me.addErrList("E0021", Me.txt030MEN130F020.Name, Me.lbl029MEN130F020.Text, "0～3、A、I、R以外のもの", Nothing)
							Exit For
					End Select
				Next
			End If
			'「退院時意識障害ある場合のＪＣＳ」に数字のみで0～300の範囲以外の入力がある場合
			If Decimal.TryParse(Me.txt032MEN130F020.Text, decValue) Then
				If decValue < 0 OrElse decValue > 300 Then
					Me.addErrList("E0029", Me.txt032MEN130F020.Name, Me.lbl031MEN130F020.Text, "数値", "0～300の値", Nothing)
				End If
			End If
			'「退院時意識障害ある場合のＪＣＳ」の各桁の内容に0～3、A、I、R以外がある場合
			If Not String.IsNullOrEmpty(Me.txt032MEN130F020.Text) Then
				chkValue = Me.txt032MEN130F020.Text
				For i = 0 To chkValue.Length - 1
					Select Case chkValue.Substring(i, 1)
						Case "0", "1", "2", "3", "A", "I", "R"
						Case Else
							Me.addErrList("E0021", Me.txt032MEN130F020.Name, Me.lbl031MEN130F020.Text, "0～3、A、I、R以外のもの", Nothing)
							Exit For
					End Select
				Next
			End If
			'「入院時のＡＤＬスコア」の入力が10桁以外、もしくは各桁の内容に0～3,9以外がある場合
			If Not String.IsNullOrEmpty(Me.txt034MEN130F020.Text) Then
				chkValue = Me.txt034MEN130F020.Text
				If chkValue.Length = 10 Then
					For i = 0 To chkValue.Length - 1
						Select Case chkValue.Substring(i, 1)
							Case "0", "1", "2", "3", "9"
							Case Else
								Me.addErrList("E0020", Me.txt034MEN130F020.Name, Me.btn033MEN130F020.Text, "0～3,9の10桁を入力", Nothing)
								Exit For
						End Select
					Next
				Else
					Me.addErrList("E0020", Me.txt034MEN130F020.Name, Me.btn033MEN130F020.Text, "0～3,9の10桁を入力", Nothing)
				End If
			End If
			'「退院時のＡＤＬスコア」の入力が10桁以外、もしくは各桁の内容に0～3,9以外がある場合
			If Not String.IsNullOrEmpty(Me.txt036MEN130F020.Text) Then
				chkValue = Me.txt036MEN130F020.Text
				If chkValue.Length = 10 Then
					For i = 0 To chkValue.Length - 1
						Select Case chkValue.Substring(i, 1)
							Case "0", "1", "2", "3", "9"
							Case Else
								Me.addErrList("E0020", Me.txt036MEN130F020.Name, Me.btn035MEN130F020.Text, "0～3,9の10桁を入力", Nothing)
								Exit For
						End Select
					Next
				Else
					Me.addErrList("E0020", Me.txt036MEN130F020.Name, Me.btn035MEN130F020.Text, "0～3,9の10桁を入力", Nothing)
				End If
			End If
			'「肝硬変のＣｈｉｌｄ－Ｐｕｇｈ分類」の入力が5桁以外、もしくは各桁の内容に1,2,3以外がある場合
			If Not String.IsNullOrEmpty(Me.txt070MEN130F020.Text) Then
				chkValue = Me.txt070MEN130F020.Text
				If chkValue.Length = 5 Then
					For i = 0 To chkValue.Length - 1
						Select Case chkValue.Substring(i, 1)
							Case "1", "2", "3"
							Case Else
								Me.addErrList("E0020", Me.txt070MEN130F020.Name, Me.lbl069MEN130F020.Text, "1,2,3の5桁を入力", Nothing)
								Exit For
						End Select
					Next
				Else
					Me.addErrList("E0020", Me.txt070MEN130F020.Name, Me.lbl069MEN130F020.Text, "1,2,3の5桁を入力", Nothing)
				End If
			End If
			'「急性膵炎の重症度分類」に0～27の範囲以外の入力がある場合
			If Not String.IsNullOrEmpty(Me.num072MEN130F020.Text) Then
				If Me.num072MEN130F020.DblValue < 0 OrElse Me.num072MEN130F020.DblValue > 27 Then
					Me.addErrList("E0020", Me.num072MEN130F020.Name, Me.lbl071MEN130F020.Text, "0～27を入力", Nothing)
				End If
			End If
			'「Ｂｕｒｎ Ｉｎｄｅｘ」の入力が0～100の範囲以外の場合
			If Not String.IsNullOrEmpty(Me.num081MEN130F020.Text) Then
				If Me.num081MEN130F020.DblValue < 0 OrElse Me.num081MEN130F020.DblValue > 100 Then
					Me.addErrList("E0020", Me.num081MEN130F020.Name, Me.lbl080MEN130F020.Text, "0～100を入力", Nothing)
				End If
			End If
			'「現在の妊娠の有無」が「有」で、「入院時の妊娠週数」が未入力の場合
			If Me.cmb020MEN130F020.Enabled AndAlso Me.cmb020MEN130F020.Text = "1" Then
				If Me.num108MEN130F020.Enabled AndAlso String.IsNullOrEmpty(Me.num108MEN130F020.Text) Then
					Me.addErrList("E0016", Me.num108MEN130F020.Name, Me.lbl107MEN130F020.Text, "現在の妊娠の有無が「有」になっているのに入院時の妊娠週数", Nothing)
				End If
			End If
			'「入院時の妊娠週数」の入力が1～45の範囲以外の場合
			If Me.num108MEN130F020.Enabled AndAlso Not String.IsNullOrEmpty(Me.num108MEN130F020.Text) Then
				If Me.num108MEN130F020.DblValue < 1 OrElse Me.num108MEN130F020.DblValue > 45 Then
					Me.addErrList("E0020", Me.num108MEN130F020.Name, Me.lbl107MEN130F020.Text, "1～45を入力", Nothing)
				End If
			End If
			'「入院時ＧＡＦ尺度」の入力が0～100の範囲以外の場合
			If Not String.IsNullOrEmpty(Me.num119MEN130F020.Text) Then
				If Me.num119MEN130F020.DblValue < 0 OrElse Me.num119MEN130F020.DblValue > 100 Then
					Me.addErrList("E0020", Me.num119MEN130F020.Name, Me.lbl118MEN130F020.Text, "0～100を入力", Nothing)
				End If
			End If
			'「退院時ＧＡＦ尺度」の入力が0～100の範囲以外の場合
			If Not String.IsNullOrEmpty(Me.num124MEN130F020.Text) Then
				If Me.num124MEN130F020.DblValue < 0 OrElse Me.num124MEN130F020.DblValue > 100 Then
					Me.addErrList("E0020", Me.num124MEN130F020.Name, Me.lbl123MEN130F020.Text, "0～100を入力", Nothing)
				End If
			End If
			'「入院時Ｇｌａｓｇｏｗ Ｃｏｍａ Ｓｃａｌｅ」の入力が3桁以外、もしくは各桁の内容に1～6以外がある場合
			If Not String.IsNullOrEmpty(Me.txt131MEN130F020.Text) Then
				chkValue = Me.txt131MEN130F020.Text
				If chkValue.Length = 3 Then
					For i = 0 To chkValue.Length - 1
						Select Case chkValue.Substring(i, 1)
							Case "1", "2", "3", "4", "5", "6"
							Case Else
								Me.addErrList("E0020", Me.txt131MEN130F020.Name, Me.lbl130MEN130F020.Text, "1～6の3桁を入力", Nothing)
								Exit For
						End Select
					Next
				Else
					Me.addErrList("E0020", Me.txt131MEN130F020.Name, Me.lbl130MEN130F020.Text, "1～6の3桁を入力", Nothing)
				End If
			End If
			'「化学療法の有無」コンボボックスが未入力の場合
			If String.IsNullOrEmpty(Me.cmb151MEN130F020.Text) Then
				Me.addErrList("E0001", Me.cmb151MEN130F020.Name, Me.lbl150MEN130F020.Text, Nothing)
			End If
			'「テモゾロミド（初発の初回治療に限る）の有無」コンボボックスが未入力の場合
			If String.IsNullOrEmpty(Me.cmb154MEN130F020.Text) Then
				Me.addErrList("E0001", Me.cmb154MEN130F020.Name, Me.lbl153MEN130F020.Text, Nothing)
			End If

			If Me.getErrCount() > 0 Then
				Return False
			Else
				Return True
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 入力値変更チェック
	''' </summary>
	''' <remarks>
	''' 2010/10/28 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkUpdate() As Boolean
		log(clsSysMst.logLevel.DBG, "chkUpdate", "入力値変更チェック Start")
		Dim dpcInfoWk(99) As String		'DPC情報
		Dim bRet As Boolean = False
		Try
			For i As Integer = 0 To dpcInfoWk.GetUpperBound(0)
				dpcInfoWk(i) = String.Empty
			Next
			dpcInfoWk(80) = Me.cmb005MEN130F020.Text
			dpcInfoWk(81) = Me.cmb008MEN130F020.Text
			dpcInfoWk(82) = Me.cmb011MEN130F020.Text
			dpcInfoWk(83) = Me.cmb014MEN130F020.Text

			dpcInfoWk(0) = Me.cmb020MEN130F020.Text
			dpcInfoWk(1) = Me.num023MEN130F020.Text
			dpcInfoWk(2) = Me.num026MEN130F020.Text
			dpcInfoWk(3) = Me.num028MEN130F020.Text
			dpcInfoWk(4) = Me.txt030MEN130F020.Text
			dpcInfoWk(5) = Me.txt032MEN130F020.Text
			dpcInfoWk(6) = Me.txt034MEN130F020.Text
			dpcInfoWk(7) = Me.txt036MEN130F020.Text
			dpcInfoWk(8) = Me.cmb038MEN130F020.Text
			dpcInfoWk(9) = Me.cmb041MEN130F020.Text
			dpcInfoWk(10) = Me.cmb044MEN130F020.Text
			dpcInfoWk(11) = Me.cmb046MEN130F020.Text
			dpcInfoWk(12) = Me.cmb048MEN130F020.Text
			dpcInfoWk(13) = Me.cmb050MEN130F020.Text
			dpcInfoWk(14) = Me.cmb052MEN130F020.Text
			dpcInfoWk(15) = Me.cmb055MEN130F020.Text
			dpcInfoWk(16) = Me.cmb058MEN130F020.Text
			dpcInfoWk(17) = Me.cmb061MEN130F020.Text
			dpcInfoWk(18) = Me.cmb064MEN130F020.Text
			dpcInfoWk(19) = Me.cmb067MEN130F020.Text
			dpcInfoWk(20) = Me.txt070MEN130F020.Text
			dpcInfoWk(21) = Me.num072MEN130F020.Text
			dpcInfoWk(22) = Me.cmb074MEN130F020.Text
			dpcInfoWk(23) = Me.cmb077MEN130F020.Text
			dpcInfoWk(24) = Me.cmb079MEN130F020.Text
			dpcInfoWk(25) = Me.num081MEN130F020.Text
			dpcInfoWk(26) = Me.txt083MEN130F020.Text
			dpcInfoWk(27) = Me.txt085MEN130F020.Text
			dpcInfoWk(28) = Me.num087MEN130F020.Text
			dpcInfoWk(29) = Me.num090MEN130F020.Text
			dpcInfoWk(30) = Me.cmb093MEN130F020.Text
			dpcInfoWk(31) = Me.cmb096MEN130F020.Text
			dpcInfoWk(32) = Me.cmb099MEN130F020.Text
			dpcInfoWk(33) = Me.cmb102MEN130F020.Text
			dpcInfoWk(34) = Me.cmb105MEN130F020.Text
			dpcInfoWk(35) = Me.num108MEN130F020.Text
			dpcInfoWk(36) = Me.cmb110MEN130F020.Text
			dpcInfoWk(37) = Me.num113MEN130F020.Text
			dpcInfoWk(38) = Me.num116MEN130F020.Text
			dpcInfoWk(39) = Me.num119MEN130F020.Text
			dpcInfoWk(40) = Me.num124MEN130F020.Text
			dpcInfoWk(41) = Me.txt126MEN130F020.Text
			dpcInfoWk(42) = Me.cmb128MEN130F020.Text
			dpcInfoWk(43) = Me.txt131MEN130F020.Text
			dpcInfoWk(44) = Me.num133MEN130F020.Text
			dpcInfoWk(45) = Me.num136MEN130F020.Text
			dpcInfoWk(46) = Me.cmb139MEN130F020.Text
			dpcInfoWk(47) = Me.cmb141MEN130F020.Text
			dpcInfoWk(48) = Me.cmb143MEN130F020.Text
			dpcInfoWk(49) = Me.cmb145MEN130F020.Text
			dpcInfoWk(50) = Me.cmb147MEN130F020.Text
			dpcInfoWk(51) = Me.cmb149MEN130F020.Text
			dpcInfoWk(52) = Me.cmb151MEN130F020.Text
			dpcInfoWk(53) = Me.cmb154MEN130F020.Text

			For i As Integer = 0 To dpcInfoWk.GetUpperBound(0)
				If dpcInfoWk(i) <> dpcInfo(i) Then
					bRet = True
					Exit For
				End If
			Next
		Catch ex As Exception
			Throw
		Finally
			dpcInfoWk = Nothing
		End Try
		Return bRet
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 入力値削除チェック
	''' </summary>
	''' <remarks>
	''' 2010/10/28 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkDelete() As Boolean
		log(clsSysMst.logLevel.DBG, "chkDelete", "入力値削除チェック Start")
		Dim dpcInfoWk(99) As String		'DPC情報
		Dim bRet As Boolean = True
		Try
			dpcInfoWk(80) = Me.cmb005MEN130F020.Text
			dpcInfoWk(81) = Me.cmb008MEN130F020.Text
			dpcInfoWk(82) = Me.cmb011MEN130F020.Text
			dpcInfoWk(83) = Me.cmb014MEN130F020.Text

			dpcInfoWk(0) = Me.cmb020MEN130F020.Text
			dpcInfoWk(1) = Me.num023MEN130F020.Text
			dpcInfoWk(2) = Me.num026MEN130F020.Text
			dpcInfoWk(3) = Me.num028MEN130F020.Text
			dpcInfoWk(4) = Me.txt030MEN130F020.Text
			dpcInfoWk(5) = Me.txt032MEN130F020.Text
			dpcInfoWk(6) = Me.txt034MEN130F020.Text
			dpcInfoWk(7) = Me.txt036MEN130F020.Text
			dpcInfoWk(8) = Me.cmb038MEN130F020.Text
			dpcInfoWk(9) = Me.cmb041MEN130F020.Text
			dpcInfoWk(10) = Me.cmb044MEN130F020.Text
			dpcInfoWk(11) = Me.cmb046MEN130F020.Text
			dpcInfoWk(12) = Me.cmb048MEN130F020.Text
			dpcInfoWk(13) = Me.cmb050MEN130F020.Text
			dpcInfoWk(14) = Me.cmb052MEN130F020.Text
			dpcInfoWk(15) = Me.cmb055MEN130F020.Text
			dpcInfoWk(16) = Me.cmb058MEN130F020.Text
			dpcInfoWk(17) = Me.cmb061MEN130F020.Text
			dpcInfoWk(18) = Me.cmb064MEN130F020.Text
			dpcInfoWk(19) = Me.cmb067MEN130F020.Text
			dpcInfoWk(20) = Me.txt070MEN130F020.Text
			dpcInfoWk(21) = Me.num072MEN130F020.Text
			dpcInfoWk(22) = Me.cmb074MEN130F020.Text
			dpcInfoWk(23) = Me.cmb077MEN130F020.Text
			dpcInfoWk(24) = Me.cmb079MEN130F020.Text
			dpcInfoWk(25) = Me.num081MEN130F020.Text
			dpcInfoWk(26) = Me.txt083MEN130F020.Text
			dpcInfoWk(27) = Me.txt085MEN130F020.Text
			dpcInfoWk(28) = Me.num087MEN130F020.Text
			dpcInfoWk(29) = Me.num090MEN130F020.Text
			dpcInfoWk(30) = Me.cmb093MEN130F020.Text
			dpcInfoWk(31) = Me.cmb096MEN130F020.Text
			dpcInfoWk(32) = Me.cmb099MEN130F020.Text
			dpcInfoWk(33) = Me.cmb102MEN130F020.Text
			dpcInfoWk(34) = Me.cmb105MEN130F020.Text
			dpcInfoWk(35) = Me.num108MEN130F020.Text
			dpcInfoWk(36) = Me.cmb110MEN130F020.Text
			dpcInfoWk(37) = Me.num113MEN130F020.Text
			dpcInfoWk(38) = Me.num116MEN130F020.Text
			dpcInfoWk(39) = Me.num119MEN130F020.Text
			dpcInfoWk(40) = Me.num124MEN130F020.Text
			dpcInfoWk(41) = Me.txt126MEN130F020.Text
			dpcInfoWk(42) = Me.cmb128MEN130F020.Text
			dpcInfoWk(43) = Me.txt131MEN130F020.Text
			dpcInfoWk(44) = Me.num133MEN130F020.Text
			dpcInfoWk(45) = Me.num136MEN130F020.Text
			dpcInfoWk(46) = Me.cmb139MEN130F020.Text
			dpcInfoWk(47) = Me.cmb141MEN130F020.Text
			dpcInfoWk(48) = Me.cmb143MEN130F020.Text
			dpcInfoWk(49) = Me.cmb145MEN130F020.Text
			dpcInfoWk(50) = Me.cmb147MEN130F020.Text
			dpcInfoWk(51) = Me.cmb149MEN130F020.Text
			dpcInfoWk(52) = Me.cmb151MEN130F020.Text
			dpcInfoWk(53) = Me.cmb154MEN130F020.Text
			For i As Integer = 0 To dpcInfoWk.GetUpperBound(0)
				If Not String.IsNullOrEmpty(dpcInfoWk(i)) Then
					bRet = False
					Exit For
				End If
			Next
		Catch ex As Exception
			Throw
		Finally
			dpcInfoWk = Nothing
		End Try
		Return bRet
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 入力値を内部変数に保持
	''' </summary>
	''' <remarks>
	''' 2010/10/28 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub getInputData()
		log(clsSysMst.logLevel.DBG, "getInputData", "入力値を内部変数に保持 Start")
		Try
			dpcInfo(80) = Me.cmb005MEN130F020.Text
			dpcInfo(81) = Me.cmb008MEN130F020.Text
			dpcInfo(82) = Me.cmb011MEN130F020.Text
			dpcInfo(83) = Me.cmb014MEN130F020.Text

			dpcInfo(0) = Me.cmb020MEN130F020.Text
			dpcInfo(1) = Me.num023MEN130F020.Text
			dpcInfo(2) = Me.num026MEN130F020.Text
			dpcInfo(3) = Me.num028MEN130F020.Text
			dpcInfo(4) = Me.txt030MEN130F020.Text
			dpcInfo(5) = Me.txt032MEN130F020.Text
			dpcInfo(6) = Me.txt034MEN130F020.Text
			dpcInfo(7) = Me.txt036MEN130F020.Text
			dpcInfo(8) = Me.cmb038MEN130F020.Text
			dpcInfo(9) = Me.cmb041MEN130F020.Text
			dpcInfo(10) = Me.cmb044MEN130F020.Text
			dpcInfo(11) = Me.cmb046MEN130F020.Text
			dpcInfo(12) = Me.cmb048MEN130F020.Text
			dpcInfo(13) = Me.cmb050MEN130F020.Text
			dpcInfo(14) = Me.cmb052MEN130F020.Text
			dpcInfo(15) = Me.cmb055MEN130F020.Text
			dpcInfo(16) = Me.cmb058MEN130F020.Text
			dpcInfo(17) = Me.cmb061MEN130F020.Text
			dpcInfo(18) = Me.cmb064MEN130F020.Text
			dpcInfo(19) = Me.cmb067MEN130F020.Text
			dpcInfo(20) = Me.txt070MEN130F020.Text
			dpcInfo(21) = Me.num072MEN130F020.Text
			dpcInfo(22) = Me.cmb074MEN130F020.Text
			dpcInfo(23) = Me.cmb077MEN130F020.Text
			dpcInfo(24) = Me.cmb079MEN130F020.Text
			dpcInfo(25) = Me.num081MEN130F020.Text
			dpcInfo(26) = Me.txt083MEN130F020.Text
			dpcInfo(27) = Me.txt085MEN130F020.Text
			dpcInfo(28) = Me.num087MEN130F020.Text
			dpcInfo(29) = Me.num090MEN130F020.Text
			dpcInfo(30) = Me.cmb093MEN130F020.Text
			dpcInfo(31) = Me.cmb096MEN130F020.Text
			dpcInfo(32) = Me.cmb099MEN130F020.Text
			dpcInfo(33) = Me.cmb102MEN130F020.Text
			dpcInfo(34) = Me.cmb105MEN130F020.Text
			dpcInfo(35) = Me.num108MEN130F020.Text
			dpcInfo(36) = Me.cmb110MEN130F020.Text
			dpcInfo(37) = Me.num113MEN130F020.Text
			dpcInfo(38) = Me.num116MEN130F020.Text
			dpcInfo(39) = Me.num119MEN130F020.Text
			dpcInfo(40) = Me.num124MEN130F020.Text
			dpcInfo(41) = Me.txt126MEN130F020.Text
			dpcInfo(42) = Me.cmb128MEN130F020.Text
			dpcInfo(43) = Me.txt131MEN130F020.Text
			dpcInfo(44) = Me.num133MEN130F020.Text
			dpcInfo(45) = Me.num136MEN130F020.Text
			dpcInfo(46) = Me.cmb139MEN130F020.Text
			dpcInfo(47) = Me.cmb141MEN130F020.Text
			dpcInfo(48) = Me.cmb143MEN130F020.Text
			dpcInfo(49) = Me.cmb145MEN130F020.Text
			dpcInfo(50) = Me.cmb147MEN130F020.Text
			dpcInfo(51) = Me.cmb149MEN130F020.Text
			dpcInfo(52) = Me.cmb151MEN130F020.Text
			dpcInfo(53) = Me.cmb154MEN130F020.Text
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

#Region "オーバーライドメソッド"

	''' -------------------------------------------------------
	''' <summary>
	''' 画面再描画
	''' </summary>
	''' <remarks>
	''' 2010/10/29 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' -------------------------------------------------------
	Public Overrides Sub repaint()
		log(clsSysMst.logLevel.DBG, "repaint", "画面再描画 Start")
		Dim cliCom As clsCom = Nothing
		Try
			'入力値を保持している変数から画面に表示する。
			cliCom = New clsCom
			cliCom.setComboValue(Me.cmb005MEN130F020, dpcInfo(80))
			cliCom.setComboValue(Me.cmb008MEN130F020, dpcInfo(81))
			cliCom.setComboValue(Me.cmb011MEN130F020, dpcInfo(82))
			cliCom.setComboValue(Me.cmb014MEN130F020, dpcInfo(83))

			cliCom.setComboValue(Me.cmb020MEN130F020, dpcInfo(0))
			Me.num023MEN130F020.Text = dpcInfo(1)
			Me.num026MEN130F020.Text = dpcInfo(2)
			Me.num028MEN130F020.Text = dpcInfo(3)
			Me.txt030MEN130F020.Text = dpcInfo(4)
			Me.txt032MEN130F020.Text = dpcInfo(5)
			Me.txt034MEN130F020.Text = dpcInfo(6)
			Me.txt036MEN130F020.Text = dpcInfo(7)
			cliCom.setComboValue(Me.cmb038MEN130F020, dpcInfo(8))
			cliCom.setComboValue(Me.cmb041MEN130F020, dpcInfo(9))
			cliCom.setComboValue(Me.cmb044MEN130F020, dpcInfo(10))
			cliCom.setComboValue(Me.cmb046MEN130F020, dpcInfo(11))
			cliCom.setComboValue(Me.cmb048MEN130F020, dpcInfo(12))
			cliCom.setComboValue(Me.cmb050MEN130F020, dpcInfo(13))
			cliCom.setComboValue(Me.cmb052MEN130F020, dpcInfo(14))
			cliCom.setComboValue(Me.cmb055MEN130F020, dpcInfo(15))
			cliCom.setComboValue(Me.cmb058MEN130F020, dpcInfo(16))
			cliCom.setComboValue(Me.cmb061MEN130F020, dpcInfo(17))
			cliCom.setComboValue(Me.cmb064MEN130F020, dpcInfo(18))
			cliCom.setComboValue(Me.cmb067MEN130F020, dpcInfo(19))
			Me.txt070MEN130F020.Text = dpcInfo(20)
			Me.num072MEN130F020.Text = dpcInfo(21)
			cliCom.setComboValue(Me.cmb074MEN130F020, dpcInfo(22))
			cliCom.setComboValue(Me.cmb077MEN130F020, dpcInfo(23))
			cliCom.setComboValue(Me.cmb079MEN130F020, dpcInfo(24))
			Me.num081MEN130F020.Text = dpcInfo(25)
			Me.txt083MEN130F020.Text = dpcInfo(26)
			Me.txt085MEN130F020.Text = dpcInfo(27)
			Me.num087MEN130F020.Text = dpcInfo(28)
			Me.num090MEN130F020.Text = dpcInfo(29)
			cliCom.setComboValue(Me.cmb093MEN130F020, dpcInfo(30))
			cliCom.setComboValue(Me.cmb096MEN130F020, dpcInfo(31))
			cliCom.setComboValue(Me.cmb099MEN130F020, dpcInfo(32))
			cliCom.setComboValue(Me.cmb102MEN130F020, dpcInfo(33))
			cliCom.setComboValue(Me.cmb105MEN130F020, dpcInfo(34))
			Me.num108MEN130F020.Text = dpcInfo(35)
			cliCom.setComboValue(Me.cmb110MEN130F020, dpcInfo(36))
			Me.num113MEN130F020.Text = dpcInfo(37)
			Me.num116MEN130F020.Text = dpcInfo(38)
			Me.num119MEN130F020.Text = dpcInfo(39)
			Me.num124MEN130F020.Text = dpcInfo(40)
			Me.txt126MEN130F020.Text = dpcInfo(41)
			cliCom.setComboValue(Me.cmb128MEN130F020, dpcInfo(42))
			Me.txt131MEN130F020.Text = dpcInfo(43)
			Me.num133MEN130F020.Text = dpcInfo(44)
			Me.num136MEN130F020.Text = dpcInfo(45)
			cliCom.setComboValue(Me.cmb139MEN130F020, dpcInfo(46))
			cliCom.setComboValue(Me.cmb141MEN130F020, dpcInfo(47))
			cliCom.setComboValue(Me.cmb143MEN130F020, dpcInfo(48))
			cliCom.setComboValue(Me.cmb145MEN130F020, dpcInfo(49))
			cliCom.setComboValue(Me.cmb147MEN130F020, dpcInfo(50))
			cliCom.setComboValue(Me.cmb149MEN130F020, dpcInfo(51))
			cliCom.setComboValue(Me.cmb151MEN130F020, dpcInfo(52))
			cliCom.setComboValue(Me.cmb154MEN130F020, dpcInfo(53))

			'現タブの入力項目の先頭にフォーカスする
			Select Case Me.styleMode
				Case clsMENCOMMON.Enum_StyleMode.eParent
					'親様式モードの場合
					If Me.cmb020MEN130F020.CanInput = True Then
						'「現在の妊娠の有無」を選択
						Me.cmb020MEN130F020.Focus()
					Else
						'「出生時体重」を選択
						Me.num023MEN130F020.Focus()
					End If
				Case clsMENCOMMON.Enum_StyleMode.eChild
					'子様式モードの場合
					Select Case Me.tab001MEN130F020.SelectedIndex
						Case 0
							'「入院中の主な診療目的」を選択
							Me.cmb005MEN130F020.Focus()
						Case 1
							If Me.cmb020MEN130F020.CanInput = True Then
								'「現在の妊娠の有無」を選択
								Me.cmb020MEN130F020.Focus()
							Else
								'「出生時体重」を選択
								Me.num023MEN130F020.Focus()
							End If
						Case Else
							'何もしない
					End Select
				Case Else
					'何もしない
			End Select
		Catch ex As Exception
			Throw
		Finally
			cliCom = Nothing
		End Try
	End Sub

	''' -------------------------------------------------------
	''' <summary>
	''' 子画面データ受信処理
	''' </summary>
	''' <remarks>
	''' 2010/11/09 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' -------------------------------------------------------
	Public Overrides Sub rcvData(ByVal ret As Enum_FormReturn, ByVal de As DictionaryEntry)
		log(clsSysMst.logLevel.NRM, "rcvData", "子画面データ受信処理 Start")
		Try
			'子画面判定
			Select Case CStr(de.Key)
				Case CStr(clsMENCOMMON.Enum_AdlScoreKind.eHsp)		'入院時のＡＤＬスコア
					If ret = Enum_FormReturn.OK Then
						Me.txt034MEN130F020.Text = de.Value
					End If
				Case CStr(clsMENCOMMON.Enum_AdlScoreKind.eOutHsp)	'退院時のＡＤＬスコア
					If ret = Enum_FormReturn.OK Then
						Me.txt036MEN130F020.Text = de.Value
					End If
				Case CST_SHOW_XCM020F010_ID							'エラーメッセージ画面
					If de.Value Is Nothing OrElse String.IsNullOrEmpty(de.Value.ToString) Then
						'「保存」ボタン押下時
						MyBase.rcvData(ret, de)
					Else
						'「閉じる」ボタン押下時
						Select Case de.Value.ToString
							Case clsMENCOMMON.CONST_SAY_YES
								'エラーメッセージ画面を強制終了する
								For Each frm As frmBase In Me.OwnedForms
									If frm.Name = CST_SHOW_XCM020F010_ID Then
										frm.Dispose()
										Exit For
									End If
								Next
								'「はい」ボタン選択時には登録時の確認メッセージ
								If confMsg("Q0005", MessageBoxButtons.YesNo, MessageBoxDefaultButton.Button2, "エラーがあります。このまま登録", Nothing) = MsgBoxResult.Yes Then
									'ＤＰＣ情報更新
									If Me.updDPCInfo() Then
										'終了処理
										Me.EndProc()
									Else
										'更新フラグを初期化
										Me.updFlg = clsMENCOMMON.Enum_UpdFlg.eInit
									End If
								Else
									'更新フラグを初期化
									Me.updFlg = clsMENCOMMON.Enum_UpdFlg.eInit
								End If
							Case clsMENCOMMON.CONST_SAY_NO
								'エラーメッセージ画面を強制終了する
								For Each frm As frmBase In Me.OwnedForms
									If frm.Name = CST_SHOW_XCM020F010_ID Then
										frm.Dispose()
										Exit For
									End If
								Next
								'「いいえ」ボタン選択時には終了時の確認メッセージ
								If confMsg("Q0005", MessageBoxButtons.YesNo, MessageBoxDefaultButton.Button2, "エラーがあります。終了", Nothing) = MsgBoxResult.Yes Then
									'終了処理
									Me.EndProc()
								Else
									'更新フラグを初期化
									Me.updFlg = clsMENCOMMON.Enum_UpdFlg.eInit
								End If
							Case Else
								MyBase.rcvData(ret, de)
						End Select
					End If
				Case Else
					MyBase.rcvData(ret, de)
			End Select
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 更新前チェック処理
	''' </summary>
	''' <remarks>
	''' 2010/12/06 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function PreUpdChkData() As Boolean
		log(clsSysMst.logLevel.DBG, "PreUpdChkData", "更新前チェック処理 Start")
		Try
			' 保存ボタン押下時のため、先に保存フラグをオン
			Me.saveFlg = True
			' 子コントロールの検証
			Return Me.ValidateChildren
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' -------------------------------------------------------
	''' <summary>
	''' 更新前確認処理
	''' </summary>
	''' <remarks>
	''' 2010/12/06 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' -------------------------------------------------------
	Public Overrides Function PreUpdConfirm() As MsgBoxResult
		log(clsSysMst.logLevel.DBG, "PreUpdConfirm", "更新前確認処理 Start")
		Try
			Select Case True
				Case Me.updFlg = clsMENCOMMON.Enum_UpdFlg.eEmpty
					' 初期起動時には保存フラグをオン
					Me.saveFlg = True
				Case Me.chkUpdate()
					' 入力項目に変更がある場合のみ更新前確認メッセージ
					Select Case MyBase.PreUpdConfirm()
						Case MsgBoxResult.Yes
							' 「はい」ボタン選択時には保存フラグをオン
							Me.saveFlg = True
						Case MsgBoxResult.No
							' 「いいえ」ボタン選択時には保存フラグをオフ
							Me.saveFlg = False
							' 画面の再描画を行う。
							Me.repaint()
						Case Else
							' 「キャンセル」ボタン選択時にはそのまま「キャンセル」を戻す
							Return MsgBoxResult.Cancel
					End Select
				Case Else
					' 入力項目に変更がない場合には保存フラグをオフ
					Me.saveFlg = False
			End Select
			' チェック処理を行うため「はい」を戻す
			Return MsgBoxResult.Yes
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' チェック処理
	''' </summary>
	''' <remarks>
	''' 2010/12/06 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function ChkData() As Boolean
		log(clsSysMst.logLevel.DBG, "ChkData", "チェック処理 Start")
		Try
			Select Case True
				Case Me.chkDelete()		'削除チェック
					If Me.saveFlg AndAlso Me.chkUpdate() Then
						Me.updFlg = clsMENCOMMON.Enum_UpdFlg.eDelete
					End If
				Case Me.chkInput()		'入力チェック
					If Me.saveFlg AndAlso Me.chkUpdate() Then
						Me.updFlg = clsMENCOMMON.Enum_UpdFlg.eUpdate
					End If
				Case Else
			End Select
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' -------------------------------------------------------
	''' <summary>
	''' 更新処理
	''' </summary>
	''' <remarks>
	''' 2010/12/06 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' -------------------------------------------------------
	Public Overrides Function UpdProc() As Boolean
		log(clsSysMst.logLevel.DBG, "UpdProc", "更新処理 Start")
		Try
			'エラーがない場合
			If Me.getErrCount() = 0 Then
				Select Case Me.updFlg
					Case clsMENCOMMON.Enum_UpdFlg.eUpdate, clsMENCOMMON.Enum_UpdFlg.eDelete
						'ＤＰＣ情報更新
						Return Me.updDPCInfo()
					Case Else
				End Select
			End If
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' -------------------------------------------------------
	''' <summary>
	''' 更新後処理
	''' </summary>
	''' <remarks>
	''' 2010/12/06 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' -------------------------------------------------------
	Public Overrides Function AfterUpdProc() As Boolean
		log(clsSysMst.logLevel.DBG, "AfterUpdProc", "更新後処理 Start")
		Try
			'エラーがある場合はエラー画面を表示する。
			If Me.getErrCount() > 0 Then
				Me.nextErrForm()
				Return False
			End If
			'入力値保持
			Me.getInputData()
			'画面の再描画を行う。
			Me.repaint()
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' -------------------------------------------------------
	''' <summary>
	''' 戻り値作成処理
	''' </summary>
	''' <remarks>
	''' 2010/12/06 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' -------------------------------------------------------
	Public Overrides Function DBProc() As Boolean
		log(clsSysMst.logLevel.DBG, "DBProc", "戻り値作成処理 Start")
		Try
			'エラーがある場合はエラー画面を表示する。
			If Me.getErrCount() > 0 Then
				If Me.saveFlg Then
					Me.nextErrForm(clsMENCOMMON.CONST_SAY_YES)
				Else
					Me.nextErrForm(clsMENCOMMON.CONST_SAY_NO)
				End If
				Return False
			End If
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 画面終了後処理
	''' </summary>
	''' <param name="bCancel">キャンセルフラグ</param>
	''' <remarks>
	''' 2010/12/06 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub ClosedProc(ByVal bCancel As Boolean)
		If bCancel Then
			Exit Sub
		End If
		Try
			' インスタンス開放
			If frmMEN130F021 IsNot Nothing Then
				frmMEN130F021.Dispose()
			End If
			' 画面終了後処理
			MyBase.ClosedProc(bCancel)
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			frmMEN130F021 = Nothing
		End Try
	End Sub

#End Region

End Class