﻿Imports XCM
Imports XSP
Imports System.Windows.Forms

''' ---------------------------------------------
''' <summary>
''' ＤＰＣ２０１２_登録／参照　新規作成（修正番号：V4-12031）
''' </summary>
''' <remarks>
''' Copyright 2012 FUJITSU SYSTEMS WEST LIMITED All rights reserved.<BR/>
''' FUJITSU SYSTEMS WEST LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MEN130F040

#Region "コンスタント"

	'操作対象外コントロール名
	Private RULED_OUT_CTRL As String() = {"lbl003MEN130F040", "lbl017MEN130F040", "lbl018MEN130F040"}

	'子画面ID
	Private Const CST_SHOW_XCM020F010_ID As String = "XCM020F010"		'エラーメッセージ画面

#End Region

#Region "変数"

	'画面呼び出し時のパラメータ(コンストラクタでセット)
	Private pHspDate As String														'入院日
	Private pOutHspDate As String													'退院日
	Private pDeptCode As String														'診療科コード
	Private pModelYear As String													'年度
	Private pChildNum As String														'連番(子様式のみ)
	Private pWardStDate As String													'病棟開始日
	Private pWardEdDate As String													'病棟終了日

	Private styleMode As clsMENCOMMON.Enum_StyleMode								'様式モード
	Private updFlg As clsMENCOMMON.Enum_UpdFlg = clsMENCOMMON.Enum_UpdFlg.eInit		'更新フラグ
	Private saveFlg As Boolean = False												'保存フラグ
	Private dpcInfo(99) As String													'DPC情報

	Private frmMEN130F021 As MEN130F021 = Nothing									'遷移先画面(ＡＤＬスコア画面)

	Private cmbR1()() As String														'理由の種別１
	Private cmbR2()() As String														'理由の種別２
	Private cmbR3()() As String														'理由の種別３

	Private aryCbRec As ArrayList = Nothing											'分娩情報

	' 画面制御用
	Private strHospitalReadmission As String = Nothing								'再入院種別
	Private intHospitalReadmissionIndex As Integer = Nothing						'再入院種別コンボインデックス
	Private strHospitalWardChange As String = Nothing								'再転棟種別
	Private intHospitalWardChangeIndex As Integer = Nothing							'再転棟種別コンボインデックス

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ(親様式)
	''' </summary>
	''' <param name="execMode">処理モード</param>
	''' <param name="patientNo">患者番号</param>
	''' <param name="historyNo">入退院歴番号</param>
	''' <param name="hspDate">入院日</param>
	''' <param name="outHspDate">退院日</param>
	''' <param name="deptCode">診療科コード</param>
	''' <param name="modelYear">年度</param>
	''' <remarks>
	''' 2012/06/07 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal execMode As Enum_ExeMode, ByVal patientNo As String, ByVal historyNo As Integer, ByVal hspDate As String, _
	ByVal outHspDate As String, ByVal deptCode As String, ByVal modelYear As String)
		' この呼び出しはデザイナーで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。
		Me.ExeMode = execMode								'処理モード
		Me.PatientNo = patientNo							'患者番号
		Me.HspHistoryNo = historyNo							'入退院歴番号

		Me.pHspDate = hspDate								'入院日
		Me.pOutHspDate = outHspDate							'退院日
		Me.pDeptCode = deptCode								'診療科コード
		Me.pModelYear = modelYear							'年度
		Me.pChildNum = "000"								'連番

		Me.styleMode = clsMENCOMMON.Enum_StyleMode.eParent	'親様式モード
		Me.ClosingSkip = True								'終了時処理は継承元で実行しない
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ(子様式)
	''' </summary>
	''' <param name="execMode">処理モード</param>
	''' <param name="patientNo">患者番号</param>
	''' <param name="historyNo">入退院歴番号</param>
	''' <param name="hspDate">入院日</param>
	''' <param name="outHspDate">退院日</param>
	''' <param name="deptCode">診療科コード</param>
	''' <param name="modelYear">年度</param>
	''' <param name="childNum">連番</param>
	''' <param name="wardStDate">病棟開始日</param>
	''' <param name="wardEdDate" >病棟終了日</param>
	''' <remarks>
	''' 2012/06/07 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal execMode As Enum_ExeMode, ByVal patientNo As String, ByVal historyNo As Integer, ByVal hspDate As String, _
	ByVal outHspDate As String, ByVal deptCode As String, ByVal modelYear As String, ByVal childNum As Integer, _
	ByVal wardStDate As String, ByVal wardEdDate As String)
		' この呼び出しはデザイナーで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。
		Me.ExeMode = execMode								'処理モード
		Me.PatientNo = patientNo							'患者番号
		Me.HspHistoryNo = historyNo							'入退院歴番号

		Me.pHspDate = hspDate								'入院日
		Me.pOutHspDate = outHspDate							'退院日
		Me.pDeptCode = deptCode								'診療科コード
		Me.pModelYear = modelYear							'年度
		Me.pChildNum = Format(childNum, "000")				'連番
		Me.pWardStDate = wardStDate							'病棟開始日
		Me.pWardEdDate = wardEdDate							'病棟終了日

		Me.styleMode = clsMENCOMMON.Enum_StyleMode.eChild	'子様式モード
		Me.ClosingSkip = True								'終了時処理は継承元で実行しない
	End Sub

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' 画面終了時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2012/06/07 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN130F040_FormClosing(ByVal sender As System.Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(clsSysMst.logLevel.NRM, "MEN130F040_FormClosing", "画面終了時 Start")
		Try
			' 画面途中でエラーの場合は処理しない
			If Me.LoadError OrElse e.Cancel Then
				Exit Try
			End If
			' 画面終了時処理
			Me.ClosingProc()
		Catch ex As Exception
			e.Cancel = True		'エラー時は画面を閉じない
			Me.ErrorProc(ex)
		Finally
			' 変数の解放は ClosedProc に記述する
			Me.ClosedProc(e.Cancel)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面ロード時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2012/06/07 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN130F040_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Me.Load
		If Me.DesignMode OrElse Me.LoadError Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.NRM, "MEN130F040_Load", "画面ロード時 Start")
		Dim dpcCnt As Integer
		Try
			' ボタン画像
			Me.setButtonBMP(Me.btn030MEN130F040, clsBmp.Enum_BmpType.Copy)	'身長複写
			Me.setButtonBMP(Me.btn034MEN130F040, clsBmp.Enum_BmpType.Copy)	'体重複写
			Me.setButtonBMP(Me.btn116MEN130F040, clsBmp.Enum_BmpType.Copy)	'出血量複写

			' 必須入力前景色
			Me.lbl019MEN130F040.ForeColor = clsConst.CST_REQUIRED_COLOR		'現在の妊娠の有無
			Me.lbl027MEN130F040.ForeColor = clsConst.CST_REQUIRED_COLOR		'身長
			Me.lbl031MEN130F040.ForeColor = clsConst.CST_REQUIRED_COLOR		'体重
			Me.lbl035MEN130F040.ForeColor = clsConst.CST_REQUIRED_COLOR		'喫煙指数（1日の喫煙本数×喫煙年数）
			Me.lbl037MEN130F040.ForeColor = clsConst.CST_REQUIRED_COLOR		'入院時意識障害ある場合のＪＣＳ
			Me.btn041MEN130F040.ForeColor = clsConst.CST_REQUIRED_COLOR		'入院時のＡＤＬスコア
			Me.lbl104MEN130F040.ForeColor = clsConst.CST_REQUIRED_COLOR		'化学療法の有無
'(D) STR V4-14038-000 003 2013/06/27 ID)荒川 案件No.301 ＤＰＣ様式１出力オプションで、テモゾロミドの必須解除対応
'			Me.lbl107MEN130F040.ForeColor = clsConst.CST_REQUIRED_COLOR		'テモゾロミド（初発の初回治療に限る）の有無
'(D) END V4-14038-000 003 2013/06/27 ID)荒川 案件No.301 ＤＰＣ様式１出力オプションで、テモゾロミドの必須解除対応

			' 特定条件必須入力前景色
			Me.lbl004MEN130F040.ForeColor = clsConst.CST_OPTIONAL_REQUIRED_COLOR	'入院中の主な診療目的
			Me.lbl007MEN130F040.ForeColor = clsConst.CST_OPTIONAL_REQUIRED_COLOR	'治験実施の有無
			Me.lbl010MEN130F040.ForeColor = clsConst.CST_OPTIONAL_REQUIRED_COLOR	'転科の有無
			Me.lbl013MEN130F040.ForeColor = clsConst.CST_OPTIONAL_REQUIRED_COLOR	'退院時転帰
'(D) STR V4-14039-000 000 2013/07/01 FWEST)溝渕 DPC2012登録画面で、入院時の妊娠週数の特定条件必須を解除する
'			Me.lbl089MEN130F040.ForeColor = clsConst.CST_OPTIONAL_REQUIRED_COLOR	'入院時の妊娠週数
'(D) END V4-14039-000 003 2013/07/01 FWEST)溝渕 DPC2012登録画面で、入院時の妊娠週数の特定条件必須を解除する

			' ＤＰＣ項目マスタおよびＤＰＣ補足対応マスタより該当する項目の見出しおよび入力可否を設定する。
			clsMENCOMMON.setAllItemVisible(Me.tpg016MEN130F040, False, Me.RULED_OUT_CTRL)
			If Me.setItemInfo() <= 0 Then
				' エラーメッセージを出力し、親画面に戻る。
				Me.showMsg("E0004")
				' 終了処理
				Me.EndProc4Load()
				Exit Sub
			End If

			' 処理モード「参照」の場合
			If Me.ExeMode = Enum_ExeMode.eReference Then
				' ボタンを非表示にする。
				Me.btn015MEN000F010.Visible = False		'保存(F7)
				Me.btn030MEN130F040.Visible = False		'身長複写
				Me.btn034MEN130F040.Visible = False		'体重複写
				Me.btn116MEN130F040.Visible = False		'出血量複写
				' 全ての入力項目を参照モードにする。
				clsMENCOMMON.setAllItemCanInput(Me.tab001MEN130F040, False)
			End If

			Select Case Me.styleMode
				Case clsMENCOMMON.Enum_StyleMode.eParent	'親様式モードの場合
					' 子様式タブページを非表示にする
					Me.tab001MEN130F040.TabPages.Remove(Me.tpg002MEN130F040)
					' 再転棟調査タブページを非表示にする
					Me.tab001MEN130F040.TabPages.Remove(Me.tpg130MEN130F040)
				Case clsMENCOMMON.Enum_StyleMode.eChild		'子様式モードの場合
					' 再入院調査タブページを非表示にする
					Me.tab001MEN130F040.TabPages.Remove(Me.tpg120MEN130F040)
				Case Else
					' 何もしない
			End Select

			' Ｆ１０キーで切り替えるタブコントロールを設定
			Me.F10TabControl = Me.tab001MEN130F040

			' 各コンボボックスを初期設定する。
			Me.setComboBoxInit()

			' ＤＰＣ情報保持用変数の初期化
			For i As Integer = 0 To dpcInfo.GetUpperBound(0)
				dpcInfo(i) = String.Empty
			Next

			' ＤＰＣ情報の取得
			dpcCnt = Me.getDPCInfo()

			' 基本情報の性別が「男」の場合、入力可能箇所を変更する。
			If Not Me.IsWoman() Then
				' 「現在の妊娠の有無」に"0:無"を設定する。
				dpcInfo(0) = "0"
				' 「現在の妊娠の有無」を入力不可にする。
				Me.cmb020MEN130F040.Enabled = False
				' 「入院時の妊娠週数」を入力不可にする。
				dpcInfo(28) = String.Empty
				Me.num090MEN130F040.Enabled = False
				' 「入院周辺の分娩の有無」を入力不可にする。
				dpcInfo(36) = String.Empty
				Me.cmb111MEN130F040.Enabled = False
				' 「分娩時出血量」を入力不可にする。
				dpcInfo(37) = String.Empty
				Me.num114MEN130F040.Enabled = False
				Me.btn116MEN130F040.Enabled = False
			Else
				' 女性の場合、分娩情報を取得
				Using cliCb As clsMTI_CB = New clsMTI_CB
					Me.aryCbRec = cliCb.getCbHsp(Me.PatientNo, Me.HspHistoryNo)
				End Using
			End If

			' 入退院情報の退院転帰が「死亡」の場合
			If Me.IsDeath() Then
				' 「退院時意識障害ある場合のＪＣＳ」を入力不可にする。
				dpcInfo(7) = String.Empty
				Me.txt040MEN130F040.Enabled = False
			End If

			' ＤＰＣ情報の表示
			If dpcCnt > 0 Then
				' 更新フラグクリア
				Me.updFlg = clsMENCOMMON.Enum_UpdFlg.eInit
			Else
				' 更新フラグ=1
				Me.updFlg = clsMENCOMMON.Enum_UpdFlg.eEmpty
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
			Me.EndProc4Load()
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面初回起動時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2012/06/07 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN130F040_Shown(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Me.Shown
		If Me.DesignMode OrElse Me.LoadError Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.NRM, "MEN130F040_Shown", "画面初回起動時 Start")
		Dim cliCommon As clsMENCOMMON
		Try
			cliCommon = New clsMENCOMMON
			Select Case Me.styleMode
				Case clsMENCOMMON.Enum_StyleMode.eParent
					' 親様式モードの場合、診療情報タブを選択する。
					Me.tab001MEN130F040.SelectedTab = Me.tpg016MEN130F040
				Case clsMENCOMMON.Enum_StyleMode.eChild
					' 子様式モードの場合、子様式タブを選択する。
					Me.tab001MEN130F040.SelectedTab = Me.tpg002MEN130F040
					' 入院日および退院日の項目にそれぞれ病棟開始日ならびに病棟終了日の内容を設定する。
					Me.lbl008MEN000F030.Text = "病棟開始日"
					Me.lbl009MEN000F030.Text = cliCommon.getDateFormat(Me.pWardStDate)
					Me.lbl011MEN000F030.Text = "病棟終了日"
					Me.lbl012MEN000F030.Text = cliCommon.getDateFormat(Me.pWardEdDate)
				Case Else
					' 何もしない
			End Select
			' 画面の再描画を行う。
			Me.repaint()
			' 処理モード「登録」の場合
			If Me.ExeMode = Enum_ExeMode.eEntry Then
				' 身長が未設定の場合、入退院情報から取得
				If String.IsNullOrEmpty(Me.num028MEN130F040.Text) Then
					Me.num028MEN130F040.Text = Me.HspRec.STATURE
				End If
				' 体重が未設定の場合、入退院情報から取得
				If String.IsNullOrEmpty(Me.num032MEN130F040.Text) Then
					Me.num032MEN130F040.Text = Me.HspRec.WEIGHT
				End If
				' 分娩時の出血量が未設定の場合、分娩情報から取得。
				If String.IsNullOrEmpty(Me.num114MEN130F040.Text) Then
					If Me.aryCbRec IsNot Nothing Then
						For Each cb As datMTI_CB_OneRec In Me.aryCbRec
							If cb.BLEEDING_VOLUME.HasValue Then
								Me.num114MEN130F040.Text = cb.BLEEDING_VOLUME.ToString
								Exit For
							End If
						Next
					End If
				End If
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
			Me.EndProc4Shown()
		Finally
			cliCommon = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 身長複写ボタンクリック時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2012/06/07 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn030MEN130F040_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn030MEN130F040.Click
		log(clsSysMst.logLevel.NRM, "btn030MEN130F040_Click", "身長複写ボタンクリック時 Start")
		Try
'(M) STR V4-12053-000 004 2012/12/14 ID 病歴大将V4PKG 管理No.49 確認メッセージ「OK/キャンセル」→「はい/いいえ」に修正
			'If Me.confMsg("Q0005", "直近の入退院歴から身長を取得", Nothing) = MsgBoxResult.Ok Then
			If Me.confMsg("Q0005", "直近の入退院歴から身長を取得", Nothing) = MsgBoxResult.Yes Then
'(M) END V4-12053-000 004 2012/12/14 ID
				Me.num028MEN130F040.Text = Me.HspRec.STATURE
			End If
			Me.num028MEN130F040.Focus()
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 体重複写ボタンクリック時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2012/06/07 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn034MEN130F040_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn034MEN130F040.Click
		log(clsSysMst.logLevel.NRM, "btn034MEN130F040_Click", "体重複写ボタンクリック時 Start")
		Try
'(M) STR V4-12053-000 004 2012/12/14 ID 病歴大将V4PKG 管理No.49 確認メッセージ「OK/キャンセル」→「はい/いいえ」に修正
			'If Me.confMsg("Q0005", "直近の入退院歴から体重を取得", Nothing) = MsgBoxResult.Ok Then
			If Me.confMsg("Q0005", "直近の入退院歴から体重を取得", Nothing) = MsgBoxResult.Yes Then
'(M) END V4-12053-000 004 2012/12/14 ID
				Me.num032MEN130F040.Text = Me.HspRec.WEIGHT
			End If
			Me.num032MEN130F040.Focus()
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 入院時のＡＤＬスコアボタンクリック時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2012/06/07 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn041MEN130F040_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn041MEN130F040.Click
		log(clsSysMst.logLevel.NRM, "btn041MEN130F040_Click", "入院時のＡＤＬスコアボタンクリック時 Start")
		Try
			frmMEN130F021 = Nothing
			frmMEN130F021 = New MEN130F021(Me.ExeMode, clsMENCOMMON.Enum_AdlScoreKind.eHsp, Me.txt042MEN130F040.Name, Me.txt042MEN130F040.Text, True)
			Me.nextForm(frmMEN130F021)
			Me.txt042MEN130F040.Focus()
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 退院時のＡＤＬスコアボタンクリック時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2012/06/07 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn043MEN130F040_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn043MEN130F040.Click
		log(clsSysMst.logLevel.NRM, "btn043MEN130F040_Click", "退院時のＡＤＬスコアボタンクリック時 Start")
		Try
			frmMEN130F021 = Nothing
			frmMEN130F021 = New MEN130F021(Me.ExeMode, clsMENCOMMON.Enum_AdlScoreKind.eOutHsp, Me.txt044MEN130F040.Name, Me.txt044MEN130F040.Text, False)
			Me.nextForm(frmMEN130F021)
			Me.txt044MEN130F040.Focus()
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 出血量複写ボタンクリック時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2012/06/07 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn116MEN130F040_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn116MEN130F040.Click
		log(clsSysMst.logLevel.NRM, "btn116MEN130F040_Click", "出血量複写ボタンクリック時 Start")
		Try
'(M) STR V4-12053-000 004 2012/12/14 ID 病歴大将V4PKG 管理No.49 確認メッセージ「OK/キャンセル」→「はい/いいえ」に修正
			'If Me.confMsg("Q0005", "分娩情報から出血量を取得", Nothing) = MsgBoxResult.Ok Then
			If Me.confMsg("Q0005", "分娩情報から出血量を取得", Nothing) = MsgBoxResult.Yes Then
'(M) END V4-12053-000 004 2012/12/14 ID
				If Me.aryCbRec IsNot Nothing Then
					For Each cb As datMTI_CB_OneRec In Me.aryCbRec
						If cb.BLEEDING_VOLUME.HasValue Then
							Me.num114MEN130F040.Text = cb.BLEEDING_VOLUME.ToString
							Exit For
						End If
					Next
				End If
			End If
			Me.num114MEN130F040.Focus()
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 再入院種別コンボドロップダウン開始時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2012/06/07 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb123MEN130F040_DropDown(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmb123MEN130F040.DropDown
		log(clsSysMst.logLevel.DBG, "cmb123MEN130F040_DropDown", "再入院種別コンボドロップダウン開始時 Start")
		Try
			' 再入院種別コンボインデックスを保存する
			intHospitalReadmissionIndex = Me.cmb123MEN130F040.SelectedIndex
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 再入院種別コンボドロップダウン終了時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2012/06/20 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb123MEN130F040_DropDownClosed(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmb123MEN130F040.DropDownClosed
		log(clsSysMst.logLevel.DBG, "cmb123MEN130F040_DropDownClosed", "再入院種別コンボドロップダウン終了時 Start")
		Try
			' 再入院種別が変更された場合
			If intHospitalReadmissionIndex <> Me.cmb123MEN130F040.SelectedIndex Then
				' 再入院種別の内容チェック
				chkHospitalReadmission()
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 再入院種別コンボフォーカス取得時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2012/06/07 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb123MEN130F040_Enter(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmb123MEN130F040.Enter
		log(clsSysMst.logLevel.DBG, "cmb123MEN130F040_Enter", "再入院種別コンボフォーカス取得時 Start")
		Try
			' 再入院種別を保存する
			strHospitalReadmission = Me.cmb123MEN130F040.Text
			' 再入院種別コンボインデックスを保存する
			intHospitalReadmissionIndex = Me.cmb123MEN130F040.SelectedIndex
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 再入院種別コンボインデックス変更時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2012/06/07 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb123MEN130F040_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmb123MEN130F040.SelectedIndexChanged
		If cmbR1 Is Nothing OrElse cmbR2 Is Nothing OrElse cmbR3 Is Nothing Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.DBG, "cmb123MEN130F040_SelectedIndexChanged", "再入院種別コンボインデックス変更時 Start")
		Try
			' 再入院種別コンボインデックスを保存する
			intHospitalReadmissionIndex = Me.cmb123MEN130F040.SelectedIndex
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 再入院種別変更時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2012/06/20 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb123MEN130F040_Validated(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmb123MEN130F040.Validated
		If Me.ValidatedSkip AndAlso Not Me.cmb123MEN130F040.ContainsFocus Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.DBG, "cmb123MEN130F040_Validated", "再入院種別変更時 Start")
		Try
			' 再入院種別が変更された場合
			If strHospitalReadmission <> Me.cmb123MEN130F040.Text Then
				' 再入院種別の内容チェック
				chkHospitalReadmission()
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 再入院調査の自由記載欄テキスト変更時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2012/06/18 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub txt129MEN130F040_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txt129MEN130F040.TextChanged
		log(clsSysMst.logLevel.NRM, "txt129MEN130F040_TextChanged", "再入院調査の自由記載欄テキスト変更時 Start")
		Try
			If Me.txt129MEN130F040.Text.IndexOf(ControlChars.CrLf) > -1 Then
				Me.txt129MEN130F040.Text = Me.txt129MEN130F040.Text.Replace(ControlChars.CrLf, "")
				Me.txt129MEN130F040.SelectionStart = Me.txt129MEN130F040.Text.Length
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 再転棟種別コンボドロップダウン開始時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2012/06/07 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb133MEN130F040_DropDown(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmb133MEN130F040.DropDown
		log(clsSysMst.logLevel.DBG, "cmb133MEN130F040_DropDown", "再転棟種別コンボドロップダウン開始時 Start")
		Try
			' 再転棟種別コンボインデックスを保存する
			intHospitalWardChangeIndex = Me.cmb133MEN130F040.SelectedIndex
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 再転棟種別コンボドロップダウン終了時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2012/06/20 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb133MEN130F040_DropDownClosed(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmb133MEN130F040.DropDownClosed
		log(clsSysMst.logLevel.DBG, "cmb133MEN130F040_DropDownClosed", "再転棟種別コンボドロップダウン終了時 Start")
		Try
			' 再転棟種別が変更された場合
			If intHospitalWardChangeIndex <> Me.cmb133MEN130F040.SelectedIndex Then
				' 再転棟種別の内容チェック
				chkHospitalWardChange()
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 再転棟種別コンボフォーカス取得時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2012/06/07 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb133MEN130F040_Enter(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmb133MEN130F040.Enter
		log(clsSysMst.logLevel.DBG, "cmb133MEN130F040_Enter", "再転棟種別コンボフォーカス取得時 Start")
		Try
			' 再転棟種別を保存する
			strHospitalWardChange = Me.cmb133MEN130F040.Text
			' 再転棟種別コンボインデックスを保存する
			intHospitalWardChangeIndex = Me.cmb133MEN130F040.SelectedIndex
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 再転棟種別コンボインデックス変更時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2012/06/07 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb133MEN130F040_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmb133MEN130F040.SelectedIndexChanged
		If cmbR1 Is Nothing OrElse cmbR2 Is Nothing OrElse cmbR3 Is Nothing Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.DBG, "cmb133MEN130F040_SelectedIndexChanged", "再転棟種別コンボインデックス変更時 Start")
		Try
			' 再転棟種別コンボインデックスを保存する
			intHospitalWardChangeIndex = Me.cmb133MEN130F040.SelectedIndex
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 再転棟種別変更時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2012/06/20 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb133MEN130F040_Validated(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmb133MEN130F040.Validated
		If Me.ValidatedSkip AndAlso Not Me.cmb133MEN130F040.ContainsFocus Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.DBG, "cmb133MEN130F040_Validated", "再転棟種別変更時 Start")
		Try
			' 再転棟種別が変更された場合
			If strHospitalWardChange <> Me.cmb133MEN130F040.Text Then
				' 再転棟種別の内容チェック
				chkHospitalWardChange()
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 再転棟調査の自由記載欄テキスト変更時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2012/06/18 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub txt139MEN130F040_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txt139MEN130F040.TextChanged
		log(clsSysMst.logLevel.NRM, "txt139MEN130F040_TextChanged", "再転棟調査の自由記載欄テキスト変更時 Start")
		Try
			If Me.txt139MEN130F040.Text.IndexOf(ControlChars.CrLf) > -1 Then
				Me.txt139MEN130F040.Text = Me.txt139MEN130F040.Text.Replace(ControlChars.CrLf, "")
				Me.txt139MEN130F040.SelectionStart = Me.txt139MEN130F040.Text.Length
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 各コンボボックスの初期設定
	''' </summary>
	''' <remarks>
	''' 2012/06/07 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setComboBoxInit()
		log(clsSysMst.logLevel.DBG, "setComboBoxInit", "コンボボックス初期設定 Start")
		Dim cliCommon As clsMENCOMMON = Nothing
		Dim cliCombo As clsComboCom = Nothing
		Dim cmbMb1() As String
		Dim cmbMb2()() As String
		Try
			cliCommon = New clsMENCOMMON
			cliCombo = New clsComboCom

			' 子様式モードの場合
			If styleMode = clsMENCOMMON.Enum_StyleMode.eChild Then
				Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
					' (DPC081)入院中の主な診療目的
					With Me.cmb005MEN130F040
						.DataSource = cliCombo.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_HspAim)
						.setDropDownWidth()
					End With
					' (DPC084)退院時転帰
					With Me.cmb014MEN130F040
						.DataSource = cliCombo.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_OutHspOutcome)
						.setDropDownWidth()
					End With
				End Using
				' (DPC082)治験実施の有無
				cmbMb2 = New String()() {New String() {"0", "無"}, New String() {"1", "有"}}
				cliCommon.setComboBoxData(Me.cmb008MEN130F040, cmbMb2)
				' (DPC083)転科の有無
				cmbMb2 = New String()() {New String() {"0", "無"}, New String() {"1", "有"}}
				cliCommon.setComboBoxData(Me.cmb011MEN130F040, cmbMb2)
			End If

			' (DPC001)現在の妊娠の有無
			cmbMb2 = New String()() {New String() {"0", "無"}, New String() {"1", "有"}, New String() {"2", "不明"}}
			cliCommon.setComboBoxData(Me.cmb020MEN130F040, cmbMb2)
			' (DPC011)がんの初発、再発
			cmbMb2 = New String()() {New String() {"0", "初発"}, New String() {"1", "再発"}}
			cliCommon.setComboBoxData(Me.cmb046MEN130F040, cmbMb2)
			' (DPC012)ＵＩＣＣ病期分類（Ｔ）
			cmbMb1 = New String() {"TX", "T0", "Tis", "Tis（DCIS）", "Tis（LCIS）", _
								   "Tis（Paget）", "Tispu", "Tispd", "T1mi", "T1mic", _
								   "T1", "T1a", "T1a1", "T1a2", "T1b", _
								   "T1b1", "T1b2", "T1c", "T1d", "T2", _
								   "T2a", "T2a1", "T2a2", "T2b", "T2c", _
								   "T2d", "T3", "T3a", "T3b", "T3c", _
								   "T3d", "T4", "T4a", "T4b", "T4c", _
								   "T4d", "T4e", "Ta"}
			cliCommon.setComboBoxData(Me.cmb049MEN130F040, cmbMb1)
			' (DPC013)ＵＩＣＣ病期分類（Ｎ）
			cmbMb1 = New String() {"NX", "N0", "N1mi", "N1", "N1a", "N1b", "N1c", "N2", "N2a", "N2b", "N2c", "N3", "N3a", "N3b", "N3c"}
			cliCommon.setComboBoxData(Me.cmb051MEN130F040, cmbMb1)
			' (DPC014)ＵＩＣＣ病期分類（Ｍ）
			cmbMb1 = New String() {"MX", "M0", "M1", "M1a", "M1b", "M1c", "M1d", "M1e"}
			cliCommon.setComboBoxData(Me.cmb053MEN130F040, cmbMb1)
			' (DPC015)癌取り扱い規約に基づくがんのＳｔａｇｅ分類
			cmbMb1 = New String() {"0", "1", "1N", "1A", "1B", "2", "2N", "2A", "2B", "2C", "3", "3N", "3A", "3B", "3C", "4", "4N", "4A", "4B", "4S", "9"}
			cliCommon.setComboBoxData(Me.cmb055MEN130F040, cmbMb1)
			' (DPC016)発症前 Rankin Scale
			cmbMb2 = New String()() {New String() {"0", "症候がない"}, New String() {"1", "障害はない"}, New String() {"2", "軽度の障害"}, _
									 New String() {"3", "中等度の障害"}, New String() {"4", "中等度から重度の障害"}, New String() {"5", "重度の障害"}, _
									 New String() {"9", "不明"}}
			cliCommon.setComboBoxData(Me.cmb057MEN130F040, cmbMb2)
			' (DPC017)退院時 modified Rankin Scale
			cmbMb2 = New String()() {New String() {"0", "症候がない"}, New String() {"1", "障害はない"}, New String() {"2", "軽度の障害"}, _
									 New String() {"3", "中等度の障害"}, New String() {"4", "中等度から重度の障害"}, New String() {"5", "重度の障害"}, _
									 New String() {"6", "死亡"}, New String() {"9", "不明"}}
			cliCommon.setComboBoxData(Me.cmb060MEN130F040, cmbMb2)
			' (DPC018)脳卒中の発症時期
			cmbMb2 = New String()() {New String() {"1", "発症3日以内"}, New String() {"2", "発症4日以降7日以内"}, New String() {"3", "発症8日以降"}, _
									 New String() {"4", "無症候性(発症日なし)"}}
			cliCommon.setComboBoxData(Me.cmb063MEN130F040, cmbMb2)
			' (DPC019)Ｈｕｇｈ－Ｊｏｎｅｓ分類
			cmbMb2 = New String()() {New String() {"1", "Ⅰ"}, New String() {"2", "Ⅱ"}, New String() {"3", "Ⅲ"}, _
									 New String() {"4", "Ⅳ"}, New String() {"5", "Ⅴ"}, New String() {"0", "不明"}}
			cliCommon.setComboBoxData(Me.cmb066MEN130F040, cmbMb2)
			' (DPC020)心不全のＮＹＨＡ心機能分類
			cmbMb2 = New String()() {New String() {"1", "Ⅰ"}, New String() {"2", "Ⅱ"}, New String() {"3", "Ⅲ"}, _
									 New String() {"4", "Ⅳ"}, New String() {"9", "該当しない"}, New String() {"0", "分類不能"}}
			cliCommon.setComboBoxData(Me.cmb069MEN130F040, cmbMb2)
			' (DPC021)狭心症、慢性虚血性心疾患における入院時の重症度：ＣＣＳ分類入院時における重症度
			cmbMb2 = New String()() {New String() {"1", "ＣｌａｓｓⅠ"}, New String() {"2", "ＣｌａｓｓⅡ"}, New String() {"3", "ＣｌａｓｓⅢ"}, _
									 New String() {"4", "ＣｌａｓｓⅣ"}, New String() {"0", "不明"}, New String() {"9", "症状なし"}}
			cliCommon.setComboBoxData(Me.cmb072MEN130F040, cmbMb2)
			' (DPC022)急性心筋梗塞における入院時の重症度：Ｋｉｌｌｉｐ分類入院時における重症度
			cmbMb2 = New String()() {New String() {"1", "Ｃｌａｓｓ１"}, New String() {"2", "Ｃｌａｓｓ２"}, New String() {"3", "Ｃｌａｓｓ３"}, _
									 New String() {"4", "Ｃｌａｓｓ４"}, New String() {"0", "不明"}}
			cliCommon.setComboBoxData(Me.cmb075MEN130F040, cmbMb2)
			' (DPC030)精神保健福祉法における入院形態
			cmbMb2 = New String()() {New String() {"1", "任意入院"}, New String() {"2", "医療保護入院"}, New String() {"3", "措置入院"}, _
									 New String() {"4", "応急入院"}}
			cliCommon.setComboBoxData(Me.cmb092MEN130F040, cmbMb2)
			' (DPC035)化学療法の有無
			cmbMb2 = New String()() {New String() {"0", "無"}, New String() {"1", "有（経口）"}, New String() {"2", "有（経静脈又は経動脈）"}, _
									 New String() {"3", "有（その他）"}}
			cliCommon.setComboBoxData(Me.cmb105MEN130F040, cmbMb2)
			' (DPC036)テモゾロミド（初発の初回治療に限る）の有無
			cmbMb2 = New String()() {New String() {"0", "無"}, New String() {"1", "有"}}
			cliCommon.setComboBoxData(Me.cmb108MEN130F040, cmbMb2)
			' (DPC037)入院周辺の分娩の有無
			cmbMb2 = New String()() {New String() {"1", "入院前1週間以内に分娩あり"}, New String() {"2", "入院中に分娩あり"}, New String() {"3", "その他"}}
			cliCommon.setComboBoxData(Me.cmb111MEN130F040, cmbMb2)
			' (DPC039)UICC病期分類（版）
			cmbMb2 = New String()() {New String() {"6", "第6版"}, New String() {"7", "第7版"}}
			cliCommon.setComboBoxData(Me.cmb118MEN130F040, cmbMb2)

			Select Case Me.styleMode
				Case clsMENCOMMON.Enum_StyleMode.eParent	'親様式モードの場合
					' (DPC040)再入院種別
					cmbMb2 = New String()() {New String() {"1", "計画的再入院"}, New String() {"2", "予期された再入院"}, New String() {"3", "予期せぬ再入院"}}
					cliCommon.setComboBoxData(Me.cmb123MEN130F040, cmbMb2)
					' (DPC041)計画的再入院
					cmbR1 = New String()() {New String() {"1", "前回入院で術前検査等を行い、今回入院で手術を行うため"}, _
											New String() {"2", "前回入院以前に手術を行い、今回入院で計画的に術後の手術・処置・検査を行うため"}, _
											New String() {"3", "計画的な化学療法のため"}, _
											New String() {"4", "計画的な放射線療法のため"}, _
											New String() {"5", "前回入院時、予定された手術・検査等が実施できなかったため"}, _
											New String() {"6", "その他"}}
					' (DPC041)予期された再入院
					cmbR2 = New String()() {New String() {"1", "予期された原疾患の悪化、再発のため"}, _
											New String() {"2", "予期された原疾患の合併症発症のため"}, _
											New String() {"3", "予期された併存症の悪化のため"}, _
											New String() {"4", "患者のQOL向上のため一時帰宅したため"}, _
											New String() {"5", "その他"}}
					' (DPC041)予期せぬ再入院
					cmbR3 = New String()() {New String() {"1", "予期せぬ原疾患の悪化、再発のため"}, _
											New String() {"2", "予期せぬ原疾患の合併症発症のため"}, _
											New String() {"3", "予期せぬ併存症の悪化のため"}, _
											New String() {"4", "新たな他疾患発症のため"}, _
											New String() {"5", "その他"}}
				Case clsMENCOMMON.Enum_StyleMode.eChild		'子様式モードの場合
					' (DPC043)再転棟種別
					cmbMb2 = New String()() {New String() {"1", "計画的再転棟"}, New String() {"2", "予期された再転棟"}, New String() {"3", "予期せぬ再転棟"}}
					cliCommon.setComboBoxData(Me.cmb133MEN130F040, cmbMb2)
					' (DPC044)計画的再転棟
					cmbR1 = New String()() {New String() {"1", "術前検査等でDPC算定病棟へ入院後手術のため"}, _
											New String() {"2", "計画的な手術・処置・検査のため"}, _
											New String() {"3", "計画的な化学療法のため"}, _
											New String() {"4", "計画的な放射線療法のため"}, _
											New String() {"5", "前回DPC算定病棟での入院時、予定された手術・検査等を中止して一時転棟したため"}, _
											New String() {"6", "その他"}}
					' (DPC044)予期された再転棟
					cmbR2 = New String()() {New String() {"1", "予期された原疾患の悪化、再発のため"}, _
											New String() {"2", "予期された原疾患の合併症発症のため"}, _
											New String() {"3", "予期された併存症の悪化のため"}, _
											New String() {"4", "患者のQOL向上のため一時転棟したため"}, _
											New String() {"5", "その他"}}
					' (DPC044)予期せぬ再転棟
					cmbR3 = New String()() {New String() {"1", "予期せぬ原疾患の悪化、再発のため"}, _
											New String() {"2", "予期せぬ原疾患の合併症発症のため"}, _
											New String() {"3", "予期せぬ併存症の悪化のため"}, _
											New String() {"4", "新たな他疾患発症のため"}, _
											New String() {"5", "その他"}}
				Case Else
					' 何もしない
			End Select
		Catch ex As Exception
			Throw
		Finally
			cliCommon = Nothing
			cliCombo = Nothing
			cmbMb1 = Nothing
			cmbMb2 = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 各項目の設定
	''' </summary>
	''' <remarks>
	''' 2012/06/07 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function setItemInfo() As Integer
		log(clsSysMst.logLevel.DBG, "setItemInfo", "項目設定 Start")
		Dim iRet As Integer = 0
		Dim inputCnt As Integer = 0
		Dim dbData As datMTI_DPC_DPCITEMINFO = Nothing
		Dim arData As ArrayList
		Try
			' ＤＰＣ項目マスタおよびＤＰＣ補足対応マスタより該当する項目の見出しおよび入力可否を設定する。
			Using cliMti_Dpc As clsMTI_DPC = New clsMTI_DPC
				arData = cliMti_Dpc.getDPCItemInfo(sqlMTI_DPC.Enum_SqlNo.sqlSelDPCItemInfo2012)
			End Using
			If arData IsNot Nothing Then
				For Each dbData In arData
					If dbData.INPUT_FLG <> clsConst.Enum_Required_Flg.NonRequired Then	'入力フラグ="0"の場合は何もしない
						inputCnt += 1
						Select Case dbData.S_ITM_CD
							Case clsMENCOMMON.Enum_DpcNo.eDPC1	'現在の妊娠の有無
								Me.lbl019MEN130F040.Visible = True
								Me.cmb020MEN130F040.Visible = True
								Me.lbl021MEN130F040.Visible = True
								Me.lbl019MEN130F040.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC2	'出生時体重
								Me.lbl022MEN130F040.Visible = True
								Me.num023MEN130F040.Visible = True
								Me.lbl024MEN130F040.Visible = True
								Me.lbl022MEN130F040.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC3	'出生時妊娠週数
								Me.lbl025MEN130F040.Visible = True
								Me.num026MEN130F040.Visible = True
								Me.lbl025MEN130F040.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC4	'身長
								Me.lbl027MEN130F040.Visible = True
								Me.num028MEN130F040.Visible = True
								Me.lbl029MEN130F040.Visible = True
								Me.btn030MEN130F040.Visible = True	'身長複写
								Me.lbl027MEN130F040.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC5	'体重
								Me.lbl031MEN130F040.Visible = True
								Me.num032MEN130F040.Visible = True
								Me.lbl033MEN130F040.Visible = True
								Me.btn034MEN130F040.Visible = True	'体重複写
								Me.lbl031MEN130F040.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC6	'喫煙指数（1日の喫煙本数×喫煙年数）
								Me.lbl035MEN130F040.Visible = True
								Me.num036MEN130F040.Visible = True
								Me.lbl035MEN130F040.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC7	'入院時意識障害ある場合のＪＣＳ
								Me.lbl037MEN130F040.Visible = True
								Me.txt038MEN130F040.Visible = True
								Me.lbl037MEN130F040.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC8	'退院時意識障害ある場合のＪＣＳ
								Me.lbl039MEN130F040.Visible = True
								Me.txt040MEN130F040.Visible = True
								Me.lbl039MEN130F040.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC9	'入院時のＡＤＬスコア
								Me.btn041MEN130F040.Visible = True
								Me.txt042MEN130F040.Visible = True
								Me.btn041MEN130F040.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC10	'退院時のＡＤＬスコア
								Me.btn043MEN130F040.Visible = True
								Me.txt044MEN130F040.Visible = True
								Me.btn043MEN130F040.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC11	'がんの初発、再発
								Me.lbl045MEN130F040.Visible = True
								Me.cmb046MEN130F040.Visible = True
								Me.lbl047MEN130F040.Visible = True
								Me.lbl045MEN130F040.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC12	'ＵＩＣＣ病期分類（Ｔ）
								Me.lbl048MEN130F040.Visible = True
								Me.cmb049MEN130F040.Visible = True
								Me.lbl048MEN130F040.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC13	'ＵＩＣＣ病期分類（Ｎ）
								Me.lbl050MEN130F040.Visible = True
								Me.cmb051MEN130F040.Visible = True
								Me.lbl050MEN130F040.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC14	'ＵＩＣＣ病期分類（Ｍ）
								Me.lbl052MEN130F040.Visible = True
								Me.cmb053MEN130F040.Visible = True
								Me.lbl052MEN130F040.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC15	'癌取り扱い規約に基づくがんのＳｔａｇｅ分類
								Me.lbl054MEN130F040.Visible = True
								Me.cmb055MEN130F040.Visible = True
								Me.lbl054MEN130F040.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC16	'発症前 Rankin Scale
								Me.lbl056MEN130F040.Visible = True
								Me.cmb057MEN130F040.Visible = True
								Me.lbl058MEN130F040.Visible = True
								Me.lbl056MEN130F040.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC17	'退院時 modified Rankin Scale
								Me.lbl059MEN130F040.Visible = True
								Me.cmb060MEN130F040.Visible = True
								Me.lbl061MEN130F040.Visible = True
								Me.lbl059MEN130F040.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC18	'脳卒中の発症時期
								Me.lbl062MEN130F040.Visible = True
								Me.cmb063MEN130F040.Visible = True
								Me.lbl064MEN130F040.Visible = True
								Me.lbl062MEN130F040.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC19	'Ｈｕｇｈ－Ｊｏｎｅｓ分類
								Me.lbl065MEN130F040.Visible = True
								Me.cmb066MEN130F040.Visible = True
								Me.lbl067MEN130F040.Visible = True
								Me.lbl065MEN130F040.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC20	'心不全のＮＹＨＡ心機能分類
								Me.lbl068MEN130F040.Visible = True
								Me.cmb069MEN130F040.Visible = True
								Me.lbl070MEN130F040.Visible = True
								Me.lbl068MEN130F040.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC21	'ＣＣＳ分類：狭心症、慢性虚血性心疾患における入院時の重症度
								Me.lbl071MEN130F040.Visible = True
								Me.cmb072MEN130F040.Visible = True
								Me.lbl073MEN130F040.Visible = True
								Me.lbl071MEN130F040.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC22	'Ｋｉｌｌｉｐ分類：急性心筋梗塞における入院時の重症度
								Me.lbl074MEN130F040.Visible = True
								Me.cmb075MEN130F040.Visible = True
								Me.lbl076MEN130F040.Visible = True
								Me.lbl074MEN130F040.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC23	'肺炎の重症度分類
								Me.lbl077MEN130F040.Visible = True
								Me.txt078MEN130F040.Visible = True
								Me.lbl077MEN130F040.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC24	'肝硬変のＣｈｉｌｄ－Ｐｕｇｈ分類
								Me.lbl079MEN130F040.Visible = True
								Me.txt080MEN130F040.Visible = True
								Me.lbl079MEN130F040.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC25	'急性膵炎の重症度分類
								Me.lbl081MEN130F040.Visible = True
								Me.num082MEN130F040.Visible = True
								Me.lbl081MEN130F040.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC26	'Ｂｕｒｎ Ｉｎｄｅｘ
								Me.lbl083MEN130F040.Visible = True
								Me.num084MEN130F040.Visible = True
								Me.lbl083MEN130F040.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC27	'その他の重症度分類・名称
								Me.lbl085MEN130F040.Visible = True
								Me.txt086MEN130F040.Visible = True
								Me.lbl085MEN130F040.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC28	'その他の重症度分類・分類番号または記号
								Me.lbl087MEN130F040.Visible = True
								Me.txt088MEN130F040.Visible = True
								Me.lbl087MEN130F040.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC29	'入院時の妊娠週数
								Me.lbl089MEN130F040.Visible = True
								Me.num090MEN130F040.Visible = True
								Me.lbl089MEN130F040.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC30	'精神保健福祉法における入院形態
								Me.lbl091MEN130F040.Visible = True
								Me.cmb092MEN130F040.Visible = True
								Me.lbl093MEN130F040.Visible = True
								Me.lbl091MEN130F040.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC31	'精神保健福祉法に基づく隔離日数
								Me.lbl094MEN130F040.Visible = True
								Me.num095MEN130F040.Visible = True
								Me.lbl096MEN130F040.Visible = True
								Me.lbl094MEN130F040.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC32	'精神保健福祉法に基づく身体拘束日数
								Me.lbl097MEN130F040.Visible = True
								Me.num098MEN130F040.Visible = True
								Me.lbl099MEN130F040.Visible = True
								Me.lbl097MEN130F040.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC33	'入院時ＧＡＦ尺度
								Me.lbl100MEN130F040.Visible = True
								Me.num101MEN130F040.Visible = True
								Me.lbl100MEN130F040.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC34	'病名付加コード
								Me.lbl102MEN130F040.Visible = True
								Me.txt103MEN130F040.Visible = True
								Me.lbl102MEN130F040.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC35	'化学療法の有無
								Me.lbl104MEN130F040.Visible = True
								Me.cmb105MEN130F040.Visible = True
								Me.lbl106MEN130F040.Visible = True
								Me.lbl104MEN130F040.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC36	'テモゾロミド（初発の初回治療に限る）の有無
								Me.lbl107MEN130F040.Visible = True
								Me.cmb108MEN130F040.Visible = True
								Me.lbl109MEN130F040.Visible = True
								Me.lbl107MEN130F040.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC37	'入院周辺の分娩の有無
								Me.lbl110MEN130F040.Visible = True
								Me.cmb111MEN130F040.Visible = True
								Me.lbl112MEN130F040.Visible = True
								Me.lbl110MEN130F040.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC38	'分娩時出血量
								Me.lbl113MEN130F040.Visible = True
								Me.num114MEN130F040.Visible = True
								Me.lbl115MEN130F040.Visible = True
								Me.btn116MEN130F040.Visible = True	'出血量複写
								Me.lbl113MEN130F040.Text = dbData.CONTENT
							Case clsMENCOMMON.Enum_DpcNo.eDPC39	'UICC病期分類（版）
								Me.lbl117MEN130F040.Visible = True
								Me.cmb118MEN130F040.Visible = True
								Me.lbl119MEN130F040.Visible = True
								Me.lbl117MEN130F040.Text = dbData.CONTENT
							Case Else
								'何もしない
						End Select
					End If
				Next
				iRet = inputCnt
			End If
		Catch ex As Exception
			Throw
		Finally
			dbData = Nothing
			arData = Nothing
		End Try
		Return iRet
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ＤＰＣ情報の取得
	''' </summary>
	''' <remarks>
	''' 2012/06/07 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getDPCInfo() As Integer
		log(clsSysMst.logLevel.DBG, "getDPCInfo", "ＤＰＣ情報の取得 Start")
		Dim iRet As Integer = 0
		Dim dbData As datMTI_DPC_DPCINFO = Nothing
		Dim arData As ArrayList
		Try
			Using cliMti_Dpc As clsMTI_DPC = New clsMTI_DPC
				arData = cliMti_Dpc.getDPCInfo(Me.PatientNo, Me.pHspDate, Me.pDeptCode, Me.pModelYear & Me.pChildNum)
			End Using
			If arData IsNot Nothing Then
				iRet = arData.Count
				For Each dbData In arData
					If Not String.IsNullOrEmpty(dbData.DPC_001) Then dpcInfo(0) = dbData.DPC_001
					If Not String.IsNullOrEmpty(dbData.DPC_002) Then dpcInfo(1) = dbData.DPC_002
					If Not String.IsNullOrEmpty(dbData.DPC_003) Then dpcInfo(2) = dbData.DPC_003
					If Not String.IsNullOrEmpty(dbData.DPC_004) Then dpcInfo(3) = dbData.DPC_004
					If Not String.IsNullOrEmpty(dbData.DPC_005) Then dpcInfo(4) = dbData.DPC_005
					If Not String.IsNullOrEmpty(dbData.DPC_006) Then dpcInfo(5) = dbData.DPC_006
					If Not String.IsNullOrEmpty(dbData.DPC_007) Then dpcInfo(6) = dbData.DPC_007
					If Not String.IsNullOrEmpty(dbData.DPC_008) Then dpcInfo(7) = dbData.DPC_008
					If Not String.IsNullOrEmpty(dbData.DPC_009) Then dpcInfo(8) = dbData.DPC_009
					If Not String.IsNullOrEmpty(dbData.DPC_010) Then dpcInfo(9) = dbData.DPC_010
					If Not String.IsNullOrEmpty(dbData.DPC_011) Then dpcInfo(10) = dbData.DPC_011
					If Not String.IsNullOrEmpty(dbData.DPC_012) Then dpcInfo(11) = dbData.DPC_012
					If Not String.IsNullOrEmpty(dbData.DPC_013) Then dpcInfo(12) = dbData.DPC_013
					If Not String.IsNullOrEmpty(dbData.DPC_014) Then dpcInfo(13) = dbData.DPC_014
					If Not String.IsNullOrEmpty(dbData.DPC_015) Then dpcInfo(14) = dbData.DPC_015
					If Not String.IsNullOrEmpty(dbData.DPC_016) Then dpcInfo(15) = dbData.DPC_016
					If Not String.IsNullOrEmpty(dbData.DPC_017) Then dpcInfo(16) = dbData.DPC_017
					If Not String.IsNullOrEmpty(dbData.DPC_018) Then dpcInfo(17) = dbData.DPC_018
					If Not String.IsNullOrEmpty(dbData.DPC_019) Then dpcInfo(18) = dbData.DPC_019
					If Not String.IsNullOrEmpty(dbData.DPC_020) Then dpcInfo(19) = dbData.DPC_020
					If Not String.IsNullOrEmpty(dbData.DPC_021) Then dpcInfo(20) = dbData.DPC_021
					If Not String.IsNullOrEmpty(dbData.DPC_022) Then dpcInfo(21) = dbData.DPC_022
					If Not String.IsNullOrEmpty(dbData.DPC_023) Then dpcInfo(22) = dbData.DPC_023
					If Not String.IsNullOrEmpty(dbData.DPC_024) Then dpcInfo(23) = dbData.DPC_024
					If Not String.IsNullOrEmpty(dbData.DPC_025) Then dpcInfo(24) = dbData.DPC_025
					If Not String.IsNullOrEmpty(dbData.DPC_026) Then dpcInfo(25) = dbData.DPC_026
					If Not String.IsNullOrEmpty(dbData.DPC_027) Then dpcInfo(26) = dbData.DPC_027
					If Not String.IsNullOrEmpty(dbData.DPC_028) Then dpcInfo(27) = dbData.DPC_028
					If Not String.IsNullOrEmpty(dbData.DPC_029) Then dpcInfo(28) = dbData.DPC_029
					If Not String.IsNullOrEmpty(dbData.DPC_030) Then dpcInfo(29) = dbData.DPC_030
					If Not String.IsNullOrEmpty(dbData.DPC_031) Then dpcInfo(30) = dbData.DPC_031
					If Not String.IsNullOrEmpty(dbData.DPC_032) Then dpcInfo(31) = dbData.DPC_032
					If Not String.IsNullOrEmpty(dbData.DPC_033) Then dpcInfo(32) = dbData.DPC_033
					If Not String.IsNullOrEmpty(dbData.DPC_034) Then dpcInfo(33) = dbData.DPC_034
					If Not String.IsNullOrEmpty(dbData.DPC_035) Then dpcInfo(34) = dbData.DPC_035
					If Not String.IsNullOrEmpty(dbData.DPC_036) Then dpcInfo(35) = dbData.DPC_036
					If Not String.IsNullOrEmpty(dbData.DPC_037) Then dpcInfo(36) = dbData.DPC_037
					If Not String.IsNullOrEmpty(dbData.DPC_038) Then dpcInfo(37) = dbData.DPC_038
					If Not String.IsNullOrEmpty(dbData.DPC_039) Then dpcInfo(38) = dbData.DPC_039
					If Not String.IsNullOrEmpty(dbData.DPC_040) Then dpcInfo(39) = dbData.DPC_040
					If Not String.IsNullOrEmpty(dbData.DPC_041) Then dpcInfo(40) = dbData.DPC_041
					If Not String.IsNullOrEmpty(dbData.DPC_042) Then dpcInfo(41) = dbData.DPC_042
					If Not String.IsNullOrEmpty(dbData.DPC_043) Then dpcInfo(42) = dbData.DPC_043
					If Not String.IsNullOrEmpty(dbData.DPC_044) Then dpcInfo(43) = dbData.DPC_044
					If Not String.IsNullOrEmpty(dbData.DPC_045) Then dpcInfo(44) = dbData.DPC_045
					If Not String.IsNullOrEmpty(dbData.DPC_046) Then dpcInfo(45) = dbData.DPC_046
					If Not String.IsNullOrEmpty(dbData.DPC_047) Then dpcInfo(46) = dbData.DPC_047
					If Not String.IsNullOrEmpty(dbData.DPC_048) Then dpcInfo(47) = dbData.DPC_048
					If Not String.IsNullOrEmpty(dbData.DPC_049) Then dpcInfo(48) = dbData.DPC_049
					If Not String.IsNullOrEmpty(dbData.DPC_050) Then dpcInfo(49) = dbData.DPC_050
					If Not String.IsNullOrEmpty(dbData.DPC_051) Then dpcInfo(50) = dbData.DPC_051
					If Not String.IsNullOrEmpty(dbData.DPC_052) Then dpcInfo(51) = dbData.DPC_052
					If Not String.IsNullOrEmpty(dbData.DPC_053) Then dpcInfo(52) = dbData.DPC_053
					If Not String.IsNullOrEmpty(dbData.DPC_054) Then dpcInfo(53) = dbData.DPC_054
					If Not String.IsNullOrEmpty(dbData.DPC_055) Then dpcInfo(54) = dbData.DPC_055
					If Not String.IsNullOrEmpty(dbData.DPC_056) Then dpcInfo(55) = dbData.DPC_056
					If Not String.IsNullOrEmpty(dbData.DPC_057) Then dpcInfo(56) = dbData.DPC_057
					If Not String.IsNullOrEmpty(dbData.DPC_058) Then dpcInfo(57) = dbData.DPC_058
					If Not String.IsNullOrEmpty(dbData.DPC_059) Then dpcInfo(58) = dbData.DPC_059
					If Not String.IsNullOrEmpty(dbData.DPC_060) Then dpcInfo(59) = dbData.DPC_060
					If Not String.IsNullOrEmpty(dbData.DPC_061) Then dpcInfo(60) = dbData.DPC_061
					If Not String.IsNullOrEmpty(dbData.DPC_062) Then dpcInfo(61) = dbData.DPC_062
					If Not String.IsNullOrEmpty(dbData.DPC_063) Then dpcInfo(62) = dbData.DPC_063
					If Not String.IsNullOrEmpty(dbData.DPC_064) Then dpcInfo(63) = dbData.DPC_064
					If Not String.IsNullOrEmpty(dbData.DPC_065) Then dpcInfo(64) = dbData.DPC_065
					If Not String.IsNullOrEmpty(dbData.DPC_066) Then dpcInfo(65) = dbData.DPC_066
					If Not String.IsNullOrEmpty(dbData.DPC_067) Then dpcInfo(66) = dbData.DPC_067
					If Not String.IsNullOrEmpty(dbData.DPC_068) Then dpcInfo(67) = dbData.DPC_068
					If Not String.IsNullOrEmpty(dbData.DPC_069) Then dpcInfo(68) = dbData.DPC_069
					If Not String.IsNullOrEmpty(dbData.DPC_070) Then dpcInfo(69) = dbData.DPC_070
					If Not String.IsNullOrEmpty(dbData.DPC_071) Then dpcInfo(70) = dbData.DPC_071
					If Not String.IsNullOrEmpty(dbData.DPC_072) Then dpcInfo(71) = dbData.DPC_072
					If Not String.IsNullOrEmpty(dbData.DPC_073) Then dpcInfo(72) = dbData.DPC_073
					If Not String.IsNullOrEmpty(dbData.DPC_074) Then dpcInfo(73) = dbData.DPC_074
					If Not String.IsNullOrEmpty(dbData.DPC_075) Then dpcInfo(74) = dbData.DPC_075
					If Not String.IsNullOrEmpty(dbData.DPC_076) Then dpcInfo(75) = dbData.DPC_076
					If Not String.IsNullOrEmpty(dbData.DPC_077) Then dpcInfo(76) = dbData.DPC_077
					If Not String.IsNullOrEmpty(dbData.DPC_078) Then dpcInfo(77) = dbData.DPC_078
					If Not String.IsNullOrEmpty(dbData.DPC_079) Then dpcInfo(78) = dbData.DPC_079
					If Not String.IsNullOrEmpty(dbData.DPC_080) Then dpcInfo(79) = dbData.DPC_080
					If Not String.IsNullOrEmpty(dbData.DPC_081) Then dpcInfo(80) = dbData.DPC_081
					If Not String.IsNullOrEmpty(dbData.DPC_082) Then dpcInfo(81) = dbData.DPC_082
					If Not String.IsNullOrEmpty(dbData.DPC_083) Then dpcInfo(82) = dbData.DPC_083
					If Not String.IsNullOrEmpty(dbData.DPC_084) Then dpcInfo(83) = dbData.DPC_084
					If Not String.IsNullOrEmpty(dbData.DPC_085) Then dpcInfo(84) = dbData.DPC_085
					If Not String.IsNullOrEmpty(dbData.DPC_086) Then dpcInfo(85) = dbData.DPC_086
					If Not String.IsNullOrEmpty(dbData.DPC_087) Then dpcInfo(86) = dbData.DPC_087
					If Not String.IsNullOrEmpty(dbData.DPC_088) Then dpcInfo(87) = dbData.DPC_088
					If Not String.IsNullOrEmpty(dbData.DPC_089) Then dpcInfo(88) = dbData.DPC_089
					If Not String.IsNullOrEmpty(dbData.DPC_090) Then dpcInfo(89) = dbData.DPC_090
					If Not String.IsNullOrEmpty(dbData.DPC_091) Then dpcInfo(90) = dbData.DPC_091
					If Not String.IsNullOrEmpty(dbData.DPC_092) Then dpcInfo(91) = dbData.DPC_092
					If Not String.IsNullOrEmpty(dbData.DPC_093) Then dpcInfo(92) = dbData.DPC_093
					If Not String.IsNullOrEmpty(dbData.DPC_094) Then dpcInfo(93) = dbData.DPC_094
					If Not String.IsNullOrEmpty(dbData.DPC_095) Then dpcInfo(94) = dbData.DPC_095
					If Not String.IsNullOrEmpty(dbData.DPC_096) Then dpcInfo(95) = dbData.DPC_096
					If Not String.IsNullOrEmpty(dbData.DPC_097) Then dpcInfo(96) = dbData.DPC_097
					If Not String.IsNullOrEmpty(dbData.DPC_098) Then dpcInfo(97) = dbData.DPC_098
					If Not String.IsNullOrEmpty(dbData.DPC_099) Then dpcInfo(98) = dbData.DPC_099
					If Not String.IsNullOrEmpty(dbData.DPC_100) Then dpcInfo(99) = dbData.DPC_100
				Next
			End If
		Catch ex As Exception
			Throw
		Finally
			dbData = Nothing
			arData = Nothing
		End Try
		Return iRet
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ＤＰＣ情報の更新
	''' </summary>
	''' <remarks>
	''' 2012/06/07 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function updDPCInfo() As Boolean
		log(clsSysMst.logLevel.DBG, "updDPCInfo", "ＤＰＣ情報の更新 Start")
		Dim iRet As Integer = 0
		Dim bRet As Boolean = False
		Dim dpcInfoWk(99) As String		'DPC情報
		Try
			' 入力値
			dpcInfoWk(80) = Me.cmb005MEN130F040.Text
			dpcInfoWk(81) = Me.cmb008MEN130F040.Text
			dpcInfoWk(82) = Me.cmb011MEN130F040.Text
			dpcInfoWk(83) = Me.cmb014MEN130F040.Text

			dpcInfoWk(0) = Me.cmb020MEN130F040.Text
			dpcInfoWk(1) = Me.num023MEN130F040.Text
			dpcInfoWk(2) = Me.num026MEN130F040.Text
			dpcInfoWk(3) = Me.num028MEN130F040.Text
			dpcInfoWk(4) = Me.num032MEN130F040.Text
			dpcInfoWk(5) = Me.num036MEN130F040.Text
			dpcInfoWk(6) = Me.txt038MEN130F040.Text
			dpcInfoWk(7) = Me.txt040MEN130F040.Text
			dpcInfoWk(8) = Me.txt042MEN130F040.Text
			dpcInfoWk(9) = Me.txt044MEN130F040.Text
			dpcInfoWk(10) = Me.cmb046MEN130F040.Text
			dpcInfoWk(11) = Me.cmb049MEN130F040.Text
			dpcInfoWk(12) = Me.cmb051MEN130F040.Text
			dpcInfoWk(13) = Me.cmb053MEN130F040.Text
			dpcInfoWk(14) = Me.cmb055MEN130F040.Text
			dpcInfoWk(15) = Me.cmb057MEN130F040.Text
			dpcInfoWk(16) = Me.cmb060MEN130F040.Text
			dpcInfoWk(17) = Me.cmb063MEN130F040.Text
			dpcInfoWk(18) = Me.cmb066MEN130F040.Text
			dpcInfoWk(19) = Me.cmb069MEN130F040.Text
			dpcInfoWk(20) = Me.cmb072MEN130F040.Text
			dpcInfoWk(21) = Me.cmb075MEN130F040.Text
			dpcInfoWk(22) = Me.txt078MEN130F040.Text
			dpcInfoWk(23) = Me.txt080MEN130F040.Text
			dpcInfoWk(24) = Me.num082MEN130F040.Text
			dpcInfoWk(25) = Me.num084MEN130F040.Text
			dpcInfoWk(26) = Me.txt086MEN130F040.Text
			dpcInfoWk(27) = Me.txt088MEN130F040.Text
			dpcInfoWk(28) = Me.num090MEN130F040.Text
			dpcInfoWk(29) = Me.cmb092MEN130F040.Text
			dpcInfoWk(30) = Me.num095MEN130F040.Text
			dpcInfoWk(31) = Me.num098MEN130F040.Text
			dpcInfoWk(32) = Me.num101MEN130F040.Text
			dpcInfoWk(33) = Me.txt103MEN130F040.Text
			dpcInfoWk(34) = Me.cmb105MEN130F040.Text
			dpcInfoWk(35) = Me.cmb108MEN130F040.Text
			dpcInfoWk(36) = Me.cmb111MEN130F040.Text
			dpcInfoWk(37) = Me.num114MEN130F040.Text
			dpcInfoWk(38) = Me.cmb118MEN130F040.Text

			dpcInfoWk(39) = Me.cmb123MEN130F040.Text
			dpcInfoWk(40) = Me.cmb126MEN130F040.Text
			dpcInfoWk(41) = Me.txt129MEN130F040.Text

			dpcInfoWk(42) = Me.cmb133MEN130F040.Text
			dpcInfoWk(43) = Me.cmb136MEN130F040.Text
			dpcInfoWk(44) = Me.txt139MEN130F040.Text

			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				' トランザクション開始
				db.ctlTran(clsDB.Enum_TranMode.Begin)
				Try
					Using cliMti_Dpc As clsMTI_DPC = New clsMTI_DPC
						' 現レコードの削除
						iRet = cliMti_Dpc.delDPCInfo(db, Me.PatientNo, Me.pHspDate, Me.pDeptCode, Me.pModelYear & Me.pChildNum)

						If Me.updFlg <> clsMENCOMMON.Enum_UpdFlg.eDelete Then
							' 削除モード以外はレコード登録
							iRet = cliMti_Dpc.addDPCInfo(db, Me.PatientNo, Me.HspHistoryNo, Me.pHspDate, Me.pOutHspDate, _
															 Me.pDeptCode, Me.pModelYear & Me.pChildNum, dpcInfoWk, _userID)
							If iRet = 0 Then
								If db.statTran Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
								Return False
							End If
						End If
					End Using
					' コミット
					db.ctlTran(clsDB.Enum_TranMode.Commit)
					' 更新フラグを初期化
					Me.updFlg = clsMENCOMMON.Enum_UpdFlg.eInit
					bRet = True
				Catch ex As Exception
					' ロールバック
					If db.statTran() Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
					Throw
				End Try
			End Using
		Catch ex As Exception
			Throw
		Finally
			dpcInfoWk = Nothing
		End Try
		Return bRet
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 入力チェック
	''' </summary>
	''' <remarks>
	''' 2012/06/07 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkInput() As Boolean
		log(clsSysMst.logLevel.DBG, "chkInput", "入力チェック Start")
		Dim i As Integer
		Dim decValue As Decimal
		Dim chkValue As String
		Try
			' 「現在の妊娠の有無」コンボボックスが未入力の場合
			If Me.cmb020MEN130F040.Enabled AndAlso String.IsNullOrEmpty(Me.cmb020MEN130F040.Text) Then
				Me.addErrList("E0001", Me.cmb020MEN130F040.Name, Me.lbl019MEN130F040.Text, Nothing)
			End If
			' 「出生時体重」の入力が500未満、もしくは4600以上の場合
			If Not String.IsNullOrEmpty(Me.num023MEN130F040.Text) Then
				If Me.num023MEN130F040.DblValue < 500 OrElse Me.num023MEN130F040.DblValue >= 4600 Then
					Me.addErrList("E0021", Me.num023MEN130F040.Name, Me.lbl022MEN130F040.Text, "500未満もしくは4600以上の数字", Nothing)
				End If
			End If
			' 「出生時妊娠週数」の入力が1～45の範囲以外の場合
			If Me.num026MEN130F040.Enabled AndAlso Not String.IsNullOrEmpty(Me.num026MEN130F040.Text) Then
				If Me.num026MEN130F040.DblValue < 1 OrElse Me.num026MEN130F040.DblValue > 45 Then
					Me.addErrList("E0020", Me.num026MEN130F040.Name, Me.lbl025MEN130F040.Text, "1～45を入力", Nothing)
				End If
			End If
			' 「身長」が未入力の場合
			If String.IsNullOrEmpty(Me.num028MEN130F040.Text) Then
				Me.addErrList("E0001", Me.num028MEN130F040.Name, Me.lbl027MEN130F040.Text, Nothing)
			End If
			' 「体重」が未入力の場合
			If String.IsNullOrEmpty(Me.num032MEN130F040.Text) Then
				Me.addErrList("E0001", Me.num032MEN130F040.Name, Me.lbl031MEN130F040.Text, Nothing)
			End If
			' 「喫煙指数（1日の喫煙本数×喫煙年数）」が未入力の場合
			If String.IsNullOrEmpty(Me.num036MEN130F040.Text) Then
				Me.addErrList("E0001", Me.num036MEN130F040.Name, Me.lbl035MEN130F040.Text, Nothing)
			End If
			' 「入院時意識障害ある場合のＪＣＳ」が未入力の場合
			If String.IsNullOrEmpty(Me.txt038MEN130F040.Text) Then
				Me.addErrList("E0001", Me.txt038MEN130F040.Name, Me.lbl037MEN130F040.Text, Nothing)
			End If
			' 「入院時意識障害ある場合のＪＣＳ」に数字のみで0～300の範囲以外の入力がある場合
			If Decimal.TryParse(Me.txt038MEN130F040.Text, decValue) Then
				If decValue < 0 OrElse decValue > 300 Then
					Me.addErrList("E0029", Me.txt038MEN130F040.Name, Me.lbl037MEN130F040.Text, "数値", "0～300の値", Nothing)
				End If
			End If
			' 「入院時意識障害ある場合のＪＣＳ」の各桁の内容に0～3、A、I、R以外がある場合
			If Not String.IsNullOrEmpty(Me.txt038MEN130F040.Text) Then
				chkValue = Me.txt038MEN130F040.Text
				For i = 0 To chkValue.Length - 1
					Select Case chkValue.Substring(i, 1)
						Case "0", "1", "2", "3", "A", "I", "R"
						Case Else
							Me.addErrList("E0021", Me.txt038MEN130F040.Name, Me.lbl037MEN130F040.Text, "0～3、A、I、R以外のもの", Nothing)
							Exit For
					End Select
				Next
			End If
			' 「退院時意識障害ある場合のＪＣＳ」に数字のみで0～300の範囲以外の入力がある場合
			If Me.txt040MEN130F040.Enabled AndAlso Decimal.TryParse(Me.txt040MEN130F040.Text, decValue) Then
				If decValue < 0 OrElse decValue > 300 Then
					Me.addErrList("E0029", Me.txt040MEN130F040.Name, Me.lbl039MEN130F040.Text, "数値", "0～300の値", Nothing)
				End If
			End If
			' 「退院時意識障害ある場合のＪＣＳ」の各桁の内容に0～3、A、I、R以外がある場合
			If Me.txt040MEN130F040.Enabled AndAlso Not String.IsNullOrEmpty(Me.txt040MEN130F040.Text) Then
				chkValue = Me.txt040MEN130F040.Text
				For i = 0 To chkValue.Length - 1
					Select Case chkValue.Substring(i, 1)
						Case "0", "1", "2", "3", "A", "I", "R"
						Case Else
							Me.addErrList("E0021", Me.txt040MEN130F040.Name, Me.lbl039MEN130F040.Text, "0～3、A、I、R以外のもの", Nothing)
							Exit For
					End Select
				Next
			End If
			' 退院転帰＝死亡で、「退院時意識障害ある場合のＪＣＳ」が入力ありの場合
			If Me.IsDeath() Then
				If Not String.IsNullOrEmpty(Me.txt040MEN130F040.Text) Then
					Me.addErrList("E0021", Me.txt040MEN130F040.Name, Me.lbl039MEN130F040.Text, "死亡退院ですが、退院時意識障害ある場合のＪＣＳが", Nothing)
				End If
			End If
			' 「入院時のＡＤＬスコア」が未入力の場合
			If String.IsNullOrEmpty(Me.txt042MEN130F040.Text) Then
				Me.addErrList("E0001", Me.txt042MEN130F040.Name, Me.btn041MEN130F040.Text, Nothing)
			End If
			' 「入院時のＡＤＬスコア」の入力が10桁以外、もしくは各桁の内容に0～3,9以外がある場合
			If Not String.IsNullOrEmpty(Me.txt042MEN130F040.Text) Then
				chkValue = Me.txt042MEN130F040.Text
				If chkValue.Length = 10 Then
					For i = 0 To chkValue.Length - 1
						Select Case chkValue.Substring(i, 1)
							Case "0", "1", "2", "3", "9"
							Case Else
								Me.addErrList("E0020", Me.txt042MEN130F040.Name, Me.btn041MEN130F040.Text, "0～3,9の10桁を入力", Nothing)
								Exit For
						End Select
					Next
				Else
					Me.addErrList("E0020", Me.txt042MEN130F040.Name, Me.btn041MEN130F040.Text, "0～3,9の10桁を入力", Nothing)
				End If
			End If
			' 「退院時のＡＤＬスコア」の入力が10桁以外、もしくは各桁の内容に0～3,9以外がある場合
			If Not String.IsNullOrEmpty(Me.txt044MEN130F040.Text) Then
				chkValue = Me.txt044MEN130F040.Text
				If chkValue.Length = 10 Then
					For i = 0 To chkValue.Length - 1
						Select Case chkValue.Substring(i, 1)
							Case "0", "1", "2", "3", "9"
							Case Else
								Me.addErrList("E0020", Me.txt044MEN130F040.Name, Me.btn043MEN130F040.Text, "0～3,9の10桁を入力", Nothing)
								Exit For
						End Select
					Next
				Else
					Me.addErrList("E0020", Me.txt044MEN130F040.Name, Me.btn043MEN130F040.Text, "0～3,9の10桁を入力", Nothing)
				End If
			End If
			' 入退院情報の退院転帰が「死亡」で、「退院時のＡＤＬスコア」が入力ありの場合
			If Me.IsDeath() Then
				If Not String.IsNullOrEmpty(Me.txt044MEN130F040.Text) Then
					Me.addErrList("E0021", Me.txt044MEN130F040.Name, Me.btn043MEN130F040.Text, "死亡退院ですが、退院時のＡＤＬスコア", Nothing)
				End If
			End If

			If Me.cmb046MEN130F040.Text = "0" Then
				' 「がんの初発、再発」が「初発」で、「ＵＩＣＣ病期分類（Ｔ）」コンボボックスが未入力の場合
				If String.IsNullOrEmpty(Me.cmb049MEN130F040.Text) Then
					Me.addErrList("E0001", Me.cmb049MEN130F040.Name, Me.lbl048MEN130F040.Text, Nothing)
				End If
				' 「がんの初発、再発」が「初発」で、「ＵＩＣＣ病期分類（Ｎ）」コンボボックスが未入力の場合
				If String.IsNullOrEmpty(Me.cmb051MEN130F040.Text) Then
					Me.addErrList("E0001", Me.cmb051MEN130F040.Name, Me.lbl050MEN130F040.Text, Nothing)
				End If
				' 「がんの初発、再発」が「初発」で、「ＵＩＣＣ病期分類（Ｍ）」コンボボックスが未入力の場合
				If String.IsNullOrEmpty(Me.cmb053MEN130F040.Text) Then
					Me.addErrList("E0001", Me.cmb053MEN130F040.Name, Me.lbl052MEN130F040.Text, Nothing)
				End If
				' 「がんの初発、再発」が「初発」で、「癌取り扱い規約に基づくがんのＳｔａｇｅ分類」コンボボックスが未入力の場合
				If String.IsNullOrEmpty(Me.cmb055MEN130F040.Text) Then
					Me.addErrList("E0001", Me.cmb055MEN130F040.Name, Me.lbl054MEN130F040.Text, Nothing)
				End If
			End If
			' 「肺炎の重症度分類」の入力が4桁以外、もしくは各桁の内容に1,0,9以外がある場合
			If Not String.IsNullOrEmpty(Me.txt078MEN130F040.Text) Then
				chkValue = Me.txt078MEN130F040.Text
				If chkValue.Length = 7 Then
					For i = 0 To chkValue.Length - 1
						Select Case i
							Case 0	'BUN 21 mg/dL以上または脱水あり
								'「肺炎の重症度分類」の1桁目の内容に0,1,9以外がある場合
								Select Case chkValue.Substring(i, 1)
									Case "0", "1", "9"
									Case Else
										Me.addErrList("E0020", Me.txt078MEN130F040.Name, Me.lbl077MEN130F040.Text, "1桁目は0,1,9を入力", Nothing)
								End Select
							Case 1	'SpO2について
								'「肺炎の重症度分類」の2桁目の内容に0,1,2,9以外がある場合
								Select Case chkValue.Substring(i, 1)
									Case "0", "1", "2", "9"
									Case Else
										Me.addErrList("E0020", Me.txt078MEN130F040.Name, Me.lbl077MEN130F040.Text, "2桁目は0,1,2,9を入力", Nothing)
								End Select
							Case 2	'意識障害
								'「肺炎の重症度分類」の3桁目の内容に0,1,9以外がある場合
								Select Case chkValue.Substring(i, 1)
									Case "0", "1", "9"
									Case Else
										Me.addErrList("E0020", Me.txt078MEN130F040.Name, Me.lbl077MEN130F040.Text, "3桁目は0,1,9を入力", Nothing)
								End Select
							Case 3	'血圧（収縮期）90 mmHg以下
								'「肺炎の重症度分類」の4桁目の内容に0,1,9以外がある場合
								Select Case chkValue.Substring(i, 1)
									Case "0", "1", "9"
									Case Else
										Me.addErrList("E0020", Me.txt078MEN130F040.Name, Me.lbl077MEN130F040.Text, "4桁目は0,1,9を入力", Nothing)
								End Select
							Case 4	'免疫不全状態
								'「肺炎の重症度分類」の5桁目の内容に0,1,9以外がある場合
								Select Case chkValue.Substring(i, 1)
									Case "0", "1", "9"
									Case Else
										Me.addErrList("E0020", Me.txt078MEN130F040.Name, Me.lbl077MEN130F040.Text, "5桁目は0,1,9を入力", Nothing)
								End Select
							Case 5	'肺炎重症度規定因子
								'「肺炎の重症度分類」の6桁目の内容に0,1,9以外がある場合
								Select Case chkValue.Substring(i, 1)
									Case "0", "1", "9"
									Case Else
										Me.addErrList("E0020", Me.txt078MEN130F040.Name, Me.lbl077MEN130F040.Text, "6桁目は0,1,9を入力", Nothing)
								End Select
							Case 6	'院内肺炎、市中肺炎
								'「肺炎の重症度分類」の7桁目の内容に3,5,9以外がある場合
								Select Case chkValue.Substring(i, 1)
									Case "3", "5", "9"
									Case Else
										Me.addErrList("E0020", Me.txt078MEN130F040.Name, Me.lbl077MEN130F040.Text, "7桁目は3,5,9を入力", Nothing)
								End Select
							Case Else
								' 処理なし
						End Select
					Next
				Else
					' 「肺炎の重症度分類」の入力が7桁以外の場合
					Me.addErrList("E0020", Me.txt078MEN130F040.Name, Me.lbl077MEN130F040.Text, "7桁を入力", Nothing)
				End If
			End If
			' 「肝硬変のＣｈｉｌｄ－Ｐｕｇｈ分類」の入力が5桁以外、もしくは各桁の内容に0,1,2,3以外がある場合
			If Not String.IsNullOrEmpty(Me.txt080MEN130F040.Text) Then
				chkValue = Me.txt080MEN130F040.Text
				If chkValue.Length = 5 Then
					For i = 0 To chkValue.Length - 1
						Select Case chkValue.Substring(i, 1)
'(M) STR V4-14042-000 004 2013/07/08 FWEST)溝渕 「肝硬変のＣｈｉｌｄ－Ｐｕｇｈ分類」で0,1,2,3以外を不可とする
'							Case "1", "2", "3"
							Case "0", "1", "2", "3"
'(M) END V4-14042-000 004 2013/07/08 FWEST)溝渕 「肝硬変のＣｈｉｌｄ－Ｐｕｇｈ分類」で0,1,2,3以外を不可とする
							Case Else
'(M) STR V4-14042-000 004 2013/07/08 FWEST)溝渕 「肝硬変のＣｈｉｌｄ－Ｐｕｇｈ分類」で0,1,2,3以外を不可とする
'								Me.addErrList("E0020", Me.txt080MEN130F040.Name, Me.lbl079MEN130F040.Text, "1,2,3の5桁を入力", Nothing)
								Me.addErrList("E0020", Me.txt080MEN130F040.Name, Me.lbl079MEN130F040.Text, "0,1,2,3の5桁を入力", Nothing)
'(M) END V4-14042-000 004 2013/07/08 FWEST)溝渕 「肝硬変のＣｈｉｌｄ－Ｐｕｇｈ分類」で0,1,2,3以外を不可とする
								Exit For
						End Select
					Next
				Else
'(M) STR V4-14042-000 004 2013/07/08 FWEST)溝渕 「肝硬変のＣｈｉｌｄ－Ｐｕｇｈ分類」で0,1,2,3以外を不可とする
'					Me.addErrList("E0020", Me.txt080MEN130F040.Name, Me.lbl079MEN130F040.Text, "1,2,3の5桁を入力", Nothing)
					Me.addErrList("E0020", Me.txt080MEN130F040.Name, Me.lbl079MEN130F040.Text, "0,1,2,3の5桁を入力", Nothing)
'(M) END V4-14042-000 004 2013/07/08 FWEST)溝渕 「肝硬変のＣｈｉｌｄ－Ｐｕｇｈ分類」で0,1,2,3以外を不可とする
				End If
			End If
			' 「Ｂｕｒｎ Ｉｎｄｅｘ」の入力が0～100の範囲以外の場合
			If Not String.IsNullOrEmpty(Me.num084MEN130F040.Text) Then
				If Me.num084MEN130F040.DblValue < 0 OrElse Me.num084MEN130F040.DblValue > 100 Then
					Me.addErrList("E0020", Me.num084MEN130F040.Name, Me.lbl083MEN130F040.Text, "0～100を入力", Nothing)
				End If
			End If
'(D) STR V4-14039-000 008 2013/07/01 FWEST)溝渕 DPC2012登録画面で、入院時の妊娠週数の特定条件必須を解除する
'			' 「現在の妊娠の有無」が「有」で、「入院時の妊娠週数」が未入力の場合
'			If Me.cmb020MEN130F040.Enabled AndAlso Me.cmb020MEN130F040.Text = "1" Then
'				If Me.num090MEN130F040.Enabled AndAlso String.IsNullOrEmpty(Me.num090MEN130F040.Text) Then
'					Me.addErrList("E0016", Me.num090MEN130F040.Name, Me.lbl089MEN130F040.Text, "現在の妊娠の有無が「有」になっているのに入院時の妊娠週数", Nothing)
'				End If
'			End If
'(D) END V4-14039-000 008 2013/07/01 FWEST)溝渕 DPC2012登録画面で、入院時の妊娠週数の特定条件必須を解除する
			' 「入院時の妊娠週数」の入力が1～45の範囲以外の場合
			If Me.num090MEN130F040.Enabled AndAlso Not String.IsNullOrEmpty(Me.num090MEN130F040.Text) Then
				If Me.num090MEN130F040.DblValue < 1 OrElse Me.num090MEN130F040.DblValue > 45 Then
					Me.addErrList("E0020", Me.num090MEN130F040.Name, Me.lbl089MEN130F040.Text, "1～45を入力", Nothing)
				End If
			End If
			' 「入院時ＧＡＦ尺度」の入力が0～100の範囲以外の場合
			If Not String.IsNullOrEmpty(Me.num101MEN130F040.Text) Then
				If Me.num101MEN130F040.DblValue < 0 OrElse Me.num101MEN130F040.DblValue > 100 Then
					Me.addErrList("E0020", Me.num101MEN130F040.Name, Me.lbl100MEN130F040.Text, "0～100を入力", Nothing)
				End If
			End If
			' 「化学療法の有無」コンボボックスが未入力の場合
			If String.IsNullOrEmpty(Me.cmb105MEN130F040.Text) Then
				Me.addErrList("E0001", Me.cmb105MEN130F040.Name, Me.lbl104MEN130F040.Text, Nothing)
			End If
'(D) STR V4-14038-000 006 2013/06/27 ID)荒川 案件No.301 ＤＰＣ様式１出力オプションで、テモゾロミドの必須解除対応
'			' 「テモゾロミド（初発の初回治療に限る）の有無」コンボボックスが未入力の場合
'			If String.IsNullOrEmpty(Me.cmb108MEN130F040.Text) Then
'				Me.addErrList("E0001", Me.cmb108MEN130F040.Name, Me.lbl107MEN130F040.Text, Nothing)
'			End If
'(D) END V4-14038-000 006 2013/06/27 ID)荒川 案件No.301 ＤＰＣ様式１出力オプションで、テモゾロミドの必須解除対応
			' 「入院周辺の分娩の有無」が「入院前1週間以内に分娩あり」もしくは「入院中に分娩あり」で、「分娩時出血量」が未入力の場合
			If Me.cmb111MEN130F040.Text = "1" OrElse Me.cmb111MEN130F040.Text = "2" Then
				If String.IsNullOrEmpty(Me.num114MEN130F040.Text) Then
					Me.addErrList("E0001", Me.num114MEN130F040.Name, Me.lbl113MEN130F040.Text, Nothing)
				End If
			End If
			' 「がんの初発、再発」が「初発」で、「UICC病期分類（版）」コンボボックスが未入力の場合
			If Me.cmb046MEN130F040.Text = "0" Then
				' 「がんの初発、再発」が「初発」で、「ＵＩＣＣ病期分類（Ｔ）」コンボボックスが未入力の場合
				If String.IsNullOrEmpty(Me.cmb118MEN130F040.Text) Then
					Me.addErrList("E0001", Me.cmb118MEN130F040.Name, Me.lbl117MEN130F040.Text, Nothing)
				End If
			End If

			If Me.getErrCount() > 0 Then
				Return False
			Else
				Return True
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 入力値変更チェック
	''' </summary>
	''' <remarks>
	''' 2012/06/07 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkUpdate() As Boolean
		log(clsSysMst.logLevel.DBG, "chkUpdate", "入力値変更チェック Start")
		Dim dpcInfoWk(99) As String		'DPC情報
		Dim bRet As Boolean = False
		Try
			For i As Integer = 0 To dpcInfoWk.GetUpperBound(0)
				dpcInfoWk(i) = String.Empty
			Next

			dpcInfoWk(80) = Me.cmb005MEN130F040.Text
			dpcInfoWk(81) = Me.cmb008MEN130F040.Text
			dpcInfoWk(82) = Me.cmb011MEN130F040.Text
			dpcInfoWk(83) = Me.cmb014MEN130F040.Text

			dpcInfoWk(0) = Me.cmb020MEN130F040.Text
			dpcInfoWk(1) = Me.num023MEN130F040.Text
			dpcInfoWk(2) = Me.num026MEN130F040.Text
			dpcInfoWk(3) = Me.num028MEN130F040.Text
			dpcInfoWk(4) = Me.num032MEN130F040.Text
			dpcInfoWk(5) = Me.num036MEN130F040.Text
			dpcInfoWk(6) = Me.txt038MEN130F040.Text
			dpcInfoWk(7) = Me.txt040MEN130F040.Text
			dpcInfoWk(8) = Me.txt042MEN130F040.Text
			dpcInfoWk(9) = Me.txt044MEN130F040.Text
			dpcInfoWk(10) = Me.cmb046MEN130F040.Text
			dpcInfoWk(11) = Me.cmb049MEN130F040.Text
			dpcInfoWk(12) = Me.cmb051MEN130F040.Text
			dpcInfoWk(13) = Me.cmb053MEN130F040.Text
			dpcInfoWk(14) = Me.cmb055MEN130F040.Text
			dpcInfoWk(15) = Me.cmb057MEN130F040.Text
			dpcInfoWk(16) = Me.cmb060MEN130F040.Text
			dpcInfoWk(17) = Me.cmb063MEN130F040.Text
			dpcInfoWk(18) = Me.cmb066MEN130F040.Text
			dpcInfoWk(19) = Me.cmb069MEN130F040.Text
			dpcInfoWk(20) = Me.cmb072MEN130F040.Text
			dpcInfoWk(21) = Me.cmb075MEN130F040.Text
			dpcInfoWk(22) = Me.txt078MEN130F040.Text
			dpcInfoWk(23) = Me.txt080MEN130F040.Text
			dpcInfoWk(24) = Me.num082MEN130F040.Text
			dpcInfoWk(25) = Me.num084MEN130F040.Text
			dpcInfoWk(26) = Me.txt086MEN130F040.Text
			dpcInfoWk(27) = Me.txt088MEN130F040.Text
			dpcInfoWk(28) = Me.num090MEN130F040.Text
			dpcInfoWk(29) = Me.cmb092MEN130F040.Text
			dpcInfoWk(30) = Me.num095MEN130F040.Text
			dpcInfoWk(31) = Me.num098MEN130F040.Text
			dpcInfoWk(32) = Me.num101MEN130F040.Text
			dpcInfoWk(33) = Me.txt103MEN130F040.Text
			dpcInfoWk(34) = Me.cmb105MEN130F040.Text
			dpcInfoWk(35) = Me.cmb108MEN130F040.Text
			dpcInfoWk(36) = Me.cmb111MEN130F040.Text
			dpcInfoWk(37) = Me.num114MEN130F040.Text
			dpcInfoWk(38) = Me.cmb118MEN130F040.Text

			dpcInfoWk(39) = Me.cmb123MEN130F040.Text
			dpcInfoWk(40) = Me.cmb126MEN130F040.Text
			dpcInfoWk(41) = Me.txt129MEN130F040.Text

			dpcInfoWk(42) = Me.cmb133MEN130F040.Text
			dpcInfoWk(43) = Me.cmb136MEN130F040.Text
			dpcInfoWk(44) = Me.txt139MEN130F040.Text

			For i As Integer = 0 To dpcInfoWk.GetUpperBound(0)
				If dpcInfoWk(i) <> dpcInfo(i) Then
					bRet = True
					Exit For
				End If
			Next
		Catch ex As Exception
			Throw
		Finally
			dpcInfoWk = Nothing
		End Try
		Return bRet
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 入力値削除チェック
	''' </summary>
	''' <remarks>
	''' 2012/06/07 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkDelete() As Boolean
		log(clsSysMst.logLevel.DBG, "chkDelete", "入力値削除チェック Start")
		Dim dpcInfoWk(99) As String		'DPC情報
		Dim bRet As Boolean = True
		Try
			dpcInfoWk(80) = Me.cmb005MEN130F040.Text
			dpcInfoWk(81) = Me.cmb008MEN130F040.Text
			dpcInfoWk(82) = Me.cmb011MEN130F040.Text
			dpcInfoWk(83) = Me.cmb014MEN130F040.Text

			dpcInfoWk(0) = Me.cmb020MEN130F040.Text
			dpcInfoWk(1) = Me.num023MEN130F040.Text
			dpcInfoWk(2) = Me.num026MEN130F040.Text
			dpcInfoWk(3) = Me.num028MEN130F040.Text
			dpcInfoWk(4) = Me.num032MEN130F040.Text
			dpcInfoWk(5) = Me.num036MEN130F040.Text
			dpcInfoWk(6) = Me.txt038MEN130F040.Text
			dpcInfoWk(7) = Me.txt040MEN130F040.Text
			dpcInfoWk(8) = Me.txt042MEN130F040.Text
			dpcInfoWk(9) = Me.txt044MEN130F040.Text
			dpcInfoWk(10) = Me.cmb046MEN130F040.Text
			dpcInfoWk(11) = Me.cmb049MEN130F040.Text
			dpcInfoWk(12) = Me.cmb051MEN130F040.Text
			dpcInfoWk(13) = Me.cmb053MEN130F040.Text
			dpcInfoWk(14) = Me.cmb055MEN130F040.Text
			dpcInfoWk(15) = Me.cmb057MEN130F040.Text
			dpcInfoWk(16) = Me.cmb060MEN130F040.Text
			dpcInfoWk(17) = Me.cmb063MEN130F040.Text
			dpcInfoWk(18) = Me.cmb066MEN130F040.Text
			dpcInfoWk(19) = Me.cmb069MEN130F040.Text
			dpcInfoWk(20) = Me.cmb072MEN130F040.Text
			dpcInfoWk(21) = Me.cmb075MEN130F040.Text
			dpcInfoWk(22) = Me.txt078MEN130F040.Text
			dpcInfoWk(23) = Me.txt080MEN130F040.Text
			dpcInfoWk(24) = Me.num082MEN130F040.Text
			dpcInfoWk(25) = Me.num084MEN130F040.Text
			dpcInfoWk(26) = Me.txt086MEN130F040.Text
			dpcInfoWk(27) = Me.txt088MEN130F040.Text
			dpcInfoWk(28) = Me.num090MEN130F040.Text
			dpcInfoWk(29) = Me.cmb092MEN130F040.Text
			dpcInfoWk(30) = Me.num095MEN130F040.Text
			dpcInfoWk(31) = Me.num098MEN130F040.Text
			dpcInfoWk(32) = Me.num101MEN130F040.Text
			dpcInfoWk(33) = Me.txt103MEN130F040.Text
			dpcInfoWk(34) = Me.cmb105MEN130F040.Text
			dpcInfoWk(35) = Me.cmb108MEN130F040.Text
			dpcInfoWk(36) = Me.cmb111MEN130F040.Text
			dpcInfoWk(37) = Me.num114MEN130F040.Text
			dpcInfoWk(38) = Me.cmb118MEN130F040.Text

			dpcInfoWk(39) = Me.cmb123MEN130F040.Text
			dpcInfoWk(40) = Me.cmb126MEN130F040.Text
			dpcInfoWk(41) = Me.txt129MEN130F040.Text

			dpcInfoWk(42) = Me.cmb133MEN130F040.Text
			dpcInfoWk(43) = Me.cmb136MEN130F040.Text
			dpcInfoWk(44) = Me.txt139MEN130F040.Text

			For i As Integer = 0 To dpcInfoWk.GetUpperBound(0)
				If Not String.IsNullOrEmpty(dpcInfoWk(i)) Then
					bRet = False
					Exit For
				End If
			Next
		Catch ex As Exception
			Throw
		Finally
			dpcInfoWk = Nothing
		End Try
		Return bRet
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 入力値を内部変数に保持
	''' </summary>
	''' <remarks>
	''' 2012/06/07 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub getInputData()
		log(clsSysMst.logLevel.DBG, "getInputData", "入力値を内部変数に保持 Start")
		Try
			dpcInfo(80) = Me.cmb005MEN130F040.Text
			dpcInfo(81) = Me.cmb008MEN130F040.Text
			dpcInfo(82) = Me.cmb011MEN130F040.Text
			dpcInfo(83) = Me.cmb014MEN130F040.Text

			dpcInfo(0) = Me.cmb020MEN130F040.Text
			dpcInfo(1) = Me.num023MEN130F040.Text
			dpcInfo(2) = Me.num026MEN130F040.Text
			dpcInfo(3) = Me.num028MEN130F040.Text
			dpcInfo(4) = Me.num032MEN130F040.Text
			dpcInfo(5) = Me.num036MEN130F040.Text
			dpcInfo(6) = Me.txt038MEN130F040.Text
			dpcInfo(7) = Me.txt040MEN130F040.Text
			dpcInfo(8) = Me.txt042MEN130F040.Text
			dpcInfo(9) = Me.txt044MEN130F040.Text
			dpcInfo(10) = Me.cmb046MEN130F040.Text
			dpcInfo(11) = Me.cmb049MEN130F040.Text
			dpcInfo(12) = Me.cmb051MEN130F040.Text
			dpcInfo(13) = Me.cmb053MEN130F040.Text
			dpcInfo(14) = Me.cmb055MEN130F040.Text
			dpcInfo(15) = Me.cmb057MEN130F040.Text
			dpcInfo(16) = Me.cmb060MEN130F040.Text
			dpcInfo(17) = Me.cmb063MEN130F040.Text
			dpcInfo(18) = Me.cmb066MEN130F040.Text
			dpcInfo(19) = Me.cmb069MEN130F040.Text
			dpcInfo(20) = Me.cmb072MEN130F040.Text
			dpcInfo(21) = Me.cmb075MEN130F040.Text
			dpcInfo(22) = Me.txt078MEN130F040.Text
			dpcInfo(23) = Me.txt080MEN130F040.Text
			dpcInfo(24) = Me.num082MEN130F040.Text
			dpcInfo(25) = Me.num084MEN130F040.Text
			dpcInfo(26) = Me.txt086MEN130F040.Text
			dpcInfo(27) = Me.txt088MEN130F040.Text
			dpcInfo(28) = Me.num090MEN130F040.Text
			dpcInfo(29) = Me.cmb092MEN130F040.Text
			dpcInfo(30) = Me.num095MEN130F040.Text
			dpcInfo(31) = Me.num098MEN130F040.Text
			dpcInfo(32) = Me.num101MEN130F040.Text
			dpcInfo(33) = Me.txt103MEN130F040.Text
			dpcInfo(34) = Me.cmb105MEN130F040.Text
			dpcInfo(35) = Me.cmb108MEN130F040.Text
			dpcInfo(36) = Me.cmb111MEN130F040.Text
			dpcInfo(37) = Me.num114MEN130F040.Text
			dpcInfo(38) = Me.cmb118MEN130F040.Text

			dpcInfo(39) = Me.cmb123MEN130F040.Text
			dpcInfo(40) = Me.cmb126MEN130F040.Text
			dpcInfo(41) = Me.txt129MEN130F040.Text

			dpcInfo(42) = Me.cmb133MEN130F040.Text
			dpcInfo(43) = Me.cmb136MEN130F040.Text
			dpcInfo(44) = Me.txt139MEN130F040.Text
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 再入院種別の内容チェック
	''' </summary>
	''' <remarks>
	''' 2012/06/07 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub chkHospitalReadmission()
		log(clsSysMst.logLevel.DBG, "chkHospitalReadmission", "再入院種別の内容チェック Start")
		Dim cliCommon As clsMENCOMMON
		Try
			cliCommon = New clsMENCOMMON
			' 再入院種別
			If Not String.IsNullOrEmpty(Me.cmb123MEN130F040.Text) Then
				Select Case Me.cmb123MEN130F040.Text
					Case "1"
						' 計画的再入院の場合
						cliCommon.setComboBoxData(Me.cmb126MEN130F040, cmbR1)
					Case "2"
						' 予期された再入院の場合
						cliCommon.setComboBoxData(Me.cmb126MEN130F040, cmbR2)
					Case "3"
						' 予期せぬ再入院の場合
						cliCommon.setComboBoxData(Me.cmb126MEN130F040, cmbR3)
					Case Else
						' 上記以外の場合
						Me.cmb126MEN130F040.DataSource = Nothing
				End Select
			Else
				Me.cmb126MEN130F040.DataSource = Nothing
			End If
		Catch ex As Exception
			Throw
		Finally
			' 再入院種別を保存する
			strHospitalReadmission = Me.cmb123MEN130F040.Text
			' 再入院種別コンボインデックスを保存する
			intHospitalReadmissionIndex = Me.cmb123MEN130F040.SelectedIndex
			cliCommon = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 再転棟種別の内容チェック
	''' </summary>
	''' <remarks>
	''' 2012/06/07 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub chkHospitalWardChange()
		log(clsSysMst.logLevel.DBG, "chkHospitalWardChange", "再転棟種別の内容チェック Start")
		Dim cliCommon As clsMENCOMMON
		Try
			cliCommon = New clsMENCOMMON
			' 再転棟種別
			If Not String.IsNullOrEmpty(Me.cmb133MEN130F040.Text) Then
				Select Case Me.cmb133MEN130F040.Text
					Case "1"
						' 計画的再転棟の場合
						cliCommon.setComboBoxData(Me.cmb136MEN130F040, cmbR1)
					Case "2"
						' 予期された再転棟の場合
						cliCommon.setComboBoxData(Me.cmb136MEN130F040, cmbR2)
					Case "3"
						' 予期せぬ再転棟の場合
						cliCommon.setComboBoxData(Me.cmb136MEN130F040, cmbR3)
					Case Else
						' 上記以外の場合
						Me.cmb136MEN130F040.DataSource = Nothing
				End Select
			Else
				Me.cmb136MEN130F040.DataSource = Nothing
			End If
		Catch ex As Exception
			Throw
		Finally
			' 再転棟種別を保存する
			strHospitalWardChange = Me.cmb133MEN130F040.Text
			' 再転棟種別コンボインデックスを保存する
			intHospitalWardChangeIndex = Me.cmb133MEN130F040.SelectedIndex
			cliCommon = Nothing
		End Try
	End Sub

#End Region

#Region "オーバーライドメソッド"

	''' -------------------------------------------------------
	''' <summary>
	''' 画面再描画
	''' </summary>
	''' <remarks>
	''' 2012/06/20 新規作成　ID)平井<BR/>
	''' </remarks>
	''' -------------------------------------------------------
	Public Overrides Sub repaint()
		log(clsSysMst.logLevel.DBG, "repaint", "画面再描画 Start")
		Dim cliCom As clsCom = Nothing
		Dim cliCommon As clsMENCOMMON
		Dim wkDate As String = Nothing
		Try
			cliCommon = New clsMENCOMMON
			' 入力値を保持している変数から画面に表示する。
			cliCom = New clsCom
			cliCom.setComboValue(Me.cmb005MEN130F040, dpcInfo(80))
			cliCom.setComboValue(Me.cmb008MEN130F040, dpcInfo(81))
			cliCom.setComboValue(Me.cmb011MEN130F040, dpcInfo(82))
			cliCom.setComboValue(Me.cmb014MEN130F040, dpcInfo(83))

			cliCom.setComboValue(Me.cmb020MEN130F040, dpcInfo(0))
			Me.num023MEN130F040.Text = dpcInfo(1)
			Me.num026MEN130F040.Text = dpcInfo(2)
			Me.num028MEN130F040.Text = dpcInfo(3)
			Me.num032MEN130F040.Text = dpcInfo(4)
			Me.num036MEN130F040.Text = dpcInfo(5)
			Me.txt038MEN130F040.Text = dpcInfo(6)
			Me.txt040MEN130F040.Text = dpcInfo(7)
			Me.txt042MEN130F040.Text = dpcInfo(8)
			Me.txt044MEN130F040.Text = dpcInfo(9)
			cliCom.setComboValue(Me.cmb046MEN130F040, dpcInfo(10))
			cliCom.setComboValue(Me.cmb049MEN130F040, dpcInfo(11))
			cliCom.setComboValue(Me.cmb051MEN130F040, dpcInfo(12))
			cliCom.setComboValue(Me.cmb053MEN130F040, dpcInfo(13))
			cliCom.setComboValue(Me.cmb055MEN130F040, dpcInfo(14))
			cliCom.setComboValue(Me.cmb057MEN130F040, dpcInfo(15))
			cliCom.setComboValue(Me.cmb060MEN130F040, dpcInfo(16))
			cliCom.setComboValue(Me.cmb063MEN130F040, dpcInfo(17))
			cliCom.setComboValue(Me.cmb066MEN130F040, dpcInfo(18))
			cliCom.setComboValue(Me.cmb069MEN130F040, dpcInfo(19))
			cliCom.setComboValue(Me.cmb072MEN130F040, dpcInfo(20))
			cliCom.setComboValue(Me.cmb075MEN130F040, dpcInfo(21))
			Me.txt078MEN130F040.Text = dpcInfo(22)
			Me.txt080MEN130F040.Text = dpcInfo(23)
			Me.num082MEN130F040.Text = dpcInfo(24)
			Me.num084MEN130F040.Text = dpcInfo(25)
			Me.txt086MEN130F040.Text = dpcInfo(26)
			Me.txt088MEN130F040.Text = dpcInfo(27)
			Me.num090MEN130F040.Text = dpcInfo(28)
			cliCom.setComboValue(Me.cmb092MEN130F040, dpcInfo(29))
			Me.num095MEN130F040.Text = dpcInfo(30)
			Me.num098MEN130F040.Text = dpcInfo(31)
			Me.num101MEN130F040.Text = dpcInfo(32)
			Me.txt103MEN130F040.Text = dpcInfo(33)
			cliCom.setComboValue(Me.cmb105MEN130F040, dpcInfo(34))
			cliCom.setComboValue(Me.cmb108MEN130F040, dpcInfo(35))
			cliCom.setComboValue(Me.cmb111MEN130F040, dpcInfo(36))
			Me.num114MEN130F040.Text = dpcInfo(37)
			cliCom.setComboValue(Me.cmb118MEN130F040, dpcInfo(38))

			cliCom.setComboValue(Me.cmb123MEN130F040, dpcInfo(39))
			chkHospitalReadmission()
			cliCom.setComboValue(Me.cmb126MEN130F040, dpcInfo(40))
			Me.txt129MEN130F040.Text = dpcInfo(41)

			cliCom.setComboValue(Me.cmb133MEN130F040, dpcInfo(42))
			chkHospitalWardChange()
			cliCom.setComboValue(Me.cmb136MEN130F040, dpcInfo(43))
			Me.txt139MEN130F040.Text = dpcInfo(44)

			' 現タブの入力項目の先頭にフォーカスする
			Select Case True
				Case Me.tab001MEN130F040.SelectedTab.Equals(Me.tpg002MEN130F040)	'子様式タブページの場合
					' 「入院中の主な診療目的」を選択
					Me.cmb005MEN130F040.Focus()
				Case Me.tab001MEN130F040.SelectedTab.Equals(Me.tpg016MEN130F040)	'診療情報タブページの場合
					If Me.cmb020MEN130F040.CanInput = True Then
						' 「現在の妊娠の有無」を選択
						Me.cmb020MEN130F040.Focus()
					Else
						' 「出生時体重」を選択
						Me.num023MEN130F040.Focus()
					End If
				Case Me.tab001MEN130F040.SelectedTab.Equals(Me.tpg120MEN130F040)	'再入院調査タブページの場合
					' 「再入院種別」を選択
					Me.cmb123MEN130F040.Focus()
				Case Me.tab001MEN130F040.SelectedTab.Equals(Me.tpg130MEN130F040)	'再転棟調査タブページの場合
					' 「再転棟種別」を選択
					Me.cmb133MEN130F040.Focus()
				Case Else
					' 何もしない
			End Select
		Catch ex As Exception
			Throw
		Finally
			cliCom = Nothing
			cliCommon = Nothing
		End Try
	End Sub

	''' -------------------------------------------------------
	''' <summary>
	''' 子画面データ受信処理
	''' </summary>
	''' <remarks>
	''' 2012/06/07 新規作成　ID)平井<BR/>
	''' </remarks>
	''' -------------------------------------------------------
	Public Overrides Sub rcvData(ByVal ret As Enum_FormReturn, ByVal de As DictionaryEntry)
		log(clsSysMst.logLevel.NRM, "rcvData", "子画面データ受信処理 Start")
		Try
			' 子画面判定
			Select Case CStr(de.Key)
				Case CStr(clsMENCOMMON.Enum_AdlScoreKind.eHsp)		'入院時のＡＤＬスコア
					If ret = Enum_FormReturn.OK Then
						Me.txt042MEN130F040.Text = de.Value
					End If
				Case CStr(clsMENCOMMON.Enum_AdlScoreKind.eOutHsp)	'退院時のＡＤＬスコア
					If ret = Enum_FormReturn.OK Then
						Me.txt044MEN130F040.Text = de.Value
					End If
				Case CST_SHOW_XCM020F010_ID							'エラーメッセージ画面
					If de.Value Is Nothing OrElse String.IsNullOrEmpty(de.Value.ToString) Then
						' 「保存」ボタン押下時
						MyBase.rcvData(ret, de)
					Else
						' 「閉じる」ボタン押下時
						Select Case de.Value.ToString
							Case clsMENCOMMON.CONST_SAY_YES
								' エラーメッセージ画面を強制終了する
								For Each frm As frmBase In Me.OwnedForms
									If frm.Name = CST_SHOW_XCM020F010_ID Then
										frm.Dispose()
										Exit For
									End If
								Next
								' 「はい」ボタン選択時には登録時の確認メッセージ
								If confMsg("Q0005", MessageBoxButtons.YesNo, MessageBoxDefaultButton.Button2, "エラーがあります。このまま登録", Nothing) = MsgBoxResult.Yes Then
									' ＤＰＣ情報更新
									If Me.updDPCInfo() Then
										' 終了処理
										Me.EndProc()
									Else
										' 更新フラグを初期化
										Me.updFlg = clsMENCOMMON.Enum_UpdFlg.eInit
									End If
								Else
									' 更新フラグを初期化
									Me.updFlg = clsMENCOMMON.Enum_UpdFlg.eInit
								End If
							Case clsMENCOMMON.CONST_SAY_NO
								' エラーメッセージ画面を強制終了する
								For Each frm As frmBase In Me.OwnedForms
									If frm.Name = CST_SHOW_XCM020F010_ID Then
										frm.Dispose()
										Exit For
									End If
								Next
								' 「いいえ」ボタン選択時には終了時の確認メッセージ
								If confMsg("Q0005", MessageBoxButtons.YesNo, MessageBoxDefaultButton.Button2, "エラーがあります。終了", Nothing) = MsgBoxResult.Yes Then
									' 終了処理
									Me.EndProc()
								Else
									' 更新フラグを初期化
									Me.updFlg = clsMENCOMMON.Enum_UpdFlg.eInit
								End If
							Case Else
								MyBase.rcvData(ret, de)
						End Select
					End If
				Case Else
					MyBase.rcvData(ret, de)
			End Select
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 更新前チェック処理
	''' </summary>
	''' <remarks>
	''' 2012/06/07 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function PreUpdChkData() As Boolean
		log(clsSysMst.logLevel.DBG, "PreUpdChkData", "更新前チェック処理 Start")
		Try
			' 保存ボタン押下時のため、先に保存フラグをオン
			Me.saveFlg = True
			' 子コントロールの検証
			Return Me.ValidateChildren
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' -------------------------------------------------------
	''' <summary>
	''' 更新前確認処理
	''' </summary>
	''' <remarks>
	''' 2012/06/07 新規作成　ID)平井<BR/>
	''' </remarks>
	''' -------------------------------------------------------
	Public Overrides Function PreUpdConfirm() As MsgBoxResult
		log(clsSysMst.logLevel.DBG, "PreUpdConfirm", "更新前確認処理 Start")
		Try
			Select Case True
				Case Me.updFlg = clsMENCOMMON.Enum_UpdFlg.eEmpty
					' 初期起動時には保存フラグをオン
					Me.saveFlg = True
				Case Me.chkUpdate()
					' 入力項目に変更がある場合のみ更新前確認メッセージ
					Select Case MyBase.PreUpdConfirm()
						Case MsgBoxResult.Yes
							' 「はい」ボタン選択時には保存フラグをオン
							Me.saveFlg = True
						Case MsgBoxResult.No
							' 「いいえ」ボタン選択時には保存フラグをオフ
							Me.saveFlg = False
							' 画面の再描画を行う。
							Me.repaint()
						Case Else
							' 「キャンセル」ボタン選択時にはそのまま「キャンセル」を戻す
							Return MsgBoxResult.Cancel
					End Select
				Case Else
					' 入力項目に変更がない場合には保存フラグをオフ
					Me.saveFlg = False
			End Select
			' チェック処理を行うため「はい」を戻す
			Return MsgBoxResult.Yes
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' チェック処理
	''' </summary>
	''' <remarks>
	''' 2012/06/07 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function ChkData() As Boolean
		log(clsSysMst.logLevel.DBG, "ChkData", "チェック処理 Start")
		Try
			Select Case True
				Case Me.chkDelete()		'削除チェック
					If Me.saveFlg AndAlso Me.chkUpdate() Then
						Me.updFlg = clsMENCOMMON.Enum_UpdFlg.eDelete
					End If
				Case Me.chkInput()		'入力チェック
					If Me.saveFlg AndAlso Me.chkUpdate() Then
						Me.updFlg = clsMENCOMMON.Enum_UpdFlg.eUpdate
					End If
				Case Else
			End Select
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' -------------------------------------------------------
	''' <summary>
	''' 更新処理
	''' </summary>
	''' <remarks>
	''' 2012/06/07 新規作成　ID)平井<BR/>
	''' </remarks>
	''' -------------------------------------------------------
	Public Overrides Function UpdProc() As Boolean
		log(clsSysMst.logLevel.DBG, "UpdProc", "更新処理 Start")
		Try
			' エラーがない場合
			If Me.getErrCount() = 0 Then
				Select Case Me.updFlg
					Case clsMENCOMMON.Enum_UpdFlg.eUpdate, clsMENCOMMON.Enum_UpdFlg.eDelete
						' ＤＰＣ情報更新
						Return Me.updDPCInfo()
					Case Else
				End Select
			End If
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' -------------------------------------------------------
	''' <summary>
	''' 更新後処理
	''' </summary>
	''' <remarks>
	''' 2012/06/07 新規作成　ID)平井<BR/>
	''' </remarks>
	''' -------------------------------------------------------
	Public Overrides Function AfterUpdProc() As Boolean
		log(clsSysMst.logLevel.DBG, "AfterUpdProc", "更新後処理 Start")
		Try
			' エラーがある場合はエラー画面を表示する。
			If Me.getErrCount() > 0 Then
				Me.nextErrForm()
				Return False
			End If
			' 入力値保持
			Me.getInputData()
			' 画面の再描画を行う。
			Me.repaint()
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' -------------------------------------------------------
	''' <summary>
	''' 戻り値作成処理
	''' </summary>
	''' <remarks>
	''' 2012/06/07 新規作成　ID)平井<BR/>
	''' </remarks>
	''' -------------------------------------------------------
	Public Overrides Function DBProc() As Boolean
		log(clsSysMst.logLevel.DBG, "DBProc", "戻り値作成処理 Start")
		Try
			' エラーがある場合はエラー画面を表示する。
			If Me.getErrCount() > 0 Then
				If Me.saveFlg Then
					Me.nextErrForm(clsMENCOMMON.CONST_SAY_YES)
				Else
					Me.nextErrForm(clsMENCOMMON.CONST_SAY_NO)
				End If
				Return False
			End If
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 画面終了後処理
	''' </summary>
	''' <param name="bCancel">キャンセルフラグ</param>
	''' <remarks>
	''' 2012/06/07 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub ClosedProc(ByVal bCancel As Boolean)
		If bCancel Then
			Exit Sub
		End If
		Try
			' インスタンス開放
			If frmMEN130F021 IsNot Nothing Then
				frmMEN130F021.Dispose()
			End If
			' 画面終了後処理
			MyBase.ClosedProc(bCancel)
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			frmMEN130F021 = Nothing
		End Try
	End Sub

#End Region

End Class
