﻿Imports XCM
Imports XSP
''' ---------------------------------------------
''' <summary>
''' 診療情報管理　登録／参照　共通用ＳＱＬクラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class sqlMENCOMMON

	Public Const prmPATIENT_NO As String = "@PATIENT_NO"					'患者番号
	Public Const prmHSP_HISTORY_NO As String = "@HSP_HISTORY_NO"			'入退院歴番号
	Public Const prmCH_NO As String = "@CH_NO"								'科歴番号
	Public Const prmBLOOD_TRAN_CHK As String = "@BLOOD_TRAN_CHK"			'血液チェック
	Public Const prmLASTUPDUSER_CD As String = "@LASTUPDUSER_CD"			'最終更新者
	Public Const prmLASTUPD_DT As String = "@LASTUPD_DT"					'最終更新日
	Public Const prmICD9CM_CD As String = "@ICD9CM_CD"						'ＩＣＤ９ＣＭコード
	Public Const prmICD10_CD As String = "@ICD10_CD"						'ＩＣＤ１０コード
	Public Const prmM_GRP_CD As String = "@M_GRP_CD"						'中分類コード
	Public Const prmS_GRP_CD As String = "@S_GRP_CD"						'小分類コード
	Public Const prmC_GRP_CD As String = "@C_GRP_CD"						'Ｃ分類
	Public Const prmLASTLEFTHSP_DT As String = "@LASTLEFTHSP_DT"			'最終退院日

	Public Const itmITEM_CD As String = "ITEM_CD"							'項目コード
	Public Const itmITEM_NM As String = "ITEM_NM"							'項目名
	Public Const itmL_GRP_CD As String = "L_GRP_CD"							'大分類コード
	Public Const itmM_GRP_CD As String = "M_GRP_CD"							'中分類コード
	Public Const itmS_GRP_CD As String = "S_GRP_CD"							'小分類コード
	Public Const itmGRP300_CD As String = "GRP300_CD"						'３００分類コード
	Public Const itmA_GRP_CD As String = "A_GRP_CD"							'ａ分類コード
	Public Const itmB_GRP_CD As String = "B_GRP_CD"							'ｂ分類コード
	Public Const itmC_GRP_CD As String = "C_GRP_CD"							'ｃ分類コード
	Public Const itmDEATH_GRP_CD As String = "DEATH_GRP_CD"					'死因分類コード

	Public Const itmWARD_CD As String = "WARD_CD"							'病棟コード
	Public Const itmWARD_NM As String = "WARD_NM"							'病棟名
	Public Const itmWARD_START_DT As String = "WARD_START_DT"				'病棟開始日
	Public Const itmWARD_END_DT As String = "WARD_END_DT"					'病棟終了日
	Public Const itmWARD_DAYS As String = "WARD_DAYS"						'病棟日数

	Public Const itmWARD_GRP_CD As String = "WARD_GRP_CD"					'病棟グループコード
	Public Const itmWARD_GRP_NM As String = "WARD_GRP_NM"					'病棟グループ名

	Public Const itmSERIAL_NO As String = "SERIAL_NO"						'連番
	Public Const itmDSPORDER As String = "DSPORDER"							'表示順
	Public Const itmFIXED_CD As String = "FIXED_CD"							'固定コード

	Public Const itmAddCol4NewRow As String = "AddCol4NewRow"				'新規行識別用の列
	Public Const itmAddCol4RowSeq As String = "AddCol4RowSeq"				'順番識別用の列

	' 輸血チェック有無を調べるsql
	Public Const sqlBLOOD_TRAN_CHK As String = "SELECT COUNT(PATIENT_NO) AS CNT FROM (" & _
	" SELECT PATIENT_NO FROM MTI_OPE " & _
	" WHERE MTI_OPE.PATIENT_NO = " & prmPATIENT_NO & _
	" AND MTI_OPE.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & _
	" AND MTI_OPE.CH_NO = " & prmCH_NO & _
	" AND MTI_OPE.ICD9CM_CD Like " & prmICD9CM_CD & _
	" UNION ALL " & _
	" SELECT PATIENT_NO FROM MTI_TEST" & _
	" WHERE MTI_TEST.PATIENT_NO = " & prmPATIENT_NO & _
	" AND MTI_TEST.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & _
	" AND MTI_TEST.CH_NO = " & prmCH_NO & _
	" AND MTI_TEST.ICD9CM_CD Like " & prmICD9CM_CD & _
	" UNION ALL " & _
	" SELECT PATIENT_NO FROM MTI_CARE" & _
	" WHERE MTI_CARE.PATIENT_NO = " & prmPATIENT_NO & _
	" AND MTI_CARE.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & _
	" AND MTI_CARE.CH_NO = " & prmCH_NO & _
	" AND MTI_CARE.ICD9CM_CD Like " & prmICD9CM_CD & _
	" ) AS UNIONTABLE"

	' 分娩区分項目マスタ
	Public Const sqlMtmCbDivItm As String = "SELECT ITEM_CD, ITEM_NM, ITEM_RNM, PARENT_DIV, LASTUPDUSER_CD, LASTUPD_DT" & _
	 " FROM MTM_CB_DIV_ITM" & _
	 " ORDER BY ITEM_CD"

	' 科歴の輸血情報更新
	Public Const sqlMtiCh_BLOOD_TRAN_CHK_UPD As String = "UPDATE MTI_CH SET BLOOD_TRAN_CHK = " & prmBLOOD_TRAN_CHK & _
	  ", LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & _
	  ", LASTUPD_DT = " & prmLASTUPD_DT & _
	  " WHERE MTI_CH.PATIENT_NO = " & prmPATIENT_NO & _
	  " AND MTI_CH.HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & _
	  " AND MTI_CH.CH_NO = " & prmCH_NO & _
	  " AND BLOOD_TRAN_CHK is null"

	' 病名小分類マスタ
	Public Const sqlDISEASE_S_GRP As String = "SELECT L_GRP_CD, M_GRP_CD FROM MTM_DISEASE_S_GRP" & _
	 " WHERE S_GRP_CD = " & prmS_GRP_CD

	' 病名変換ｃ分類マスタ
	Public Const sqlDISEASE_CNV_C_GRP As String = "SELECT GRP300_CD, C_GRP_CD, DEATH_GRP_CD " & _
	 " FROM MTM_DISEASE_CNV_C_GRP" & _
	 " WHERE ICD10_CD = " & prmICD10_CD

	' 病名変換ｃ分類４マスタ
	Public Const sqlDISEASE_CNV_C_GRP4 As String = "SELECT C_GRP_CD FROM MTM_DISEASE_CNV_C_GRP4" & _
	 " WHERE ICD10_CD = " & prmICD10_CD

	' 死因分類４変換マスタ
	Public Const sqlDEATH_GRP_4CNV As String = "SELECT DEATH_GRP_CD FROM MTM_DEATH_GRP_4CNV" & _
	 " WHERE ICD10_CD = " & prmICD10_CD

	' 病名変換ａｂｃ分類マスタ
	Public Const sqlDISEASE_CNVT_ABC_DIV As String = "SELECT A_GRP_CD, B_GRP_CD" & _
	 " FROM MTM_DISEASE_CNVT_ABC_DIV" & _
	 " WHERE C_GRP_CD = " & prmC_GRP_CD

	' 手術３桁分類の取得
	Public Const sqlOPE_3DIG_GRP As String = "SELECT L_GRP_CD, M_GRP_CD FROM MTM_OPE_3DIG_GRP_NM" & _
	 " WHERE M_GRP_CD = " & prmM_GRP_CD

	' 病棟グループマスタ取得
	Public Const sqlSelWardGrpMst As String = "SELECT WARD_GRP_CD, WARD_GRP_NM, DSPORDER" & _
	 " FROM MTM_WARD_GRP" & _
	 " ORDER BY DSPORDER, WARD_GRP_CD"

	' 基本情報の最終退院日を更新
	Public Const sqlUpdBasicInfo_LastLeftHspDt As String = _
	 "UPDATE XTI_BASICINFO SET" _
	  & " LASTLEFTHSP_DT = " & prmLASTLEFTHSP_DT & "," _
	  & " LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & "," _
	  & " LASTUPD_DT = " & prmLASTUPD_DT _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO
End Class

''' ---------------------------------------------
''' <summary>
''' 件数取得　共通用ＳＱＬクラス
''' </summary>
''' ---------------------------------------------
Public NotInheritable Class datRetCountInfo
	Public CNT As Integer = Nothing		'件数
End Class