﻿Imports XSP
Imports XCM
Imports System.Windows.Forms
Imports System.IO
Imports System.Runtime.ConstrainedExecution
Imports XSP.clsExcelFunc
''' ---------------------------------------------
''' <summary>
''' 受領／貸出_返却Excel出力
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MLN010E030

#Region "解放処理"
	'確実な解放処理を実行するために指定
	Inherits CriticalFinalizerObject
	'解放処理を実装する為に指定
	Implements IDisposable

	''' ---------------------------------------------
	''' <summary>
	''' Dispose（解放処理）※外からはよばない
	''' </summary>
	''' <param name="disposing"></param>
	''' <remarks>
	''' 2011/01/04 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overloads Sub Dispose(ByVal disposing As Boolean)
		If disposing Then
			'ここで変数のクリアを行う
			Me.pFrm = Nothing
			Me.cliCom = Nothing
			Me.cliExcelFunc = Nothing
			Me.cliMLN010F010 = Nothing
			Me.sDataShtInfo = Nothing
			Me.sParmShtInfo = Nothing
		End If
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Finalize（解放処理）
	''' </summary>
	''' <remarks>
	''' 2011/01/04 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overloads Sub Dispose() Implements IDisposable.Dispose
		Dispose(True)
		MyBase.Finalize()
		GC.SuppressFinalize(Me)
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Finalize（解放処理）※外からはよばない
	''' </summary>
	''' <remarks>
	''' 2010/12/29 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub Finalize()
		Dispose(False)
		MyBase.Finalize()
	End Sub
#End Region

#Region "変数"

	Private pFrm As MLN010F010 = Nothing								'フォーム
	Private cliCom As clsCom											'共通クラス
	Private cliExcelFunc As clsExcelFunc								'Excel作業クラス
	Private cliMLN010F010 As clsMLN010F010								'受領・貸出クラス

	Private sDataShtInfo() As clsMLN010F010.ExcelDataColInfo
	Private sParmShtInfo() As clsMLN010F010.ExcelPrmInfo

#End Region

#Region "コンスタント"
	Private Const CST_SHTNM_FORPRINT As String = "返却一覧"
	Private Const CST_MACRO_PRINT As String = "Run_Print"
	Private Const CST_MACRO_PREVIEW As String = "Run_Preview"

	'列情報
	Private ReadOnly ColInfo_Back() As clsMLN010F010.ExcelDataColInfo = _
	 {
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmPATIENT_NO, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmHSP_HISTORY_NO, clsExcel.CST_FORMAT_INTEGER),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmCH_NO, clsExcel.CST_FORMAT_INTEGER),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmBYOREKI_NO, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmPATIENT_NM, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmPATIENT_KNM, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmGENDER_CD, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmGENDER_NM, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmDEPT_CD, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmDEPT_NM, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmDEPT_RNM, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmWARD_CD, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmWARD_NM, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmWARD_RNM, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmSTART_DT, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmEND_DT, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmHSP_CNL_CD, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmHSP_CNL_NM, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmHSP_CNL_RNM, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmOUT_HSP_CNL_CD, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmOUT_HSP_CNL_NM, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmOUT_HSP_CNL_RNM, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmOUT_HSP_OUTCOME_CD, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmOUT_HSP_OUTCOME_NM, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmOUT_HSP_OUTCOME_RNM, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmHSP_DAYS, clsExcel.CST_FORMAT_INTEGER),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmDOCTOR_CD, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmDOCTOR_NM, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmLENDITEM_CD, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmLENDITEM_NM, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmSLIP_CD, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmISSUE_DT, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmUPDATED, clsExcel.CST_FORMAT_INTEGER),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmSEARCH_NO, clsExcel.CST_FORMAT_INTEGER),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmMNGSTATUS_CD, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmMNGSTATUS_NM, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmMNGSTATUS1_RNM, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmKEEPLCT_CD, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmKEEPLCT_NM, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmKEEPLCT_RNM, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmCNT, clsExcel.CST_FORMAT_INTEGER),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmDEPT_DSPORDER, clsExcel.CST_FORMAT_INTEGER),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmWARD_DSPORDER, clsExcel.CST_FORMAT_INTEGER),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmDOCTOR_DSPORDER, clsExcel.CST_FORMAT_INTEGER),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmHSP_CNL_DSPORDER, clsExcel.CST_FORMAT_INTEGER),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmOUT_HSP_CNL_DSPORDER, clsExcel.CST_FORMAT_INTEGER),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmOUT_HSP_OUTCOME_DSPORDER, clsExcel.CST_FORMAT_INTEGER),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmMNGSTATUS_DSPORDER, clsExcel.CST_FORMAT_INTEGER),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmKEEPLCT_DSPORDER, clsExcel.CST_FORMAT_INTEGER),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmLENDAIM_CD, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmLENDAIM_DSPORDER, clsExcel.CST_FORMAT_INTEGER),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmLENDAIM_RNM, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmBORROWERDIV_NM, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmBORROWER_NM, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmBORROWER_DIV, clsExcel.CST_FORMAT_STRING),
	 New clsMLN010F010.ExcelDataColInfo(sqlMLN010F010.itmBORROWER_DSPORDER, clsExcel.CST_FORMAT_INTEGER)
	 }

	'行番号
	Private Const Col_B As Integer = 2
	Private Const Col_C As Integer = 3
	Private Const Col_H As Integer = 8
	'列番号
	Private Const Row_1 As Integer = 1
	Private Const Row_2 As Integer = 2
	Private Const Row_3 As Integer = 3
	Private Const Row_4 As Integer = 4
	Private Const Row_5 As Integer = 5
	Private Const Row_6 As Integer = 6

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pForm">督促画面</param>
	''' <remarks>
	''' 2011/01/04 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New(ByVal pForm As MLN010F010)
		pFrm = pForm
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 印刷・プレビュー処理（返却一覧）
	''' </summary>
	''' <param name="pPrintFlg">TRUE:印刷 FALSE:プレビュー</param>
	''' <param name="bDisplayName">氏名表示</param>
	''' <remarks>
	''' 2011/01/04 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function exePrint(ByVal pPrintFlg As Boolean, ByVal bDisplayName As Boolean) As Boolean
		pFrm.log(clsSysMst.logLevel.DBG, "exePrint", "印刷・プレビュー処理（返却一覧） Start")

		' データ取得用データテーブル＆クラス
		Dim datPrintSetting As datXTM_PRINTSETTING_EXCEL_OneRec = Nothing	'印刷設定

		'DataTableの値取得用
		Dim arData As ArrayList = Nothing
		Dim dtData As DataTable = Nothing
		Dim daHeader As datBackHeader = Nothing
		'出力ファイルパス
		Dim wFilePath As String = Nothing
		Dim wMacroNm As String = Nothing

		Try
			cliCom = New clsCom												'共通クラス
			cliExcelFunc = New clsExcelFunc									'Excel作業クラス
			cliMLN010F010 = New clsMLN010F010								'受領・貸出クラス
			'マスタデータ取得処理
			If Not cliMLN010F010.GetPrintMasterData(pFrm) Then
				Return False
			End If
			'処理対象のヘッダーデータを画面から取得する。
			daHeader = cliMLN010F010.GetPrintBackHeaderDataReturn(pFrm)
			'処理対象のデータを画面から取得する。
			dtData = cliMLN010F010.GetPrintDataReturn(pFrm, bDisplayName)
			'件数設定
			daHeader.DATA_COUNT = dtData.Rows.Count
			'印刷設定情報の取得
			datPrintSetting = cliMLN010F010.GetPrintSettingExcel(pFrm, clsMLN010F010.PRT_ID_MLN010E030, wFilePath, CST_SHTNM_FORPRINT)
			If datPrintSetting Is Nothing Then
				If dtData IsNot Nothing Then dtData.Dispose()
				'エラーが発生したので終了
				Return False
			End If
			'データシートのデータ定義情報の設定
			sDataShtInfo = ColInfo_Back
			'パラメータシートの情報設定
			SetPrmShtInfo(pFrm, daHeader)
			'マクロ名
			If pPrintFlg Then
				wMacroNm = CST_MACRO_PRINT
			Else
				wMacroNm = CST_MACRO_PREVIEW
			End If
			'印刷・プレビューの実行
			If cliMLN010F010.exePutExcel(pFrm, pPrintFlg, datPrintSetting, wFilePath, dtData, sDataShtInfo, sParmShtInfo, wMacroNm, clsMLN010F010.Enum_RunMacroMode.PrintMacro) Then
				'完了メッセージ
				cliExcelFunc.putCompleateMsg(pPrintFlg)
			End If
			If dtData IsNot Nothing Then dtData.Dispose()
			'正常処理
			Return True
		Catch ex As Exception
			Throw
		Finally
			datPrintSetting = Nothing
			dtData = Nothing
			arData = Nothing
			cliCom = Nothing
			cliExcelFunc = Nothing
			cliMLN010F010 = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' パラメータシート情報設定
	''' </summary>
	''' <param name="pFrm">受領・貸出画面</param>
	''' <remarks>
	''' 2010/12/29 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub SetPrmShtInfo(ByVal pFrm As MLN010F010, ByVal dat As datBackHeader)
		pFrm.log(clsSysMst.logLevel.DBG, "SetPrmShtInfo", "パラメータシート情報設定 Start")
		Try
			sParmShtInfo = New clsMLN010F010.ExcelPrmInfo() _
			 { _
			 New clsMLN010F010.ExcelPrmInfo(Col_B, Row_1, clsExcel.CST_FORMAT_STRING, dat.BACKCLERK_CD),
			 New clsMLN010F010.ExcelPrmInfo(Col_C, Row_1, clsExcel.CST_FORMAT_STRING, dat.BACKCLERK_NM),
			 New clsMLN010F010.ExcelPrmInfo(Col_C, Row_2, clsExcel.CST_FORMAT_STRING, dat.BACK_DT),
			 New clsMLN010F010.ExcelPrmInfo(Col_H, Row_1, clsExcel.CST_FORMAT_STRING, dat.DATA_COUNT),
			 New clsMLN010F010.ExcelPrmInfo(Col_H, Row_4, clsExcel.CST_FORMAT_STRING, dat.TITLE),
			 New clsMLN010F010.ExcelPrmInfo(Col_H, Row_5, clsExcel.CST_FORMAT_STRING, dat.DPM_NM),
			 New clsMLN010F010.ExcelPrmInfo(Col_H, Row_6, clsExcel.CST_FORMAT_STRING, dat.BYOREKI_NO_TITLE)
			 }
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

End Class
