﻿Imports XCM
Imports XSP
Imports System.Runtime.ConstrainedExecution

''' ---------------------------------------------
''' <summary>
''' 受領・貸出_受領更新一覧　Report出力クラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MLN010R020

#Region "解放処理"
	'確実な解放処理を実行するために指定
	Inherits CriticalFinalizerObject
	'解放処理を実装する為に指定
	Implements IDisposable

	''' ---------------------------------------------
	''' <summary>
	''' Dispose（解放処理）※外からはよばない
	''' </summary>
	''' <param name="disposing"></param>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overloads Sub Dispose(ByVal disposing As Boolean)
		If disposing Then
			pFrm = Nothing					'フォーム
		End If
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Finalize（解放処理）
	''' </summary>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overloads Sub Dispose() Implements IDisposable.Dispose
		Dispose(True)
		MyBase.Finalize()
		GC.SuppressFinalize(Me)
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Finalize（解放処理）※外からはよばない
	''' </summary>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub Finalize()
		Dispose(False)
		MyBase.Finalize()
	End Sub
#End Region

#Region "変数"

	'IN項目
	Private pFrm As MLN010F010 = Nothing
	'パラメータ情報
	'*********************************************
	' Workテーブルの項目順とパラメータセット順も同一にする必要があります
	'*********************************************
'(M) STR V4-11044-000 166 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
'	Private strParm() As clsMLN010F010.RptPrmInfo = _
'	 {
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmHOST_NM, Nothing, clsDB.Enum_dbType.dbNVarChar),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmPRT_ID, Nothing, clsDB.Enum_dbType.dbNVarChar),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmSORT_ORDER, Nothing, clsDB.Enum_dbType.dbInt),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmPATIENT_NO, sqlMLN010R020.itmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmHSP_HISTORY_NO, sqlMLN010R020.itmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmCH_NO, sqlMLN010R020.itmCH_NO, clsDB.Enum_dbType.dbInt),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmLENDITEM_CD, sqlMLN010R020.itmLENDITEM_CD, clsDB.Enum_dbType.dbNVarChar),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmLENDITEM_NM, sqlMLN010R020.itmLENDITEM_NM, clsDB.Enum_dbType.dbNVarChar),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmBYOREKI_NO, sqlMLN010R020.itmBYOREKI_NO, clsDB.Enum_dbType.dbNVarChar),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmPATIENT_NM, sqlMLN010R020.itmPATIENT_NM, clsDB.Enum_dbType.dbNVarChar),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmPATIENT_KNM, sqlMLN010R020.itmPATIENT_KNM, clsDB.Enum_dbType.dbNVarChar),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmGENDER_CD, sqlMLN010R020.itmGENDER_CD, clsDB.Enum_dbType.dbNVarChar),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmGENDER_NM, sqlMLN010R020.itmGENDER_NM, clsDB.Enum_dbType.dbNVarChar),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmDEPT_CD, sqlMLN010R020.itmDEPT_CD, clsDB.Enum_dbType.dbNVarChar),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmDEPT_NM, sqlMLN010R020.itmDEPT_NM, clsDB.Enum_dbType.dbNVarChar),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmDEPT_RNM, sqlMLN010R020.itmDEPT_RNM, clsDB.Enum_dbType.dbNVarChar),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmWARD_CD, sqlMLN010R020.itmWARD_CD, clsDB.Enum_dbType.dbNVarChar),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmWARD_NM, sqlMLN010R020.itmWARD_NM, clsDB.Enum_dbType.dbNVarChar),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmWARD_RNM, sqlMLN010R020.itmWARD_RNM, clsDB.Enum_dbType.dbNVarChar),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmHSP_DT, sqlMLN010R020.itmHSP_DT, clsDB.Enum_dbType.dbDateTime),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmOUT_HSP_DT, sqlMLN010R020.itmOUT_HSP_DT, clsDB.Enum_dbType.dbDateTime),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmHSP_CNL_CD, sqlMLN010R020.itmHSP_CNL_CD, clsDB.Enum_dbType.dbNVarChar),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmHSP_CNL_NM, sqlMLN010R020.itmHSP_CNL_NM, clsDB.Enum_dbType.dbNVarChar),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmHSP_CNL_RNM, sqlMLN010R020.itmHSP_CNL_RNM, clsDB.Enum_dbType.dbNVarChar),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmOUT_HSP_CNL_CD, sqlMLN010R020.itmOUT_HSP_CNL_CD, clsDB.Enum_dbType.dbNVarChar),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmOUT_HSP_CNL_NM, sqlMLN010R020.itmOUT_HSP_CNL_NM, clsDB.Enum_dbType.dbNVarChar),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmOUT_HSP_CNL_RNM, sqlMLN010R020.itmOUT_HSP_CNL_RNM, clsDB.Enum_dbType.dbNVarChar),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmOUT_HSP_OUTCOME_CD, sqlMLN010R020.itmOUT_HSP_OUTCOME_CD, clsDB.Enum_dbType.dbNVarChar),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmOUT_HSP_OUTCOME_NM, sqlMLN010R020.itmOUT_HSP_OUTCOME_NM, clsDB.Enum_dbType.dbNVarChar),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmOUT_HSP_OUTCOME_RNM, sqlMLN010R020.itmOUT_HSP_OUTCOME_RNM, clsDB.Enum_dbType.dbNVarChar),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmHSP_DAYS, sqlMLN010R020.itmHSP_DAYS, clsDB.Enum_dbType.dbInt),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmDOCTOR_CD, sqlMLN010R020.itmDOCTOR_CD, clsDB.Enum_dbType.dbNVarChar),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmDOCTOR_NM, sqlMLN010R020.itmDOCTOR_NM, clsDB.Enum_dbType.dbNVarChar),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmERR_FLG, sqlMLN010R020.itmERR_FLG, clsDB.Enum_dbType.dbInt),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmDSPORDER, sqlMLN010R020.itmSEARCH_NO, clsDB.Enum_dbType.dbInt),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmMNGSTATUS_CD, sqlMLN010R020.itmMNGSTATUS_CD, clsDB.Enum_dbType.dbNVarChar),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmMNGSTATUS_NM, sqlMLN010R020.itmMNGSTATUS_NM, clsDB.Enum_dbType.dbNVarChar),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmMNGSTATUS1_RNM, sqlMLN010R020.itmMNGSTATUS1_RNM, clsDB.Enum_dbType.dbNVarChar),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmKEEPLCT_CD, sqlMLN010R020.itmKEEPLCT_CD, clsDB.Enum_dbType.dbNVarChar),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmKEEPLCT_NM, sqlMLN010R020.itmKEEPLCT_NM, clsDB.Enum_dbType.dbNVarChar),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmKEEPLCT_RNM, sqlMLN010R020.itmKEEPLCT_RNM, clsDB.Enum_dbType.dbNVarChar),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmCNT, sqlMLN010R020.itmCNT, clsDB.Enum_dbType.dbInt),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmISSUE_DT, sqlMLN010R020.itmISSUE_DT, clsDB.Enum_dbType.dbDateTime),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmEXPECTBACK_DT, sqlMLN010R020.itmEXPECTBACK_DT, clsDB.Enum_dbType.dbDateTime),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmLENDITEM_RNM, sqlMLN010R020.itmLENDITEM_RNM, clsDB.Enum_dbType.dbNVarChar),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmSELECTED, sqlMLN010R020.itmSELECTED, clsDB.Enum_dbType.dbInt),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmBORROWER_DIV, sqlMLN010R020.itmBORROWER_DIV, clsDB.Enum_dbType.dbNVarChar),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmBORROWER_CD, sqlMLN010R020.itmBORROWER_CD, clsDB.Enum_dbType.dbNVarChar),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmBORROWER_NM, sqlMLN010R020.itmBORROWER_NM, clsDB.Enum_dbType.dbNVarChar),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmLENDAIM_CD, sqlMLN010R020.itmLENDAIM_CD, clsDB.Enum_dbType.dbNVarChar),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmLENDAIM_NM, sqlMLN010R020.itmLENDAIM_NM, clsDB.Enum_dbType.dbNVarChar),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmLENDAIM_RNM, sqlMLN010R020.itmLENDAIM_RNM, clsDB.Enum_dbType.dbNVarChar),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmLCT_CD, sqlMLN010R020.itmLCT_CD, clsDB.Enum_dbType.dbNVarChar),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmLCT_NM, sqlMLN010R020.itmLCT_NM, clsDB.Enum_dbType.dbNVarChar),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmLCT_RNM, sqlMLN010R020.itmLCT_RNM, clsDB.Enum_dbType.dbNVarChar),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmREMARKS, sqlMLN010R020.itmREMARKS, clsDB.Enum_dbType.dbNVarChar),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmTAKER_DIV, sqlMLN010R020.itmTAKER_DIV, clsDB.Enum_dbType.dbNVarChar),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmTAKER_CD, sqlMLN010R020.itmTAKER_CD, clsDB.Enum_dbType.dbNVarChar),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmTAKER_NM, sqlMLN010R020.itmTAKER_NM, clsDB.Enum_dbType.dbNVarChar),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmLENDCLERK_CD, sqlMLN010R020.itmLENDCLERK_CD, clsDB.Enum_dbType.dbNVarChar),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmLENDCLERK_NM, sqlMLN010R020.itmLENDCLERK_NM, clsDB.Enum_dbType.dbNVarChar),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmBORROWERDIV_NM, sqlMLN010R020.itmBORROWERDIV_NM, clsDB.Enum_dbType.dbNVarChar),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmTAKER_DIV_NM, sqlMLN010R020.itmTAKER_DIV_NM, clsDB.Enum_dbType.dbNVarChar),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmSLIP_CD, sqlMLN010R020.itmSLIP_CD, clsDB.Enum_dbType.dbNVarChar),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmLENDAIM_DSPORDER, sqlMLN010R020.itmLENDAIM_DSPORDER, clsDB.Enum_dbType.dbInt),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmBORROWERDIV_DSPORDER, sqlMLN010R020.itmBORROWERDIV_DSPORDER, clsDB.Enum_dbType.dbInt),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmBORROWER_DSPORDER, sqlMLN010R020.itmBORROWER_DSPORDER, clsDB.Enum_dbType.dbInt),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmLCT_DSPORDER, sqlMLN010R020.itmLCT_DSPORDER, clsDB.Enum_dbType.dbInt),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmLENDCLERK_DSPORDER, sqlMLN010R020.itmLENDCLERK_DSPORDER, clsDB.Enum_dbType.dbInt),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmDEPT_DSPORDER, sqlMLN010R020.itmDEPT_DSPORDER, clsDB.Enum_dbType.dbInt),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmWARD_DSPORDER, sqlMLN010R020.itmWARD_DSPORDER, clsDB.Enum_dbType.dbInt),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmDOCTOR_DSPORDER, sqlMLN010R020.itmDOCTOR_DSPORDER, clsDB.Enum_dbType.dbInt),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmHSP_CNL_DSPORDER, sqlMLN010R020.itmHSP_CNL_DSPORDER, clsDB.Enum_dbType.dbInt),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmOUT_HSP_CNL_DSPORDER, sqlMLN010R020.itmOUT_HSP_CNL_DSPORDER, clsDB.Enum_dbType.dbInt),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmOUT_HSP_OUTCOME_DSPORDER, sqlMLN010R020.itmOUT_HSP_OUTCOME_DSPORDER, clsDB.Enum_dbType.dbInt),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmMNGSTATUS_DSPORDER, sqlMLN010R020.itmMNGSTATUS_DSPORDER, clsDB.Enum_dbType.dbInt),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmKEEPLCT_DSPORDER, sqlMLN010R020.itmKEEPLCT_DSPORDER, clsDB.Enum_dbType.dbInt),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmLASTUPDUSER_CD, Nothing, clsDB.Enum_dbType.dbNVarChar),
'	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmLASTUPD_DT, Nothing, clsDB.Enum_dbType.dbDateTime)
	Private strParm() As clsMLN010F010.RptPrmInfo = _
	 {
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmHOST_NM, Nothing, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmPRT_ID, Nothing, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmSORT_ORDER, Nothing, clsDB.Enum_dbType.dbInt),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmPATIENT_NO, sqlMLN010R020.itmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmHSP_HISTORY_NO, sqlMLN010R020.itmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmCH_NO, sqlMLN010R020.itmCH_NO, clsDB.Enum_dbType.dbInt),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmLENDITEM_CD, sqlMLN010R020.itmLENDITEM_CD, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmLENDITEM_NM, sqlMLN010R020.itmLENDITEM_NM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmBYOREKI_NO, sqlMLN010R020.itmBYOREKI_NO, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmPATIENT_NM, sqlMLN010R020.itmPATIENT_NM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmPATIENT_KNM, sqlMLN010R020.itmPATIENT_KNM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmGENDER_CD, sqlMLN010R020.itmGENDER_CD, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmGENDER_NM, sqlMLN010R020.itmGENDER_NM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmDEPT_CD, sqlMLN010R020.itmDEPT_CD, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmDEPT_NM, sqlMLN010R020.itmDEPT_NM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmDEPT_RNM, sqlMLN010R020.itmDEPT_RNM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmWARD_CD, sqlMLN010R020.itmWARD_CD, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmWARD_NM, sqlMLN010R020.itmWARD_NM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmWARD_RNM, sqlMLN010R020.itmWARD_RNM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmHSP_DT, sqlMLN010R020.itmHSP_DT, clsDB.Enum_dbType.dbDateTime),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmOUT_HSP_DT, sqlMLN010R020.itmOUT_HSP_DT, clsDB.Enum_dbType.dbDateTime),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmHSP_CNL_CD, sqlMLN010R020.itmHSP_CNL_CD, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmHSP_CNL_NM, sqlMLN010R020.itmHSP_CNL_NM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmHSP_CNL_RNM, sqlMLN010R020.itmHSP_CNL_RNM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmOUT_HSP_CNL_CD, sqlMLN010R020.itmOUT_HSP_CNL_CD, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmOUT_HSP_CNL_NM, sqlMLN010R020.itmOUT_HSP_CNL_NM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmOUT_HSP_CNL_RNM, sqlMLN010R020.itmOUT_HSP_CNL_RNM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmOUT_HSP_OUTCOME_CD, sqlMLN010R020.itmOUT_HSP_OUTCOME_CD, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmOUT_HSP_OUTCOME_NM, sqlMLN010R020.itmOUT_HSP_OUTCOME_NM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmOUT_HSP_OUTCOME_RNM, sqlMLN010R020.itmOUT_HSP_OUTCOME_RNM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmHSP_DAYS, sqlMLN010R020.itmHSP_DAYS, clsDB.Enum_dbType.dbInt),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmDOCTOR_CD, sqlMLN010R020.itmDOCTOR_CD, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmDOCTOR_NM, sqlMLN010R020.itmDOCTOR_NM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmERR_FLG, sqlMLN010R020.itmERR_FLG, clsDB.Enum_dbType.dbInt),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmDSPORDER, sqlMLN010R020.itmSEARCH_NO, clsDB.Enum_dbType.dbInt),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmMNGSTATUS_CD, sqlMLN010R020.itmMNGSTATUS_CD, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmMNGSTATUS_NM, sqlMLN010R020.itmMNGSTATUS_NM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmMNGSTATUS1_RNM, sqlMLN010R020.itmMNGSTATUS1_RNM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmKEEPLCT_CD, sqlMLN010R020.itmKEEPLCT_CD, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmKEEPLCT_NM, sqlMLN010R020.itmKEEPLCT_NM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmKEEPLCT_RNM, sqlMLN010R020.itmKEEPLCT_RNM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmCNT, sqlMLN010R020.itmCNT, clsDB.Enum_dbType.dbInt),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmISSUE_DT, sqlMLN010R020.itmISSUE_DT, clsDB.Enum_dbType.dbDateTime),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmEXPECTBACK_DT, sqlMLN010R020.itmEXPECTBACK_DT, clsDB.Enum_dbType.dbDateTime),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmLENDITEM_RNM, sqlMLN010R020.itmLENDITEM_RNM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmSELECTED, sqlMLN010R020.itmSELECTED, clsDB.Enum_dbType.dbInt),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmBORROWER_DIV, sqlMLN010R020.itmBORROWER_DIV, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmBORROWER_CD, sqlMLN010R020.itmBORROWER_CD, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmBORROWER_NM, sqlMLN010R020.itmBORROWER_NM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmLENDAIM_CD, sqlMLN010R020.itmLENDAIM_CD, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmLENDAIM_NM, sqlMLN010R020.itmLENDAIM_NM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmLENDAIM_RNM, sqlMLN010R020.itmLENDAIM_RNM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmLCT_CD, sqlMLN010R020.itmLCT_CD, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmLCT_NM, sqlMLN010R020.itmLCT_NM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmLCT_RNM, sqlMLN010R020.itmLCT_RNM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmREMARKS, sqlMLN010R020.itmREMARKS, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmTAKER_DIV, sqlMLN010R020.itmTAKER_DIV, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmTAKER_CD, sqlMLN010R020.itmTAKER_CD, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmTAKER_NM, sqlMLN010R020.itmTAKER_NM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmLENDCLERK_CD, sqlMLN010R020.itmLENDCLERK_CD, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmLENDCLERK_NM, sqlMLN010R020.itmLENDCLERK_NM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmBORROWERDIV_NM, sqlMLN010R020.itmBORROWERDIV_NM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmTAKER_DIV_NM, sqlMLN010R020.itmTAKER_DIV_NM, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmSLIP_CD, sqlMLN010R020.itmSLIP_CD, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmLENDAIM_DSPORDER, sqlMLN010R020.itmLENDAIM_DSPORDER, clsDB.Enum_dbType.dbInt),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmBORROWERDIV_DSPORDER, sqlMLN010R020.itmBORROWERDIV_DSPORDER, clsDB.Enum_dbType.dbInt),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmBORROWER_DSPORDER, sqlMLN010R020.itmBORROWER_DSPORDER, clsDB.Enum_dbType.dbInt),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmLCT_DSPORDER, sqlMLN010R020.itmLCT_DSPORDER, clsDB.Enum_dbType.dbInt),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmLENDCLERK_DSPORDER, sqlMLN010R020.itmLENDCLERK_DSPORDER, clsDB.Enum_dbType.dbInt),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmDEPT_DSPORDER, sqlMLN010R020.itmDEPT_DSPORDER, clsDB.Enum_dbType.dbInt),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmWARD_DSPORDER, sqlMLN010R020.itmWARD_DSPORDER, clsDB.Enum_dbType.dbInt),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmDOCTOR_DSPORDER, sqlMLN010R020.itmDOCTOR_DSPORDER, clsDB.Enum_dbType.dbInt),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmHSP_CNL_DSPORDER, sqlMLN010R020.itmHSP_CNL_DSPORDER, clsDB.Enum_dbType.dbInt),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmOUT_HSP_CNL_DSPORDER, sqlMLN010R020.itmOUT_HSP_CNL_DSPORDER, clsDB.Enum_dbType.dbInt),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmOUT_HSP_OUTCOME_DSPORDER, sqlMLN010R020.itmOUT_HSP_OUTCOME_DSPORDER, clsDB.Enum_dbType.dbInt),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmMNGSTATUS_DSPORDER, sqlMLN010R020.itmMNGSTATUS_DSPORDER, clsDB.Enum_dbType.dbInt),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmKEEPLCT_DSPORDER, sqlMLN010R020.itmKEEPLCT_DSPORDER, clsDB.Enum_dbType.dbInt),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmNOTLENDBARIANCE, sqlMLN010R020.itmNOTLENDBARIANCE, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmLASTUPDUSER_CD, Nothing, clsDB.Enum_dbType.dbNVarChar),
	 New clsMLN010F010.RptPrmInfo(sqlMLN010R020.prmLASTUPD_DT, Nothing, clsDB.Enum_dbType.dbDateTime)
	 }
'(M) END V4-11044-000 166 20110909
#End Region

#Region "コンスタント"
	'帳票タイトル(頭書コメントトップが空白時使用)
	Private Const C_LEND_TITLE As String = "貸出一覧"
	Private Const C_LENDUPDATE_TITLE As String = "貸出更新一覧"

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pForm">MLN010F010</param>
	''' <remarks>
	''' 2010/12/28 新規作成 CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New(ByVal pForm As MLN010F010)
		'IN項目引き継ぎ
		pFrm = pForm					'画面ID
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 印刷・プレビュー処理（貸出・貸出更新一覧）
	''' </summary>
	''' <param name="pValuePrint">TRUE:印刷 FALSE:プレビュー</param>			
	''' <param name="bDisplayName">氏名表示</param>
	''' <remarks>
	''' 2010/12/29 新規作成　CS)平井<BR/>
	''' 2011/09/28 変更　　　FJSK)荒川<BR/>
	''' '(M) STR V4-11044-000 000 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
	''' (修正前)Public Function exeReport(ByVal pValuePrint As Boolean, ByVal bDisplayName As Boolean) As Boolean
	''' (修正後)Public Function exeReport(ByVal pValuePrint As Boolean, ByVal bDisplayName As Boolean, ByVal pRptId As String, ByVal pNonPutFlg As Boolean, ByVal pExedMode As MLN010F010.Enum_ExecStatusLend) As Boolean
	''' </remarks>
	''' ---------------------------------------------
	Public Function exeReport(ByVal pValuePrint As Boolean, ByVal bDisplayName As Boolean, ByVal pRptId As String, ByVal pNonPutFlg As Boolean, ByVal pExedMode As MLN010F010.Enum_ExecStatusLend) As Boolean
		pFrm.log(clsSysMst.logLevel.DBG, "exeReport", "印刷・プレビュー処理（貸出・貸出更新一覧） Start")

		Dim FilePath As String = Nothing								'MDBファイルパス（フルパス）
		Dim cliAccess As clsXTM_PRINTSETTING_ACCESS = Nothing			'ACCESS設定情報アクセスクラス
		Dim datAccess As datXTM_PRINTSETTING_ACCESS_OneRec = Nothing	'ACCESS設定情報データクラス
		Dim daHeader As datLendHeader = Nothing							'貸出ヘッダー
		Dim datHeader As datHeader = Nothing							'ヘッダー共通
		Dim cliCom As clsCom = Nothing									'共通クラス
		Dim cliMLN010F010 As clsMLN010F010 = Nothing					'受領・貸出クラス

		'DataTableの値取得用
		Dim arData As ArrayList = Nothing
		Dim dtData As DataTable = Nothing

		Try
			'アクセスクラスのインスタンス化
			cliAccess = New clsXTM_PRINTSETTING_ACCESS
			cliCom = New clsCom
			cliMLN010F010 = New clsMLN010F010

			'マスタデータ取得処理
			If Not cliMLN010F010.GetPrintMasterData(pFrm) Then
				Return False
			End If
			'処理対象のヘッダーデータを画面から取得する。
'(M) STR V4-11044-000 004 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
'			daHeader = cliMLN010F010.GetPrintLendHeaderDataReturn(pFrm)
			daHeader = cliMLN010F010.GetPrintLendHeaderDataReturn(pFrm, pExedMode)
'(M) END V4-11044-000 004 20110909
			'処理対象のデータを画面から取得する。
'(M) STR V4-11044-000 004 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
'			dtData = cliMLN010F010.GetPrintDataReturn(pFrm, bDisplayName)
			dtData = cliMLN010F010.GetPrintDataReturn(pFrm, bDisplayName, pNonPutFlg)
'(M) END V4-11044-000 004 20110909
			'件数設定
			daHeader.DATA_COUNT = dtData.Rows.Count
			datHeader = setHeader(daHeader)
			'印刷設定情報取得
'(M) STR V4-11044-000 004 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
'			datAccess = cliAccess.getAccessSettingOneRec(Me.pFrm.Name, clsMLN010F010.PRT_ID_MLN010R020)
			datAccess = cliAccess.getAccessSettingOneRec(Me.pFrm.Name, pRptId)
'(M) END V4-11044-000 004 20110909
			If datAccess Is Nothing Then
				Return False
			End If

			'MDBファイルパス設定
			FilePath = cliCom.setReportPath(datAccess.FILE_NM)

			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData), _
			   cliReportFunc As clsReportFunc = New clsReportFunc(pFrm, FilePath, datAccess.REPORT_NM, pValuePrint)

				With db

					'ヘッダーワーク・ワークテーブルの削除
					cliMLN010F010.DelWorkTbl(pFrm)

					'ヘッダワークの追加
					cliReportFunc.exeHeaderIns(db, datHeader, True)

					'ワークテーブルの追加
					Try
						Dim iSeq As Integer = 0
						.ctlTran(clsDB.Enum_TranMode.Begin)
						For Each rowData As DataRow In dtData.Rows
							iSeq += 1
							.setSQL(sqlMLN010R020.sqlIns_MTW_LEND_LIST)
							setParm(db, rowData, iSeq, strParm)
							.execNonQuery(False)
						Next
						.ctlTran(clsDB.Enum_TranMode.Commit)
					Catch ex As Exception
						If db.statTran() Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
						Throw
					End Try
				End With

				'AcPrint内でレポートの存在チェックを行う
				'そのため、独自ロジックは組まない。
				If Not cliReportFunc.AcPrint(datAccess.NUMBERPRINTED) Then
					Return False
				End If
			End Using
		Catch ex As Exception
			Throw
		Finally
			FilePath = Nothing
			cliAccess = Nothing
			datAccess = Nothing
			datHeader = Nothing
			cliCom = Nothing
			cliMLN010F010 = Nothing
			If dtData IsNot Nothing Then dtData.Dispose()
			dtData = Nothing
			arData = Nothing
		End Try
		Return True
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' MDB登録パラメータセット
	''' </summary>
	''' <param name="db">クラスDB</param>
	''' <param name="pRow">編集元データ行</param>
	''' <param name="pRptParm">設定情報</param>
	''' <remarks>
	''' 2010/12/29 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setParm(ByVal db As clsDB, ByVal pRow As System.Data.DataRow, ByVal iSeq As Integer, ByVal pRptParm() As clsMLN010F010.RptPrmInfo)
		pFrm.log(clsSysMst.logLevel.DBG, "setParm", "MDB登録パラメータセット Start")

		Dim strNull As String = Nothing
		Dim strS As String = sqlMLN010R020.sqlIns_MTW_LEND_LIST
		Try
			'データを出力
			For Each sParm As clsMLN010F010.RptPrmInfo In pRptParm
				With db
					If String.IsNullOrEmpty(sParm.ColNm_From) Then
						strS = strS.Replace(sParm.PrmNm_To, "NULL")
					Else
						strS = strS.Replace(sParm.PrmNm_To, "'" & pRow.Item(sParm.ColNm_From).ToString & "'")
					End If

					If Not String.IsNullOrEmpty(sParm.ColNm_From) Then
						.setParam(sParm.PrmNm_To, sParm.DbType)
						If sParm.DbType = clsDB.Enum_dbType.dbInt Then
							If String.IsNullOrEmpty(pRow.Item(sParm.ColNm_From).ToString) Then
								.setVal(sParm.PrmNm_To, strNull)
							Else
								.setVal(sParm.PrmNm_To, CInt(pRow.Item(sParm.ColNm_From).ToString), False)
							End If
						Else
							.setVal(sParm.PrmNm_To, pRow.Item(sParm.ColNm_From).ToString)
						End If
					Else
						Select Case sParm.PrmNm_To
							Case sqlMLN010R020.prmHOST_NM
								.setParam(sParm.PrmNm_To, sParm.DbType)
								.setVal(sParm.PrmNm_To, clsConst.CST_HOST_NM)
							Case sqlMLN010R020.prmPRT_ID
								.setParam(sParm.PrmNm_To, sParm.DbType)
								.setVal(sParm.PrmNm_To, clsMLN010F010.PRT_ID_MLN010R020)
							Case sqlMLN010R020.prmSORT_ORDER
								.setParam(sParm.PrmNm_To, sParm.DbType)
								.setVal(sParm.PrmNm_To, iSeq)
							Case sqlMLN010R020.prmLASTUPDUSER_CD
								.setParam(sParm.PrmNm_To, sParm.DbType)
								.setVal(sParm.PrmNm_To, pFrm._userID)
							Case sqlMLN010R020.prmLASTUPD_DT
								.setParam(sParm.PrmNm_To, sParm.DbType)
								.setVal(sParm.PrmNm_To, Now)
							Case Else
						End Select
					End If
				End With
			Next
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 共通ヘッダークラスに値を設定
	''' </summary>
	''' <param name="dat"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function setHeader(ByVal dat As datLendHeader) As datHeader
		pFrm.log(clsSysMst.logLevel.DBG, "setHeader", "共通ヘッダークラスに値を設定")
		Dim retHeader As datHeader
		Dim cliPREMISES As clsXTM_PREMISES
		Dim datPREMISES As datPremises_OneRec = Nothing
		Try
			retHeader = New datHeader
			cliPREMISES = New clsXTM_PREMISES
			'頭書マスタ取得
			datPREMISES = cliPREMISES.getPremises_OneRec_DataClass(pFrm.Name, dat.PREMISES)

			With retHeader
				'ホスト名
				.HOST_NM = clsConst.CST_HOST_NM
				'帳票ID
				.PRT_ID = clsMLN010F010.PRT_ID_MLN010R020
				'コメントトップが空白の場合は、タイトルをコメントトップに表示する
				'タイトル	
				.TITLE_NM = dat.TITLE
				'コメントトップ	
				If datPREMISES IsNot Nothing Then
					If String.IsNullOrEmpty(datPREMISES.COMMENT_TOP) Then
						.COMMENT_TOP = dat.TITLE
					Else
						.COMMENT_TOP = datPREMISES.COMMENT_TOP
					End If
					'コメント左
					.COMMENT_LEFT = datPREMISES.COMMENT_LEFT
					'コメント右
					.COMMENT_RIGHT = datPREMISES.COMMENT_RIGHT
					'コメント１	
					.COMMENT1 = datPREMISES.COMMENT1
					'コメント２
					.COMMENT2 = datPREMISES.COMMENT2
				Else
					.COMMENT_TOP = dat.TITLE
				End If
				'部署名
				.DPM_NM = dat.DPM_NM
				.STR1 = dat.BYOREKI_NO_TITLE
				' カルテ
				.STR2 = dat.BORROWER_DIV_NM
				.STR3 = dat.BORROWER_NM
				.STR4 = dat.LENDAIM_NM
				.STR5 = dat.TAKER_DIV_NM
				.STR6 = dat.TAKER_NM
				.STR7 = dat.LCT_NM
				.STR8 = dat.ISSUE_DT
				.STR9 = dat.EXPECTBACK_DT
				.STR10 = dat.REMARKS
				.STR11 = dat.SLIP_CD
'(A) STR V4-11044-000 008 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
				If pFrm.tab001MLN010F010.SelectedTab.Name = pFrm.tpg381MLN010F010.Name Then
					.STR12 = Nothing
				Else
					.STR12 = "a" & dat.SLIP_CD.Replace(sqlMTI_LEND.C_RSLIP_CD_1, String.Empty).Replace(sqlMTI_LEND.C_SLIP_CD_1, String.Empty).Replace("-", String.Empty) & "a"
				End If
				.STR13 = dat.STATUS
'(A) END V4-11044-000 008 20110909
			End With
			Return retHeader

		Catch ex As Exception
			Throw
		Finally
			retHeader = Nothing
			cliPREMISES = Nothing
			datPREMISES = Nothing
		End Try
	End Function

#End Region

End Class
