﻿Imports XCM
Imports XSP
Imports System.Runtime.ConstrainedExecution
Imports System.Collections.Specialized
Imports System.Linq
''' ---------------------------------------------
''' <summary>
''' 診療情報管理_受領貸出_受領・貸出
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class clsMLN010F010

#Region "解放処理"
	'確実な解放処理を実行するために指定
	Inherits CriticalFinalizerObject
	'解放処理を実装する為に指定
	Implements IDisposable

	''' ---------------------------------------------
	''' <summary>
	''' Dispose（解放処理）※外からはよばない
	''' </summary>
	''' <param name="disposing"></param>
	''' <remarks>
	''' 2010/12/24 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overloads Sub Dispose(ByVal disposing As Boolean)
		If disposing Then
			'ここで変数のクリアを行う
			cliCom = Nothing
			cliMTI_LENDITM = Nothing
			cliMTM_LENDITEM_MNGSTATUS = Nothing

			If pdtDeptAll IsNot Nothing Then pdtDeptAll.Dispose()
			If pdtMngStatusAll IsNot Nothing Then pdtMngStatusAll.Dispose()
			If pdtLctAll IsNot Nothing Then pdtLctAll.Dispose()
			If pdtArgStatusAll IsNot Nothing Then pdtArgStatusAll.Dispose()
			If pdtKeepLctAll IsNot Nothing Then pdtKeepLctAll.Dispose()
			If pdtLendAimAll IsNot Nothing Then pdtLendAimAll.Dispose()
			If pdtOutHspCnlAll IsNot Nothing Then pdtOutHspCnlAll.Dispose()
			If pdtOutHspOutComeAll IsNot Nothing Then pdtOutHspOutComeAll.Dispose()
			If pdtHspCnlAll IsNot Nothing Then pdtHspCnlAll.Dispose()
			If pdtWardAll IsNot Nothing Then pdtWardAll.Dispose()
			If pdtStaffAll IsNot Nothing Then pdtStaffAll.Dispose()
			If pdtStaffDivAll IsNot Nothing Then pdtStaffDivAll.Dispose()
			If pdtGenderAll IsNot Nothing Then pdtGenderAll.Dispose()
			If pdtLendItemAll IsNot Nothing Then pdtLendItemAll.Dispose()

			pdtDeptAll = Nothing
			pdtMngStatusAll = Nothing
			pdtLctAll = Nothing
			pdtArgStatusAll = Nothing
			pdtKeepLctAll = Nothing
			pdtLendAimAll = Nothing
			pdtOutHspCnlAll = Nothing
			pdtOutHspOutComeAll = Nothing
			pdtHspCnlAll = Nothing
			pdtWardAll = Nothing
			pdtStaffAll = Nothing
			pdtStaffDivAll = Nothing
			pdtGenderAll = Nothing
			pdtLendItemAll = Nothing
		End If
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Finalize（解放処理）
	''' </summary>
	''' <remarks>
	''' 2010/12/24 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overloads Sub Dispose() Implements IDisposable.Dispose
		Dispose(True)
		MyBase.Finalize()
		GC.SuppressFinalize(Me)
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Finalize（解放処理）※外からはよばない
	''' </summary>
	''' <remarks>
	''' 2010/12/24 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub Finalize()
		Dispose(False)
		MyBase.Finalize()
	End Sub

#End Region

#Region "変数"

	Private cliCom As clsCom
	Private cliMTI_LENDITM As clsMTI_LENDITM
	Private cliMTM_LENDITEM_MNGSTATUS As clsMTM_LENDITEM_MNGSTATUS
	'DataTable
	Private pdtDeptAll As DataTable
	Private pdtMngStatusAll As DataTable
	Private pdtLctAll As DataTable
	Private pdtArgStatusAll As DataTable
	Private pdtKeepLctAll As DataTable
	Private pdtLendAimAll As DataTable
	Private pdtOutHspCnlAll As DataTable
	Private pdtOutHspOutComeAll As DataTable
	Private pdtHspCnlAll As DataTable
	Private pdtWardAll As DataTable
	Private pdtStaffAll As DataTable
	Private pdtStaffDivAll As DataTable
	Private pdtGenderAll As DataTable
	Private pdtLendItemAll As DataTable
	'Excelパラメータ編集用
	Public Structure ExcelDspCdInfo
		Dim Cd As String
		Dim Nm As String

		''' ---------------------------------------------
		''' <summary>
		''' コンストラクタ
		''' </summary>
		''' <param name="pCd">コード値</param>
		''' <param name="pNm">コード名称</param>
		''' <remarks>
		''' 2010/12/10 新規作成　CS)松本<BR/>
		''' </remarks>
		''' ---------------------------------------------
		Public Sub New(ByVal pCd As String, ByVal pNm As String)
			Cd = pCd
			Nm = pNm
		End Sub
	End Structure

	'レポート用明細パラメータ定義情報
	Public Structure RptPrmInfo
		''' <summary>設定先パラメータ名</summary>
		Dim PrmNm_To As String
		''' <summary>設定元項目名</summary>
		Dim ColNm_From As String
		''' <summary>設定先パラメータdbType</summary>
		Dim DbType As clsDB.Enum_dbType

		''' ---------------------------------------------
		''' <summary>
		''' コンストラクタ
		''' </summary>
		''' <param name="pPrmNm_To">設定先パラメータ名</param>
		''' <param name="pColNm_From">設定元項目名</param>
		''' <param name="pDbType">設定先パラメータdbType</param>
		''' <remarks>
		''' 2010/12/10 新規作成　CS)松本<BR/>
		''' </remarks>
		''' ---------------------------------------------
		Sub New(ByVal pPrmNm_To As String, _
		  ByVal pColNm_From As String, _
		  ByVal pDbType As clsDB.Enum_dbType)
			With Me
				.PrmNm_To = pPrmNm_To
				.ColNm_From = pColNm_From
				.DbType = pDbType
			End With
		End Sub
	End Structure

	'Excel出力用パラメータシート定義情報
	Public Structure ExcelPrmInfo
		''' <summary>設定先列</summary>
		Dim ColIdx As Integer
		''' <summary>設定先行</summary>
		Dim RowIdx As Integer
		''' <summary>
		''' 設定先パラメータ書式
		''' (clsExcel.CST_FORMAT_STRING,CST_FORMAT_INTEGER,CST_FORMAT_DATE)
		''' </summary>
		Dim FmtType As String
		''' <summary>設定値</summary>
		Dim SetValue As String

		''' ---------------------------------------------
		''' <summary>
		''' コンストラクタ
		''' </summary>
		''' <param name="pColIdx">設定先列</param>
		''' <param name="pRowIdx">設定先行</param>
		''' <param name="pFmtType">設定先パラメータ書式</param>
		''' <param name="pSetValue">設定値</param>
		''' <remarks>
		''' 2010/12/10 新規作成　CS)松本<BR/>
		''' </remarks>
		''' ---------------------------------------------
		Sub New(ByVal pColIdx As Integer, _
		  ByVal pRowIdx As Integer, _
		  ByVal pFmtType As String, _
		  ByVal pSetValue As String)
			With Me
				.ColIdx = pColIdx
				.RowIdx = pRowIdx
				.FmtType = pFmtType
				.SetValue = pSetValue
			End With
		End Sub
	End Structure

	'Excel出力用データシート定義情報
	Public Structure ExcelDataColInfo
		''' <summary>設定元項目名</summary>
		Dim ColNm_From As String
		''' <summary>
		''' 設定先パラメータ書式
		''' (clsExcel.CST_FORMAT_STRING,CST_FORMAT_INTEGER,CST_FORMAT_DATE)
		''' </summary>
		Dim FmtType As String

		''' ---------------------------------------------
		''' <summary>
		''' コンストラクタ
		''' </summary>
		''' <param name="pColNm_From">設定元項目名</param>
		''' <param name="pFmtType">設定先パラメータ書式</param>
		''' <remarks>
		''' 2010/12/10 新規作成　CS)松本<BR/>
		''' </remarks>
		''' ---------------------------------------------
		Sub New(ByVal pColNm_From As String, ByVal pFmtType As String)
			With Me
				.ColNm_From = pColNm_From
				.FmtType = pFmtType
			End With
		End Sub
	End Structure

#End Region

#Region "コンスタント"

	Private Const CST_CHR_COMMA As Char = ","c
	Private Const CST_INT_ZERO As Integer = 0
	Private Const CST_INT_ONE As Integer = 1
	Private Const CST_INT_TWO As Integer = 2
	Private Const CST_EXCLAMATION_MARK As String = "!"
	Private Const CST_DOT As String = "."
	Private Const C_TITLE_RECEIPT As String = "受領一覧"
	Private Const C_TITLE_UPDATE As String = "受領更新一覧"
	Private Const C_TITLE_LEND As String = "貸出一覧"
'(A) STR V4-11044-000 003 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
	Private Const C_TITLE_LENDPREPARE As String = "貸出準備一覧"
'(A) END V4-11044-000 003 20110909
	Private Const C_TITLE_LENDUPDATE As String = "貸出更新一覧"
	Private Const C_TITLE_BACK As String = "返却一覧"
	'帳票の右下に病院名マスタの部署名を表示
	Private Const CST_DSP_DPM_NM As String = "1"
'(A) STR V4-11044-000 005 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
	Private Const CST_STATUS_LEND As String = "貸出不可理由"
	Private Const CST_STATUS_LENDPREPARE As String = "状況"
	Private Const CST_STATUS_LENDUPDATE As String = "状況"
'(A) END V4-11044-000 005 20110909
	'帳票ＩＤ（レポート）
	Public Const PRT_ID_MLN010R010 As String = "MLN010R010"	'受領・更新一覧
	'帳票ＩＤ（Excel）
	Public Const PRT_ID_MLN010E010 As String = "MLN010E010"	'受領・更新一覧
	'帳票ＩＤ（レポート）
	Public Const PRT_ID_MLN010R020 As String = "MLN010R020"	'貸出更新＆準備一覧
	'帳票ＩＤ（Excel）
	Public Const PRT_ID_MLN010E020 As String = "MLN010E020"	'貸出更新＆準備一覧
	'帳票ＩＤ（レポート）
	Public Const PRT_ID_MLN010R030 As String = "MLN010R030"	'返却一覧
	'帳票ＩＤ（Excel）
	Public Const PRT_ID_MLN010E030 As String = "MLN010E030"	'返却一覧
	'Excel出力時のマクロ実行パターン
	Public Enum Enum_RunMacroMode
		''' <summary>マクロなし</summary>
		NoMacro = 0
		''' <summary>マクロあり（マクロ内で出力ロジックあり）</summary>
		PrintMacro = 1
		''' <summary>マクロあり（マクロ内で出力ロジックなし）</summary>
		NotPrintMacro = 2
	End Enum

	' データ追加列テーブル（文字列）
	Private ReadOnly pAddItem_String() As String = _
	{
	 sqlMLN010F010.itmBORROWERDIV_NM,
	 sqlMLN010F010.itmBORROWERDIV_RNM,
	 sqlMLN010F010.itmDEPT_NM,
	 sqlMLN010F010.itmOUT_HSP_CNL_CD,
	 sqlMLN010F010.itmOUT_HSP_OUTCOME_CD,
	 sqlMLN010F010.itmGENDER_NM,
	 sqlMLN010F010.itmHSP_CNL_NM,
	 sqlMLN010F010.itmHSP_CNL_RNM,
	 sqlMLN010F010.itmLENDITEM_NM,
	 sqlMLN010F010.itmMNGSTATUS_NM,
	 sqlMLN010F010.itmKEEPLCT_NM,
	 sqlMLN010F010.itmOUT_HSP_CNL_NM,
	 sqlMLN010F010.itmOUT_HSP_CNL_RNM,
	 sqlMLN010F010.itmOUT_HSP_OUTCOME_NM,
	 sqlMLN010F010.itmOUT_HSP_OUTCOME_RNM,
	 sqlMLN010F010.itmHSP_CNL_CD,
	 sqlMLN010F010.itmWARD_NM,
	 sqlMLN010F010.itmWARD_RNM,
	 sqlMLN010F010.itmRECEIPT_DT,
	 sqlMLN010F010.itmARG_STATUS_CD,
	 sqlMLN010F010.itmARG_STATUS_NM,
	 sqlMLN010F010.itmARG_STATUS_RNM,
	 sqlMLN010F010.itmRECIPIENT_CD,
	 sqlMLN010F010.itmRECIPIENT_NM,
	 sqlMLN010F010.itmMAKER_CD,
	 sqlMLN010F010.itmMAKER_NM,
	 sqlMLN010F010.itmLENDAIM_NM,
	 sqlMLN010F010.itmLCT_NM,
	 sqlMLN010F010.itmLCT_RNM,
	 sqlMLN010F010.itmLENDCLERK_NM,
	 sqlMLN010F010.itmTAKER_DIV_NM,
	 sqlMLN010F010.itmBACK_DT,
	 sqlMLN010F010.itmSUMMARY_MNGSTATUS_CD_1,
	 sqlMLN010F010.itmSUMMARY_MNGSTATUS1_RNM_1,
	 sqlMLN010F010.itmSUMMARY_MAKER_CD_1,
	 sqlMLN010F010.itmSUMMARY_MAKER_NM_1,
	 sqlMLN010F010.itmSUMMARY_MNGSTATUS_CD_2,
	 sqlMLN010F010.itmSUMMARY_MNGSTATUS1_RNM_2,
	 sqlMLN010F010.itmSUMMARY_MAKER_CD_2,
	 sqlMLN010F010.itmSUMMARY_MAKER_NM_2,
	 sqlMLN010F010.itmSUMMARY_MNGSTATUS_CD_3,
	 sqlMLN010F010.itmSUMMARY_MNGSTATUS1_RNM_3,
	 sqlMLN010F010.itmSUMMARY_MAKER_CD_3,
	 sqlMLN010F010.itmSUMMARY_MAKER_NM_3,
	 sqlMLN010F010.itmSUMMARY_MNGSTATUS_CD_4,
	 sqlMLN010F010.itmSUMMARY_MNGSTATUS1_RNM_4,
	 sqlMLN010F010.itmSUMMARY_MAKER_CD_4,
	 sqlMLN010F010.itmSUMMARY_MAKER_NM_4,
	 sqlMLN010F010.itmSUMMARY_MNGSTATUS_CD_5,
	 sqlMLN010F010.itmSUMMARY_MNGSTATUS1_RNM_5,
	 sqlMLN010F010.itmSUMMARY_MAKER_CD_5,
	 sqlMLN010F010.itmSUMMARY_MAKER_NM_5
	}

	' データ追加列テーブル（数字列）
'(M) STR V4-12051-000 046 2013/01/23 ID)荒川 病歴大将V4PKG 管理No.32 ソート条件名称からコードに修正
	'Private ReadOnly pAddItem_Integer() As String = _
	'{
	' sqlMLN010F010.itmDSPORDER,
	' sqlMLN010F010.itmARG_STATUS_DSPORDER,
	' sqlMLN010F010.itmBORROWER_DSPORDER,
	' sqlMLN010F010.itmBORROWERDIV_DSPORDER,
	' sqlMLN010F010.itmDEPT_DSPORDER,
	' sqlMLN010F010.itmDOCTOR_DSPORDER,
	' sqlMLN010F010.itmHSP_CNL_DSPORDER,
	' sqlMLN010F010.itmHSP_DAYS,
	' sqlMLN010F010.itmKEEPLCT_DSPORDER,
	' sqlMLN010F010.itmLCT_DSPORDER,
	' sqlMLN010F010.itmLENDAIM_DSPORDER,
	' sqlMLN010F010.itmLENDCLERK_DSPORDER,
	' sqlMLN010F010.itmMAKER_DSPORDER,
	' sqlMLN010F010.itmMNGSTATUS_DSPORDER,
	' sqlMLN010F010.itmOUT_HSP_CNL_DSPORDER,
	' sqlMLN010F010.itmOUT_HSP_OUTCOME_DSPORDER,
	' sqlMLN010F010.itmRECIPIENT_DSPORDER,
	' sqlMLN010F010.itmWARD_DSPORDER,
	' sqlMLN010F010.itmTAKER_DSPORDER
	'}
	Private ReadOnly pAddItem_Integer() As String = _
	{
	 sqlMLN010F010.itmDSPORDER,
	 sqlMLN010F010.itmARG_STATUS_DSPORDER,
	 sqlMLN010F010.itmBORROWER_DSPORDER,
	 sqlMLN010F010.itmBORROWERDIV_DSPORDER,
	 sqlMLN010F010.itmDEPT_DSPORDER,
	 sqlMLN010F010.itmHSP_CNL_DSPORDER,
	 sqlMLN010F010.itmHSP_DAYS,
	 sqlMLN010F010.itmKEEPLCT_DSPORDER,
	 sqlMLN010F010.itmLCT_DSPORDER,
	 sqlMLN010F010.itmLENDAIM_DSPORDER,
	 sqlMLN010F010.itmLENDCLERK_DSPORDER,
	 sqlMLN010F010.itmMAKER_DSPORDER,
	 sqlMLN010F010.itmMNGSTATUS_DSPORDER,
	 sqlMLN010F010.itmOUT_HSP_CNL_DSPORDER,
	 sqlMLN010F010.itmOUT_HSP_OUTCOME_DSPORDER,
	 sqlMLN010F010.itmRECIPIENT_DSPORDER,
	 sqlMLN010F010.itmWARD_DSPORDER,
	 sqlMLN010F010.itmTAKER_DSPORDER
	}
'(M) END V4-12051-000 046 2013/01/23

	'ワークテーブル削除用ＳＱＬ
	Private ReadOnly DEL_PRT_WORK_SQL() As String = { _
	 sqlMLN010F010.sqlDel_MTW_RECEIPT_LIST,
	 sqlMLN010F010.sqlDel_MTW_LEND_LIST,
	 sqlMLN010F010.sqlDel_MTW_BACK_LIST
	}
	''' <summary>
	''' 表示切替（０：表示しない、１：表示する）
	''' </summary>
	Private Enum Enum_Display As Integer
		NoneDisplay = 0
		Display = 1
	End Enum

	' サマリ歴項目名
	Private Const C_SUMMARY_MNGSTATUS_CD As String = "SUMMARY_MNGSTATUS_CD_{0}"
	Private Const C_SUMMARY_MNGSTATUS1_RNM As String = "SUMMARY_MNGSTATUS1_RNM_{0}"
	Private Const C_SUMMARY_MAKER_CD As String = "SUMMARY_MAKER_CD_{0}"
	Private Const C_SUMMARY_MAKER_NM As String = "SUMMARY_MAKER_NM_{0}"
#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' マスタデータ取得処理
	''' </summary>
	''' <param name="pFrm"></param>
	''' <remarks>
	''' 2010/12/27 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function GetPrintMasterData(ByVal pFrm As MLN010F010) As Boolean
		pFrm.log(clsSysMst.logLevel.DBG, "GetPrintMasterData", "マスタデータ取得処理")
		Try
			' インスタンス生成
			cliCom = New clsCom
			cliMTI_LENDITM = New clsMTI_LENDITM
			cliMTM_LENDITEM_MNGSTATUS = New clsMTM_LENDITEM_MNGSTATUS
			' 貸出物マスタ取得
			pdtLendItemAll = getLendItemAll(pFrm)
			If pdtLendItemAll Is Nothing OrElse pdtLendItemAll.Rows.Count <= 0 Then
				pFrm.showMsg("E0015", "貸出物マスタ", Nothing)
				Return False
			End If
			'マスタデータ取得
			pdtDeptAll = getDeptAll(pFrm)
			pdtMngStatusAll = getMngStatusAll(pFrm)
			pdtLctAll = getLctAll(pFrm)
			pdtArgStatusAll = getArgStatusAll(pFrm)
			pdtKeepLctAll = getKeepLctAll(pFrm)
			pdtLendAimAll = getLendAimAll(pFrm)
			pdtOutHspCnlAll = getOutHspCnlAll(pFrm)
			pdtOutHspOutComeAll = getOutHspOutComeAll(pFrm)
			pdtHspCnlAll = getHspCnlAll(pFrm)
			pdtWardAll = getWardAll(pFrm)
			pdtStaffAll = getStaffAll(pFrm)
			pdtStaffDivAll = getStaffDivAll(pFrm)
			pdtGenderAll = getGenderAll(pFrm)

			Return True
		Catch ex As Exception
			Throw
		Finally
			cliCom = Nothing
			cliMTI_LENDITM = Nothing
			cliMTM_LENDITEM_MNGSTATUS = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 受領：出力用ヘッダーデータ取得
	''' </summary>
	''' <param name="pFrm"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/27 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function GetPrintReceiptHeaderDataReturn(ByVal pFrm As MLN010F010) As datReceiptHeader
		pFrm.log(clsSysMst.logLevel.DBG, "GetPrintReceiptHeaderDataReturn", "受領：出力用ヘッダーデータ取得 Start")
		Try
			' インスタンス生成
			cliCom = New clsCom
			cliMTI_LENDITM = New clsMTI_LENDITM
			cliMTM_LENDITEM_MNGSTATUS = New clsMTM_LENDITEM_MNGSTATUS

			Dim dr As DataRow
			Dim dat As New datReceiptHeader
			Dim strLendItem_Nm1 As String = String.Empty
			Dim strLendItem_Nm2 As String = String.Empty
			Dim strLendItem_Nm3 As String = String.Empty
			Dim strLendItem_Nm4 As String = String.Empty
			Dim strLendItem_Nm5 As String = String.Empty
			'貸出物マスタ（カルテ）
			dat.LENDITEM_CD1 = CType(clsConst.Enum_Lenditem.MedicalRecord, String)
			dr = getLendItemRow(pFrm, CType(clsConst.Enum_Lenditem.MedicalRecord, String))
			If dr IsNot Nothing AndAlso
			 Not String.IsNullOrEmpty(dr(sqlMLN010F010.itmLENDITEM_NM).ToString) Then
				strLendItem_Nm1 = dr(sqlMLN010F010.itmLENDITEM_NM).ToString
			End If
			'貸出物マスタ（サマリ）
			dat.LENDITEM_CD2 = CType(clsConst.Enum_Lenditem.Summary, String)
			dr = getLendItemRow(pFrm, CType(clsConst.Enum_Lenditem.Summary, String))
			If dr IsNot Nothing AndAlso
			 Not String.IsNullOrEmpty(dr(sqlMLN010F010.itmLENDITEM_NM).ToString) Then
				strLendItem_Nm2 = dr(sqlMLN010F010.itmLENDITEM_NM).ToString
			End If
			'貸出物マスタ（他１）
			dat.LENDITEM_CD3 = CType(clsConst.Enum_Lenditem.LendItem3, String)
			dr = getLendItemRow(pFrm, CType(clsConst.Enum_Lenditem.LendItem3, String))
			If dr IsNot Nothing AndAlso
			 Not String.IsNullOrEmpty(dr(sqlMLN010F010.itmLENDITEM_NM).ToString) Then
				strLendItem_Nm3 = dr(sqlMLN010F010.itmLENDITEM_NM).ToString
			End If
			'貸出物マスタ（他２）
			dat.LENDITEM_CD4 = CType(clsConst.Enum_Lenditem.LendItem4, String)
			dr = getLendItemRow(pFrm, CType(clsConst.Enum_Lenditem.LendItem4, String))
			If dr IsNot Nothing AndAlso
			 Not String.IsNullOrEmpty(dr(sqlMLN010F010.itmLENDITEM_NM).ToString) Then
				strLendItem_Nm4 = dr(sqlMLN010F010.itmLENDITEM_NM).ToString
			End If
			'貸出物マスタ（他３）
			dat.LENDITEM_CD5 = CType(clsConst.Enum_Lenditem.LendItem5, String)
			dr = getLendItemRow(pFrm, CType(clsConst.Enum_Lenditem.LendItem5, String))
			If dr IsNot Nothing AndAlso
			 Not String.IsNullOrEmpty(dr(sqlMLN010F010.itmLENDITEM_NM).ToString) Then
				strLendItem_Nm5 = dr(sqlMLN010F010.itmLENDITEM_NM).ToString
			End If
			If pFrm.tab001MLN010F010.SelectedTab.Name = pFrm.tpg002MLN010F010.Name Then
				'■受領■
				If Not String.IsNullOrEmpty(strLendItem_Nm1) AndAlso
				 chkLendItem(pFrm, pFrm.dgv038MLN010F010.DataSource, clsConst.Enum_Lenditem.MedicalRecord) Then
					'■カルテ
					dat.LENDITEM_NM1 = strLendItem_Nm1
					dat.RECORD_COUNT = pFrm.nud045MLN010F010.Text
					dat.RECORD_RECEIPT_DT = pFrm.dte043MLN010F010.Text
					dat.RECORD_RECIPIENT_CD = pFrm.cmb056MLN010F010.Text
					dat.RECORD_RECIPIENT_NM = pFrm.lbl057MLN010F010.Text
					dat.RECORD_KEEPLCT_CD = pFrm.cmb050MLN010F010.Text
					'貸出物保管場所マスタ
					dr = getKeepLctRow(pFrm, CType(clsConst.Enum_Lenditem.MedicalRecord, String), dat.RECORD_KEEPLCT_CD)
					If dr IsNot Nothing Then
						dat.RECORD_KEEPLCT_NM = dr(sqlMLN010F010.itmKEEPLCT_NM).ToString
						dat.RECORD_KEEPLCT_RNM = dr(sqlMLN010F010.itmKEEPLCT_RNM).ToString
					End If
					dat.RECORD_ARG_STATUS_CD = pFrm.cmb053MLN010F010.Text
					'貸出物整理状況マスタ
					dr = getArgStatusRow(pFrm, CType(clsConst.Enum_Lenditem.MedicalRecord, String), dat.RECORD_ARG_STATUS_CD)
					If dr IsNot Nothing Then
						dat.RECORD_ARG_STATUS_NM = dr(sqlMLN010F010.itmARG_STATUS_NM).ToString
						dat.RECORD_ARG_STATUS_RNM = dr(sqlMLN010F010.itmARG_STATUS_RNM).ToString
					End If
					dat.RECORD_MNGSTATUS_CD = pFrm.cmb047MLN010F010.Text
					'貸出物管理状況マスタ
					dr = getMngStatusRow(pFrm, CType(clsConst.Enum_Lenditem.MedicalRecord, String), dat.RECORD_MNGSTATUS_CD)
					If dr IsNot Nothing Then
						dat.RECORD_MNGSTATUS_NM = dr(sqlMLN010F010.itmMNGSTATUS_NM).ToString
						dat.RECORD_MNGSTATUS_RNM = dr(sqlMLN010F010.itmMNGSTATUS1_RNM).ToString
					End If
				End If
				If Not String.IsNullOrEmpty(strLendItem_Nm2) AndAlso
				 chkLendItem(pFrm, pFrm.dgv038MLN010F010.DataSource, clsConst.Enum_Lenditem.Summary) Then
					'■サマリ
					dat.LENDITEM_NM2 = strLendItem_Nm2
					dat.SUMMARY_COUNT = pFrm.nud063MLN010F010.Text
					dat.SUMMARY_RECEIPT_DT = pFrm.dte061MLN010F010.Text
					dat.SUMMARY_KEEPLCT_CD = pFrm.cmb066MLN010F010.Text
					'貸出物保管場所マスタ
					dr = getKeepLctRow(pFrm, CType(clsConst.Enum_Lenditem.Summary, String), dat.SUMMARY_KEEPLCT_CD)
					If dr IsNot Nothing Then
						dat.SUMMARY_KEEPLCT_NM = dr(sqlMLN010F010.itmKEEPLCT_NM).ToString
						dat.SUMMARY_KEEPLCT_RNM = dr(sqlMLN010F010.itmKEEPLCT_RNM).ToString
					End If
					dat.SUMMARY_MNGSTATUS_CD = pFrm.cmb064MLN010F010.Text
					'貸出物管理状況マスタ
					dr = getMngStatusRow(pFrm, CType(clsConst.Enum_Lenditem.Summary, String), dat.SUMMARY_MNGSTATUS_CD)
					If dr IsNot Nothing Then
						dat.SUMMARY_MNGSTATUS_NM = dr(sqlMLN010F010.itmMNGSTATUS_NM).ToString
						dat.SUMMARY_MNGSTATUS_RNM = dr(sqlMLN010F010.itmMNGSTATUS1_RNM).ToString
					End If
					If pFrm.rdo069MLN010F010.Checked Then
						dat.SUMMARY_MAKER_CD = String.Empty
						dat.SUMMARY_MAKER_NM = pFrm.rdo069MLN010F010.Text
					Else
						dat.SUMMARY_MAKER_CD = pFrm.cmb066MLN010F010.Text
						dat.SUMMARY_MAKER_NM = pFrm.lbl073MLN010F010.Text
					End If
					dat.SUMMARY_APPROVAL_DT = pFrm.dte075MLN010F010.Text
				End If
				If Not String.IsNullOrEmpty(strLendItem_Nm3) AndAlso
				 chkLendItem(pFrm, pFrm.dgv038MLN010F010.DataSource, clsConst.Enum_Lenditem.LendItem3) Then
					'■他１
					dat.LENDITEM_NM3 = strLendItem_Nm3
					dat.OTHER1_COUNT = pFrm.nud082MLN010F010.Text
					dat.OTHER1_RECEIPT_DT = pFrm.dte080MLN010F010.Text
					dat.OTHER1_KEEPLCT_CD = pFrm.cmb085MLN010F010.Text
					'貸出物保管場所マスタ
					dr = getKeepLctRow(pFrm, CType(clsConst.Enum_Lenditem.LendItem3, String), dat.OTHER1_KEEPLCT_CD)
					If dr IsNot Nothing Then
						dat.OTHER1_KEEPLCT_NM = dr(sqlMLN010F010.itmKEEPLCT_NM).ToString
						dat.OTHER1_KEEPLCT_RNM = dr(sqlMLN010F010.itmKEEPLCT_RNM).ToString
					End If
					dat.OTHER1_MNGSTATUS_CD = pFrm.cmb083MLN010F010.Text
					'貸出物管理状況マスタ
					dr = getMngStatusRow(pFrm, CType(clsConst.Enum_Lenditem.LendItem3, String), dat.OTHER1_MNGSTATUS_CD)
					If dr IsNot Nothing Then
						dat.OTHER1_MNGSTATUS_NM = dr(sqlMLN010F010.itmMNGSTATUS_NM).ToString
						dat.OTHER1_MNGSTATUS_RNM = dr(sqlMLN010F010.itmMNGSTATUS1_RNM).ToString
					End If
				End If
				If Not String.IsNullOrEmpty(strLendItem_Nm4) AndAlso
				 chkLendItem(pFrm, pFrm.dgv038MLN010F010.DataSource, clsConst.Enum_Lenditem.LendItem4) Then
					'■他２
					dat.LENDITEM_NM4 = strLendItem_Nm4
					dat.OTHER2_COUNT = pFrm.nud093MLN010F010.Text
					dat.OTHER2_RECEIPT_DT = pFrm.dte091MLN010F010.Text
					dat.OTHER2_KEEPLCT_CD = pFrm.cmb096MLN010F010.Text
					'貸出物保管場所マスタ
					dr = getKeepLctRow(pFrm, CType(clsConst.Enum_Lenditem.LendItem4, String), dat.OTHER2_KEEPLCT_CD)
					If dr IsNot Nothing Then
						dat.OTHER2_KEEPLCT_NM = dr(sqlMLN010F010.itmKEEPLCT_NM).ToString
						dat.OTHER2_KEEPLCT_RNM = dr(sqlMLN010F010.itmKEEPLCT_RNM).ToString
					End If
					dat.OTHER2_MNGSTATUS_CD = pFrm.cmb094MLN010F010.Text
					'貸出物管理状況マスタ
					dr = getMngStatusRow(pFrm, CType(clsConst.Enum_Lenditem.LendItem4, String), dat.OTHER2_MNGSTATUS_CD)
					If dr IsNot Nothing Then
						dat.OTHER2_MNGSTATUS_NM = dr(sqlMLN010F010.itmMNGSTATUS_NM).ToString
						dat.OTHER2_MNGSTATUS_RNM = dr(sqlMLN010F010.itmMNGSTATUS1_RNM).ToString
					End If
				End If
				If Not String.IsNullOrEmpty(strLendItem_Nm5) AndAlso
				 chkLendItem(pFrm, pFrm.dgv038MLN010F010.DataSource, clsConst.Enum_Lenditem.LendItem5) Then
					'■他３
					dat.LENDITEM_NM5 = strLendItem_Nm5
					dat.OTHER3_COUNT = pFrm.nud104MLN010F010.Text
					dat.OTHER3_RECEIPT_DT = pFrm.dte102MLN010F010.Text
					dat.OTHER3_KEEPLCT_CD = pFrm.cmb107MLN010F010.Text
					'貸出物保管場所マスタ
					dr = getKeepLctRow(pFrm, CType(clsConst.Enum_Lenditem.LendItem5, String), dat.OTHER3_KEEPLCT_CD)
					If dr IsNot Nothing Then
						dat.OTHER3_KEEPLCT_NM = dr(sqlMLN010F010.itmKEEPLCT_NM).ToString
						dat.OTHER3_KEEPLCT_RNM = dr(sqlMLN010F010.itmKEEPLCT_RNM).ToString
					End If
					dat.OTHER3_MNGSTATUS_CD = pFrm.cmb105MLN010F010.Text
					'貸出物管理状況マスタ
					dr = getMngStatusRow(pFrm, CType(clsConst.Enum_Lenditem.LendItem5, String), dat.OTHER3_MNGSTATUS_CD)
					If dr IsNot Nothing Then
						dat.OTHER3_MNGSTATUS_NM = dr(sqlMLN010F010.itmMNGSTATUS_NM).ToString
						dat.OTHER3_MNGSTATUS_RNM = dr(sqlMLN010F010.itmMNGSTATUS1_RNM).ToString
					End If
				End If
				' 頭書き識別コード
				dat.PREMISES = MLN010F010.C_PRIMESES_RECEIPT
				' タイトル
				dat.TITLE = C_TITLE_RECEIPT
			Else
				'■更新■
				If Not String.IsNullOrEmpty(strLendItem_Nm1) AndAlso
				 chkLendItem(pFrm, pFrm.dgv292MLN010F010.DataSource, clsConst.Enum_Lenditem.MedicalRecord) Then
					'■カルテ
					dat.LENDITEM_NM1 = strLendItem_Nm1
					dat.RECORD_COUNT = pFrm.nud299MLN010F010.Text
					dat.RECORD_RECEIPT_DT = pFrm.dte297MLN010F010.Text
					dat.RECORD_RECIPIENT_CD = pFrm.cmb310MLN010F010.Text
					dat.RECORD_RECIPIENT_NM = pFrm.lbl311MLN010F010.Text
					dat.RECORD_KEEPLCT_CD = pFrm.cmb304MLN010F010.Text
					'貸出物保管場所マスタ
					dr = getKeepLctRow(pFrm, CType(clsConst.Enum_Lenditem.MedicalRecord, String), dat.RECORD_KEEPLCT_CD)
					If dr IsNot Nothing Then
						dat.RECORD_KEEPLCT_NM = dr(sqlMLN010F010.itmKEEPLCT_NM).ToString
						dat.RECORD_KEEPLCT_RNM = dr(sqlMLN010F010.itmKEEPLCT_RNM).ToString
					End If
					dat.RECORD_ARG_STATUS_CD = pFrm.cmb307MLN010F010.Text
					'貸出物整理状況マスタ
					dr = getArgStatusRow(pFrm, CType(clsConst.Enum_Lenditem.MedicalRecord, String), dat.RECORD_ARG_STATUS_CD)
					If dr IsNot Nothing Then
						dat.RECORD_ARG_STATUS_NM = dr(sqlMLN010F010.itmARG_STATUS_NM).ToString
						dat.RECORD_ARG_STATUS_RNM = dr(sqlMLN010F010.itmARG_STATUS_RNM).ToString
					End If
					dat.RECORD_MNGSTATUS_CD = pFrm.cmb301MLN010F010.Text
					'貸出物管理状況マスタ
					dr = getMngStatusRow(pFrm, CType(clsConst.Enum_Lenditem.MedicalRecord, String), dat.RECORD_MNGSTATUS_CD)
					If dr IsNot Nothing Then
						dat.RECORD_MNGSTATUS_NM = dr(sqlMLN010F010.itmMNGSTATUS_NM).ToString
						dat.RECORD_MNGSTATUS_RNM = dr(sqlMLN010F010.itmMNGSTATUS1_RNM).ToString
					End If
				End If
				If Not String.IsNullOrEmpty(strLendItem_Nm2) AndAlso
				 chkLendItem(pFrm, pFrm.dgv292MLN010F010.DataSource, clsConst.Enum_Lenditem.Summary) Then
					'■サマリ
					dat.LENDITEM_NM2 = strLendItem_Nm2
					dat.SUMMARY_COUNT = pFrm.nud317MLN010F010.Text
					dat.SUMMARY_RECEIPT_DT = pFrm.dte315MLN010F010.Text
					dat.SUMMARY_KEEPLCT_CD = pFrm.cmb320MLN010F010.Text
					'貸出物保管場所マスタ
					dr = getKeepLctRow(pFrm, CType(clsConst.Enum_Lenditem.Summary, String), dat.SUMMARY_KEEPLCT_CD)
					If dr IsNot Nothing Then
						dat.SUMMARY_KEEPLCT_NM = dr(sqlMLN010F010.itmKEEPLCT_NM).ToString
						dat.SUMMARY_KEEPLCT_RNM = dr(sqlMLN010F010.itmKEEPLCT_RNM).ToString
					End If
					dat.SUMMARY_MNGSTATUS_CD = pFrm.cmb318MLN010F010.Text
					'貸出物管理状況マスタ
					dr = getMngStatusRow(pFrm, CType(clsConst.Enum_Lenditem.Summary, String), dat.SUMMARY_MNGSTATUS_CD)
					If dr IsNot Nothing Then
						dat.SUMMARY_MNGSTATUS_NM = dr(sqlMLN010F010.itmMNGSTATUS_NM).ToString
						dat.SUMMARY_MNGSTATUS_RNM = dr(sqlMLN010F010.itmMNGSTATUS1_RNM).ToString
					End If
					If pFrm.rdo323MLN010F010.Checked Then
						dat.SUMMARY_MAKER_CD = String.Empty
						dat.SUMMARY_MAKER_NM = pFrm.rdo323MLN010F010.Text
					Else
						dat.SUMMARY_MAKER_CD = pFrm.cmb326MLN010F010.Text
						dat.SUMMARY_MAKER_NM = pFrm.lbl327MLN010F010.Text
					End If
					dat.SUMMARY_APPROVAL_DT = pFrm.dte329MLN010F010.Text
				End If
				If Not String.IsNullOrEmpty(strLendItem_Nm3) AndAlso
				 chkLendItem(pFrm, pFrm.dgv292MLN010F010.DataSource, clsConst.Enum_Lenditem.LendItem3) Then
					'■他１
					dat.LENDITEM_NM3 = strLendItem_Nm3
					dat.OTHER1_COUNT = pFrm.nud336MLN010F010.Text
					dat.OTHER1_RECEIPT_DT = pFrm.dte334MLN010F010.Text
					dat.OTHER1_KEEPLCT_CD = pFrm.cmb339MLN010F010.Text
					'貸出物保管場所マスタ
					dr = getKeepLctRow(pFrm, CType(clsConst.Enum_Lenditem.LendItem3, String), dat.OTHER1_KEEPLCT_CD)
					If dr IsNot Nothing Then
						dat.OTHER1_KEEPLCT_NM = dr(sqlMLN010F010.itmKEEPLCT_NM).ToString
						dat.OTHER1_KEEPLCT_RNM = dr(sqlMLN010F010.itmKEEPLCT_RNM).ToString
					End If
					dat.OTHER1_MNGSTATUS_CD = pFrm.cmb337MLN010F010.Text
					'貸出物管理状況マスタ
					dr = getMngStatusRow(pFrm, CType(clsConst.Enum_Lenditem.LendItem3, String), dat.OTHER1_MNGSTATUS_CD)
					If dr IsNot Nothing Then
						dat.OTHER1_MNGSTATUS_NM = dr(sqlMLN010F010.itmMNGSTATUS_NM).ToString
						dat.OTHER1_MNGSTATUS_RNM = dr(sqlMLN010F010.itmMNGSTATUS1_RNM).ToString
					End If
				End If
				If Not String.IsNullOrEmpty(strLendItem_Nm4) AndAlso
				 chkLendItem(pFrm, pFrm.dgv292MLN010F010.DataSource, clsConst.Enum_Lenditem.LendItem4) Then
					'■他２
					dat.LENDITEM_NM4 = strLendItem_Nm4
					dat.OTHER2_COUNT = pFrm.nud347MLN010F010.Text
					dat.OTHER2_RECEIPT_DT = pFrm.dte345MLN010F010.Text
					dat.OTHER2_KEEPLCT_CD = pFrm.cmb350MLN010F010.Text
					'貸出物保管場所マスタ
					dr = getKeepLctRow(pFrm, CType(clsConst.Enum_Lenditem.LendItem4, String), dat.OTHER2_KEEPLCT_CD)
					If dr IsNot Nothing Then
						dat.OTHER2_KEEPLCT_NM = dr(sqlMLN010F010.itmKEEPLCT_NM).ToString
						dat.OTHER2_KEEPLCT_RNM = dr(sqlMLN010F010.itmKEEPLCT_RNM).ToString
					End If
					dat.OTHER2_MNGSTATUS_CD = pFrm.cmb348MLN010F010.Text
					'貸出物管理状況マスタ
					dr = getMngStatusRow(pFrm, CType(clsConst.Enum_Lenditem.LendItem4, String), dat.OTHER2_MNGSTATUS_CD)
					If dr IsNot Nothing Then
						dat.OTHER2_MNGSTATUS_NM = dr(sqlMLN010F010.itmMNGSTATUS_NM).ToString
						dat.OTHER2_MNGSTATUS_RNM = dr(sqlMLN010F010.itmMNGSTATUS1_RNM).ToString
					End If
				End If
				If Not String.IsNullOrEmpty(strLendItem_Nm5) AndAlso
				 chkLendItem(pFrm, pFrm.dgv292MLN010F010.DataSource, clsConst.Enum_Lenditem.LendItem5) Then
					'■他３
					dat.LENDITEM_NM5 = strLendItem_Nm5
					dat.OTHER3_COUNT = pFrm.nud358MLN010F010.Text
					dat.OTHER3_RECEIPT_DT = pFrm.dte356MLN010F010.Text
					dat.OTHER3_KEEPLCT_CD = pFrm.cmb361MLN010F010.Text
					'貸出物保管場所マスタ
					dr = getKeepLctRow(pFrm, CType(clsConst.Enum_Lenditem.LendItem5, String), dat.OTHER3_KEEPLCT_CD)
					If dr IsNot Nothing Then
						dat.OTHER3_KEEPLCT_NM = dr(sqlMLN010F010.itmKEEPLCT_NM).ToString
						dat.OTHER3_KEEPLCT_RNM = dr(sqlMLN010F010.itmKEEPLCT_RNM).ToString
					End If
					dat.OTHER3_MNGSTATUS_CD = pFrm.cmb359MLN010F010.Text
					'貸出物管理状況マスタ
					dr = getMngStatusRow(pFrm, CType(clsConst.Enum_Lenditem.LendItem5, String), dat.OTHER3_MNGSTATUS_CD)
					If dr IsNot Nothing Then
						dat.OTHER3_MNGSTATUS_NM = dr(sqlMLN010F010.itmMNGSTATUS_NM).ToString
						dat.OTHER3_MNGSTATUS_RNM = dr(sqlMLN010F010.itmMNGSTATUS1_RNM).ToString
					End If
				End If
				' 頭書き識別コード
				dat.PREMISES = MLN010F010.C_PRIMESES_UPDATE
				' タイトル
				dat.TITLE = C_TITLE_UPDATE
			End If
			' 部署名
			dat.DPM_NM = GetDpmNm(pFrm)
			' 病歴番号タイトル
			dat.BYOREKI_NO_TITLE = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00001)
			Return dat
		Catch ex As Exception
			Throw
		Finally
			cliCom = Nothing
			cliMTI_LENDITM = Nothing
			cliMTM_LENDITEM_MNGSTATUS = Nothing
		End Try
	End Function

	''' <summary>
	''' 貸出物存在判定
	''' </summary>
	''' <param name="pFrm"></param>
	''' <param name="dat"></param>
	''' <param name="enumLendItem_Cd"></param>
	''' <returns></returns>
	''' <remarks></remarks>
	Private Function chkLendItem(ByVal pFrm As MLN010F010, ByVal dat As DataTable, ByVal enumLendItem_Cd As clsConst.Enum_Lenditem) As Boolean
		pFrm.log(clsSysMst.logLevel.DBG, "chkLendItem", "貸出物存在判定")
		Dim cliCom As clsCom
		Try
			cliCom = New clsCom
			If dat.Select(sqlMLN010F010.itmLENDITEM_CD & " = '" & cliCom.getDtItmValue(CType(enumLendItem_Cd, String)) & "'").Length > 0 Then
				Return True
			Else
				Return False
			End If
		Catch ex As Exception
			Throw
		Finally
			cliCom = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 貸出：出力用ヘッダーデータ取得
	''' </summary>
	''' <param name="pFrm"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)平井<BR/>
	''' '(M) STR V4-11044-000 000 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
	''' (修正前)Public Function GetPrintLendHeaderDataReturn(ByVal pFrm As MLN010F010) As datLendHeader
	''' (修正後)Public Function GetPrintLendHeaderDataReturn(ByVal pFrm As MLN010F010, ByVal pExedMode As MLN010F010.Enum_ExecStatusLend) As datLendHeader
	''' </remarks>
	''' ---------------------------------------------
	Public Function GetPrintLendHeaderDataReturn(ByVal pFrm As MLN010F010, ByVal pExedMode As MLN010F010.Enum_ExecStatusLend) As datLendHeader
		pFrm.log(clsSysMst.logLevel.DBG, "GetPrintLendHeaderDataReturn", "貸出：出力用ヘッダーデータ取得 Start")
		Try
			' インスタンス生成
			cliCom = New clsCom
			cliMTI_LENDITM = New clsMTI_LENDITM
			cliMTM_LENDITEM_MNGSTATUS = New clsMTM_LENDITEM_MNGSTATUS

			Dim dr As DataRow
			Dim dat As New datLendHeader

			If pFrm.tab001MLN010F010.SelectedTab.Name = pFrm.tpg127MLN010F010.Name Then
				'■貸出■
				dat.SLIP_CD = pFrm.pstrSlip_Cd
				dat.ISSUE_DT = pFrm.dte167MLN010F010.Text
				dat.EXPECTBACK_DT = pFrm.dte179MLN010F010.Text
				dat.LENDAIM_CD = pFrm.cmb164MLN010F010.Text
				'貸出目的マスタ
				dr = getLendAimRow(pFrm, dat.LENDAIM_CD)
				If dr IsNot Nothing Then
					dat.LENDAIM_NM = dr(sqlMLN010F010.itmLENDAIM_NM).ToString
					dat.LENDAIM_RNM = dr(sqlMLN010F010.itmLENDAIM_RNM).ToString
				End If
				dat.LCT_CD = pFrm.cmb176MLN010F010.Text
				'貸出物所在場所マスタ
				dr = getLctRow(pFrm, dat.LCT_CD)
				If dr IsNot Nothing Then
					dat.LCT_NM = dr(sqlMLN010F010.itmLCT_NM).ToString
					dat.LCT_RNM = dr(sqlMLN010F010.itmLCT_RNM).ToString
				End If
				dat.BORROWER_CD = pFrm.cmb169MLN010F010.Text
				dat.BORROWER_NM = pFrm.txt170MLN010F010.Text
				dat.BORROWER_DIV = pFrm.cmb172MLN010F010.Text
				' 職員部門マスタ
				dr = getStaffDivRow(pFrm, dat.BORROWER_DIV)
				If dr IsNot Nothing Then
					dat.BORROWER_DIV_NM = dr(sqlMLN010F010.itmSTAFFDIV_NM).ToString
				End If
				dat.TAKER_CD = pFrm.cmb181MLN010F010.Text
				dat.TAKER_NM = pFrm.txt182MLN010F010.Text
				dat.TAKER_DIV = pFrm.cmb184MLN010F010.Text
				' 職員部門マスタ
				dr = getStaffDivRow(pFrm, dat.TAKER_DIV)
				If dr IsNot Nothing Then
					dat.TAKER_DIV_NM = dr(sqlMLN010F010.itmSTAFFDIV_NM).ToString
				End If
				dat.REMARKS = pFrm.txt187MLN010F010.Text
				dat.LENDCLERK_CD = pFrm.cmb189MLN010F010.Text
				dr = getStaffRow(pFrm, dat.LENDCLERK_CD)
				If dr IsNot Nothing Then
					dat.LENDCLERK_NM = dr(sqlMLN010F010.itmSTAFF_NM).ToString
				End If
				' 頭書き識別コード
				dat.PREMISES = MLN010F010.C_PRIMESES_LEND
				' タイトル
'(A) STR V4-11044-000 006 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
				If pExedMode = MLN010F010.Enum_ExecStatusLend.eLendPrepare Then
					dat.TITLE = C_TITLE_LENDPREPARE
					dat.STATUS = CST_STATUS_LENDPREPARE
				Else
'(A) END V4-11044-000 006 20110909
					dat.TITLE = C_TITLE_LEND
'(A) STR V4-11044-000 004 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
					dat.STATUS = CST_STATUS_LEND
				End If
'(A) END V4-11044-000 004 20110909
			Else
				'■貸出更新■
				dat.SLIP_CD = String.Empty
				dat.ISSUE_DT = pFrm.dte402MLN010F010.Text
				dat.EXPECTBACK_DT = pFrm.dte413MLN010F010.Text
				dat.LENDAIM_CD = pFrm.cmb399MLN010F010.Text
				'貸出目的マスタ
				dr = getLendAimRow(pFrm, dat.LENDAIM_CD)
				If dr IsNot Nothing Then
					dat.LENDAIM_NM = dr(sqlMLN010F010.itmLENDAIM_NM).ToString
					dat.LENDAIM_RNM = dr(sqlMLN010F010.itmLENDAIM_RNM).ToString
				End If
				dat.LCT_CD = pFrm.cmb410MLN010F010.Text
				'貸出物所在場所マスタ
				dr = getLctRow(pFrm, dat.LCT_CD)
				If dr IsNot Nothing Then
					dat.LCT_NM = dr(sqlMLN010F010.itmLCT_NM).ToString
					dat.LCT_RNM = dr(sqlMLN010F010.itmLCT_RNM).ToString
				End If
				dat.BORROWER_CD = pFrm.cmb404MLN010F010.Text
				dat.BORROWER_NM = pFrm.txt405MLN010F010.Text
				dat.BORROWER_DIV = pFrm.cmb407MLN010F010.Text
				' 職員部門マスタ
				dr = getStaffDivRow(pFrm, dat.BORROWER_DIV)
				If dr IsNot Nothing Then
					dat.BORROWER_DIV_NM = dr(sqlMLN010F010.itmSTAFFDIV_NM).ToString
				End If
				dat.TAKER_CD = pFrm.cmb415MLN010F010.Text
				dat.TAKER_NM = pFrm.txt416MLN010F010.Text
				dat.TAKER_DIV = pFrm.cmb418MLN010F010.Text
				' 職員部門マスタ
				dr = getStaffDivRow(pFrm, dat.TAKER_DIV)
				If dr IsNot Nothing Then
					dat.TAKER_DIV_NM = dr(sqlMLN010F010.itmSTAFFDIV_NM).ToString
				End If
				dat.REMARKS = pFrm.txt421MLN010F010.Text
				dat.LENDCLERK_CD = pFrm.cmb423MLN010F010.Text
				dr = getStaffRow(pFrm, dat.LENDCLERK_CD)
				If dr IsNot Nothing Then
					dat.LENDCLERK_NM = dr(sqlMLN010F010.itmSTAFF_NM).ToString
				End If
				' 頭書き識別コード
				dat.PREMISES = MLN010F010.C_PRIMESES_LENDUPDATE
				' タイトル
				dat.TITLE = C_TITLE_LENDUPDATE
'(A) STR V4-11044-000 003 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
				dat.STATUS = CST_STATUS_LENDUPDATE
'(A) END V4-11044-000 003 20110909
			End If
			' 部署名
			dat.DPM_NM = GetDpmNm(pFrm)
			' 病歴番号タイトル
			dat.BYOREKI_NO_TITLE = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00001)
			Return dat
		Catch ex As Exception
			Throw
		Finally
			cliCom = Nothing
			cliMTI_LENDITM = Nothing
			cliMTM_LENDITEM_MNGSTATUS = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 返却：出力用ヘッダーデータ取得
	''' </summary>
	''' <param name="pFrm"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function GetPrintBackHeaderDataReturn(ByVal pFrm As MLN010F010) As datBackHeader
		pFrm.log(clsSysMst.logLevel.DBG, "GetPrintBackHeaderDataReturn", "返却：出力用ヘッダーデータ取得 Start")
		Try
			' インスタンス生成
			cliCom = New clsCom
			cliMTI_LENDITM = New clsMTI_LENDITM
			cliMTM_LENDITEM_MNGSTATUS = New clsMTM_LENDITEM_MNGSTATUS

			Dim dr As DataRow
			Dim dat As New datBackHeader

			'■返却■
			dat.BACK_DT = pFrm.dte243MLN010F010.Text
			dat.BACKCLERK_CD = pFrm.cmb245MLN010F010.Text
			' 職員マスタ
			dr = getStaffRow(pFrm, dat.BACKCLERK_CD)
			If dr IsNot Nothing Then
				dat.BACKCLERK_NM = dr(sqlMLN010F010.itmSTAFF_NM).ToString
			End If
			' 頭書き識別コード
			dat.PREMISES = MLN010F010.C_PRIMESES_BACK
			' タイトル
			dat.TITLE = C_TITLE_BACK
			' 部署名
			dat.DPM_NM = GetDpmNm(pFrm)
			' 病歴番号タイトル
			dat.BYOREKI_NO_TITLE = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00001)
			Return dat
		Catch ex As Exception
			Throw
		Finally
			cliCom = Nothing
			cliMTI_LENDITM = Nothing
			cliMTM_LENDITEM_MNGSTATUS = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 受領・貸出：出力用データ取得
	''' </summary>
	''' <param name="pFrm">受領・貸出画面</param>
	''' <param name="bDisplayName">氏名表示</param>
	''' <returns>取得結果</returns>
	''' <remarks>
	''' 2010/12/24 新規作成　CS)平井<BR/>
	''' 2011/09/28 変更　　　FJSK)荒川<BR/>
	''' '(M) STR V4-11044-000 000 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
	''' (修正前)Public Function GetPrintDataReturn(ByVal pFrm As MLN010F010, ByVal bDisplayName As Boolean) As DataTable
	''' (修正後)Public Function GetPrintDataReturn(ByVal pFrm As MLN010F010, ByVal bDisplayName As Boolean, Optional ByVal pNonPutFlg As Boolean = False) As DataTable
	''' </remarks>
	''' ---------------------------------------------
	Public Function GetPrintDataReturn(ByVal pFrm As MLN010F010, ByVal bDisplayName As Boolean, Optional ByVal pNonPutFlg As Boolean = False) As DataTable
		pFrm.log(clsSysMst.logLevel.DBG, "GetPrintDataReturn", "受領・貸出：出力用データ取得 Start")
		Dim dtRet As DataTable = Nothing
		Try
			' インスタンス生成
			cliCom = New clsCom
			cliMTI_LENDITM = New clsMTI_LENDITM
			cliMTM_LENDITEM_MNGSTATUS = New clsMTM_LENDITEM_MNGSTATUS

			Select Case pFrm.tab001MLN010F010.SelectedTab.Name
				Case pFrm.tpg002MLN010F010.Name
					' 受領
					dtRet = CType(pFrm.dgv038MLN010F010.DataSource, DataTable).DefaultView.ToTable
				Case pFrm.tpg127MLN010F010.Name
					' 貸出
					dtRet = CType(pFrm.dgv162MLN010F010.DataSource, DataTable).DefaultView.ToTable
				Case pFrm.tpg214MLN010F010.Name
					' 返却
					dtRet = CType(pFrm.dgv241MLN010F010.DataSource, DataTable).DefaultView.ToTable
				Case pFrm.tpg260MLN010F010.Name
					' 更新
					dtRet = CType(pFrm.dgv292MLN010F010.DataSource, DataTable).DefaultView.ToTable
				Case pFrm.tpg381MLN010F010.Name
					' 貸出更新
					dtRet = CType(pFrm.dgv397MLN010F010.DataSource, DataTable).DefaultView.ToTable
				Case Else
					Return Nothing
			End Select
			dtRet = AddColumns(pFrm, dtRet)
			' 対象外データ削除
			Dim dr As DataRow
'(A) STR V4-11044-000 003 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
			If pNonPutFlg = False Then
'(A) END V4-11044-000 003 20110909
				For i As Integer = dtRet.Rows.Count - 1 To 0 Step -1
					' 更新済？
					If dtRet.Rows(i)(sqlMLN010F010.itmSELECTED).ToString = CType(clsConst.Enum_CheckBox_Flg.CheckOn, String) AndAlso
					 dtRet.Rows(i)(sqlMLN010F010.itmUPDATED).ToString = CType(MLN010F010.Enum_UpdateFlag.Updated, String) Then
					Else
						' 対象外を削除
						dtRet.Rows(i).Delete()
					End If
				Next
				dtRet.AcceptChanges()
'(A) STR V4-11044-000 003 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
			End If
'(A) END V4-11044-000 003 20110909
			' 更新処理
			For Each row As DataRow In dtRet.Rows
				'貸出物マスタ
				dr = getLendItemRow(pFrm, row(sqlMLN010F010.itmLENDITEM_CD).ToString)
				If dr IsNot Nothing Then
					row(sqlMLN010F010.itmLENDITEM_NM) = dr(sqlMLN010F010.itmLENDITEM_NM).ToString
				End If
				'入退院・科歴不足データ設定
				Select Case dr(sqlMLN010F010.itmUNIT_CD).ToString
					Case CType(clsConst.Enum_LendUnit.Each_Dept, String)
						'科歴単位
						Dim dt As DataTable = getCh(pFrm, row(sqlMLN010F010.itmPATIENT_NO).ToString, row(sqlMLN010F010.itmHSP_HISTORY_NO).ToString, row(sqlMLN010F010.itmCH_NO).ToString)
						If dt IsNot Nothing AndAlso
						 dt.Rows.Count > 0 Then
							row(sqlMLN010F010.itmSTART_DT) = dt.Rows(0)(sqlMLN010F010.itmSTART_DT).ToString
							row(sqlMLN010F010.itmOUT_HSP_CNL_CD) = dt.Rows(0)(sqlMLN010F010.itmOUT_HSP_CNL_CD).ToString
							row(sqlMLN010F010.itmOUT_HSP_OUTCOME_CD) = dt.Rows(0)(sqlMLN010F010.itmOUT_HSP_OUTCOME_CD).ToString
							row(sqlMLN010F010.itmHSP_CNL_CD) = dt.Rows(0)(sqlMLN010F010.itmHSP_CNL_CD).ToString
							row(sqlMLN010F010.itmHSP_DAYS) = dt.Rows(0)(sqlMLN010F010.itmHSP_DAYS)
						End If
					Case CType(clsConst.Enum_LendUnit.Each_Hosp, String)
						'入退院歴単位
						Dim dt As DataTable = getHsp(pFrm, row(sqlMLN010F010.itmPATIENT_NO).ToString, row(sqlMLN010F010.itmHSP_HISTORY_NO).ToString)
						If dt IsNot Nothing AndAlso
						 dt.Rows.Count > 0 Then
							row(sqlMLN010F010.itmSTART_DT) = dt.Rows(0)(sqlMLN010F010.itmSTART_DT).ToString
							row(sqlMLN010F010.itmOUT_HSP_CNL_CD) = dt.Rows(0)(sqlMLN010F010.itmOUT_HSP_CNL_CD).ToString
							row(sqlMLN010F010.itmOUT_HSP_OUTCOME_CD) = dt.Rows(0)(sqlMLN010F010.itmOUT_HSP_OUTCOME_CD).ToString
							row(sqlMLN010F010.itmHSP_CNL_CD) = dt.Rows(0)(sqlMLN010F010.itmHSP_CNL_CD).ToString
							row(sqlMLN010F010.itmHSP_DAYS) = dt.Rows(0)(sqlMLN010F010.itmHSP_DAYS)
						End If
					Case CType(clsConst.Enum_LendUnit.Each_Patient, String)
						'患者単位
						Dim dt As DataTable = getHsp(pFrm, row(sqlMLN010F010.itmPATIENT_NO).ToString, row(sqlMLN010F010.itmHSP_HISTORY_NO).ToString)
						If dt IsNot Nothing AndAlso
						 dt.Rows.Count > 0 Then
							row(sqlMLN010F010.itmOUT_HSP_CNL_CD) = DBNull.Value
							row(sqlMLN010F010.itmOUT_HSP_OUTCOME_CD) = DBNull.Value
							row(sqlMLN010F010.itmHSP_CNL_CD) = DBNull.Value
							row(sqlMLN010F010.itmGENDER_CD) = dt.Rows(0)(sqlMLN010F010.itmHSP_DAYS)
						End If
					Case Else
				End Select
				'■受領、更新時の更新後データ取得
				If pFrm.tab001MLN010F010.SelectedTab.Name = pFrm.tpg002MLN010F010.Name OrElse
				 pFrm.tab001MLN010F010.SelectedTab.Name = pFrm.tpg260MLN010F010.Name Then
					Dim dt As New DataTable
					'貸出物情報
					dt = getLendItmInfo(pFrm,
					 row(sqlMLN010F010.itmPATIENT_NO).ToString,
					 CInt(row(sqlMLN010F010.itmHSP_HISTORY_NO).ToString),
					 CInt(row(sqlMLN010F010.itmCH_NO).ToString),
					 row(sqlMLN010F010.itmLENDITEM_CD).ToString)
					If dt IsNot Nothing AndAlso _
					 dt.Rows.Count > 0 Then
						row(sqlMLN010F010.itmRECEIPT_DT) = dt.Rows(0)(sqlMLN010F010.itmRECEIPT_DT).ToString
						row(sqlMLN010F010.itmCNT) = dt.Rows(0)(sqlMLN010F010.itmCNT)
						row(sqlMLN010F010.itmMNGSTATUS_CD) = dt.Rows(0)(sqlMLN010F010.itmMNGSTATUS_CD).ToString
						row(sqlMLN010F010.itmKEEPLCT_CD) = dt.Rows(0)(sqlMLN010F010.itmKEEPLCT_CD).ToString
						row(sqlMLN010F010.itmARG_STATUS_CD) = dt.Rows(0)(sqlMLN010F010.itmARG_STATUS_CD).ToString
						row(sqlMLN010F010.itmRECIPIENT_CD) = dt.Rows(0)(sqlMLN010F010.itmRECIPIENT_CD).ToString
						row(sqlMLN010F010.itmMAKER_CD) = dt.Rows(0)(sqlMLN010F010.itmMAKER_CD).ToString
					End If
					'貸出情報
					dt = getLendInfo(pFrm,
					   row(sqlMLN010F010.itmPATIENT_NO).ToString,
					   CInt(row(sqlMLN010F010.itmHSP_HISTORY_NO).ToString),
					   CInt(row(sqlMLN010F010.itmCH_NO).ToString),
					   row(sqlMLN010F010.itmLENDITEM_CD).ToString)
					If dt IsNot Nothing AndAlso _
					 dt.Rows.Count > 0 Then
						row(sqlMLN010F010.itmISSUE_DT) = dt.Rows(0)(sqlMLN010F010.itmISSUE_DT).ToString
						row(sqlMLN010F010.itmEXPECTBACK_DT) = dt.Rows(0)(sqlMLN010F010.itmEXPECTBACK_DT).ToString
					End If
				End If
				'■画面データ設定■
				If pFrm.tab001MLN010F010.SelectedTab.Name = pFrm.tpg127MLN010F010.Name Then
					'■貸出処理
					row(sqlMLN010F010.itmLENDAIM_CD) = pFrm.cmb164MLN010F010.Text
					row(sqlMLN010F010.itmLCT_CD) = pFrm.cmb176MLN010F010.Text
					row(sqlMLN010F010.itmISSUE_DT) = pFrm.dte167MLN010F010.Text
					row(sqlMLN010F010.itmEXPECTBACK_DT) = pFrm.dte179MLN010F010.Text
					row(sqlMLN010F010.itmBORROWER_DIV) = pFrm.cmb172MLN010F010.Text
					row(sqlMLN010F010.itmBORROWER_CD) = pFrm.cmb169MLN010F010.Text
					row(sqlMLN010F010.itmBORROWER_NM) = pFrm.txt170MLN010F010.Text
					row(sqlMLN010F010.itmTAKER_DIV) = pFrm.cmb184MLN010F010.Text
					row(sqlMLN010F010.itmTAKER_CD) = pFrm.cmb181MLN010F010.Text
					row(sqlMLN010F010.itmTAKER_NM) = pFrm.txt182MLN010F010.Text
					row(sqlMLN010F010.itmREMARKS) = pFrm.txt187MLN010F010.Text
					row(sqlMLN010F010.itmLENDCLERK_CD) = pFrm.cmb189MLN010F010.Text
				ElseIf pFrm.tab001MLN010F010.SelectedTab.Name = pFrm.tpg381MLN010F010.Name Then
					'■貸出更新処理
					row(sqlMLN010F010.itmLENDAIM_CD) = pFrm.cmb399MLN010F010.Text
					row(sqlMLN010F010.itmLCT_CD) = pFrm.cmb410MLN010F010.Text
					row(sqlMLN010F010.itmISSUE_DT) = pFrm.dte402MLN010F010.Text
					row(sqlMLN010F010.itmEXPECTBACK_DT) = pFrm.dte413MLN010F010.Text
					row(sqlMLN010F010.itmBORROWER_DIV) = pFrm.cmb407MLN010F010.Text
					row(sqlMLN010F010.itmBORROWER_CD) = pFrm.cmb404MLN010F010.Text
					row(sqlMLN010F010.itmBORROWER_NM) = pFrm.txt405MLN010F010.Text
					row(sqlMLN010F010.itmTAKER_DIV) = pFrm.cmb418MLN010F010.Text
					row(sqlMLN010F010.itmTAKER_CD) = pFrm.cmb415MLN010F010.Text
					row(sqlMLN010F010.itmTAKER_NM) = pFrm.txt416MLN010F010.Text
					row(sqlMLN010F010.itmREMARKS) = pFrm.txt421MLN010F010.Text
					row(sqlMLN010F010.itmLENDCLERK_CD) = pFrm.cmb423MLN010F010.Text
				ElseIf pFrm.tab001MLN010F010.SelectedTab.Name = pFrm.tpg214MLN010F010.Name Then
					'■返却処理
					row(sqlMLN010F010.itmBACK_DT) = pFrm.dte243MLN010F010.Text
				End If
				'診療科マスタ
				dr = getDeptRow(pFrm, row(sqlMLN010F010.itmDEPT_CD).ToString)
				If dr IsNot Nothing Then
					row(sqlMLN010F010.itmDEPT_DSPORDER) = dr(sqlMLN010F010.itmDSPORDER)
					row(sqlMLN010F010.itmDEPT_NM) = dr(sqlMLN010F010.itmDEPT_NM).ToString
				End If
				'貸出物管理状況マスタ
				dr = getMngStatusRow(pFrm, row(sqlMLN010F010.itmLENDITEM_CD).ToString, row(sqlMLN010F010.itmMNGSTATUS_CD).ToString)
				If dr IsNot Nothing Then
					row(sqlMLN010F010.itmMNGSTATUS_NM) = dr(sqlMLN010F010.itmMNGSTATUS_NM).ToString
					row(sqlMLN010F010.itmMNGSTATUS1_RNM) = dr(sqlMLN010F010.itmMNGSTATUS1_RNM).ToString
					row(sqlMLN010F010.itmMNGSTATUS_DSPORDER) = dr(sqlMLN010F010.itmDSPORDER)
				End If
'(A) STR V4-11044-000 011 20110909 FJSK)荒川 XXX号 病歴大将V4PKG問題点No20 貸出準備機能の追加対応
				'貸出更新タブのみ貸出中(1)の管理状況のみ表示する
				If pFrm.tab001MLN010F010.SelectedTab.Name = pFrm.tpg381MLN010F010.Name Then
					row(sqlMLN010F010.itmNOTLENDBARIANCE) = Nothing
					If dr IsNot Nothing Then
						If dr(sqlMLN010F010.itmFIXED_CD2).ToString = CType(clsConst.Enum_LendStat_Fix2.NotLendable, String) Then
							row(sqlMLN010F010.itmNOTLENDBARIANCE) = row(sqlMLN010F010.itmMNGSTATUS_NM).ToString
						End If
					End If
				End If
'(A) END V4-11044-000 011 20110909
				'貸出物所在場所マスタ
				dr = getLctRow(pFrm, row(sqlMLN010F010.itmLCT_CD).ToString)
				If dr IsNot Nothing Then
					row(sqlMLN010F010.itmLCT_NM) = dr(sqlMLN010F010.itmLCT_NM).ToString
					row(sqlMLN010F010.itmLCT_RNM) = dr(sqlMLN010F010.itmLCT_RNM).ToString
					row(sqlMLN010F010.itmLCT_DSPORDER) = dr(sqlMLN010F010.itmDSPORDER)
				End If
				'貸出物整理状況マスタ
				dr = getArgStatusRow(pFrm, row(sqlMLN010F010.itmLENDITEM_CD).ToString, row(sqlMLN010F010.itmARG_STATUS_CD).ToString)
				If dr IsNot Nothing Then
					row(sqlMLN010F010.itmARG_STATUS_NM) = dr(sqlMLN010F010.itmARG_STATUS_NM).ToString
					row(sqlMLN010F010.itmARG_STATUS_RNM) = dr(sqlMLN010F010.itmARG_STATUS_RNM).ToString
					row(sqlMLN010F010.itmARG_STATUS_DSPORDER) = dr(sqlMLN010F010.itmDSPORDER)
				End If
				'貸出物保管場所マスタ
				dr = getKeepLctRow(pFrm, row(sqlMLN010F010.itmLENDITEM_CD).ToString, row(sqlMLN010F010.itmKEEPLCT_CD).ToString)
				If dr IsNot Nothing Then
					row(sqlMLN010F010.itmKEEPLCT_NM) = dr(sqlMLN010F010.itmKEEPLCT_NM).ToString
					row(sqlMLN010F010.itmKEEPLCT_DSPORDER) = dr(sqlMLN010F010.itmDSPORDER)
				End If
				'貸出目的マスタ
				dr = getLendAimRow(pFrm, row(sqlMLN010F010.itmLENDAIM_CD).ToString)
				If dr IsNot Nothing Then
					row(sqlMLN010F010.itmLENDAIM_NM) = dr(sqlMLN010F010.itmLENDAIM_NM).ToString
					row(sqlMLN010F010.itmLENDAIM_RNM) = dr(sqlMLN010F010.itmLENDAIM_RNM).ToString
					row(sqlMLN010F010.itmLENDAIM_DSPORDER) = dr(sqlMLN010F010.itmDSPORDER)
				End If
				'退院経路マスタ
				dr = getOutHspCnlRow(pFrm, row(sqlMLN010F010.itmOUT_HSP_CNL_CD).ToString)
				If dr IsNot Nothing Then
					row(sqlMLN010F010.itmOUT_HSP_CNL_DSPORDER) = dr(sqlMLN010F010.itmDSPORDER)
					row(sqlMLN010F010.itmOUT_HSP_CNL_NM) = dr(sqlMLN010F010.itmOUT_HSP_CNL_NM).ToString
					row(sqlMLN010F010.itmOUT_HSP_CNL_RNM) = dr(sqlMLN010F010.itmOUT_HSP_CNL_RNM).ToString
				End If
				'退院転帰マスタ
				dr = getOutHspOutComeRow(pFrm, row(sqlMLN010F010.itmOUT_HSP_OUTCOME_CD).ToString)
				If dr IsNot Nothing Then
					row(sqlMLN010F010.itmOUT_HSP_OUTCOME_DSPORDER) = dr(sqlMLN010F010.itmDSPORDER)
					row(sqlMLN010F010.itmOUT_HSP_OUTCOME_NM) = dr(sqlMLN010F010.itmOUT_HSP_OUTCOME_NM).ToString
					row(sqlMLN010F010.itmOUT_HSP_OUTCOME_RNM) = dr(sqlMLN010F010.itmOUT_HSP_OUTCOME_RNM).ToString
				End If
				'入院経路マスタ
				dr = getHspCnlRow(pFrm, row(sqlMLN010F010.itmHSP_CNL_CD).ToString)
				If dr IsNot Nothing Then
					row(sqlMLN010F010.itmHSP_CNL_DSPORDER) = dr(sqlMLN010F010.itmDSPORDER)
					row(sqlMLN010F010.itmHSP_CNL_NM) = dr(sqlMLN010F010.itmHSP_CNL_NM).ToString
					row(sqlMLN010F010.itmHSP_CNL_RNM) = dr(sqlMLN010F010.itmHSP_CNL_RNM).ToString
				End If
				'病棟マスタ
				dr = getWardRow(pFrm, row(sqlMLN010F010.itmWARD_CD).ToString)
				If dr IsNot Nothing Then
					row(sqlMLN010F010.itmWARD_DSPORDER) = dr(sqlMLN010F010.itmDSPORDER)
					row(sqlMLN010F010.itmWARD_NM) = dr(sqlMLN010F010.itmWARD_NM).ToString
					row(sqlMLN010F010.itmWARD_RNM) = dr(sqlMLN010F010.itmWARD_RNM).ToString
				End If
				'職員マスタ
				'医師
				dr = getStaffRow(pFrm, row(sqlMLN010F010.itmDOCTOR_CD).ToString)
				If dr IsNot Nothing Then
					row(sqlMLN010F010.itmDOCTOR_NM) = dr(sqlMLN010F010.itmSTAFF_NM).ToString
					row(sqlMLN010F010.itmDOCTOR_DSPORDER) = dr(sqlMLN010F010.itmDSPORDER)
				End If
				' 受領・更新タブ
				If pFrm.tab001MLN010F010.SelectedTab.Name = pFrm.tpg002MLN010F010.Name OrElse
				 pFrm.tab001MLN010F010.SelectedTab.Name = pFrm.tpg260MLN010F010.Name Then
					'受領者コード
					dr = getStaffRow(pFrm, row(sqlMLN010F010.itmRECIPIENT_CD).ToString)
					If dr IsNot Nothing Then
						row(sqlMLN010F010.itmRECIPIENT_NM) = dr(sqlMLN010F010.itmSTAFF_NM).ToString
						row(sqlMLN010F010.itmRECIPIENT_DSPORDER) = dr(sqlMLN010F010.itmDSPORDER)
					End If
					'作成者コード
					dr = getStaffRow(pFrm, row(sqlMLN010F010.itmMAKER_CD).ToString)
					If dr IsNot Nothing Then
						row(sqlMLN010F010.itmMAKER_NM) = dr(sqlMLN010F010.itmSTAFF_NM)
						row(sqlMLN010F010.itmMAKER_DSPORDER) = dr(sqlMLN010F010.itmDSPORDER)
					End If
				End If
				'職員・職員部門マスタ
				'貸出・貸出更新タブ
				'返却タブ
				If pFrm.tab001MLN010F010.SelectedTab.Name = pFrm.tpg127MLN010F010.Name OrElse
				 pFrm.tab001MLN010F010.SelectedTab.Name = pFrm.tpg381MLN010F010.Name OrElse
				 pFrm.tab001MLN010F010.SelectedTab.Name = pFrm.tpg214MLN010F010.Name Then
					'借用者コード
					dr = getStaffRow(pFrm, row(sqlMLN010F010.itmBORROWER_CD).ToString)
					If dr IsNot Nothing Then
						row(sqlMLN010F010.itmBORROWER_DSPORDER) = dr(sqlMLN010F010.itmDSPORDER)
					End If
					'貸出取扱者コード
					dr = getStaffRow(pFrm, row(sqlMLN010F010.itmLENDCLERK_CD).ToString)
					If dr IsNot Nothing Then
						row(sqlMLN010F010.itmLENDCLERK_NM) = dr(sqlMLN010F010.itmSTAFF_NM).ToString
						row(sqlMLN010F010.itmLENDCLERK_DSPORDER) = dr(sqlMLN010F010.itmDSPORDER)
					End If
					'借用者部門コード
					dr = getStaffDivRow(pFrm, row(sqlMLN010F010.itmBORROWER_DIV).ToString)
					If dr IsNot Nothing Then
						row(sqlMLN010F010.itmBORROWERDIV_NM) = dr(sqlMLN010F010.itmSTAFFDIV_NM).ToString
						row(sqlMLN010F010.itmBORROWERDIV_RNM) = dr(sqlMLN010F010.itmSTAFFDIV_RNM).ToString
						row(sqlMLN010F010.itmBORROWERDIV_DSPORDER) = dr(sqlMLN010F010.itmDSPORDER)
					End If
					'帯出者部門コード
					dr = getStaffDivRow(pFrm, row(sqlMLN010F010.itmTAKER_DIV).ToString)
					If dr IsNot Nothing Then
						row(sqlMLN010F010.itmTAKER_DIV_NM) = dr(sqlMLN010F010.itmSTAFFDIV_NM).ToString
						row(sqlMLN010F010.itmTAKER_DSPORDER) = dr(sqlMLN010F010.itmDSPORDER)
					End If
					If pFrm.tab001MLN010F010.SelectedTab.Name = pFrm.tpg127MLN010F010.Name OrElse
					 pFrm.tab001MLN010F010.SelectedTab.Name = pFrm.tpg381MLN010F010.Name Then
						If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00099) = Enum_Display.Display Then
							' サマリ歴取得処理
							Dim dtSummary As DataTable = getSummaryInfo(pFrm, row(sqlMLN010F010.itmPATIENT_NO).ToString, CInt(row(sqlMLN010F010.itmHSP_HISTORY_NO).ToString))
							Dim iIdx As Integer = 0
							If dtSummary IsNot Nothing Then
								For Each rowS As DataRow In dtSummary.Rows
									iIdx += 1
									If iIdx > 5 Then
										Exit For
									End If
									'サマリ歴設定
									row(String.Format(C_SUMMARY_MNGSTATUS_CD, iIdx)) = rowS(sqlMLN010F010.itmSUMMARY_MNGSTATUS_CD).ToString
									row(String.Format(C_SUMMARY_MNGSTATUS1_RNM, iIdx)) = rowS(sqlMLN010F010.itmSUMMARY_MNGSTATUS1_RNM).ToString
									row(String.Format(C_SUMMARY_MAKER_CD, iIdx)) = rowS(sqlMLN010F010.itmSUMMARY_MAKER_CD).ToString
									row(String.Format(C_SUMMARY_MAKER_NM, iIdx)) = rowS(sqlMLN010F010.itmSUMMARY_MAKER_NM).ToString
								Next
							End If
						End If
					End If
				End If
				'性別
				dr = getGenderRow(pFrm, row(sqlMLN010F010.itmGENDER_CD).ToString)
				If dr IsNot Nothing Then
					row(sqlMLN010F010.itmGENDER_NM) = dr(sqlMLN010F010.itmGENDER_NM).ToString
				End If
				' 氏名有無より変更
				If Not bDisplayName Then
					row(sqlMLN010F010.itmPATIENT_NM) = clsConst.CST_MASK_NAME
					row(sqlMLN010F010.itmPATIENT_KNM) = clsConst.CST_MASK_KNAME
				End If
				'エラーフラグクリア
				If row(sqlMLN010F010.itmUPDATED).ToString = CType(MLN010F010.Enum_UpdateFlag.Updated, String) Then
					row(sqlMLN010F010.itmUPDATED) = 0
				Else
					row(sqlMLN010F010.itmUPDATED) = 1
				End If
			Next
			dtRet.AcceptChanges()

			Return dtRet
		Catch ex As Exception
			Throw
		Finally
			cliCom = Nothing
			cliMTI_LENDITM = Nothing
			cliMTM_LENDITEM_MNGSTATUS = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' Excel用印刷設定情報の取得
	''' </summary>
	''' <param name="pFrm">督促画面</param>
	''' <param name="pPrtId">帳票ＩＤ</param>
	''' <param name="pFilePath">ファイルパス（戻り値）</param>
	''' <param name="pChkAddShtNm">追加シートチェック用シート名</param>
	''' <returns>印刷設定情報</returns>
	''' <remarks>
	''' 2010/12/24 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function GetPrintSettingExcel(ByVal pFrm As MLN010F010, ByVal pPrtId As String, ByRef pFilePath As String, Optional ByVal pChkAddShtNm As String = Nothing) As datXTM_PRINTSETTING_EXCEL_OneRec
		pFrm.log(clsSysMst.logLevel.DBG, "GetPrintSettingExcel", "Excel用印刷設定情報の取得 Start")
		Dim retPSE As datXTM_PRINTSETTING_EXCEL_OneRec = Nothing
		Dim cliPrintSetting_Excel As clsXTM_PRINTSETTING_EXCEL
		Dim cliExcelFunc As clsExcelFunc
		Try
			' インスタンス生成
			cliCom = New clsCom
			cliMTI_LENDITM = New clsMTI_LENDITM
			cliMTM_LENDITEM_MNGSTATUS = New clsMTM_LENDITEM_MNGSTATUS
			cliPrintSetting_Excel = New clsXTM_PRINTSETTING_EXCEL
			cliExcelFunc = New clsExcelFunc
			'印刷設定情報取得
			retPSE = cliPrintSetting_Excel.getChkExcelSettingOneRec(pFrm.Name, pPrtId, pFilePath, cliExcelFunc)
			If retPSE Is Nothing Then
				Return Nothing
			End If
			If Not String.IsNullOrEmpty(pChkAddShtNm) AndAlso Not cliExcelFunc.chkSheetFind(pFilePath, pChkAddShtNm) Then
				clsSysMst.showMsgEx("E0003", "雛型ファイルが正しくない", "出力", Nothing)
				Return Nothing
			End If
			'印刷部数が設定されていない場合は 1 固定
			If Not IsNumeric(retPSE.NUMBERPRINTED) OrElse retPSE.NUMBERPRINTED <= CST_INT_ZERO Then
				retPSE.NUMBERPRINTED = CST_INT_ONE
			End If
		Catch ex As Exception
			Throw
		Finally
			cliPrintSetting_Excel = Nothing
			cliExcelFunc = Nothing
			cliCom = Nothing
			cliMTI_LENDITM = Nothing
			cliMTM_LENDITEM_MNGSTATUS = Nothing
		End Try
		Return retPSE
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' Excel出力
	''' </summary>
	''' <param name="pFrm">督促画面</param>
	''' <param name="pPrintFlg">TRUE:印刷 FALSE:プレビュー</param>
	''' <param name="pPrtSetting">印刷設定情報</param>
	''' <param name="pFilePath">ファイルパス</param>
	''' <param name="pDtData">設定元データ</param>
	''' <param name="pDataColInfo">データ列設定情報</param>
	''' <param name="pPrmShtInfo">パラメータシート情報</param>
	''' <param name="pRunMacro">マクロ名</param>
	''' <param name="pRunMacroMode">マクロ処理モード</param>
	''' <param name="pPutStartCol">データ開始列</param>
	''' <param name="pPutStartRow">データ開始行</param>
	''' <returns>処理結果</returns>
	''' <remarks>
	''' 2010/12/24 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function exePutExcel(ByVal pFrm As MLN010F010, ByVal pPrintFlg As Boolean, _
	  ByVal pPrtSetting As datXTM_PRINTSETTING_EXCEL_OneRec, ByVal pFilePath As String, _
	  ByVal pDtData As DataTable, ByVal pDataColInfo() As ExcelDataColInfo, _
	  ByVal pPrmShtInfo() As ExcelPrmInfo, _
	  ByVal pRunMacro As String, ByVal pRunMacroMode As Enum_RunMacroMode, _
	  Optional ByVal pPutStartCol As Integer = CST_INT_ONE, _
	  Optional ByVal pPutStartRow As Integer = CST_INT_TWO) As Boolean
		pFrm.log(clsSysMst.logLevel.DBG, "exePutExcel", "Excel出力 Start")

		Dim bRet As Boolean = False
		Dim cliExcelFunc As clsExcelFunc

		' １ページの基準となるホームポジションの初期値を、シートの左上に設定する。
		Dim m_posHome As clsExcel.PosInfo = New clsExcel.PosInfo(CST_INT_ONE, CST_INT_ONE)
		' 出力位置（汎用）
		Dim strPos As String = Nothing
		Dim iOffset As Integer = CST_INT_ONE
		' データシートの値
		Dim strPut(,) As String
'(A) STR V4-14044-000 003 20130717 ID)鐘井 病歴大将のバージョン対応
        Dim ExcelPrm As String() = Nothing
'(A) END V4-14044-000 003 20130717 ID)鐘井 病歴大将のバージョン対応
        Try
            ' インスタンス生成
            cliCom = New clsCom
            cliMTI_LENDITM = New clsMTI_LENDITM
            cliMTM_LENDITEM_MNGSTATUS = New clsMTM_LENDITEM_MNGSTATUS
            cliExcelFunc = New clsExcelFunc

            'データシートの最大行・列数
            Dim PutIdxMax As Integer = pDtData.Rows.Count - CST_INT_ONE
            Dim PutEndCol As Integer = pDataColInfo.Length - CST_INT_ONE + pPutStartCol

            'データシート用のデータ（配列）設定
            ReDim strPut(PutIdxMax, pDataColInfo.GetUpperBound(0))
            Dim iRow As Integer = 0
            For Each row As DataRow In pDtData.Rows
                For iCol As Integer = 0 To pDataColInfo.GetUpperBound(0)
                    If IsDBNull(row.Item(pDataColInfo(iCol).ColNm_From)) Then
                        strPut(iRow, iCol) = String.Empty
                    Else
                        strPut(iRow, iCol) = row.Item(pDataColInfo(iCol).ColNm_From).ToString
                    End If
                Next
                iRow += 1
            Next
'(A) STR V4-14031-000 005 20130611 ID)荒川 貸出管理No.362　EXCEL出力　1万行に抑えて出力を行う対応
            If iRow > clsConst.CST_EXCEL_OUTROWS_MAXCNT Then
                pFrm.showMsg("I0023", clsConst.CST_EXCEL_OUTROWS_MAXCNT, clsConst.CST_EXCEL_OUTROWS_MAXCNT + 1, Nothing)
            End If
'(A) END V4-14031-000 005 20130611 ID)荒川 貸出管理No.362　EXCEL出力　1万行に抑えて出力を行う対応
'(A) STR V4-14044-000 003 20130717 ID)鐘井 病歴大将のバージョン対応
            ExcelPrm = New String() {Str(iRow)}
'(A) END V4-14044-000 003 20130717 ID)鐘井 病歴大将のバージョン対応
            ' オブジェクトのインスタンス作成
            Using xlApp As clsExcel = New clsExcel(pPrintFlg)
                ' １ページの基準となるホームポジションの初期値を、シートの左上に設定する。
                Dim posHome As clsExcel.PosInfo = New clsExcel.PosInfo(1, 1)
                ' Workbooks コレクション
                Using xlBooks As clsExcelBooks = New clsExcelBooks(xlApp, pPrintFlg)
                    ' 出力用 Workbook、ひな形 Workbook
'(M) STR V4-11020-000 005 20110812 FJSK)荒川 XXX号 病歴大将V4PKG問題点No103 EXCEL出力でテンプレートと同じファイル名で出力するとエラー対応
'					Using xlOBook As clsExcelBook = New clsExcelBook(xlBooks, pPrintFlg), _
'					   xlMBook As clsExcelBook = New clsExcelBook(xlBooks, pFilePath, True)
					Using xlOBook As clsExcelBook = New clsExcelBook(xlBooks, pPrintFlg)
'(A) STR V4-14044-000 003 20130718 ID)平井 病歴大将のバージョン対応
						Try
'(A) END V4-14044-000 003 20130718 ID)平井 病歴大将のバージョン対応
'(M) END V4-11020-000 005 20110812
							' 出力用 Worksheets、ひな形 Worksheets
'(M) STR V4-11020-000 005 20110812 FJSK)荒川 XXX号 病歴大将V4PKG問題点No103 EXCEL出力でテンプレートと同じファイル名で出力するとエラー対応
'						Using xlOSheets As clsExcelSheets = New clsExcelSheets(xlOBook), _
'						   xlMSheets As clsExcelSheets = New clsExcelSheets(xlMBook)
							Using xlOSheets As clsExcelSheets = New clsExcelSheets(xlOBook)
'(M) END V4-11020-000 005 20110812
								' 出力用 Worksheet
								Using xlOSheet As clsExcelSheet = New clsExcelSheet
									'初期化
									cliExcelFunc.initExcel(xlOSheets, xlOSheet)
									xlOSheet.SetSheet(xlOSheets, CST_INT_ONE)
'(A) STR V4-11020-000 004 20110812 FJSK)荒川 XXX号 病歴大将V4PKG問題点No103 EXCEL出力でテンプレートと同じファイル名で出力するとエラー対応
									Using xlMBook As clsExcelBook = New clsExcelBook(xlBooks, pFilePath, True)
'(A) STR V4-14044-000 003 20130718 ID)平井 病歴大将のバージョン対応
										Try
'(A) END V4-14044-000 003 20130718 ID)平井 病歴大将のバージョン対応
											Using xlMSheets As clsExcelSheets = New clsExcelSheets(xlMBook)
'(A) END V4-11020-000 004 20110812
											' 出力用 Worksheets に、ひな形 Worksheets を追加
												xlMSheets.CopyAfterSheets(xlOSheet)
'(A) STR V4-11020-000 004 20110812 FJSK)荒川 XXX号 病歴大将V4PKG問題点No103 EXCEL出力でテンプレートと同じファイル名で出力するとエラー対応
											End Using
'(A) STR V4-14044-000 007 20130718 ID)平井 病歴大将のバージョン対応
										Catch ex As Exception
											'エラー発生のため、解放フラグを設定
											xlMBook.setError()
											Throw
										End Try
'(A) END V4-14044-000 007 20130718 ID)平井 病歴大将のバージョン対応
									End Using
'(A) END V4-11020-000 004 20110812

									' 項目用 Range
									Using xlRange As clsExcelRange = New clsExcelRange, _
									   xlRow As clsExcelRow = New clsExcelRow

										'パラメータシートに値を設定
										xlOSheet.SetSheet(xlOSheets, clsExcelFunc.CST_PARAM_SHEET)

										For i As Integer = 0 To pPrmShtInfo.GetUpperBound(0)
											With pPrmShtInfo(i)
												'パラメータシートのセルName取得
												strPos = xlApp.getCellStyle(m_posHome, New clsExcel.PosInfo(.ColIdx, .RowIdx))
												'パラメータシート書式設定
												xlRange.SetMultiFormat(xlOSheet, strPos, .FmtType)
												'パラメータシートデータ設定
												xlRange.SetRangeValue(xlOSheet, strPos, .SetValue)
											End With
										Next

										'データシートに値を設定
										xlOSheet.SetSheet(xlOSheets, clsExcelFunc.CST_DATA_SHEET)

										'データシートの書式設定
										'（全体）
										SetFormat(pFrm, xlApp, xlRange, xlOSheet, pPutStartCol, PutEndCol, PutIdxMax, pPutStartRow, clsExcel.CST_FORMAT_STRING)
										For i As Integer = 0 To pDataColInfo.GetLowerBound(0)
											With pDataColInfo(i)
												If .FmtType <> clsExcel.CST_FORMAT_STRING Then
													'文字列以外について書式設定を行う
													SetFormat(pFrm, xlApp, xlRange, xlOSheet, i + iOffset, i + iOffset, PutIdxMax, pPutStartRow, .FmtType)
												End If
											End With
										Next

										'データシートのデータ出力
										xlRange.SetAreaValue(xlOSheet.Worksheet, pPutStartCol, pPutStartRow, PutEndCol, PutIdxMax + pPutStartRow, strPut)

									End Using
									' ダミー用シートの削除
									xlOSheet.SetSheet(xlOSheets, CST_INT_ONE)
									xlOSheet.Delete()

									Select Case pRunMacroMode
										Case Enum_RunMacroMode.PrintMacro
											If pPrintFlg Then
												'印刷時は内部のマクロを複数回繰り返す
												If Not String.IsNullOrEmpty(pRunMacro) Then
													For i As Integer = CST_INT_ONE To pPrtSetting.NUMBERPRINTED
														'パラメータシート設定
														xlOSheet.SetSheet(xlOSheets, clsExcelFunc.CST_PARAM_SHEET)
														xlOSheet.SheetSelect()
'(M) STR V4-14044-000 004 20130717 ID)鐘井 病歴大将のバージョン対応
'                                                    xlApp.MacroRun(xlOBook.getName & CST_EXCLAMATION_MARK & xlOSheet.getName & CST_DOT & pRunMacro)
														xlApp.MacroRun(xlOBook.getName & CST_EXCLAMATION_MARK & xlOSheet.getName & CST_DOT & pRunMacro, ExcelPrm)
'(M) END V4-14044-000 004 20130717 ID)鐘井 病歴大将のバージョン対応

														'プレビュー
														xlOSheet.SetSheet(xlOSheets, pPrtSetting.SHEET_NM)
														xlOSheet.SheetSelect()

														'部署名
														If i = CST_INT_ONE Then xlOSheet.setRightFooter()

														xlOSheet.putPrintOut(CST_INT_ONE)
													Next
												End If
											Else
												xlOSheet.SetSheet(xlOSheets, clsExcelFunc.CST_PARAM_SHEET)
												xlOSheet.SheetSelect()

												If Not String.IsNullOrEmpty(pRunMacro) Then
													'マクロ実行
'(M) STR V4-14044-000 004 20130717 ID)鐘井 病歴大将のバージョン対応
'                                                xlApp.MacroRun(xlOBook.getName & CST_EXCLAMATION_MARK & xlOSheet.getName & CST_DOT & pRunMacro)
													xlApp.MacroRun(xlOBook.getName & CST_EXCLAMATION_MARK & xlOSheet.getName & CST_DOT & pRunMacro, ExcelPrm)
'(M) END V4-14044-000 004 20130717 ID)鐘井 病歴大将のバージョン対応
												End If
												'プレビュー
												xlOSheet.SetSheet(xlOSheets, pPrtSetting.SHEET_NM)
												xlOSheet.SheetSelect()

												'部署名
												xlOSheet.setRightFooter()

												xlApp.setVisible(True, pFrm)
											End If
										Case Enum_RunMacroMode.NotPrintMacro
											xlOSheet.SetSheet(xlOSheets, clsExcelFunc.CST_PARAM_SHEET)
											xlOSheet.SheetSelect()

											If Not String.IsNullOrEmpty(pRunMacro) Then
												'マクロ実行
'(M) STR V4-14044-000 004 20130717 ID)鐘井 病歴大将のバージョン対応
'                                            xlApp.MacroRun(xlOBook.getName & CST_EXCLAMATION_MARK & xlOSheet.getName & CST_DOT & pRunMacro)
												xlApp.MacroRun(xlOBook.getName & CST_EXCLAMATION_MARK & xlOSheet.getName & CST_DOT & pRunMacro, ExcelPrm)
'(M) END V4-14044-000 004 20130717 ID)鐘井 病歴大将のバージョン対応
											End If

											xlOSheet.SetSheet(xlOSheets, pPrtSetting.SHEET_NM)
											xlOSheet.SheetSelect()

											'部署名
											xlOSheet.setRightFooter()

											If pPrintFlg Then
												'印刷
												xlOSheet.putPrintOut(pPrtSetting.NUMBERPRINTED)
											Else
												'プレビュー
												xlApp.setVisible(True, pFrm)
											End If
										Case Else
									End Select
								End Using
							End Using
'(A) STR V4-14044-000 009 20130718 ID)平井 病歴大将のバージョン対応
						Catch ex As Exception
							'エラー発生のため、解放フラグを設定
							xlApp.setError()
							xlBooks.setError()
							xlOBook.setError()
							Throw
						End Try
'(A) END V4-14044-000 009 20130718 ID)平井 病歴大将のバージョン対応
					End Using
                End Using
            End Using
            '正常処理
            Return True
        Catch ex As Exception
            Throw
        Finally
            cliExcelFunc = Nothing
            strPut = Nothing
            cliCom = Nothing
            cliMTI_LENDITM = Nothing
            cliMTM_LENDITEM_MNGSTATUS = Nothing
'(A) STR V4-14044-000 003 20130717 ID)鐘井 病歴大将のバージョン対応
            ExcelPrm = Nothing
'(A) END V4-14044-000 003 20130717 ID)鐘井 病歴大将のバージョン対応
        End Try
		Return bRet
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' Excel書式設定
	''' </summary>
	''' <param name="pFrm">督促画面</param>
	''' <param name="xlApp">clsExcelオブジェクト</param>
	''' <param name="xlOSheet">clsExcelSheetオブジェクト</param>
	''' <param name="xlRange">clsExcelRangeオブジェクト</param>
	''' <param name="From_X">範囲指定での左端のインデックス</param>
	''' <param name="To_X">範囲指定での右端のインデックス</param>
	''' <param name="To_Y">範囲指定でのEND行</param>
	''' <param name="pPutStartRow">データ開始行</param>
	''' <param name="strFormat">書式文字列</param>					
	''' <remarks>
	''' 2010/12/24 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub SetFormat(ByRef pFrm As MLN010F010, _
	ByRef xlApp As clsExcel, ByRef xlRange As clsExcelRange, ByRef xlOSheet As clsExcelSheet, _
	ByVal From_X As Integer, ByVal To_X As Integer, ByVal To_Y As Integer, _
	ByVal pPutStartRow As Integer, ByVal strFormat As String)
		pFrm.log(clsSysMst.logLevel.DBG, "SetFormat", "Excel書式設定 Start")
		Dim strPos As String
		Try
			'フォーマット設定
			strPos = xlApp.getMultiCellStyle(New clsExcel.PosInfo(CST_INT_ONE, CST_INT_ONE), _
			  New clsExcel.PosInfo(From_X, pPutStartRow), _
			  New clsExcel.PosInfo(To_X, To_Y + pPutStartRow))
			xlRange.SetMultiFormat(xlOSheet, strPos, strFormat)
		Catch ex As Exception
			Throw
		Finally
			strPos = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 不足分の列追加処理
	''' </summary>
	''' <param name="pFrm"></param>
	''' <param name="dt"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/24 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function AddColumns(ByVal pFrm As MLN010F010, ByVal dt As DataTable) As DataTable
		pFrm.log(clsSysMst.logLevel.DBG, "AddColumns", "不足分の列追加処理")
		Try
			' 文字項目
			For Each strItemName As String In pAddItem_String
				dt.Columns.Add(strItemName, GetType(String))
			Next
			' 数字項目
			For Each strItemName As String In pAddItem_Integer
				dt.Columns.Add(strItemName, GetType(Integer))
			Next
			Return dt
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 診療科マスタ全件取得処理
	''' </summary>
	''' <param name="pFrm">受領・貸出画面</param>
	''' <remarks>
	''' 2010/12/24 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getDeptAll(ByVal pFrm As MLN010F010) As DataTable
		pFrm.log(clsSysMst.logLevel.DBG, "getDeptAll", "診療科マスタ全件取得処理")
		Try
			Dim dtData As New DataTable
			Using db As New clsDB(clsSysMst.ctlConfigData)
				With db
					' SQL設定
					.setSQLDa(sqlMLN010F010.sqlSelDeptAll)
					.execQueryDa(dtData)
				End With
			End Using

			Return dtData
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 貸出物管理状況マスタ全件取得処理
	''' </summary>
	''' <param name="pFrm">受領・貸出画面</param>
	''' <remarks>
	''' 2010/12/24 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getMngStatusAll(ByVal pFrm As MLN010F010) As DataTable
		pFrm.log(clsSysMst.logLevel.DBG, "getMngStatusAll", "貸出物管理状況マスタ全件取得処理")
		Try
			Dim dtData As New DataTable
			Using db As New clsDB(clsSysMst.ctlConfigData)
				With db
					' SQL設定
					.setSQLDa(sqlMLN010F010.sqlSelMngStatusAll)
					.execQueryDa(dtData)
				End With
			End Using

			Return dtData
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 貸出物所在場所マスタ全件取得処理
	''' </summary>
	''' <param name="pFrm">受領・貸出画面</param>
	''' <remarks>
	''' 2010/12/24 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getLctAll(ByVal pFrm As MLN010F010) As DataTable
		pFrm.log(clsSysMst.logLevel.DBG, "getLctAll", "貸出物所在場所マスタ全件取得処理")
		Try
			Dim dtData As New DataTable
			Using db As New clsDB(clsSysMst.ctlConfigData)
				With db
					' SQL設定
					.setSQLDa(sqlMLN010F010.sqlSelLctAll)
					.execQueryDa(dtData)
				End With
			End Using

			Return dtData
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 貸出物整理状況マスタ全件取得処理
	''' </summary>
	''' <param name="pFrm">受領・貸出画面</param>
	''' <remarks>
	''' 2010/12/24 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getArgStatusAll(ByVal pFrm As MLN010F010) As DataTable
		pFrm.log(clsSysMst.logLevel.DBG, "getArgStatusAll", "貸出物整理状況マスタ全件取得処理")
		Try
			Dim dtData As New DataTable
			Using db As New clsDB(clsSysMst.ctlConfigData)
				With db
					' SQL設定
					.setSQLDa(sqlMLN010F010.sqlSelArgStatusAll)
					.execQueryDa(dtData)
				End With
			End Using

			Return dtData
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 貸出物保管場所マスタ全件取得処理
	''' </summary>
	''' <param name="pFrm">受領・貸出画面</param>
	''' <remarks>
	''' 2010/12/24 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getKeepLctAll(ByVal pFrm As MLN010F010) As DataTable
		pFrm.log(clsSysMst.logLevel.DBG, "getKeepLctAll", "貸出物保管場所マスタ全件取得処理")
		Try
			Dim dtData As New DataTable
			Using db As New clsDB(clsSysMst.ctlConfigData)
				With db
					' SQL設定
					.setSQLDa(sqlMLN010F010.sqlSelKeepLctAll)
					.execQueryDa(dtData)
				End With
			End Using

			Return dtData
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 貸出目的マスタ全件取得処理
	''' </summary>
	''' <param name="pFrm">受領・貸出画面</param>
	''' <remarks>
	''' 2010/12/24 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getLendAimAll(ByVal pFrm As MLN010F010) As DataTable
		pFrm.log(clsSysMst.logLevel.DBG, "getLendAimAll", "貸出目的マスタ全件取得処理")
		Try
			Dim dtData As New DataTable
			Using db As New clsDB(clsSysMst.ctlConfigData)
				With db
					' SQL設定
					.setSQLDa(sqlMLN010F010.sqlSelLendAimAll)
					.execQueryDa(dtData)
				End With
			End Using

			Return dtData
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 退院経路マスタ全件取得処理
	''' </summary>
	''' <param name="pFrm">受領・貸出画面</param>
	''' <remarks>
	''' 2010/12/24 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getOutHspCnlAll(ByVal pFrm As MLN010F010) As DataTable
		pFrm.log(clsSysMst.logLevel.DBG, "getOutHspCnlAll", "退院経路マスタ全件取得処理")
		Try
			Dim dtData As New DataTable
			Using db As New clsDB(clsSysMst.ctlConfigData)
				With db
					' SQL設定
					.setSQLDa(sqlMLN010F010.sqlSelOutHspCnlAll)
					.execQueryDa(dtData)
				End With
			End Using

			Return dtData
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 退院転帰マスタ全件取得処理
	''' </summary>
	''' <param name="pFrm">受領・貸出画面</param>
	''' <remarks>
	''' 2010/12/24 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getOutHspOutComeAll(ByVal pFrm As MLN010F010) As DataTable
		pFrm.log(clsSysMst.logLevel.DBG, "getOutHspOutComeAll", "退院転帰マスタ全件取得処理")
		Try
			Dim dtData As New DataTable
			Using db As New clsDB(clsSysMst.ctlConfigData)
				With db
					' SQL設定
					.setSQLDa(sqlMLN010F010.sqlSelOutHspOutComeAll)
					.execQueryDa(dtData)
				End With
			End Using

			Return dtData
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 入院経路マスタ全件取得処理
	''' </summary>
	''' <param name="pFrm">受領・貸出画面</param>
	''' <remarks>
	''' 2010/12/24 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getHspCnlAll(ByVal pFrm As MLN010F010) As DataTable
		pFrm.log(clsSysMst.logLevel.DBG, "getHspCnlAll", "入院経路マスタ全件取得処理")
		Try
			Dim dtData As New DataTable
			Using db As New clsDB(clsSysMst.ctlConfigData)
				With db
					' SQL設定
					.setSQLDa(sqlMLN010F010.sqlSelHspCnlAll)
					.execQueryDa(dtData)
				End With
			End Using

			Return dtData
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 病棟マスタ全件取得処理
	''' </summary>
	''' <param name="pFrm">受領・貸出画面</param>
	''' <remarks>
	''' 2010/12/24 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getWardAll(ByVal pFrm As MLN010F010) As DataTable
		pFrm.log(clsSysMst.logLevel.DBG, "getWardAll", "病棟マスタ全件取得処理")
		Try
			Dim dtData As New DataTable
			Using db As New clsDB(clsSysMst.ctlConfigData)
				With db
					' SQL設定
					.setSQLDa(sqlMLN010F010.sqlSelWardAll)
					.execQueryDa(dtData)
				End With
			End Using

			Return dtData
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 職員マスタ全件取得処理
	''' </summary>
	''' <param name="pFrm">受領・貸出画面</param>
	''' <remarks>
	''' 2010/12/24 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getStaffAll(ByVal pFrm As MLN010F010) As DataTable
		pFrm.log(clsSysMst.logLevel.DBG, "getStaffAll", "職員マスタ全件取得処理")
		Try
			Dim dtData As New DataTable
			Using db As New clsDB(clsSysMst.ctlConfigData)
				With db
					' SQL設定
					.setSQLDa(sqlMLN010F010.sqlSelStaffAll)
					.execQueryDa(dtData)
				End With
			End Using

			Return dtData
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 職員部門マスタ全件取得処理
	''' </summary>
	''' <param name="pFrm">受領・貸出画面</param>
	''' <remarks>
	''' 2010/12/24 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getStaffDivAll(ByVal pFrm As MLN010F010) As DataTable
		pFrm.log(clsSysMst.logLevel.DBG, "getStaffDivAll", "職員部門マスタ全件取得処理")
		Try
			Dim dtData As New DataTable
			Using db As New clsDB(clsSysMst.ctlConfigData)
				With db
					' SQL設定
					.setSQLDa(sqlMLN010F010.sqlSelStaffDivAll)
					.execQueryDa(dtData)
				End With
			End Using

			Return dtData
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 性別全件取得処理
	''' </summary>
	''' <param name="pFrm">受領・貸出画面</param>
	''' <remarks>
	''' 2010/12/24 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getGenderAll(ByVal pFrm As MLN010F010) As DataTable
		pFrm.log(clsSysMst.logLevel.DBG, "getGenderAll", "性別全件取得処理")
		Try
			Dim dtData As New DataTable
			Using db As New clsDB(clsSysMst.ctlConfigData)
				With db
					' SQL設定
					.setSQLDa(sqlMLN010F010.sqlSelGenderAll)
					.execQueryDa(dtData)
				End With
			End Using

			Return dtData
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 貸出物マスタ全件取得処理
	''' </summary>
	''' <param name="pFrm">受領・貸出画面</param>
	''' <remarks>
	''' 2010/12/24 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getLendItemAll(ByVal pFrm As MLN010F010) As DataTable
		pFrm.log(clsSysMst.logLevel.DBG, "getLendItemAll", "貸出物マスタ全件取得処理")
		Try
			Dim dtData As New DataTable
			Using db As New clsDB(clsSysMst.ctlConfigData)
				With db
					' SQL設定
					.setSQLDa(sqlMLN010F010.sqlSelLendItemAll)
					.execQueryDa(dtData)
				End With
			End Using

			Return dtData
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 科歴情報取得処理
	''' </summary>
	''' <param name="pFrm"></param>
	''' <param name="strPatient_No"></param>
	''' <param name="iHsp_History_No"></param>
	''' <param name="iCh_No"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/27 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getCh(ByVal pFrm As MLN010F010, ByVal strPatient_No As String, ByVal iHsp_History_No As Integer, ByVal iCh_No As Integer) As DataTable
		pFrm.log(clsSysMst.logLevel.DBG, "getCh", "科歴情報取得処理")
		Try
			Dim dtData As New DataTable
			Using db As New clsDB(clsSysMst.ctlConfigData)
				With db
					' SQL設定
					.setSQLDa(sqlMLN010F010.sqlSelCh)
					' 患者番号
					.setParamDa(sqlMLN010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
					.setValDa(sqlMLN010F010.prmPATIENT_NO, strPatient_No)
					' 入退院歴番号
					.setParamDa(sqlMLN010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbNVarChar)
					.setValDa(sqlMLN010F010.prmHSP_HISTORY_NO, iHsp_History_No.ToString)
					' 科歴番号
					.setParamDa(sqlMLN010F010.prmCH_NO, clsDB.Enum_dbType.dbNVarChar)
					.setValDa(sqlMLN010F010.prmCH_NO, iCh_No.ToString)

					.execQueryDa(dtData)
				End With
			End Using

			Return dtData
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 入退院歴情報取得処理
	''' </summary>
	''' <param name="pFrm"></param>
	''' <param name="strPatient_No"></param>
	''' <param name="iHsp_History_No"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/27 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getHsp(ByVal pFrm As MLN010F010, ByVal strPatient_No As String, ByVal iHsp_History_No As Integer) As DataTable
		pFrm.log(clsSysMst.logLevel.DBG, "getHsp", "入退院歴情報取得処理")
		Try
			Dim dtData As New DataTable
			Using db As New clsDB(clsSysMst.ctlConfigData)
				With db
					' SQL設定
					.setSQLDa(sqlMLN010F010.sqlSelHsp)
					' 患者番号
					.setParamDa(sqlMLN010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
					.setValDa(sqlMLN010F010.prmPATIENT_NO, strPatient_No)
					' 入退院歴番号
					.setParamDa(sqlMLN010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbNVarChar)
					.setValDa(sqlMLN010F010.prmHSP_HISTORY_NO, iHsp_History_No.ToString)

					.execQueryDa(dtData)
				End With
			End Using

			Return dtData
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 診療科マスタ１レコード取得
	''' </summary>
	''' <param name="pFrm"></param>
	''' <param name="strDept_Cd"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/24 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getDeptRow(ByVal pFrm As MLN010F010, ByVal strDept_Cd As String) As DataRow
		pFrm.log(clsSysMst.logLevel.DBG, "getDeptRow", "診療科マスタ１レコード取得")
		Try
			Dim row() As DataRow = pdtDeptAll.Select(sqlMLN010F010.itmDEPT_CD & " = '" & cliCom.getDtItmValue(strDept_Cd) & "'")
			If row IsNot Nothing AndAlso row.Length > 0 Then
				Return row(0)
			Else
				Return Nothing
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 貸出物管理状況マスタ１レコード取得
	''' </summary>
	''' <param name="pFrm"></param>
	''' <param name="strLendItem_Cd"></param>
	''' <param name="strMngStatus_Cd"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/24 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getMngStatusRow(ByVal pFrm As MLN010F010, ByVal strLendItem_Cd As String, ByVal strMngStatus_Cd As String) As DataRow
		pFrm.log(clsSysMst.logLevel.DBG, "getMngStatusRow", "貸出物管理状況マスタ１レコード取得")
		Try
			Dim row() As DataRow = pdtMngStatusAll.Select(sqlMLN010F010.itmLENDITEM_CD & " = '" & cliCom.getDtItmValue(strLendItem_Cd) & "'" & _
			 " AND " & sqlMLN010F010.itmMNGSTATUS_CD & " = '" & cliCom.getDtItmValue(strMngStatus_Cd) & "'")
			If row IsNot Nothing AndAlso row.Length > 0 Then
				Return row(0)
			Else
				Return Nothing
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 貸出物所在場所マスタ１レコード取得
	''' </summary>
	''' <param name="pFrm"></param>
	''' <param name="strLct_Cd"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/24 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getLctRow(ByVal pFrm As MLN010F010, ByVal strLct_Cd As String) As DataRow
		pFrm.log(clsSysMst.logLevel.DBG, "getLctRow", "貸出物所在場所マスタ１レコード取得")
		Try
			Dim row() As DataRow = pdtLctAll.Select(sqlMLN010F010.itmLCT_CD & " = '" & cliCom.getDtItmValue(strLct_Cd) & "'")
			If row IsNot Nothing AndAlso row.Length > 0 Then
				Return row(0)
			Else
				Return Nothing
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 貸出物整理状況マスタ１レコード取得
	''' </summary>
	''' <param name="pFrm"></param>
	''' <param name="strLendItem_Cd"></param>
	''' <param name="strArgStatus_Cd"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/24 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getArgStatusRow(ByVal pFrm As MLN010F010, ByVal strLendItem_Cd As String, ByVal strArgStatus_Cd As String) As DataRow
		pFrm.log(clsSysMst.logLevel.DBG, "getArgStatusRow", "貸出物整理状況マスタ１レコード取得")
		Try
			Dim row() As DataRow = pdtArgStatusAll.Select(sqlMLN010F010.itmLENDITEM_CD & " = '" & cliCom.getDtItmValue(strLendItem_Cd) & "'" & _
			 " AND " & sqlMLN010F010.itmARG_STATUS_CD & " = '" & cliCom.getDtItmValue(strArgStatus_Cd) & "'")
			If row IsNot Nothing AndAlso row.Length > 0 Then
				Return row(0)
			Else
				Return Nothing
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 貸出物保管場所マスタ１レコード取得
	''' </summary>
	''' <param name="pFrm"></param>
	''' <param name="strLendItem_Cd"></param>
	''' <param name="strKeepLct_Cd"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/24 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getKeepLctRow(ByVal pFrm As MLN010F010, ByVal strLendItem_Cd As String, ByVal strKeepLct_Cd As String) As DataRow
		pFrm.log(clsSysMst.logLevel.DBG, "getKeepLctRow", "貸出物保管場所マスタ１レコード取得")
		Try
			Dim row() As DataRow = pdtKeepLctAll.Select(sqlMLN010F010.itmLENDITEM_CD & " = '" & cliCom.getDtItmValue(strLendItem_Cd) & "'" & _
			 " AND " & sqlMLN010F010.itmKEEPLCT_CD & " = '" & cliCom.getDtItmValue(strKeepLct_Cd) & "'")
			If row IsNot Nothing AndAlso row.Length > 0 Then
				Return row(0)
			Else
				Return Nothing
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 貸出目的マスタ１レコード取得
	''' </summary>
	''' <param name="pFrm"></param>
	''' <param name="strLendAim_Cd"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/24 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getLendAimRow(ByVal pFrm As MLN010F010, ByVal strLendAim_Cd As String) As DataRow
		pFrm.log(clsSysMst.logLevel.DBG, "getLendAimRow", "貸出目的マスタ１レコード取得")
		Try
			Dim row() As DataRow = pdtLendAimAll.Select(sqlMLN010F010.itmLENDAIM_CD & " = '" & cliCom.getDtItmValue(strLendAim_Cd) & "'")
			If row IsNot Nothing AndAlso row.Length > 0 Then
				Return row(0)
			Else
				Return Nothing
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 退院経路マスタ１レコード取得
	''' </summary>
	''' <param name="pFrm"></param>
	''' <param name="strOutHspCnl"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/24 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getOutHspCnlRow(ByVal pFrm As MLN010F010, ByVal strOutHspCnl As String) As DataRow
		pFrm.log(clsSysMst.logLevel.DBG, "getOutHspCnlRow", "退院経路マスタ１レコード取得")
		Try
			Dim row() As DataRow = pdtOutHspCnlAll.Select(sqlMLN010F010.itmOUT_HSP_CNL_CD & " = '" & cliCom.getDtItmValue(strOutHspCnl) & "'")
			If row IsNot Nothing AndAlso row.Length > 0 Then
				Return row(0)
			Else
				Return Nothing
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 退院転帰マスタ１レコード取得
	''' </summary>
	''' <param name="pFrm"></param>
	''' <param name="strOutHspOutCome"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/24 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getOutHspOutComeRow(ByVal pFrm As MLN010F010, ByVal strOutHspOutCome As String) As DataRow
		pFrm.log(clsSysMst.logLevel.DBG, "getOutHspOutComeRow", "退院転帰マスタ１レコード取得")
		Try
			Dim row() As DataRow = pdtOutHspOutComeAll.Select(sqlMLN010F010.itmOUT_HSP_OUTCOME_CD & " = '" & cliCom.getDtItmValue(strOutHspOutCome) & "'")
			If row IsNot Nothing AndAlso row.Length > 0 Then
				Return row(0)
			Else
				Return Nothing
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 入院経路マスタ１レコード取得
	''' </summary>
	''' <param name="pFrm"></param>
	''' <param name="strHspCnl"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/24 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getHspCnlRow(ByVal pFrm As MLN010F010, ByVal strHspCnl As String) As DataRow
		pFrm.log(clsSysMst.logLevel.DBG, "getHspCnlRow", "入院経路マスタ１レコード取得")
		Try
			Dim row() As DataRow = pdtHspCnlAll.Select(sqlMLN010F010.itmHSP_CNL_CD & " = '" & cliCom.getDtItmValue(strHspCnl) & "'")
			If row IsNot Nothing AndAlso row.Length > 0 Then
				Return row(0)
			Else
				Return Nothing
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 病棟マスタ１レコード取得
	''' </summary>
	''' <param name="pFrm"></param>
	''' <param name="strWard_Cd"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/24 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getWardRow(ByVal pFrm As MLN010F010, ByVal strWard_Cd As String) As DataRow
		pFrm.log(clsSysMst.logLevel.DBG, "getWardRow", "病棟マスタ１レコード取得")
		Try
			Dim row() As DataRow = pdtWardAll.Select(sqlMLN010F010.itmWARD_CD & " = '" & cliCom.getDtItmValue(strWard_Cd) & "'")
			If row IsNot Nothing AndAlso row.Length > 0 Then
				Return row(0)
			Else
				Return Nothing
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 職員１レコード取得
	''' </summary>
	''' <param name="pFrm"></param>
	''' <param name="strStaff_Cd"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/24 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getStaffRow(ByVal pFrm As MLN010F010, ByVal strStaff_Cd As String) As DataRow
		pFrm.log(clsSysMst.logLevel.DBG, "getStaffRow", "職員１レコード取得")
		Try
			Dim row() As DataRow = pdtStaffAll.Select(sqlMLN010F010.itmSTAFF_CD & " = '" & cliCom.getDtItmValue(strStaff_Cd) & "'")
			If row IsNot Nothing AndAlso row.Length > 0 Then
				Return row(0)
			Else
				Return Nothing
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 職員部門１レコード取得
	''' </summary>
	''' <param name="pFrm"></param>
	''' <param name="strStaffDiv_Cd"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/24 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getStaffDivRow(ByVal pFrm As MLN010F010, ByVal strStaffDiv_Cd As String) As DataRow
		pFrm.log(clsSysMst.logLevel.DBG, "getStaffDivRow", "職員部門１レコード取得")
		Try
			Dim row() As DataRow = pdtStaffDivAll.Select(sqlMLN010F010.itmSTAFFDIV_CD & " = '" & cliCom.getDtItmValue(strStaffDiv_Cd) & "'")
			If row IsNot Nothing AndAlso row.Length > 0 Then
				Return row(0)
			Else
				Return Nothing
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 性別１レコード取得
	''' </summary>
	''' <param name="pFrm"></param>
	''' <param name="strGender_Cd"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/24 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getGenderRow(ByVal pFrm As MLN010F010, ByVal strGender_Cd As String) As DataRow
		pFrm.log(clsSysMst.logLevel.DBG, "getGenderRow", "性別１レコード取得")
		Try
			Dim row() As DataRow = pdtGenderAll.Select(sqlMLN010F010.itmGENDER_CD & " = '" & cliCom.getDtItmValue(strGender_Cd) & "'")
			If row IsNot Nothing AndAlso row.Length > 0 Then
				Return row(0)
			Else
				Return Nothing
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 貸出物マスタ１レコード取得
	''' </summary>
	''' <param name="pFrm"></param>
	''' <param name="strLendItem_Cd"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/24 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getLendItemRow(ByVal pFrm As MLN010F010, ByVal strLendItem_Cd As String) As DataRow
		pFrm.log(clsSysMst.logLevel.DBG, "getLendItemRow", "貸出物マスタ１レコード取得")
		Try
			Dim row() As DataRow = pdtLendItemAll.Select(sqlMLN010F010.itmLENDITEM_CD & " = '" & cliCom.getDtItmValue(strLendItem_Cd) & "'")
			If row IsNot Nothing AndAlso row.Length > 0 Then
				Return row(0)
			Else
				Return Nothing
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 部署名取得
	''' </summary>
	''' <param name="pFrm">督促画面</param>
	''' <returns>部署名</returns>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function GetDpmNm(ByVal pFrm As MLN010F010) As String
		pFrm.log(clsSysMst.logLevel.DBG, "GetDpmNm", "部署名取得 Start")
		Dim retDpmNm As String = Nothing
		Dim cliHspName As clsXTM_HSPNAME
		Try
			'動作環境設定情報取得
			Dim sDspDpmNm As String = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00054)
			If sDspDpmNm = CST_DSP_DPM_NM Then
				cliHspName = New clsXTM_HSPNAME
				retDpmNm = cliHspName.getHspName_OneRec_DataClass.DPM_NM
			End If
		Catch ex As Exception
			Throw
		Finally
			cliHspName = Nothing
		End Try
		Return retDpmNm
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ワークテーブル削除
	''' </summary>
	''' <param name="pFrm">督促画面</param>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub DelWorkTbl(ByVal pFrm As MLN010F010)
		pFrm.log(clsSysMst.logLevel.DBG, "DelWorkTbl", "ワークテーブル削除 Start")
		Try
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				With db
					Try
						.ctlTran(clsDB.Enum_TranMode.Begin)
						'ヘッダワーク削除
						.setSQL(sqlMLN010F010.sqlDel_XTW_HEADER_WORK)
						.setParam(sqlMLN010F010.prmHOST_NM, clsDB.Enum_dbType.dbNVarChar)
						.setVal(sqlMLN010F010.prmHOST_NM, clsConst.CST_HOST_NM)
						.setParam(sqlMLN010F010.prmPRT_ID_1, clsDB.Enum_dbType.dbNVarChar)
						.setVal(sqlMLN010F010.prmPRT_ID_1, PRT_ID_MLN010R010)
						.setParam(sqlMLN010F010.prmPRT_ID_2, clsDB.Enum_dbType.dbNVarChar)
						.setVal(sqlMLN010F010.prmPRT_ID_2, PRT_ID_MLN010R020)
						.setParam(sqlMLN010F010.prmPRT_ID_3, clsDB.Enum_dbType.dbNVarChar)
						.setVal(sqlMLN010F010.prmPRT_ID_3, PRT_ID_MLN010R030)
						.execNonQuery(False)
						'ワークテーブル削除
						For i As Integer = 0 To DEL_PRT_WORK_SQL.Length - 1
							.setSQL(DEL_PRT_WORK_SQL(i).ToString)
							.setParam(sqlMLN020F010.prmHOST_NM, clsDB.Enum_dbType.dbNVarChar)
							.setVal(sqlMLN020F010.prmHOST_NM, clsConst.CST_HOST_NM)
							.execNonQuery(False)
						Next
						.ctlTran(clsDB.Enum_TranMode.Commit)
					Catch ex As Exception
						If db.statTran() Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
						Throw
					End Try
				End With
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' サマリ歴取得処理
	''' </summary>
	''' <param name="pFrm"></param>
	''' <param name="strPatient_No"></param>
	''' <param name="iHsp_History_No"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/29 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getSummaryInfo(ByVal pfrm As MLN010F010, ByVal strPatient_No As String, ByVal iHsp_History_No As Integer) As DataTable
		pfrm.log(clsSysMst.logLevel.DBG, "getSummaryInfo", "サマリ歴取得処理")
		Try
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				With db
					Dim dtSummary As New DataTable
					Dim strSQL As String = sqlMLN010F010.sqlSelSummaryInfo
					If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00027) = clsConst.Enum_SummaryMakeRetDt.MainDpmEnd Then
						' 主科/退院日の場合
						strSQL &= sqlMLN010F010.sqlSelSummaryInfo_CH
					End If
					strSQL &= sqlMLN010F010.sqlSelSummaryInfo_WHERE

					.setSQLDa(strSQL)
					' 患者番号
					.setParamDa(sqlMLN010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
					.setValDa(sqlMLN010F010.prmPATIENT_NO, strPatient_No)
					' 入退院歴番号
					.setParamDa(sqlMLN010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
					.setValDa(sqlMLN010F010.prmHSP_HISTORY_NO, iHsp_History_No.ToString)
					' サマリ貸出物コード
					.setParamDa(sqlMLN010F010.prmLENDITEM_CD2, clsDB.Enum_dbType.dbNVarChar)
					.setValDa(sqlMLN010F010.prmLENDITEM_CD2, CType(clsConst.Enum_Lenditem.Summary, String))
					If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00027) = clsConst.Enum_SummaryMakeRetDt.MainDpmEnd Then
						' 主科/退院日の場合
						' チェックボックスフラグON
						.setParamDa(sqlMLN010F010.prmCHECKBOX_FLG_ON, clsDB.Enum_dbType.dbInt)
						.setValDa(sqlMLN010F010.prmCHECKBOX_FLG_ON, CType(clsConst.Enum_CheckBox_Flg.CheckOn, String))
					End If

					.execQueryDa(dtSummary)

					Return dtSummary
				End With
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 貸出情報取得処理
	''' </summary>
	''' <param name="pFrm"></param>
	''' <param name="strPatient_No"></param>
	''' <param name="iHsp_History_No"></param>
	''' <param name="iCh_No"></param>
	''' <param name="strLendItem_Cd"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2011/01/04 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getLendInfo(ByVal pfrm As MLN010F010, ByVal strPatient_No As String, ByVal iHsp_History_No As Integer, ByVal iCh_No As Integer, ByVal strLendItem_Cd As String) As DataTable
		pfrm.log(clsSysMst.logLevel.DBG, "getLendInfo", "貸出情報取得処理")
		Try
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				With db
					Dim dt As New DataTable
					.setSQLDa(sqlMLN010F010.sqlSelLendMax)
					' 患者番号
					.setParamDa(sqlMLN010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
					.setValDa(sqlMLN010F010.prmPATIENT_NO, strPatient_No)
					' 入退院歴番号
					.setParamDa(sqlMLN010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
					.setValDa(sqlMLN010F010.prmHSP_HISTORY_NO, iHsp_History_No.ToString)
					' 科歴番号
					.setParamDa(sqlMLN010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
					.setValDa(sqlMLN010F010.prmCH_NO, iCh_No.ToString)
					' 貸出物コード
					.setParamDa(sqlMLN010F010.prmLENDITEM_CD, clsDB.Enum_dbType.dbNVarChar)
					.setValDa(sqlMLN010F010.prmLENDITEM_CD, strLendItem_Cd)
					.execQueryDa(dt)
					Return dt
				End With
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 貸出物情報取得処理
	''' </summary>
	''' <param name="pFrm"></param>
	''' <param name="strPatient_No"></param>
	''' <param name="iHsp_History_No"></param>
	''' <param name="iCh_No"></param>
	''' <param name="strLendItem_Cd"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2011/01/04 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getLendItmInfo(ByVal pfrm As MLN010F010, ByVal strPatient_No As String, ByVal iHsp_History_No As Integer, ByVal iCh_No As Integer, ByVal strLendItem_Cd As String) As DataTable
		pfrm.log(clsSysMst.logLevel.DBG, "getLendItmInfo", "貸出物情報取得処理")
		Try
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				With db
					Dim dt As New DataTable
					Select Case strLendItem_Cd
						Case CType(clsConst.Enum_Lenditem.MedicalRecord, String)
							.setSQLDa(sqlMLN010F010.sqlSelLend1)
						Case CType(clsConst.Enum_Lenditem.Summary, String)
							.setSQLDa(sqlMLN010F010.sqlSelLend2)
						Case CType(clsConst.Enum_Lenditem.LendItem3, String)
							.setSQLDa(sqlMLN010F010.sqlSelLend3)
						Case CType(clsConst.Enum_Lenditem.LendItem4, String)
							.setSQLDa(sqlMLN010F010.sqlSelLend4)
						Case CType(clsConst.Enum_Lenditem.LendItem5, String)
							.setSQLDa(sqlMLN010F010.sqlSelLend5)
						Case Else
							Return Nothing
					End Select
					' 患者番号
					.setParamDa(sqlMLN010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
					.setValDa(sqlMLN010F010.prmPATIENT_NO, strPatient_No)
					' 入退院歴番号
					.setParamDa(sqlMLN010F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
					.setValDa(sqlMLN010F010.prmHSP_HISTORY_NO, iHsp_History_No.ToString)
					' 科歴番号
					.setParamDa(sqlMLN010F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
					.setValDa(sqlMLN010F010.prmCH_NO, iCh_No.ToString)

					.execQueryDa(dt)
					Return dt
				End With
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

End Class
