﻿Imports System.Runtime.ConstrainedExecution
Imports XCM
Imports XSP
''' ---------------------------------------------
''' <summary>
''' 診療情報管理 共通帳票 患者基本Report継承元クラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MRP030R000

#Region "解放処理"
	'確実な解放処理を実行するために指定
	Inherits CriticalFinalizerObject
	'解放処理を実装する為に指定
	Implements IDisposable

	''' ---------------------------------------------
	''' <summary>
	''' Dispose（解放処理）※外からはよばない
	''' </summary>
	''' <param name="disposing"></param>
	''' <remarks>
	''' 2010/10/15 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Overloads Sub Dispose(ByVal disposing As Boolean)
		If disposing Then
			Me.pForm = Nothing
			Me.pPrint = Nothing
			Me.pDgv = Nothing
			Me.pTitle = Nothing
			Me.pPrivacy = Nothing
			Me.pMakeWork = Nothing
		End If
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Finalize（解放処理）
	''' </summary>
	''' <remarks>
	''' 2010/10/15 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overloads Sub Dispose() Implements IDisposable.Dispose
		Dispose(True)
		MyBase.Finalize()
		GC.SuppressFinalize(Me)
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Finalize（解放処理）※外からはよばない
	''' </summary>
	''' <remarks>
	''' 2010/10/15 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub Finalize()
		Dispose(False)
		MyBase.Finalize()
	End Sub
#End Region

#Region "コンスタント"
	''' ---------------------------------------------
	''' <summary>
	''' ＳＱＬ文設定
	''' </summary>
	''' <remarks>
	''' 2010/10/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Enum ENUM_SQLTYPE As Byte
		''' <summary>
		''' ワーク作成
		''' </summary>
		INS = 0
		''' <summary>
		''' ワーク更新(トラン反映)
		''' </summary>
		UPD = 1
		''' <summary>
		''' ワーク削除
		''' </summary>
		DEL = 2
	End Enum

	Private Const CST_LOG_CLASS As String = "基本一覧（Report）"
#End Region

#Region "変数"

	'IN項目
	Private pForm As frmBase = Nothing						'遷移元画面
	Private pPrint As Boolean = Nothing						'印刷フラグ
	Private pDgv As DataGridView = Nothing					'出力元グリッド
	Private pTitle As String = Nothing						'タイトル情報
	Private pPrivacy As Boolean = Nothing					'個人情報出力フラグ
	Private pMakeWork As Boolean = Nothing					'ワークデータ作成フラグ

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pForm">呼出画面</param>
	''' <param name="pPrint">印刷フラグ True:印刷/False:プレビュー</param>
	''' <param name="pDgv">一覧</param>
	''' <param name="pTitle">帳票タイトル</param>
	''' <param name="pPrivacy">個人情報出力フラグ True:出力する/False:出力しない</param>
	''' <param name="pMakeWork">ワークデータ作成フラグ True:作成する/False:作成しない</param>
	''' <remarks>
	''' </remarks>
	''' ---------------------------------------------
	Sub New(ByVal pForm As frmBase, ByVal pPrint As Boolean, _
			ByVal pDgv As DataGridView, ByVal pTitle As String, _
			ByVal pPrivacy As Boolean, ByVal pMakeWork As Boolean)
		'IN項目引き継ぎ
		Me.pForm = pForm
		Me.pPrint = pPrint
		Me.pDgv = pDgv
		Me.pTitle = pTitle
		Me.pPrivacy = pPrivacy
		Me.pMakeWork = pMakeWork
	End Sub

#End Region

#Region "オーバーライダブルメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 印刷・プレビュー処理
	''' </summary>	
	''' <remarks>
	''' 2010/10/18 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overridable Function exeReport() As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "exeReport", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "印刷・プレビュー処理 START")
		Dim cliAccess As clsXTM_PRINTSETTING_ACCESS
		Dim datAccess As datXTM_PRINTSETTING_ACCESS_OneRec = Nothing
		Dim cliCom As clsCom
		Dim FilePath As String = Nothing
		Try

			'印刷設定情報取得
			cliAccess = New clsXTM_PRINTSETTING_ACCESS
			datAccess = cliAccess.getAccessSettingOneRec(Me.pForm.Name, Me.GetType.Name)
			If datAccess Is Nothing Then
				Return False
			End If

			'MDBのパスを取得
			cliCom = New clsCom
			FilePath = cliCom.setReportPath(datAccess.FILE_NM)
			Using cliReportFunc As New clsReportFunc(Me.pForm, FilePath, datAccess.REPORT_NM, Me.pPrint)

				'DB処理
				Using db As New clsDB(clsSysMst.ctlConfigData)
					'ワークテーブルのクリア
					cliReportFunc.exeHeaderDel(db, Me.GetType.Name, True)
					cliReportFunc.exeWorkDel(db, Me.getDelSql, sqlMRPCOMMON.prmHOST_NM)
					'ヘッダの作成
					cliReportFunc.exeHeaderIns(db, Me.getHeaderData, True)
					'印刷データの作成
					Me.setWorkData(db)
				End Using

				'印刷/プレビュー
				If cliReportFunc.AcPrint(datAccess.NUMBERPRINTED) = False Then
					Return False
				End If
			End Using
			Return True
		Catch ex As Exception
			Throw
		Finally
			cliAccess = Nothing
			datAccess = Nothing
			cliCom = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ワーク削除SQL取得
	''' </summary>
	''' <returns>SQL文</returns>
	''' <remarks>
	''' 2010/10/18 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Function getDelSql() As String
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "getDelSql", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "ワーク削除SQL取得 START")
		Try
			If Me.pMakeWork = True Then
				Return sqlMRP030R000.sqlDel
			Else
				Return Nothing
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ヘッダ情報編集
	''' </summary>
	''' <returns>ヘッダ情報</returns>
	''' <remarks>
	''' 2010/10/18 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Function getHeaderData() As datHeader
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "getHeaderData", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "ヘッダ情報編集 START")
		Dim retHeader As datHeader
		Try
			retHeader = New datHeader
			With retHeader
				.PRT_ID = Me.GetType.Name							'帳票ID	
				.TITLE_NM = Me.pTitle								'タイトル
				.STR1 = Math.Abs(CInt(Me.pPrivacy)).ToString		'個人情報
				.STR3 = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00003)	'生年月日書式
			End With
			Return retHeader
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ワークデータ作成
	''' </summary>
	''' <param name="db">clsDB</param>
	''' <returns>True:正常終了/False:異常終了</returns>
	''' <remarks>
	''' 2010/10/18 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Function setWorkData(ByVal db As clsDB) As Boolean
		clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "setWorkData", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "ワークデータ作成 START")
		Dim row As DataRow
		Dim no As Integer
		Try
			'ワークデータは前回内容を再利用のため、更新しない
			If Me.pMakeWork = False Then Return True

			With db
				'一覧からワークへ
				Me.setSql(db, ENUM_SQLTYPE.INS)

				For Each pRow As DataGridViewRow In Me.pDgv.Rows			'明細ワーク
					'１行ずつデータを追加する
					row = CType(pRow.DataBoundItem, DataRowView).Row		'データを明細化
					'データグリッドにチェックがあるもののみ出力
					If row.Item(sqlMRPCOMMON.itmSELECTED) = CStr(clsConst.Enum_Chk.ChkOn) Then
						With db
							no += 1											'表示順 カウンタUP
							.setVal(sqlMRPCOMMON.prmDSPORDER, no)
							.setVal(sqlMRPCOMMON.prmPATIENT_NO, row.Item(sqlMRPCOMMON.itmPATIENT_NO).ToString)		'患者番号

							.execNonQuery()
						End With
					End If
				Next

				'ワークをトランで更新
				Me.setSql(db, ENUM_SQLTYPE.UPD)
				If db.execNonQuery() = 0 Then
					Return False
				End If

			End With
			Return True
		Catch ex As Exception
			Throw
		Finally
			row = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' SQL文/パラメータ設定
	''' </summary>
	''' <param name="db">clsDB</param>
	''' <param name="type">ENUM_SQLTYPE</param>
	''' <remarks>
	''' 2010/10/18 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Sub setSql(ByVal db As clsDB, ByRef type As ENUM_SQLTYPE)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "setSql", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "SQL文/パラメータ設定 START")
		Try
			With db
				Select Case type
					'一覧からワークへ
					Case ENUM_SQLTYPE.INS
						.setSQL(sqlMRP030R000.sqlIns)
						.setParam(sqlMRPCOMMON.prmDSPORDER, clsDB.Enum_dbType.dbInt)			'表示順
						.setParam(sqlMRPCOMMON.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)	'患者番号
					'ワークをトランで更新
					Case ENUM_SQLTYPE.UPD
						.setSQL(sqlMRP030R000.sqlUpd)
					Case Else
						Return
				End Select

				'共通パラメータ
				.setParam(sqlMRPCOMMON.prmHOST_NM, clsDB.Enum_dbType.dbNVarChar)				'ホスト名
				.setVal(sqlMRPCOMMON.prmHOST_NM, clsConst.CST_HOST_NM)
				.setParam(sqlMRPCOMMON.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)		'更新者コード
				.setVal(sqlMRPCOMMON.prmLASTUPDUSER_CD, clsSysMst.getLoginId)
				.setParam(sqlMRPCOMMON.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)			'更新日
				.setVal(sqlMRPCOMMON.prmLASTUPD_DT, DateTime.Now())
			End With
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

End Class
