﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 共通帳票  入退院情報一覧 EXCEL出力クラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MRP040E010
	Inherits MRP000E010

#Region "コンスタント"
	Private Const CST_LOG_CLASS As String = "入退院情報一覧（Excel）"
#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pForm">遷移元画面</param>
	''' <param name="pDgv">出力元グリッド</param>
	''' <param name="pTempFile">雛型ファイル</param>
	''' <param name="pPutName">出力ファイル</param>
	''' <param name="pPutPath">出力パス</param>
	''' <param name="pPrivacy">個人情報出力フラグ</param>
	''' <remarks>
	''' 2010/10/19 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New(ByVal pForm As XCM.frmBase, ByVal pDgv As DataGridView, ByVal pTempFile As String, ByVal pPutName As String, ByVal pPutPath As String, ByVal pPrivacy As Boolean)
		MyBase.New(pForm, pDgv, pTempFile, pPutName, pPutPath, pPrivacy)
	End Sub

#End Region

#Region "オーバライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' Excel出力用SQLを取得
	''' </summary>
	''' <returns>Excel出力用SQL</returns>
	''' <remarks>
	''' 2010/10/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Function getSelectSql() As String
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "getSelectSql", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "Excel出力用SQLを取得 START")
		Try
			Me.LendParam = True
			Return sqlMRP040E010.sqlSel
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' データ取得時の追加パラメータ設定
	''' </summary>
	''' <param name="db">clsDB</param>
	''' <remarks>
	''' 2010/12/08 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub addParam(ByVal db As XCM.clsDB)
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "addParam", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "追加 START")
		Try
			With db
				.setParamDa(sqlMRPCOMMON.prmFIXED_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
				.setValDa(sqlMRPCOMMON.prmFIXED_CD, XCM.clsConst.Enum_HspChannel_Fix1.ChangeDept, False)		'開始経路転科
				.setParamDa(sqlMRP040E010.prmFIXED_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
				.setValDa(sqlMRP040E010.prmFIXED_CD, XCM.clsConst.Enum_DiscchargeCannel_Fix1.ChangeDept, False)	'終了経路転科
			End With
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' データ部タイトルを返却
	''' </summary>
	''' <returns>データ部タイトル</returns>
	''' <remarks>
	''' 2010/10/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Function getHeader() As String
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "getHeader", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "データ部タイトル START")
		Dim Header As String = Nothing
		Dim row As DataRow()
		Try
			Using db As New XCM.clsDB(XCM.clsSysMst.ctlConfigData), dt As New DataTable
				'入退院項目マスタより項目を設定
				db.setSQLDa(sqlMRP040E010.sqlSel_Header)
				db.execQueryDa(dt)
				For Each key As String In {"001", "002", "003", "004", "005", "006"}
					row = dt.Select(sqlMRPCOMMON.itmITEM_CD & "='" & key & "'")
					If row IsNot Nothing AndAlso row.Length >= 1 Then
						Header &= String.Format(sqlMRP040E010.excel_FreeFormat, row(0).Item(sqlMRPCOMMON.itmITEM_NM).ToString, row(0).Item(sqlMRPCOMMON.itmITEM_RNM).ToString)
					Else
						Header &= sqlMRP040E010.excel_FreeFormatEmpty
					End If
				Next
			End Using
			Return String.Format(sqlMRP040E010.excel_Header, Header)
		Catch ex As Exception
			Throw
		Finally
			Header = Nothing
			row = Nothing
		End Try
	End Function

#End Region

End Class
