﻿Imports XCM

''' ---------------------------------------------
''' <summary>
''' 診療情報管理 共通帳票 入退院情報（すべて）(Report)クラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MRP040R110
	Inherits MRP040R000

#Region "コンスタント"
	''' ---------------------------------------------
	''' <summary>
	''' ＳＱＬ文設定
	''' </summary>
	''' <remarks>
	''' 2010/10/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Enum ENUM_SQLTYPE2 As Byte
		''' <summary>
		''' ワーク作成(ヘッダ)
		''' </summary>
		INS_LIST = 0
		''' <summary>
		''' ワーク更新(ヘッダ)
		''' </summary>
		UPD_HEADING = 1
		''' <summary>
		''' ワーク作成(病名)
		''' </summary>
		INS_DISEASE = 2
		''' <summary>
		''' ワーク更新(病名)
		''' </summary>
		UPD_DISEASE1 = 3
		''' <summary>
		''' ワーク更新(病名)
		''' </summary>
		UPD_DISEASE5 = 4
		''' <summary>
		''' ワーク更新(病名)
		''' </summary>
		UPD_DISEASE9 = 5
		''' <summary>
		''' ワーク作成(手術)
		''' </summary>
		INS_OPE = 6
		''' <summary>
		''' ワーク作成(手術)
		''' </summary>
		INS_OPE_DUMMY = 12
		''' <summary>
		''' ワーク作成(医療費)
		''' </summary>
		INS_MED = 7
		''' <summary>
		''' ワーク作成(補足)
		''' </summary>
		INS_ASST = 8
		''' <summary>
		''' DPCマスタの取得
		''' </summary>
		SEL_DPC = 9
		''' <summary>
		''' ワーク更新(補足)
		''' </summary>
		UPD_ASST1 = 10
		''' <summary>
		''' ワーク更新(補足)
		''' </summary>
		UPD_ASST2 = 11
	End Enum

	Private Const CST_LOG_CLASS As String = "入退院情報（すべて）"
#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ(検索からの呼出)
	''' </summary>
	''' <param name="pForm">呼出画面</param>
	''' <param name="pPrint">印刷フラグ True:印刷/False:プレビュー</param>
	''' <param name="pDgv">一覧</param>
	''' <param name="pTitle">帳票タイトル</param>
	''' <param name="pPrivacy">個人情報出力フラグ True:出力する/False:出力しない</param>
	''' <param name="pMakeWork">ワークデータ作成フラグ True:作成する/False:作成しない</param>
	''' <remarks>
	''' 2010/12/07 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New(ByVal pForm As XCM.frmBase, ByVal pPrint As Boolean,
			ByVal pDgv As DataGridView, ByVal pTitle As String,
			ByVal pPrivacy As Boolean, ByVal pMakeWork As Boolean)
		MyBase.New(pForm, pPrint, pDgv, pTitle, pPrivacy, pMakeWork)
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ(登録からの呼出)
	''' </summary>
	''' <param name="pForm">呼出画面</param>
	''' <param name="pPrint">印刷フラグ True:印刷/False:プレビュー</param>
	''' <param name="pTitle">帳票タイトル</param>
	''' <param name="pPrivacy">個人情報出力フラグ True:出力する/False:出力しない</param>
	''' <param name="pPatientNo">患者番号</param>
	''' <param name="pHspNo">入退院歴番号</param>
	''' <remarks>
	''' 2010/12/07 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New(ByVal pForm As XCM.frmBase, ByVal pPrint As Boolean,
			ByVal pTitle As String, ByVal pPrivacy As Boolean,
			ByVal pPatientNo As String, ByVal pHspNo As Integer)
		MyBase.New(pForm, pPrint, pTitle, pPrivacy, pPatientNo, pHspNo)
	End Sub

#End Region

#Region "オーバーライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' ワーク削除SQL取得
	''' </summary>
	''' <returns>SQL文</returns>
	''' <remarks>
	''' 2010/12/07 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Function getDelSql() As String()
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "getDelSql", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "ワーク削除SQL取得 START")
		Try
			If Me.pMakeWork = True Then
				Return New String() {sqlMRP040R110.sqlDel_HEADING, sqlMRP040R110.sqlDel_DISEASE, sqlMRP040R110.sqlDel_OPE, sqlMRP040R110.sqlDel_MED, sqlMRP040R110.sqlDel_ASST}
			Else
				Return New String() {}
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ワークデータ作成
	''' </summary>
	''' <param name="db">clsDB</param>
	''' <returns>True:正常終了/False:異常終了</returns>
	''' <remarks>
	''' 2010/10/18 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Function setWorkData(ByVal db As clsDB) As Boolean
		clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "setWorkData", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "ワークデータ作成")
		Dim row As DataRow
		Dim no As Integer
		Try
			'ワークデータは前回内容を再利用のため、更新しない
			If Me.pMakeWork = False Then Return True

			With db
				Me.setSql(db, ENUM_SQLTYPE2.INS_LIST)

				If Me.pDgv IsNot Nothing Then
					'一覧からワークへ
					For Each pRow As DataGridViewRow In Me.pDgv.Rows			'明細ワーク
						'１行ずつデータを追加する
						row = CType(pRow.DataBoundItem, DataRowView).Row		'データを明細化
						'データグリッドにチェックがあるもののみ出力
						If row.Item(sqlMRPCOMMON.itmSELECTED) = CStr(clsConst.Enum_Chk.ChkOn) Then
							With db
								no += 1											'表示順 カウンタUP
								.setVal(sqlMRPCOMMON.prmDSPORDER, no)
								.setVal(sqlMRPCOMMON.prmPATIENT_NO, row.Item(sqlMRPCOMMON.itmPATIENT_NO).ToString)	'患者番号
								.setVal(sqlMRPCOMMON.prmHSP_NO, row.Item(sqlMRPCOMMON.itmHSP_NO).ToString)			'入退院
								.execNonQuery()
							End With
						End If
					Next
				Else
					'キー情報からワークへ
								.setVal(sqlMRPCOMMON.prmDSPORDER, 1)
								.setVal(sqlMRPCOMMON.prmPATIENT_NO, Me.pPatientNo, False)							'患者番号
								.setVal(sqlMRPCOMMON.prmHSP_NO, Me.pHspNo, False)									'入退院
								.execNonQuery()
				End If

				'ワークをトランで更新
				For Each sqltype As ENUM_SQLTYPE2 In {ENUM_SQLTYPE2.UPD_HEADING, ENUM_SQLTYPE2.INS_DISEASE, ENUM_SQLTYPE2.UPD_DISEASE1, ENUM_SQLTYPE2.UPD_DISEASE5, ENUM_SQLTYPE2.UPD_DISEASE9,
													  ENUM_SQLTYPE2.INS_OPE, ENUM_SQLTYPE2.INS_MED}
					Me.setSql(db, sqltype)
					db.execNonQuery()
				Next

				'手術ワーク
				Me.setSql(db, ENUM_SQLTYPE2.INS_OPE_DUMMY)
				For i As Integer = 1 To 5
					db.setVal(sqlMRPCOMMON.prmSERIAL_NO, i)
					db.execNonQuery()
				Next

				'補足データ作成
				Me.setAsstData(db)
			End With
			Return True
		Catch ex As Exception
			Throw
		Finally
			row = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 補足データ作成
	''' </summary>
	''' <param name="db">clsDB</param>
	''' <returns>True:正常終了/False:異常終了</returns>
	''' <remarks>
	''' 2010/12/07 新規作成 ACS)仙頭<BR/><BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function setAsstData(ByVal db As clsDB) As Boolean
		clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "setAsstData", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "補足データ作成")
		Dim aryData As ArrayList = Nothing
		Dim col As Integer = 0
		Dim row As Integer = 1
		Dim sql As String = Nothing
		Try
			'補足データの追加
			Me.setSql(db, ENUM_SQLTYPE2.INS_ASST)
			For i As Integer = 1 To 36
				db.setVal(sqlMRPCOMMON.prmSERIAL_NO, i)
				db.execNonQuery()
			Next

			'DPCマスタの取得
			Me.setSql(db, ENUM_SQLTYPE2.SEL_DPC)
			aryData = New ArrayList()
			db.execQuery(GetType(sqlMRP040R110.datDpcMst), aryData)
			For Each dat As sqlMRP040R110.datDpcMst In aryData
				'行と項目位置を決定
				If col >= 3 Then
					col = 1
					row += 1
				Else
					col += 1
				End If

				Select Case dat.TABLE_CD
					'補足項目１で更新
					Case clsMRPCOMMON.Enum_Tbl_CD.MTI_ASST1
							Select Case dat.EXTRACT_OBJECT
							Case 1 : sql = sqlMRP040R110.sqlUpd_Asst1_1
							Case 2 : sql = sqlMRP040R110.sqlUpd_Asst1_2
							Case Else : sql = Nothing
							End Select
							sql = String.Format(sql, col.ToString, dat.FIELD_NM)
							db.setSQL(sql)
							Me.setSql(db, ENUM_SQLTYPE2.UPD_ASST1)

					'補足項目２で更新
					Case clsMRPCOMMON.Enum_Tbl_CD.MTI_ASST2
							If dat.FIELD_NM.ToLower.IndexOf("combo") = -1 Then
								Select Case dat.EXTRACT_OBJECT
								Case 1 : sql = String.Format(sqlMRP040R110.sqlUpd_Asst2_1, col.ToString, dat.FIELD_NM)
								Case 3 : sql = String.Format(sqlMRP040R110.sqlUpd_Asst2_3, col.ToString, dat.FIELD_NM, sqlMRP040R110.sqlAdd_Asst_Sort_3)
								Case 4 : sql = String.Format(sqlMRP040R110.sqlUpd_Asst2_3, col.ToString, dat.FIELD_NM, sqlMRP040R110.sqlAdd_Asst_Sort_4)
								Case 5 : sql = String.Format(sqlMRP040R110.sqlUpd_Asst2_3, col.ToString, dat.FIELD_NM, String.Format(sqlMRP040R110.sqlAdd_Asst_Sort_5, Nothing, dat.FIELD_NM))
								Case Else : sql = Nothing
								End Select
							Else
								Select Case dat.EXTRACT_OBJECT
								Case 1 : sql = String.Format(sqlMRP040R110.sqlUpd_Asst2_1_cmb, col.ToString, dat.FIELD_NM)
								Case 3 : sql = String.Format(sqlMRP040R110.sqlUpd_Asst2_3_cmb, col.ToString, dat.FIELD_NM, sqlMRP040R110.sqlAdd_Asst_Sort_3)
								Case 4 : sql = String.Format(sqlMRP040R110.sqlUpd_Asst2_3_cmb, col.ToString, dat.FIELD_NM, sqlMRP040R110.sqlAdd_Asst_Sort_4)
								Case 5 : sql = String.Format(sqlMRP040R110.sqlUpd_Asst2_3_cmb, col.ToString, dat.FIELD_NM, String.Format(sqlMRP040R110.sqlAdd_Asst_Sort_5, Nothing, dat.FIELD_NM))
								Case Else : sql = Nothing
								End Select
							End If
							db.setSQL(sql)
							Me.setSql(db, ENUM_SQLTYPE2.UPD_ASST2)
					Case Else
						Continue For
				End Select
				db.setVal(sqlMRP040R110.prmCONTENT, dat.CONTENT)	'内容
				db.setVal(sqlMRPCOMMON.prmSERIAL_NO, row)			'連番
				db.execNonQuery()
			Next
		Catch ex As Exception
			Throw
		Finally
			If aryData IsNot Nothing Then
				aryData.Clear()
				aryData = Nothing
			End If
			sql = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' SQL文/パラメータ設定
	''' </summary>
	''' <param name="db">clsDB</param>
	''' <param name="type">ENUM_SQLTYPE</param>
	''' <remarks>
	''' 2010/10/18 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub setSql(ByVal db As clsDB, ByRef type As ENUM_SQLTYPE)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "setSql", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "SQL文/パラメータ設定")
		Try
			With db
				Select Case type
					'一覧からワーク(ヘッダ)へ
					Case ENUM_SQLTYPE2.INS_LIST
						.setSQL(sqlMRP040R110.sqlIns)
						.setParam(sqlMRPCOMMON.prmDSPORDER, clsDB.Enum_dbType.dbInt)			'表示順
						.setParam(sqlMRPCOMMON.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)	'患者番号
						.setParam(sqlMRPCOMMON.prmHSP_NO, clsDB.Enum_dbType.dbInt)			'入退院歴番号

					'ワーク(ヘッダ)をトランで更新
					Case ENUM_SQLTYPE2.UPD_HEADING
						.setSQL(sqlMRP040R110.sqlUpd)

					'ワーク(病名)を作成
					Case ENUM_SQLTYPE2.INS_DISEASE
						.setSQL(sqlMRP040R110.sqlIns_Disease)

					'ワーク(病名)をトランで更新
					Case ENUM_SQLTYPE2.UPD_DISEASE1
						.setSQL(sqlMRP040R110.sqlUpd_Disease1)
						.setParam(sqlMRPCOMMON.prmFLG_ON, clsDB.Enum_dbType.dbInt)			'フラグ
						.setVal(sqlMRPCOMMON.prmFLG_ON, clsConst.Enum_CheckBox_Flg.CheckOn)
						.setParam(sqlMRPCOMMON.prmFIXED_CD, clsDB.Enum_dbType.dbNVarChar)		'固定コード
						.setVal(sqlMRPCOMMON.prmFIXED_CD, clsConst.Enum_Disease_Div_Fix1.MainDisease)

					'ワーク(病名)をトランで更新
					Case ENUM_SQLTYPE2.UPD_DISEASE5
						.setSQL(sqlMRP040R110.sqlUpd_Disease5)
						.setParam(sqlMRPCOMMON.prmFLG_ON, clsDB.Enum_dbType.dbInt)			'フラグ
						.setVal(sqlMRPCOMMON.prmFLG_ON, clsConst.Enum_CheckBox_Flg.CheckOn)

					'ワーク(病名)をトランで更新
					Case ENUM_SQLTYPE2.UPD_DISEASE9
						.setSQL(sqlMRP040R110.sqlUpd_Disease9)
						.setParam(sqlMRPCOMMON.prmFLG_ON, clsDB.Enum_dbType.dbInt)			'フラグ
						.setVal(sqlMRPCOMMON.prmFLG_ON, clsConst.Enum_CheckBox_Flg.CheckOn)

					'ワーク(手術)を作成
					Case ENUM_SQLTYPE2.INS_OPE
						Dim sql As String = sqlMRP040R110.sqlIns_Ope
						Dim env As String = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00076).ToLower
						Try
							Select Case env
							Case "a" : sql = String.Format(sql, sqlMRP040R110.sqlAdd_Ope_Sort_A, sqlMRP040R110.sqlAdd_Ope_Where_A)
							Case "b" : sql = String.Format(sql, sqlMRP040R110.sqlAdd_Ope_Sort_B, sqlMRP040R110.sqlAdd_Ope_Where_B)
							Case "c" : sql = String.Format(sql, sqlMRP040R110.sqlAdd_Ope_Sort_C, sqlMRP040R110.sqlAdd_Ope_Where_C)
							Case "d" : sql = String.Format(sql, sqlMRP040R110.sqlAdd_Ope_Sort_D, sqlMRP040R110.sqlAdd_Ope_Where_D)
							Case Else
									'数値の場合
									If IsNumeric(env) = True Then
										sql = String.Format(sql, sqlMRP040R110.sqlAdd_Ope_Sort_N, sqlMRP040R110.sqlAdd_Ope_Where_N)
										.setSQL(sql)
										.setParam(sqlMRP040R110.prmOPE_DIV, clsDB.Enum_dbType.dbNVarChar)			'手術区分
										.setVal(sqlMRP040R110.prmOPE_DIV, env, False)
										sql = Nothing
									'上記以外
									Else
										sql = String.Format(sql, sqlMRP040R110.sqlAdd_Ope_Sort_Z, sqlMRP040R110.sqlAdd_Ope_Where_Z)
									End If
							End Select
							If sql IsNot Nothing Then
								.setSQL(sql)
							End If
						Catch ex As Exception
							Throw
						Finally
							sql = Nothing
							env = Nothing
						End Try

					'ワーク(手術)を作成		レイアウト出力用空データ
					Case ENUM_SQLTYPE2.INS_OPE_DUMMY
						.setSQL(sqlMRP040R110.sqlIns_Ope_Dummy)
						.setParam(sqlMRPCOMMON.prmSERIAL_NO, clsDB.Enum_dbType.dbInt)		'連番

					'ワーク(医療費)を作成
					Case ENUM_SQLTYPE2.INS_MED
						.setSQL(sqlMRP040R110.sqlIns_MED)

					'ワーク(補足)を作成
					Case ENUM_SQLTYPE2.INS_ASST
						.setSQL(sqlMRP040R110.sqlIns_Asst)
						.setParam(sqlMRPCOMMON.prmSERIAL_NO, clsDB.Enum_dbType.dbInt)		'連番

					'DPCマスタ読込
					Case ENUM_SQLTYPE2.SEL_DPC
						.setSQL(sqlMRP040R110.sqlSel_DpcMst)
						Return		'共通パラメータは必要ないのでここで終了

					'ワーク(補足)を更新
					Case ENUM_SQLTYPE2.UPD_ASST1
						.setParam(sqlMRPCOMMON.prmFLG_ON, clsDB.Enum_dbType.dbInt)			'フラグ
						.setVal(sqlMRPCOMMON.prmFLG_ON, clsConst.Enum_CheckBox_Flg.CheckOn)
						Dim dt As DataTable = clsConst.getCheckBox
						Try
							.setParam(sqlMRPCOMMON.prmFLG_NM_ON, clsDB.Enum_dbType.dbNVarChar)
							.setVal(sqlMRPCOMMON.prmFLG_NM_ON, clsMRPCOMMON.getDtItem(dt, clsConst.Enum_CheckBox_Flg.CheckOn))
						Finally
							dt.Dispose()
							dt = Nothing
						End Try
						.setParam(sqlMRP040R110.prmCONTENT, clsDB.Enum_dbType.dbNVarChar)		'内容
						.setParam(sqlMRPCOMMON.prmSERIAL_NO, clsDB.Enum_dbType.dbInt)		'連番

					'ワーク(補足)を更新
					Case ENUM_SQLTYPE2.UPD_ASST2
						.setParam(sqlMRPCOMMON.prmFLG_ON, clsDB.Enum_dbType.dbInt)			'フラグ
						.setVal(sqlMRPCOMMON.prmFLG_ON, clsConst.Enum_CheckBox_Flg.CheckOn)
						.setParam(sqlMRP040R110.prmCONTENT, clsDB.Enum_dbType.dbNVarChar)		'内容
						.setParam(sqlMRPCOMMON.prmSERIAL_NO, clsDB.Enum_dbType.dbInt)		'連番

					Case Else
						Return
				End Select

				'共通パラメータ
				.setParam(sqlMRPCOMMON.prmHOST_NM, clsDB.Enum_dbType.dbNVarChar)				'ホスト名
				.setVal(sqlMRPCOMMON.prmHOST_NM, clsConst.CST_HOST_NM)
				.setParam(sqlMRPCOMMON.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)		'更新者コード
				.setVal(sqlMRPCOMMON.prmLASTUPDUSER_CD, clsSysMst.getLoginId)
				.setParam(sqlMRPCOMMON.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)			'更新日
				.setVal(sqlMRPCOMMON.prmLASTUPD_DT, DateTime.Now())
			End With
		Catch ex As Exception
			Throw
		End Try
	End Sub
#End Region

End Class
