﻿Imports XCM
Imports XSP
''' ---------------------------------------------
''' <summary>
''' 診療情報管理 共通帳票  科歴情報一覧 EXCEL出力クラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MRP050E010
	Inherits MRP000E010

#Region "コンスタント"
	Private Const CST_LOG_CLASS As String = "科歴情報一覧（Excel）"
	Private Const CST_AST1_COL_CNT = 132					'補足項目１情報出力カラム数
	Private Const CST_DEPT_COL_CNT = 52						'対診科情報出力カラム数
	Private Const CST_MED_COL_CNT = 45						'医療費情報出力カラム数
#End Region

#Region "変数"
	'IN項目
	Private pPrint As Boolean = Nothing						'印刷フラグ
	Private pTitle As String = Nothing						'タイトル情報
	Private pMakeWork As Boolean = Nothing					'ワークデータ作成フラグ
	Private pPatientNo As String = Nothing					'患者番号
	Private pHspNo As Integer								'入退院歴番号
	Private pChNo As Integer								'科歴番号

	Private dtData(20) As DataTable							'各情報データ取得用データテーブル
	Private Header As String()
	Private ItemNM As String()

	''' ---------------------------------------------
	''' <summary>
	''' シート名変数
	''' </summary>
	''' <remarks>
	''' 2010/12/15 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Enum ENUM_SHEET As Byte
		BASIC = 0		  '基本情報
		DATH = 1		  '死亡情報
		HSP = 2			  '入退院情報
		CH = 3			  '科歴情報
		WARD = 4		  '病棟情報
		DOCTOR = 5		  '医師情報
		MED_COST = 6	  '医療費情報
		OTHER_DEPT = 7	  '対診科情報
		ASST1 = 8		  '補足項目１情報
		ASST2 = 9		  '補足項目２情報
		DISEASE = 10	  '病名情報
		OPE = 11		  '手術情報
		OPE_DOCTOR = 12	  '手術医師情報
		CARE = 13		  '治療処置情報
		TEST = 14		  '検査情報
		CB = 15			  '分娩情報
		CB_CHILD = 16	  '分娩子情報
		PATH = 17		  'パス情報
		EMERGENCY = 18	  '救命救急情報
		INSPECT = 19	  '監査情報
	End Enum

	Protected Shadows SheetName() As String = New String() {"基本情報", "死亡情報", "入退院情報", "科歴情報", "病棟情報", _
															"医師情報", "医療費情報", "対診科情報", "補足項目１情報", "補足項目２情報", _
															"病名情報", "手術情報", "手術医師情報", "治療処置情報", "検査情報", _
															"分娩情報", "分娩児情報", "パス情報", "救命救急情報", "監査情報"}

#End Region

#Region "コンストラクタ"
	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ(検索から呼び出し時)
	''' </summary>
	''' <param name="pForm">遷移元画面</param>
	''' <param name="pPrint">印刷フラグ True:印刷/False:プレビュー</param>
	''' <param name="pDgv">一覧</param>
	''' <param name="pTitle">帳票タイトル</param>
	''' <param name="pPrivacy">個人情報出力フラグ</param>
	''' <param name="pMakeWork">ワークデータ作成フラグ True:作成する/False:作成しない</param>
	''' <remarks>
	''' 2010/12/07 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
		Sub New(ByVal pForm As XCM.frmBase, ByVal pPrint As Boolean, _
			ByVal pDgv As DataGridView, ByVal pTitle As String, _
			ByVal pPrivacy As Boolean, ByVal pMakeWork As Boolean)
		MyBase.New(pForm, pDgv, Nothing, Nothing, Nothing, pPrivacy)
		'IN項目引き継ぎ
		Me.pForm = pForm
		Me.pPrint = pPrint
		Me.pDgv = pDgv
		Me.pTitle = pTitle
		Me.pPrivacy = pPrivacy
		Me.pMakeWork = pMakeWork
	End Sub

	 ''' ---------------------------------------------
	 ''' <summary>
	 ''' コンストラクタ(登録サブシステムより呼び出し時)
	 ''' </summary>
	 ''' <param name="pForm">呼出画面</param>
	 ''' <param name="pPrint">印刷フラグ True:印刷/False:プレビュー</param>
	 ''' <param name="pTitle">帳票タイトル</param>
	 ''' <param name="pPrivacy">個人情報出力フラグ</param>
	 ''' <param name="pPatientNo">患者番号</param>
	 ''' <param name="pHspNo">入退院歴番号</param>
	 ''' <param name="pChNo">科歴番号</param>
	 ''' <remarks>
	 ''' </remarks>
	 ''' ---------------------------------------------
	Sub New(ByVal pForm As frmBase, ByVal pPrint As Boolean, ByVal pTitle As String, _
			ByVal pPrivacy As Boolean, ByVal pPatientNo As String, ByVal pHspNo As Integer, ByVal pChNo As Integer)
		MyBase.New(pForm, Nothing, Nothing, Nothing, Nothing, pPrivacy)
		'IN項目引き継ぎ
		Me.pForm = pForm
		Me.pPrint = pPrint
		Me.pTitle = pTitle
		Me.pPrivacy = pPrivacy
		Me.pPatientNo = pPatientNo
		Me.pHspNo = pHspNo
		Me.pChNo = pChNo

		Me.pDgv = Nothing
		Me.pMakeWork = True
	End Sub
#End Region

#Region "メソッド"
	''' ---------------------------------------------
	''' <summary>
	''' 各情報のデータを取得
	''' </summary>
	''' <remarks>
	''' 2010/12/15 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getAllSqlData() As Boolean
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "getAllSqlData", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "各情報データを取得 START")
		Dim sql As String = Nothing
		Dim dt As DataTable
		Dim wrkFld As String = Nothing
		Dim wrkJoin As String = Nothing
		Dim wrkcnt As Integer
		Try
			Header = New String() {Nothing, Nothing, Nothing}
			ItemNM = New String() {Nothing, Nothing, Nothing}
			Using db As New clsDB(clsSysMst.ctlConfigData)
				'ワークデータは前回内容を再利用のため、更新しない
				If Me.pMakeWork = True Then
					Me.setWork(db, Me.pDgv)		'ワークデータの作成
				End If
				For Each Sheet As Byte In [Enum].GetValues(GetType(ENUM_SHEET))
					Select Case Sheet
						Case ENUM_SHEET.BASIC		 '基本情報
							sql = sqlMRP050E010.sqlBasic
						Case ENUM_SHEET.DATH		 '死亡情報
							sql = sqlMRP050E010.sqlDeth
						Case ENUM_SHEET.HSP			 '入退院情報
							sql = sqlMRP050E010.sqlHSP
						Case ENUM_SHEET.CH			 '科歴情報
							sql = sqlMRP050E010.sqlCH
						Case ENUM_SHEET.WARD		 '病棟情報
							sql = sqlMRP050E010.sqlWARD
						Case ENUM_SHEET.DOCTOR		 '医師情報
							sql = sqlMRP050E010.sqlDOCTOR
						Case ENUM_SHEET.MED_COST	 '医療費情報
							For i As Integer = 1 To CST_MED_COL_CNT
								wrkFld &= String.Format(sqlMRP050E010.sqlFld_MED_COST, i.ToString("00"))
							Next
							sql = String.Format(sqlMRP050E010.sqlMEDCOST, wrkFld)
						Case ENUM_SHEET.OTHER_DEPT	 '対診科情報
							For i As Integer = 1 To CST_DEPT_COL_CNT
								wrkFld &= String.Format(sqlMRP050E010.sqlFld_OTHER_DEPT, i.ToString("00"))
							Next
							sql = String.Format(sqlMRP050E010.sqlOTHERDEPT, wrkFld)
						Case ENUM_SHEET.ASST1		 '補足項目１情報
							'補足項目１項目マスタより項目を設定
							dt = New DataTable
							db.setSQLDa(sqlMRP050E010.sqlSel_Header_Asst1)
							db.execQueryDa(dt)
							Try
								wrkcnt = 0
								For Each row2 As DataRow In dt.Rows
									wrkcnt = wrkcnt + 1
									'ヘッダセット
									Header(0) &= "," & row2.Item(sqlMRPCOMMON.itmITEM_NM).ToString
									'取得項目セット
									ItemNM(0) &= String.Format(sqlMRP050E010.sqlColAST1, row2.Item(sqlMRPCOMMON.itmITEM_CD).ToString)
								Next
								For i As Integer = wrkcnt + 1 To CST_AST1_COL_CNT
									'ヘッダセット
									Header(0) &= ","
									'取得項目セット
									ItemNM(0) &= sqlMRP050E010.sqlColNull
								Next
							Finally

							End Try
							dt.Clear()
							sql = String.Format(sqlMRP050E010.sqlASST1, ItemNM(0))
						Case ENUM_SHEET.ASST2		 '補足項目２情報
							'補足項目２項目マスタより項目を設定
							dt = New DataTable
							db.setSQLDa(sqlMRP050E010.sqlSel_Header_Asst2)
							db.execQueryDa(dt)
							Try
								For Each row2 As DataRow In dt.Rows
									If row2.Item(sqlMRP050E010.itmITEM_TYPE).ToString = clsConst.Enum_Asst2Type.cmb_type Then  '項目タイプが「コンボ」項目のとき
										'ヘッダセット
										Header(1) &= "," & row2.Item(sqlMRPCOMMON.itmITEM_NM).ToString & "," & row2.Item(sqlMRPCOMMON.itmITEM_RNM).ToString
										'取得項目(JOIN項目)セット
										wrkJoin &= String.Format(sqlMRP050E010.sqlSel_Asst2_Join, row2.Item(sqlMRP050E010.itmSPT_FIELD_NM).ToString, _
																								  row2.Item(sqlMRPCOMMON.itmITEM_CD).ToString)
										'取得項目セット
										ItemNM(1) &= String.Format(sqlMRP050E010.sqlColAST2_2, row2.Item(sqlMRPCOMMON.itmITEM_CD).ToString)
'(A) STR V4-13006-000 007 20130212 ID)荒川 管理№228 1900年より前の発症日/診断日でExcel出力すると例外エラーが発生する
									ElseIf row2.Item(sqlMRP050E010.itmITEM_TYPE).ToString = clsConst.Enum_Asst2Type.date_type Then	'項目タイプが「日付」項目のとき
										'ヘッダセット
										Header(1) &= "," & row2.Item(sqlMRPCOMMON.itmITEM_NM).ToString
										'取得項目セット
										ItemNM(1) &= String.Format(sqlMRP050E010.sqlColAST2_3, row2.Item(sqlMRP050E010.itmSPT_FIELD_NM).ToString)
'(A) END V4-13006-000 007 20130212
									Else
										'ヘッダセット
										Header(1) &= "," & row2.Item(sqlMRPCOMMON.itmITEM_NM).ToString
										'取得項目セット
										ItemNM(1) &= String.Format(sqlMRP050E010.sqlColAST2_1, row2.Item(sqlMRP050E010.itmSPT_FIELD_NM).ToString)
									End If
								Next
							Finally

							End Try
							dt.Clear()
							sql = String.Format(sqlMRP050E010.sqlASST2, ItemNM(1), wrkJoin)
						Case ENUM_SHEET.DISEASE		 '病名情報
							sql = sqlMRP050E010.sqlDISEASE
						Case ENUM_SHEET.OPE			 '手術情報
							sql = sqlMRP050E010.sqlOPE
						Case ENUM_SHEET.OPE_DOCTOR	 '手術医師情報
							sql = sqlMRP050E010.sqlOPEDOC
						Case ENUM_SHEET.CARE		 '治療処置情報
							sql = sqlMRP050E010.sqlCARE
						Case ENUM_SHEET.TEST		 '検査情報
							sql = sqlMRP050E010.sqlTEST
						Case ENUM_SHEET.CB			 '分娩情報
							sql = sqlMRP050E010.sqlCB
						Case ENUM_SHEET.CB_CHILD	 '分娩児情報
							sql = sqlMRP050E010.sqlCBCH
						Case ENUM_SHEET.PATH		 'パス情報
							sql = sqlMRP050E010.sqlPATH
						Case ENUM_SHEET.EMERGENCY	 '救命救急情報
							sql = sqlMRP050E010.sqlEMERGENCY
						Case ENUM_SHEET.INSPECT		 '監査情報
							'監査マスタより項目を設定
							dt = New DataTable
							db.setSQLDa(sqlMRP050E010.sqlSel_InspectMst)
							db.execQueryDa(dt)
							Try
								wrkJoin = Nothing
								For Each row2 As DataRow In dt.Rows
									'ヘッダセット
									Header(2) &= "," & row2.Item(sqlMRPCOMMON.itmITEM_NM).ToString & "(1)," & row2.Item(sqlMRPCOMMON.itmITEM_NM).ToString & "(2)," _
											  & row2.Item(sqlMRPCOMMON.itmITEM_NM).ToString & "(3)," & row2.Item(sqlMRP050E010.itmDOCTOR_NM).ToString
									'取得項目(JOIN項目)セット
									wrkJoin &= String.Format(sqlMRP050E010.sqlSel_Inspect_Join, row2.Item(sqlMRP050E010.itmINSPECT_CD).ToString)
									'取得項目セット
									ItemNM(2) &= String.Format(sqlMRP050E010.sqlFld_INSPECT, row2.Item(sqlMRP050E010.itmINSPECT_CD).ToString)
								Next
							Finally

							End Try
							dt.Clear()
							sql = String.Format(sqlMRP050E010.sqlINSPECT, ItemNM(2), wrkJoin)
						Case Else

					End Select
					With db
						.setSQLDa(sql)
						dt = New DataTable
						dtData(Sheet) = New DataTable
						.setParamDa(sqlMRPCOMMON.prmHOST_NM, clsDB.Enum_dbType.dbNVarChar)			'ホスト名
						.setValDa(sqlMRPCOMMON.prmHOST_NM, clsConst.CST_HOST_NM)
						.setParamDa(sqlMRPCOMMON.prmFLG_ON, clsDB.Enum_dbType.dbInt)					'フラグON
						.setValDa(sqlMRPCOMMON.prmFLG_ON, clsConst.Enum_CheckBox_Flg.CheckOn, False)
						'有無マスタの設定
						.setParamDa(sqlMRPCOMMON.prmCHK_CD_ON, clsDB.Enum_dbType.dbInt)
						.setParamDa(sqlMRPCOMMON.prmCHK_CD_OFF, clsDB.Enum_dbType.dbInt)
						.setValDa(sqlMRPCOMMON.prmCHK_CD_ON, clsConst.Enum_Chk.ChkOn, False)
						.setValDa(sqlMRPCOMMON.prmCHK_CD_OFF, clsConst.Enum_Chk.ChkOff, False)
						.setParamDa(sqlMRPCOMMON.prmCHK_NM_ON, clsDB.Enum_dbType.dbNVarChar)
						.setParamDa(sqlMRPCOMMON.prmCHK_NM_OFF, clsDB.Enum_dbType.dbNVarChar)
						dt = clsConst.getExist
						.setValDa(sqlMRPCOMMON.prmCHK_NM_ON, clsMRPCOMMON.getDtItem(dt, clsConst.Enum_Chk.ChkOn))
						.setValDa(sqlMRPCOMMON.prmCHK_NM_OFF, clsMRPCOMMON.getDtItem(dt, clsConst.Enum_Chk.ChkOff))
						'フラグの設定
						.setParamDa(sqlMRPCOMMON.prmFLG_CD_ON, clsDB.Enum_dbType.dbInt)
						.setValDa(sqlMRPCOMMON.prmFLG_CD_ON, clsConst.Enum_CheckBox_Flg.CheckOn, False)
						.setParamDa(sqlMRPCOMMON.prmFLG_NM_ON, clsDB.Enum_dbType.dbNVarChar)
						.setValDa(sqlMRPCOMMON.prmFLG_NM_ON, clsMRPCOMMON.getDtItem(clsConst.getCheckBox, clsConst.Enum_CheckBox_Flg.CheckOn))

						Select Case Sheet
							Case ENUM_SHEET.HSP, ENUM_SHEET.CH														'転科情報
								.setParamDa(sqlMRP050E010.prmFIXED_DEPT_CHANGE_HSP, XCM.clsDB.Enum_dbType.dbNVarChar)
								.setValDa(sqlMRP050E010.prmFIXED_DEPT_CHANGE_HSP, XCM.clsConst.Enum_HspChannel_Fix1.ChangeDept, False)
								.setParamDa(sqlMRP050E010.prmFIXED_DEPT_CHANGE_OUT, XCM.clsDB.Enum_dbType.dbNVarChar)
								.setValDa(sqlMRP050E010.prmFIXED_DEPT_CHANGE_OUT, XCM.clsConst.Enum_DiscchargeCannel_Fix1.ChangeDept, False)
						End Select
						Select Case Sheet
							Case ENUM_SHEET.CH
								.setParamDa(sqlMRPCOMMON.prmFIXED_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
								.setValDa(sqlMRPCOMMON.prmFIXED_CD, XCM.clsConst.Enum_Disease_Div_Fix1.MainDisease, False)	 '主病名
						End Select
						.execQueryDa(dtData(Sheet))
						dt = Nothing
					End With
					wrkFld = Nothing
				Next
			End Using
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 各シートにデータ設定
	''' </summary>
	''' <param name="xlApp">clsExcelオブジェクト</param>
	''' <param name="xlOSheets">clsExcelSheetsオブジェクト</param>
	''' <param name="posHome">開始位置</param> 
	''' <param name="datKey">データ取得用キー項目</param> 
	''' <remarks>
	''' 2010/12/15 新規作成 ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setSheetAll(ByRef xlApp As clsExcel, ByRef xlOSheets As clsExcelSheets, ByRef posHome As clsExcel.PosInfo, ByVal datKey As datMRP050E010_Key)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "setSheetAll", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "各シートにデータ設定 START")
		Dim dt As DataTable
		Dim dtRow As DataRow()
		Dim xlOSheet As clsExcelSheet
		Try
			Using xlRange As clsExcelRange = New clsExcelRange
				For Each Sheet As Byte In [Enum].GetValues(GetType(ENUM_SHEET))
					dt = New DataTable
					dtRow = Nothing
					xlOSheet = New clsExcelSheet
					Select Case Sheet
						Case ENUM_SHEET.BASIC						  '基本情報
							dtRow = dtData(Sheet).Select(String.Format("PATIENT_NO = '{0}'", datKey.datPATIENT_NO))
						Case ENUM_SHEET.DATH						  '死亡情報(科歴情報の退院経路が「死亡」のときのみ出力)
							If String.IsNullOrEmpty(datKey.datFIXED_CD) = False AndAlso _
							   datKey.datFIXED_CD = clsConst.Enum_DiscchargeOutcome_Fix1.Decease Then
								dtRow = dtData(Sheet).Select(String.Format("PATIENT_NO = '{0}'", datKey.datPATIENT_NO))
							End If
						Case ENUM_SHEET.HSP							  '入退院情報
							dtRow = dtData(Sheet).Select(String.Format("PATIENT_NO = '{0}' AND HSP_HISTORY_NO = {1}", datKey.datPATIENT_NO, datKey.datHSP_NO))
						Case Else									  '上記以外
							dtRow = dtData(Sheet).Select(String.Format("PATIENT_NO = '{0}' AND HSP_HISTORY_NO = {1} AND CH_NO = {2}",
																	  datKey.datPATIENT_NO, datKey.datHSP_NO, datKey.datCH_NO))
					End Select
					If dtRow Is Nothing OrElse dtRow.Length = 0 Then
						dt = dtData(Sheet).Clone
					Else
						dt = dtRow.CopyToDataTable
					End If
					If Sheet = ENUM_SHEET.CH Then	 '科歴情報のとき、退院経路列を削除しておく
						dt.Columns.Remove(sqlMRP050E010.itmFIXED_CD)
					End If
					'シートの設定
					xlOSheet.SetSheet(xlOSheets, Me.SheetName(Sheet))
					xlOSheet.ClearContents()
					'書式設定
					Me.setFormat(xlApp, xlRange, xlOSheet, posHome, 1, dt.Columns.Count, 1, clsExcel.CST_FORMAT_STRING)	'ヘッダ部
					Me.setSheetFormat(xlApp, xlRange, xlOSheet, posHome, dt)											'データ部
					'データ設定
					xlRange.SetAreaValue(xlOSheet.Worksheet, clsExcelFunc.Enum_PosX.pA, 1, dt.Columns.Count, 1, Me.getAllHeaderAry(Sheet))
					xlRange.SetAreaValue(xlOSheet.Worksheet, clsExcelFunc.Enum_PosX.pA, 2, dt.Columns.Count, 1 + dt.Rows.Count, Me.cnvDt2Ary(dt))
					dt = Nothing
				Next
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' データ部タイトルを２次元配列にして返却
	''' </summary>
	''' <param name="Hedder">ヘッダー種別</param>
	''' <param name="StratCol">返却開始カラム位置</param>
	''' <param name="CntCol">返却カラム数</param>
	''' <returns>データ部タイトル</returns>
	''' <remarks>
	''' 2010/12/15 新規作成 ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getAllHeaderAry(ByVal Hedder As ENUM_SHEET, Optional ByVal StratCol As Integer = 0, Optional ByVal CntCol As Integer = -1) As String(,)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "getHeaderAry", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "データ部タイトル取得 START")
		Dim wrkHedder As String = Nothing
		Dim wrkHedder2 As String = Nothing
		Dim retHedder As String = Nothing
		Try
			Using db As New XCM.clsDB(XCM.clsSysMst.ctlConfigData), dt As New DataTable
				Select Case Hedder
					Case ENUM_SHEET.BASIC		 '基本情報
						retHedder = sqlMRP050E010.excel_HeaderB
					Case ENUM_SHEET.DATH		 '死亡情報
						retHedder = sqlMRP050E010.excel_HeaderD
					Case ENUM_SHEET.HSP			 '入退院情報
						'入退院項目マスタより項目を設定
						db.setSQLDa(sqlMRP050E010.sqlSel_Header_Hsp)
						db.execQueryDa(dt)
						Dim row As DataRow()
						Try
							For Each key As String In {"001", "002", "003", "004", "005", "006"}
								row = dt.Select(sqlMRPCOMMON.itmITEM_CD & "='" & key & "'")
								If row IsNot Nothing AndAlso row.Length >= 1 Then
									wrkHedder &= String.Format(sqlMRP050E010.excel_FreeFormat, row(0).Item(sqlMRPCOMMON.itmITEM_NM).ToString, row(0).Item(sqlMRPCOMMON.itmITEM_RNM).ToString)
								Else
									wrkHedder &= sqlMRP050E010.excel_FreeFormatEmpty
								End If
							Next
						Finally
							row = Nothing
						End Try
						dt.Clear()
						retHedder = String.Format(sqlMRP050E010.excel_HeaderH, XCM.clsSysMst.ctlEnvData.getEnv(XCM.datEnv.Enum_ENV.ENV_00001), wrkHedder)
					Case ENUM_SHEET.CH			 '科歴情報
						For i As Integer = 1 To 6
							'感染症マスタよりヘッダ項目名取得
							db.setSQLDa(String.Format(sqlMRP050E010.sqlHeader_INFECTION, i))
							db.execQueryDa(dt)
							If dt.Rows.Count <> 0 Then
								wrkHedder &= "," & dt.Rows(0)(0)
							Else
								wrkHedder &= ","
							End If
							dt.Clear()
						Next
						retHedder = String.Format(sqlMRP050E010.excel_HeaderC, XCM.clsSysMst.ctlEnvData.getEnv(XCM.datEnv.Enum_ENV.ENV_00001), wrkHedder)
					Case ENUM_SHEET.WARD		 '病棟情報
						retHedder = sqlMRP050E010.excel_HeaderW
					Case ENUM_SHEET.DOCTOR		 '医師情報
						retHedder = sqlMRP050E010.excel_HeaderDoc
					Case ENUM_SHEET.MED_COST	 '医療費情報
						For i As Integer = 1 To 45
							'医療費項目マスタよりヘッダ項目名取得
							db.setSQLDa(String.Format(sqlMRP050E010.sqlSel_Header_Med, i.ToString("00")))
							db.execQueryDa(dt)
							If dt.Rows.Count <> 0 Then
								wrkHedder &= "," & dt.Rows(0)(0)
							Else
								wrkHedder &= ","
							End If
							dt.Clear()
						Next
						retHedder = String.Format(sqlMRP050E010.excel_HeaderMed, wrkHedder)
					Case ENUM_SHEET.OTHER_DEPT	 '対診科情報
						For i As Integer = 1 To 52
							'対診科マスタよりヘッダ項目名取得
							db.setSQLDa(String.Format(sqlMRP050E010.sqlSel_Header_DEPT, i.ToString("00")))
							db.execQueryDa(dt)
							If dt.Rows.Count <> 0 Then
								wrkHedder &= "," & dt.Rows(0)(0)
							Else
								wrkHedder &= ","
							End If
							dt.Clear()
						Next
						retHedder = String.Format(sqlMRP050E010.excel_HeaderDept, wrkHedder)
					Case ENUM_SHEET.ASST1		 '補足項目１情報
						retHedder = String.Format(sqlMRP050E010.excel_HeaderASST1, Header(0))
					Case ENUM_SHEET.ASST2		 '補足項目２情報
						retHedder = String.Format(sqlMRP050E010.excel_HeaderASST2, Header(1))
					Case ENUM_SHEET.DISEASE		 '病名情報
						retHedder = sqlMRP050E010.excel_HeaderDI
					Case ENUM_SHEET.OPE			 '手術情報
						retHedder = sqlMRP050E010.excel_HeaderOPE
					Case ENUM_SHEET.OPE_DOCTOR	 '手術医師情報
						retHedder = sqlMRP050E010.excel_HeaderOPEDOC
					Case ENUM_SHEET.CARE		 '治療処置情報
						retHedder = sqlMRP050E010.excel_HeaderCARE
					Case ENUM_SHEET.TEST		 '検査情報
						retHedder = sqlMRP050E010.excel_HeaderTEST
					Case ENUM_SHEET.CB			 '分娩情報
						Dim row As DataRow()
						'分娩チェック項目マスタより項目を設定
						db.setSQLDa(sqlMRP050E010.sqlSel_Header_CbChk)
						db.execQueryDa(dt)
						Try
							For Each key As String In {"11", "12", "13"}
								row = dt.Select(sqlMRPCOMMON.itmITEM_CD & "='" & key & "'")
								If row IsNot Nothing AndAlso row.Length >= 1 Then
									wrkHedder &= String.Format(sqlMRP050E010.excel_FreeFormatChk, row(0).Item(sqlMRPCOMMON.itmITEM_NM).ToString)
								Else
									wrkHedder &= sqlMRP050E010.excel_FreeFormatEmptyChk
								End If
							Next
						Finally
							dt.Clear() : row = Nothing
						End Try

						'分娩区分項目マスタより項目を設定
						db.setSQLDa(sqlMRP050E010.sqlSel_Header_CbDiv)
						db.execQueryDa(dt)
						Try
							For Each key As String In {"1", "2", "7", "8"}
								row = dt.Select(sqlMRPCOMMON.itmITEM_CD & "='" & key & "'")
								If row IsNot Nothing AndAlso row.Length >= 1 Then
									wrkHedder2 &= String.Format(sqlMRP050E010.excel_FreeFormat, row(0).Item(sqlMRPCOMMON.itmITEM_NM).ToString, row(0).Item(sqlMRPCOMMON.itmITEM_RNM).ToString)
								Else
									wrkHedder2 &= sqlMRP050E010.excel_FreeFormatEmpty
								End If
							Next
						Finally
							dt.Clear() : row = Nothing
						End Try

						retHedder = String.Format(sqlMRP050E010.excel_HeaderCB, wrkHedder, wrkHedder2)
					Case ENUM_SHEET.CB_CHILD	 '分娩児情報
						Dim row As DataRow()
						'分娩チェック項目マスタより項目を設定
						db.setSQLDa(sqlMRP050E010.sqlSel_Header_CbChk)
						db.execQueryDa(dt)
						Try
							For Each key As String In {"21", "22", "23", "24", "25"}
								row = dt.Select(sqlMRPCOMMON.itmITEM_CD & "='" & key & "'")
								If row IsNot Nothing AndAlso row.Length >= 1 Then
									wrkHedder &= String.Format(sqlMRP050E010.excel_FreeFormatChk, row(0).Item(sqlMRPCOMMON.itmITEM_NM).ToString)
								Else
									wrkHedder &= sqlMRP050E010.excel_FreeFormatEmptyChk
								End If
							Next
						Finally
							dt.Clear() : row = Nothing
						End Try

						'分娩区分項目マスタより項目を設定
						db.setSQLDa(sqlMRP050E010.sqlSel_Header_CbDiv)
						db.execQueryDa(dt)
						Try
							For Each key As String In {"3", "4", "5", "6"}
								row = dt.Select(sqlMRPCOMMON.itmITEM_CD & "='" & key & "'")
								If row IsNot Nothing AndAlso row.Length >= 1 Then
									wrkHedder2 &= String.Format(sqlMRP050E010.excel_FreeFormat, row(0).Item(sqlMRPCOMMON.itmITEM_NM).ToString, row(0).Item(sqlMRPCOMMON.itmITEM_RNM).ToString)
								Else
									wrkHedder2 &= sqlMRP050E010.excel_FreeFormatEmpty
								End If
							Next
						Finally
							dt.Clear() : row = Nothing
						End Try
						retHedder = String.Format(sqlMRP050E010.excel_HeaderCBCH, wrkHedder, wrkHedder2)
					Case ENUM_SHEET.PATH		 'パス情報
						retHedder = sqlMRP050E010.excel_HeaderP
					Case ENUM_SHEET.EMERGENCY	 '救命救急情報
						retHedder = sqlMRP050E010.excel_HeaderE
					Case ENUM_SHEET.INSPECT	 '監査情報
						retHedder = String.Format(sqlMRP050E010.excel_HeaderINS, Header(2))
					Case Else

				End Select
				Dim ary() As String = retHedder.Split(",")
				'取得件数が未指定の場合は算出
				If CntCol = -1 Then CntCol = ary.Length - StratCol
				CntCol -= 1
				Dim aryRet(0, CntCol) As String
				Dim idx As Integer = 0
				Try
					'指定位置から指定件数の項目取得
					For i As Integer = StratCol To StratCol + CntCol
						aryRet(0, idx) = ary(i)
						idx += 1
					Next
					Return aryRet
				Catch ex As Exception
					Throw
				Finally
					ary = Nothing
					aryRet = Nothing
				End Try
			End Using
		Catch ex As Exception
			Throw
		Finally
			wrkHedder = Nothing
			wrkHedder2 = Nothing
			retHedder = Nothing
		End Try
	End Function

#End Region

#Region "オーバーライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' ワークの作成
	''' </summary>
	''' <param name="db">clsDB</param>
	''' <param name="pDgv">入力元一覧</param>
	''' <param name="type">作成キー項目</param>
	''' <remarks>
	''' 2010/12/15 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub setWork(ByVal db As XCM.clsDB,
									ByRef pDgv As DataGridView,
						   Optional ByVal type As clsMakeWork.ENUM_SEARCH_WORK_KEY = clsMakeWork.ENUM_SEARCH_WORK_KEY.AUTO)
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "setWork", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "ワークの作成 START")
		Try
			Using cliMakeWork As New clsMakeWork
				If Me.pDgv IsNot Nothing Then
					cliMakeWork.setSearchWork(db, pDgv, type)
				Else
					cliMakeWork.setSearchWork(db, Me.pPatientNo, Me.pHspNo, Me.pChNo)
				End If
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Excel出力
	''' </summary>
	''' <returns>正常/異常終了</returns>
	''' <remarks>
	''' 2010/12/15 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function exeExcel() As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "exeExcel", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "出力・プレビュー処理 START")
		Dim cliCom As clsCom												'共通クラス
		Dim cliPrintSetting As clsXTM_PRINTSETTING_EXCEL					'印刷設定EXCELクラス
		Dim datPrintSetting As datXTM_PRINTSETTING_EXCEL_OneRec = Nothing	'印刷設定
		Dim cliExcelFunc As clsExcelFunc									'Excel作業クラス
		Dim datKey As datMRP050E010_Key
		Try
			cliCom = New clsCom
			'EXCEL設定情報の確認
			cliPrintSetting = New clsXTM_PRINTSETTING_EXCEL
			cliExcelFunc = New clsExcelFunc
			datPrintSetting = cliPrintSetting.getChkExcelSettingOneRec(Me.pForm.Name, Me.GetType.Name, Me.pTempFile)
			If datPrintSetting Is Nothing Then
				Return False
			End If
			'シートの存在確認
			If Me.SheetName IsNot Nothing AndAlso Me.SheetName.Length > 0 Then
				If Me.chkSheetName(cliExcelFunc.getSheetNames(Me.pTempFile), Me.SheetName) = False Then Return False
			End If

			'各情報のデータを取得
			If Me.getAllSqlData() = False Then
				Return False
			End If
			'科歴情報の取得
			If dtData(ENUM_SHEET.CH) Is Nothing OrElse dtData(ENUM_SHEET.CH).Rows.Count = 0 Then
				clsSysMst.showMsgEx("E0004")
				Return False
'(A) STR V4-14031-000 004 20130611 ID)荒川 貸出管理No.362　EXCEL出力　1万行に抑えて出力を行う対応
            ElseIf dtData(ENUM_SHEET.CH).Rows.Count > clsConst.CST_EXCEL_OUTROWS_MAXCNT Then
                pForm.showMsg("I0023", clsConst.CST_EXCEL_OUTROWS_MAXCNT, clsConst.CST_EXCEL_OUTROWS_MAXCNT + 1, Nothing)
'(A) END V4-14031-000 004 20130611 ID)荒川 貸出管理No.362　EXCEL出力　1万行に抑えて出力を行う対応
            End If
			'EXCEL作成
			Using xlApp As clsExcel = New clsExcel(pPrint)
				' Workbooks コレクション
				Using xlBooks As clsExcelBooks = New clsExcelBooks(xlApp, False)
					' 出力用 Workbook、ひな形 Workbook
'(M) STR V4-11020-000 005 20110812 FJSK)荒川 XXX号 病歴大将V4PKG問題点No103 EXCEL出力でテンプレートと同じファイル名で出力するとエラー対応
'					Using xlOBook As clsExcelBook = New clsExcelBook(xlBooks, False), _
'						  xlMBook As clsExcelBook = New clsExcelBook(xlBooks, Me.pTempFile, True
					Using xlOBook As clsExcelBook = New clsExcelBook(xlBooks, False)
'(M) END V4-11020-000 005 20110812
						Try
							'データ(科歴)単位で回す
							For Each row As DataRow In dtData(ENUM_SHEET.CH).Rows
								datKey = New datMRP050E010_Key
								' 出力用 Worksheets、ひな形 Worksheets
'(M) STR V4-11020-000 004 20110812 FJSK)荒川 XXX号 病歴大将V4PKG問題点No103 EXCEL出力でテンプレートと同じファイル名で出力するとエラー対応
'								Using xlOSheets As clsExcelSheets = New clsExcelSheets(xlOBook), xlMSheets As clsExcelSheets = New clsExcelSheets(xlMBook)
								Using xlOSheets As clsExcelSheets = New clsExcelSheets(xlOBook)
'(M) END V4-11020-000 004 20110812
									' 出力用 Worksheet
									Using xlOSheet As clsExcelSheet = New clsExcelSheet
										'新規Bookのシートをクリアし、雛型に合わせる
										' 先頭をダミー用シートに設定
										If xlOSheets.Count = 0 Then
											' シートがない場合は新しいシートを追加
											xlOSheets.Add()
										Else
											' シートがある場合は１つだけ残し、以外を削除する
											xlOSheets.Add()
											For i As Integer = xlOSheets.Count To 2 Step -1
												xlOSheet.SetSheet(xlOSheets, i)
												xlOSheet.Delete()
											Next
										End If
										'シートの先頭を選択
										xlOSheet.SetSheet(xlOSheets, 1)
'(A) STR V4-11020-000 004 20110812 FJSK)荒川 XXX号 病歴大将V4PKG問題点No103 EXCEL出力でテンプレートと同じファイル名で出力するとエラー対応
										Using xlMBook As clsExcelBook = New clsExcelBook(xlBooks, Me.pTempFile, True)
											Using xlMSheets As clsExcelSheets = New clsExcelSheets(xlMBook)
'(A) END V4-11020-000 004 20110812
												'' 出力用 Worksheets に、ひな形 Worksheets を追加
												xlMSheets.CopyAfterSheets(xlOSheet)
'(A) STR V4-11020-000 004 20110812 FJSK)荒川 XXX号 病歴大将V4PKG問題点No103 EXCEL出力でテンプレートと同じファイル名で出力するとエラー対応
											End Using
										End Using
'(A) END V4-11020-000 004 20110812
										' ダミー用シートの削除
										xlOSheet.SetSheet(xlOSheets, 1)
										xlOSheet.Delete()
										'キー項目をクラス構造体にセット
										datKey.datPATIENT_NO = row.Item(sqlMRPCOMMON.itmPATIENT_NO).ToString
										datKey.datHSP_NO = row.Item(sqlMRPCOMMON.itmHSP_NO).ToString
										datKey.datCH_NO = row.Item(sqlMRPCOMMON.itmCH_NO).ToString
										datKey.datFIXED_CD = row.Item(sqlMRP050E010.itmFIXED_CD).ToString
										'シートにデータ設定
										Me.setSheetAll(xlApp, xlOSheets, New clsExcel.PosInfo(1, 1), datKey)
										'シートの変更 →印刷シートへ
										xlOSheet.SetSheet(xlOSheets, datPrintSetting.SHEET_NM)
										xlOSheet.SheetSelect()
										xlOSheet.setRightFooter()
										If Me.pPrint = True Then
											xlOSheet.putPrintOut(datPrintSetting.NUMBERPRINTED)	   '印刷
										Else
											xlApp.setVisible(True, Me.pForm)								'プレビュー
											Exit For	'プレビューのときは１件のみ処理する
										End If
									End Using
								End Using
								'datKey = Nothing
							Next
							If Me.pPrint = True Then xlOBook.Close()
						Catch ex As Exception
							'エラー発生のため、解放フラグを設定
							xlApp.setError()
							xlBooks.setError()
							xlOBook.setError()
							Throw
						End Try
					End Using
				End Using
			End Using
			Return True
		Catch ex As Exception
			Throw
		Finally
			cliCom = Nothing
			cliExcelFunc = Nothing
			datPrintSetting = Nothing
			cliPrintSetting = Nothing
		End Try
		Return False
	End Function

#End Region

End Class
