﻿Imports XCM

''' ---------------------------------------------
''' <summary>
''' 診療情報管理 共通帳票  補足項目１情報一覧 EXCEL出力クラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MRP100E010
	Inherits MRP000E010

#Region "コンスタント"
	Private Const CST_LOG_CLASS As String = "補足項目１情報一覧（Excel）"
	Private Const CST_AST1_COL_CNT = 132	   '補足項目１情報出力カラム数
#End Region

#Region "変数"
	Private Header As String	'ヘッダ項目
	Private ItemNM As String	'取得項目
#End Region

#Region "コンストラクタ"
	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pForm">遷移元画面</param>
	''' <param name="pDgv">出力元グリッド</param>
	''' <param name="pTempFile">雛型ファイル</param>
	''' <param name="pPutName">出力ファイル</param>
	''' <param name="pPutPath">出力パス</param>
	''' <param name="pPrivacy">個人情報出力フラグ</param>
	''' <remarks>
	''' 2010/12/20 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New(ByVal pForm As XCM.frmBase, ByVal pDgv As DataGridView, ByVal pTempFile As String, ByVal pPutName As String, ByVal pPutPath As String, ByVal pPrivacy As Boolean)
		MyBase.New(pForm, pDgv, pTempFile, pPutName, pPutPath, pPrivacy)
	End Sub
#End Region

#Region "メソッド"
	''' ---------------------------------------------
	''' <summary>
	''' Excel出力用SQLを取得
	''' </summary>
	''' <returns>Excel出力用SQL</returns>
	''' <remarks>
	''' 2010/12/20 新規作成 ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Function getSelectSql() As String
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "getSelectSql", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "Excel出力用SQLを取得 START")
		Dim wrkCnt As Integer
		Try
			Header = Nothing
			ItemNM = Nothing
			Me.LendParam = False
			Using db As New clsDB(clsSysMst.ctlConfigData), dt As New DataTable
				'補足項目１項目マスタより項目を設定
				db.setSQLDa(sqlMRP100E010.sqlSel_Header_Asst1)
				db.execQueryDa(dt)
				Try
					wrkCnt = 0
					For Each row2 As DataRow In dt.Rows
						wrkCnt = wrkCnt + 1
						'ヘッダセット
						Header &= "," & row2.Item(sqlMRPCOMMON.itmITEM_RNM).ToString
						'取得項目セット
						ItemNM &= String.Format(sqlMRP100E010.sqlColAST1, row2.Item(sqlMRPCOMMON.itmITEM_CD).ToString)
					Next
				Finally

				End Try
				dt.Clear()
			End Using
			Return String.Format(sqlMRP100E010.sqlSel, ItemNM)
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' データ部タイトルを返却
	''' </summary>
	''' <returns>データ部タイトル</returns>
	''' <remarks>
	''' 2010/12/20 新規作成 ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Function getHeader() As String
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "getHeader", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "データ部タイトル返却 START")
		Try
			Return String.Format(sqlMRP100E010.excel_Header, Header)
		Catch ex As Exception
			Throw
		End Try
	End Function
#End Region

End Class
