﻿Imports XCM
''' ---------------------------------------------
''' <summary>
''' 診療情報管理 共通帳票 管理物情報一覧表(貸出情報有)(Report)クラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MRP160R040
	Inherits MRP160R000

#Region "解放処理"

	''' ---------------------------------------------
	''' <summary>
	''' Dispose（解放処理）※外からはよばない
	''' </summary>
	''' <param name="disposing"></param>
	''' <remarks>
	''' 2010/12/10 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub Dispose(ByVal disposing As Boolean)
		If disposing Then
			MyBase.Dispose(disposing)
			Me.pMakeWork2 = Nothing
		End If
	End Sub

#End Region

#Region "コンスタント"

	''' ---------------------------------------------
	''' <summary>
	''' ＳＱＬ文設定
	''' </summary>
	''' <remarks>
	''' 2010/12/10 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Enum ENUM_SQLTYPE2 As Byte
		''' <summary>
		''' ワーク削除
		''' </summary>
		DEL = 0
		''' <summary>
		''' ワーク作成
		''' </summary>
		INS = 1
	End Enum

	Private Const CST_LOG_CLASS As String = "管理物情報一覧表（貸出情報有）"
#End Region

#Region "変数"

	Private pMakeWork2 As Boolean = Nothing				'ワークデータ作成フラグ

#End Region

#Region "コンストラクタ"
	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pForm">呼出画面</param>
	''' <param name="pPrint">印刷フラグ True:印刷/False:プレビュー</param>
	''' <param name="pDgv">一覧</param>
	''' <param name="pTitle">帳票タイトル</param>
	''' <param name="pPrivacy">個人情報出力フラグ True:出力する/False:出力しない</param>
	''' <param name="pMakeWork">ワークデータ作成フラグ True:作成する/False:作成しない</param>
	''' <param name="pLendItem">管理物コード</param>
	''' <param name="pLendUnit">管理物単位</param>
	''' <param name="pMakeWork2">ワークデータ作成フラグ２ True:作成する/False:作成しない</param>
	''' <remarks>
	''' 2010/12/10 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New(ByVal pForm As XCM.frmBase, ByVal pPrint As Boolean,
			ByVal pDgv As DataGridView, ByVal pTitle As String,
			ByVal pPrivacy As Boolean, ByVal pMakeWork As Boolean,
			ByVal pLendItem As String, ByVal pLendUnit As String,
			ByVal pMakeWork2 As Boolean)
		MyBase.New(pForm, pPrint, pDgv, pTitle, pPrivacy, pMakeWork, pLendItem, pLendUnit)

		Me.pMakeWork2 = pMakeWork2
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' SQL文/パラメータ設定
	''' </summary>
	''' <param name="db">clsDB</param>
	''' <param name="type">ENUM_SQLTYPE</param>
	''' <remarks>
	''' 2010/12/10 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setSql2(ByVal db As clsDB, ByRef type As ENUM_SQLTYPE2)
		clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "setSql2", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "SQL文/パラメータ設定 START")
		Try
			With db
				Select Case type
					'ワーク削除
					Case ENUM_SQLTYPE2.DEL
						.setSQL(sqlMRP160R040.sqlDel)

					'貸出情報よりワークを追加
					Case ENUM_SQLTYPE2.INS
						.setSQL(sqlMRP160R040.sqlIns)

					Case Else
						Return
				End Select

				'共通パラメータ
				.setParam(sqlMRPCOMMON.prmHOST_NM, clsDB.Enum_dbType.dbNVarChar)				'ホスト名
				.setVal(sqlMRPCOMMON.prmHOST_NM, clsConst.CST_HOST_NM)
				.setParam(sqlMRPCOMMON.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)		'更新者コード
				.setVal(sqlMRPCOMMON.prmLASTUPDUSER_CD, clsSysMst.getLoginId)
				.setParam(sqlMRPCOMMON.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)			'更新日
				.setVal(sqlMRPCOMMON.prmLASTUPD_DT, DateTime.Now())
			End With
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

#Region "オーバーライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' ワークデータ作成
	''' </summary>
	''' <param name="db">clsDB</param>
	''' <returns>True:正常終了/False:異常終了</returns>
	''' <remarks>
	''' 2010/12/10 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Function setWorkData(ByVal db As clsDB) As Boolean
		'継承元で共通ワークを作成
		If MyBase.setWorkData(db) = False Then Return False

		clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "setWorkData", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "ワークデータ作成 START")
		Try
			'ワークデータは前回内容を再利用のため、更新しない
			If Me.pMakeWork2 = False Then Return True

			For Each sqltype As ENUM_SQLTYPE2 In [Enum].GetValues(GetType(ENUM_SQLTYPE2))
				Me.setSql2(db, sqltype)
'(M) STR V4-13009-000 004 20130208 ID)荒川 病歴大将V4PKG問題点No214 帳票レスポンス改善
'				db.execNonQuery()
				db.execNonQuery(False)
'(M) END V4-13009-000 004 20130208 ID)荒川 病歴大将V4PKG問題点No214 帳票レスポンス改善
			Next
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

End Class
