﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 共通帳票  貸出情報一覧(患者単位) EXCEL出力クラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MRP170E010
	Inherits MRP000E010

#Region "解放処理"

	''' ---------------------------------------------
	''' <summary>
	''' Dispose（解放処理）※外からはよばない
	''' </summary>
	''' <param name="disposing"></param>
	''' <remarks>
	''' 2010/12/13 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Overloads Sub Dispose(ByVal disposing As Boolean)
		If disposing Then
			MyBase.Dispose(disposing)
			Me.pLendItem = Nothing
		End If
	End Sub

#End Region

#Region "コンスタント"

	Private Const CST_LOG_CLASS As String = "貸出情報一覧(患者単位)（Excel）"

#End Region

#Region "変数"

	Private pLendItem As String = Nothing					'管理物コード

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pForm">遷移元画面</param>
	''' <param name="pDgv">出力元グリッド</param>
	''' <param name="pTempFile">雛型ファイル</param>
	''' <param name="pPutName">出力ファイル</param>
	''' <param name="pPutPath">出力パス</param>
	''' <param name="pPrivacy">個人情報出力フラグ</param>
	''' <param name="pLendItem">管理物コード</param>
	''' <remarks>
	''' 2010/12/13 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New(ByVal pForm As XCM.frmBase, ByVal pDgv As DataGridView, ByVal pTempFile As String, ByVal pPutName As String, ByVal pPutPath As String, ByVal pPrivacy As Boolean,
			ByVal pLendItem As String)
		MyBase.New(pForm, pDgv, pTempFile, pPutName, pPutPath, pPrivacy)
		'IN項目
		Me.pLendItem = pLendItem
	End Sub

#End Region

#Region "オーバライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' Excel出力用SQLを取得
	''' </summary>
	''' <returns>Excel出力用SQL</returns>
	''' <remarks>
	''' 2010/10/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Function getSelectSql() As String
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "getSelectSql", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "Excel出力用SQLを取得 START")
		Try
			Me.LendParam = True
			Return sqlMRP170E010.sqlSel
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' データ取得時の追加パラメータ設定
	''' </summary>
	''' <param name="db">clsDB</param>
	''' <remarks>
	''' 2010/12/13 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub addParam(ByVal db As XCM.clsDB)
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "addParam", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "追加 START")
		Try
			With db
				.setParamDa(sqlMRPCOMMON.prmLENDITEM_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
				.setValDa(sqlMRPCOMMON.prmLENDITEM_CD, Me.pLendItem, False)						 '管理物コード
			End With
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' データ部タイトルを返却
	''' </summary>
	''' <returns>データ部タイトル</returns>
	''' <remarks>
	''' 2010/12/13 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Function getHeader() As String
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "getHeader", clsMRPCOMMON.CST_LOG_PRODUCT, CST_LOG_CLASS, "データ部タイトル START")
		Try
			Return sqlMRP170E010.excel_Header
		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

End Class
