﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 共通帳票 患者基本情報一覧(EXCEL) (SQLクラス）
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class sqlMRP030E010

#Region "エクセルヘッダ項目"

	''' <summary>
	''' エクセル出力ヘッダ
	''' </summary>
	''' <remarks></remarks>
	Public Const excel_Header As String = "" _
	& " 患者番号" _
	& excel_HeaderB _
	& excel_HeaderH _
	& excel_HeaderL

	Private Const excel_HeaderB As String = "" _
	& ",氏名" _
	& ",氏名カナ" _
	& ",性別" _
	& ",生年月日" _
	& ",血液型" _
	& ",Ｒｈ" _
	& ",輸血歴有無" _
	& ",関連患者番号" _
	& ",コメント" _
	& ",喫煙有無" _
	& ",吸い始め年齢" _
	& ",やめた年齢" _
	& ",喫煙本数" _
	& ",喫煙年数" _
	& ",飲酒有無" _
	& ",妊娠歴有無" _
	& ",妊娠回数" _
	& ",出産歴有無" _
	& ",出産回数" _
	& ",初潮年齢" _
	& ",閉経年齢" _
	& ",初回来院日" _
	& ",最終来院日" _
	& ",最終受診科" _
	& ",最終受診科(略称)" _
	& ",最終退院日" _
	& ",国籍" _
	& ",国籍(略称)" _
	& ",出生地" _
	& ",出生地住所" _
	& ",連絡先氏名" _
	& ",連絡先郵便番号" _
	& ",連絡先住所" _
	& ",連絡先電話番号" _
	& ",連絡先続柄" _
	& ",連絡先続柄(略称)" _
	& ",最新住所郵便番号" _
	& ",最新住所診療圏" _
	& ",最新住所診療圏(略称)" _
	& ",最新住所" _
	& ",死亡場所" _
	& ",死亡場所(略称)" _
	& ",死亡場所コメント" _
	& ",死亡日" _
	& ",死亡時刻" _
	& ",死亡時年齢" _
	& ",死亡時月齢" _
	& ",死亡時日齢" _
	& ",死亡区分" _
	& ",死亡区分(略称)" _
	& ",術後死亡区分" _
	& ",術後死亡区分(略称)" _
	& ",剖検有無" _
	& ",剖検番号" _
	& ",原死因ICD10コード" _
	& ",原死因病名、外因" _
	& ",直接死因ICD10コード" _
	& ",直接死因病名" _
	& ",院外死亡病院１コード" _
	& ",院外死亡病名１" _
	& ",院外死亡病名２コード" _
	& ",院外死亡病名２" _
	& ",コメント"

	Private Const excel_HeaderH As String = "" _
	& ",{0}" _
	& ",診療科" _
	& ",診療科(略称)" _
	& ",病棟" _
	& ",病棟(略称)" _
	& ",医師" _
	& ",入院日" _
	& ",入院時年齢" _
	& ",入院時月齢" _
	& ",入院時日齢" _
	& ",入院経路" _
	& ",入院経路(略称)" _
	& ",退院日" _
	& ",退院時年齢" _
	& ",退院時月齢" _
	& ",退院時日齢" _
	& ",退院経路" _
	& ",退院経路(略称)" _
	& ",退院転帰" _
	& ",退院転帰(略称)" _
	& ",在院日数"

	Private Const excel_HeaderL As String = "" _
	& ",カルテ数" _
	& ",カルテ受領日" _
	& ",カルテ受領者" _
	& ",カルテ管理状況" _
	& ",カルテ管理状況(略称)" _
	& ",カルテ保管場所" _
	& ",カルテ保管場所(略称)" _
	& ",カルテ整理状況" _
	& ",カルテ整理状況(略称)" _
	& ",サマリ数" _
	& ",サマリ受領日" _
	& ",サマリ管理状況" _
	& ",サマリ管理状況(略称)" _
	& ",サマリ保管場所" _
	& ",サマリ保管場所(略称)" _
	& ",サマリ作成者" _
	& ",サマリ承認日" _
	& ",他１数" _
	& ",他１受領日" _
	& ",他１管理状況" _
	& ",他１管理状況(略称)" _
	& ",他１保管場所" _
	& ",他１保管場所(略称)" _
	& ",他２数" _
	& ",他２受領日" _
	& ",他２管理状況" _
	& ",他２管理状況(略称)" _
	& ",他２保管場所" _
	& ",他２保管場所(略称)" _
	& ",他３数" _
	& ",他３受領日" _
	& ",他３管理状況" _
	& ",他３管理状況(略称)" _
	& ",他３保管場所" _
	& ",他３保管場所(略称)"

#End Region

#Region "Excel出力"
	''' <summary>
	''' Excel出力
	''' </summary>
	Public Const sqlSel As String = _
	  "SELECT " _
	& " b.PATIENT_NO" _
	& sqlColB _
	& sqlColD _
	& sqlColH _
	& sqlColL _
	& " FROM MTW_SEARCH_WORK AS w" _
	& sqlTblTarn _
	& sqlTblB _
	& sqlTblD _
	& sqlTblH _
	& sqlTblL _
	& " WHERE w.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM _
	& " ORDER BY w.OUT_ORDER"

#Region "出力項目"
'(M) STR V4-13006-000 082 20130212 ID)荒川 管理№228 1900年より前の発症日/診断日でExcel出力すると例外エラーが発生する
	' ''' <summary>
	' ''' 基本
	' ''' </summary>
	'Private Const sqlColB = "" _
	'& ",b.PATIENT_NM" _
	'& ",b.PATIENT_KNM" _
	'& ",XTM_GENDER.GENDER_NM" _
	'& "," & sqlMRPCOMMON.CST_COL_EXCEL_BIRTH _
	'& ",MTM_BLOODTYPE.BLOODTYPE_NM" _
	'& ",MTM_RH.RH_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "b.BLOOD_TRAN_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "BLOOD_TRAN_CHK" _
	'& ",b.RELATION_PATIENT_NO" _
	'& ",b.REMARKS" _
	'& ",MTM_SMOKING_CHK.SMOKING_CHK_NM" _
	'& ",b.SMOKING_START_AGE" _
	'& ",b.SMOKING_END_AGE" _
	'& ",b.SMOKING_COUNT" _
	'& ",b.SMOKING_AGE" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "b.DRINKING_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "DRINKING_CHK" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "b.PREGNANCY_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "PREGNANCY_CHK" _
	'& ",b.PREGNANCY_COUNT" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "b.CB_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "CB_CHK" _
	'& ",b.CB_COUNT" _
	'& ",b.MENARCHE_AGE" _
	'& ",b.MENOPAUSE_AGE" _
	'& ",b.FIRSTHSPVST_DT" _
	'& ",b.LASTHSPVST_DT" _
	'& ",MTM_DEPT.DEPT_NM,MTM_DEPT.DEPT_RNM" _
	'& ",b.LASTLEFTHSP_DT" _
	'& ",MTM_NATIONALITY.NATIONALITY_NM,MTM_NATIONALITY.NATIONALITY_RNM" _
	'& ",MTM_PREFECTURE.PREFECTURE_NM" _
	'& ",b.DOMICILE_ADDRESS" _
	'& ",b.CONTACT_PATIENT_NM" _
	'& ",b.CONTACT_ZIP_CD" _
	'& ",b.CONTACT_ADDRESS" _
	'& ",b.CONTACT_TELNUMBER" _
	'& ",MTM_RELATION.RELATION_NM,MTM_RELATION.RELATION_RNM" _
	'& ",bc.ZIP_CD" _
	'& ",BC_AREA.AREA_NM,BC_AREA.AREA_RNM" _
	'& ",bc.ADDRESS_NM"
	''' <summary>
	''' 基本
	''' </summary>
	Private Const sqlColB = "" _
	& ",b.PATIENT_NM" _
	& ",b.PATIENT_KNM" _
	& ",XTM_GENDER.GENDER_NM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "b.BIRTH_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS BIRTH_DT" _
	& ",MTM_BLOODTYPE.BLOODTYPE_NM" _
	& ",MTM_RH.RH_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "b.BLOOD_TRAN_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "BLOOD_TRAN_CHK" _
	& ",b.RELATION_PATIENT_NO" _
	& ",b.REMARKS" _
	& ",MTM_SMOKING_CHK.SMOKING_CHK_NM" _
	& ",b.SMOKING_START_AGE" _
	& ",b.SMOKING_END_AGE" _
	& ",b.SMOKING_COUNT" _
	& ",b.SMOKING_AGE" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "b.DRINKING_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "DRINKING_CHK" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "b.PREGNANCY_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "PREGNANCY_CHK" _
	& ",b.PREGNANCY_COUNT" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "b.CB_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "CB_CHK" _
	& ",b.CB_COUNT" _
	& ",b.MENARCHE_AGE" _
	& ",b.MENOPAUSE_AGE" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "b.FIRSTHSPVST_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS FIRSTHSPVST_DT" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "b.LASTHSPVST_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS LASTHSPVST_DT" _
	& ",MTM_DEPT.DEPT_NM,MTM_DEPT.DEPT_RNM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "b.LASTLEFTHSP_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS LASTLEFTHSP_DT" _
	& ",MTM_NATIONALITY.NATIONALITY_NM,MTM_NATIONALITY.NATIONALITY_RNM" _
	& ",MTM_PREFECTURE.PREFECTURE_NM" _
	& ",b.DOMICILE_ADDRESS" _
	& ",b.CONTACT_PATIENT_NM" _
	& ",b.CONTACT_ZIP_CD" _
	& ",b.CONTACT_ADDRESS" _
	& ",b.CONTACT_TELNUMBER" _
	& ",MTM_RELATION.RELATION_NM,MTM_RELATION.RELATION_RNM" _
	& ",bc.ZIP_CD" _
	& ",BC_AREA.AREA_NM,BC_AREA.AREA_RNM" _
	& ",bc.ADDRESS_NM"
'(M) END V4-13006-000 082 20130212

'(M) STR V4-13006-000 050 20130212 ID)荒川 管理№228 1900年より前の発症日/診断日でExcel出力すると例外エラーが発生する
	' ''' <summary>
	' ''' 死亡
	' ''' </summary>
	'Private Const sqlColD = "" _
	'& ",MTM_DEATH_LCT.DEATH_LCT_NM,MTM_DEATH_LCT.DEATH_LCT_RNM" _
	'& ",d.DEATH_LCT" _
	'& ",d.DEATH_DT" _
	'& ",d.DEATH_TIME" _
	'& ",d.DEATH_AGE" _
	'& ",d.DEATH_MONTH_AGE" _
	'& ",d.DEATH_DAY_AGE" _
	'& ",MTM_DEATH_DIV.DEATH_DIV_NM,MTM_DEATH_DIV.DEATH_DIV_RNM" _
	'& ",MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_NM,MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_RNM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "d.AUTOPSY_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "AUTOPSY_CHK" _
	'& ",d.AUTOPSY_NO" _
	'& ",d1.ICD10_CD" _
	'& ",d1.DISEASE" _
	'& ",d2.ICD10_CD" _
	'& ",d2.DISEASE" _
	'& ",d.DEATH_DISEASE1_CD" _
	'& ",d.DEATH_DISEASE1" _
	'& ",d.DEATH_DISEASE2_CD" _
	'& ",d.DEATH_DISEASE2" _
	'& ",d.DEATH_REMARKS"
	''' <summary>
	''' 死亡
	''' </summary>
	Private Const sqlColD = "" _
	& ",MTM_DEATH_LCT.DEATH_LCT_NM,MTM_DEATH_LCT.DEATH_LCT_RNM" _
	& ",d.DEATH_LCT" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "d.DEATH_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS DEATH_DT" _
	& ",d.DEATH_TIME" _
	& ",d.DEATH_AGE" _
	& ",d.DEATH_MONTH_AGE" _
	& ",d.DEATH_DAY_AGE" _
	& ",MTM_DEATH_DIV.DEATH_DIV_NM,MTM_DEATH_DIV.DEATH_DIV_RNM" _
	& ",MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_NM,MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_RNM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "d.AUTOPSY_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "AUTOPSY_CHK" _
	& ",d.AUTOPSY_NO" _
	& ",d1.ICD10_CD" _
	& ",d1.DISEASE" _
	& ",d2.ICD10_CD" _
	& ",d2.DISEASE" _
	& ",d.DEATH_DISEASE1_CD" _
	& ",d.DEATH_DISEASE1" _
	& ",d.DEATH_DISEASE2_CD" _
	& ",d.DEATH_DISEASE2" _
	& ",d.DEATH_REMARKS"
'(M) END V4-13006-000 050 20130212

'(M) STR V4-13006-000 042 20130212 ID)荒川 管理№228 1900年より前の発症日/診断日でExcel出力すると例外エラーが発生する
	' ''' <summary>
	' ''' 入退院
	' ''' </summary>
	'Private Const sqlColH As String = "" _
	'& ",h.BYOREKI_NO" _
	'& ",H_DEPT.DEPT_NM,H_DEPT.DEPT_RNM" _
	'& ",H_WARD.WARD_NM,H_WARD.WARD_RNM" _
	'& ",H_STAFF.STAFF_NM" _
	'& ",h.HSP_DT" _
	'& ",h.HSP_AGE" _
	'& ",h.HSP_MONTH_AGE" _
	'& ",h.HSP_DAY_AGE" _
	'& ",H_CNL.HSP_CNL_NM,H_CNL.HSP_CNL_RNM" _
	'& ",h.OUT_HSP_DT" _
	'& ",h.OUT_HSP_AGE" _
	'& ",h.OUT_HSP_MONTH_AGE" _
	'& ",h.OUT_HSP_DAY_AGE" _
	'& ",H_O_CNL.OUT_HSP_CNL_NM,H_O_CNL.OUT_HSP_CNL_RNM" _
	'& ",H_OUTCOME.OUT_HSP_OUTCOME_NM,H_OUTCOME.OUT_HSP_OUTCOME_RNM" _
	'& ",h.HSP_DAYS"
	''' <summary>
	''' 入退院
	''' </summary>
	Private Const sqlColH As String = "" _
	& ",h.BYOREKI_NO" _
	& ",H_DEPT.DEPT_NM,H_DEPT.DEPT_RNM" _
	& ",H_WARD.WARD_NM,H_WARD.WARD_RNM" _
	& ",H_STAFF.STAFF_NM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "h.HSP_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS HSP_DT" _
	& ",h.HSP_AGE" _
	& ",h.HSP_MONTH_AGE" _
	& ",h.HSP_DAY_AGE" _
	& ",H_CNL.HSP_CNL_NM,H_CNL.HSP_CNL_RNM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "h.OUT_HSP_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS OUT_HSP_DT" _
	& ",h.OUT_HSP_AGE" _
	& ",h.OUT_HSP_MONTH_AGE" _
	& ",h.OUT_HSP_DAY_AGE" _
	& ",H_O_CNL.OUT_HSP_CNL_NM,H_O_CNL.OUT_HSP_CNL_RNM" _
	& ",H_OUTCOME.OUT_HSP_OUTCOME_NM,H_OUTCOME.OUT_HSP_OUTCOME_RNM" _
	& ",h.HSP_DAYS"
'(M) END V4-13006-000 042 20130212

	Private Const sqlCASE_UNIT_M As String = ",CASE " & sqlMRPCOMMON.prmLENDUNIT_M & " WHEN " & sqlMRPCOMMON.prmLENDUNIT_VALB & " THEN "
	Private Const sqlCASE_UNIT_S As String = ",CASE " & sqlMRPCOMMON.prmLENDUNIT_S & " WHEN " & sqlMRPCOMMON.prmLENDUNIT_VALB & " THEN "
	Private Const sqlCASE_UNIT_1 As String = ",CASE " & sqlMRPCOMMON.prmLENDUNIT_1 & " WHEN " & sqlMRPCOMMON.prmLENDUNIT_VALB & " THEN "
	Private Const sqlCASE_UNIT_2 As String = ",CASE " & sqlMRPCOMMON.prmLENDUNIT_2 & " WHEN " & sqlMRPCOMMON.prmLENDUNIT_VALB & " THEN "
	Private Const sqlCASE_UNIT_3 As String = ",CASE " & sqlMRPCOMMON.prmLENDUNIT_3 & " WHEN " & sqlMRPCOMMON.prmLENDUNIT_VALB & " THEN "
	Private Const sqlCASE_UNIT_E As String = " ELSE NULL END"

'(M) STR V4-13006-000 080 20130212 ID)荒川 管理№228 1900年より前の発症日/診断日でExcel出力すると例外エラーが発生する
	' ''' <summary>
	' ''' 管理物情報
	' ''' </summary>
	'Private Const sqlColL = "" _
	'& sqlCASE_UNIT_M & "l.RECORD_COUNT" & sqlCASE_UNIT_E _
	'& sqlCASE_UNIT_M & "l.RECORD_RECEIPT_DT" & sqlCASE_UNIT_E _
	'& sqlCASE_UNIT_M & "L1_STAFF.STAFF_NM" & sqlCASE_UNIT_E _
	'& sqlCASE_UNIT_M & "L1_MNG.MNGSTATUS_NM" & sqlCASE_UNIT_E _
	'& sqlCASE_UNIT_M & "L1_MNG.MNGSTATUS1_RNM" & sqlCASE_UNIT_E _
	'& sqlCASE_UNIT_M & "L1_LCT.KEEPLCT_NM" & sqlCASE_UNIT_E _
	'& sqlCASE_UNIT_M & "L1_LCT.KEEPLCT_RNM" & sqlCASE_UNIT_E _
	'& sqlCASE_UNIT_M & "L1_APG.ARG_STATUS_NM" & sqlCASE_UNIT_E _
	'& sqlCASE_UNIT_M & "L1_APG.ARG_STATUS_RNM" & sqlCASE_UNIT_E _
	'& sqlCASE_UNIT_S & "l.SUMMARY_COUNT" & sqlCASE_UNIT_E _
	'& sqlCASE_UNIT_S & "l.SUMMARY_RECEIPT_DT" & sqlCASE_UNIT_E _
	'& sqlCASE_UNIT_S & "L2_MNG.MNGSTATUS_NM" & sqlCASE_UNIT_E _
	'& sqlCASE_UNIT_S & "L2_MNG.MNGSTATUS1_RNM" & sqlCASE_UNIT_E _
	'& sqlCASE_UNIT_S & "L2_LCT.KEEPLCT_NM" & sqlCASE_UNIT_E _
	'& sqlCASE_UNIT_S & "L2_LCT.KEEPLCT_RNM" & sqlCASE_UNIT_E _
	'& sqlCASE_UNIT_S & "L2_STAFF.STAFF_NM" & sqlCASE_UNIT_E _
	'& sqlCASE_UNIT_S & "l.SUMMARY_APPROVAL_DT" & sqlCASE_UNIT_E _
	'& sqlCASE_UNIT_1 & "l.OTHER1_COUNT" & sqlCASE_UNIT_E _
	'& sqlCASE_UNIT_1 & "l.OTHER1_RECEIPT_DT" & sqlCASE_UNIT_E _
	'& sqlCASE_UNIT_1 & "L3_MNG.MNGSTATUS_NM" & sqlCASE_UNIT_E _
	'& sqlCASE_UNIT_1 & "L3_MNG.MNGSTATUS1_RNM" & sqlCASE_UNIT_E _
	'& sqlCASE_UNIT_1 & "L3_LCT.KEEPLCT_NM" & sqlCASE_UNIT_E _
	'& sqlCASE_UNIT_1 & "L3_LCT.KEEPLCT_RNM" & sqlCASE_UNIT_E _
	'& sqlCASE_UNIT_2 & "l.OTHER2_COUNT" & sqlCASE_UNIT_E _
	'& sqlCASE_UNIT_2 & "l.OTHER2_RECEIPT_DT" & sqlCASE_UNIT_E _
	'& sqlCASE_UNIT_2 & "L4_MNG.MNGSTATUS_NM" & sqlCASE_UNIT_E _
	'& sqlCASE_UNIT_2 & "L4_MNG.MNGSTATUS1_RNM" & sqlCASE_UNIT_E _
	'& sqlCASE_UNIT_2 & "L4_LCT.KEEPLCT_NM" & sqlCASE_UNIT_E _
	'& sqlCASE_UNIT_2 & "L4_LCT.KEEPLCT_RNM" & sqlCASE_UNIT_E _
	'& sqlCASE_UNIT_3 & "l.OTHER3_COUNT" & sqlCASE_UNIT_E _
	'& sqlCASE_UNIT_3 & "l.OTHER3_RECEIPT_DT" & sqlCASE_UNIT_E _
	'& sqlCASE_UNIT_3 & "L5_MNG.MNGSTATUS_NM" & sqlCASE_UNIT_E _
	'& sqlCASE_UNIT_3 & "L5_MNG.MNGSTATUS1_RNM" & sqlCASE_UNIT_E _
	'& sqlCASE_UNIT_3 & "L5_LCT.KEEPLCT_NM" & sqlCASE_UNIT_E _
	'& sqlCASE_UNIT_3 & "L5_LCT.KEEPLCT_RNM" & sqlCASE_UNIT_E
	''' <summary>
	''' 管理物情報
	''' </summary>
	Private Const sqlColL = "" _
	& sqlCASE_UNIT_M & "l.RECORD_COUNT" & sqlCASE_UNIT_E _
	& sqlCASE_UNIT_M & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "l.RECORD_RECEIPT_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & sqlCASE_UNIT_E _
	& sqlCASE_UNIT_M & "L1_STAFF.STAFF_NM" & sqlCASE_UNIT_E _
	& sqlCASE_UNIT_M & "L1_MNG.MNGSTATUS_NM" & sqlCASE_UNIT_E _
	& sqlCASE_UNIT_M & "L1_MNG.MNGSTATUS1_RNM" & sqlCASE_UNIT_E _
	& sqlCASE_UNIT_M & "L1_LCT.KEEPLCT_NM" & sqlCASE_UNIT_E _
	& sqlCASE_UNIT_M & "L1_LCT.KEEPLCT_RNM" & sqlCASE_UNIT_E _
	& sqlCASE_UNIT_M & "L1_APG.ARG_STATUS_NM" & sqlCASE_UNIT_E _
	& sqlCASE_UNIT_M & "L1_APG.ARG_STATUS_RNM" & sqlCASE_UNIT_E _
	& sqlCASE_UNIT_S & "l.SUMMARY_COUNT" & sqlCASE_UNIT_E _
	& sqlCASE_UNIT_M & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "l.SUMMARY_RECEIPT_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & sqlCASE_UNIT_E _
	& sqlCASE_UNIT_S & "L2_MNG.MNGSTATUS_NM" & sqlCASE_UNIT_E _
	& sqlCASE_UNIT_S & "L2_MNG.MNGSTATUS1_RNM" & sqlCASE_UNIT_E _
	& sqlCASE_UNIT_S & "L2_LCT.KEEPLCT_NM" & sqlCASE_UNIT_E _
	& sqlCASE_UNIT_S & "L2_LCT.KEEPLCT_RNM" & sqlCASE_UNIT_E _
	& sqlCASE_UNIT_S & "L2_STAFF.STAFF_NM" & sqlCASE_UNIT_E _
	& sqlCASE_UNIT_M & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "l.SUMMARY_APPROVAL_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & sqlCASE_UNIT_E _
	& sqlCASE_UNIT_1 & "l.OTHER1_COUNT" & sqlCASE_UNIT_E _
	& sqlCASE_UNIT_M & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "l.OTHER1_RECEIPT_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & sqlCASE_UNIT_E _
	& sqlCASE_UNIT_1 & "L3_MNG.MNGSTATUS_NM" & sqlCASE_UNIT_E _
	& sqlCASE_UNIT_1 & "L3_MNG.MNGSTATUS1_RNM" & sqlCASE_UNIT_E _
	& sqlCASE_UNIT_1 & "L3_LCT.KEEPLCT_NM" & sqlCASE_UNIT_E _
	& sqlCASE_UNIT_1 & "L3_LCT.KEEPLCT_RNM" & sqlCASE_UNIT_E _
	& sqlCASE_UNIT_2 & "l.OTHER2_COUNT" & sqlCASE_UNIT_E _
	& sqlCASE_UNIT_M & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "l.OTHER2_RECEIPT_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & sqlCASE_UNIT_E _
	& sqlCASE_UNIT_2 & "L4_MNG.MNGSTATUS_NM" & sqlCASE_UNIT_E _
	& sqlCASE_UNIT_2 & "L4_MNG.MNGSTATUS1_RNM" & sqlCASE_UNIT_E _
	& sqlCASE_UNIT_2 & "L4_LCT.KEEPLCT_NM" & sqlCASE_UNIT_E _
	& sqlCASE_UNIT_2 & "L4_LCT.KEEPLCT_RNM" & sqlCASE_UNIT_E _
	& sqlCASE_UNIT_3 & "l.OTHER3_COUNT" & sqlCASE_UNIT_E _
	& sqlCASE_UNIT_M & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "l.OTHER3_RECEIPT_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & sqlCASE_UNIT_E _
	& sqlCASE_UNIT_3 & "L5_MNG.MNGSTATUS_NM" & sqlCASE_UNIT_E _
	& sqlCASE_UNIT_3 & "L5_MNG.MNGSTATUS1_RNM" & sqlCASE_UNIT_E _
	& sqlCASE_UNIT_3 & "L5_LCT.KEEPLCT_NM" & sqlCASE_UNIT_E _
	& sqlCASE_UNIT_3 & "L5_LCT.KEEPLCT_RNM" & sqlCASE_UNIT_E
'(M) END V4-13006-000 080 20130212

#End Region

#Region "FROM句"

	''' <summary>
	''' From句(トラン)
	''' </summary>
	Private Const sqlTblTarn = "" _
	& " INNER JOIN XTI_BASICINFO AS b       ON w.PATIENT_NO          = b.PATIENT_NO" _
	& "  LEFT JOIN MTI_DEATH     AS d       ON w.PATIENT_NO          = d.PATIENT_NO" _
	& "  LEFT JOIN MTI_HSP       AS h       ON w.PATIENT_NO          = h.PATIENT_NO " _
	& "                                    AND w.NEW_HSP_NO          = h.HSP_HISTORY_NO" _
	& "  LEFT JOIN MTI_CH        AS bc      ON w.PATIENT_NO          = bc.PATIENT_NO " _
	& "                                    AND w.NEW_HSP_NO          = bc.HSP_HISTORY_NO" _
	& "                                    AND w.NEW_CH_NO           = bc.CH_NO" _
	& "  LEFT JOIN MTI_DISEASE   AS d1      ON w.PATIENT_NO          = d1.PATIENT_NO" _
	& "                                    AND " & sqlMRPCOMMON.prmFLG_ON & " = d1.DEATH_DISEASE_FLG" _
	& "  LEFT JOIN MTI_DISEASE   AS d2      ON w.PATIENT_NO          = d2.PATIENT_NO" _
	& "                                    AND " & sqlMRPCOMMON.prmFLG_ON & " = d2.DIRECT_DEATH_DISEASE_FLG" _
	& "  LEFT JOIN MTI_LENDITM   AS l		ON w.PATIENT_NO          = l.PATIENT_NO" _
	& "                                    AND 0                     = l.HSP_HISTORY_NO" _
	& "                                    AND 0                     = l.CH_NO"

	''' <summary>
	''' 基本 マスタ
	''' </summary>
	Private Const sqlTblB = "" _
	& "  LEFT JOIN XTM_GENDER               ON b.GENDER_CD           = XTM_GENDER.GENDER_CD" _
	& "  LEFT JOIN MTM_BLOODTYPE            ON b.BLOODTYPE_CD        = MTM_BLOODTYPE.BLOODTYPE_CD" _
	& "  LEFT JOIN MTM_RH                   ON b.RH_CD               = MTM_RH.RH_CD" _
	& "  LEFT JOIN MTM_SMOKING_CHK          ON b.SMOKING_CHK         = MTM_SMOKING_CHK.SMOKING_CHK_CD" _
	& "  LEFT JOIN MTM_DEPT                 ON b.LASTDEPT_CD         = MTM_DEPT.DEPT_CD" _
	& "  LEFT JOIN MTM_NATIONALITY          ON b.NATIONALITY_CD		 = MTM_NATIONALITY.NATIONALITY_CD" _
	& "  LEFT JOIN MTM_PREFECTURE           ON b.DOMICILE_ADDRESS_CD = MTM_PREFECTURE.PREFECTURE_CD" _
	& "  LEFT JOIN MTM_RELATION             ON b.CONTACT_RELATION    = MTM_RELATION.RELATION_CD" _
	& "  LEFT JOIN MTM_AREA AS BC_AREA      ON bc.AREA_CD            = BC_AREA.AREA_CD"

	''' <summary>
	''' 死亡　マスタ
	''' </summary>
	Private Const sqlTblD = "" _
	& "  LEFT JOIN MTM_DEATH_LCT            ON d.DEATH_LCT_CD        = MTM_DEATH_LCT.DEATH_LCT_CD" _
	& "  LEFT JOIN MTM_DEATH_DIV            ON d.DEATH_DIV           = MTM_DEATH_DIV.DEATH_DIV_CD" _
	& "  LEFT JOIN MTM_AFTER_OPE_DEATH_DIV  ON d.AFTER_OPE_DEATH_DIV = MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_CD"

	''' <summary>
	''' 入退院　
	''' </summary>
	Public Const sqlTblH As String = "" _
	& "  LEFT JOIN MTM_DEPT             AS H_DEPT    ON h.DEPT_CD             = H_DEPT.DEPT_CD" _
	& "  LEFT JOIN MTM_WARD             AS H_WARD    ON h.WARD_CD			  = H_WARD.WARD_CD" _
	& "  LEFT JOIN XTM_STAFF            AS H_STAFF   ON h.DOCTOR_CD			  = H_STAFF.STAFF_CD" _
	& "  LEFT JOIN MTM_HSP_CNL          AS H_CNL     ON h.HSP_CNL_CD          = H_CNL.HSP_CNL_CD" _
	& "  LEFT JOIN MTM_OUT_HSP_CNL      AS H_O_CNL   ON h.OUT_HSP_CNL_CD      = H_O_CNL.OUT_HSP_CNL_CD" _
	& "  LEFT JOIN MTM_OUT_HSP_OUTCOME  AS H_OUTCOME ON h.OUT_HSP_OUTCOME_CD  = H_OUTCOME.OUT_HSP_OUTCOME_CD"

	''' <summary>
	''' 管理物情報　マスタ
	''' </summary>
	Private Const sqlTblL = "" _
	& "  LEFT JOIN XTM_STAFF               AS L1_STAFF ON l.RECORD_RECIPIENT_CD  = L1_STAFF.STAFF_CD" _
	& "  LEFT JOIN XTM_STAFF               AS L2_STAFF ON l.SUMMARY_MAKER_CD     = L2_STAFF.STAFF_CD" _
	& "  LEFT JOIN MTM_LENDITEM_MNGSTATUS  AS L1_MNG   ON " & sqlMRPCOMMON.prmLENDITEM_M & " = L1_MNG.LENDITEM_CD AND l.RECORD_MNGSTATUS_CD  = L1_MNG.MNGSTATUS_CD" _
	& "  LEFT JOIN MTM_LENDITEM_KEEPLCT    AS L1_LCT   ON " & sqlMRPCOMMON.prmLENDITEM_M & " = L1_LCT.LENDITEM_CD AND l.RECORD_KEEPLCT_CD    = L1_LCT.KEEPLCT_CD" _
	& "  LEFT JOIN MTM_LENDITEM_ARG_STATUS AS L1_APG   ON " & sqlMRPCOMMON.prmLENDITEM_M & " = L1_APG.LENDITEM_CD AND l.RECORD_ARG_STATUS_CD = L1_APG.ARG_STATUS_CD" _
	& "  LEFT JOIN MTM_LENDITEM_MNGSTATUS  AS L2_MNG   ON " & sqlMRPCOMMON.prmLENDITEM_S & " = L2_MNG.LENDITEM_CD AND l.SUMMARY_MNGSTATUS_CD = L2_MNG.MNGSTATUS_CD" _
	& "  LEFT JOIN MTM_LENDITEM_KEEPLCT    AS L2_LCT   ON " & sqlMRPCOMMON.prmLENDITEM_S & " = L2_LCT.LENDITEM_CD AND l.SUMMARY_KEEPLCT_CD   = L2_LCT.KEEPLCT_CD" _
	& "  LEFT JOIN MTM_LENDITEM_MNGSTATUS  AS L3_MNG   ON " & sqlMRPCOMMON.prmLENDITEM_1 & " = L3_MNG.LENDITEM_CD AND l.OTHER1_MNGSTATUS_CD  = L3_MNG.MNGSTATUS_CD" _
	& "  LEFT JOIN MTM_LENDITEM_KEEPLCT    AS L3_LCT   ON " & sqlMRPCOMMON.prmLENDITEM_1 & " = L3_LCT.LENDITEM_CD AND l.OTHER1_KEEPLCT_CD    = L3_LCT.KEEPLCT_CD" _
	& "  LEFT JOIN MTM_LENDITEM_MNGSTATUS  AS L4_MNG   ON " & sqlMRPCOMMON.prmLENDITEM_2 & " = L4_MNG.LENDITEM_CD AND l.OTHER2_MNGSTATUS_CD  = L4_MNG.MNGSTATUS_CD" _
	& "  LEFT JOIN MTM_LENDITEM_KEEPLCT    AS L4_LCT   ON " & sqlMRPCOMMON.prmLENDITEM_2 & " = L4_LCT.LENDITEM_CD AND l.OTHER2_KEEPLCT_CD    = L4_LCT.KEEPLCT_CD" _
	& "  LEFT JOIN MTM_LENDITEM_MNGSTATUS  AS L5_MNG   ON " & sqlMRPCOMMON.prmLENDITEM_3 & " = L5_MNG.LENDITEM_CD AND l.OTHER3_MNGSTATUS_CD  = L5_MNG.MNGSTATUS_CD" _
	& "  LEFT JOIN MTM_LENDITEM_KEEPLCT    AS L5_LCT   ON " & sqlMRPCOMMON.prmLENDITEM_3 & " = L5_LCT.LENDITEM_CD AND l.OTHER3_KEEPLCT_CD    = L5_LCT.KEEPLCT_CD"
#End Region

#End Region

End Class
