﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 共通帳票 患者基本情報一覧(EXCEL) (SQLクラス）
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class sqlMRP040E020

#Region "エクセルヘッダ項目"

	''' <summary>
	''' エクセル出力ヘッダ
	''' </summary>
	''' <remarks></remarks>
	Public Const excel_Header As String = "" _
	& "患者番号" _
	& ",入退院歴番号" _
	& excel_HeaderB _
	& excel_HeaderH _
	& excel_HeaderP _
	& excel_HeaderL _
	& ",患者番号" _
	& ",入退院歴番号" _
	& "{1}" _
	& "{2}"

	Public Const excel_FreeFormat As String = "" _
	& ",{0},{1}"
	Public Const excel_FreeFormatEmpty As String = "" _
	& ",,"

	Private Const excel_HeaderB As String = "" _
	& ",氏名" _
	& ",氏名カナ" _
	& ",性別" _
	& ",生年月日" _
	& ",血液型" _
	& ",Ｒｈ" _
	& ",最新住所郵便番号" _
	& ",最新住所診療圏" _
	& ",最新住所診療圏(略称)" _
	& ",最新住所" _
	& ",死亡場所" _
	& ",死亡場所(略称)" _
	& ",死亡日" _
	& ",死亡時刻" _
	& ",死亡時年齢" _
	& ",死亡時月齢" _
	& ",死亡時日齢" _
	& ",死亡区分" _
	& ",死亡区分(略称)" _
	& ",術後死亡区分" _
	& ",術後死亡区分(略称)" _
	& ",剖検有無" _
	& ",剖検番号"

	Private Const excel_HeaderH As String = "" _
	& ",{{0}}" _
	& ",診療科" _
	& ",診療科(略称)" _
	& ",病棟" _
	& ",病棟(略称)" _
	& ",医師" _
	& ",入院日" _
	& ",入院時刻" _
	& ",入院時年齢" _
	& ",入院時月齢" _
	& ",入院時日齢" _
	& ",入院経路" _
	& ",入院経路(略称)" _
	& ",予定緊急" _
	& ",時間外フラグ" _
	& ",救急車搬送有無" _
	& ",入院目的" _
	& ",入院目的(略称)" _
	& ",退院日" _
	& ",退院時刻" _
	& ",退院時年齢" _
	& ",退院時月齢" _
	& ",退院時日齢" _
	& ",退院経路" _
	& ",退院経路(略称)" _
	& ",退院転帰" _
	& ",退院転帰(略称)" _
	& ",在院日数" _
	& ",入院形態" _
	& ",入院形態(略称)" _
	& ",身長" _
	& ",体重" _
	& ",再入院フラグ" _
	& ",前回自他院" _
	& ",前回退院日" _
	& ",同一疾病自院再入院フラグ" _
	& ",同一疾病自院前回退院日" _
	& ",医療費合計" _
	& ",ＤＰＣ" _
	& ",備考" _
	& ",転科有無" _
	& ",兼科有無" _
	& ",治験有無" _
	& ",院内感染有無" _
	& "{0}"

	Private Const excel_HeaderP As String = "" _
	& ",主傷病名" _
	& ",ＩＣＤ１０コード" _
	& ",入院の契機となった傷病名" _
	& ",ＩＣＤ１０コード" _
	& ",医療資源を最も投入した傷病名" _
	& ",ＩＣＤ１０コード" _
	& ",医療資源を２番目に投入した傷病名" _
	& ",ＩＣＤ１０コード" _
	& ",入院時並存症名１" _
	& ",ＩＣＤ１０コード" _
	& ",入院時並存症名２" _
	& ",ＩＣＤ１０コード" _
	& ",入院時並存症名３" _
	& ",ＩＣＤ１０コード" _
	& ",入院時並存症名４" _
	& ",ＩＣＤ１０コード" _
	& ",入院後発症疾患名１" _
	& ",ＩＣＤ１０コード" _
	& ",入院後発症疾患名２" _
	& ",ＩＣＤ１０コード" _
	& ",入院後発症疾患名３" _
	& ",ＩＣＤ１０コード" _
	& ",入院後発症疾患名４" _
	& ",ＩＣＤ１０コード" _
	& ",手術名１" _
	& ",ＩＣＤ９－ＣＭコード" _
	& ",点数表コード" _
	& ",手術回数" _
	& ",手術側数" _
	& ",手術日" _
	& ",麻酔" _
	& ",麻酔(略称)" _
	& ",手術名２" _
	& ",ＩＣＤ９－ＣＭコード" _
	& ",点数表コード" _
	& ",手術回数" _
	& ",手術側数" _
	& ",手術日" _
	& ",麻酔" _
	& ",麻酔(略称)" _
	& ",手術名３" _
	& ",ＩＣＤ９－ＣＭコード" _
	& ",点数表コード" _
	& ",手術回数" _
	& ",手術側数" _
	& ",手術日" _
	& ",麻酔" _
	& ",麻酔(略称)" _
	& ",手術名４" _
	& ",ＩＣＤ９－ＣＭコード" _
	& ",点数表コード" _
	& ",手術回数" _
	& ",手術側数" _
	& ",手術日" _
	& ",麻酔" _
	& ",麻酔(略称)" _
	& ",手術名５" _
	& ",ＩＣＤ９－ＣＭコード" _
	& ",点数表コード" _
	& ",手術回数" _
	& ",手術側数" _
	& ",手術日" _
	& ",麻酔" _
	& ",麻酔(略称)"



	Private Const excel_HeaderL As String = "" _
	& ",カルテ数" _
	& ",カルテ受領日" _
	& ",カルテ受領者" _
	& ",カルテ管理状況" _
	& ",カルテ管理状況(略称)" _
	& ",カルテ保管場所" _
	& ",カルテ保管場所(略称)" _
	& ",カルテ整理状況" _
	& ",カルテ整理状況(略称)" _
	& ",サマリ数" _
	& ",サマリ受領日" _
	& ",サマリ管理状況" _
	& ",サマリ管理状況(略称)" _
	& ",サマリ保管場所" _
	& ",サマリ保管場所(略称)" _
	& ",サマリ作成者" _
	& ",サマリ承認日" _
	& ",他１数" _
	& ",他１受領日" _
	& ",他１管理状況" _
	& ",他１管理状況(略称)" _
	& ",他１保管場所" _
	& ",他１保管場所(略称)" _
	& ",他２数" _
	& ",他２受領日" _
	& ",他２管理状況" _
	& ",他２管理状況(略称)" _
	& ",他２保管場所" _
	& ",他２保管場所(略称)" _
	& ",他３数" _
	& ",他３受領日" _
	& ",他３管理状況" _
	& ",他３管理状況(略称)" _
	& ",他３保管場所" _
	& ",他３保管場所(略称)"

#End Region

#Region "Excel出力"
	''' <summary>
	''' Excel出力
	''' </summary>
	Public Const sqlSel As String = _
	  "SELECT " _
	& " h.PATIENT_NO" _
	& ",h.HSP_HISTORY_NO" _
	& sqlColB _
	& sqlColD _
	& sqlColH _
	& sqlColP1 _
	& sqlColL _
	& ",h.PATIENT_NO" _
	& ",h.HSP_HISTORY_NO" _
	& sqlColP2 _
	& sqlColM _
	& " FROM MTW_SEARCH_WORK AS w" _
	& sqlTblTarn _
	& sqlTblB _
	& sqlTblD _
	& sqlTblH _
	& sqlTBLP _
	& sqlTblL _
	& " WHERE w.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM _
	& " ORDER BY w.OUT_ORDER"

#Region "出力項目"
'(M) STR V4-13006-000 278 20130212 ID)荒川 管理№228 1900年より前の発症日/診断日でExcel出力すると例外エラーが発生する
	'Private Const sqlColB = "" _
	'& ",b.PATIENT_NM" _
	'& ",b.PATIENT_KNM" _
	'& ",XTM_GENDER.GENDER_NM" _
	'& "," & sqlMRPCOMMON.CST_COL_EXCEL_BIRTH _
	'& ",MTM_BLOODTYPE.BLOODTYPE_NM" _
	'& ",MTM_RH.RH_NM" _
	'& ",bc.ZIP_CD" _
	'& ",BC_AREA.AREA_NM,BC_AREA.AREA_RNM" _
	'& ",bc.ADDRESS_NM"
	''' <summary>
	''' 基本
	''' </summary>
	Private Const sqlColB = "" _
	& ",b.PATIENT_NM" _
	& ",b.PATIENT_KNM" _
	& ",XTM_GENDER.GENDER_NM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "b.BIRTH_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS BIRTH_DT" _
	& ",MTM_BLOODTYPE.BLOODTYPE_NM" _
	& ",MTM_RH.RH_NM" _
	& ",bc.ZIP_CD" _
	& ",BC_AREA.AREA_NM,BC_AREA.AREA_RNM" _
	& ",bc.ADDRESS_NM"

	'Private Const sqlColD = "" _
	'& ",MTM_DEATH_LCT.DEATH_LCT_NM,MTM_DEATH_LCT.DEATH_LCT_RNM" _
	'& ",d.DEATH_DT" _
	'& ",d.DEATH_TIME" _
	'& ",d.DEATH_AGE" _
	'& ",d.DEATH_MONTH_AGE" _
	'& ",d.DEATH_DAY_AGE" _
	'& ",MTM_DEATH_DIV.DEATH_DIV_NM,MTM_DEATH_DIV.DEATH_DIV_RNM" _
	'& ",MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_NM,MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_RNM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "d.AUTOPSY_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "AUTOPSY_CHK" _
	'& ",d.AUTOPSY_NO"
	''' <summary>
	''' 死亡
	''' </summary>
	Private Const sqlColD = "" _
	& ",MTM_DEATH_LCT.DEATH_LCT_NM,MTM_DEATH_LCT.DEATH_LCT_RNM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "d.DEATH_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS DEATH_DT" _
	& ",d.DEATH_TIME" _
	& ",d.DEATH_AGE" _
	& ",d.DEATH_MONTH_AGE" _
	& ",d.DEATH_DAY_AGE" _
	& ",MTM_DEATH_DIV.DEATH_DIV_NM,MTM_DEATH_DIV.DEATH_DIV_RNM" _
	& ",MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_NM,MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_RNM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "d.AUTOPSY_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "AUTOPSY_CHK" _
	& ",d.AUTOPSY_NO"

	'Private Const sqlColH As String = "" _
	'& ",h.BYOREKI_NO" _
	'& ",H_DEPT.DEPT_NM,H_DEPT.DEPT_RNM" _
	'& ",H_WARD.WARD_NM,H_WARD.WARD_RNM" _
	'& ",H_STAFF.STAFF_NM" _
	'& ",h.HSP_DT" _
	'& ",h.HSP_TIME" _
	'& ",h.HSP_AGE" _
	'& ",h.HSP_MONTH_AGE" _
	'& ",h.HSP_DAY_AGE" _
	'& ",H_CNL.HSP_CNL_NM,H_CNL.HSP_CNL_RNM" _
	'& ",MTM_PLAN_EMERGENCY.PLAN_EMERGENCY_NM" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "h.TIME_OUT_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "TIME_OUT_FLG_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "h.TAKE_AMBULANCE_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "TAKE_AMBULANCE_CHK_NM" _
	'& ",MTM_HSP_AIM.HSP_AIM_NM,MTM_HSP_AIM.HSP_AIM_RNM" _
	'& ",h.OUT_HSP_DT" _
	'& ",h.OUT_HSP_TIME" _
	'& ",h.OUT_HSP_AGE" _
	'& ",h.OUT_HSP_MONTH_AGE" _
	'& ",h.OUT_HSP_DAY_AGE" _
	'& ",H_O_CNL.OUT_HSP_CNL_NM,H_O_CNL.OUT_HSP_CNL_RNM" _
	'& ",H_OUTCOME.OUT_HSP_OUTCOME_NM,H_OUTCOME.OUT_HSP_OUTCOME_RNM" _
	'& ",h.HSP_DAYS" _
	'& ",MTM_HSP_FORM.HSP_FORM_NM,MTM_HSP_FORM.HSP_FORM_RNM" _
	'& ",h.STATURE" _
	'& ",h.WEIGHT" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "h.READMISSION_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "READMISSION_FLG_NM" _
	'& ",MTM_SELF_OTHER_HSP_DIV.SELF_OTHER_HSP_DIV" _
	'& ",h.LAST_OUT_HSP_DT" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "h.DISEASE_READMISSION_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "DISEASE_READMISSION_FLG_NM" _
	'& ",h.SAME_DISEASE_LAST_HSP_DT" _
	'& ",h.TOTAL_MED_COST" _
	'& ",h.DPC_NO" _
	'& ",h.REMARKS" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "h.CHANGE_DEPT_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "CHANGE_DEPT_CHK_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "h.HOLD_DEPT_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "HOLD_DEPT_CHK_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "h.CLINICAL_TRIAL_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "CLINICAL_TRIAL_CHK_NM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "h.HSP_INFECTION_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "HSP_INFECTION_CHK_NM" _
	'& ",H_FREE1.CNT_NM,H_FREE1.CNT_RNM" _
	'& ",H_FREE2.CNT_NM,H_FREE2.CNT_RNM" _
	'& ",H_FREE3.CNT_NM,H_FREE3.CNT_RNM" _
	'& ",H_FREE4.CNT_NM,H_FREE4.CNT_RNM" _
	'& ",H_FREE5.CNT_NM,H_FREE5.CNT_RNM" _
	'& ",H_FREE6.CNT_NM,H_FREE6.CNT_RNM"
	''' <summary>
	''' 入退院
	''' </summary>
	Private Const sqlColH As String = "" _
	& ",h.BYOREKI_NO" _
	& ",H_DEPT.DEPT_NM,H_DEPT.DEPT_RNM" _
	& ",H_WARD.WARD_NM,H_WARD.WARD_RNM" _
	& ",H_STAFF.STAFF_NM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "h.HSP_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS HSP_DT" _
	& ",h.HSP_TIME" _
	& ",h.HSP_AGE" _
	& ",h.HSP_MONTH_AGE" _
	& ",h.HSP_DAY_AGE" _
	& ",H_CNL.HSP_CNL_NM,H_CNL.HSP_CNL_RNM" _
	& ",MTM_PLAN_EMERGENCY.PLAN_EMERGENCY_NM" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "h.TIME_OUT_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "TIME_OUT_FLG_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "h.TAKE_AMBULANCE_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "TAKE_AMBULANCE_CHK_NM" _
	& ",MTM_HSP_AIM.HSP_AIM_NM,MTM_HSP_AIM.HSP_AIM_RNM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "h.OUT_HSP_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS OUT_HSP_DT" _
	& ",h.OUT_HSP_TIME" _
	& ",h.OUT_HSP_AGE" _
	& ",h.OUT_HSP_MONTH_AGE" _
	& ",h.OUT_HSP_DAY_AGE" _
	& ",H_O_CNL.OUT_HSP_CNL_NM,H_O_CNL.OUT_HSP_CNL_RNM" _
	& ",H_OUTCOME.OUT_HSP_OUTCOME_NM,H_OUTCOME.OUT_HSP_OUTCOME_RNM" _
	& ",h.HSP_DAYS" _
	& ",MTM_HSP_FORM.HSP_FORM_NM,MTM_HSP_FORM.HSP_FORM_RNM" _
	& ",h.STATURE" _
	& ",h.WEIGHT" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "h.READMISSION_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "READMISSION_FLG_NM" _
	& ",MTM_SELF_OTHER_HSP_DIV.SELF_OTHER_HSP_DIV" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "h.LAST_OUT_HSP_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS LAST_OUT_HSP_DT" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "h.DISEASE_READMISSION_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "DISEASE_READMISSION_FLG_NM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "h.SAME_DISEASE_LAST_HSP_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS SAME_DISEASE_LAST_HSP_DT" _
	& ",h.TOTAL_MED_COST" _
	& ",h.DPC_NO" _
	& ",h.REMARKS" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "h.CHANGE_DEPT_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "CHANGE_DEPT_CHK_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "h.HOLD_DEPT_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "HOLD_DEPT_CHK_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "h.CLINICAL_TRIAL_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "CLINICAL_TRIAL_CHK_NM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "h.HSP_INFECTION_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "HSP_INFECTION_CHK_NM" _
	& ",H_FREE1.CNT_NM,H_FREE1.CNT_RNM" _
	& ",H_FREE2.CNT_NM,H_FREE2.CNT_RNM" _
	& ",H_FREE3.CNT_NM,H_FREE3.CNT_RNM" _
	& ",H_FREE4.CNT_NM,H_FREE4.CNT_RNM" _
	& ",H_FREE5.CNT_NM,H_FREE5.CNT_RNM" _
	& ",H_FREE6.CNT_NM,H_FREE6.CNT_RNM"

	'Private Const sqlColP1 As String = "" _
	'& ",p.DISEASE01" _
	'& ",p.ICD10_CD01" _
	'& ",p.DISEASE02" _
	'& ",p.ICD10_CD02" _
	'& ",p.DISEASE03" _
	'& ",p.ICD10_CD03" _
	'& ",p.DISEASE04" _
	'& ",p.ICD10_CD04" _
	'& ",p.DISEASE05" _
	'& ",p.ICD10_CD05" _
	'& ",p.DISEASE06" _
	'& ",p.ICD10_CD06" _
	'& ",p.DISEASE07" _
	'& ",p.ICD10_CD07" _
	'& ",p.DISEASE08" _
	'& ",p.ICD10_CD08" _
	'& ",p.DISEASE09" _
	'& ",p.ICD10_CD09" _
	'& ",p.DISEASE10" _
	'& ",p.ICD10_CD10" _
	'& ",p.DISEASE11" _
	'& ",p.ICD10_CD11" _
	'& ",p.DISEASE12" _
	'& ",p.ICD10_CD12" _
	'& ",p.OPE_NM01" _
	'& ",p.ICD9CM_CD01" _
	'& ",p.SCORE_CD01" _
	'& ",P_CNT1.OPE_COUNT" _
	'& ",P_PART1.OPE_PART" _
	'& ",p.OPE_DT01" _
	'& ",P_ANES1.ANESTHESIA_NM" _
	'& ",P_ANES1.ANESTHESIA_RNM" _
	'& ",p.OPE_NM02" _
	'& ",p.ICD9CM_CD02" _
	'& ",p.SCORE_CD02" _
	'& ",P_CNT2.OPE_COUNT" _
	'& ",P_PART2.OPE_PART" _
	'& ",p.OPE_DT02" _
	'& ",P_ANES2.ANESTHESIA_NM" _
	'& ",P_ANES2.ANESTHESIA_RNM" _
	'& ",p.OPE_NM03" _
	'& ",p.ICD9CM_CD03" _
	'& ",p.SCORE_CD03" _
	'& ",P_CNT3.OPE_COUNT" _
	'& ",P_PART3.OPE_PART" _
	'& ",p.OPE_DT03" _
	'& ",P_ANES3.ANESTHESIA_NM" _
	'& ",P_ANES3.ANESTHESIA_RNM" _
	'& ",p.OPE_NM04" _
	'& ",p.ICD9CM_CD04" _
	'& ",p.SCORE_CD04" _
	'& ",P_CNT4.OPE_COUNT" _
	'& ",P_PART4.OPE_PART" _
	'& ",p.OPE_DT04" _
	'& ",P_ANES4.ANESTHESIA_NM" _
	'& ",P_ANES4.ANESTHESIA_RNM" _
	'& ",p.OPE_NM05" _
	'& ",p.ICD9CM_CD05" _
	'& ",p.SCORE_CD05" _
	'& ",P_CNT5.OPE_COUNT" _
	'& ",P_PART5.OPE_PART" _
	'& ",p.OPE_DT05" _
	'& ",P_ANES5.ANESTHESIA_NM" _
	'& ",P_ANES5.ANESTHESIA_RNM"
	''' <summary>
	''' ＤＰＣ
	''' </summary>
	''' <remarks></remarks>
	Private Const sqlColP1 As String = "" _
	& ",p.DISEASE01" _
	& ",p.ICD10_CD01" _
	& ",p.DISEASE02" _
	& ",p.ICD10_CD02" _
	& ",p.DISEASE03" _
	& ",p.ICD10_CD03" _
	& ",p.DISEASE04" _
	& ",p.ICD10_CD04" _
	& ",p.DISEASE05" _
	& ",p.ICD10_CD05" _
	& ",p.DISEASE06" _
	& ",p.ICD10_CD06" _
	& ",p.DISEASE07" _
	& ",p.ICD10_CD07" _
	& ",p.DISEASE08" _
	& ",p.ICD10_CD08" _
	& ",p.DISEASE09" _
	& ",p.ICD10_CD09" _
	& ",p.DISEASE10" _
	& ",p.ICD10_CD10" _
	& ",p.DISEASE11" _
	& ",p.ICD10_CD11" _
	& ",p.DISEASE12" _
	& ",p.ICD10_CD12" _
	& ",p.OPE_NM01" _
	& ",p.ICD9CM_CD01" _
	& ",p.SCORE_CD01" _
	& ",P_CNT1.OPE_COUNT" _
	& ",P_PART1.OPE_PART" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "p.OPE_DT01" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS OPE_DT01" _
	& ",P_ANES1.ANESTHESIA_NM" _
	& ",P_ANES1.ANESTHESIA_RNM" _
	& ",p.OPE_NM02" _
	& ",p.ICD9CM_CD02" _
	& ",p.SCORE_CD02" _
	& ",P_CNT2.OPE_COUNT" _
	& ",P_PART2.OPE_PART" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "p.OPE_DT02" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS OPE_DT02" _
	& ",P_ANES2.ANESTHESIA_NM" _
	& ",P_ANES2.ANESTHESIA_RNM" _
	& ",p.OPE_NM03" _
	& ",p.ICD9CM_CD03" _
	& ",p.SCORE_CD03" _
	& ",P_CNT3.OPE_COUNT" _
	& ",P_PART3.OPE_PART" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "p.OPE_DT03" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS OPE_DT03" _
	& ",P_ANES3.ANESTHESIA_NM" _
	& ",P_ANES3.ANESTHESIA_RNM" _
	& ",p.OPE_NM04" _
	& ",p.ICD9CM_CD04" _
	& ",p.SCORE_CD04" _
	& ",P_CNT4.OPE_COUNT" _
	& ",P_PART4.OPE_PART" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "p.OPE_DT04" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS OPE_DT04" _
	& ",P_ANES4.ANESTHESIA_NM" _
	& ",P_ANES4.ANESTHESIA_RNM" _
	& ",p.OPE_NM05" _
	& ",p.ICD9CM_CD05" _
	& ",p.SCORE_CD05" _
	& ",P_CNT5.OPE_COUNT" _
	& ",P_PART5.OPE_PART" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "p.OPE_DT05" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS OPE_DT05" _
	& ",P_ANES5.ANESTHESIA_NM" _
	& ",P_ANES5.ANESTHESIA_RNM"
'(M) END V4-13006-278 000

	Private Const sqlColP2 = "" _
	& ",p.ASST001" _
	& ",p.ASST_RNM001" _
	& ",p.ASST002" _
	& ",p.ASST_RNM002" _
	& ",p.ASST003" _
	& ",p.ASST_RNM003" _
	& ",p.ASST004" _
	& ",p.ASST_RNM004" _
	& ",p.ASST005" _
	& ",p.ASST_RNM005" _
	& ",p.ASST006" _
	& ",p.ASST_RNM006" _
	& ",p.ASST007" _
	& ",p.ASST_RNM007" _
	& ",p.ASST008" _
	& ",p.ASST_RNM008" _
	& ",p.ASST009" _
	& ",p.ASST_RNM009" _
	& ",p.ASST010" _
	& ",p.ASST_RNM010" _
	& ",p.ASST011" _
	& ",p.ASST_RNM011" _
	& ",p.ASST012" _
	& ",p.ASST_RNM012" _
	& ",p.ASST013" _
	& ",p.ASST_RNM013" _
	& ",p.ASST014" _
	& ",p.ASST_RNM014" _
	& ",p.ASST015" _
	& ",p.ASST_RNM015" _
	& ",p.ASST016" _
	& ",p.ASST_RNM016" _
	& ",p.ASST017" _
	& ",p.ASST_RNM017" _
	& ",p.ASST018" _
	& ",p.ASST_RNM018" _
	& ",p.ASST019" _
	& ",p.ASST_RNM019" _
	& ",p.ASST020" _
	& ",p.ASST_RNM020" _
	& ",p.ASST021" _
	& ",p.ASST_RNM021" _
	& ",p.ASST022" _
	& ",p.ASST_RNM022" _
	& ",p.ASST023" _
	& ",p.ASST_RNM023" _
	& ",p.ASST024" _
	& ",p.ASST_RNM024" _
	& ",p.ASST025" _
	& ",p.ASST_RNM025" _
	& ",p.ASST026" _
	& ",p.ASST_RNM026" _
	& ",p.ASST027" _
	& ",p.ASST_RNM027" _
	& ",p.ASST028" _
	& ",p.ASST_RNM028" _
	& ",p.ASST029" _
	& ",p.ASST_RNM029" _
	& ",p.ASST030" _
	& ",p.ASST_RNM030" _
	& ",p.ASST031" _
	& ",p.ASST_RNM031" _
	& ",p.ASST032" _
	& ",p.ASST_RNM032" _
	& ",p.ASST033" _
	& ",p.ASST_RNM033" _
	& ",p.ASST034" _
	& ",p.ASST_RNM034" _
	& ",p.ASST035" _
	& ",p.ASST_RNM035" _
	& ",p.ASST036" _
	& ",p.ASST_RNM036" _
	& ",p.ASST037" _
	& ",p.ASST_RNM037" _
	& ",p.ASST038" _
	& ",p.ASST_RNM038" _
	& ",p.ASST039" _
	& ",p.ASST_RNM039" _
	& ",p.ASST040" _
	& ",p.ASST_RNM040" _
	& ",p.ASST041" _
	& ",p.ASST_RNM041" _
	& ",p.ASST042" _
	& ",p.ASST_RNM042" _
	& ",p.ASST043" _
	& ",p.ASST_RNM043" _
	& ",p.ASST044" _
	& ",p.ASST_RNM044" _
	& ",p.ASST045" _
	& ",p.ASST_RNM045" _
	& ",p.ASST046" _
	& ",p.ASST_RNM046" _
	& ",p.ASST047" _
	& ",p.ASST_RNM047" _
	& ",p.ASST048" _
	& ",p.ASST_RNM048" _
	& ",p.ASST049" _
	& ",p.ASST_RNM049" _
	& ",p.ASST050" _
	& ",p.ASST_RNM050" _
	& ",p.ASST051" _
	& ",p.ASST_RNM051" _
	& ",p.ASST052" _
	& ",p.ASST_RNM052" _
	& ",p.ASST053" _
	& ",p.ASST_RNM053" _
	& ",p.ASST054" _
	& ",p.ASST_RNM054" _
	& ",p.ASST055" _
	& ",p.ASST_RNM055" _
	& ",p.ASST056" _
	& ",p.ASST_RNM056" _
	& ",p.ASST057" _
	& ",p.ASST_RNM057" _
	& ",p.ASST058" _
	& ",p.ASST_RNM058" _
	& ",p.ASST059" _
	& ",p.ASST_RNM059" _
	& ",p.ASST060" _
	& ",p.ASST_RNM060" _
	& ",p.ASST061" _
	& ",p.ASST_RNM061" _
	& ",p.ASST062" _
	& ",p.ASST_RNM062" _
	& ",p.ASST063" _
	& ",p.ASST_RNM063" _
	& ",p.ASST064" _
	& ",p.ASST_RNM064" _
	& ",p.ASST065" _
	& ",p.ASST_RNM065" _
	& ",p.ASST066" _
	& ",p.ASST_RNM066" _
	& ",p.ASST067" _
	& ",p.ASST_RNM067" _
	& ",p.ASST068" _
	& ",p.ASST_RNM068" _
	& ",p.ASST069" _
	& ",p.ASST_RNM069" _
	& ",p.ASST070" _
	& ",p.ASST_RNM070" _
	& ",p.ASST071" _
	& ",p.ASST_RNM071" _
	& ",p.ASST072" _
	& ",p.ASST_RNM072" _
	& ",p.ASST073" _
	& ",p.ASST_RNM073" _
	& ",p.ASST074" _
	& ",p.ASST_RNM074" _
	& ",p.ASST075" _
	& ",p.ASST_RNM075" _
	& ",p.ASST076" _
	& ",p.ASST_RNM076" _
	& ",p.ASST077" _
	& ",p.ASST_RNM077" _
	& ",p.ASST078" _
	& ",p.ASST_RNM078" _
	& ",p.ASST079" _
	& ",p.ASST_RNM079" _
	& ",p.ASST080" _
	& ",p.ASST_RNM080" _
	& ",p.ASST081" _
	& ",p.ASST_RNM081" _
	& ",p.ASST082" _
	& ",p.ASST_RNM082" _
	& ",p.ASST083" _
	& ",p.ASST_RNM083" _
	& ",p.ASST084" _
	& ",p.ASST_RNM084" _
	& ",p.ASST085" _
	& ",p.ASST_RNM085" _
	& ",p.ASST086" _
	& ",p.ASST_RNM086" _
	& ",p.ASST087" _
	& ",p.ASST_RNM087" _
	& ",p.ASST088" _
	& ",p.ASST_RNM088" _
	& ",p.ASST089" _
	& ",p.ASST_RNM089" _
	& ",p.ASST090" _
	& ",p.ASST_RNM090" _
	& ",p.ASST091" _
	& ",p.ASST_RNM091" _
	& ",p.ASST092" _
	& ",p.ASST_RNM092" _
	& ",p.ASST093" _
	& ",p.ASST_RNM093" _
	& ",p.ASST094" _
	& ",p.ASST_RNM094" _
	& ",p.ASST095" _
	& ",p.ASST_RNM095" _
	& ",p.ASST096" _
	& ",p.ASST_RNM096" _
	& ",p.ASST097" _
	& ",p.ASST_RNM097" _
	& ",p.ASST098" _
	& ",p.ASST_RNM098" _
	& ",p.ASST099" _
	& ",p.ASST_RNM099" _
	& ",p.ASST100" _
	& ",p.ASST_RNM100"


	''' <summary>
	''' 管理物情報
	''' </summary>
	Private Const sqlColL = "" _
	& ",l.RECORD_COUNT" _
	& ",l.RECORD_RECEIPT_DT" _
	& ",L_STAF1.STAFF_NM" _
	& ",L_MNG1.MNGSTATUS_NM ,L_MNG1.MNGSTATUS1_RNM" _
	& ",L_LCT1.KEEPLCT_NM   ,L_LCT1.KEEPLCT_RNM" _
	& ",L_ARG1.ARG_STATUS_NM,L_ARG1.ARG_STATUS_RNM" _
	& ",l.SUMMARY_COUNT" _
	& ",l.SUMMARY_RECEIPT_DT" _
	& ",L_MNG2.MNGSTATUS_NM ,L_MNG2.MNGSTATUS1_RNM" _
	& ",L_LCT2.KEEPLCT_NM   ,L_LCT2.KEEPLCT_RNM" _
	& ",L_STAF2.STAFF_NM" _
	& ",l.SUMMARY_APPROVAL_DT" _
	& ",l.OTHER1_COUNT" _
	& ",l.OTHER1_RECEIPT_DT" _
	& ",L_MNG3.MNGSTATUS_NM ,L_MNG3.MNGSTATUS1_RNM" _
	& ",L_LCT3.KEEPLCT_NM   ,L_LCT3.KEEPLCT_RNM" _
	& ",l.OTHER2_COUNT" _
	& ",l.OTHER2_RECEIPT_DT" _
	& ",L_MNG4.MNGSTATUS_NM ,L_MNG4.MNGSTATUS1_RNM" _
	& ",L_LCT4.KEEPLCT_NM   ,L_LCT4.KEEPLCT_RNM" _
	& ",l.OTHER3_COUNT" _
	& ",l.OTHER3_RECEIPT_DT" _
	& ",L_MNG5.MNGSTATUS_NM ,L_MNG5.MNGSTATUS1_RNM" _
	& ",L_LCT5.KEEPLCT_NM   ,L_LCT5.KEEPLCT_RNM"

	''' <summary>
	''' 医療費情報
	''' </summary>
	Private Const sqlColM = "" _
	& ",m.MED_COST01,m.MED_COST02,m.MED_COST03,m.MED_COST04,m.MED_COST05,m.MED_COST06,m.MED_COST07,m.MED_COST08,m.MED_COST09,m.MED_COST10" _
	& ",m.MED_COST11,m.MED_COST12,m.MED_COST13,m.MED_COST14,m.MED_COST15,m.MED_COST16,m.MED_COST17,m.MED_COST18,m.MED_COST19,m.MED_COST20" _
	& ",m.MED_COST21,m.MED_COST22,m.MED_COST23,m.MED_COST24,m.MED_COST25,m.MED_COST26,m.MED_COST27,m.MED_COST28,m.MED_COST29,m.MED_COST30" _
	& ",m.MED_COST31,m.MED_COST32,m.MED_COST33,m.MED_COST34,m.MED_COST35,m.MED_COST36,m.MED_COST37,m.MED_COST38,m.MED_COST39,m.MED_COST40" _
	& ",m.MED_COST41,m.MED_COST42,m.MED_COST43,m.MED_COST44,m.MED_COST45"
#End Region

#Region "FROM句"

	''' <summary>
	''' From句(トラン)
	''' </summary>
	Private Const sqlTblTarn = "" _
	& " INNER JOIN MTI_HSP       AS h       ON w.PATIENT_NO         = h.PATIENT_NO" _
	& "                                    AND w.HSP_HISTORY_NO     = h.HSP_HISTORY_NO" _
	& "  LEFT JOIN XTI_BASICINFO AS b       ON w.PATIENT_NO         = b.PATIENT_NO" _
	& "  LEFT JOIN MTI_DEATH     AS d       ON w.PATIENT_NO         = d.PATIENT_NO" _
	& "  LEFT JOIN MTI_CH        AS bc      ON w.PATIENT_NO         = bc.PATIENT_NO" _
	& "                                    AND w.NEW_HSP_NO         = bc.HSP_HISTORY_NO" _
	& "                                    AND w.NEW_CH_NO          = bc.CH_NO" _
	& "  LEFT JOIN MTW_SEARCH_DPC		 AS p		ON w.PATIENT_NO         = p.PATIENT_NO" _
	& "                                    AND w.HSP_HISTORY_NO     = p.HSP_HISTORY_NO" _
	& "  LEFT JOIN (" & sqlSubLI & ") AS  l ON w.PATIENT_NO         = l.PATIENT_NO" _
	& "                                    AND w.HSP_HISTORY_NO     = l.HSP_HISTORY_NO" _
	& "  LEFT JOIN {0}				  AS  m ON w.PATIENT_NO         = m.PATIENT_NO" _
	& "                                    AND w.HSP_HISTORY_NO     = m.HSP_HISTORY_NO" _
	& "                                    AND 0					= m.CH_NO"

'(M) STR V4-13006-000 116 20130212 ID)荒川 管理№228 1900年より前の発症日/診断日でExcel出力すると例外エラーが発生する
	'Private Const sqlSubLI = "" _
	'& "SELECT" _
	'& " r.PATIENT_NO" _
	'& ",r.HSP_HISTORY_NO" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_M & sqlCASE_UNIT_C & "RECORD_COUNT         " & sqlCASE_UNIT_H & "RECORD_COUNT         " & sqlCASE_UNIT_B & "RECORD_COUNT         " & sqlCASE_UNIT_E & "RECORD_COUNT" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_M & sqlCASE_UNIT_C & "RECORD_RECEIPT_DT    " & sqlCASE_UNIT_H & "RECORD_RECEIPT_DT    " & sqlCASE_UNIT_B & "RECORD_RECEIPT_DT    " & sqlCASE_UNIT_E & "RECORD_RECEIPT_DT" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_M & sqlCASE_UNIT_C & "RECORD_RECIPIENT_CD  " & sqlCASE_UNIT_H & "RECORD_RECIPIENT_CD  " & sqlCASE_UNIT_B & "RECORD_RECIPIENT_CD  " & sqlCASE_UNIT_E & "RECORD_RECIPIENT_CD" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_M & sqlCASE_UNIT_C & "RECORD_KEEPLCT_CD    " & sqlCASE_UNIT_H & "RECORD_KEEPLCT_CD    " & sqlCASE_UNIT_B & "RECORD_KEEPLCT_CD    " & sqlCASE_UNIT_E & "RECORD_KEEPLCT_CD" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_M & sqlCASE_UNIT_C & "RECORD_ARG_STATUS_CD " & sqlCASE_UNIT_H & "RECORD_ARG_STATUS_CD " & sqlCASE_UNIT_B & "RECORD_ARG_STATUS_CD " & sqlCASE_UNIT_E & "RECORD_ARG_STATUS_CD" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_M & sqlCASE_UNIT_C & "RECORD_MNGSTATUS_CD  " & sqlCASE_UNIT_H & "RECORD_MNGSTATUS_CD  " & sqlCASE_UNIT_B & "RECORD_MNGSTATUS_CD  " & sqlCASE_UNIT_E & "RECORD_MNGSTATUS_CD" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_S & sqlCASE_UNIT_C & "SUMMARY_COUNT        " & sqlCASE_UNIT_H & "SUMMARY_COUNT        " & sqlCASE_UNIT_B & "SUMMARY_COUNT        " & sqlCASE_UNIT_E & "SUMMARY_COUNT" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_S & sqlCASE_UNIT_C & "SUMMARY_RECEIPT_DT   " & sqlCASE_UNIT_H & "SUMMARY_RECEIPT_DT   " & sqlCASE_UNIT_B & "SUMMARY_RECEIPT_DT   " & sqlCASE_UNIT_E & "SUMMARY_RECEIPT_DT" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_S & sqlCASE_UNIT_C & "SUMMARY_KEEPLCT_CD   " & sqlCASE_UNIT_H & "SUMMARY_KEEPLCT_CD   " & sqlCASE_UNIT_B & "SUMMARY_KEEPLCT_CD   " & sqlCASE_UNIT_E & "SUMMARY_KEEPLCT_CD" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_S & sqlCASE_UNIT_C & "SUMMARY_MAKER_CD     " & sqlCASE_UNIT_H & "SUMMARY_MAKER_CD     " & sqlCASE_UNIT_B & "SUMMARY_MAKER_CD     " & sqlCASE_UNIT_E & "SUMMARY_MAKER_CD" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_S & sqlCASE_UNIT_C & "SUMMARY_MNGSTATUS_CD " & sqlCASE_UNIT_H & "SUMMARY_MNGSTATUS_CD " & sqlCASE_UNIT_B & "SUMMARY_MNGSTATUS_CD " & sqlCASE_UNIT_E & "SUMMARY_MNGSTATUS_CD" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_S & sqlCASE_UNIT_C & "SUMMARY_APPROVAL_DT  " & sqlCASE_UNIT_H & "SUMMARY_APPROVAL_DT  " & sqlCASE_UNIT_B & "SUMMARY_APPROVAL_DT  " & sqlCASE_UNIT_E & "SUMMARY_APPROVAL_DT" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_1 & sqlCASE_UNIT_C & "OTHER1_COUNT         " & sqlCASE_UNIT_H & "OTHER1_COUNT         " & sqlCASE_UNIT_B & "OTHER1_COUNT         " & sqlCASE_UNIT_E & "OTHER1_COUNT" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_1 & sqlCASE_UNIT_C & "OTHER1_RECEIPT_DT    " & sqlCASE_UNIT_H & "OTHER1_RECEIPT_DT    " & sqlCASE_UNIT_B & "OTHER1_RECEIPT_DT    " & sqlCASE_UNIT_E & "OTHER1_RECEIPT_DT" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_1 & sqlCASE_UNIT_C & "OTHER1_KEEPLCT_CD    " & sqlCASE_UNIT_H & "OTHER1_KEEPLCT_CD    " & sqlCASE_UNIT_B & "OTHER1_KEEPLCT_CD    " & sqlCASE_UNIT_E & "OTHER1_KEEPLCT_CD" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_1 & sqlCASE_UNIT_C & "OTHER1_MNGSTATUS_CD  " & sqlCASE_UNIT_H & "OTHER1_MNGSTATUS_CD  " & sqlCASE_UNIT_B & "OTHER1_MNGSTATUS_CD  " & sqlCASE_UNIT_E & "OTHER1_MNGSTATUS_CD" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_2 & sqlCASE_UNIT_C & "OTHER2_COUNT         " & sqlCASE_UNIT_H & "OTHER2_COUNT         " & sqlCASE_UNIT_B & "OTHER2_COUNT         " & sqlCASE_UNIT_E & "OTHER2_COUNT" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_2 & sqlCASE_UNIT_C & "OTHER2_RECEIPT_DT    " & sqlCASE_UNIT_H & "OTHER2_RECEIPT_DT    " & sqlCASE_UNIT_B & "OTHER2_RECEIPT_DT    " & sqlCASE_UNIT_E & "OTHER2_RECEIPT_DT" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_2 & sqlCASE_UNIT_C & "OTHER2_KEEPLCT_CD    " & sqlCASE_UNIT_H & "OTHER2_KEEPLCT_CD    " & sqlCASE_UNIT_B & "OTHER2_KEEPLCT_CD    " & sqlCASE_UNIT_E & "OTHER2_KEEPLCT_CD" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_2 & sqlCASE_UNIT_C & "OTHER2_MNGSTATUS_CD  " & sqlCASE_UNIT_H & "OTHER2_MNGSTATUS_CD  " & sqlCASE_UNIT_B & "OTHER2_MNGSTATUS_CD  " & sqlCASE_UNIT_E & "OTHER2_MNGSTATUS_CD" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_3 & sqlCASE_UNIT_C & "OTHER3_COUNT         " & sqlCASE_UNIT_H & "OTHER3_COUNT         " & sqlCASE_UNIT_B & "OTHER3_COUNT         " & sqlCASE_UNIT_E & "OTHER3_COUNT" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_3 & sqlCASE_UNIT_C & "OTHER3_RECEIPT_DT    " & sqlCASE_UNIT_H & "OTHER3_RECEIPT_DT    " & sqlCASE_UNIT_B & "OTHER3_RECEIPT_DT    " & sqlCASE_UNIT_E & "OTHER3_RECEIPT_DT" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_3 & sqlCASE_UNIT_C & "OTHER3_KEEPLCT_CD    " & sqlCASE_UNIT_H & "OTHER3_KEEPLCT_CD    " & sqlCASE_UNIT_B & "OTHER3_KEEPLCT_CD    " & sqlCASE_UNIT_E & "OTHER3_KEEPLCT_CD" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_3 & sqlCASE_UNIT_C & "OTHER3_MNGSTATUS_CD  " & sqlCASE_UNIT_H & "OTHER3_MNGSTATUS_CD  " & sqlCASE_UNIT_B & "OTHER3_MNGSTATUS_CD  " & sqlCASE_UNIT_E & "OTHER3_MNGSTATUS_CD" _
	'& " FROM MTW_SEARCH_WORK   AS r" _
	'& "  LEFT JOIN MTI_LENDITM  AS ih	 ON r.PATIENT_NO		    = ih.PATIENT_NO" _
	'& "									AND r.HSP_HISTORY_NO	    = ih.HSP_HISTORY_NO" _
	'& "									AND 0					    = ih.CH_NO" _
	'& "  LEFT JOIN MTI_LENDITM	AS ib	 ON r.PATIENT_NO		    = ib.PATIENT_NO" _
	'& "									AND 0					    = ib.HSP_HISTORY_NO" _
	'& "									AND 0					    = ib.CH_NO" _
	'& "  LEFT JOIN MTI_CH                ON r.PATIENT_NO		    = MTI_CH.PATIENT_NO" _
	'& "									AND r.HSP_HISTORY_NO	    = MTI_CH.HSP_HISTORY_NO" _
	'& "									AND " & sqlMRPCOMMON.prmFLG_CD_ON & " = MTI_CH.MAIN_DPM_FLG" _
	'& "  LEFT JOIN MTI_LENDITM  AS ic    ON MTI_CH.PATIENT_NO		= ic.PATIENT_NO" _
	'& "									AND MTI_CH.HSP_HISTORY_NO	= ic.HSP_HISTORY_NO" _
	'& "									AND MTI_CH.CH_NO            = ic.CH_NO" _
	'& " WHERE r.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM
	''' <summary>
	''' 管理物
	''' </summary>
	Private Const sqlSubLI = "" _
	& "SELECT" _
	& " r.PATIENT_NO" _
	& ",r.HSP_HISTORY_NO" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_M & sqlCASE_UNIT_C & "ic.RECORD_COUNT         " & sqlCASE_UNIT_H & "ih.RECORD_COUNT         " & sqlCASE_UNIT_B & "ib.RECORD_COUNT         " & sqlCASE_UNIT_E & "RECORD_COUNT" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_M & sqlCASE_UNIT_C & sqlMRPCOMMON.CST_CNV_EXCEL_ST _
	& "ic.RECORD_RECEIPT_DT    " & sqlMRPCOMMON.CST_CNV_EXCEL_ED & sqlCASE_UNIT_H & sqlMRPCOMMON.CST_CNV_EXCEL_ST _
	& "ih.RECORD_RECEIPT_DT    " & sqlMRPCOMMON.CST_CNV_EXCEL_ED & sqlCASE_UNIT_B & sqlMRPCOMMON.CST_CNV_EXCEL_ST _
	& "ib.RECORD_RECEIPT_DT    " & sqlMRPCOMMON.CST_CNV_EXCEL_ED & sqlCASE_UNIT_E & "RECORD_RECEIPT_DT" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_M & sqlCASE_UNIT_C & "ic.RECORD_RECIPIENT_CD  " & sqlCASE_UNIT_H & "ih.RECORD_RECIPIENT_CD  " & sqlCASE_UNIT_B & "ib.RECORD_RECIPIENT_CD  " & sqlCASE_UNIT_E & "RECORD_RECIPIENT_CD" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_M & sqlCASE_UNIT_C & "ic.RECORD_KEEPLCT_CD    " & sqlCASE_UNIT_H & "ih.RECORD_KEEPLCT_CD    " & sqlCASE_UNIT_B & "ib.RECORD_KEEPLCT_CD    " & sqlCASE_UNIT_E & "RECORD_KEEPLCT_CD" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_M & sqlCASE_UNIT_C & "ic.RECORD_ARG_STATUS_CD " & sqlCASE_UNIT_H & "ih.RECORD_ARG_STATUS_CD " & sqlCASE_UNIT_B & "ib.RECORD_ARG_STATUS_CD " & sqlCASE_UNIT_E & "RECORD_ARG_STATUS_CD" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_M & sqlCASE_UNIT_C & "ic.RECORD_MNGSTATUS_CD  " & sqlCASE_UNIT_H & "ih.RECORD_MNGSTATUS_CD  " & sqlCASE_UNIT_B & "ib.RECORD_MNGSTATUS_CD  " & sqlCASE_UNIT_E & "RECORD_MNGSTATUS_CD" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_S & sqlCASE_UNIT_C & "ic.SUMMARY_COUNT        " & sqlCASE_UNIT_H & "ih.SUMMARY_COUNT        " & sqlCASE_UNIT_B & "ib.SUMMARY_COUNT        " & sqlCASE_UNIT_E & "SUMMARY_COUNT" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_S & sqlCASE_UNIT_C & sqlMRPCOMMON.CST_CNV_EXCEL_ST _
	& "ic.SUMMARY_RECEIPT_DT   " & sqlMRPCOMMON.CST_CNV_EXCEL_ED & sqlCASE_UNIT_H & sqlMRPCOMMON.CST_CNV_EXCEL_ST _
	& "ih.SUMMARY_RECEIPT_DT   " & sqlMRPCOMMON.CST_CNV_EXCEL_ED & sqlCASE_UNIT_B & sqlMRPCOMMON.CST_CNV_EXCEL_ST _
	& "ib.SUMMARY_RECEIPT_DT   " & sqlMRPCOMMON.CST_CNV_EXCEL_ED & sqlCASE_UNIT_E & "SUMMARY_RECEIPT_DT" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_S & sqlCASE_UNIT_C & "ic.SUMMARY_KEEPLCT_CD   " & sqlCASE_UNIT_H & "ih.SUMMARY_KEEPLCT_CD   " & sqlCASE_UNIT_B & "ib.SUMMARY_KEEPLCT_CD   " & sqlCASE_UNIT_E & "SUMMARY_KEEPLCT_CD" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_S & sqlCASE_UNIT_C & "ic.SUMMARY_MAKER_CD     " & sqlCASE_UNIT_H & "ih.SUMMARY_MAKER_CD     " & sqlCASE_UNIT_B & "ib.SUMMARY_MAKER_CD     " & sqlCASE_UNIT_E & "SUMMARY_MAKER_CD" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_S & sqlCASE_UNIT_C & "ic.SUMMARY_MNGSTATUS_CD " & sqlCASE_UNIT_H & "ih.SUMMARY_MNGSTATUS_CD " & sqlCASE_UNIT_B & "ib.SUMMARY_MNGSTATUS_CD " & sqlCASE_UNIT_E & "SUMMARY_MNGSTATUS_CD" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_S & sqlCASE_UNIT_C & sqlMRPCOMMON.CST_CNV_EXCEL_ST _
	& "ic.SUMMARY_APPROVAL_DT  " & sqlMRPCOMMON.CST_CNV_EXCEL_ED & sqlCASE_UNIT_H & sqlMRPCOMMON.CST_CNV_EXCEL_ST _
	& "ih.SUMMARY_APPROVAL_DT  " & sqlMRPCOMMON.CST_CNV_EXCEL_ED & sqlCASE_UNIT_B & sqlMRPCOMMON.CST_CNV_EXCEL_ST _
	& "ib.SUMMARY_APPROVAL_DT  " & sqlMRPCOMMON.CST_CNV_EXCEL_ED & sqlCASE_UNIT_E & "SUMMARY_APPROVAL_DT" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_1 & sqlCASE_UNIT_C & "ic.OTHER1_COUNT         " & sqlCASE_UNIT_H & "ih.OTHER1_COUNT         " & sqlCASE_UNIT_B & "ib.OTHER1_COUNT         " & sqlCASE_UNIT_E & "OTHER1_COUNT" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_1 & sqlCASE_UNIT_C & sqlMRPCOMMON.CST_CNV_EXCEL_ST _
	& "ic.OTHER1_RECEIPT_DT    " & sqlMRPCOMMON.CST_CNV_EXCEL_ED & sqlCASE_UNIT_H & sqlMRPCOMMON.CST_CNV_EXCEL_ST _
	& "ih.OTHER1_RECEIPT_DT    " & sqlMRPCOMMON.CST_CNV_EXCEL_ED & sqlCASE_UNIT_B & sqlMRPCOMMON.CST_CNV_EXCEL_ST _
	& "ib.OTHER1_RECEIPT_DT    " & sqlMRPCOMMON.CST_CNV_EXCEL_ED & sqlCASE_UNIT_E & "OTHER1_RECEIPT_DT" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_1 & sqlCASE_UNIT_C & "ic.OTHER1_KEEPLCT_CD    " & sqlCASE_UNIT_H & "ih.OTHER1_KEEPLCT_CD    " & sqlCASE_UNIT_B & "ib.OTHER1_KEEPLCT_CD    " & sqlCASE_UNIT_E & "OTHER1_KEEPLCT_CD" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_1 & sqlCASE_UNIT_C & "ic.OTHER1_MNGSTATUS_CD  " & sqlCASE_UNIT_H & "ih.OTHER1_MNGSTATUS_CD  " & sqlCASE_UNIT_B & "ib.OTHER1_MNGSTATUS_CD  " & sqlCASE_UNIT_E & "OTHER1_MNGSTATUS_CD" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_2 & sqlCASE_UNIT_C & "ic.OTHER2_COUNT         " & sqlCASE_UNIT_H & "ih.OTHER2_COUNT         " & sqlCASE_UNIT_B & "ib.OTHER2_COUNT         " & sqlCASE_UNIT_E & "OTHER2_COUNT" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_2 & sqlCASE_UNIT_C & sqlMRPCOMMON.CST_CNV_EXCEL_ST _
	& "ic.OTHER2_RECEIPT_DT    " & sqlMRPCOMMON.CST_CNV_EXCEL_ED & sqlCASE_UNIT_H & sqlMRPCOMMON.CST_CNV_EXCEL_ST _
	& "ih.OTHER2_RECEIPT_DT    " & sqlMRPCOMMON.CST_CNV_EXCEL_ED & sqlCASE_UNIT_B & sqlMRPCOMMON.CST_CNV_EXCEL_ST _
	& "ib.OTHER2_RECEIPT_DT    " & sqlMRPCOMMON.CST_CNV_EXCEL_ED & sqlCASE_UNIT_E & "OTHER2_RECEIPT_DT" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_2 & sqlCASE_UNIT_C & "ic.OTHER2_KEEPLCT_CD    " & sqlCASE_UNIT_H & "ih.OTHER2_KEEPLCT_CD    " & sqlCASE_UNIT_B & "ib.OTHER2_KEEPLCT_CD    " & sqlCASE_UNIT_E & "OTHER2_KEEPLCT_CD" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_2 & sqlCASE_UNIT_C & "ic.OTHER2_MNGSTATUS_CD  " & sqlCASE_UNIT_H & "ih.OTHER2_MNGSTATUS_CD  " & sqlCASE_UNIT_B & "ib.OTHER2_MNGSTATUS_CD  " & sqlCASE_UNIT_E & "OTHER2_MNGSTATUS_CD" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_3 & sqlCASE_UNIT_C & "ic.OTHER3_COUNT         " & sqlCASE_UNIT_H & "ih.OTHER3_COUNT         " & sqlCASE_UNIT_B & "ib.OTHER3_COUNT         " & sqlCASE_UNIT_E & "OTHER3_COUNT" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_3 & sqlCASE_UNIT_C & sqlMRPCOMMON.CST_CNV_EXCEL_ST _
	& "ic.OTHER3_RECEIPT_DT    " & sqlMRPCOMMON.CST_CNV_EXCEL_ED & sqlCASE_UNIT_H & sqlMRPCOMMON.CST_CNV_EXCEL_ST _
	& "ih.OTHER3_RECEIPT_DT    " & sqlMRPCOMMON.CST_CNV_EXCEL_ED & sqlCASE_UNIT_B & sqlMRPCOMMON.CST_CNV_EXCEL_ST _
	& "ib.OTHER3_RECEIPT_DT    " & sqlMRPCOMMON.CST_CNV_EXCEL_ED & sqlCASE_UNIT_E & "OTHER3_RECEIPT_DT" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_3 & sqlCASE_UNIT_C & "ic.OTHER3_KEEPLCT_CD    " & sqlCASE_UNIT_H & "ih.OTHER3_KEEPLCT_CD    " & sqlCASE_UNIT_B & "ib.OTHER3_KEEPLCT_CD    " & sqlCASE_UNIT_E & "OTHER3_KEEPLCT_CD" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_3 & sqlCASE_UNIT_C & "ic.OTHER3_MNGSTATUS_CD  " & sqlCASE_UNIT_H & "ih.OTHER3_MNGSTATUS_CD  " & sqlCASE_UNIT_B & "ib.OTHER3_MNGSTATUS_CD  " & sqlCASE_UNIT_E & "OTHER3_MNGSTATUS_CD" _
	& " FROM MTW_SEARCH_WORK   AS r" _
	& "  LEFT JOIN MTI_LENDITM  AS ih	 ON r.PATIENT_NO		    = ih.PATIENT_NO" _
	& "									AND r.HSP_HISTORY_NO	    = ih.HSP_HISTORY_NO" _
	& "									AND 0					    = ih.CH_NO" _
	& "  LEFT JOIN MTI_LENDITM	AS ib	 ON r.PATIENT_NO		    = ib.PATIENT_NO" _
	& "									AND 0					    = ib.HSP_HISTORY_NO" _
	& "									AND 0					    = ib.CH_NO" _
	& "  LEFT JOIN MTI_CH                ON r.PATIENT_NO		    = MTI_CH.PATIENT_NO" _
	& "									AND r.HSP_HISTORY_NO	    = MTI_CH.HSP_HISTORY_NO" _
	& "									AND " & sqlMRPCOMMON.prmFLG_CD_ON & " = MTI_CH.MAIN_DPM_FLG" _
	& "  LEFT JOIN MTI_LENDITM  AS ic    ON MTI_CH.PATIENT_NO		= ic.PATIENT_NO" _
	& "									AND MTI_CH.HSP_HISTORY_NO	= ic.HSP_HISTORY_NO" _
	& "									AND MTI_CH.CH_NO            = ic.CH_NO" _
	& " WHERE r.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM

	Private Const sqlCASE_UNIT_S As String = ",CASE "
	'Private Const sqlCASE_UNIT_C As String = " WHEN " & sqlMRPCOMMON.prmLENDUNIT_VALC & " THEN ic."
	'Private Const sqlCASE_UNIT_H As String = " WHEN " & sqlMRPCOMMON.prmLENDUNIT_VALH & " THEN ih."
	'Private Const sqlCASE_UNIT_B As String = " WHEN " & sqlMRPCOMMON.prmLENDUNIT_VALB & " THEN ib."
	Private Const sqlCASE_UNIT_C As String = " WHEN " & sqlMRPCOMMON.prmLENDUNIT_VALC & " THEN "
	Private Const sqlCASE_UNIT_H As String = " WHEN " & sqlMRPCOMMON.prmLENDUNIT_VALH & " THEN "
	Private Const sqlCASE_UNIT_B As String = " WHEN " & sqlMRPCOMMON.prmLENDUNIT_VALB & " THEN "
	Private Const sqlCASE_UNIT_E As String = " ELSE NULL END AS "
'(M) END V4-13006-116 000

	''' <summary>
	''' 医療費情報
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlTbl_MED_COST_H As String = "MTI_MED_COST"					'上記SQLの{0}に追加

	Public Const sqlTbl_MED_COST_C As String = "(" _
	& "SELECT" _
	& "	n.PATIENT_NO" _
	& ",n.HSP_HISTORY_NO" _
	& ",0 AS CH_NO" _
	& ",SUM(n.MED_COST01) AS MED_COST01,SUM(n.MED_COST02) AS MED_COST02,SUM(n.MED_COST03) AS MED_COST03,SUM(n.MED_COST04) AS MED_COST04,SUM(n.MED_COST05) AS MED_COST05" _
	& ",SUM(n.MED_COST06) AS MED_COST06,SUM(n.MED_COST07) AS MED_COST07,SUM(n.MED_COST08) AS MED_COST08,SUM(n.MED_COST09) AS MED_COST09,SUM(n.MED_COST10) AS MED_COST10" _
	& ",SUM(n.MED_COST11) AS MED_COST11,SUM(n.MED_COST12) AS MED_COST12,SUM(n.MED_COST13) AS MED_COST13,SUM(n.MED_COST14) AS MED_COST14,SUM(n.MED_COST15) AS MED_COST15" _
	& ",SUM(n.MED_COST16) AS MED_COST16,SUM(n.MED_COST17) AS MED_COST17,SUM(n.MED_COST18) AS MED_COST18,SUM(n.MED_COST19) AS MED_COST19,SUM(n.MED_COST20) AS MED_COST20" _
	& ",SUM(n.MED_COST21) AS MED_COST21,SUM(n.MED_COST22) AS MED_COST22,SUM(n.MED_COST23) AS MED_COST23,SUM(n.MED_COST24) AS MED_COST24,SUM(n.MED_COST25) AS MED_COST25" _
	& ",SUM(n.MED_COST26) AS MED_COST26,SUM(n.MED_COST27) AS MED_COST27,SUM(n.MED_COST28) AS MED_COST28,SUM(n.MED_COST29) AS MED_COST29,SUM(n.MED_COST30) AS MED_COST30" _
	& ",SUM(n.MED_COST31) AS MED_COST31,SUM(n.MED_COST32) AS MED_COST32,SUM(n.MED_COST33) AS MED_COST33,SUM(n.MED_COST34) AS MED_COST34,SUM(n.MED_COST35) AS MED_COST35" _
	& ",SUM(n.MED_COST36) AS MED_COST36,SUM(n.MED_COST37) AS MED_COST37,SUM(n.MED_COST38) AS MED_COST38,SUM(n.MED_COST39) AS MED_COST39,SUM(n.MED_COST40) AS MED_COST40" _
	& ",SUM(n.MED_COST41) AS MED_COST41,SUM(n.MED_COST42) AS MED_COST42,SUM(n.MED_COST43) AS MED_COST43,SUM(n.MED_COST44) AS MED_COST44,SUM(n.MED_COST45) AS MED_COST45" _
	& "  FROM MTW_SEARCH_WORK   AS r" _
	& " INNER JOIN MTI_MED_COST	AS n	 ON r.PATIENT_NO		    = n.PATIENT_NO" _
	& "									AND r.HSP_HISTORY_NO		= n.HSP_HISTORY_NO" _
	& " WHERE r.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM _
	& " GROUP BY" _
	& "	n.PATIENT_NO" _
	& ",n.HSP_HISTORY_NO" _
	& ")"

	''' <summary>
	''' 基本 マスタ
	''' </summary>
	Private Const sqlTblB = "" _
	& "  LEFT JOIN XTM_GENDER               ON b.GENDER_CD           = XTM_GENDER.GENDER_CD" _
	& "  LEFT JOIN MTM_BLOODTYPE            ON b.BLOODTYPE_CD        = MTM_BLOODTYPE.BLOODTYPE_CD" _
	& "  LEFT JOIN MTM_RH                   ON b.RH_CD               = MTM_RH.RH_CD" _
	& "  LEFT JOIN MTM_AREA AS BC_AREA      ON bc.AREA_CD            = BC_AREA.AREA_CD"

	''' <summary>
	''' 死亡　マスタ
	''' </summary>
	Private Const sqlTblD = "" _
	& "  LEFT JOIN MTM_DEATH_LCT            ON d.DEATH_LCT_CD        = MTM_DEATH_LCT.DEATH_LCT_CD" _
	& "  LEFT JOIN MTM_DEATH_DIV            ON d.DEATH_DIV           = MTM_DEATH_DIV.DEATH_DIV_CD" _
	& "  LEFT JOIN MTM_AFTER_OPE_DEATH_DIV  ON d.AFTER_OPE_DEATH_DIV = MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_CD"

	''' <summary>
	''' 入退院　マスタ
	''' </summary>
	Private Const sqlTblH As String = "" _
	& "  LEFT JOIN MTM_DEPT             AS H_DEPT    ON h.DEPT_CD             = H_DEPT.DEPT_CD" _
	& "  LEFT JOIN MTM_WARD             AS H_WARD    ON h.WARD_CD			  = H_WARD.WARD_CD" _
	& "  LEFT JOIN XTM_STAFF            AS H_STAFF   ON h.DOCTOR_CD			  = H_STAFF.STAFF_CD" _
	& "  LEFT JOIN MTM_HSP_CNL          AS H_CNL     ON h.HSP_CNL_CD          = H_CNL.HSP_CNL_CD" _
	& "  LEFT JOIN MTM_PLAN_EMERGENCY                ON h.PLAN_EMERGENCY_CD   = MTM_PLAN_EMERGENCY.PLAN_EMERGENCY_CD" _
	& "  LEFT JOIN MTM_HSP_AIM                       ON h.HSP_AIM_CD          = MTM_HSP_AIM.HSP_AIM_CD" _
	& "  LEFT JOIN MTM_OUT_HSP_CNL      AS H_O_CNL   ON h.OUT_HSP_CNL_CD      = H_O_CNL.OUT_HSP_CNL_CD" _
	& "  LEFT JOIN MTM_OUT_HSP_OUTCOME  AS H_OUTCOME ON h.OUT_HSP_OUTCOME_CD  = H_OUTCOME.OUT_HSP_OUTCOME_CD" _
	& "  LEFT JOIN MTM_SELF_OTHER_HSP_DIV            ON h.LAST_SELF_OTHER_HSP_DIV = MTM_SELF_OTHER_HSP_DIV.SELF_OTHER_HSP_DIV_CD" _
	& "  LEFT JOIN MTM_HSP_FORM			             ON h.HSP_FORM_CD		  = MTM_HSP_FORM.HSP_FORM_CD" _
	& "  LEFT JOIN MTM_HSP_ITM_CNT      AS H_FREE1	 ON '001' = H_FREE1.ITEM_CD AND h.HSP_FREEITEM1 = H_FREE1.CNT_CD" _
	& "  LEFT JOIN MTM_HSP_ITM_CNT      AS H_FREE2	 ON '002' = H_FREE2.ITEM_CD AND h.HSP_FREEITEM2 = H_FREE2.CNT_CD" _
	& "  LEFT JOIN MTM_HSP_ITM_CNT      AS H_FREE3	 ON '003' = H_FREE3.ITEM_CD AND h.HSP_FREEITEM3 = H_FREE3.CNT_CD" _
	& "  LEFT JOIN MTM_HSP_ITM_CNT      AS H_FREE4	 ON '004' = H_FREE4.ITEM_CD AND h.HSP_FREEITEM4 = H_FREE4.CNT_CD" _
	& "  LEFT JOIN MTM_HSP_ITM_CNT      AS H_FREE5	 ON '005' = H_FREE5.ITEM_CD AND h.HSP_FREEITEM5 = H_FREE5.CNT_CD" _
	& "  LEFT JOIN MTM_HSP_ITM_CNT      AS H_FREE6	 ON '006' = H_FREE6.ITEM_CD AND h.HSP_FREEITEM6 = H_FREE6.CNT_CD"

	''' <summary>
	''' ＤＰＣ　マスタ
	''' </summary>
	Private Const sqlTBLP = "" _
	& "  LEFT JOIN MTM_ANESTHESIA		AS P_ANES1	 ON p.ANESTHESIA_CD01 = P_ANES1.ANESTHESIA_CD" _
	& "  LEFT JOIN MTM_OPE_CNT			AS P_CNT1	 ON p.OPE_COUNT_CD01  = P_CNT1.OPE_COUNT_CD" _
	& "  LEFT JOIN MTM_OPE_PART_CNT		AS P_PART1	 ON p.OPE_PART_CD01   = P_PART1.OPE_PART_CD" _
	& "  LEFT JOIN MTM_ANESTHESIA		AS P_ANES2	 ON p.ANESTHESIA_CD02 = P_ANES2.ANESTHESIA_CD" _
	& "  LEFT JOIN MTM_OPE_CNT			AS P_CNT2	 ON p.OPE_COUNT_CD02  = P_CNT2.OPE_COUNT_CD" _
	& "  LEFT JOIN MTM_OPE_PART_CNT		AS P_PART2	 ON p.OPE_PART_CD02   = P_PART2.OPE_PART_CD" _
	& "  LEFT JOIN MTM_ANESTHESIA		AS P_ANES3	 ON p.ANESTHESIA_CD03 = P_ANES3.ANESTHESIA_CD" _
	& "  LEFT JOIN MTM_OPE_CNT			AS P_CNT3	 ON p.OPE_COUNT_CD03  = P_CNT3.OPE_COUNT_CD" _
	& "  LEFT JOIN MTM_OPE_PART_CNT		AS P_PART3	 ON p.OPE_PART_CD03   = P_PART3.OPE_PART_CD" _
	& "  LEFT JOIN MTM_ANESTHESIA		AS P_ANES4	 ON p.ANESTHESIA_CD04 = P_ANES4.ANESTHESIA_CD" _
	& "  LEFT JOIN MTM_OPE_CNT			AS P_CNT4	 ON p.OPE_COUNT_CD04  = P_CNT4.OPE_COUNT_CD" _
	& "  LEFT JOIN MTM_OPE_PART_CNT		AS P_PART4	 ON p.OPE_PART_CD04   = P_PART4.OPE_PART_CD" _
	& "  LEFT JOIN MTM_ANESTHESIA		AS P_ANES5	 ON p.ANESTHESIA_CD05 = P_ANES5.ANESTHESIA_CD" _
	& "  LEFT JOIN MTM_OPE_CNT			AS P_CNT5	 ON p.OPE_COUNT_CD05  = P_CNT5.OPE_COUNT_CD" _
	& "  LEFT JOIN MTM_OPE_PART_CNT		AS P_PART5	 ON p.OPE_PART_CD05   = P_PART5.OPE_PART_CD"

	''' <summary>
	''' 管理物情報　マスタ
	''' </summary>
	Private Const sqlTblL = "" _
	& " LEFT JOIN XTM_STAFF				  AS L_STAF1 ON l.RECORD_RECIPIENT_CD  = L_STAF1.STAFF_CD" _
	& " LEFT JOIN XTM_STAFF				  AS L_STAF2 ON l.SUMMARY_MAKER_CD     = L_STAF2.STAFF_CD" _
	& " LEFT JOIN MTM_LENDITEM_MNGSTATUS  AS L_MNG1	 ON " & sqlMRPCOMMON.prmLENDITEM_M & " = L_MNG1.LENDITEM_CD AND l.RECORD_MNGSTATUS_CD  = L_MNG1.MNGSTATUS_CD" _
	& " LEFT JOIN MTM_LENDITEM_KEEPLCT	  AS L_LCT1	 ON " & sqlMRPCOMMON.prmLENDITEM_M & " = L_LCT1.LENDITEM_CD AND l.RECORD_KEEPLCT_CD	   = L_LCT1.KEEPLCT_CD" _
	& " LEFT JOIN MTM_LENDITEM_ARG_STATUS AS L_ARG1	 ON " & sqlMRPCOMMON.prmLENDITEM_M & " = L_ARG1.LENDITEM_CD AND l.RECORD_ARG_STATUS_CD = L_ARG1.ARG_STATUS_CD" _
	& " LEFT JOIN MTM_LENDITEM_MNGSTATUS  AS L_MNG2	 ON " & sqlMRPCOMMON.prmLENDITEM_S & " = L_MNG2.LENDITEM_CD AND l.SUMMARY_MNGSTATUS_CD = L_MNG2.MNGSTATUS_CD" _
	& " LEFT JOIN MTM_LENDITEM_KEEPLCT	  AS L_LCT2	 ON " & sqlMRPCOMMON.prmLENDITEM_S & " = L_LCT2.LENDITEM_CD AND l.SUMMARY_KEEPLCT_CD   = L_LCT2.KEEPLCT_CD" _
	& " LEFT JOIN MTM_LENDITEM_MNGSTATUS  AS L_MNG3	 ON " & sqlMRPCOMMON.prmLENDITEM_1 & " = L_MNG3.LENDITEM_CD AND l.OTHER1_MNGSTATUS_CD  = L_MNG3.MNGSTATUS_CD" _
	& " LEFT JOIN MTM_LENDITEM_KEEPLCT	  AS L_LCT3	 ON " & sqlMRPCOMMON.prmLENDITEM_1 & " = L_LCT3.LENDITEM_CD AND l.OTHER1_KEEPLCT_CD	   = L_LCT3.KEEPLCT_CD" _
	& " LEFT JOIN MTM_LENDITEM_MNGSTATUS  AS L_MNG4	 ON " & sqlMRPCOMMON.prmLENDITEM_2 & " = L_MNG4.LENDITEM_CD AND l.OTHER2_MNGSTATUS_CD  = L_MNG4.MNGSTATUS_CD" _
	& " LEFT JOIN MTM_LENDITEM_KEEPLCT	  AS L_LCT4	 ON " & sqlMRPCOMMON.prmLENDITEM_2 & " = L_LCT4.LENDITEM_CD AND l.OTHER2_KEEPLCT_CD	   = L_LCT4.KEEPLCT_CD" _
	& " LEFT JOIN MTM_LENDITEM_MNGSTATUS  AS L_MNG5	 ON " & sqlMRPCOMMON.prmLENDITEM_3 & " = L_MNG5.LENDITEM_CD AND l.OTHER3_MNGSTATUS_CD  = L_MNG5.MNGSTATUS_CD" _
	& " LEFT JOIN MTM_LENDITEM_KEEPLCT	  AS L_LCT5	 ON " & sqlMRPCOMMON.prmLENDITEM_3 & " = L_LCT5.LENDITEM_CD AND l.OTHER3_KEEPLCT_CD	   = L_LCT5.KEEPLCT_CD"

#End Region

#End Region

	''' <summary>
	''' ヘッダ項目入退院項目マスタの取得
	''' </summary>
	Public Const sqlSel_Header_Hsp As String = _
	  "SELECT" _
	& " ITEM_CD" _
	& ",ITEM_RNM" _
	& ",ITEM_NM" _
	& "  FROM MTM_HSP_ITM" _
	& " WHERE ITEM_NM " & XCM.clsConst.CST_NONEMPTY_WHERE

	''' <summary>
	''' ヘッダ項目医療費項目マスタの取得
	''' </summary>
	Public Const sqlSel_Header_Med As String = _
	  "SELECT" _
	& " MED_COST_CD AS " & sqlMRPCOMMON.itmITEM_CD _
	& ",MED_COST_NM AS " & sqlMRPCOMMON.itmITEM_NM _
	& ",MED_COST_NM AS " & sqlMRPCOMMON.itmITEM_RNM _
	& "  FROM MTM_MED_COST_ITM" _
	& " WHERE MED_COST_NM " & XCM.clsConst.CST_NONEMPTY_WHERE

End Class
