﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 入退院Report継承元クラス(SQLクラス）
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class sqlMRP040R000


	''' <summary>
	''' workを削除
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlDel As String = _
	"DELETE FROM MTW_SEARCH_HSP WHERE HOST_NM=" & sqlMRPCOMMON.prmHOST_NM

	Public Const itmHSP_DAYS As String = "HSP_DAYS"							'在院日数
	Public Const prmHSP_DAYS As String = "@HSP_DAYS"						'在院日数

	''' <summary>
	''' workを追加
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlIns As String = "" _
	& "INSERT INTO MTW_SEARCH_HSP (" _
	& " HOST_NM" _
	& ",DSPORDER" _
	& ",PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& ",HSP_DAYS" _
	& ",LASTUPDUSER_CD" _
	& ",LASTUPD_DT" _
	& ") VALUES (" _
	& " " & sqlMRPCOMMON.prmHOST_NM _
	& "," & sqlMRPCOMMON.prmDSPORDER _
	& "," & sqlMRPCOMMON.prmPATIENT_NO _
	& "," & sqlMRPCOMMON.prmHSP_NO _
	& "," & prmHSP_DAYS _
	& "," & sqlMRPCOMMON.prmLASTUPDUSER_CD _
	& "," & sqlMRPCOMMON.prmLASTUPD_DT _
	& ")"

	Public Const prmSYSDATE As String = "@SYSDATE"					'システム日付
	Public Const prmNISUU_INIT As String = "@NISUU_INIT"			'在院日数の初期値
	Public Const prmNISUU_PLUS As String = "@NISUU_PLUS"			'在院日数の初期値

	''' <summary>
	''' workを追加
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlIns_Key_P As String = "" _
	& "INSERT INTO MTW_SEARCH_HSP (" _
	& " HOST_NM" _
	& ",DSPORDER" _
	& ",PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& ",HSP_DAYS" _
	& ",LASTUPDUSER_CD" _
	& ",LASTUPD_DT" _
	& ")" _
	& "SELECT" _
	& " " & sqlMRPCOMMON.prmHOST_NM _
	& ",ROW_NUMBER() OVER(ORDER BY PATIENT_NO,HSP_HISTORY_NO DESC) AS DSPORDER" _
	& ",PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& ",CASE WHEN HSP_DAYS <> 0 OR NOT OUT_HSP_DT IS NULL THEN HSP_DAYS" _
	& "      WHEN HSP_DT = " & prmSYSDATE & " THEN " & prmNISUU_INIT _
	& "      ELSE DATEDIFF(day,HSP_DT," & prmSYSDATE & ") + " & prmNISUU_PLUS _
	& " END AS HSP_DAYS" _
	& "," & sqlMRPCOMMON.prmLASTUPDUSER_CD _
	& "," & sqlMRPCOMMON.prmLASTUPD_DT _
	& "  FROM MTI_HSP" _
	& " WHERE PATIENT_NO = " & sqlMRPCOMMON.prmPATIENT_NO

	''' <summary>
	''' workを追加
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlIns_Key_PH As String = _
	sqlIns_Key_P _
	& "  AND HSP_HISTORY_NO = " & sqlMRPCOMMON.prmHSP_NO

	Public Const prmUNIT_M As String = "@LENDUNIT_M"					'管理物単位（カルテ）
	Public Const prmUNIT_VALC As String = "@LENDUNIT_VALC"				'管理物単位値（科歴）
	Public Const prmUNIT_VALH As String = "@LENDUNIT_VALH"				'管理物単位値（入退院）
	Public Const prmUNIT_VALB As String = "@LENDUNIT_VALB"				'管理物単位値（患者）

	''' <summary>
	''' workを更新
	''' </summary>
	''' <remarks></remarks>
	Public Const sqlUpd As String = "" _
	& "UPDATE MTW_SEARCH_HSP SET" _
	& " PATIENT_NM           = b.PATIENT_NM" _
	& ",GENDER_CD            = b.GENDER_CD" _
	& ",BYOREKI_NO           = h.BYOREKI_NO" _
	& ",DEPT_CD              = h.DEPT_CD" _
	& ",WARD_CD              = h.WARD_CD" _
	& ",HSP_DT               = h.HSP_DT" _
	& ",OUT_HSP_DT           = h.OUT_HSP_DT" _
	& ",DOCTOR_CD            = h.DOCTOR_CD" _
	& ",HSP_CNL_CD           = h.HSP_CNL_CD" _
	& ",OUT_HSP_CNL_CD       = h.OUT_HSP_CNL_CD" _
	& ",OUT_HSP_OUTCOME_CD   = h.OUT_HSP_OUTCOME_CD" _
	& ",PATIENT_AGE          = CASE " & sqlMRPCOMMON.prmENV_AGE & " WHEN " & sqlMRPCOMMON.CST_ENV_AGE_IN & " THEN h.HSP_AGE       ELSE h.OUT_HSP_AGE       END" _
	& ",PATIENT_MONTH_AGE    = CASE " & sqlMRPCOMMON.prmENV_AGE & " WHEN " & sqlMRPCOMMON.CST_ENV_AGE_IN & " THEN h.HSP_MONTH_AGE ELSE h.OUT_HSP_MONTH_AGE END" _
	& ",PATIENT_DAY_AGE      = CASE " & sqlMRPCOMMON.prmENV_AGE & " WHEN " & sqlMRPCOMMON.CST_ENV_AGE_IN & " THEN h.HSP_DAY_AGE   ELSE h.OUT_HSP_DAY_AGE   END" _
	& ",BIRTH_DT             = b.BIRTH_DT" _
	& ",PATIENT_KNM          = b.PATIENT_KNM" _
	& ",HSP_AIM_CD           = h.HSP_AIM_CD" _
	& ",HSP_FORM_CD          = h.HSP_FORM_CD" _
	& ",CHANGE_DEPT_CHK      = h.CHANGE_DEPT_CHK" _
	& ",HOLD_DEPT_CHK        = h.HOLD_DEPT_CHK" _
	& ",RECORD_MNGSTATUS_CD  = CASE " & prmUNIT_M & " WHEN " & prmUNIT_VALC & " THEN lc.RECORD_MNGSTATUS_CD" _
	& "                                               WHEN " & prmUNIT_VALH & " THEN lh.RECORD_MNGSTATUS_CD" _
	& "                                               WHEN " & prmUNIT_VALB & " THEN lb.RECORD_MNGSTATUS_CD" _
	& "                                               ELSE NULL END" _
	& ",READMISSION_FLG      = h.READMISSION_FLG" _
	& ",LAST_OUT_HSP_DT      = h.LAST_OUT_HSP_DT" _
	& ",LAST_SELF_OTHER_HSP_DIV   = h.LAST_SELF_OTHER_HSP_DIV" _
	& ",HSP_AGE              = h.HSP_AGE" _
	& ",HSP_MONTH_AGE        = h.HSP_MONTH_AGE" _
	& ",HSP_DAY_AGE          = h.HSP_DAY_AGE" _
	& ",OUT_HSP_AGE          = h.OUT_HSP_AGE" _
	& ",OUT_HSP_MONTH_AGE    = h.OUT_HSP_MONTH_AGE" _
	& ",OUT_HSP_DAY_AGE      = h.OUT_HSP_DAY_AGE" _
	& ",TOTAL_MED_COST       = h.TOTAL_MED_COST" _
	& ",SUMMARY_MNGSTATUS_CD = lc.SUMMARY_MNGSTATUS_CD" _
	& ",LASTUPDUSER_CD      = " & sqlMRPCOMMON.prmLASTUPDUSER_CD _
	& ",LASTUPD_DT          = " & sqlMRPCOMMON.prmLASTUPD_DT _
	& "  FROM MTW_SEARCH_HSP as w" _
	& "  LEFT JOIN XTI_BASICINFO AS b  ON w.PATIENT_NO      = b.PATIENT_NO" _
	& "  LEFT JOIN MTI_HSP       AS h  ON w.PATIENT_NO      = h.PATIENT_NO" _
	& "                               AND w.HSP_HISTORY_NO  = h.HSP_HISTORY_NO" _
	& "  LEFT JOIN MTI_CH        AS c  ON w.PATIENT_NO      = c.PATIENT_NO" _
	& "                               AND w.HSP_HISTORY_NO  = c.HSP_HISTORY_NO" _
	& "                               AND 1                 = c.CH_NO" _
	& "  LEFT JOIN MTI_LENDITM   AS lb ON w.PATIENT_NO      = lb.PATIENT_NO" _
	& "                               AND 0                 = lb.HSP_HISTORY_NO" _
	& "                               AND 0                 = lb.CH_NO" _
	& "  LEFT JOIN MTI_LENDITM   AS lh ON w.PATIENT_NO      = lh.PATIENT_NO" _
	& "                               AND w.HSP_HISTORY_NO  = lh.HSP_HISTORY_NO" _
	& "                               AND 0                 = lh.CH_NO" _
	& "  LEFT JOIN MTI_CH        AS cm ON w.PATIENT_NO      = cm.PATIENT_NO" _
	& "                               AND w.HSP_HISTORY_NO  = cm.HSP_HISTORY_NO" _
	& "								  AND " & sqlMRPCOMMON.prmFLG_ON & " = cm.MAIN_DPM_FLG" _
	& "  LEFT JOIN MTI_LENDITM   AS lc ON cm.PATIENT_NO     = lc.PATIENT_NO" _
	& "                               AND cm.HSP_HISTORY_NO = lc.HSP_HISTORY_NO" _
	& "                               AND cm.CH_NO          = lc.CH_NO" _
	& " WHERE w.HOST_NM=" & sqlMRPCOMMON.prmHOST_NM

End Class
