﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 共通帳票 手術情報Report継承元クラス(SQLクラス）
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class sqlMRP070R000

	''' <summary>
	''' workを削除
	''' </summary>
	Public Const sqlDel As String = _
	"DELETE FROM MTW_SEARCH_OPE WHERE HOST_NM=" & sqlMRPCOMMON.prmHOST_NM

	''' <summary>
	''' workを追加
	''' </summary>
	Public Const sqlIns As String = _
	"INSERT INTO MTW_SEARCH_OPE (" _
	& " HOST_NM" _
	& ",DSPORDER" _
	& ",PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& ",CH_NO" _
	& ",OPE_SERIAL_NO" _
	& ",LASTUPDUSER_CD" _
	& ",LASTUPD_DT" _
	& ") VALUES (" _
	& " " & sqlMRPCOMMON.prmHOST_NM _
	& "," & sqlMRPCOMMON.prmDSPORDER _
	& "," & sqlMRPCOMMON.prmPATIENT_NO _
	& "," & sqlMRPCOMMON.prmHSP_NO _
	& "," & sqlMRPCOMMON.prmCH_NO _
	& "," & sqlMRPCOMMON.prmSERIAL_NO _
	& "," & sqlMRPCOMMON.prmLASTUPDUSER_CD _
	& "," & sqlMRPCOMMON.prmLASTUPD_DT _
	& ")"

	''' <summary>
	''' workを更新
	''' </summary>
	Public Const sqlUpd As String = _
	"UPDATE MTW_SEARCH_OPE SET" _
	& " PATIENT_NM          =  b.PATIENT_NM" _
	& ",OPE_DIV             =  i.OPE_DIV" _
	& ",OPE_NM              =  i.OPE_NM" _
	& ",OPE_DT              =  i.OPE_DT" _
	& ",ANESTHESIA_DIV1     =  i.ANESTHESIA_DIV1" _
	& ",GENDER_CD           =  b.GENDER_CD" _
	& ",BIRTH_DT            =  b.BIRTH_DT" _
	& ",PATIENT_AGE			= (CASE " & sqlMRPCOMMON.prmENV_AGE & " WHEN " & sqlMRPCOMMON.CST_ENV_AGE_IN & " THEN c.START_AGE       ELSE c.END_AGE       END)" _
	& ",PATIENT_MONTH_AGE	= (CASE " & sqlMRPCOMMON.prmENV_AGE & " WHEN " & sqlMRPCOMMON.CST_ENV_AGE_IN & " THEN c.START_MONTH_AGE ELSE c.END_MONTH_AGE END)" _
	& ",PATIENT_DAY_AGE		= (CASE " & sqlMRPCOMMON.prmENV_AGE & " WHEN " & sqlMRPCOMMON.CST_ENV_AGE_IN & " THEN c.START_DAY_AGE   ELSE c.END_DAY_AGE   END)" _
	& ",BYOREKI_NO          =  c.BYOREKI_NO" _
	& ",DEPT_CD             =  c.DEPT_CD" _
	& ",WARD_CD             =  c.WARD_CD" _
	& ",DOCTOR_CD           =  c.DOCTOR_CD" _
	& ",START_CNL_CD        =  c.START_CNL_CD" _
	& ",START_DT            =  c.START_DT" _
	& ",END_CNL_CD          =  c.END_CNL_CD" _
	& ",END_OUTCOME_CD      =  c.END_OUTCOME_CD" _
	& ",END_DT              =  c.END_DT" _
	& ",HSP_DAYS            =  c.HSP_DAYS" _
	& ",OPE_TIME            =  i.OPE_TIME" _
	& ",OPE_REQUIRED_TIME   =  i.OPE_REQUIRED_TIME" _
	& ",ANESTHESIA_TIME     =  i.ANESTHESIA_TIME" _
	& ",ANESTHESIA_DIV2     =  i.ANESTHESIA_DIV2" _
	& ",ASST_DIV1           =  i.ASST_DIV1" _
	& ",ASST_DIV2           =  i.ASST_DIV2" _
	& ",REMARKS1            =  i.REMARKS1" _
	& ",REMARKS2            =  i.REMARKS2" _
	& ",ICD9CM_CD           =  i.ICD9CM_CD" _
	& ",PATIENT_KNM         =  b.PATIENT_KNM" _
	& ",ICD10_CD            =  i.SPT_DISEASE_ICD10_CD" _
	& ",DISEASE             =  i.SPT_DISEASE_NM" _
	& ",START_AGE           =  c.START_AGE" _
	& ",START_MONTH_AGE     =  c.START_MONTH_AGE" _
	& ",START_DAY_AGE       =  c.START_DAY_AGE" _
	& ",END_AGE             =  c.END_AGE" _
	& ",END_MONTH_AGE       =  c.END_MONTH_AGE" _
	& ",END_DAY_AGE         =  c.END_DAY_AGE" _
	& ",OPE_AGE             =  i.OPE_AGE" _
	& ",OPE_MONTH_AGE       =  i.OPE_MONTH_AGE" _
	& ",OPE_DAY_AGE         =  i.OPE_DAY_AGE" _
	& ",SCORE_CD            =  i.SCORE_CD" _
	& ",LASTUPDUSER_CD	    = " & sqlMRPCOMMON.prmLASTUPDUSER_CD _
	& ",LASTUPD_DT			= " & sqlMRPCOMMON.prmLASTUPD_DT _
	& " FROM MTW_SEARCH_OPE AS w " _
	& "      LEFT JOIN XTI_BASICINFO AS B" _
	& "                 ON w.PATIENT_NO     = B.PATIENT_NO" _
	& "      LEFT JOIN MTI_CH AS c" _
	& "                 ON w.PATIENT_NO     = c.PATIENT_NO" _
	& "                AND w.HSP_HISTORY_NO = c.HSP_HISTORY_NO" _
	& "                AND w.CH_NO          = c.CH_NO" _
	& "      LEFT JOIN MTI_OPE AS i" _
	& "                 ON w.PATIENT_NO     = i.PATIENT_NO" _
	& "                AND w.HSP_HISTORY_NO = i.HSP_HISTORY_NO" _
	& "                AND w.CH_NO          = i.CH_NO" _
	& "                AND w.OPE_SERIAL_NO  = i.OPE_SERIAL_NO" _
	& " WHERE w.HOST_NM=" & sqlMRPCOMMON.prmHOST_NM
End Class
