﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 共通帳票 治療処置情報一覧(EXCEL) (SQLクラス）
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class sqlMRP080E010

#Region "エクセルヘッダ項目"
	''' <summary>
	''' エクセル出力ヘッダ
	''' </summary>
	''' <remarks></remarks>
	Public Const excel_Header As String = "" _
	& excel_HeaderBHC _
	& excel_HeaderMe

	''' <summary>
	''' 患者＋入退院＋科歴ヘッダ
	''' </summary>
	''' <remarks></remarks>
	Private Const excel_HeaderBHC As String = "" _
	& "患者番号" _
	& ",入退院歴番号" _
	& ",科歴番号" _
	& ",氏名" _
	& ",氏名カナ" _
	& ",性別" _
	& ",生年月日" _
	& ",血液型" _
	& ",Ｒｈ" _
	& ",最新住所郵便番号" _
	& ",最新住所診療圏" _
	& ",最新住所診療圏(略称)" _
	& ",最新住所" _
	& ",死亡場所" _
	& ",死亡場所(略称)" _
	& ",死亡日" _
	& ",死亡時刻" _
	& ",死亡時年齢" _
	& ",死亡時月齢" _
	& ",死亡時日齢" _
	& ",死亡区分" _
	& ",死亡区分(略称)" _
	& ",術後死亡区分" _
	& ",術後死亡区分(略称)" _
	& ",剖検有無" _
	& ",剖検番号" _
	& ",{0}" _
	& ",診療科" _
	& ",診療科(略称)" _
	& ",病棟" _
	& ",病棟(略称)" _
	& ",医師" _
	& ",入院日" _
	& ",入院時年齢" _
	& ",入院時月齢" _
	& ",入院時日齢" _
	& ",入院経路" _
	& ",入院経路(略称)" _
	& ",退院日" _
	& ",退院時年齢" _
	& ",退院時月齢" _
	& ",退院時日齢" _
	& ",退院経路" _
	& ",退院経路(略称)" _
	& ",退院転帰" _
	& ",退院転帰(略称)" _
	& ",在院日数" _
	& ",入院フラグ" _
	& ",退院フラグ" _
	& ",主科フラグ" _
	& ",{0}" _
	& ",診療科" _
	& ",診療科(略称)" _
	& ",病棟" _
	& ",病棟(略称)" _
	& ",医師" _
	& ",開始日" _
	& ",開始時年齢" _
	& ",開始時月齢" _
	& ",開始時日齢" _
	& ",開始経路" _
	& ",開始経路(略称)" _
	& ",終了日" _
	& ",終了時年齢" _
	& ",終了時月齢" _
	& ",終了時日齢" _
	& ",終了経路" _
	& ",終了経路(略称)" _
	& ",終了転帰" _
	& ",終了転帰(略称)" _
	& ",在院日数"

	''' <summary>
	''' 治療処置情報ヘッダ
	''' </summary>
	''' <remarks></remarks>
	Private Const excel_HeaderMe As String = "" _
	 & ",治療処置区分" _
	 & ",治療処置区分(略称)" _
	 & ",ＩＣＤ９ＣＭコード" _
	 & ",点数表コード" _
	 & ",治療処置名" _
	 & ",実施日" _
	 & ",補助区分" _
	 & ",補助区分(略称)" _
	 & ",備考１" _
	 & ",備考２"

#End Region

#Region "Excel出力"

	''' <summary>
	''' Excel出力
	''' </summary>
	Public Const sqlSel As String = _
	  "SELECT " _
	& sqlColBHC _
	& sqlColMe _
	& " FROM MTW_SEARCH_WORK AS w" _
	& sqlTblMe _
	& sqlTblBHC _
	& " WHERE w.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM _
	& " ORDER BY w.OUT_ORDER"

#Region "基本＋入退院＋科歴"

'(M) STR V4-13006-000 121 20130212 ID)荒川 管理№228 1900年より前の発症日/診断日でExcel出力すると例外エラーが発生する
	'Private Const sqlColBHC As String = "" _
	'& " w.PATIENT_NO" _
	'& ",w.HSP_HISTORY_NO" _
	'& ",w.CH_NO" _
	'& ",b.PATIENT_NM" _
	'& ",b.PATIENT_KNM" _
	'& ",XTM_GENDER.GENDER_NM" _
	'& "," & sqlMRPCOMMON.CST_COL_EXCEL_BIRTH _
	'& ",MTM_BLOODTYPE.BLOODTYPE_NM" _
	'& ",MTM_RH.RH_NM" _
	'& ",bc.ZIP_CD" _
	'& ",BC_AREA.AREA_NM,BC_AREA.AREA_RNM" _
	'& ",bc.ADDRESS_NM" _
	'& ",MTM_DEATH_LCT.DEATH_LCT_NM,MTM_DEATH_LCT.DEATH_LCT_RNM" _
	'& ",d.DEATH_DT" _
	'& ",d.DEATH_TIME" _
	'& ",d.DEATH_AGE" _
	'& ",d.DEATH_MONTH_AGE" _
	'& ",d.DEATH_DAY_AGE" _
	'& ",MTM_DEATH_DIV.DEATH_DIV_NM,MTM_DEATH_DIV.DEATH_DIV_RNM" _
	'& ",MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_NM,MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_RNM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "d.AUTOPSY_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "AUTOPSY_CHK" _
	'& ",d.AUTOPSY_NO" _
	'& ",h.BYOREKI_NO" _
	'& ",H_DEPT.DEPT_NM,H_DEPT.DEPT_RNM" _
	'& ",H_WARD.WARD_NM,H_WARD.WARD_RNM" _
	'& ",H_STAFF.STAFF_NM" _
	'& ",h.HSP_DT" _
	'& ",h.HSP_AGE" _
	'& ",h.HSP_MONTH_AGE" _
	'& ",h.HSP_DAY_AGE" _
	'& ",H_CNL.HSP_CNL_NM,H_CNL.HSP_CNL_RNM" _
	'& ",h.OUT_HSP_DT" _
	'& ",h.OUT_HSP_AGE" _
	'& ",h.OUT_HSP_MONTH_AGE" _
	'& ",h.OUT_HSP_DAY_AGE" _
	'& ",H_O_CNL.OUT_HSP_CNL_NM,H_O_CNL.OUT_HSP_CNL_RNM" _
	'& ",H_OUTCOME.OUT_HSP_OUTCOME_NM,H_OUTCOME.OUT_HSP_OUTCOME_RNM" _
	'& ",h.HSP_DAYS" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.HSP_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "HSP_FLG" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.OUT_HSP_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "OUT_HSP_FLG" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.MAIN_DPM_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "MAIN_DPM_FLG" _
	'& ",c.BYOREKI_NO" _
	'& ",C_DEPT.DEPT_NM,C_DEPT.DEPT_RNM" _
	'& ",C_WARD.WARD_NM,C_WARD.WARD_RNM" _
	'& ",C_STAFF.STAFF_NM" _
	'& ",c.START_DT" _
	'& ",c.START_AGE" _
	'& ",c.START_MONTH_AGE" _
	'& ",c.START_DAY_AGE" _
	'& ",C_CNL.HSP_CNL_NM,C_CNL.HSP_CNL_RNM" _
	'& ",c.END_DT" _
	'& ",c.END_AGE" _
	'& ",c.END_MONTH_AGE" _
	'& ",c.END_DAY_AGE" _
	'& ",C_O_CNL.OUT_HSP_CNL_NM,C_O_CNL.OUT_HSP_CNL_RNM" _
	'& ",C_OUTCOME.OUT_HSP_OUTCOME_NM,C_OUTCOME.OUT_HSP_OUTCOME_RNM" _
	'& ",c.HSP_DAYS"
	''' <summary>
	''' 基本＋入退院＋科歴
	''' </summary>
	Private Const sqlColBHC As String = "" _
	& " w.PATIENT_NO" _
	& ",w.HSP_HISTORY_NO" _
	& ",w.CH_NO" _
	& ",b.PATIENT_NM" _
	& ",b.PATIENT_KNM" _
	& ",XTM_GENDER.GENDER_NM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "b.BIRTH_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS BIRTH_DT" _
	& ",MTM_BLOODTYPE.BLOODTYPE_NM" _
	& ",MTM_RH.RH_NM" _
	& ",bc.ZIP_CD" _
	& ",BC_AREA.AREA_NM,BC_AREA.AREA_RNM" _
	& ",bc.ADDRESS_NM" _
	& ",MTM_DEATH_LCT.DEATH_LCT_NM,MTM_DEATH_LCT.DEATH_LCT_RNM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "d.DEATH_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS DEATH_DT" _
	& ",d.DEATH_TIME" _
	& ",d.DEATH_AGE" _
	& ",d.DEATH_MONTH_AGE" _
	& ",d.DEATH_DAY_AGE" _
	& ",MTM_DEATH_DIV.DEATH_DIV_NM,MTM_DEATH_DIV.DEATH_DIV_RNM" _
	& ",MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_NM,MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_RNM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "d.AUTOPSY_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "AUTOPSY_CHK" _
	& ",d.AUTOPSY_NO" _
	& ",h.BYOREKI_NO" _
	& ",H_DEPT.DEPT_NM,H_DEPT.DEPT_RNM" _
	& ",H_WARD.WARD_NM,H_WARD.WARD_RNM" _
	& ",H_STAFF.STAFF_NM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "h.HSP_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS HSP_DT" _
	& ",h.HSP_AGE" _
	& ",h.HSP_MONTH_AGE" _
	& ",h.HSP_DAY_AGE" _
	& ",H_CNL.HSP_CNL_NM,H_CNL.HSP_CNL_RNM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "h.OUT_HSP_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS OUT_HSP_DT" _
	& ",h.OUT_HSP_AGE" _
	& ",h.OUT_HSP_MONTH_AGE" _
	& ",h.OUT_HSP_DAY_AGE" _
	& ",H_O_CNL.OUT_HSP_CNL_NM,H_O_CNL.OUT_HSP_CNL_RNM" _
	& ",H_OUTCOME.OUT_HSP_OUTCOME_NM,H_OUTCOME.OUT_HSP_OUTCOME_RNM" _
	& ",h.HSP_DAYS" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.HSP_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "HSP_FLG" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.OUT_HSP_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "OUT_HSP_FLG" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.MAIN_DPM_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "MAIN_DPM_FLG" _
	& ",c.BYOREKI_NO" _
	& ",C_DEPT.DEPT_NM,C_DEPT.DEPT_RNM" _
	& ",C_WARD.WARD_NM,C_WARD.WARD_RNM" _
	& ",C_STAFF.STAFF_NM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "c.START_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS START_DT" _
	& ",c.START_AGE" _
	& ",c.START_MONTH_AGE" _
	& ",c.START_DAY_AGE" _
	& ",C_CNL.HSP_CNL_NM,C_CNL.HSP_CNL_RNM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "c.END_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS END_DT" _
	& ",c.END_AGE" _
	& ",c.END_MONTH_AGE" _
	& ",c.END_DAY_AGE" _
	& ",C_O_CNL.OUT_HSP_CNL_NM,C_O_CNL.OUT_HSP_CNL_RNM" _
	& ",C_OUTCOME.OUT_HSP_OUTCOME_NM,C_OUTCOME.OUT_HSP_OUTCOME_RNM" _
	& ",c.HSP_DAYS"
'(M) END V4-13006-000 121

   ''' <summary>
	''' 基本＋入退院＋科歴
	''' </summary>
	Private Const sqlTblBHC As String = "" _
	& "  LEFT JOIN XTI_BASICINFO        AS b         ON w.PATIENT_NO          = b.PATIENT_NO" _
	& "  LEFT JOIN MTI_HSP              AS h         ON w.PATIENT_NO          = h.PATIENT_NO " _
	& "                                             AND w.HSP_HISTORY_NO      = h.HSP_HISTORY_NO" _
	& "  LEFT JOIN MTI_CH               AS c         ON w.PATIENT_NO          = c.PATIENT_NO " _
	& "                                             AND w.HSP_HISTORY_NO      = c.HSP_HISTORY_NO" _
	& "                                             AND w.CH_NO               = c.CH_NO" _
	& "  LEFT JOIN MTI_DEATH            AS d         ON w.PATIENT_NO          = d.PATIENT_NO" _
	& "  LEFT JOIN MTI_CH               AS bc        ON w.PATIENT_NO          = bc.PATIENT_NO " _
	& "                                             AND w.NEW_HSP_NO          = bc.HSP_HISTORY_NO" _
	& "                                             AND w.NEW_CH_NO           = bc.CH_NO" _
	& "  LEFT JOIN XTM_GENDER                        ON b.GENDER_CD           = XTM_GENDER.GENDER_CD" _
	& "  LEFT JOIN MTM_BLOODTYPE                     ON b.BLOODTYPE_CD        = MTM_BLOODTYPE.BLOODTYPE_CD" _
	& "  LEFT JOIN MTM_RH                            ON b.RH_CD               = MTM_RH.RH_CD" _
	& "  LEFT JOIN MTM_AREA             AS BC_AREA   ON bc.AREA_CD            = BC_AREA.AREA_CD" _
	& "  LEFT JOIN MTM_DEATH_LCT					 ON d.DEATH_LCT_CD        = MTM_DEATH_LCT.DEATH_LCT_CD" _
	& "  LEFT JOIN MTM_DEATH_DIV                     ON d.DEATH_DIV           = MTM_DEATH_DIV.DEATH_DIV_CD" _
	& "  LEFT JOIN MTM_AFTER_OPE_DEATH_DIV           ON d.AFTER_OPE_DEATH_DIV = MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_CD" _
	& "  LEFT JOIN MTM_DEPT             AS H_DEPT    ON h.DEPT_CD             = H_DEPT.DEPT_CD" _
	& "  LEFT JOIN MTM_WARD             AS H_WARD    ON h.WARD_CD			  = H_WARD.WARD_CD" _
	& "  LEFT JOIN XTM_STAFF            AS H_STAFF   ON h.DOCTOR_CD			  = H_STAFF.STAFF_CD" _
	& "  LEFT JOIN MTM_HSP_CNL          AS H_CNL     ON h.HSP_CNL_CD          = H_CNL.HSP_CNL_CD" _
	& "  LEFT JOIN MTM_OUT_HSP_CNL      AS H_O_CNL   ON h.OUT_HSP_CNL_CD      = H_O_CNL.OUT_HSP_CNL_CD" _
	& "  LEFT JOIN MTM_OUT_HSP_OUTCOME  AS H_OUTCOME ON h.OUT_HSP_OUTCOME_CD  = H_OUTCOME.OUT_HSP_OUTCOME_CD" _
	& "  LEFT JOIN MTM_DEPT             AS C_DEPT    ON c.DEPT_CD             = C_DEPT.DEPT_CD" _
	& "  LEFT JOIN MTM_WARD             AS C_WARD    ON c.WARD_CD			  = C_WARD.WARD_CD" _
	& "  LEFT JOIN XTM_STAFF            AS C_STAFF   ON c.DOCTOR_CD			  = C_STAFF.STAFF_CD" _
	& "  LEFT JOIN MTM_HSP_CNL          AS C_CNL     ON c.START_CNL_CD        = C_CNL.HSP_CNL_CD" _
	& "  LEFT JOIN MTM_OUT_HSP_CNL      AS C_O_CNL   ON c.END_CNL_CD          = C_O_CNL.OUT_HSP_CNL_CD" _
	& "  LEFT JOIN MTM_OUT_HSP_OUTCOME  AS C_OUTCOME ON c.END_OUTCOME_CD      = C_OUTCOME.OUT_HSP_OUTCOME_CD"

#End Region

'(M) STR V4-13006-000 027 20130212 ID)荒川 管理№228 1900年より前の発症日/診断日でExcel出力すると例外エラーが発生する
	'Private Const sqlColMe As String = "" _
	'& ",MTM_CARE_DIV.CARE_DIV_NM" _
	'& ",MTM_CARE_DIV.CARE_DIV_RNM" _
	'& ",i.ICD9CM_CD" _
	'& ",i.SCORE_CD" _
	'& ",i.CARE_NM" _
	'& ",i.CARE_DT" _
	'& ",MTM_CARE_ASST_DIV.CARE_ASST_DIV_NM" _
	'& ",MTM_CARE_ASST_DIV.CARE_ASST_DIV_RNM" _
	'& ",i.REMARKS1" _
	'& ",i.REMARKS2"
	''' <summary>
	''' 治療処置
	''' </summary>
	Private Const sqlColMe As String = "" _
	& ",MTM_CARE_DIV.CARE_DIV_NM" _
	& ",MTM_CARE_DIV.CARE_DIV_RNM" _
	& ",i.ICD9CM_CD" _
	& ",i.SCORE_CD" _
	& ",i.CARE_NM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "i.CARE_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS CARE_DT" _
	& ",MTM_CARE_ASST_DIV.CARE_ASST_DIV_NM" _
	& ",MTM_CARE_ASST_DIV.CARE_ASST_DIV_RNM" _
	& ",i.REMARKS1" _
	& ",i.REMARKS2"
'(M) END V4-13006-000 027

	''' <summary>
	''' 治療処置
	''' </summary>
	Private Const sqlTblMe As String = "" _
	& " INNER JOIN MTI_CARE AS i           ON w.PATIENT_NO         = i.PATIENT_NO" _
	& "                                   AND w.HSP_HISTORY_NO     = i.HSP_HISTORY_NO" _
	& "                                   AND w.CH_NO              = i.CH_NO" _
	& "                                   AND w.SERIAL_NO          = i.CARE_SERIAL_NO" _
	& " LEFT JOIN MTM_CARE_DIV             ON i.CARE_DIV           = MTM_CARE_DIV.CARE_DIV_CD" _
	& " LEFT JOIN MTM_CARE_ASST_DIV        ON i.ASST_DIV           = MTM_CARE_ASST_DIV.CARE_ASST_DIV_CD"

#End Region

End Class