﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 共通帳票 補足項目１情報Report(SQLクラス）
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class sqlMRP100R010

	Public Const prmSTARTROW As String = "@STARTROW"
	Public Const prmENDROW As String = "@ENDROW"

	Public Const itmITEM_RNM As String = "ITEM_RNM"
	Public Const itmITEM_CD As String = "ITEM_CD"

	''' <summary>
	''' workを削除
	''' </summary>
	Public Const sqlDel As String = _
	"DELETE FROM MTW_SEARCH_ASST1 WHERE HOST_NM=" & sqlMRPCOMMON.prmHOST_NM

	''' <summary>
	''' workを追加
	''' </summary>
	Public Const sqlIns As String = _
	"INSERT INTO MTW_SEARCH_ASST1 (" _
	& " HOST_NM" _
	& ",DSPORDER" _
	& ",PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& ",CH_NO" _
	& ",LASTUPDUSER_CD" _
	& ",LASTUPD_DT" _
	& ") VALUES (" _
	& " " & sqlMRPCOMMON.prmHOST_NM _
	& "," & sqlMRPCOMMON.prmDSPORDER _
	& "," & sqlMRPCOMMON.prmPATIENT_NO _
	& "," & sqlMRPCOMMON.prmHSP_NO _
	& "," & sqlMRPCOMMON.prmCH_NO _
	& "," & sqlMRPCOMMON.prmLASTUPDUSER_CD _
	& "," & sqlMRPCOMMON.prmLASTUPD_DT _
	& ")"

	''' <summary>
	''' ヘッダ項目取得
	''' </summary>
	Public Const sqlSel_Asst1_ITM As String = "" _
	& " SELECT " _
	& "   Itm.ITEM_CD" _
	& "  ,Itm.ITEM_RNM" _
	& "  ,Itm.CNT" _
	& " FROM" _
	& "   (SELECT" _
	& "     ITEM_CD" _
	& "    ,DSPORDER" _
	& "    ,ITEM_RNM" _
	& "    ,ROW_NUMBER() OVER(ORDER BY DSPORDER,ITEM_CD) AS CNT" _
	& "    FROM MTM_ASST1_ITM" _
	& "   WHERE ITEM_NM<>'') AS Itm" _
	& " WHERE Itm.CNT BETWEEN " & prmSTARTROW & " AND " & prmENDROW _
	& " ORDER BY DSPORDER,ITEM_CD "

	''' <summary>
	''' workを更新
	''' </summary>
	Public Const sqlUpd As String = _
	"UPDATE MTW_SEARCH_ASST1 SET" _
	& " PATIENT_NM          =  b.PATIENT_NM" _
	& "{0}" _
	& ",GENDER_CD           =  b.GENDER_CD" _
	& ",BIRTH_DT            =  b.BIRTH_DT" _
	& ",PATIENT_AGE			= (CASE " & sqlMRPCOMMON.prmENV_AGE & " WHEN " & sqlMRPCOMMON.CST_ENV_AGE_IN & " THEN c.START_AGE       ELSE c.END_AGE       END)" _
	& ",PATIENT_MONTH_AGE	= (CASE " & sqlMRPCOMMON.prmENV_AGE & " WHEN " & sqlMRPCOMMON.CST_ENV_AGE_IN & " THEN c.START_MONTH_AGE ELSE c.END_MONTH_AGE END)" _
	& ",PATIENT_DAY_AGE		= (CASE " & sqlMRPCOMMON.prmENV_AGE & " WHEN " & sqlMRPCOMMON.CST_ENV_AGE_IN & " THEN c.START_DAY_AGE   ELSE c.END_DAY_AGE   END)" _
	& ",BYOREKI_NO          =  c.BYOREKI_NO" _
	& ",DEPT_CD             =  c.DEPT_CD" _
	& ",WARD_CD             =  c.WARD_CD" _
	& ",DOCTOR_CD           =  c.DOCTOR_CD" _
	& ",START_CNL_CD        =  c.START_CNL_CD" _
	& ",START_DT            =  c.START_DT" _
	& ",END_CNL_CD          =  c.END_CNL_CD" _
	& ",END_OUTCOME_CD      =  c.END_OUTCOME_CD" _
	& ",END_DT              =  c.END_DT" _
	& ",HSP_DAYS            =  c.HSP_DAYS" _
	& ",PATIENT_KNM         =  b.PATIENT_KNM" _
	& ",START_AGE           =  c.START_AGE" _
	& ",START_MONTH_AGE     =  c.START_MONTH_AGE" _
	& ",START_DAY_AGE       =  c.START_DAY_AGE" _
	& ",END_AGE             =  c.END_AGE" _
	& ",END_MONTH_AGE       =  c.END_MONTH_AGE" _
	& ",END_DAY_AGE         =  c.END_DAY_AGE" _
	& ",LASTUPDUSER_CD	    = " & sqlMRPCOMMON.prmLASTUPDUSER_CD _
	& ",LASTUPD_DT			= " & sqlMRPCOMMON.prmLASTUPD_DT _
	& " FROM MTW_SEARCH_ASST1 AS w " _
	& "     INNER JOIN MTI_ASST1 AS a" _
	& "                 ON w.PATIENT_NO     = a.PATIENT_NO" _
	& "                AND w.HSP_HISTORY_NO = a.HSP_HISTORY_NO" _
	& "                AND w.CH_NO          = a.CH_NO" _
	& "      LEFT JOIN XTI_BASICINFO AS b" _
	& "                 ON w.PATIENT_NO     = b.PATIENT_NO" _
	& "      LEFT JOIN MTI_CH AS c" _
	& "                 ON w.PATIENT_NO     = c.PATIENT_NO" _
	& "                AND w.HSP_HISTORY_NO = c.HSP_HISTORY_NO" _
	& "                AND w.CH_NO          = c.CH_NO" _
	& " WHERE w.HOST_NM=" & sqlMRPCOMMON.prmHOST_NM

	Public Const sqlColAsst1 As String = "" _
	& ",ASST_ITM{0}        =  a.ASST_ITM{1}"

	Public Const sqlColAsst1_Null As String = "" _
	& ",ASST_ITM{0}        =  Null"

End Class
