﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 共通帳票 分娩情報Report継承元クラス(SQLクラス）
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class sqlMRP120R010

	''' <summary>
	''' workを削除
	''' </summary>
	Public Const sqlDel As String = _
	"DELETE FROM MTW_SEARCH_CB WHERE HOST_NM=" & sqlMRPCOMMON.prmHOST_NM

	''' <summary>
	''' workを追加
	''' </summary>
	Public Const sqlIns As String = _
	"INSERT INTO MTW_SEARCH_CB (" _
	& " HOST_NM" _
	& ",DSPORDER" _
	& ",PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& ",CH_NO" _
	& ",LASTUPDUSER_CD" _
	& ",LASTUPD_DT" _
	& ") VALUES (" _
	& " " & sqlMRPCOMMON.prmHOST_NM _
	& "," & sqlMRPCOMMON.prmDSPORDER _
	& "," & sqlMRPCOMMON.prmPATIENT_NO _
	& "," & sqlMRPCOMMON.prmHSP_NO _
	& "," & sqlMRPCOMMON.prmCH_NO _
	& "," & sqlMRPCOMMON.prmLASTUPDUSER_CD _
	& "," & sqlMRPCOMMON.prmLASTUPD_DT _
	& ")"

	''' <summary>
	''' workを更新
	''' </summary>
	Public Const sqlUpd As String = _
	"UPDATE MTW_SEARCH_CB SET" _
	& " PATIENT_NM				= b.PATIENT_NM" _
	& ",CB_DT					= i.CB_DT" _
	& ",GESTATIONAL_WEEK_COUNT	= i.GESTATIONAL_WEEK_COUNT" _
	& ",GESTATIONAL_DAY_COUNT	= i.GESTATIONAL_DAY_COUNT" _
	& ",CB_AGE					= i.CB_AGE" _
	& ",CHD_COUNT				= i.CHD_COUNT" _
	& ",CB_DIV1					= i.CB_DIV1" _
	& ",CB_DIV2					= i.CB_DIV2" _
	& ",GENDER_CD				= b.GENDER_CD" _
	& ",BIRTH_DT				= b.BIRTH_DT" _
	& ",PATIENT_AGE				= (CASE " & sqlMRPCOMMON.prmENV_AGE & " WHEN " & sqlMRPCOMMON.CST_ENV_AGE_IN & " THEN c.START_AGE       ELSE c.END_AGE       END)" _
	& ",PATIENT_MONTH_AGE		= (CASE " & sqlMRPCOMMON.prmENV_AGE & " WHEN " & sqlMRPCOMMON.CST_ENV_AGE_IN & " THEN c.START_MONTH_AGE ELSE c.END_MONTH_AGE END)" _
	& ",PATIENT_DAY_AGE			= (CASE " & sqlMRPCOMMON.prmENV_AGE & " WHEN " & sqlMRPCOMMON.CST_ENV_AGE_IN & " THEN c.START_DAY_AGE   ELSE c.END_DAY_AGE   END)" _
	& ",BYOREKI_NO				= c.BYOREKI_NO" _
	& ",DEPT_CD					= c.DEPT_CD" _
	& ",WARD_CD					= c.WARD_CD" _
	& ",DOCTOR_CD				= c.DOCTOR_CD" _
	& ",START_CNL_CD			= c.START_CNL_CD" _
	& ",START_DT				= c.START_DT" _
	& ",END_CNL_CD				= c.END_CNL_CD" _
	& ",END_OUTCOME_CD			= c.END_OUTCOME_CD" _
	& ",END_DT					= c.END_DT" _
	& ",HSP_DAYS				= c.HSP_DAYS" _
	& ",PREMATURE_BIRTH			= i.PREMATURE_BIRTH" _
	& ",MISCARRIAGE				= i.MISCARRIAGE" _
	& ",PATIENT_KNM				= b.PATIENT_KNM" _
	& ",CB_DIV3					= i.CB_DIV3" _
	& ",CB_DIV4					= i.CB_DIV4" _
	& ",CAESAREAN_OPE_CD		= i.CAESAREAN_OPE_CD" _
	& ",START_AGE				= c.START_AGE" _
	& ",START_MONTH_AGE			= c.START_MONTH_AGE" _
	& ",START_DAY_AGE			= c.START_DAY_AGE" _
	& ",END_AGE					= c.END_AGE" _
	& ",END_MONTH_AGE			= c.END_MONTH_AGE" _
	& ",END_DAY_AGE				= c.END_DAY_AGE" _
	& ",LASTUPDUSER_CD			= " & sqlMRPCOMMON.prmLASTUPDUSER_CD _
	& ",LASTUPD_DT				= " & sqlMRPCOMMON.prmLASTUPD_DT _
	& " FROM MTW_SEARCH_CB AS w " _
	& "      LEFT JOIN XTI_BASICINFO AS B" _
	& "                 ON w.PATIENT_NO     = B.PATIENT_NO" _
	& "      LEFT JOIN MTI_CH AS c" _
	& "                 ON w.PATIENT_NO     = c.PATIENT_NO" _
	& "                AND w.HSP_HISTORY_NO = c.HSP_HISTORY_NO" _
	& "                AND w.CH_NO          = c.CH_NO" _
	& "      LEFT JOIN MTI_CB AS i" _
	& "                 ON w.PATIENT_NO     = i.PATIENT_NO" _
	& "                AND w.HSP_HISTORY_NO = i.HSP_HISTORY_NO" _
	& "                AND w.CH_NO          = i.CH_NO" _
	& " WHERE w.HOST_NM=" & sqlMRPCOMMON.prmHOST_NM

	''' <summary>
	''' ヘッダ項目マスタ（TM_分娩区分項目マスタ）の取得
	''' </summary>
	Public Const sqlSel_Mtm_Cb_Div_Itm As String = _
	  "SELECT" _
	& " ITEM_CD" _
	& ",ITEM_RNM" _
	& ",ITEM_NM" _
	& " FROM MTM_CB_DIV_ITM" _
	& " WHERE ITEM_NM " & XCM.clsConst.CST_NONEMPTY_WHERE
End Class