﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 共通帳票 分娩児情報一覧(EXCEL) (SQLクラス）
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class sqlMRP130E010

#Region "エクセルヘッダ項目"
	''' <summary>
	''' エクセル出力ヘッダ
	''' </summary>
	''' <remarks></remarks>
	Public Const excel_Header As String = "" _
	& excel_HeaderBHC _
	& excel_HeaderMe

	''' <summary>
	''' 項目マスタ用書式
	''' </summary>
	''' <remarks></remarks>
	Public Const excel_FreeFormat As String = "" _
	& ",{0},{1}"
	Public Const excel_FreeFormatEmpty As String = "" _
	& ",,"

		''' <summary>
	''' 項目マスタ用書式
	''' </summary>
	''' <remarks></remarks>
	Public Const excel_FreeFormatChk As String = "" _
	& ",{0}"
		Public Const excel_FreeFormatEmptyChk As String = "" _
	& ","

	''' <summary>
	''' 患者＋入退院＋科歴ヘッダ
	''' </summary>
	''' <remarks></remarks>
	Private Const excel_HeaderBHC As String = "" _
	& "患者番号" _
	& ",入退院歴番号" _
	& ",科歴番号" _
	& ",氏名" _
	& ",氏名カナ" _
	& ",性別" _
	& ",生年月日" _
	& ",血液型" _
	& ",Ｒｈ" _
	& ",最新住所郵便番号" _
	& ",最新住所診療圏" _
	& ",最新住所診療圏(略称)" _
	& ",最新住所" _
	& ",死亡場所" _
	& ",死亡場所(略称)" _
	& ",死亡日" _
	& ",死亡時刻" _
	& ",死亡時年齢" _
	& ",死亡時月齢" _
	& ",死亡時日齢" _
	& ",死亡区分" _
	& ",死亡区分(略称)" _
	& ",術後死亡区分" _
	& ",術後死亡区分(略称)" _
	& ",剖検有無" _
	& ",剖検番号" _
	& ",{{0}}" _
	& ",診療科" _
	& ",診療科(略称)" _
	& ",病棟" _
	& ",病棟(略称)" _
	& ",医師" _
	& ",入院日" _
	& ",入院時年齢" _
	& ",入院時月齢" _
	& ",入院時日齢" _
	& ",入院経路" _
	& ",入院経路(略称)" _
	& ",退院日" _
	& ",退院時年齢" _
	& ",退院時月齢" _
	& ",退院時日齢" _
	& ",退院経路" _
	& ",退院経路(略称)" _
	& ",退院転帰" _
	& ",退院転帰(略称)" _
	& ",在院日数" _
	& ",入院フラグ" _
	& ",退院フラグ" _
	& ",主科フラグ" _
	& ",{{0}}" _
	& ",診療科" _
	& ",診療科(略称)" _
	& ",病棟" _
	& ",病棟(略称)" _
	& ",医師" _
	& ",開始日" _
	& ",開始時年齢" _
	& ",開始時月齢" _
	& ",開始時日齢" _
	& ",開始経路" _
	& ",開始経路(略称)" _
	& ",終了日" _
	& ",終了時年齢" _
	& ",終了時月齢" _
	& ",終了時日齢" _
	& ",終了経路" _
	& ",終了経路(略称)" _
	& ",終了転帰" _
	& ",終了転帰(略称)" _
	& ",在院日数"

	''' <summary>
	''' 分娩児情報ヘッダ
	''' </summary>
	''' <remarks></remarks>
	Private Const excel_HeaderMe As String = "" _
	& ",分娩日" _
	& ",分娩時年齢" _
	& ",分娩時月齢" _
	& ",在胎週数" _
	& ",在胎日数" _
	& ",児数" _
	& "{0}" _
	& ",出血量" _
	& ",帝王切開区分" _
	& ",早産フラグ" _
	& ",流産フラグ" _
	& "{1}" _
	& ",備考" _
	& ",子性別" _
	& ",分娩日" _
	& ",分娩時刻" _
	& ",血液型" _
	& ",Ｒｈ" _
	& ",新生児番号" _
	& ",患者番号" _
	& ",新生児身長" _
	& ",新生児体重" _
	& ",アプガー指数１分名" _
	& ",アプガー指数５分名" _
	& ",未熟" _
	& ",奇形" _
	& ",死産" _
	& "{2}" _
	& "{3}" _
	& ",備考" _
	& ",死産番号" _
	& ",死産日" _
	& ",死産時刻" _
	& ",週数" _
	& ",死産場所" _
	& ",死産場所(略称)" _
	& ",剖検有無" _
	& ",剖検番号" _
	& ",人工中絶有無" _
	& ",母体合併症有無" _
	& ",コメント"

#End Region

#Region "Excel出力"

	''' <summary>
	''' Excel出力
	''' </summary>
	Public Const sqlSel As String = _
	  "SELECT " _
	& sqlColBHC _
	& sqlColMe _
	& " FROM MTW_SEARCH_WORK AS w" _
	& sqlTblMe _
	& sqlTblBHC _
	& " WHERE w.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM _
	& " ORDER BY w.OUT_ORDER"

#Region "基本＋入退院＋科歴"

'(M) STR V4-13006-000 121 20130212 ID)荒川 管理№228 1900年より前の発症日/診断日でExcel出力すると例外エラーが発生する
	'Private Const sqlColBHC As String = "" _
	'& " w.PATIENT_NO" _
	'& ",w.HSP_HISTORY_NO" _
	'& ",w.CH_NO" _
	'& ",b.PATIENT_NM" _
	'& ",b.PATIENT_KNM" _
	'& ",XTM_GENDER.GENDER_NM" _
	'& "," & sqlMRPCOMMON.CST_COL_EXCEL_BIRTH _
	'& ",MTM_BLOODTYPE.BLOODTYPE_NM" _
	'& ",MTM_RH.RH_NM" _
	'& ",bc.ZIP_CD" _
	'& ",BC_AREA.AREA_NM,BC_AREA.AREA_RNM" _
	'& ",bc.ADDRESS_NM" _
	'& ",MTM_DEATH_LCT.DEATH_LCT_NM,MTM_DEATH_LCT.DEATH_LCT_RNM" _
	'& ",d.DEATH_DT" _
	'& ",d.DEATH_TIME" _
	'& ",d.DEATH_AGE" _
	'& ",d.DEATH_MONTH_AGE" _
	'& ",d.DEATH_DAY_AGE" _
	'& ",MTM_DEATH_DIV.DEATH_DIV_NM,MTM_DEATH_DIV.DEATH_DIV_RNM" _
	'& ",MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_NM,MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_RNM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "d.AUTOPSY_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "AUTOPSY_CHK" _
	'& ",d.AUTOPSY_NO" _
	'& ",h.BYOREKI_NO" _
	'& ",H_DEPT.DEPT_NM,H_DEPT.DEPT_RNM" _
	'& ",H_WARD.WARD_NM,H_WARD.WARD_RNM" _
	'& ",H_STAFF.STAFF_NM" _
	'& ",h.HSP_DT" _
	'& ",h.HSP_AGE" _
	'& ",h.HSP_MONTH_AGE" _
	'& ",h.HSP_DAY_AGE" _
	'& ",H_CNL.HSP_CNL_NM,H_CNL.HSP_CNL_RNM" _
	'& ",h.OUT_HSP_DT" _
	'& ",h.OUT_HSP_AGE" _
	'& ",h.OUT_HSP_MONTH_AGE" _
	'& ",h.OUT_HSP_DAY_AGE" _
	'& ",H_O_CNL.OUT_HSP_CNL_NM,H_O_CNL.OUT_HSP_CNL_RNM" _
	'& ",H_OUTCOME.OUT_HSP_OUTCOME_NM,H_OUTCOME.OUT_HSP_OUTCOME_RNM" _
	'& ",h.HSP_DAYS" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.HSP_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "HSP_FLG" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.OUT_HSP_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "OUT_HSP_FLG" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.MAIN_DPM_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "MAIN_DPM_FLG" _
	'& ",c.BYOREKI_NO" _
	'& ",C_DEPT.DEPT_NM,C_DEPT.DEPT_RNM" _
	'& ",C_WARD.WARD_NM,C_WARD.WARD_RNM" _
	'& ",C_STAFF.STAFF_NM" _
	'& ",c.START_DT" _
	'& ",c.START_AGE" _
	'& ",c.START_MONTH_AGE" _
	'& ",c.START_DAY_AGE" _
	'& ",C_CNL.HSP_CNL_NM,C_CNL.HSP_CNL_RNM" _
	'& ",c.END_DT" _
	'& ",c.END_AGE" _
	'& ",c.END_MONTH_AGE" _
	'& ",c.END_DAY_AGE" _
	'& ",C_O_CNL.OUT_HSP_CNL_NM,C_O_CNL.OUT_HSP_CNL_RNM" _
	'& ",C_OUTCOME.OUT_HSP_OUTCOME_NM,C_OUTCOME.OUT_HSP_OUTCOME_RNM" _
	'& ",c.HSP_DAYS"
	''' <summary>
	''' 基本＋入退院＋科歴
	''' </summary>
	Private Const sqlColBHC As String = "" _
	& " w.PATIENT_NO" _
	& ",w.HSP_HISTORY_NO" _
	& ",w.CH_NO" _
	& ",b.PATIENT_NM" _
	& ",b.PATIENT_KNM" _
	& ",XTM_GENDER.GENDER_NM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "b.BIRTH_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS BIRTH_DT" _
	& ",MTM_BLOODTYPE.BLOODTYPE_NM" _
	& ",MTM_RH.RH_NM" _
	& ",bc.ZIP_CD" _
	& ",BC_AREA.AREA_NM,BC_AREA.AREA_RNM" _
	& ",bc.ADDRESS_NM" _
	& ",MTM_DEATH_LCT.DEATH_LCT_NM,MTM_DEATH_LCT.DEATH_LCT_RNM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "d.DEATH_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS DEATH_DT" _
	& ",d.DEATH_TIME" _
	& ",d.DEATH_AGE" _
	& ",d.DEATH_MONTH_AGE" _
	& ",d.DEATH_DAY_AGE" _
	& ",MTM_DEATH_DIV.DEATH_DIV_NM,MTM_DEATH_DIV.DEATH_DIV_RNM" _
	& ",MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_NM,MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_RNM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "d.AUTOPSY_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "AUTOPSY_CHK" _
	& ",d.AUTOPSY_NO" _
	& ",h.BYOREKI_NO" _
	& ",H_DEPT.DEPT_NM,H_DEPT.DEPT_RNM" _
	& ",H_WARD.WARD_NM,H_WARD.WARD_RNM" _
	& ",H_STAFF.STAFF_NM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "h.HSP_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS HSP_DT" _
	& ",h.HSP_AGE" _
	& ",h.HSP_MONTH_AGE" _
	& ",h.HSP_DAY_AGE" _
	& ",H_CNL.HSP_CNL_NM,H_CNL.HSP_CNL_RNM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "h.OUT_HSP_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS OUT_HSP_DT" _
	& ",h.OUT_HSP_AGE" _
	& ",h.OUT_HSP_MONTH_AGE" _
	& ",h.OUT_HSP_DAY_AGE" _
	& ",H_O_CNL.OUT_HSP_CNL_NM,H_O_CNL.OUT_HSP_CNL_RNM" _
	& ",H_OUTCOME.OUT_HSP_OUTCOME_NM,H_OUTCOME.OUT_HSP_OUTCOME_RNM" _
	& ",h.HSP_DAYS" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.HSP_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "HSP_FLG" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.OUT_HSP_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "OUT_HSP_FLG" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.MAIN_DPM_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "MAIN_DPM_FLG" _
	& ",c.BYOREKI_NO" _
	& ",C_DEPT.DEPT_NM,C_DEPT.DEPT_RNM" _
	& ",C_WARD.WARD_NM,C_WARD.WARD_RNM" _
	& ",C_STAFF.STAFF_NM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "c.START_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS START_DT" _
	& ",c.START_AGE" _
	& ",c.START_MONTH_AGE" _
	& ",c.START_DAY_AGE" _
	& ",C_CNL.HSP_CNL_NM,C_CNL.HSP_CNL_RNM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "c.END_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS END_DT" _
	& ",c.END_AGE" _
	& ",c.END_MONTH_AGE" _
	& ",c.END_DAY_AGE" _
	& ",C_O_CNL.OUT_HSP_CNL_NM,C_O_CNL.OUT_HSP_CNL_RNM" _
	& ",C_OUTCOME.OUT_HSP_OUTCOME_NM,C_OUTCOME.OUT_HSP_OUTCOME_RNM" _
	& ",c.HSP_DAYS"
'(M) END V4-13006-000 121

   ''' <summary>
	''' 基本＋入退院＋科歴
	''' </summary>
	Private Const sqlTblBHC As String = "" _
	& "  LEFT JOIN XTI_BASICINFO        AS b         ON w.PATIENT_NO          = b.PATIENT_NO" _
	& "  LEFT JOIN MTI_HSP              AS h         ON w.PATIENT_NO          = h.PATIENT_NO " _
	& "                                             AND w.HSP_HISTORY_NO      = h.HSP_HISTORY_NO" _
	& "  LEFT JOIN MTI_CH               AS c         ON w.PATIENT_NO          = c.PATIENT_NO " _
	& "                                             AND w.HSP_HISTORY_NO      = c.HSP_HISTORY_NO" _
	& "                                             AND w.CH_NO               = c.CH_NO" _
	& "  LEFT JOIN MTI_DEATH            AS d         ON w.PATIENT_NO          = d.PATIENT_NO" _
	& "  LEFT JOIN MTI_CH               AS bc        ON w.PATIENT_NO          = bc.PATIENT_NO " _
	& "                                             AND w.NEW_HSP_NO          = bc.HSP_HISTORY_NO" _
	& "                                             AND w.NEW_CH_NO           = bc.CH_NO" _
	& "  LEFT JOIN XTM_GENDER                        ON b.GENDER_CD           = XTM_GENDER.GENDER_CD" _
	& "  LEFT JOIN MTM_BLOODTYPE                     ON b.BLOODTYPE_CD        = MTM_BLOODTYPE.BLOODTYPE_CD" _
	& "  LEFT JOIN MTM_RH                            ON b.RH_CD               = MTM_RH.RH_CD" _
	& "  LEFT JOIN MTM_AREA             AS BC_AREA   ON bc.AREA_CD            = BC_AREA.AREA_CD" _
	& "  LEFT JOIN MTM_DEATH_LCT				     ON d.DEATH_LCT_CD        = MTM_DEATH_LCT.DEATH_LCT_CD" _
	& "  LEFT JOIN MTM_DEATH_DIV                     ON d.DEATH_DIV           = MTM_DEATH_DIV.DEATH_DIV_CD" _
	& "  LEFT JOIN MTM_AFTER_OPE_DEATH_DIV           ON d.AFTER_OPE_DEATH_DIV = MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_CD" _
	& "  LEFT JOIN MTM_DEPT             AS H_DEPT    ON h.DEPT_CD             = H_DEPT.DEPT_CD" _
	& "  LEFT JOIN MTM_WARD             AS H_WARD    ON h.WARD_CD			  = H_WARD.WARD_CD" _
	& "  LEFT JOIN XTM_STAFF            AS H_STAFF   ON h.DOCTOR_CD			  = H_STAFF.STAFF_CD" _
	& "  LEFT JOIN MTM_HSP_CNL          AS H_CNL     ON h.HSP_CNL_CD          = H_CNL.HSP_CNL_CD" _
	& "  LEFT JOIN MTM_OUT_HSP_CNL      AS H_O_CNL   ON h.OUT_HSP_CNL_CD      = H_O_CNL.OUT_HSP_CNL_CD" _
	& "  LEFT JOIN MTM_OUT_HSP_OUTCOME  AS H_OUTCOME ON h.OUT_HSP_OUTCOME_CD  = H_OUTCOME.OUT_HSP_OUTCOME_CD" _
	& "  LEFT JOIN MTM_DEPT             AS C_DEPT    ON c.DEPT_CD             = C_DEPT.DEPT_CD" _
	& "  LEFT JOIN MTM_WARD             AS C_WARD    ON c.WARD_CD			  = C_WARD.WARD_CD" _
	& "  LEFT JOIN XTM_STAFF            AS C_STAFF   ON c.DOCTOR_CD			  = C_STAFF.STAFF_CD" _
	& "  LEFT JOIN MTM_HSP_CNL          AS C_CNL     ON c.START_CNL_CD        = C_CNL.HSP_CNL_CD" _
	& "  LEFT JOIN MTM_OUT_HSP_CNL      AS C_O_CNL   ON c.END_CNL_CD          = C_O_CNL.OUT_HSP_CNL_CD" _
	& "  LEFT JOIN MTM_OUT_HSP_OUTCOME  AS C_OUTCOME ON c.END_OUTCOME_CD      = C_OUTCOME.OUT_HSP_OUTCOME_CD"

#End Region

'(M) STR V4-13006-000 111 20130212 ID)荒川 管理№228 1900年より前の発症日/診断日でExcel出力すると例外エラーが発生する
	'Private Const sqlColMe As String = "" _
	'& ",cb.CB_DT" _
	'& ",cb.CB_AGE" _
	'& ",cb.CB_MONTH_AGE" _
	'& ",cb.GESTATIONAL_WEEK_COUNT" _
	'& ",cb.GESTATIONAL_DAY_COUNT" _
	'& ",cb.CHD_COUNT" _
	'& ",c1.CNT_NM, c1.CNT_RNM" _
	'& ",c2.CNT_NM, c2.CNT_RNM" _
	'& ",c7.CNT_NM, c7.CNT_RNM" _
	'& ",c8.CNT_NM, c8.CNT_RNM" _
	'& ",cb.BLEEDING_VOLUME" _
	'& ",MTM_CAESAREAN_OPERATION.CHK_NM" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "cb.PREMATURE_BIRTH" & sqlMRPCOMMON.sqlFLG_NM_E & "PREMATURE_BIRTH_NM" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "cb.MISCARRIAGE" & sqlMRPCOMMON.sqlFLG_NM_E & "MISCARRIAGE_NM" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "cb.CB_CHK1" & sqlMRPCOMMON.sqlFLG_NM_E & "CB_CHK1_NM" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "cb.CB_CHK2" & sqlMRPCOMMON.sqlFLG_NM_E & "CB_CHK2_NM" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "cb.CB_CHK3" & sqlMRPCOMMON.sqlFLG_NM_E & "CB_CHK3_NM" _
	'& ",cb.REMARKS" _
	'& ",MTM_CB_GENDER.GENDER_NM" _
	'& ",i.CHD_CB_DT" _
	'& ",i.CHD_CB_TIME" _
	'& ",cBlood.BLOODTYPE_NM" _
	'& ",cRh.RH_NM" _
	'& ",i.NEWBORN_NO" _
	'& ",i.CHD_PATIENT_NO" _
	'& ",i.NEWBORN_STATURE" _
	'& ",i.NEWBORN_WEIGHT" _
	'& ",a1.APGARSCORE AS APGARSCORE1" _
	'& ",a5.APGARSCORE AS APGARSCORE5" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.IMMATURE" & sqlMRPCOMMON.sqlFLG_NM_E & "IMMATURE_NM" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.DEFORMITY" & sqlMRPCOMMON.sqlFLG_NM_E & "DEFORMITY_NM" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.STILLBIRTH" & sqlMRPCOMMON.sqlFLG_NM_E & "STILLBIRTH_NM" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.CHD_CB_CHK1" & sqlMRPCOMMON.sqlFLG_NM_E & "CHD_CB_CHK1_NM" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.CHD_CB_CHK2" & sqlMRPCOMMON.sqlFLG_NM_E & "CHD_CB_CHK2_NM" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.CHD_CB_CHK3" & sqlMRPCOMMON.sqlFLG_NM_E & "CHD_CB_CHK3_NM" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.CHD_CB_CHK4" & sqlMRPCOMMON.sqlFLG_NM_E & "CHD_CB_CHK4_NM" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.CHD_CB_CHK5" & sqlMRPCOMMON.sqlFLG_NM_E & "CHD_CB_CHK5_NM" _
	'& ",c3.CNT_NM, c3.CNT_RNM" _
	'& ",c4.CNT_NM, c4.CNT_RNM" _
	'& ",c5.CNT_NM, c5.CNT_RNM" _
	'& ",c6.CNT_NM, c6.CNT_RNM" _
	'& ",i.CHD_REMARKS" _
	'& ",sb.SB_NO" _
	'& ",sb.SB_DT" _
	'& ",sb.SB_TIME" _
	'& ",sb.WEEK_COUNT" _
	'& ",MTM_CB_SB_LCT.SB_LCT_NM,MTM_CB_SB_LCT.SB_LCT_RNM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "sb.AUTOPSY_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "SB_AUTOPSY_CHK" _
	'& ",sb.AUTOPSY_NO" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "sb.INDUCED_ABORTION_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "SB_INDUCED_ABORTION_CHK" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "sb.MOTHER_CMPC_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "SB_MOTHER_CMPC_CHK" _
	'& ",sb.REMARKS"
	''' <summary>
	''' 分娩児
	''' </summary>
	Private Const sqlColMe As String = "" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "cb.CB_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS CB_DT" _
	& ",cb.CB_AGE" _
	& ",cb.CB_MONTH_AGE" _
	& ",cb.GESTATIONAL_WEEK_COUNT" _
	& ",cb.GESTATIONAL_DAY_COUNT" _
	& ",cb.CHD_COUNT" _
	& ",c1.CNT_NM, c1.CNT_RNM" _
	& ",c2.CNT_NM, c2.CNT_RNM" _
	& ",c7.CNT_NM, c7.CNT_RNM" _
	& ",c8.CNT_NM, c8.CNT_RNM" _
	& ",cb.BLEEDING_VOLUME" _
	& ",MTM_CAESAREAN_OPERATION.CHK_NM" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "cb.PREMATURE_BIRTH" & sqlMRPCOMMON.sqlFLG_NM_E & "PREMATURE_BIRTH_NM" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "cb.MISCARRIAGE" & sqlMRPCOMMON.sqlFLG_NM_E & "MISCARRIAGE_NM" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "cb.CB_CHK1" & sqlMRPCOMMON.sqlFLG_NM_E & "CB_CHK1_NM" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "cb.CB_CHK2" & sqlMRPCOMMON.sqlFLG_NM_E & "CB_CHK2_NM" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "cb.CB_CHK3" & sqlMRPCOMMON.sqlFLG_NM_E & "CB_CHK3_NM" _
	& ",cb.REMARKS" _
	& ",MTM_CB_GENDER.GENDER_NM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "i.CHD_CB_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS CHD_CB_DT" _
	& ",i.CHD_CB_TIME" _
	& ",cBlood.BLOODTYPE_NM" _
	& ",cRh.RH_NM" _
	& ",i.NEWBORN_NO" _
	& ",i.CHD_PATIENT_NO" _
	& ",i.NEWBORN_STATURE" _
	& ",i.NEWBORN_WEIGHT" _
	& ",a1.APGARSCORE AS APGARSCORE1" _
	& ",a5.APGARSCORE AS APGARSCORE5" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.IMMATURE" & sqlMRPCOMMON.sqlFLG_NM_E & "IMMATURE_NM" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.DEFORMITY" & sqlMRPCOMMON.sqlFLG_NM_E & "DEFORMITY_NM" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.STILLBIRTH" & sqlMRPCOMMON.sqlFLG_NM_E & "STILLBIRTH_NM" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.CHD_CB_CHK1" & sqlMRPCOMMON.sqlFLG_NM_E & "CHD_CB_CHK1_NM" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.CHD_CB_CHK2" & sqlMRPCOMMON.sqlFLG_NM_E & "CHD_CB_CHK2_NM" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.CHD_CB_CHK3" & sqlMRPCOMMON.sqlFLG_NM_E & "CHD_CB_CHK3_NM" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.CHD_CB_CHK4" & sqlMRPCOMMON.sqlFLG_NM_E & "CHD_CB_CHK4_NM" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "i.CHD_CB_CHK5" & sqlMRPCOMMON.sqlFLG_NM_E & "CHD_CB_CHK5_NM" _
	& ",c3.CNT_NM, c3.CNT_RNM" _
	& ",c4.CNT_NM, c4.CNT_RNM" _
	& ",c5.CNT_NM, c5.CNT_RNM" _
	& ",c6.CNT_NM, c6.CNT_RNM" _
	& ",i.CHD_REMARKS" _
	& ",sb.SB_NO" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "sb.SB_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS SB_DT" _
	& ",sb.SB_TIME" _
	& ",sb.WEEK_COUNT" _
	& ",MTM_CB_SB_LCT.SB_LCT_NM,MTM_CB_SB_LCT.SB_LCT_RNM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "sb.AUTOPSY_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "SB_AUTOPSY_CHK" _
	& ",sb.AUTOPSY_NO" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "sb.INDUCED_ABORTION_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "SB_INDUCED_ABORTION_CHK" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "sb.MOTHER_CMPC_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "SB_MOTHER_CMPC_CHK" _
	& ",sb.REMARKS"
'(M) END V4-13006-000 111

	''' <summary>
	''' 分娩児
	''' </summary>
	Private Const sqlTblMe As String = "" _
	& " INNER JOIN MTI_CB AS       cb      ON w.PATIENT_NO			  = cb.PATIENT_NO" _
	& "                                   AND w.HSP_HISTORY_NO		  = cb.HSP_HISTORY_NO" _
	& "                                   AND w.CH_NO				  = cb.CH_NO" _
	& " INNER JOIN MTI_CB_CHILD AS i       ON w.PATIENT_NO			  = i.PATIENT_NO" _
	& "                                   AND w.HSP_HISTORY_NO		  = i.HSP_HISTORY_NO" _
	& "                                   AND w.CH_NO				  = i.CH_NO" _
	& "                                   AND w.SERIAL_NO			  = i.CB_SERIAL_NO" _
	& " LEFT JOIN MTI_CB_SB AS    sb       ON w.PATIENT_NO			  = sb.PATIENT_NO" _
	& "                                   AND w.HSP_HISTORY_NO		  = sb.HSP_HISTORY_NO" _
	& "                                   AND w.CH_NO				  = sb.CH_NO" _
	& "                                   AND w.SERIAL_NO			  = sb.CB_SERIAL_NO" _
	& " LEFT JOIN MTM_CB_DIV_CNT AS c1     ON cb.CB_DIV1			  = c1.CNT_CD" _
	& "                                   AND c1.ITEM_CD			  = '1'" _
	& " LEFT JOIN MTM_CB_DIV_CNT AS c2     ON cb.CB_DIV2			  = c2.CNT_CD" _
	& "                                   AND c2.ITEM_CD			  = '2'" _
	& " LEFT JOIN MTM_CB_DIV_CNT AS c7     ON cb.CB_DIV3			  = c7.CNT_CD" _
	& "                                   AND c7.ITEM_CD			  = '7'" _
	& " LEFT JOIN MTM_CB_DIV_CNT AS c8     ON cb.CB_DIV4			  = c8.CNT_CD" _
	& "                                   AND c8.ITEM_CD			  = '8'" _
	& " LEFT JOIN MTM_CAESAREAN_OPERATION  ON cb.CAESAREAN_OPE_CD  	  = MTM_CAESAREAN_OPERATION.CHK_CD" _
	& " LEFT JOIN MTM_CB_GENDER            ON i.GENDER_CD		      = MTM_CB_GENDER.GENDER_CD" _
	& " LEFT JOIN MTM_BLOODTYPE AS cBlood  ON i.CHD_BLOODTYPE_CD      = cBlood.BLOODTYPE_CD" _
	& " LEFT JOIN MTM_RH		AS cRh	   ON i.CHD_RH_CD			  = cRh.RH_CD" _
	& " LEFT JOIN MTM_CB_APGARSCORE AS a1  ON i.APGARSCORE_1MIN       = a1.APGARSCORE_CD" _
	& " LEFT JOIN MTM_CB_APGARSCORE AS a5  ON i.APGARSCORE_5MIN       = a5.APGARSCORE_CD" _
	& " LEFT JOIN MTM_CB_DIV_CNT AS c3     ON i.CB_PTN1			      = c3.CNT_CD" _
	& "                                   AND c3.ITEM_CD			  = '3'" _
	& " LEFT JOIN MTM_CB_DIV_CNT AS c4     ON i.CB_PTN2				  = c4.CNT_CD" _
	& "                                   AND c4.ITEM_CD			  = '4'" _
	& " LEFT JOIN MTM_CB_DIV_CNT AS c5     ON i.CB_PTN3				  = c5.CNT_CD" _
	& "                                   AND c5.ITEM_CD			  = '5'" _
	& " LEFT JOIN MTM_CB_DIV_CNT AS c6     ON i.CB_PTN4				  = c6.CNT_CD" _
	& "                                   AND c6.ITEM_CD			  = '6'" _
	& " LEFT JOIN MTM_CB_SB_LCT            ON sb.SB_LCT				  = MTM_CB_SB_LCT.SB_LCT_CD"

#End Region

	''' <summary>
	''' ヘッダ項目マスタ（TM_分娩区分項目マスタ）の取得
	''' </summary>
	Public Const sqlSel_Header_Mtm_Cb_Div_Itm As String = _
	  "SELECT" _
	& " ITEM_CD" _
	& ",ITEM_RNM" _
	& ",ITEM_NM" _
	& " FROM MTM_CB_DIV_ITM" _
	& " WHERE ITEM_NM " & XCM.clsConst.CST_NONEMPTY_WHERE

	''' <summary>
	''' ヘッダ項目（TM_分娩チェック項目マスタ）の取得
	''' </summary>
	Public Const sqlSel_Header_Mtm_Cb_Chk_Itm As String = _
	  "SELECT" _
	& " ITEM_CD" _
	& ",ITEM_RNM" _
	& ",ITEM_NM" _
	& " FROM MTM_CB_CHK_ITM" _
	& " WHERE ITEM_NM " & XCM.clsConst.CST_NONEMPTY_WHERE

End Class