﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 共通帳票 管理物情報一覧(科歴単位)(EXCEL) (SQLクラス）
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class sqlMRP160E030

#Region "エクセルヘッダ項目"

	''' <summary>
	''' エクセル出力ヘッダ
	''' </summary>
	''' <remarks></remarks>
	Public Const excel_Header As String = "" _
	& "患者番号" _
	& ",入退院歴番号" _
	& ",科歴番号" _
	& excel_HeaderB _
	& excel_HeaderH _
	& excel_HeaderC _
	& excel_HeaderW _
	& excel_HeaderL

	Private Const excel_HeaderB As String = "" _
	& ",氏名" _
	& ",氏名カナ" _
	& ",性別" _
	& ",生年月日" _
	& ",血液型" _
	& ",Ｒｈ" _
	& ",最新住所郵便番号" _
	& ",最新住所診療圏" _
	& ",最新住所診療圏(略称)" _
	& ",最新住所" _
	& ",死亡場所" _
	& ",死亡場所(略称)" _
	& ",死亡日" _
	& ",死亡時刻" _
	& ",死亡時年齢" _
	& ",死亡時月齢" _
	& ",死亡時日齢" _
	& ",死亡区分" _
	& ",死亡区分(略称)" _
	& ",術後死亡区分" _
	& ",術後死亡区分(略称)" _
	& ",剖検有無" _
	& ",剖検番号"

	Private Const excel_HeaderH As String = "" _
	& ",{0}" _
	& ",診療科" _
	& ",診療科(略称)" _
	& ",病棟" _
	& ",病棟(略称)" _
	& ",医師" _
	& ",入院日" _
	& ",入院時年齢" _
	& ",入院時月齢" _
	& ",入院時日齢" _
	& ",入院経路" _
	& ",入院経路(略称)" _
	& ",退院日" _
	& ",退院時年齢" _
	& ",退院時月齢" _
	& ",退院時日齢" _
	& ",退院経路" _
	& ",退院経路(略称)" _
	& ",退院転帰" _
	& ",退院転帰(略称)" _
	& ",在院日数"

	Private Const excel_HeaderC As String = "" _
	& ",入院フラグ" _
	& ",退院フラグ" _
	& ",主科フラグ" _
	& ",{0}" _
	& ",診療科" _
	& ",診療科(略称)" _
	& ",病棟" _
	& ",病棟(略称)" _
	& ",医師" _
	& ",開始日" _
	& ",開始時年齢" _
	& ",開始時月齢" _
	& ",開始時日齢" _
	& ",開始経路" _
	& ",開始経路(略称)" _
	& ",終了日" _
	& ",終了時年齢" _
	& ",終了時月齢" _
	& ",終了時日齢" _
	& ",終了経路" _
	& ",終了経路(略称)" _
	& ",終了転帰" _
	& ",終了転帰(略称)" _
	& ",在院日数"

	Private Const excel_HeaderW As String = "" _
	& ",カルテ数" _
	& ",カルテ受領日" _
	& ",カルテ受領者" _
	& ",カルテ管理状況" _
	& ",カルテ管理状況(略称)" _
	& ",カルテ保管場所" _
	& ",カルテ保管場所(略称)" _
	& ",カルテ整理状況" _
	& ",カルテ整理状況(略称)" _
	& ",サマリ数" _
	& ",サマリ受領日" _
	& ",サマリ管理状況" _
	& ",サマリ管理状況(略称)" _
	& ",サマリ保管場所" _
	& ",サマリ保管場所(略称)" _
	& ",サマリ作成者" _
	& ",サマリ承認日" _
	& ",他１数" _
	& ",他１受領日" _
	& ",他１管理状況" _
	& ",他１管理状況(略称)" _
	& ",他１保管場所" _
	& ",他１保管場所(略称)" _
	& ",他２数" _
	& ",他２受領日" _
	& ",他２管理状況" _
	& ",他２管理状況(略称)" _
	& ",他２保管場所" _
	& ",他２保管場所(略称)" _
	& ",他３数" _
	& ",他３受領日" _
	& ",他３管理状況" _
	& ",他３管理状況(略称)" _
	& ",他３保管場所" _
	& ",他３保管場所(略称)"


	Private Const excel_HeaderL As String = "" _
	& ",貸出物" _
	& ",貸出物(略称)" _
	& ",伝票コード" _
	& ",貸出目的" _
	& ",貸出目的(略称)" _
	& ",所在場所" _
	& ",所在場所(略称)" _
	& ",貸出日" _
	& ",返却予定日" _
	& ",返却督促日" _
	& ",返却日" _
	& ",借用者部門" _
	& ",借用者部門(略称)" _
	& ",借用者名" _
	& ",帯出者部門" _
	& ",帯出者部門(略称)" _
	& ",帯出者名" _
	& ",貸出取扱者" _
	& ",返却取扱者" _
	& ",備考"

#End Region

#Region "Excel出力"
	''' <summary>
	''' Excel出力
	''' </summary>
	Public Const sqlSel As String = _
	  "SELECT " _
	& " w.PATIENT_NO" _
	& ",w.HSP_HISTORY_NO" _
	& ",w.CH_NO" _
	& sqlColB _
	& sqlColD _
	& sqlColH _
	& sqlColC _
	& sqlColW _
	& sqlColL _
	& " FROM (" & sqlSubL & ") AS w" _
	& sqlTblTarn _
	& sqlTblB _
	& sqlTblD _
	& sqlTblH _
	& sqlTblC _
	& sqlTblW _
	& sqlTblL _
	& " ORDER BY w.OUT_ORDER"

#Region "出力項目"
'(M) STR V4-13006-000 134 20130212 ID)荒川 管理№228 1900年より前の発症日/診断日でExcel出力すると例外エラーが発生する
	'Private Const sqlColB = "" _
	'& ",b.PATIENT_NM" _
	'& ",b.PATIENT_KNM" _
	'& ",XTM_GENDER.GENDER_NM" _
	'& "," & sqlMRPCOMMON.CST_COL_EXCEL_BIRTH _
	'& ",MTM_BLOODTYPE.BLOODTYPE_NM" _
	'& ",MTM_RH.RH_NM" _
	'& ",bc.ZIP_CD" _
	'& ",BC_AREA.AREA_NM,BC_AREA.AREA_RNM" _
	'& ",bc.ADDRESS_NM"
	''' <summary>
	''' 基本
	''' </summary>
	Private Const sqlColB = "" _
	& ",b.PATIENT_NM" _
	& ",b.PATIENT_KNM" _
	& ",XTM_GENDER.GENDER_NM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "b.BIRTH_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS BIRTH_DT" _
	& ",MTM_BLOODTYPE.BLOODTYPE_NM" _
	& ",MTM_RH.RH_NM" _
	& ",bc.ZIP_CD" _
	& ",BC_AREA.AREA_NM,BC_AREA.AREA_RNM" _
	& ",bc.ADDRESS_NM"

	'Private Const sqlColD = "" _
	'& ",MTM_DEATH_LCT.DEATH_LCT_NM,MTM_DEATH_LCT.DEATH_LCT_RNM" _
	'& ",d.DEATH_DT" _
	'& ",d.DEATH_TIME" _
	'& ",d.DEATH_AGE" _
	'& ",d.DEATH_MONTH_AGE" _
	'& ",d.DEATH_DAY_AGE" _
	'& ",MTM_DEATH_DIV.DEATH_DIV_NM,MTM_DEATH_DIV.DEATH_DIV_RNM" _
	'& ",MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_NM,MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_RNM" _
	'& "," & sqlMRPCOMMON.sqlCHK_NM_S & "d.AUTOPSY_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "AUTOPSY_CHK" _
	'& ",d.AUTOPSY_NO"
	''' <summary>
	''' 死亡
	''' </summary>
	Private Const sqlColD = "" _
	& ",MTM_DEATH_LCT.DEATH_LCT_NM,MTM_DEATH_LCT.DEATH_LCT_RNM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "d.DEATH_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS DEATH_DT" _
	& ",d.DEATH_TIME" _
	& ",d.DEATH_AGE" _
	& ",d.DEATH_MONTH_AGE" _
	& ",d.DEATH_DAY_AGE" _
	& ",MTM_DEATH_DIV.DEATH_DIV_NM,MTM_DEATH_DIV.DEATH_DIV_RNM" _
	& ",MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_NM,MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_RNM" _
	& "," & sqlMRPCOMMON.sqlCHK_NM_S & "d.AUTOPSY_CHK" & sqlMRPCOMMON.sqlCHK_NM_E & "AUTOPSY_CHK" _
	& ",d.AUTOPSY_NO"

	'Private Const sqlColH As String = "" _
	'& ",h.BYOREKI_NO" _
	'& ",H_DEPT.DEPT_NM,H_DEPT.DEPT_RNM" _
	'& ",H_WARD.WARD_NM,H_WARD.WARD_RNM" _
	'& ",H_STAFF.STAFF_NM" _
	'& ",h.HSP_DT" _
	'& ",h.HSP_AGE" _
	'& ",h.HSP_MONTH_AGE" _
	'& ",h.HSP_DAY_AGE" _
	'& ",H_CNL.HSP_CNL_NM,H_CNL.HSP_CNL_RNM" _
	'& ",h.OUT_HSP_DT" _
	'& ",h.OUT_HSP_AGE" _
	'& ",h.OUT_HSP_MONTH_AGE" _
	'& ",h.OUT_HSP_DAY_AGE" _
	'& ",H_O_CNL.OUT_HSP_CNL_NM,H_O_CNL.OUT_HSP_CNL_RNM" _
	'& ",H_OUTCOME.OUT_HSP_OUTCOME_NM,H_OUTCOME.OUT_HSP_OUTCOME_RNM" _
	'& ",h.HSP_DAYS"
	''' <summary>
	''' 入退院
	''' </summary>
	Private Const sqlColH As String = "" _
	& ",h.BYOREKI_NO" _
	& ",H_DEPT.DEPT_NM,H_DEPT.DEPT_RNM" _
	& ",H_WARD.WARD_NM,H_WARD.WARD_RNM" _
	& ",H_STAFF.STAFF_NM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "h.HSP_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS HSP_DT" _
	& ",h.HSP_AGE" _
	& ",h.HSP_MONTH_AGE" _
	& ",h.HSP_DAY_AGE" _
	& ",H_CNL.HSP_CNL_NM,H_CNL.HSP_CNL_RNM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "h.OUT_HSP_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS OUT_HSP_DT" _
	& ",h.OUT_HSP_AGE" _
	& ",h.OUT_HSP_MONTH_AGE" _
	& ",h.OUT_HSP_DAY_AGE" _
	& ",H_O_CNL.OUT_HSP_CNL_NM,H_O_CNL.OUT_HSP_CNL_RNM" _
	& ",H_OUTCOME.OUT_HSP_OUTCOME_NM,H_OUTCOME.OUT_HSP_OUTCOME_RNM" _
	& ",h.HSP_DAYS"

	'Private Const sqlColC As String = "" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.HSP_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "HSP_FLG" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.OUT_HSP_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "OUT_HSP_FLG" _
	'& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.MAIN_DPM_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "MAIN_DPM_FLG" _
	'& ", c.BYOREKI_NO" _
	'& ", C_DEPT.DEPT_NM, C_DEPT.DEPT_RNM" _
	'& ", C_WARD.WARD_NM, C_WARD.WARD_RNM" _
	'& ", C_STAFF.STAFF_NM" _
	'& ", c.START_DT" _
	'& ", c.START_AGE" _
	'& ", c.START_MONTH_AGE" _
	'& ", c.START_DAY_AGE" _
	'& ", C_CNL.HSP_CNL_NM,C_CNL.HSP_CNL_RNM" _
	'& ", c.END_DT" _
	'& ", c.END_AGE" _
	'& ", c.END_MONTH_AGE" _
	'& ", c.END_DAY_AGE" _
	'& ", C_O_CNL.OUT_HSP_CNL_NM, C_O_CNL.OUT_HSP_CNL_RNM" _
	'& ", C_OUTCOME.OUT_HSP_OUTCOME_NM, C_OUTCOME.OUT_HSP_OUTCOME_RNM" _
	'& ", c.HSP_DAYS"
	''' <summary>
	''' 科歴情報
	''' </summary>
	''' <remarks></remarks>
	Private Const sqlColC As String = "" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.HSP_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "HSP_FLG" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.OUT_HSP_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "OUT_HSP_FLG" _
	& "," & sqlMRPCOMMON.sqlFLG_NM_S & "c.MAIN_DPM_FLG" & sqlMRPCOMMON.sqlFLG_NM_E & "MAIN_DPM_FLG" _
	& ", c.BYOREKI_NO" _
	& ", C_DEPT.DEPT_NM, C_DEPT.DEPT_RNM" _
	& ", C_WARD.WARD_NM, C_WARD.WARD_RNM" _
	& ", C_STAFF.STAFF_NM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "c.START_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS START_DT" _
	& ", c.START_AGE" _
	& ", c.START_MONTH_AGE" _
	& ", c.START_DAY_AGE" _
	& ", C_CNL.HSP_CNL_NM,C_CNL.HSP_CNL_RNM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "c.END_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS END_DT" _
	& ", c.END_AGE" _
	& ", c.END_MONTH_AGE" _
	& ", c.END_DAY_AGE" _
	& ", C_O_CNL.OUT_HSP_CNL_NM, C_O_CNL.OUT_HSP_CNL_RNM" _
	& ", C_OUTCOME.OUT_HSP_OUTCOME_NM, C_OUTCOME.OUT_HSP_OUTCOME_RNM" _
	& ", c.HSP_DAYS"
'(M) END V4-13006-000 134

	''' <summary>
	''' 管理物情報
	''' </summary>
	Private Const sqlColW = "" _
	& ",w.RECORD_COUNT" _
	& ",w.RECORD_RECEIPT_DT" _
	& ",L1_STF.STAFF_NM" _
	& ",L1_MNG.MNGSTATUS_NM ,L1_MNG.MNGSTATUS1_RNM" _
	& ",L1_LCT.KEEPLCT_NM   ,L1_LCT.KEEPLCT_RNM" _
	& ",L1_ARG.ARG_STATUS_NM,L1_ARG.ARG_STATUS_RNM" _
	& ",w.SUMMARY_COUNT" _
	& ",w.SUMMARY_RECEIPT_DT" _
	& ",L2_MNG.MNGSTATUS_NM ,L2_MNG.MNGSTATUS1_RNM" _
	& ",L2_LCT.KEEPLCT_NM   ,L2_LCT.KEEPLCT_RNM" _
	& ",L2_STF.STAFF_NM" _
	& ",w.SUMMARY_APPROVAL_DT" _
	& ",w.OTHER1_COUNT" _
	& ",w.OTHER1_RECEIPT_DT" _
	& ",L3_MNG.MNGSTATUS_NM ,L3_MNG.MNGSTATUS1_RNM" _
	& ",L3_LCT.KEEPLCT_NM   ,L3_LCT.KEEPLCT_RNM" _
	& ",w.OTHER2_COUNT" _
	& ",w.OTHER2_RECEIPT_DT" _
	& ",L4_MNG.MNGSTATUS_NM ,L4_MNG.MNGSTATUS1_RNM" _
	& ",L4_LCT.KEEPLCT_NM   ,L4_LCT.KEEPLCT_RNM" _
	& ",w.OTHER3_COUNT" _
	& ",w.OTHER3_RECEIPT_DT" _
	& ",L5_MNG.MNGSTATUS_NM ,L5_MNG.MNGSTATUS1_RNM" _
	& ",L5_LCT.KEEPLCT_NM   ,L5_LCT.KEEPLCT_RNM"

'(M) STR V4-13006-000 037 20130212 ID)荒川 管理№228 1900年より前の発症日/診断日でExcel出力すると例外エラーが発生する
	'Private Const sqlColL = "" _
	'& ",MTM_LENDITEM.LENDITEM_NM,MTM_LENDITEM.LENDITEM_RNM" _
	'& ",l.SLIP_CD" _
	'& ",MTM_LENDAIM.LENDAIM_NM,MTM_LENDAIM.LENDAIM_RNM" _
	'& ",MTM_LENDITEM_LCT.LCT_NM,MTM_LENDITEM_LCT.LCT_RNM" _
	'& ",l.ISSUE_DT" _
	'& ",l.EXPECTBACK_DT" _
	'& ",l.URGEDBACK_DT" _
	'& ",l.BACK_DT" _
	'& ",L_STDB.STAFFDIV_NM,L_STDB.STAFFDIV_RNM" _
	'& ",l.BORROWER_NM" _
	'& ",L_STDT.STAFFDIV_NM,L_STDT.STAFFDIV_RNM" _
	'& ",l.TAKER_NM" _
	'& ",L_STFL.STAFF_NM" _
	'& ",L_STFB.STAFF_NM" _
	'& ",l.REMARKS"
	''' <summary>
	''' 貸出情報
	''' </summary>
	Private Const sqlColL = "" _
	& ",MTM_LENDITEM.LENDITEM_NM,MTM_LENDITEM.LENDITEM_RNM" _
	& ",l.SLIP_CD" _
	& ",MTM_LENDAIM.LENDAIM_NM,MTM_LENDAIM.LENDAIM_RNM" _
	& ",MTM_LENDITEM_LCT.LCT_NM,MTM_LENDITEM_LCT.LCT_RNM" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "l.ISSUE_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS ISSUE_DT" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "l.EXPECTBACK_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS EXPECTBACK_DT" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "l.URGEDBACK_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS URGEDBACK_DT" _
	& "," & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "l.BACK_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED & " AS BACK_DT" _
	& ",L_STDB.STAFFDIV_NM,L_STDB.STAFFDIV_RNM" _
	& ",l.BORROWER_NM" _
	& ",L_STDT.STAFFDIV_NM,L_STDT.STAFFDIV_RNM" _
	& ",l.TAKER_NM" _
	& ",L_STFL.STAFF_NM" _
	& ",L_STFB.STAFF_NM" _
	& ",l.REMARKS"
'(M) END V4-13006-000 037
#End Region

#Region "FROM句"

	''' <summary>
	''' From句(トラン)
	''' </summary>
	Private Const sqlTblTarn = "" _
	& "  LEFT JOIN XTI_BASICINFO AS b       ON w.PATIENT_NO          = b.PATIENT_NO" _
	& "  LEFT JOIN MTI_DEATH     AS d       ON w.PATIENT_NO          = d.PATIENT_NO" _
	& "  LEFT JOIN MTI_HSP       AS h       ON w.PATIENT_NO          = h.PATIENT_NO" _
	& "                                    AND w.HSP_HISTORY_NO      = h.HSP_HISTORY_NO" _
	& "  LEFT JOIN MTI_CH        AS bc      ON w.PATIENT_NO          = bc.PATIENT_NO" _
	& "                                    AND w.NEW_HSP_NO          = bc.HSP_HISTORY_NO" _
	& "                                    AND w.NEW_CH_NO           = bc.CH_NO" _
	& "  LEFT JOIN MTI_CH        AS c       ON w.PATIENT_NO          = c.PATIENT_NO" _
	& "                                    AND w.HSP_HISTORY_NO      = c.HSP_HISTORY_NO" _
	& "                                    AND w.CH_NO				 = c.CH_NO" _
	& "  LEFT JOIN MTI_LEND      AS l       ON w.PATIENT_NO          = l.PATIENT_NO" _
	& "                                    AND w.HSP_HISTORY_NO      = l.HSP_HISTORY_NO" _
	& "                                    AND w.CH_NO				 = l.CH_NO" _
	& "									   AND " & sqlMRPCOMMON.prmLENDITEM_CD & " = l.LENDITEM_CD" _
	& "									   AND l.BACK_DT			 IS NULL"
'(M) STR V4-13006-000 127 20130212 ID)荒川 管理№228 1900年より前の発症日/診断日でExcel出力すると例外エラーが発生する
	'Private Const sqlSubL = "" _
	'& "SELECT" _
	'& " r.OUT_ORDER" _
	'& ",r.PATIENT_NO" _
	'& ",r.HSP_HISTORY_NO" _
	'& ",r.CH_NO" _
	'& ",r.NEW_HSP_NO" _
	'& ",r.NEW_CH_NO" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_M & sqlCASE_UNIT_C & "RECORD_COUNT         " & sqlCASE_UNIT_H & "RECORD_COUNT         " & sqlCASE_UNIT_B & "RECORD_COUNT         " & sqlCASE_UNIT_E & "RECORD_COUNT" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_M & sqlCASE_UNIT_C & "RECORD_RECEIPT_DT    " & sqlCASE_UNIT_H & "RECORD_RECEIPT_DT    " & sqlCASE_UNIT_B & "RECORD_RECEIPT_DT    " & sqlCASE_UNIT_E & "RECORD_RECEIPT_DT" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_M & sqlCASE_UNIT_C & "RECORD_RECIPIENT_CD  " & sqlCASE_UNIT_H & "RECORD_RECIPIENT_CD  " & sqlCASE_UNIT_B & "RECORD_RECIPIENT_CD  " & sqlCASE_UNIT_E & "RECORD_RECIPIENT_CD" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_M & sqlCASE_UNIT_C & "RECORD_KEEPLCT_CD    " & sqlCASE_UNIT_H & "RECORD_KEEPLCT_CD    " & sqlCASE_UNIT_B & "RECORD_KEEPLCT_CD    " & sqlCASE_UNIT_E & "RECORD_KEEPLCT_CD" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_M & sqlCASE_UNIT_C & "RECORD_ARG_STATUS_CD " & sqlCASE_UNIT_H & "RECORD_ARG_STATUS_CD " & sqlCASE_UNIT_B & "RECORD_ARG_STATUS_CD " & sqlCASE_UNIT_E & "RECORD_ARG_STATUS_CD" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_M & sqlCASE_UNIT_C & "RECORD_MNGSTATUS_CD  " & sqlCASE_UNIT_H & "RECORD_MNGSTATUS_CD  " & sqlCASE_UNIT_B & "RECORD_MNGSTATUS_CD  " & sqlCASE_UNIT_E & "RECORD_MNGSTATUS_CD" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_S & sqlCASE_UNIT_C & "SUMMARY_COUNT        " & sqlCASE_UNIT_H & "SUMMARY_COUNT        " & sqlCASE_UNIT_B & "SUMMARY_COUNT        " & sqlCASE_UNIT_E & "SUMMARY_COUNT" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_S & sqlCASE_UNIT_C & "SUMMARY_RECEIPT_DT   " & sqlCASE_UNIT_H & "SUMMARY_RECEIPT_DT   " & sqlCASE_UNIT_B & "SUMMARY_RECEIPT_DT   " & sqlCASE_UNIT_E & "SUMMARY_RECEIPT_DT" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_S & sqlCASE_UNIT_C & "SUMMARY_KEEPLCT_CD   " & sqlCASE_UNIT_H & "SUMMARY_KEEPLCT_CD   " & sqlCASE_UNIT_B & "SUMMARY_KEEPLCT_CD   " & sqlCASE_UNIT_E & "SUMMARY_KEEPLCT_CD" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_S & sqlCASE_UNIT_C & "SUMMARY_MAKER_CD     " & sqlCASE_UNIT_H & "SUMMARY_MAKER_CD     " & sqlCASE_UNIT_B & "SUMMARY_MAKER_CD     " & sqlCASE_UNIT_E & "SUMMARY_MAKER_CD" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_S & sqlCASE_UNIT_C & "SUMMARY_MNGSTATUS_CD " & sqlCASE_UNIT_H & "SUMMARY_MNGSTATUS_CD " & sqlCASE_UNIT_B & "SUMMARY_MNGSTATUS_CD " & sqlCASE_UNIT_E & "SUMMARY_MNGSTATUS_CD" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_S & sqlCASE_UNIT_C & "SUMMARY_APPROVAL_DT  " & sqlCASE_UNIT_H & "SUMMARY_APPROVAL_DT  " & sqlCASE_UNIT_B & "SUMMARY_APPROVAL_DT  " & sqlCASE_UNIT_E & "SUMMARY_APPROVAL_DT" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_1 & sqlCASE_UNIT_C & "OTHER1_COUNT         " & sqlCASE_UNIT_H & "OTHER1_COUNT         " & sqlCASE_UNIT_B & "OTHER1_COUNT         " & sqlCASE_UNIT_E & "OTHER1_COUNT" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_1 & sqlCASE_UNIT_C & "OTHER1_RECEIPT_DT    " & sqlCASE_UNIT_H & "OTHER1_RECEIPT_DT    " & sqlCASE_UNIT_B & "OTHER1_RECEIPT_DT    " & sqlCASE_UNIT_E & "OTHER1_RECEIPT_DT" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_1 & sqlCASE_UNIT_C & "OTHER1_KEEPLCT_CD    " & sqlCASE_UNIT_H & "OTHER1_KEEPLCT_CD    " & sqlCASE_UNIT_B & "OTHER1_KEEPLCT_CD    " & sqlCASE_UNIT_E & "OTHER1_KEEPLCT_CD" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_1 & sqlCASE_UNIT_C & "OTHER1_MNGSTATUS_CD  " & sqlCASE_UNIT_H & "OTHER1_MNGSTATUS_CD  " & sqlCASE_UNIT_B & "OTHER1_MNGSTATUS_CD  " & sqlCASE_UNIT_E & "OTHER1_MNGSTATUS_CD" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_2 & sqlCASE_UNIT_C & "OTHER2_COUNT         " & sqlCASE_UNIT_H & "OTHER2_COUNT         " & sqlCASE_UNIT_B & "OTHER2_COUNT         " & sqlCASE_UNIT_E & "OTHER2_COUNT" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_2 & sqlCASE_UNIT_C & "OTHER2_RECEIPT_DT    " & sqlCASE_UNIT_H & "OTHER2_RECEIPT_DT    " & sqlCASE_UNIT_B & "OTHER2_RECEIPT_DT    " & sqlCASE_UNIT_E & "OTHER2_RECEIPT_DT" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_2 & sqlCASE_UNIT_C & "OTHER2_KEEPLCT_CD    " & sqlCASE_UNIT_H & "OTHER2_KEEPLCT_CD    " & sqlCASE_UNIT_B & "OTHER2_KEEPLCT_CD    " & sqlCASE_UNIT_E & "OTHER2_KEEPLCT_CD" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_2 & sqlCASE_UNIT_C & "OTHER2_MNGSTATUS_CD  " & sqlCASE_UNIT_H & "OTHER2_MNGSTATUS_CD  " & sqlCASE_UNIT_B & "OTHER2_MNGSTATUS_CD  " & sqlCASE_UNIT_E & "OTHER2_MNGSTATUS_CD" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_3 & sqlCASE_UNIT_C & "OTHER3_COUNT         " & sqlCASE_UNIT_H & "OTHER3_COUNT         " & sqlCASE_UNIT_B & "OTHER3_COUNT         " & sqlCASE_UNIT_E & "OTHER3_COUNT" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_3 & sqlCASE_UNIT_C & "OTHER3_RECEIPT_DT    " & sqlCASE_UNIT_H & "OTHER3_RECEIPT_DT    " & sqlCASE_UNIT_B & "OTHER3_RECEIPT_DT    " & sqlCASE_UNIT_E & "OTHER3_RECEIPT_DT" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_3 & sqlCASE_UNIT_C & "OTHER3_KEEPLCT_CD    " & sqlCASE_UNIT_H & "OTHER3_KEEPLCT_CD    " & sqlCASE_UNIT_B & "OTHER3_KEEPLCT_CD    " & sqlCASE_UNIT_E & "OTHER3_KEEPLCT_CD" _
	'& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_3 & sqlCASE_UNIT_C & "OTHER3_MNGSTATUS_CD  " & sqlCASE_UNIT_H & "OTHER3_MNGSTATUS_CD  " & sqlCASE_UNIT_B & "OTHER3_MNGSTATUS_CD  " & sqlCASE_UNIT_E & "OTHER3_MNGSTATUS_CD" _
	'& " FROM MTW_SEARCH_WORK   AS r" _
	'& " INNER JOIN MTI_LENDITM  AS ic	 ON r.PATIENT_NO		    = ic.PATIENT_NO" _
	'& "									AND r.HSP_HISTORY_NO	    = ic.HSP_HISTORY_NO" _
	'& "									AND r.CH_NO				    = ic.CH_NO" _
	'& "  LEFT JOIN MTI_LENDITM	AS ih	 ON r.PATIENT_NO		    = ih.PATIENT_NO" _
	'& "									AND r.HSP_HISTORY_NO	    = ih.HSP_HISTORY_NO" _
	'& "									AND 0					    = ih.CH_NO" _
	'& "  LEFT JOIN MTI_LENDITM	AS ib	 ON r.PATIENT_NO		    = ib.PATIENT_NO" _
	'& "									AND 0					    = ib.HSP_HISTORY_NO" _
	'& "									AND 0					    = ib.CH_NO" _
	'& " WHERE r.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM

	'Private Const sqlCASE_UNIT_S As String = ",CASE "
	'Private Const sqlCASE_UNIT_C As String = " WHEN " & sqlMRPCOMMON.prmLENDUNIT_VALC & " THEN ic."
	'Private Const sqlCASE_UNIT_H As String = " WHEN " & sqlMRPCOMMON.prmLENDUNIT_VALH & " THEN ih."
	'Private Const sqlCASE_UNIT_B As String = " WHEN " & sqlMRPCOMMON.prmLENDUNIT_VALB & " THEN ib."
	'Private Const sqlCASE_UNIT_E As String = " ELSE NULL END AS "
	''' <summary>
	''' 管理物
	''' </summary>
	Private Const sqlSubL = "" _
	& "SELECT" _
	& " r.OUT_ORDER" _
	& ",r.PATIENT_NO" _
	& ",r.HSP_HISTORY_NO" _
	& ",r.CH_NO" _
	& ",r.NEW_HSP_NO" _
	& ",r.NEW_CH_NO" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_M & sqlCASE_UNIT_C & "ic.RECORD_COUNT         " & sqlCASE_UNIT_H & "ih.RECORD_COUNT         " & sqlCASE_UNIT_B & "ib.RECORD_COUNT         " & sqlCASE_UNIT_E & "RECORD_COUNT" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_M _
	& sqlCASE_UNIT_C & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "ic.RECORD_RECEIPT_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED _
	& sqlCASE_UNIT_H & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "ih.RECORD_RECEIPT_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED _
	& sqlCASE_UNIT_B & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "ib.RECORD_RECEIPT_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED _
	& sqlCASE_UNIT_E & "RECORD_RECEIPT_DT" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_M & sqlCASE_UNIT_C & "ic.RECORD_RECIPIENT_CD  " & sqlCASE_UNIT_H & "ih.RECORD_RECIPIENT_CD  " & sqlCASE_UNIT_B & "ib.RECORD_RECIPIENT_CD  " & sqlCASE_UNIT_E & "RECORD_RECIPIENT_CD" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_M & sqlCASE_UNIT_C & "ic.RECORD_KEEPLCT_CD    " & sqlCASE_UNIT_H & "ih.RECORD_KEEPLCT_CD    " & sqlCASE_UNIT_B & "ib.RECORD_KEEPLCT_CD    " & sqlCASE_UNIT_E & "RECORD_KEEPLCT_CD" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_M & sqlCASE_UNIT_C & "ic.RECORD_ARG_STATUS_CD " & sqlCASE_UNIT_H & "ih.RECORD_ARG_STATUS_CD " & sqlCASE_UNIT_B & "ib.RECORD_ARG_STATUS_CD " & sqlCASE_UNIT_E & "RECORD_ARG_STATUS_CD" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_M & sqlCASE_UNIT_C & "ic.RECORD_MNGSTATUS_CD  " & sqlCASE_UNIT_H & "ih.RECORD_MNGSTATUS_CD  " & sqlCASE_UNIT_B & "ib.RECORD_MNGSTATUS_CD  " & sqlCASE_UNIT_E & "RECORD_MNGSTATUS_CD" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_S & sqlCASE_UNIT_C & "ic.SUMMARY_COUNT        " & sqlCASE_UNIT_H & "ih.SUMMARY_COUNT        " & sqlCASE_UNIT_B & "ib.SUMMARY_COUNT        " & sqlCASE_UNIT_E & "SUMMARY_COUNT" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_S _
	& sqlCASE_UNIT_C & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "ic.SUMMARY_RECEIPT_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED _
	& sqlCASE_UNIT_H & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "ih.SUMMARY_RECEIPT_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED _
	& sqlCASE_UNIT_B & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "ib.SUMMARY_RECEIPT_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED _
	& sqlCASE_UNIT_E & "SUMMARY_RECEIPT_DT" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_S & sqlCASE_UNIT_C & "ic.SUMMARY_KEEPLCT_CD   " & sqlCASE_UNIT_H & "ih.SUMMARY_KEEPLCT_CD   " & sqlCASE_UNIT_B & "ib.SUMMARY_KEEPLCT_CD   " & sqlCASE_UNIT_E & "SUMMARY_KEEPLCT_CD" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_S & sqlCASE_UNIT_C & "ic.SUMMARY_MAKER_CD     " & sqlCASE_UNIT_H & "ih.SUMMARY_MAKER_CD     " & sqlCASE_UNIT_B & "ib.SUMMARY_MAKER_CD     " & sqlCASE_UNIT_E & "SUMMARY_MAKER_CD" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_S & sqlCASE_UNIT_C & "ic.SUMMARY_MNGSTATUS_CD " & sqlCASE_UNIT_H & "ih.SUMMARY_MNGSTATUS_CD " & sqlCASE_UNIT_B & "ib.SUMMARY_MNGSTATUS_CD " & sqlCASE_UNIT_E & "SUMMARY_MNGSTATUS_CD" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_S _
	& sqlCASE_UNIT_C & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "ic.SUMMARY_APPROVAL_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED _
	& sqlCASE_UNIT_H & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "ih.SUMMARY_APPROVAL_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED _
	& sqlCASE_UNIT_B & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "ib.SUMMARY_APPROVAL_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED _
	& sqlCASE_UNIT_E & "SUMMARY_APPROVAL_DT" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_1 & sqlCASE_UNIT_C & "ic.OTHER1_COUNT         " & sqlCASE_UNIT_H & "ih.OTHER1_COUNT         " & sqlCASE_UNIT_B & "ib.OTHER1_COUNT         " & sqlCASE_UNIT_E & "OTHER1_COUNT" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_1 _
	& sqlCASE_UNIT_C & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "ic.OTHER1_RECEIPT_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED _
	& sqlCASE_UNIT_H & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "ih.OTHER1_RECEIPT_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED _
	& sqlCASE_UNIT_B & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "ib.OTHER1_RECEIPT_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED _
	& sqlCASE_UNIT_E & "OTHER1_RECEIPT_DT" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_1 & sqlCASE_UNIT_C & "ic.OTHER1_KEEPLCT_CD    " & sqlCASE_UNIT_H & "ih.OTHER1_KEEPLCT_CD    " & sqlCASE_UNIT_B & "ib.OTHER1_KEEPLCT_CD    " & sqlCASE_UNIT_E & "OTHER1_KEEPLCT_CD" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_1 & sqlCASE_UNIT_C & "ic.OTHER1_MNGSTATUS_CD  " & sqlCASE_UNIT_H & "ih.OTHER1_MNGSTATUS_CD  " & sqlCASE_UNIT_B & "ib.OTHER1_MNGSTATUS_CD  " & sqlCASE_UNIT_E & "OTHER1_MNGSTATUS_CD" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_2 & sqlCASE_UNIT_C & "ic.OTHER2_COUNT         " & sqlCASE_UNIT_H & "ih.OTHER2_COUNT         " & sqlCASE_UNIT_B & "ib.OTHER2_COUNT         " & sqlCASE_UNIT_E & "OTHER2_COUNT" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_2 _
	& sqlCASE_UNIT_C & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "ic.OTHER2_RECEIPT_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED _
	& sqlCASE_UNIT_H & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "ih.OTHER2_RECEIPT_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED _
	& sqlCASE_UNIT_B & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "ib.OTHER2_RECEIPT_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED _
	& sqlCASE_UNIT_E & "OTHER2_RECEIPT_DT" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_2 & sqlCASE_UNIT_C & "ic.OTHER2_KEEPLCT_CD    " & sqlCASE_UNIT_H & "ih.OTHER2_KEEPLCT_CD    " & sqlCASE_UNIT_B & "ib.OTHER2_KEEPLCT_CD    " & sqlCASE_UNIT_E & "OTHER2_KEEPLCT_CD" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_2 & sqlCASE_UNIT_C & "ic.OTHER2_MNGSTATUS_CD  " & sqlCASE_UNIT_H & "ih.OTHER2_MNGSTATUS_CD  " & sqlCASE_UNIT_B & "ib.OTHER2_MNGSTATUS_CD  " & sqlCASE_UNIT_E & "OTHER2_MNGSTATUS_CD" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_3 & sqlCASE_UNIT_C & "ic.OTHER3_COUNT         " & sqlCASE_UNIT_H & "ih.OTHER3_COUNT         " & sqlCASE_UNIT_B & "ib.OTHER3_COUNT         " & sqlCASE_UNIT_E & "OTHER3_COUNT" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_3 _
	& sqlCASE_UNIT_C & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "ic.OTHER3_RECEIPT_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED _
	& sqlCASE_UNIT_H & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "ih.OTHER3_RECEIPT_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED _
	& sqlCASE_UNIT_B & sqlMRPCOMMON.CST_CNV_EXCEL_ST & "ib.OTHER3_RECEIPT_DT" & sqlMRPCOMMON.CST_CNV_EXCEL_ED _
	& sqlCASE_UNIT_E & "OTHER3_RECEIPT_DT" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_3 & sqlCASE_UNIT_C & "ic.OTHER3_KEEPLCT_CD    " & sqlCASE_UNIT_H & "ih.OTHER3_KEEPLCT_CD    " & sqlCASE_UNIT_B & "ib.OTHER3_KEEPLCT_CD    " & sqlCASE_UNIT_E & "OTHER3_KEEPLCT_CD" _
	& sqlCASE_UNIT_S & sqlMRPCOMMON.prmLENDUNIT_3 & sqlCASE_UNIT_C & "ic.OTHER3_MNGSTATUS_CD  " & sqlCASE_UNIT_H & "ih.OTHER3_MNGSTATUS_CD  " & sqlCASE_UNIT_B & "ib.OTHER3_MNGSTATUS_CD  " & sqlCASE_UNIT_E & "OTHER3_MNGSTATUS_CD" _
	& " FROM MTW_SEARCH_WORK   AS r" _
	& " INNER JOIN MTI_LENDITM  AS ic	 ON r.PATIENT_NO		    = ic.PATIENT_NO" _
	& "									AND r.HSP_HISTORY_NO	    = ic.HSP_HISTORY_NO" _
	& "									AND r.CH_NO				    = ic.CH_NO" _
	& "  LEFT JOIN MTI_LENDITM	AS ih	 ON r.PATIENT_NO		    = ih.PATIENT_NO" _
	& "									AND r.HSP_HISTORY_NO	    = ih.HSP_HISTORY_NO" _
	& "									AND 0					    = ih.CH_NO" _
	& "  LEFT JOIN MTI_LENDITM	AS ib	 ON r.PATIENT_NO		    = ib.PATIENT_NO" _
	& "									AND 0					    = ib.HSP_HISTORY_NO" _
	& "									AND 0					    = ib.CH_NO" _
	& " WHERE r.HOST_NM = " & sqlMRPCOMMON.prmHOST_NM

	Private Const sqlCASE_UNIT_S As String = ",CASE "
	Private Const sqlCASE_UNIT_C As String = " WHEN " & sqlMRPCOMMON.prmLENDUNIT_VALC & " THEN "
	Private Const sqlCASE_UNIT_H As String = " WHEN " & sqlMRPCOMMON.prmLENDUNIT_VALH & " THEN "
	Private Const sqlCASE_UNIT_B As String = " WHEN " & sqlMRPCOMMON.prmLENDUNIT_VALB & " THEN "
	Private Const sqlCASE_UNIT_E As String = " ELSE NULL END AS "
'(M) END V4-13006-000 127

	''' <summary>
	''' 基本 マスタ
	''' </summary>
	Private Const sqlTblB = "" _
	& "  LEFT JOIN XTM_GENDER               ON b.GENDER_CD           = XTM_GENDER.GENDER_CD" _
	& "  LEFT JOIN MTM_BLOODTYPE            ON b.BLOODTYPE_CD        = MTM_BLOODTYPE.BLOODTYPE_CD" _
	& "  LEFT JOIN MTM_RH                   ON b.RH_CD               = MTM_RH.RH_CD" _
	& "  LEFT JOIN MTM_AREA AS BC_AREA      ON bc.AREA_CD            = BC_AREA.AREA_CD"

	''' <summary>
	''' 死亡　マスタ
	''' </summary>
	Private Const sqlTblD = "" _
	& "  LEFT JOIN MTM_DEATH_LCT            ON d.DEATH_LCT_CD        = MTM_DEATH_LCT.DEATH_LCT_CD" _
	& "  LEFT JOIN MTM_DEATH_DIV            ON d.DEATH_DIV           = MTM_DEATH_DIV.DEATH_DIV_CD" _
	& "  LEFT JOIN MTM_AFTER_OPE_DEATH_DIV  ON d.AFTER_OPE_DEATH_DIV = MTM_AFTER_OPE_DEATH_DIV.AFTER_OPE_DEATH_DIV_CD"

	''' <summary>
	''' 入退院　マスタ
	''' </summary>
	Public Const sqlTblH As String = "" _
	& "  LEFT JOIN MTM_DEPT             AS H_DEPT    ON h.DEPT_CD             = H_DEPT.DEPT_CD" _
	& "  LEFT JOIN MTM_WARD             AS H_WARD    ON h.WARD_CD			  = H_WARD.WARD_CD" _
	& "  LEFT JOIN XTM_STAFF            AS H_STAFF   ON h.DOCTOR_CD			  = H_STAFF.STAFF_CD" _
	& "  LEFT JOIN MTM_HSP_CNL          AS H_CNL     ON h.HSP_CNL_CD          = H_CNL.HSP_CNL_CD" _
	& "  LEFT JOIN MTM_OUT_HSP_CNL      AS H_O_CNL   ON h.OUT_HSP_CNL_CD      = H_O_CNL.OUT_HSP_CNL_CD" _
	& "  LEFT JOIN MTM_OUT_HSP_OUTCOME  AS H_OUTCOME ON h.OUT_HSP_OUTCOME_CD  = H_OUTCOME.OUT_HSP_OUTCOME_CD"

	''' <summary>
	''' 科歴テーブル
	''' </summary>
	Private Const sqlTblC As String = "" _
	& "  LEFT JOIN MTM_DEPT				AS C_DEPT	 ON c.DEPT_CD				= C_DEPT.DEPT_CD" _
	& "  LEFT JOIN MTM_WARD				AS C_WARD	 ON c.WARD_CD				= C_WARD.WARD_CD" _
	& "  LEFT JOIN XTM_STAFF			AS C_STAFF   ON c.DOCTOR_CD				= C_STAFF.STAFF_CD" _
	& "  LEFT JOIN MTM_HSP_CNL			AS C_CNL     ON c.START_CNL_CD			= C_CNL.HSP_CNL_CD" _
	& "  LEFT JOIN MTM_OUT_HSP_CNL		AS C_O_CNL	 ON c.END_CNL_CD			= C_O_CNL.OUT_HSP_CNL_CD" _
	& "  LEFT JOIN MTM_OUT_HSP_OUTCOME	AS C_OUTCOME ON c.END_OUTCOME_CD		= C_OUTCOME.OUT_HSP_OUTCOME_CD"

	''' <summary>
	''' 管理物情報　マスタ
	''' </summary>
	Private Const sqlTblW = "" _
	& "  LEFT JOIN MTM_LENDITEM_MNGSTATUS	AS L1_MNG	 ON " & sqlMRPCOMMON.prmLENDITEM_M & " = L1_MNG.LENDITEM_CD AND w.RECORD_MNGSTATUS_CD   = L1_MNG.MNGSTATUS_CD" _
	& "  LEFT JOIN MTM_LENDITEM_KEEPLCT		AS L1_LCT	 ON " & sqlMRPCOMMON.prmLENDITEM_M & " = L1_LCT.LENDITEM_CD AND w.RECORD_KEEPLCT_CD		= L1_LCT.KEEPLCT_CD" _
	& "  LEFT JOIN MTM_LENDITEM_ARG_STATUS	AS L1_ARG	 ON " & sqlMRPCOMMON.prmLENDITEM_M & " = L1_ARG.LENDITEM_CD AND w.RECORD_ARG_STATUS_CD  = L1_ARG.ARG_STATUS_CD" _
	& "  LEFT JOIN MTM_LENDITEM_MNGSTATUS	AS L2_MNG	 ON " & sqlMRPCOMMON.prmLENDITEM_S & " = L2_MNG.LENDITEM_CD AND w.SUMMARY_MNGSTATUS_CD  = L2_MNG.MNGSTATUS_CD" _
	& "  LEFT JOIN MTM_LENDITEM_KEEPLCT		AS L2_LCT	 ON " & sqlMRPCOMMON.prmLENDITEM_S & " = L2_LCT.LENDITEM_CD AND w.SUMMARY_KEEPLCT_CD	= L2_LCT.KEEPLCT_CD" _
	& "  LEFT JOIN MTM_LENDITEM_MNGSTATUS	AS L3_MNG	 ON " & sqlMRPCOMMON.prmLENDITEM_1 & " = L3_MNG.LENDITEM_CD AND w.OTHER1_MNGSTATUS_CD   = L3_MNG.MNGSTATUS_CD" _
	& "  LEFT JOIN MTM_LENDITEM_KEEPLCT		AS L3_LCT	 ON " & sqlMRPCOMMON.prmLENDITEM_1 & " = L3_LCT.LENDITEM_CD AND w.OTHER1_KEEPLCT_CD		= L3_LCT.KEEPLCT_CD" _
	& "  LEFT JOIN MTM_LENDITEM_MNGSTATUS	AS L4_MNG	 ON " & sqlMRPCOMMON.prmLENDITEM_2 & " = L4_MNG.LENDITEM_CD AND w.OTHER2_MNGSTATUS_CD   = L4_MNG.MNGSTATUS_CD" _
	& "  LEFT JOIN MTM_LENDITEM_KEEPLCT		AS L4_LCT	 ON " & sqlMRPCOMMON.prmLENDITEM_2 & " = L4_LCT.LENDITEM_CD AND w.OTHER2_KEEPLCT_CD		= L4_LCT.KEEPLCT_CD" _
	& "  LEFT JOIN MTM_LENDITEM_MNGSTATUS	AS L5_MNG	 ON " & sqlMRPCOMMON.prmLENDITEM_3 & " = L5_MNG.LENDITEM_CD AND w.OTHER3_MNGSTATUS_CD   = L5_MNG.MNGSTATUS_CD" _
	& "  LEFT JOIN MTM_LENDITEM_KEEPLCT		AS L5_LCT	 ON " & sqlMRPCOMMON.prmLENDITEM_3 & " = L5_LCT.LENDITEM_CD AND w.OTHER3_KEEPLCT_CD		= L5_LCT.KEEPLCT_CD" _
	& "  LEFT JOIN XTM_STAFF				AS L1_STF	 ON w.RECORD_RECIPIENT_CD  = L1_STF.STAFF_CD" _
	& "  LEFT JOIN XTM_STAFF				AS L2_STF	 ON w.SUMMARY_MAKER_CD     = L2_STF.STAFF_CD"

	''' <summary>
	''' 貸出物情報　マスタ
	''' </summary>
	Private Const sqlTblL = "" _
	& "  LEFT JOIN MTM_LENDITEM							 ON l.LENDITEM_CD   = MTM_LENDITEM.LENDITEM_CD" _
	& "  LEFT JOIN MTM_LENDAIM							 ON l.LENDAIM_CD    = MTM_LENDAIM.LENDAIM_CD" _
	& "  LEFT JOIN MTM_LENDITEM_LCT						 ON l.LCT_CD		= MTM_LENDITEM_LCT.LCT_CD" _
	& "  LEFT JOIN XTM_STAFFDIV				AS L_STDB	 ON l.BORROWER_DIV  = L_STDB.STAFFDIV_CD" _
	& "  LEFT JOIN XTM_STAFFDIV				AS L_STDT	 ON l.TAKER_DIV		= L_STDT.STAFFDIV_CD" _
	& "  LEFT JOIN XTM_STAFF				AS L_STFL	 ON l.LENDCLERK_CD  = L_STFL.STAFF_CD" _
	& "  LEFT JOIN XTM_STAFF				AS L_STFB	 ON l.BACKCLERK_CD	= L_STFB.STAFF_CD"
#End Region

#End Region

End Class
