﻿Imports System.Runtime.ConstrainedExecution
Imports XCM
Imports XSP
''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 検索条件印刷
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MSR010R010

#Region "解放処理"
	'確実な解放処理を実行するために指定
	Inherits CriticalFinalizerObject
	'解放処理を実装する為に指定
	Implements IDisposable

	''' ---------------------------------------------
	''' <summary>
	''' Dispose（解放処理）※外からはよばない
	''' </summary>
	''' <param name="disposing"></param>
	''' <remarks>
	''' 2010/10/15 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Overloads Sub Dispose(ByVal disposing As Boolean)
		If disposing Then
			Me.pForm = Nothing
			Me.pPrint = Nothing
			Me.pTitle = Nothing
			Me.pExplanation = Nothing
			Me.pSearchNo = Nothing
		End If
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Finalize（解放処理）
	''' </summary>
	''' <remarks>
	''' 2010/10/15 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overloads Sub Dispose() Implements IDisposable.Dispose
		Dispose(True)
		MyBase.Finalize()
		GC.SuppressFinalize(Me)
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Finalize（解放処理）※外からはよばない
	''' </summary>
	''' <remarks>
	''' 2010/10/15 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub Finalize()
		Dispose(False)
		MyBase.Finalize()
	End Sub
#End Region

#Region "コンスタント"

	''' ---------------------------------------------
	''' <summary>
	''' ＳＱＬ文設定
	''' </summary>
	''' <remarks>
	''' 2010/10/20 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Enum ENUM_SQLTYPE As Byte
		''' <summary>
		''' ワーク作成
		''' </summary>
		INS = 0
		''' <summary>
		''' ワーク削除
		''' </summary>
		DEL = 2
	End Enum

	Protected Const CST_LOG_PRODUCT As String = "診療情報管理"
	Private Const CST_LOG_CLASS As String = "検索条件印刷"
#End Region

#Region "変数"

	'IN項目
	Private pForm As frmBase = Nothing						'遷移元画面
	Private pPrint As Boolean = Nothing						'印刷フラグ
	Private pTitle As String = Nothing						'タイトル情報
	Private pExplanation As String = Nothing				'説明
	Private pSearchNo As Array								'出力対象検索番号

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pForm">呼出画面</param>
	''' <param name="pPrint">印刷フラグ True:印刷/False:プレビュー</param>
	''' <param name="pTitle">タイトル</param>
	''' <param name="pExplanation">説明</param>
	''' <param name="pSearchNo">出力対象検索番号</param>
	''' <remarks>
	''' 2010/11/08 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New(ByVal pForm As frmBase, ByVal pPrint As Boolean, _
			ByVal pTitle As String, ByVal pExplanation As String, _
			ByVal pSearchNo As Array)
		'IN項目引き継ぎ
		Me.pForm = pForm
		Me.pPrint = pPrint
		Me.pTitle = pTitle
		Me.pExplanation = pExplanation
		Me.pSearchNo = pSearchNo
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 印刷・プレビュー処理
	''' </summary>	
	''' <remarks>
	''' 2010/10/18 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Function exeReport() As Boolean
		clsSysMst.logEx(clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "exeReport", CST_LOG_PRODUCT, CST_LOG_CLASS, "印刷・プレビュー処理 START")
		Dim cliAccess As clsXTM_PRINTSETTING_ACCESS = Nothing
		Dim datAccess As datXTM_PRINTSETTING_ACCESS_OneRec = Nothing
		Dim cliCom As clsCom = Nothing
		Dim FilePath As String = Nothing
		Try
			cliAccess = New clsXTM_PRINTSETTING_ACCESS
			cliCom = New clsCom
			'印刷設定情報取得
			datAccess = cliAccess.getAccessSettingOneRec(Me.pForm.Name, Me.GetType.Name)
			If datAccess Is Nothing Then
				Return False
			End If

			'MDBのパスを取得
			FilePath = cliCom.setReportPath(datAccess.FILE_NM)
			Using cliReportFunc As New clsReportFunc(Me.pForm, FilePath, datAccess.REPORT_NM, Me.pPrint)

				'DB処理
				Using db As New clsDB(clsSysMst.ctlConfigData)
					'ワークテーブルのクリア
					cliReportFunc.exeHeaderDel(db, Me.GetType.Name, True)
					cliReportFunc.exeWorkDel(db, Me.getDelSql, sqlMSRCOMMON.prmHOST_NM)
					'ヘッダの作成
					cliReportFunc.exeHeaderIns(db, Me.getHeaderData, True)
					'印刷データの作成
					Me.setWorkData(db)
				End Using

				'印刷/プレビュー
				If cliReportFunc.AcPrint(datAccess.NUMBERPRINTED) = False Then
					Return False
				End If
			End Using
			Return True
		Catch ex As Exception
			Throw
		Finally
			cliAccess = Nothing
			datAccess = Nothing
			cliCom = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ワーク削除SQL取得
	''' </summary>
	''' <returns>SQL文</returns>
	''' <remarks>
	''' 2010/11/08 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Function getDelSql() As String
		Return sqlMSR010R010.sqlDel
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ヘッダ情報編集
	''' </summary>
	''' <returns>ヘッダ情報</returns>
	''' <remarks>
	''' 2010/11/08 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Function getHeaderData() As datHeader
		clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "getHeaderData", CST_LOG_PRODUCT, CST_LOG_CLASS, "ヘッダ情報編集 START")
		Dim retHedder As datHeader
		Try
			retHedder = New datHeader
			With retHedder
				.PRT_ID = Me.GetType.Name							'帳票ID	
				.TITLE_NM = Me.pTitle								'タイトル
				.STR1 = Me.pExplanation								'説明
			End With
			Return retHedder
		Catch ex As Exception
			Throw
		Finally
			retHedder = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ワークデータ作成
	''' </summary>
	''' <param name="db">clsDB</param>
	''' <returns>True:正常終了/False:異常終了</returns>
	''' <remarks>
	''' 2010/11/08 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Function setWorkData(ByVal db As clsDB) As Boolean
		clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "setWorkData", CST_LOG_PRODUCT, CST_LOG_CLASS, "ワークデータ作成 START")
		Dim no As Integer
		Try
			With db
				'一覧からワークへ
				Me.setSql(db, ENUM_SQLTYPE.INS)
				For Each item As String In Me.pSearchNo
					no += 1											'連番 カウンタUP
					.setVal(sqlMSRCOMMON.prmSERIAL_NO, no)
					.setVal(sqlMSRCOMMON.prmSEARCH_NO, item)		'検索番号

					.execNonQuery()
				Next
			End With
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' SQL文/パラメータ設定
	''' </summary>
	''' <param name="db">clsDB</param>
	''' <param name="type">ENUM_SQLTYPE</param>
	''' <remarks>
	''' 2010/10/18 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Sub setSql(ByVal db As clsDB, ByRef type As ENUM_SQLTYPE)
		clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "setSql", CST_LOG_PRODUCT, CST_LOG_CLASS, "SQL文/パラメータ設定 START")
		Try
			With db
				Select Case type
					'ワークへ
					Case ENUM_SQLTYPE.INS
						.setSQL(sqlMSR010R010.sqlIns)
						.setParam(sqlMSRCOMMON.prmSERIAL_NO, clsDB.Enum_dbType.dbInt)		'連番
						.setParam(sqlMSRCOMMON.prmSEARCH_NO, clsDB.Enum_dbType.dbInt)		'検索番号
					Case Else
						Exit Sub
				End Select

				'共通パラメータ
				.setParam(sqlMSRCOMMON.prmHOST_NM, clsDB.Enum_dbType.dbNVarChar)				'ホスト名
				.setVal(sqlMSRCOMMON.prmHOST_NM, clsConst.CST_HOST_NM)
				.setParam(sqlMSRCOMMON.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)		'更新者コード
				.setVal(sqlMSRCOMMON.prmLASTUPDUSER_CD, clsSysMst.getLoginId)
				.setParam(sqlMSRCOMMON.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)			'更新日
				.setVal(sqlMSRCOMMON.prmLASTUPD_DT, DateTime.Now())

			End With
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

End Class
