﻿Imports XCM
Imports XSP

''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 科歴情報 検索結果更新
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MSR050F030

#Region "変数"
	'前画面からの引数用
	Protected pDgvList As DataGridView								'一覧(ｸﾞﾘｯﾄﾋﾞｭｰ)
	Private pValueFrm As frmBase = Nothing							'フォーム
#End Region

#Region "コンスタント"
	Private Const CST_LAST_HSP_DIV As String = "01"					'前回自他院区分
#End Region

#Region "コンストラクタ"
	'''---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pDgv">一覧</param>
	''' <remarks>
	''' 2010/11/02 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Sub New(ByVal pDgv As DataGridView)

		' この呼び出しはデザイナーで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。

		'ＩＮ項目取得
		Me.pDgvList = pDgv					'一覧
	End Sub
#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' フォームロード時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/26 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MSR050F030_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		log(XCM.clsSysMst.logLevel.NRM, "MSR050F030_Load", "フォームロード START")
		Try
			Me.chk012MSR050F030.Text = String.Format("{0}の再設定", XCM.clsSysMst.ctlEnvData.getEnv(XCM.datEnv.Enum_ENV.ENV_00001))
			'コンボセット
			Me.setCombo()
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' フォームを開くとき
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/26 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MSR050F030_Shown(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Shown
		log(XCM.clsSysMst.logLevel.NRM, "MSR050F030_Shown", "フォームを開くとき START")
		Try
			'登録状況チェックボックスへフォーカス
			Me.chk001MSR050F030.Select()
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' フォームを閉じるとき
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/26 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MSR050F030_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(XCM.clsSysMst.logLevel.NRM, "MSR050F030_FormClosing", "フォームクローズ START")
		Try
			Me.FormClosingProc()
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' コンボ設定
	''' </summary>
	''' <remarks>
	''' 2010/10/26 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setCombo()
		log(clsSysMst.logLevel.DBG, "setCombo", "コンボ設定 START")
		Dim cliComboCom As clsComboCom = Nothing
		Dim dt As DataTable = Nothing
		Try
			cliComboCom = New clsComboCom
			dt = New DataTable
			Using db As New clsDB(clsSysMst.ctlConfigData)
				dt = clsConst.getOnYseNo
				With Me.cmb011MSR050F030				'統計対象外
					.DataSource = dt.Copy() : .setDropDownWidth()
				End With
				With Me.cmb025MSR050F030				'再入院
					.DataSource = dt.Copy() : .setDropDownWidth()
				End With

				With Me.cmb027MSR050F030				'同一疾病自院再入院
					.DataSource = dt.Copy() : .setDropDownWidth()
				End With
				dt.Dispose() : dt = Nothing


				dt = cliComboCom.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_RegStatus)
				With Me.cmb002MSR050F030				'登録状況
					.DataSource = dt.Copy() : .setDropDownWidth()
				End With
				dt.Dispose() : dt = Nothing

				dt = cliComboCom.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_DoctorDiv)
				With Me.cmb014MSR050F030				'医師区分
					.DataSource = dt.Copy() : .setDropDownWidth()
				End With
				dt.Dispose() : dt = Nothing

				dt = cliComboCom.getCombo(db, clsComboCom.Enum_ComboType.Enum_X_StaffXOpk_Dsp)
				With Me.cmb016MSR050F030				'職員名
					.DataSource = dt.Copy() : .setDropDownWidth()
				End With
				dt.Dispose() : dt = Nothing

				dt = cliComboCom.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_MedAgency)
				With Me.cmb019MSR050F030				'紹介元医療機関
					.DataSource = dt.Copy() : .setDropDownWidth()
				End With
				With Me.cmb022MSR050F030				'紹介先医療機関
					.DataSource = dt.Copy() : .setDropDownWidth()
				End With
				dt.Dispose() : dt = Nothing

			End Using
		Catch ex As Exception
			Throw
		Finally
			cliComboCom = Nothing
			If dt IsNot Nothing Then
				dt.Dispose()
				dt = Nothing
			End If

		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 入力チェック
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/02 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function ChkData() As Boolean
		log(clsSysMst.logLevel.DBG, "ChkData", "入力チェック START")
		Try
			'全項目にチェックが入っていないとき
			If Me.chk001MSR050F030.Checked = False AndAlso _
			   Me.chk004MSR050F030.Checked = False AndAlso _
			   Me.chk010MSR050F030.Checked = False AndAlso _
			   Me.chk012MSR050F030.Checked = False AndAlso _
			   Me.chk013MSR050F030.Checked = False AndAlso _
			   Me.chk018MSR050F030.Checked = False AndAlso _
			   Me.chk021MSR050F030.Checked = False AndAlso _
			   Me.chk024MSR050F030.Checked = False AndAlso _
			   Me.chk026MSR050F030.Checked = False Then
				'「更新対象が選択されていません」メッセージ
				addErrList("E0014", "MSR050F030", "更新対象", "更新対象", Nothing)
			End If
			'統計対象外＝ＯＮかつ未入力の場合
			If Me.chk010MSR050F030.Checked = True AndAlso Me.cmb011MSR050F030.SelectedIndex = -1 Then
				'「未入力の項目があります」メッセージ
				addErrList("E0001", Me.cmb011MSR050F030.Name, Me.chk010MSR050F030.Text, Nothing)
			End If
			'医師追加＝ＯＮかつ未入力（医師区分・医師）の場合
			If Me.chk013MSR050F030.Checked = True Then
'(M) STR V4-11032-000 004 20110818 FJSK)荒川 XXX号 病歴大将V4PKG問題点No128 コンボボックスの取得をSelectedValueからTextに変更対応
'				If Me.cmb014MSR050F030.SelectedIndex = -1 Then
				If String.IsNullOrEmpty(Me.cmb014MSR050F030.Text) = True Then
'(M) END V4-11032-000 004 20110818
					'「未入力の項目があります」メッセージ
					addErrList("E0001", Me.cmb014MSR050F030.Name, Me.chk013MSR050F030.Text, Nothing)
				End If
'(M) STR V4-11032-000 004 20110818 FJSK)荒川 XXX号 病歴大将V4PKG問題点No128 コンボボックスの取得をSelectedValueからTextに変更対応
'				If Me.cmb016MSR050F030.SelectedIndex = -1 Then
				If String.IsNullOrEmpty(Me.cmb016MSR050F030.Text) = True Then
'(M) END V4-11032-000 004 20110818
					'「未入力の項目があります」メッセージ
					addErrList("E0001", Me.cmb016MSR050F030.Name, Me.chk013MSR050F030.Text, Nothing)
				End If
			End If
			'再入院＝ＯＮかつ未入力の場合
			If Me.chk024MSR050F030.Checked = True AndAlso Me.cmb025MSR050F030.SelectedIndex = -1 Then
				'「未入力の項目があります」メッセージ
				addErrList("E0001", Me.cmb025MSR050F030.Name, Me.chk024MSR050F030.Text, Nothing)
			End If
			'再入院＝ＯＮかつ未入力の場合
			If Me.chk026MSR050F030.Checked = True AndAlso Me.cmb027MSR050F030.SelectedIndex = -1 Then
				'「未入力の項目があります」メッセージ
				addErrList("E0001", Me.cmb027MSR050F030.Name, Me.chk026MSR050F030.Text, Nothing)
			End If
			If Me.getErrCount() > 0 Then
				Me.nextErrForm()							'エラーがある場合、エラー画面表示
				Return False
'(D) STR V4-11007-000 004 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'			ElseIf Me.chkStartStatusRegSys() = True Then	'登録系の起動を確認
'				Return False
'(D) END V4-11007-000 004 20110809
			Else
				Return True									'エラーがない場合、正常終了
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' テーブルデータ更新（登録状況）
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/02 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function updRegStatusData(ByVal db As clsDB) As Boolean
		log(clsSysMst.logLevel.DBG, "updRegStatusData", "テーブルデータ更新（登録状況） START")
		Try
			With db
				'ＳＱＬ設定
				.setSQL(sqlMSR050F030.sqlUpdRegStatus)
				'共通パラメータセット
				Me.setParamater(db)
				'パラメータセット
				.setParam(sqlMSR050F030.prmREG_STATUS_CD, XCM.clsDB.Enum_dbType.dbNVarChar)			'登録状況コード
				.setVal(sqlMSR050F030.prmREG_STATUS_CD, Me.cmb002MSR050F030.Text)					'登録状況コード

				'更新実行
				.execNonQuery(False)
			End With
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' テーブルデータ更新（登録完了日）
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/02 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function updRegFinishedDTData(ByVal db As clsDB) As Boolean
		log(clsSysMst.logLevel.DBG, "updRegFinishedDTData", "テーブルデータ更新（登録完了日） START")
		Try
			With db
				'パラメータ設定
				Select Case True
					Case Me.rdo005MSR050F030.Checked	 '指定
						.setSQL(sqlMSR050F030.sqlUpdRegFinSELDT)
					Case Me.rdo006MSR050F030.Checked	 '終了日
						.setSQL(sqlMSR050F030.sqlUpdRegFinENDDT)
					Case Me.rdo007MSR050F030.Checked	 '退院日
						.setSQL(sqlMSR050F030.sqlUpdRegFinOUTDT)
					Case Else
						'処理なし
				End Select
				'共通パラメータセット
				Me.setParamater(db)
				If Me.rdo005MSR050F030.Checked = True Then
					.setParam(sqlMSR050F030.prmREG_FINISHED_DT, XCM.clsDB.Enum_dbType.dbNVarChar)		'登録完了日
					.setVal(sqlMSR050F030.prmREG_FINISHED_DT, Me.dte008MSR050F030.Text)				'登録完了日
				End If
				'更新実行
				.execNonQuery(False)
			End With
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' テーブルデータ更新（統計対象外）
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/04 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function updExcStData(ByVal db As clsDB) As Boolean
		log(clsSysMst.logLevel.DBG, "updExcStData", "テーブルデータ更新（統計対象外） START")
		Try
			With db
				'ＳＱＬ設定
				.setSQL(sqlMSR050F030.SqlUpdExcludeStatistics)
				'共通パラメータセット
				Me.setParamater(db)
				'パラメータセット
				.setParam(sqlMSR050F030.prmEXC_ST_FLG, XCM.clsDB.Enum_dbType.dbNVarChar)			'統計対象外
				.setVal(sqlMSR050F030.prmEXC_ST_FLG, Me.cmb011MSR050F030.SelectedValue)			'統計対象外

				'更新実行
				.execNonQuery(False)
			End With
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' テーブルデータ更新（病歴番号再設定）
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/04 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function updByorekiData(ByVal db As clsDB, ByVal BPoint As Integer, ByVal Bcount As Integer) As Boolean
		log(clsSysMst.logLevel.DBG, "updByorekiData", "テーブルデータ更新（病歴番号再設定) START")
		Try
			With db
				' 科歴情報更新
				'ＳＱＬ設定
				.setSQL(sqlMSR050F030.SqlUpdByorekiNoCh)
				'共通パラメータセット
				Me.setParamater(db)
				'パラメータセット
				.setParam(sqlMSR050F030.prmBYOREKI_START, XCM.clsDB.Enum_dbType.dbInt)			'病歴番号取得開始位置
				.setParam(sqlMSR050F030.prmBYOREKI_LENGTH, XCM.clsDB.Enum_dbType.dbInt)			'病歴番号取得文字数
				.setVal(sqlMSR050F030.prmBYOREKI_START, BPoint)									'病歴番号取得開始位置
				.setVal(sqlMSR050F030.prmBYOREKI_LENGTH, Bcount)								'病歴番号取得文字数
				'更新実行
				.execNonQuery(False)
				' 入退院情報更新
				'ＳＱＬ設定
				.setSQL(sqlMSR050F030.SqlUpdByorekiNoHsp)
				'共通パラメータセット
				Me.setParamater(db)
				'パラメータセット
				.setParam(sqlMSRCOMMON.prmFLG_ON, XCM.clsDB.Enum_dbType.dbInt)					'主科フラグ
				.setVal(sqlMSRCOMMON.prmFLG_ON, clsConst.Enum_CheckBox_Flg.CheckOn)				'主科フラグ
				'更新実行
				.execNonQuery(False)
			End With
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' テーブルデータ更新（医師追加）
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/04 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function UpdDoctorData(ByVal db As clsDB) As Boolean
		log(clsSysMst.logLevel.DBG, "updDoctorData", "テーブルデータ更新（医師追加） START")
		Try
			With db
				' 医師情報追加
				'ＳＱＬ設定
				.setSQL(sqlMSR050F030.sqlInsDoctor)
				'共通パラメータセット
				Me.setParamater(db)
				'パラメータセット
				.setParam(sqlMSR050F030.prmDOCTOR_DIV, XCM.clsDB.Enum_dbType.dbNVarChar)		'医師区分コード
				.setParam(sqlMSR050F030.prmDOCTOR_CD, XCM.clsDB.Enum_dbType.dbNVarChar)			'医師コード
'(M) STR V4-11032-000 006 20110818 FJSK)荒川 XXX号 病歴大将V4PKG問題点No128 コンボボックスの取得をSelectedValueからTextに変更対応
'				.setVal(sqlMSR050F030.prmDOCTOR_DIV, Me.cmb014MSR050F030.SelectedValue)			'医師区分コード
'				.setVal(sqlMSR050F030.prmDOCTOR_CD, Me.cmb016MSR050F030.SelectedValue)			'医師コード
				.setVal(sqlMSR050F030.prmDOCTOR_DIV, Me.cmb014MSR050F030.Text)					'医師区分コード
				.setVal(sqlMSR050F030.prmDOCTOR_CD, Me.cmb016MSR050F030.Text)					'医師コード
'(M) END V4-11032-000 006 20110818
				'更新実行
				.execNonQuery(False)
				' 科歴情報更新
				'ＳＱＬ設定
				.setSQL(sqlMSR050F030.SqlUpdDoctorCh)
				'共通パラメータセット
				Me.setParamater(db)
				'パラメータセット
				.setParam(sqlMSRCOMMON.prmFLG_ON, XCM.clsDB.Enum_dbType.dbInt)					'主治医フラグ
				.setVal(sqlMSRCOMMON.prmFLG_ON, clsConst.Enum_CheckBox_Flg.CheckOn)				'主治医フラグ
				'更新実行
				.execNonQuery(False)
				' 入退院情報更新
				'ＳＱＬ設定
				.setSQL(sqlMSR050F030.SqlUpdDoctorHsp)
				'共通パラメータセット
				Me.setParamater(db)
				'パラメータセット
				.setParam(sqlMSRCOMMON.prmFLG_ON, XCM.clsDB.Enum_dbType.dbInt)					'主科フラグ
				.setVal(sqlMSRCOMMON.prmFLG_ON, clsConst.Enum_CheckBox_Flg.CheckOn)				'主科フラグ
				'更新実行
				.execNonQuery(False)
			End With
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' テーブルデータ更新（紹介元医療機関）
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/04 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function updHspIntData(ByVal db As clsDB) As Boolean
		log(clsSysMst.logLevel.DBG, "updHspIntData", "テーブルデータ更新（紹介元医療機関） START")
		Try
			With db
				'ＳＱＬ設定
				.setSQL(sqlMSR050F030.SqlUpdHspInt)
				'共通パラメータセット
				Me.setParamater(db)
				'パラメータセット
				.setParam(sqlMSR050F030.prmINTRODUCED_CD, XCM.clsDB.Enum_dbType.dbNVarChar)		'紹介元コード
				.setParam(sqlMSR050F030.prmINTRODUCED_NM, XCM.clsDB.Enum_dbType.dbNVarChar)		'紹介元名
				.setVal(sqlMSR050F030.prmINTRODUCED_CD, Me.cmb019MSR050F030.Text)				'紹介元コード
				.setVal(sqlMSR050F030.prmINTRODUCED_NM, Me.lbl020MSR050F030.Text)				'紹介元名
				'更新実行
				.execNonQuery(False)
			End With
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' テーブルデータ更新（紹介先医療機関）
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/04 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function updHspRefData(ByVal db As clsDB) As Boolean
		log(clsSysMst.logLevel.DBG, "updHspRefData", "テーブルデータ更新（紹介先医療機関） START")
		Try
			With db
				'ＳＱＬ設定
				.setSQL(sqlMSR050F030.SqlUpdHspRef)
				'共通パラメータセット
				Me.setParamater(db)
				'パラメータセット
				.setParam(sqlMSR050F030.prmREFERENCE_CD, XCM.clsDB.Enum_dbType.dbNVarChar)		'紹介先コード
				.setParam(sqlMSR050F030.prmREFERENCE_NM, XCM.clsDB.Enum_dbType.dbNVarChar)		'紹介先名
				.setVal(sqlMSR050F030.prmREFERENCE_CD, Me.cmb022MSR050F030.Text)				'紹介先コード
				.setVal(sqlMSR050F030.prmREFERENCE_NM, Me.lbl023MSR050F030.Text)				'紹介先名
				'更新実行
				.execNonQuery(False)
			End With
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' テーブルデータ更新（再入院）
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/04 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function updReadmissionData(ByVal db As clsDB) As Boolean
		log(clsSysMst.logLevel.DBG, "updReadmissionData", "テーブルデータ更新（再入院） START")
		Try
			With db
				' 科歴情報更新
				'ＳＱＬ設定
				.setSQL(sqlMSR050F030.SqlUpdNyuCH_S)
				'共通パラメータセット
				Me.setParamater(db)
				'パラメータセット
				.setParam(sqlMSR050F030.prmREADMISSION_FLG, XCM.clsDB.Enum_dbType.dbInt)			'再入院フラグ
				.setParam(sqlMSR050F030.prmSELF_OTHERHSP, XCM.clsDB.Enum_dbType.dbNVarChar)		'前回自他院区分
				.setVal(sqlMSR050F030.prmREADMISSION_FLG, Me.cmb025MSR050F030.SelectedValue)	'再入院フラグ
				Select Case Me.cmb025MSR050F030.SelectedValue
					Case clsConst.Enum_CheckBox_Flg.CheckOff	 'いいえ
						.setVal(sqlMSR050F030.prmSELF_OTHERHSP, 0)								'前回自他院区分
					Case clsConst.Enum_CheckBox_Flg.CheckOn		 'はい
						.setVal(sqlMSR050F030.prmSELF_OTHERHSP, CST_LAST_HSP_DIV)				'前回自他院区分
					Case Else
						'処理なし
				End Select
				'更新実行
				.execNonQuery(False)
				' 前回退院日更新
				'ＳＱＬ設定
				.setSQL(sqlMSR050F030.SqlUpdNyuHSP_DT_S)
				'共通パラメータセット
				Me.setParamater(db)
				'パラメータセット
				.setParam(sqlMSRCOMMON.prmFLG_ON, XCM.clsDB.Enum_dbType.dbNVarChar)				'再入院コンボの状態を表すフラグ
				.setVal(sqlMSRCOMMON.prmFLG_ON, Me.cmb025MSR050F030.SelectedValue, False)		'再入院コンボの状態を表すフラグ（1:いいえ　2:はい)
				'更新実行
				.execNonQuery(False)
				' 入退院情報更新
				'ＳＱＬ設定
				Select Case clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00009)
					Case "1"
						.setSQL(sqlMSR050F030.SqlUpdHSP_HIST_NO_S_DPM)
					Case "2"
						.setSQL(sqlMSR050F030.SqlUpdHSP_HIST_NO_S_HSP)
					Case Else
						'処理なし
				End Select
				'共通パラメータセット
				Me.setParamater(db)
				'パラメータセット
				.setParam(sqlMSRCOMMON.prmFLG_ON, XCM.clsDB.Enum_dbType.dbNVarChar)				'フラグ（主科、入院）
				.setVal(sqlMSRCOMMON.prmFLG_ON, clsConst.Enum_CheckBox_Flg.CheckOn)				'フラグ（主科、入院）
				'更新実行
				.execNonQuery(False)
			End With
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' テーブルデータ更新（同一疾病自院再入院）
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/04 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function UpdSameDiseaseData(ByVal db As clsDB) As Boolean
		log(clsSysMst.logLevel.DBG, "UpdSameDiseaseData", "テーブルデータ更新（同一疾病自院再入院） START")
		Dim wrkSQL As String = Nothing
		Try
			With db
				' 科歴情報更新
				'ＳＱＬ設定
				.setSQL(sqlMSR050F030.SqlUpdNyuCH_D)
				'共通パラメータセット
				Me.setParamater(db)
				'パラメータセット
				.setParam(sqlMSR050F030.prmREADMISSION_FLG, XCM.clsDB.Enum_dbType.dbInt)				'同一疾病自院再入院フラグ
				.setVal(sqlMSR050F030.prmREADMISSION_FLG, Me.cmb027MSR050F030.SelectedValue)		'同一疾病自院再入院フラグ
				'更新実行
				.execNonQuery(False)
				' 前回退院日更新
				'ＳＱＬ設定
				.setSQL(sqlMSR050F030.SqlUpdNyuHSP_DT_D)
				'共通パラメータセット
				Me.setParamater(db)
				'パラメータセット
				.setParam(sqlMSRCOMMON.prmFLG_ON, XCM.clsDB.Enum_dbType.dbInt)						 '同一疾病自院再入院コンボの状態を表すフラグ
				.setVal(sqlMSRCOMMON.prmFLG_ON, Me.cmb027MSR050F030.SelectedValue, False)			 '同一疾病再入院コンボの状態を表すフラグ（1:いいえ　2:はい)
				'更新実行
				.execNonQuery(False)
				' 入退院情報更新
				'ＳＱＬ設定
				Select Case clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00009)
					Case "1"
						.setSQL(sqlMSR050F030.SqlUpdHSP_HIST_NO_D_DPM)
					Case "2"
						.setSQL(sqlMSR050F030.SqlUpdHSP_HIST_NO_D_HSP)
					Case Else
						'処理なし
				End Select
				'共通パラメータセット
				Me.setParamater(db)
				'パラメータセット
				.setParam(sqlMSRCOMMON.prmFLG_ON, XCM.clsDB.Enum_dbType.dbInt)						'フラグ（主科、入院）
				.setVal(sqlMSRCOMMON.prmFLG_ON, clsConst.Enum_CheckBox_Flg.CheckOn)					'フラグ（主科、入院）
				'更新実行
				.execNonQuery(False)
			End With
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 共通パラメータセット
	''' </summary>
	''' <remarks>
	''' 2010/11/09 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub setParamater(ByVal db As clsDB)
		log(clsSysMst.logLevel.DBG, "setParamater", "共通パラメータセット START")
		Try
			With db
				'パラメータ設定
				.setParam(sqlMSRCOMMON.prmHOST_NM, XCM.clsDB.Enum_dbType.dbNVarChar)					'ホスト名
				.setVal(sqlMSRCOMMON.prmHOST_NM, XCM.clsConst.CST_HOST_NM)
				.setParam(sqlMSRCOMMON.prmLASTUPDUSER_CD, XCM.clsDB.Enum_dbType.dbNVarChar)			'更新者名
				.setVal(sqlMSRCOMMON.prmLASTUPDUSER_CD, XCM.clsSysMst.getLoginId)
				.setParam(sqlMSRCOMMON.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)					'更新日
				.setVal(sqlMSRCOMMON.prmLASTUPD_DT, DateTime.Now())
			End With
		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' データ更新処理
	''' </summary>
	''' <param name="db">DBクラス</param>
	''' <returns>True/False</returns>
	''' <remarks>
	''' 2010/10/28 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function UpdProc(ByVal db As clsDB) As Boolean
		log(clsSysMst.logLevel.DBG, "UpdProc", "データ更新処理 START")
		'チェックボックスの状態を配列にセット
		Dim bolChk() As Boolean = Nothing
		Dim wrkMsg As String = Nothing		'エラーメッセージ文言用変数
		Dim ret As Boolean
		Dim BPoint As String = Nothing
		Dim BCount As String = Nothing
		Try
			bolChk = {Me.chk001MSR050F030.Checked, Me.chk004MSR050F030.Checked, Me.chk010MSR050F030.Checked,
					  Me.chk012MSR050F030.Checked, Me.chk013MSR050F030.Checked, Me.chk018MSR050F030.Checked,
					  Me.chk021MSR050F030.Checked, Me.chk024MSR050F030.Checked, Me.chk026MSR050F030.Checked}
			'動作環境より、患者番号から病歴番号取得のスタート位置と取得文字数を取得
			BPoint = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00029)
			BCount = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00030)

			'各項目に対するデータ更新を実行
			For i As Integer = 0 To bolChk.Length - 1
				wrkMsg = Nothing
				If bolChk(i) = True Then
					'トランザクション開始
					db.ctlTran(clsDB.Enum_TranMode.Begin)
					Select Case i
						Case 0 : wrkMsg = "登録状況を処理中、更新" : ret = Me.updRegStatusData(db)			 '登録状況
						Case 1 : wrkMsg = "登録完了日を処理中、更新" : ret = Me.updRegFinishedDTData(db)		 '登録完了日
						Case 2 : wrkMsg = "統計対象外を処理中、更新" : ret = Me.updExcStData(db)				 '統計対象外
						Case 3	  '病歴番号再設定
							If (CInt(BPoint) > 0) AndAlso (BPoint IsNot Nothing) AndAlso (CInt(BCount)) > 0 Then
								wrkMsg = "病歴番号再設定を処理中、更新" : ret = Me.updByorekiData(db, CInt(BPoint), CInt(BCount))
							End If
						Case 4 : wrkMsg = "医師追加を処理中、更新" : ret = Me.UpdDoctorData(db)				 '医師追加
						Case 5 : wrkMsg = "紹介元医療機関を処理中、更新" : ret = Me.updHspIntData(db)			 '紹介元医療機関
						Case 6 : wrkMsg = "紹介先医療機関を処理中、更新" : ret = Me.updHspRefData(db)			 '紹介先医療機関
						Case 7 : wrkMsg = "再入院を処理中、更新" : ret = Me.updReadmissionData(db)			  '再入院
						Case 8 : wrkMsg = "同一疾病自院再入院を処理中、更新" : ret = Me.UpdSameDiseaseData(db) '同一疾病自院再入院
						Case Else
							ret = False
					End Select
					If ret = True Then
						db.ctlTran(clsDB.Enum_TranMode.Commit)
					Else
						db.ctlTran(clsDB.Enum_TranMode.RollBack)
					End If
				End If
			Next
			Return True
		Catch ex As SqlClient.SqlException
			'トランザクションロールバック
			If db.statTran() = True Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
			'共通例外エラー処理
			Me.ErrorProc(ex, False)
			'エラーメッセージ出力
			'「○○を処理時、更新に失敗しました」
			Me.showMsg("E0013", wrkMsg, ex.Message)
			Return False
		Catch ex As Exception
			Throw
		Finally
			'トランザクションロールバック
			If db.statTran() = True Then db.ctlTran(clsDB.Enum_TranMode.RollBack)
			bolChk = Nothing
		End Try
	End Function
#End Region

#Region "オーバーライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 実行処理
	''' </summary>
	''' <remarks>
	''' 2010/11/02 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub RunProc()
		log(clsSysMst.logLevel.DBG, "RunProc", "実行処理 START")
'(A) STR V4-11007-000 003 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
		Dim errPtn As ArrayList = Nothing
'(A) END V4-11007-000 003 20110809
		Try
			If Me.ChkData = False Then												'入力チェック
'(D) STR V4-11007-000 003 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'			ElseIf Me.chkStartStatusRegSys() = True Then							'登録系の起動を確認
'(D) END V4-11007-000 003 20110809
'(M) STR V4-12053-000 004 2012/12/14 ID)荒川 病歴大将V4PKG 管理No.49 確認メッセージ「OK/キャンセル」→「はい/いいえ」に修正
'			ElseIf Me.confMsg("Q0005", "更新", Nothing) <> MsgBoxResult.Ok Then		'「更新しますか?」
			ElseIf Me.confMsg("Q0005", "更新", Nothing) <> MsgBoxResult.Yes Then	'「更新しますか?」
'(M) END V4-12053-000 004 2012/12/14
'(D) STR V4-11007-000 003 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'			ElseIf Me.chkStartStatusRegSys() = True Then							'登録系の起動を再確認
'(D) END V4-11007-000 003 20110809
			Else
				Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
'(M) STR V4-11007-000 005 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'					If clsMSRCOMMON.setWorkData(db, Me.pDgvList) = False Then		'更新対象ワークデータ作成
					errPtn = Me.chkStartStatus(clsMSRCOMMON.getUpdPatient(Me.pDgvList).ToArray, String.Empty, "処理中")
					If clsMSRCOMMON.setWorkData(db, Me.pDgvList, errPtn) = False Then		'更新対象ワークデータ作成
'(M) END V4-11007-000 005 20110809
						'エラーなら更新しない
'(M) STR V4-11007-000 004 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'					ElseIf Me.UpdProc(db) = True Then								'更新処理
					ElseIf Me.UpdProc(db) = True AndAlso (getErrCount() = 0) Then	'更新処理
'(M) END V4-11007-000 004 20110809
						Me.showMsg("I0006", "更新", Nothing)						'「更新が終了しました」
					End If

'(A) STR V4-11007-000 006 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
					'エラー情報があったらエラー画面を表示する
					If getErrCount() > 0 Then
						nextErrForm(CST_RUNPROC_NAME)
					End If
'(A) END V4-11007-000 006 20110809
				End Using
			End If

		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

End Class