﻿Imports XCM
''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 病名情報一覧
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MSR060F010

#Region "変数"

	Private pSearchType As ENUM_SEARCHTYPE = Nothing				 '検索種別
	Private SqlPlus As String = Nothing								 '付加検索条件
	Private SchMode As Enum_Scarch_Mode = Nothing					 '検索モード(ＡＮＤ・ＯＲ)
	Friend Schdt As DataTable = Nothing								'詳細検索結果取得用データテーブル	

	''' ---------------------------------------------
	''' <summary>
	''' 検索条件モード
	''' </summary>
	''' <remarks>
	''' 2010/11/11 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Enum Enum_Scarch_Mode As Byte
		''' ---------------------------------------------
		''' <summary>ＡＮＤ</summary>
		''' ---------------------------------------------
		S_AND = 0
		''' ---------------------------------------------
		''' <summary>ＯＲ</summary>
		''' ---------------------------------------------
		S_OR = 1
	End Enum

	'遷移先固定ID
	Private Const CST_SHOW_MSR060F040_ID As String = "MSR060F040"

#End Region

#Region "コンストラクタ"

	'''---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pSearchNo">検索番号</param>
	''' <param name="pSearchType">検索種別</param>
	''' <remarks>
	''' 2010/10/14 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	'''---------------------------------------------
	Sub New(ByVal pSearchNo As Integer, ByVal pSearchType As ENUM_SEARCHTYPE)

		' この呼び出しはデザイナーで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。


		'ＩＮ項目取得
		Me.pSearchNo = pSearchNo		'検索番号
		Me.pOwnerType = pOwnerType		'呼出元種別
		Me.pSearchType = pSearchType	'検索種別

		'一覧を継承元変数へセット
		Me.dgvList = Me.dgv001MSR060F010

		Me.Schdt = New DataTable
	End Sub

#End Region

#Region "イベント"

	'''---------------------------------------------
	''' <summary>
	''' フォームクロージング
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/13 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	'''--------------------------------------------- 
	Private Sub MSR060F010_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(clsSysMst.logLevel.NRM, "MSR060F010_FormClosing", "フォームクロージング START")
		Try
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			pSearchType = Nothing
			SqlPlus = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 出力ボタン
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/13 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn006MSR000F020_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn006MSR000F020.Click
		log(clsSysMst.logLevel.NRM, "btn006MSR000F020_Click", "出力ボタンクリック START")
		Dim frmMSR000F020 As MSR060F020
		Try
			Me.Cursor = Cursors.WaitCursor
			If Me.chkGridCnt(ENUM_CHKSELECT.CHK_ON) = True Then
				frmMSR000F020 = New MSR060F020(Me.dgvList, Me.pSearchNo)
				Me.nextForm(frmMSR000F020)
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			frmMSR000F020 = Nothing
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 更新ボタン
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/27 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn007MSR000F020_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn007MSR000F020.Click
		log(clsSysMst.logLevel.NRM, "btn007MSR000F020_Click", "更新ボタンクリック START")
		Dim frmMSR060F030 As MSR060F030
		Try
			Me.Cursor = Cursors.WaitCursor
			If Me.chkGridCnt(ENUM_CHKSELECT.CHK_ON) = True Then
				frmMSR060F030 = New MSR060F030(Me.dgvList)
				Me.nextForm(frmMSR060F030)
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			frmMSR060F030 = Nothing
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' ＡＮＤボタン（詳細検索画面遷移）
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/11 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn015MSR000F020_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn015MSR000F020.Click
		log(clsSysMst.logLevel.NRM, "btn015MSR000F020_Click", "ＡＮＤボタンクリック START")
		Dim frmMSR060F040 As MSR060F040
		Try
			Me.Cursor = Cursors.WaitCursor

			If Me.chkGridCnt(ENUM_CHKSELECT.CHK_ON) = True Then
				Me.SchMode = Enum_Scarch_Mode.S_AND
				frmMSR060F040 = New MSR060F040(Me.pSearchNo, Me.SchMode)
				Me.nextForm(frmMSR060F040)
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			frmMSR060F040 = Nothing
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' ＯＲボタン（詳細検索画面遷移）
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/11 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn016MSR000F020_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn016MSR000F020.Click
		log(clsSysMst.logLevel.NRM, "btn016MSR000F020_Click", "ＯＲボタンクリック START")
		Dim frmMSR060F040 As MSR060F040
		Try
			Me.Cursor = Cursors.WaitCursor
			If Me.chkGridCnt(ENUM_CHKSELECT.CHK_OFF) = True Then
				Me.SchMode = Enum_Scarch_Mode.S_OR
				frmMSR060F040 = New MSR060F040(Me.pSearchNo, Me.SchMode)
				Me.nextForm(frmMSR060F040)
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			frmMSR060F040 = Nothing
			Me.Cursor = Cursors.Default
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 検索用ＤＢパラメータセット
	''' </summary>
	''' <param name="db">clsDB</param>
	''' <param name="type">検索種別</param>
	''' <remarks>
	''' 2010/10/14 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ''' ---------------------------------------------
	Protected Sub setDbParam(ByRef db As clsDB, ByVal type As ENUM_SEARCHTYPE)
		log(clsSysMst.logLevel.DBG, "setDbParam", "検索用ＤＢパラメータセット START")
		Try
			With db
				Select Case type
					Case ENUM_SEARCHTYPE.MAIN
						.setParamDa(sqlMSR060F010.prmFIXED_CD, clsDB.Enum_dbType.dbNVarChar)						'固定コード
						.setValDa(sqlMSR060F010.prmFIXED_CD, clsConst.Enum_Disease_Div_Fix1.MainDisease)		'主病名
					Case Else
						'処理なし
				End Select
			End With
		Catch ex As Exception
			Throw
		End Try

	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' データテーブルマッチング
	''' </summary>
	''' <remarks>
	''' 2010/11/11 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub matchData()
		log(clsSysMst.logLevel.DBG, "matchData", "データテーブルマッチング START")
		Dim cliCom As XSP.clsCom
		Dim row As DataRow
		Try
			cliCom = New XSP.clsCom
			If Me.Schdt IsNot Nothing Then
				' データテーブルマッチング
				For Each pRow As DataGridViewRow In Me.dgvList.Rows
					row = DirectCast(pRow.DataBoundItem, DataRowView).Row

					'検索条件（Where文作成）
					Dim strWhere As String = Nothing
					strWhere = strWhere & sqlMSRCOMMON.itmPATIENT_NO & " = '" & cliCom.getDtItmValue(row(sqlMSRCOMMON.itmPATIENT_NO).ToString) & "'" & _
								" AND " & sqlMSRCOMMON.itmHSP_NO & " = " & cliCom.getDtItmValue(row(sqlMSRCOMMON.itmHSP_NO).ToString) & "" & _
								" AND " & sqlMSRCOMMON.itmCH_NO & " = " & cliCom.getDtItmValue(row(sqlMSRCOMMON.itmCH_NO).ToString) & "" & _
								" AND " & sqlMSRCOMMON.itmSERIAL_NO & " = " & cliCom.getDtItmValue(row(sqlMSRCOMMON.itmSERIAL_NO).ToString) & ""

					Select Case Me.SchMode
						Case Enum_Scarch_Mode.S_AND	   'AND
							If row.Item(sqlMSRCOMMON.itmSELECTED) = CStr(XCM.clsConst.Enum_Chk.ChkOn) Then
								If Me.Schdt.Select(strWhere).Length = 0 Then
									row.Item(sqlMSRCOMMON.itmSELECTED) = CStr(XCM.clsConst.Enum_Chk.ChkOff)
								End If
							End If
						Case Enum_Scarch_Mode.S_OR	   'OR
							If row.Item(sqlMSRCOMMON.itmSELECTED) = CStr(XCM.clsConst.Enum_Chk.ChkOff) Then
								If Me.Schdt.Select(strWhere).Length <> 0 Then
									row.Item(sqlMSRCOMMON.itmSELECTED) = CStr(XCM.clsConst.Enum_Chk.ChkOn)
								End If
							End If
						Case Else
							'処理なし
					End Select
				Next
			End If
		Catch ex As Exception
			Throw
		Finally
			cliCom = Nothing
			row = Nothing
		End Try
	End Sub
#End Region

#Region "オーバーライズメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 一覧タイトル・ツールチップの設定
	''' </summary>
	''' <remarks>
	''' 2010/10/13 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ''' ---------------------------------------------
	Protected Overrides Sub setListHeader()
		log(clsSysMst.logLevel.DBG, "setListHeader", "一覧ヘッダ項目の変更 START")
		Try
			'病歴番号を変更
			Me.setListHeader(Me.c20001MSR060F010.Name, clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00001))
		Catch ex As Exception
			Throw
		End Try
	End Sub
'(A) STR V4-11048-000 030 20110915 FJSK)荒川 XXX号 病歴大将V4PKG問題点No159 並び替えができるように列に「カナ」を追加する対応
	''' ---------------------------------------------
	''' <summary>
	''' 表示項目選択で保存しない項目
	''' </summary>
	''' <remarks>
	''' 2011/10/15 2011/09/15 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function NonExecClm() As String()
		Try
			Dim retOv() As String = MyBase.NonExecClm			'共通の項目を取得
			Dim ret(retOv.Length + 1) As String					'共通の項目数＋個別の項目数で戻り値配列を作成
			Dim retIdx As Integer = 0							'戻り値配列のインデックス

			'選択・患者番号までを取得する
			For Each Str As String In MyBase.NonExecClm
				ret(retIdx) = Str
				retIdx += 1
			Next

			ret(retIdx) = c54001MSR060F010.Name					'カナ

			'正常
			Return ret
		Catch ex As Exception
			Throw
		End Try
	End Function
'(A) END V4-11048-000 030 20110915
	''' ---------------------------------------------
	''' <summary>
	''' 一覧表示件数の取得
	''' </summary>
	''' <returns>検索結果件数</returns>
	''' <remarks>
	''' 2010/10/13 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ''' ---------------------------------------------
	Protected Overrides Function getDataCnt() As Integer
		log(clsSysMst.logLevel.DBG, "getDataCnt", "一覧データ件数取得 START")
		Try
			Using dt As New DataTable
				Using db As New clsDB(clsSysMst.ctlConfigData)
					Select Case Me.pSearchType
						Case ENUM_SEARCHTYPE.ALL
							Me.SqlPlus = Nothing
						Case ENUM_SEARCHTYPE.MAIN
							Me.SqlPlus = sqlMSR060F010.sqlSel_Main
						Case ENUM_SEARCHTYPE.WHERE
							'検索処理結果条件よりＳＱＬ文取得
							Me.SqlPlus = getSchWhere(db, clsMSRCOMMON.Enum_Tbl_CD.MTI_DISEASE _
														, sqlMSR060F010.MTI_DISEASE _
														, sqlMSR060F010.MTI_DISEASE_RN)
						Case Else
							'処理なし
					End Select
					db.setSQLDa(String.Format(sqlMSR060F010.sqlSel_Cnt, Me.SqlPlus))
					Me.setSearchDbParam(db)

					'主病名なら付加条件用パラメータを設定
					If Me.pSearchType = ENUM_SEARCHTYPE.MAIN Then Me.setDbParam(db, Me.pSearchType)

					db.execQueryDa(dt)
					If dt IsNot Nothing AndAlso dt.Rows.Count > 0 Then
						Return dt.Rows(0).Item(sqlMSRCOMMON.itmCNT)
					End If
				End Using
			End Using
			Return 0
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 一覧データ取得処理
	''' </summary>
	''' <remarks>
	''' 2010/10/13 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Function getGridData() As DataTable
		log(clsSysMst.logLevel.DBG, "getGridData", "一覧データ取得 START")
		Try
			Using dt As New DataTable
				Using db As New clsDB(clsSysMst.ctlConfigData)
					db.setSQLDa(String.Format(sqlMSR060F010.sqlSel_List, Me.SqlPlus))
					Me.setSearchDbParam(db, True)

					'主病名なら付加条件用パラメータを設定
					If Me.pSearchType = ENUM_SEARCHTYPE.MAIN Then Me.setDbParam(db, Me.pSearchType)

					db.execQueryDa(dt)
					Return dt
				End Using
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 子画面処理後の処理
	''' </summary>
	''' <remarks>
	''' 2010/11/11 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub rcvData(ByVal ret As XCM.frmBase.Enum_FormReturn, ByVal de As System.Collections.DictionaryEntry)
		log(clsSysMst.logLevel.DBG, "rcvData", "子画面処理後の処理 START")
		Try
			Select Case de.Key.ToString
				Case CST_SHOW_MSR060F040_ID
					If ret = Enum_FormReturn.OK Then
						'詳細検索画面戻り時
						'マッチング処理
						Me.matchData()
						'件数表示処理
						Me.setSelectCnt()
					End If
				Case Else
					MyBase.rcvData(ret, de)
			End Select
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

End Class