﻿Imports XCM

''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 病名情報 検索結果出力
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MSR060F020

#Region "変数"
	''' <summary>検索番号</summary>
	Private pSearchNo As Integer

	''' <summary>ワーク作成フラグ</summary>
	Private makeWork As Boolean = True

#End Region

#Region "コンストラクタ"

	'''---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pDgv">一覧</param>
	''' <param name="pSearchNo">検索番号</param>
	''' <remarks>
	''' 2010/10/14 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	'''---------------------------------------------
	Sub New(ByVal pDgv As DataGridView, ByVal pSearchNo As Integer)

		' この呼び出しはデザイナーで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。

		'ＩＮ項目取得
		Me.pDgvList = pDgv					'一覧
		Me.pSearchNo = pSearchNo			'検索番号
		'継承元に引き渡し
		Me.ExcelID(0) = "MRP060E010"		'帳票(EXCEL)ID
		Me.CsvFile = "BT4BM0.CSV"			'CSVファイル名
		'ワーク削除キー
		Me.DelWorkKey = MRP.clsMRPCOMMON.ENUM_SQL_DEL_WORK.MRP060
	End Sub

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' 帳票ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/15 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btnPrt_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn026MSR000F030.Click, btn027MSR000F030.Click
		log(clsSysMst.logLevel.NRM, "btnPrt_Click", "印刷プレビューボタンクリックイベント START")
		Try
			Me.Cursor = Cursors.WaitCursor
			Dim print As Boolean = CBool(sender.name = "btn027MSR000F030")		'印刷/ﾌﾚﾋﾞｭｰ
			Select Case True
				Case Me.rdo014MSR000F030.Checked
					Using prt As New MRP.MRP060R010(Me, print, Me.pDgvList, Me.getPrnTitle(Me.rdo014MSR000F030.Text), Me.rdo006MSR000F030.Checked, Me.makeWork)
						If prt.exeReport() = True Then Me.makeWork = False
					End Using
				Case Me.rdo015MSR000F030.Checked
					Using prt As New MRP.MRP060R020(Me, print, Me.pDgvList, Me.getPrnTitle(Me.rdo015MSR000F030.Text), Me.rdo006MSR000F030.Checked, Me.makeWork)
						If prt.exeReport() = True Then Me.makeWork = False
					End Using
				Case Else
					'処理なし
			End Select
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub
#End Region

#Region "オーバーライズメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' EXCEL出力
	''' </summary>
	''' <param name="id">帳票ID</param>
	''' <param name="sheet">シート名</param>
	''' <param name="template">書式ファイル</param>
	''' <param name="path">出力先</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/10/15 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function exeExcel(ByVal id As String, ByVal sheet As String, ByVal template As String, Optional ByVal path As String = Nothing) As Boolean
		log(clsSysMst.logLevel.DBG, "exeExcel", "EXCEL出力 START")
		Try
			Select Case True
				Case id = Me.ExcelID(0)
					Using excel As New MRP.MRP060E010(Me, Me.pDgvList, template, sheet, path, Me.rdo006MSR000F030.Checked)
						Return excel.exeExcel()
					End Using
				Case Else
					Return False
			End Select
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

End Class
