﻿Imports XCM
''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 手術情報一覧
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------

Public Class MSR070F010

#Region "変数"

	Private pSearchType As ENUM_SEARCHTYPE = Nothing					'検索種別
    Private SqlPlus As String = Nothing                                 '付加検索条件
	Private SqlPlus2 As String = Nothing								'付加検索条件
	Private SchMode As Enum_Scarch_Mode = Nothing					 '検索モード(ＡＮＤ・ＯＲ)
	Friend Schdt As DataTable = Nothing								 '詳細検索結果取得用データテーブル	

	''' ---------------------------------------------
	''' <summary>
	''' 検索条件モード
	''' </summary>
	''' <remarks>
	''' 2010/11/11 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Enum Enum_Scarch_Mode As Byte
		''' ---------------------------------------------
		''' <summary>ＡＮＤ</summary>
		''' ---------------------------------------------
		S_AND = 0
		''' ---------------------------------------------
		''' <summary>ＯＲ</summary>
		''' ---------------------------------------------
		S_OR = 1
	End Enum

	'遷移先固定ID
	Private Const CST_SHOW_MSR070F040_ID As String = "MSR070F040"
#End Region

#Region "コンストラクタ"
	'''---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pSearchNo">検索番号</param>
	''' <param name="pSearchType">検索種別</param>
	''' <remarks>
	''' 2010/10/14 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	'''---------------------------------------------
	Sub New(ByVal pSearchNo As Integer, ByVal pSearchType As ENUM_SEARCHTYPE)

		' この呼び出しはデザイナーで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。

		'ＩＮ項目取得
		Me.pSearchNo = pSearchNo		'検索番号
		Me.pOwnerType = pOwnerType		'呼出元種別
		Me.pSearchType = pSearchType	'検索種別
		'一覧を継承元変数へセット
		Me.dgvList = Me.dgv001MSR070F010
	End Sub

#End Region

#Region "イベント"
    '''---------------------------------------------
    ''' <summary>
    ''' フォームクロージング
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2010/10/25 新規作成　ACS)常包<BR/>
    ''' </remarks>
    '''--------------------------------------------- 
    Private Sub MSR070F010_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
        log(clsSysMst.logLevel.NRM, "MSR070F010_FormClosing", "フォームクロージング START")
        Try
        Catch ex As Exception
            Me.ErrorProc(ex)
        Finally
            pSearchType = Nothing
            SqlPlus = Nothing
            SqlPlus2 = Nothing
        End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 出力ボタン
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/25 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn006MSR000F020_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn006MSR000F020.Click
        log(clsSysMst.logLevel.NRM, "btn006MSR000F020_Click", "出力ボタンクリック START")
		Dim frmMSR000F020 As MSR070F020	   '出力画面
		Try
			Me.Cursor = Cursors.WaitCursor

			If Me.chkGridCnt(ENUM_CHKSELECT.CHK_ON) = True Then
				'選択件数が≠０のとき、出力画面へ遷移
				frmMSR000F020 = New MSR070F020(Me.dgvList)
				Me.nextForm(frmMSR000F020)
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
			frmMSR000F020 = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 更新ボタン
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/27 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn007MSR000F020_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn007MSR000F020.Click
        log(clsSysMst.logLevel.NRM, "btn007MSR000F020_Click", "更新ボタンクリック START")
		Dim frmMSR070F030 As MSR070F030	   '更新画面
		Try
			Me.Cursor = Cursors.WaitCursor
			If Me.chkGridCnt(ENUM_CHKSELECT.CHK_ON) = True Then
				'更新画面へ遷移
				frmMSR070F030 = New MSR070F030(Me.dgvList)
				Me.nextForm(frmMSR070F030)
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
			frmMSR070F030 = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' ＡＮＤボタン（詳細検索画面遷移）
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/11 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn015MSR000F020_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn015MSR000F020.Click
		log(clsSysMst.logLevel.NRM, "btn015MSR000F020_Click", "ＡＮＤボタンクリック START")
		Dim frmMSR070F040 As MSR070F040
		Try
			Me.Cursor = Cursors.WaitCursor
			If Me.chkGridCnt(ENUM_CHKSELECT.CHK_ON) = True Then
				Me.SchMode = Enum_Scarch_Mode.S_AND
				frmMSR070F040 = New MSR070F040(Me.pSearchNo, Me.SchMode)
				Me.nextForm(frmMSR070F040)
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
			frmMSR070F040 = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' ＯＲボタン（詳細検索画面遷移）
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/11 新規作成　ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn016MSR000F020_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn016MSR000F020.Click
		log(clsSysMst.logLevel.NRM, "btn016MSR000F020_Click", "ＯＲボタンクリック START")
		Dim frmMSR070F040 As MSR070F040
		Try
			Me.Cursor = Cursors.WaitCursor
			If Me.chkGridCnt(ENUM_CHKSELECT.CHK_OFF) = True Then
				Me.SchMode = Enum_Scarch_Mode.S_OR
				frmMSR070F040 = New MSR070F040(Me.pSearchNo, Me.SchMode)
				Me.nextForm(frmMSR070F040)
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
			frmMSR070F040 = Nothing
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 検索用ＤＢパラメータセット
	''' </summary>
	''' <param name="db">clsDB</param>
	''' <param name="type">検索種別</param>
	''' <remarks>
	''' 2010/10/25 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ''' ---------------------------------------------
	Protected Sub setDbParam(ByRef db As clsDB, ByVal type As ENUM_SEARCHTYPE)
		log(clsSysMst.logLevel.DBG, "setDbParam", "検索用ＤＢパラメータセット START")
		Try
			With db
				Select Case type
					Case ENUM_SEARCHTYPE.MAIN
						.setParamDa(sqlMSR070F010.prmFIXED_CD, clsDB.Enum_dbType.dbNVarChar)						'固定コード
						.setValDa(sqlMSR070F010.prmFIXED_CD, clsConst.Enum_Ope_Div_Fix1.MainOpe)				'主手術
					Case Else
						'処理なし
				End Select
			End With
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' データテーブルマッチング
	''' </summary>
	''' <remarks>
	''' 2010/11/11 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub matchData()
		log(clsSysMst.logLevel.DBG, "matchData", "データテーブルマッチング START")
		Dim cliCom As XSP.clsCom
		Dim row As DataRow
		Try
			cliCom = New XSP.clsCom
			If Me.Schdt IsNot Nothing Then
				' データテーブルマッチング
				For Each pRow As DataGridViewRow In Me.dgvList.Rows
					row = DirectCast(pRow.DataBoundItem, DataRowView).Row
					'検索条件（Where文作成）
					Dim strWhere As String = Nothing
					strWhere = strWhere & sqlMSRCOMMON.itmPATIENT_NO & " = '" & cliCom.getDtItmValue(row(sqlMSRCOMMON.itmPATIENT_NO).ToString) & "'" & _
								" AND " & sqlMSRCOMMON.itmHSP_NO & " = " & cliCom.getDtItmValue(row(sqlMSRCOMMON.itmHSP_NO).ToString) & "" & _
								" AND " & sqlMSRCOMMON.itmCH_NO & " = " & cliCom.getDtItmValue(row(sqlMSRCOMMON.itmCH_NO).ToString) & "" & _
								" AND " & sqlMSRCOMMON.itmSERIAL_NO & " = " & cliCom.getDtItmValue(row(sqlMSRCOMMON.itmSERIAL_NO).ToString) & ""
					Select Case Me.SchMode
						Case Enum_Scarch_Mode.S_AND	   'AND
							If row.Item(sqlMSRCOMMON.itmSELECTED) = CStr(XCM.clsConst.Enum_Chk.ChkOn) Then
								If Me.Schdt.Select(strWhere).Length = 0 Then
									row.Item(sqlMSRCOMMON.itmSELECTED) = CStr(XCM.clsConst.Enum_Chk.ChkOff)
								End If
							End If
						Case Enum_Scarch_Mode.S_OR	   'OR
							If row.Item(sqlMSRCOMMON.itmSELECTED) = CStr(XCM.clsConst.Enum_Chk.ChkOff) Then
								If Me.Schdt.Select(strWhere).Length <> 0 Then
									row.Item(sqlMSRCOMMON.itmSELECTED) = CStr(XCM.clsConst.Enum_Chk.ChkOn)
								End If
							End If
						Case Else
							'処理なし
					End Select
				Next
			End If
		Catch ex As Exception
			Throw
		Finally
			cliCom = Nothing
			row = Nothing
		End Try
	End Sub
#End Region

#Region "オーバーライズメソッド"
	''' ---------------------------------------------
	''' <summary>
	''' 一覧タイトル・ツールチップの設定
	''' </summary>
	''' <remarks>
	''' 2010/10/13 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ''' ---------------------------------------------
	Protected Overrides Sub setListHeader()
        log(clsSysMst.logLevel.DBG, "setListHeader", "一覧ヘッダ項目の変更 START")
		Try
			'病歴番号（一覧）タイトルを変更
			Me.setListHeader(Me.c20001MSR070F010.Name, clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00001))
		Catch ex As Exception
			Throw
		End Try
	End Sub
'(A) STR V4-11048-000 030 20110915 FJSK)荒川 XXX号 病歴大将V4PKG問題点No159 並び替えができるように列に「カナ」を追加する対応
	''' ---------------------------------------------
	''' <summary>
	''' 表示項目選択で保存しない項目
	''' </summary>
	''' <remarks>
	''' 2011/10/15 2011/09/15 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function NonExecClm() As String()
		Try
			Dim retOv() As String = MyBase.NonExecClm			'共通の項目を取得
			Dim ret(retOv.Length + 1) As String					'共通の項目数＋個別の項目数で戻り値配列を作成
			Dim retIdx As Integer = 0							'戻り値配列のインデックス

			'選択・患者番号までを取得する
			For Each Str As String In MyBase.NonExecClm
				ret(retIdx) = Str
				retIdx += 1
			Next

			ret(retIdx) = c58001MSR070F010.Name					'カナ

			'正常
			Return ret
		Catch ex As Exception
			Throw
		End Try
	End Function
'(A) END V4-11048-000 030 20110915
	''' ---------------------------------------------
	''' <summary>
	''' 一覧表示件数の取得
	''' </summary>
	''' <returns>一覧表示件数</returns>
	''' <remarks>
	''' 2010/10/25 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ''' ---------------------------------------------
	Protected Overrides Function getDataCnt() As Integer
        log(clsSysMst.logLevel.DBG, "getDataCnt", "一覧データ件数取得 START")
		Dim wrkSQL As String = Nothing	  'ＳＱＬ文用変数
		Try
			Using dt As New DataTable
				Using db As New clsDB(clsSysMst.ctlConfigData)
					Select Case Me.pSearchType
                        Case ENUM_SEARCHTYPE.ALL        'すべて
                            Me.SqlPlus = Nothing
                            Me.SqlPlus2 = Nothing
							wrkSQL = sqlMSR070F010.sqlSel_Cnt
						Case ENUM_SEARCHTYPE.MAIN		'主手術
                            Me.SqlPlus = sqlMSR070F010.sqlSel_Main
                            Me.SqlPlus2 = Nothing
							wrkSQL = sqlMSR070F010.sqlSel_Cnt
						Case ENUM_SEARCHTYPE.WHERE		'条件
							'検索処理結果条件よりＳＱＬ文取得
                            Me.SqlPlus = Me.getSchWhere(db, clsMSRCOMMON.Enum_Tbl_CD.MTI_OPE _
                                                            , sqlMSR070F010.MTI_OPE _
                                                            , sqlMSR070F010.MTI_OPE_RN)      '手術情報
                            Me.SqlPlus2 = Me.getSchWhere(db, clsMSRCOMMON.Enum_Tbl_CD.MTI_OPE_DOCTOR _
                                                            , sqlMSR070F010.MTI_OPE_DOCTOR _
                                                            , sqlMSR070F010.MTI_OPE_DOCTOR_RN)    '手術医師情報
                            If Me.SqlPlus2 Is Nothing Then
								wrkSQL = sqlMSR070F010.sqlSel_Cnt
                            Else
								'手術医師情報の付加条件がある場合
								wrkSQL = sqlMSR070F010.sqlSel_CntDoc
							End If
						Case Else
							'処理なし
					End Select
					'ＳＱＬセット
					db.setSQLDa(String.Format(wrkSQL, Me.SqlPlus, Me.SqlPlus2))
					'パラメータセット
					Me.setSearchDbParam(db)
					'主病名なら付加条件用パラメータを設定
					If Me.pSearchType = ENUM_SEARCHTYPE.MAIN Then Me.setDbParam(db, Me.pSearchType)
					db.execQueryDa(dt)
					'件数を返却
					If dt IsNot Nothing AndAlso dt.Rows.Count > 0 Then
                        Return dt.Rows(0).Item(sqlMSRCOMMON.itmCNT)
					End If
				End Using
			End Using
			Return 0
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 一覧データ取得処理
	''' </summary>
	''' <returns>取得データテーブル</returns>
	''' <remarks>
	''' 2010/10/25 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Function getGridData() As DataTable
        log(clsSysMst.logLevel.DBG, "getGridData", "一覧データ取得 START")
		Dim wrkSQL As String = Nothing	  'ＳＱＬ文用変数
		Try
			Using dt As New DataTable
				Using db As New clsDB(clsSysMst.ctlConfigData)
					Select Case Me.pSearchType
						Case ENUM_SEARCHTYPE.ALL		'すべて
								wrkSQL = sqlMSR070F010.sqlSel_List
						Case ENUM_SEARCHTYPE.MAIN		'主手術
								wrkSQL = sqlMSR070F010.sqlSel_List
                        Case ENUM_SEARCHTYPE.WHERE      '条件
                            If Me.SqlPlus2 Is Nothing Then
								wrkSQL = sqlMSR070F010.sqlSel_List
                            Else
								'手術医師情報の付加条件がある場合
								wrkSQL = sqlMSR070F010.sqlSel_ListDoc
							End If
						Case Else
							'処理なし
					End Select
					'ＳＱＬセット
					db.setSQLDa(String.Format(wrkSQL, Me.SqlPlus, Me.SqlPlus2))
					'パラメータセット
					Me.setSearchDbParam(db, True)
					'主手術なら付加条件用パラメータを設定
					If Me.pSearchType = ENUM_SEARCHTYPE.MAIN Then Me.setDbParam(db, Me.pSearchType)
					db.execQueryDa(dt)
					Return dt
				End Using
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 子画面処理後の処理
	''' </summary>
	''' <remarks>
	''' 2010/11/11 新規作成　ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub rcvData(ByVal ret As XCM.frmBase.Enum_FormReturn, ByVal de As System.Collections.DictionaryEntry)
		log(clsSysMst.logLevel.DBG, "rcvData", "子画面処理後の処理 START")
		Try
			Select Case de.Key.ToString
				Case CST_SHOW_MSR070F040_ID
					If ret = Enum_FormReturn.OK Then
						'マッチング処理
						Me.matchData()
						'件数表示処理
						Me.setSelectCnt()
					End If
				Case Else
					MyBase.rcvData(ret, de)
			End Select
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

End Class