﻿Imports XCM

''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 補足項目１ 検索結果出力
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MSR100F020

#Region "変数"
	''' <summary>ワーク作成フラグ</summary>
	Private makeWork As Boolean = True
	Private wrkPage As Integer
#End Region

#Region "コンスタント"
	Private Const CST_PAGE_ROW_CNT = 44					'１ページあたりの出力件数
#End Region

#Region "コンストラクタ"

	'''---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pDgv">一覧</param>
	''' <remarks>
	''' 2010/12/17 新規作成 ACS)常包<BR/>
	''' </remarks>
	'''---------------------------------------------
	Sub New(ByVal pDgv As DataGridView)

		' この呼び出しはデザイナーで必要です。
		InitializeComponent()
		' InitializeComponent() 呼び出しの後で初期化を追加します。

		'ＩＮ項目取得
		Me.pDgvList = pDgv					'一覧

		'継承元に引き渡し
		Me.ExcelID(0) = "MRP100E010"		'帳票(EXCEL)ID
		Me.CsvFile = "BT4HSK1.CSV"			'CSVファイル名

		'ワーク削除キー
		Me.DelWorkKey = MRP.clsMRPCOMMON.ENUM_SQL_DEL_WORK.MRP100
	End Sub

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' フォームロード
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/17 新規作成 ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MSR100F020_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		If Me.IsDisposed = True Then Return
		log(clsSysMst.logLevel.NRM, "MSR100F020_Load", "フォームロード START")
		Dim CntPage As Integer = 0
		Dim cnt As Integer = 0
		Try
			'ページ数を算出(端数は切り上げ)
			CntPage = System.Math.Ceiling(((Me.getItemCnt() / CST_PAGE_ROW_CNT) * System.Math.Pow(10, 0)) / System.Math.Pow(10, 0))
			For Each ctl As RadioButton In New RadioButton() {Me.rdo014MSR000F030, Me.rdo015MSR000F030, Me.rdo016MSR000F030}
				If CntPage = 0 Then						   'ページ数が０のときは、すべてのラジオボタンを表示しない
					Me.btn026MSR000F030.Enabled = False	   'ﾌﾟﾚﾋﾞｭｰボタン使用不可
					Me.btn027MSR000F030.Enabled = False	   '印刷ボタン使用不可
					Exit For
				End If
				ctl.Visible = True
				cnt += 1
				If CntPage <= 1 Then
					ctl.Text = "補足項目１情報一覧表"
				Else
					ctl.Text = "補足項目１情報一覧表(" & cnt & "/" & CntPage & ")"
				End If
				If cnt = CntPage Then
					Exit For
				End If
			Next
		Catch ex As Exception
			Me.ErrorProc(ex)
			Me.CancelProc()
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 帳票ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/17 新規作成 ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btnPrt_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn026MSR000F030.Click, btn027MSR000F030.Click
		log(clsSysMst.logLevel.NRM, "btnPrt_Click", "印刷プレビューボタンクリックイベント START")
		Try
			Me.Cursor = Cursors.WaitCursor
			Dim print As Boolean = CBool(sender.name = "btn027MSR000F030")		'印刷/ﾌﾚﾋﾞｭｰ
			Select Case True
				Case Me.rdo014MSR000F030.Checked
					If wrkPage <> 1 Then Me.makeWork = True : wrkPage = 1
					Using prt As New MRP.MRP100R010(Me, print, Me.pDgvList, Me.getPrnTitle(Me.rdo014MSR000F030.Text), Me.rdo006MSR000F030.Checked, Me.makeWork, 1)
						If prt.exeReport() = True Then Me.makeWork = False
					End Using
				Case Me.rdo015MSR000F030.Checked
					If wrkPage <> 2 Then Me.makeWork = True : wrkPage = 2
					Using prt As New MRP.MRP100R010(Me, print, Me.pDgvList, Me.getPrnTitle(Me.rdo015MSR000F030.Text), Me.rdo006MSR000F030.Checked, Me.makeWork, 2)
						If prt.exeReport() = True Then Me.makeWork = False
					End Using
				Case Me.rdo016MSR000F030.Checked
					If wrkPage <> 3 Then Me.makeWork = True : wrkPage = 3
					Using prt As New MRP.MRP100R010(Me, print, Me.pDgvList, Me.getPrnTitle(Me.rdo016MSR000F030.Text), Me.rdo006MSR000F030.Checked, Me.makeWork, 3)
						If prt.exeReport() = True Then Me.makeWork = False
					End Using
				Case Else
					'処理なし
			End Select
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 補足項目１項目マスタ件数取得
	''' </summary>
	''' <remarks>
	''' 2010/12/17 新規作成 ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getItemCnt() As Integer
		log(clsSysMst.logLevel.DBG, "getItemCnt", "補足項目１項目マスタ件数取得 START")
		Try
			Using db As New clsDB(clsSysMst.ctlConfigData)
				Using dt As New DataTable
					'補足項目１項目マスタの件数を取得
					db.setSQLDa(sqlMSR100F020.sqlCount_Asst1)
					db.execQueryDa(dt)
					If dt IsNot Nothing Then
						Return dt.Rows(0)(sqlMSR100F020.itmCount)
					End If
				End Using
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Function
#End Region

#Region "オーバーライズメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' EXCEL出力
	''' </summary>
	''' <param name="id">帳票ID</param>
	''' <param name="sheet">シート名</param>
	''' <param name="template">書式ファイル</param>
	''' <param name="path">出力先</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/17 新規作成 ACS)常包<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function exeExcel(ByVal id As String, ByVal sheet As String, ByVal template As String, Optional ByVal path As String = Nothing) As Boolean
		log(clsSysMst.logLevel.DBG, "exeExcel", "EXCEL出力 START")
		Try
			Select Case True
				Case id = Me.ExcelID(0)
					Using excel As New MRP.MRP100E010(Me, Me.pDgvList, template, sheet, path, Me.rdo006MSR000F030.Checked)
						Return excel.exeExcel()
					End Using
				Case Else
					Return False
			End Select
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

End Class
