﻿Imports XCM
''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 分娩児情報一覧
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MSR130F010

#Region "変数"

	Private pSearchType As ENUM_SEARCHTYPE = Nothing				 '検索種別
	Private SqlPlus As String = Nothing								 '付加検索条件

#End Region

#Region "コンストラクタ"
	'''---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pSearchNo">検索番号</param>
	''' <param name="pSearchType">検索種別</param>
	''' <remarks>
	''' 2010/10/14 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	'''---------------------------------------------
	Sub New(ByVal pSearchNo As Integer, ByVal pSearchType As ENUM_SEARCHTYPE)
		' この呼び出しはデザイナーで必要です。
		InitializeComponent()

		'ＩＮ項目取得
		Me.pSearchNo = pSearchNo		'検索番号
		Me.pSearchType = pSearchType	'検索種別

		'一覧を継承元変数へセット
		Me.dgvList = Me.dgv001MSR130F010
	End Sub

#End Region

#Region "イベント"

	'''---------------------------------------------
	''' <summary>
	''' フォームクロージング
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/13 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	'''--------------------------------------------- 
	Private Sub MSR130F010_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(clsSysMst.logLevel.NRM, "MSR130F010_FormClosing", "フォームクロージング START")
		Try
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			pSearchType = Nothing
			SqlPlus = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 出力ボタン
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/10/13 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn006MSR000F020_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn006MSR000F020.Click
		log(clsSysMst.logLevel.NRM, "btn006MSR000F020_Click", "出力ボタンクリック START")
		Dim frmMSR000F020 As MSR130F020
		Try
			Me.Cursor = Cursors.WaitCursor
			If Me.chkGridCnt(ENUM_CHKSELECT.CHK_ON) = True Then
				frmMSR000F020 = New MSR130F020(Me.dgvList)
				Me.nextForm(frmMSR000F020)
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			frmMSR000F020 = Nothing
		End Try
	End Sub

#End Region

#Region "オーバーライズメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 一覧タイトル・ツールチップの設定
	''' </summary>
	''' <remarks>
	''' 2010/10/13 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ''' ---------------------------------------------
	Protected Overrides Sub setListHeader()
		log(clsSysMst.logLevel.DBG, "setListHeader", "一覧ヘッダ項目の変更 START")
		Try
			'病歴番号を変更
			Me.setListHeader(Me.c20001MSR130F010.Name, clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00001))

			Dim col As New Hashtable
			Try
				'TM_分娩区分項目マスタより項目を設定
				'キー項目を配列化  項目コード => カラム名 
				col.Add("1", Me.c36001MSR130F010.Name)
				col.Add("2", Me.c37001MSR130F010.Name)
				col.Add("7", Me.c38001MSR130F010.Name)
				col.Add("8", Me.c39001MSR130F010.Name)
				col.Add("3", Me.c65001MSR130F010.Name)
				col.Add("4", Me.c66001MSR130F010.Name)
				col.Add("5", Me.c67001MSR130F010.Name)
				col.Add("6", Me.c68001MSR130F010.Name)
				Me.setMst2ListHeader(col, sqlMSR130F010.sqlSel_Header_Mtm_Cb_Div_Itm)
				col.Clear()

				'TM_分娩チェック項目マスタより項目を設定
				'キー項目を配列化  項目コード => カラム名 
				col.Add("11", Me.c44001MSR130F010.Name)
				col.Add("12", Me.c45001MSR130F010.Name)
				col.Add("13", Me.c46001MSR130F010.Name)
				col.Add("21", Me.c60001MSR130F010.Name)
				col.Add("22", Me.c61001MSR130F010.Name)
				col.Add("23", Me.c62001MSR130F010.Name)
				col.Add("24", Me.c63001MSR130F010.Name)
				col.Add("25", Me.c64001MSR130F010.Name)
				Me.setMst2ListHeader(col, sqlMSR130F010.sqlSel_Header_Mtm_Cb_Chk_Itm)
			Catch ex As Exception
				Throw
			Finally
				col.Clear()
				col = Nothing
			End Try
		Catch ex As Exception
			Throw
		End Try
	End Sub
'(A) STR V4-11048-000 030 20110915 FJSK)荒川 XXX号 病歴大将V4PKG問題点No159 並び替えができるように列に「カナ」を追加する対応
	''' ---------------------------------------------
	''' <summary>
	''' 表示項目選択で保存しない項目
	''' </summary>
	''' <remarks>
	''' 2011/10/15 2011/09/15 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function NonExecClm() As String()
		Try
			Dim retOv() As String = MyBase.NonExecClm			'共通の項目を取得
			Dim ret(retOv.Length + 1) As String					'共通の項目数＋個別の項目数で戻り値配列を作成
			Dim retIdx As Integer = 0							'戻り値配列のインデックス

			'選択・患者番号までを取得する
			For Each Str As String In MyBase.NonExecClm
				ret(retIdx) = Str
				retIdx += 1
			Next

			ret(retIdx) = Me.c80001MSR130F010.Name					'カナ

			'正常
			Return ret
		Catch ex As Exception
			Throw
		End Try
	End Function
'(A) END V4-11048-000 030 20110915
	''' ---------------------------------------------
	''' <summary>
	''' 一覧表示件数の取得
	''' </summary>
	''' <returns>検索結果件数</returns>
	''' <remarks>
	''' 2010/10/13 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ''' ---------------------------------------------
	Protected Overrides Function getDataCnt() As Integer
		log(clsSysMst.logLevel.DBG, "getDataCnt", "一覧データ件数取得 START")
		Try
			Using dt As New DataTable
				Using db As New clsDB(clsSysMst.ctlConfigData)
					Select Case Me.pSearchType
						Case ENUM_SEARCHTYPE.ALL
							Me.SqlPlus = Nothing
						Case ENUM_SEARCHTYPE.WHERE
							'検索処理結果条件よりＳＱＬ文取得
							Me.SqlPlus = getSchWhere(db, clsMSRCOMMON.Enum_Tbl_CD.MTI_CB_CHILD _
														, sqlMSR130F010.MTI_CB_CHILD _
														, sqlMSR130F010.MTI_CB_CHILD_RN)
						Case Else
							'処理なし
					End Select
					db.setSQLDa(String.Format(sqlMSR130F010.sqlSel_Cnt, Me.SqlPlus))
					Me.setSearchDbParam(db)
					db.execQueryDa(dt)
					If dt IsNot Nothing AndAlso dt.Rows.Count > 0 Then
						Return dt.Rows(0).Item(sqlMSRCOMMON.itmCNT)
					End If
				End Using
			End Using
			Return 0
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 一覧データ取得処理
	''' </summary>
	''' <remarks>
	''' 2010/10/13 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Function getGridData() As DataTable
		log(clsSysMst.logLevel.DBG, "getGridData", "一覧データ取得 START")
		Try
			Using dt As New DataTable
				Using db As New clsDB(clsSysMst.ctlConfigData)

					db.setSQLDa(String.Format(sqlMSR130F010.sqlSel_List, Me.SqlPlus))
					Me.setSearchDbParam(db, True)
					db.execQueryDa(dt)
					Return dt
				End Using
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

End Class