﻿Imports XCM
Imports XSP
''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 管理物情報 検索結果更新
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MSR160F030

#Region "変数"

	Private pDgvList As DataGridView								'一覧
	Private pLendItem As String										'管理物コード
	Private pLendUnit As String										'管理物-管理単位

#End Region

#Region "コンストラクタ"

	'''---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pDgv">一覧</param>
	''' <param name="pLendItem">管理物コード</param>
	''' <param name="pLendUnit">管理単位</param>
	''' <remarks>
	''' 2010/12/13 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	'''---------------------------------------------
	Sub New(ByVal pDgv As DataGridView, ByVal pLendItem As String, ByVal pLendUnit As String)

		' この呼び出しはデザイナーで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。

		'ＩＮ項目取得
		Me.pDgvList = pDgv					'一覧
		Me.pLendItem = pLendItem			'管理物コード
		Me.pLendUnit = pLendUnit			'管理物-管理単位

	End Sub

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' フォームロード時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/03 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MSR160F030_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		log(clsSysMst.logLevel.NRM, "MSR160F030_Load", "フォームロード START")
		Try
			'ラベル/コンボ設定
			Dim cliCmb As clsComboCom = New XSP.clsComboCom
			Dim Kanri As clsComboCom.Enum_ComboType
			Dim KeepLct As clsComboCom.Enum_ComboType
			Try
				'管理物コードによりデータソースを決定
				Select Case Me.pLendItem
					Case clsConst.Enum_Lenditem.MedicalRecord
						Kanri = clsComboCom.Enum_ComboType.Enum_M_LendItemMngStatus_1
						KeepLct = clsComboCom.Enum_ComboType.Enum_M_LendItemKeepLct_1
					Case clsConst.Enum_Lenditem.Summary
						Kanri = clsComboCom.Enum_ComboType.Enum_M_LendItemMngStatus_2
						KeepLct = clsComboCom.Enum_ComboType.Enum_M_LendItemKeepLct_2
					Case clsConst.Enum_Lenditem.LendItem3
						Kanri = clsComboCom.Enum_ComboType.Enum_M_LendItemMngStatus_3
						KeepLct = clsComboCom.Enum_ComboType.Enum_M_LendItemKeepLct_3
					Case clsConst.Enum_Lenditem.LendItem4
						Kanri = clsComboCom.Enum_ComboType.Enum_M_LendItemMngStatus_4
						KeepLct = clsComboCom.Enum_ComboType.Enum_M_LendItemKeepLct_4
					Case clsConst.Enum_Lenditem.LendItem5
						Kanri = clsComboCom.Enum_ComboType.Enum_M_LendItemMngStatus_5
						KeepLct = clsComboCom.Enum_ComboType.Enum_M_LendItemKeepLct_5
				End Select
				Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
					Me.lbl001MSR160F030.Text = Me.getLendItemNm(db, Me.pLendItem)
					With Me.cmb003MSR160F030 : .DataSource = cliCmb.getCombo(db, Kanri) : .setDropDownWidth() : End With
					With Me.cmb012MSR160F030 : .DataSource = cliCmb.getCombo(db, KeepLct) : .setDropDownWidth() : End With
				End Using
			Catch ex As Exception
				Throw
			Finally
				cliCmb = Nothing
			End Try

		Catch ex As Exception
			Me.ErrorProc(ex)
			Me.CancelProc()
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' フォームを閉じるとき
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/03 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MSR160F030_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(clsSysMst.logLevel.NRM, "MSR160F030_FormClosing", "フォームクローズ START")
		Try
			Me.FormClosingProc()
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.pDgvList = Nothing
			Me.pLendItem = Nothing
			Me.pLendUnit = Nothing
			With Me.cmb003MSR160F030
				If .DataSource IsNot Nothing Then
					DirectCast(.DataSource, DataTable).Dispose()
					.DataSource = Nothing
				End If
			End With
			With Me.cmb012MSR160F030
				If .DataSource IsNot Nothing Then
					DirectCast(.DataSource, DataTable).Dispose()
					.DataSource = Nothing
				End If
			End With
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' チェックボックス選択
	''' LinkControlではradioボタン制御が上手くできないのでカスタム制御
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/14 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub chk005MSR160F030_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chk005MSR160F030.CheckedChanged
		If Me.IsHandleCreated = False Then Return
		log(clsSysMst.logLevel.DBG, "chk005MSR160F030_CheckedChanged", "チェックボックス選択 START")
		Dim bolChk As Boolean
		Try
			bolChk = DirectCast(sender, BT_CheckBox).Checked

			'指定、日付の制御
			Me.rdo007MSR160F030.Enabled = bolChk
			If Me.rdo007MSR160F030.Checked = True AndAlso bolChk = True Then
				Me.dte008MSR160F030.Enabled = bolChk
			Else
				Me.dte008MSR160F030.Enabled = False
			End If

			'終了日、退院日の制御
			Select Case Me.pLendUnit
				Case clsConst.Enum_LendUnit.Each_Hosp, clsConst.Enum_LendUnit.Each_Dept
					Me.rdo010MSR160F030.Enabled = bolChk
					Select Case Me.pLendUnit
						Case clsConst.Enum_LendUnit.Each_Dept
							Me.rdo009MSR160F030.Enabled = bolChk
					End Select
			End Select

			'フォーカス位置の決定
			Select Case True
				Case bolChk = False															'制御しない
				Case Me.rdo009MSR160F030.Checked : Me.rdo009MSR160F030.Select()
				Case Me.rdo010MSR160F030.Checked : Me.rdo010MSR160F030.Select()
				Case Else : Me.rdo007MSR160F030.Select()
			End Select

		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ラジオんボタン選択
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/14 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub rdo007MSR160F030_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles rdo007MSR160F030.CheckedChanged
		If Me.IsHandleCreated = False Then Return
		log(clsSysMst.logLevel.DBG, "rdo007MSR160F030_CheckedChanged", "ラジオボタン選択 START")
		Try
			Me.dte008MSR160F030.Enabled = CBool(Me.rdo007MSR160F030.Checked = True AndAlso Me.rdo007MSR160F030.Enabled = True)
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 貸出物マスタより単位コードを取得
	''' </summary>
	''' <returns>単位コード</returns>
	''' <remarks>
	''' 2010/12/14 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getLendItemNm(ByVal db As clsDB, ByVal LendItemCd As clsConst.Enum_Lenditem) As String
		Try
			Using dt As DataTable = New DataTable
				With db
					.setSQLDa(sqlMSR160F030.sqlSel_MTM_LENDITEM)

					.setParamDa(sqlMSRCOMMON.prmLENDITEM_CD, clsDB.Enum_dbType.dbNVarChar)					'管理物コード
					.setValDa(sqlMSRCOMMON.prmLENDITEM_CD, LendItemCd)
					.execQueryDa(dt)
					If dt.Rows.Count = 0 Then
						Return Nothing
					Else
						Return dt.Rows(0).Item(0)
					End If
				End With
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 入力チェック
	''' </summary>
	''' <returns>True:正常/false:エラー有</returns>
	''' <remarks>
	''' 2010/12/14 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function ChkData() As Boolean
		log(clsSysMst.logLevel.DBG, "ChkData", "入力チェック START")
		Try
			'チェック項目の入力チェック
			If Me.chk002MSR160F030.Checked = False AndAlso
			   Me.chk005MSR160F030.Checked = False AndAlso
			   Me.chk011MSR160F030.Checked = False Then
				addErrList("E0014", Me.chk002MSR160F030.Name, "更新対象", "更新対象", Nothing)	 '「更新対象が選択されていません」
			End If

			'管理状況コンボの入力チェック()
'(M) STR V4-11032-000 006 20110818 FJSK)荒川 XXX号 病歴大将V4PKG問題点No128 コンボボックスの取得をSelectedValueからTextに変更対応
'			If Me.chk002MSR160F030.Checked = True AndAlso
'			   Me.cmb003MSR160F030.SelectedIndex = -1 Then
			If Me.chk002MSR160F030.Checked = True AndAlso
			   String.IsNullOrEmpty(Me.cmb003MSR160F030.Text) = True Then
'(M) END V4-11032-000 006 20110818
				addErrList("E0001", Me.cmb003MSR160F030.Name, Me.chk002MSR160F030.Text, Nothing)  '「未入力の項目があります。」
			End If

			'保管場所コンボの入力チェック()
'(M) STR V4-11032-000 006 20110818 FJSK)荒川 XXX号 病歴大将V4PKG問題点No128 コンボボックスの取得をSelectedValueからTextに変更対応
'			If Me.chk011MSR160F030.Checked = True AndAlso
'			   Me.cmb012MSR160F030.SelectedIndex = -1 Then
			If Me.chk011MSR160F030.Checked = True AndAlso
			   String.IsNullOrEmpty(Me.cmb012MSR160F030.Text) = True Then
'(M) END V4-11032-000 006 20110818
				addErrList("E0001", Me.cmb012MSR160F030.Name, Me.chk011MSR160F030.Text, Nothing)  '「未入力の項目があります。」
			End If

			If Me.getErrCount() > 0 Then
				Me.nextErrForm()							'エラーがある場合、エラー画面表示
				Return False
			Else
				Return True									'エラーがない場合、正常終了
			End If

		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 更新処理
	''' </summary>
	''' <param name="db">DBクラス</param>
	''' <returns>True/False</returns>
	''' <remarks>
	''' 2010/12/14 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function UpdProc(ByVal db As clsDB) As Boolean
		log(clsSysMst.logLevel.DBG, "UpdProc", "更新処理 START")
		Dim ProcMsg As String = Nothing
		Dim sql() As String = {Nothing, Nothing}
		Const CST_SQL_COL As Integer = 0
		Const CST_SQL_JOIN As Integer = 1
		Const CST_CONNECT As String = "・"
		Try
			'管理状況
			If Me.chk002MSR160F030.Checked = True Then
				ProcMsg &= CST_CONNECT & Me.chk002MSR160F030.Text
				'管理物により更新項目を決定
				Select Case Me.pLendItem
					Case clsConst.Enum_Lenditem.MedicalRecord : sql(CST_SQL_COL) &= sqlMSR160F030.sqlCol_MngStatus_M
					Case clsConst.Enum_Lenditem.Summary : sql(CST_SQL_COL) &= sqlMSR160F030.sqlCol_MngStatus_S
					Case clsConst.Enum_Lenditem.LendItem3 : sql(CST_SQL_COL) &= sqlMSR160F030.sqlCol_MngStatus_1
					Case clsConst.Enum_Lenditem.LendItem4 : sql(CST_SQL_COL) &= sqlMSR160F030.sqlCol_MngStatus_2
					Case clsConst.Enum_Lenditem.LendItem5 : sql(CST_SQL_COL) &= sqlMSR160F030.sqlCol_MngStatus_3
				End Select
			End If

			'受領日
			If Me.chk005MSR160F030.Checked = True Then
				ProcMsg &= CST_CONNECT & Me.chk005MSR160F030.Text
				Dim strWk As String = Nothing
				Try
					'管理物により更新項目を決定
					Select Case Me.pLendItem
						Case clsConst.Enum_Lenditem.MedicalRecord : strWk = sqlMSR160F030.sqlCol_ReceiptDt_M
						Case clsConst.Enum_Lenditem.Summary : strWk = sqlMSR160F030.sqlCol_ReceiptDt_S
						Case clsConst.Enum_Lenditem.LendItem3 : strWk = sqlMSR160F030.sqlCol_ReceiptDt_1
						Case clsConst.Enum_Lenditem.LendItem4 : strWk = sqlMSR160F030.sqlCol_ReceiptDt_2
						Case clsConst.Enum_Lenditem.LendItem5 : strWk = sqlMSR160F030.sqlCol_ReceiptDt_3
					End Select

					'更新内容の決定
					Select Case True
						Case Me.rdo007MSR160F030.Checked											'指定された日付
							sql(CST_SQL_COL) &= String.Format(strWk, sqlMSR160F030.prmRECEIPT_DT)
						Case Me.rdo009MSR160F030.Checked											'終了日
							sql(CST_SQL_COL) &= String.Format(strWk, sqlMSR160F030.sqlCol_C_EndDt)
							sql(CST_SQL_JOIN) &= sqlMSR160F030.sqlJoin_C
						Case Me.rdo010MSR160F030.Checked											'退院日
							sql(CST_SQL_COL) &= String.Format(strWk, sqlMSR160F030.sqlCol_H_EndDt)
							sql(CST_SQL_JOIN) &= sqlMSR160F030.sqlJoin_H
					End Select

				Finally
					strWk = Nothing
				End Try
			End If

			'保管場所
			If Me.chk011MSR160F030.Checked = True Then
				ProcMsg &= CST_CONNECT & Me.chk011MSR160F030.Text
				'管理物により更新項目を決定
				Select Case Me.pLendItem
					Case clsConst.Enum_Lenditem.MedicalRecord : sql(CST_SQL_COL) &= sqlMSR160F030.sqlCol_KeepLct_M
					Case clsConst.Enum_Lenditem.Summary : sql(CST_SQL_COL) &= sqlMSR160F030.sqlCol_KeepLct_S
					Case clsConst.Enum_Lenditem.LendItem3 : sql(CST_SQL_COL) &= sqlMSR160F030.sqlCol_KeepLct_1
					Case clsConst.Enum_Lenditem.LendItem4 : sql(CST_SQL_COL) &= sqlMSR160F030.sqlCol_KeepLct_2
					Case clsConst.Enum_Lenditem.LendItem5 : sql(CST_SQL_COL) &= sqlMSR160F030.sqlCol_KeepLct_3
				End Select
			End If

			'タスクバーにメッセージ表示
			Me.showMsgBar("I0022", Enum_MsgIcon.None, ProcMsg.Substring(CST_CONNECT.Length), Nothing)

			'エラー処理時のメッセージ
			ProcMsg = ProcMsg.Substring(CST_CONNECT.Length) & "を処理中、更新"

			With db
				.ctlTran(clsDB.Enum_TranMode.Begin)							'トランザクション開始
				.setSQL(String.Format(sqlMSR160F030.sqlUpd, sql(CST_SQL_COL), sql(CST_SQL_JOIN)))

				'パラメータ設定
				If Me.chk002MSR160F030.Checked = True Then													'管理状況
					.setParam(sqlMSR160F030.prmMNGSTATUS_CD, clsDB.Enum_dbType.dbNVarChar)
'(M) STR V4-11032-000 004 20110818 FJSK)荒川 XXX号 病歴大将V4PKG問題点No128 コンボボックスの取得をSelectedValueからTextに変更対応
'					.setVal(sqlMSR160F030.prmMNGSTATUS_CD, Me.cmb003MSR160F030.SelectedValue)
					.setVal(sqlMSR160F030.prmMNGSTATUS_CD, Me.cmb003MSR160F030.Text)
'(M) END V4-11032-000 004 20110818
				End If
				If Me.chk005MSR160F030.Checked = True AndAlso Me.rdo007MSR160F030.Checked = True Then		'受領日指定
					.setParam(sqlMSR160F030.prmRECEIPT_DT, clsDB.Enum_dbType.dbDateTime)
					If String.IsNullOrEmpty(Me.dte008MSR160F030.Text) Then
						.setVal(sqlMSR160F030.prmRECEIPT_DT, String.Empty)
					Else
						.setVal(sqlMSR160F030.prmRECEIPT_DT, Me.dte008MSR160F030.DateValue)
					End If
				End If
				If Me.chk011MSR160F030.Checked = True Then													'保管場所
					.setParam(sqlMSR160F030.prmKEEPLCT_CD, clsDB.Enum_dbType.dbNVarChar)
'(M) STR V4-11032-000 004 20110818 FJSK)荒川 XXX号 病歴大将V4PKG問題点No128 コンボボックスの取得をSelectedValueからTextに変更対応
'					.setVal(sqlMSR160F030.prmKEEPLCT_CD, Me.cmb012MSR160F030.SelectedValue)
					.setVal(sqlMSR160F030.prmKEEPLCT_CD, Me.cmb012MSR160F030.Text)
'(M) END V4-11032-000 004 20110818
				End If
				.setParam(sqlMSRCOMMON.prmHOST_NM, clsDB.Enum_dbType.dbNVarChar)								'ホスト名
				.setVal(sqlMSRCOMMON.prmHOST_NM, clsConst.CST_HOST_NM)

				.setParam(sqlMSRCOMMON.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)						'更新者名
				.setVal(sqlMSRCOMMON.prmLASTUPDUSER_CD, clsSysMst.getLoginId)

				.setParam(sqlMSRCOMMON.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)							'更新日
				.setVal(sqlMSRCOMMON.prmLASTUPD_DT, DateTime.Now())

				.execNonQuery(False)

				.ctlTran(clsDB.Enum_TranMode.Commit)							'コミット
			End With
			Return True
		Catch ex As SqlClient.SqlException
			If db.statTran() = True Then db.ctlTran(clsDB.Enum_TranMode.RollBack) 'ロールバック
			Me.ErrorProc(ex, False)													'共通例外エラー処理
			Me.showMsg("E0013", ProcMsg, ex.Message)								'「○○を処理時、更新に失敗しました」

			Return False
		Catch ex As Exception
			Throw
		Finally
			Me.clearMsgBar()
			If db.statTran() = True Then db.ctlTran(clsDB.Enum_TranMode.RollBack) 'ロールバック
			ProcMsg = Nothing
			sql = Nothing
		End Try
	End Function

#End Region

#Region "オーバーライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 実行処理
	''' </summary>
	''' <remarks>
	''' 2010/12/14 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub RunProc()
		log(clsSysMst.logLevel.DBG, "RunProc", "実行処理 START")
'(A) STR V4-11007-000 003 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
		Dim errPtn As ArrayList = Nothing
'(A) END V4-11007-000 003 20110809
		Try
			If Me.ChkData = False Then												'入力チェック
'(D) STR V4-11007-000 003 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'			ElseIf Me.chkStartStatusRegSys() = True Then							'登録系の起動を確認
'(D) END V4-11007-000 003 20110809
'(M) STR V4-12053-000 004 2012/12/14 ID)荒川 病歴大将V4PKG 管理No.49 確認メッセージ「OK/キャンセル」→「はい/いいえ」に修正
'			ElseIf Me.confMsg("Q0005", "更新", Nothing) <> MsgBoxResult.Ok Then		'「更新しますか?」
			ElseIf Me.confMsg("Q0005", "更新", Nothing) <> MsgBoxResult.Yes Then	'「更新しますか?」
'(M) END V4-12053-000 004 2012/12/14
'(D) STR V4-11007-000 003 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'			ElseIf Me.chkStartStatusRegSys() = True Then							'登録系の起動を再確認
'(D) END V4-11007-000 003 20110809
			Else
				Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
'(M) STR V4-11007-000 005 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'					If clsMSRCOMMON.setWorkData(db, Me.pDgvList) = False Then		'更新対象ワークデータ作成
					errPtn = Me.chkStartStatus(clsMSRCOMMON.getUpdPatient(Me.pDgvList).ToArray, String.Empty, "処理中")
					If clsMSRCOMMON.setWorkData(db, Me.pDgvList, errPtn) = False Then		 '更新対象ワークデータ作成
'(M) END V4-11007-000 005 20110809
						'エラーなら更新しない
'(M) STR V4-11007-000 004 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
'					ElseIf Me.UpdProc(db) = True Then								'更新処理
					ElseIf Me.UpdProc(db) = True AndAlso (getErrCount() = 0) Then	'更新処理
'(M) END V4-11007-000 004 20110809
						Me.showMsg("I0006", "更新", Nothing)						'「更新が終了しました」
					End If
'(A) STR V4-11007-000 006 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No1 一括更新⇔登録機能での排他チェック仕様変更対応
					'エラー情報があったらエラー画面を表示する
					If getErrCount() > 0 Then
						nextErrForm(CST_RUNPROC_NAME)
					End If
'(A) END V4-11007-000 006 20110809
				End Using
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

End Class
