﻿Imports XCM
''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 管理物情報一覧
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MSR170F010

#Region "変数"

	Private pSearchType As ENUM_SEARCHTYPE = Nothing				'検索種別
	Private SqlPlus As String = Nothing								'付加検索条件
	Private LendUnitCd As String = Nothing							'管理物単位

#End Region

#Region "コンストラクタ"
	'''---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pSearchNo">検索番号</param>
	''' <param name="pLendItem">管理物コード</param>
	''' <param name="pSearchType">検索種別</param>
	''' <remarks>
	''' 2010/10/14 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	'''---------------------------------------------
	Sub New(ByVal pSearchNo As Integer, ByVal pLendItem As String, ByVal pSearchType As ENUM_SEARCHTYPE)

		' この呼び出しはデザイナーで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。

		'ＩＮ項目取得
		Me.pSearchNo = pSearchNo		'検索番号
		Me.pLendItem = pLendItem		'管理物コード
		Me.pSearchType = pSearchType	'検索種別

		'一覧を継承元変数へセット
		Me.dgvList = Me.dgv001MSR170F010
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pSearchNo">検索番号</param>
	''' <param name="pLendItem">管理物コード</param>
	''' <param name="pOwnerType">呼出元種別</param>
	''' <remarks>
	''' 2010/10/14 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	'''---------------------------------------------
	Sub New(ByVal pSearchNo As Integer, ByVal pLendItem As String, ByVal pOwnerType As ENUM_OWNERTYPE)

		Me.New(pSearchNo, pLendItem, ENUM_SEARCHTYPE.ALL)
		Me.pOwnerType = pOwnerType		'呼出元種別

	End Sub

#End Region

#Region "イベント"

	'''---------------------------------------------
	''' <summary>
	''' フォームクロージング
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/03 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	'''--------------------------------------------- 
	Private Sub MSR170F010_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(clsSysMst.logLevel.NRM, "MSR170F010_FormClosing", "フォームクロージング START")
		Try
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			pSearchType = Nothing
			SqlPlus = Nothing
			 LendUnitCd = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 出力ボタン
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/03 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn006MSR000F020_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn006MSR000F020.Click
		log(clsSysMst.logLevel.NRM, "btn006MSR000F020_Click", "出力ボタンクリック START")
		Dim frmMSR000F020 As MSR170F020
		Try
			Me.Cursor = Cursors.WaitCursor
			If Me.chkGridCnt(ENUM_CHKSELECT.CHK_ON) = True Then
				frmMSR000F020 = New MSR170F020(Me.dgvList, Me.pLendItem, Me.LendUnitCd)
				Me.nextForm(frmMSR000F020)
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			frmMSR000F020 = Nothing
			Me.Cursor = Cursors.Default
		End Try
	End Sub

#End Region

#Region "オーバーライズメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 一覧タイトル・ツールチップの設定
	''' </summary>
	''' <remarks>
	''' 2010/12/03 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ''' ---------------------------------------------
	Protected Overrides Sub setListHeader()
		log(clsSysMst.logLevel.DBG, "setListHeader", "一覧ヘッダ項目の変更 START")
		Try
			'病歴番号を変更
			Me.setListHeader(Me.c14001MSR170F010.Name, clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00001))
		Catch ex As Exception
			Throw
		End Try
	End Sub
'(A) STR V4-11048-000 030 20110915 FJSK)荒川 XXX号 病歴大将V4PKG問題点No159 並び替えができるように列に「カナ」を追加する対応
	''' ---------------------------------------------
	''' <summary>
	''' 表示項目選択で保存しない項目
	''' </summary>
	''' <remarks>
	''' 2011/10/15 2011/09/15 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function NonExecClm() As String()
		Try
			Dim retOv() As String = MyBase.NonExecClm			'共通の項目を取得
			Dim ret(retOv.Length + 1) As String					'共通の項目数＋個別の項目数で戻り値配列を作成
			Dim retIdx As Integer = 0							'戻り値配列のインデックス

			'選択・患者番号までを取得する
			For Each Str As String In MyBase.NonExecClm
				ret(retIdx) = Str
				retIdx += 1
			Next

			ret(retIdx) = Me.c64001MSR170F010.Name					'カナ

			'正常
			Return ret
		Catch ex As Exception
			Throw
		End Try
	End Function
'(A) END V4-11048-000 030 20110915
	''' ---------------------------------------------
	''' <summary>
	''' 一覧表示件数の取得
	''' </summary>
	''' <returns>検索結果件数</returns>
	''' <remarks>
	''' 2010/12/03 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ''' ---------------------------------------------
	Protected Overrides Function getDataCnt() As Integer
		log(clsSysMst.logLevel.DBG, "getDataCnt", "一覧データ件数取得 START")
		Dim sql As String = Nothing
		Try
			Using dt As New DataTable
				Using db As New clsDB(clsSysMst.ctlConfigData)
					'追加条件の決定
					Select Case Me.pSearchType
						Case ENUM_SEARCHTYPE.ALL														'すべて
							Me.SqlPlus = Nothing
						Case ENUM_SEARCHTYPE.MAIN														'最新条件の付与
							Me.SqlPlus = sqlMSR170F010.sqlNewData
						Case ENUM_SEARCHTYPE.WHERE														'検索処理結果条件よりＳＱＬ文取得
							Dim TblCd As clsMSRCOMMON.Enum_Tbl_CD = clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND
							Try
								'全管理物コード検索した条件
								Me.SqlPlus = getSchWhere(db, TblCd, sqlMSR170F010.MTI_LEND, sqlMSR170F010.MTI_LEND_RN)

								'特定管理物コード検索した条件
								Select Case Me.pLendItem
									Case clsConst.Enum_Lenditem.MedicalRecord : TblCd = clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_MR
									Case clsConst.Enum_Lenditem.Summary : TblCd = clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_SM
									Case clsConst.Enum_Lenditem.LendItem3 : TblCd = clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_I3
									Case clsConst.Enum_Lenditem.LendItem4 : TblCd = clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_I4
									Case clsConst.Enum_Lenditem.LendItem5 : TblCd = clsMSRCOMMON.Enum_Tbl_CD.MTI_LEND_I5
									Case Else : Return 0
								End Select
								Me.SqlPlus &= getSchWhere(db, TblCd, sqlMSR170F010.MTI_LEND, sqlMSR170F010.MTI_LEND_RN)
							Catch ex As Exception
								Throw
							End Try

						Case Else
							'処理なし
					End Select

					'管理単位を取得しでSQLを決定
					Me.LendUnitCd = clsMSRCOMMON.getLendItemUnitCd(Me.pLendItem)
					Select Case Me.LendUnitCd
						Case clsConst.Enum_LendUnit.Each_Patient : sql = sqlMSR170F010.sqlSel_Cnt_B		'患者単位
						Case clsConst.Enum_LendUnit.Each_Hosp : sql = sqlMSR170F010.sqlSel_Cnt_H		'入退院単位
						Case clsConst.Enum_LendUnit.Each_Dept : sql = sqlMSR170F010.sqlSel_Cnt_C		'科歴単位
					Case Else : Return 0																'データなしで終了
					End Select

					'呼出画面に応じた設定
					Select Case Me.pOwnerType
						Case ENUM_OWNERTYPE.MSR															'検索からの場合
							sql = String.Format(sql, Me.SqlPlus, Nothing, Nothing, Nothing)
						Case ENUM_OWNERTYPE.MSS															'メニューからの場合、連番を付与
							sql = String.Format(sql, Me.SqlPlus, sqlMSR170F010.sqlResult_AddCnd, sqlMSR170F010.sqlResult_AddCol, sqlMSR170F010.sqlSub_AddCol)
						Case Else : Return 0															'データなしで終了
					End Select

					db.setSQLDa(sql)
					Me.setSearchDbParam(db)

					db.setParamDa(sqlMSR170F010.prmLENDITEM_CD, clsDB.Enum_dbType.dbNVarChar)			'管理物コード
					db.setValDa(sqlMSR170F010.prmLENDITEM_CD, Me.pLendItem)
					db.execQueryDa(dt)
					If dt IsNot Nothing AndAlso dt.Rows.Count > 0 Then
						Return dt.Rows(0).Item(sqlMSRCOMMON.itmCNT)
					End If
				End Using
			End Using
			Return 0
		Catch ex As Exception
			Throw
		Finally
			sql = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 一覧データ取得処理
	''' </summary>
	''' <remarks>
	''' 2010/12/03 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Function getGridData() As DataTable
		log(clsSysMst.logLevel.DBG, "getGridData", "一覧データ取得 START")
		Dim sql As String
		Try
			Using dt As New DataTable
				Using db As New clsDB(clsSysMst.ctlConfigData)
					'管理単位でSQLを決定
					Select Case Me.LendUnitCd
						Case clsConst.Enum_LendUnit.Each_Patient : sql = sqlMSR170F010.sqlSel_List_B	'患者単位
						Case clsConst.Enum_LendUnit.Each_Hosp : sql = sqlMSR170F010.sqlSel_List_H		'入退院単位
						Case clsConst.Enum_LendUnit.Each_Dept : sql = sqlMSR170F010.sqlSel_List_C		'科歴単位
						Case Else : Return dt															'データなしで終了
					End Select

					'呼出画面に応じた設定
					Select Case Me.pOwnerType
						Case ENUM_OWNERTYPE.MSR															'検索からの場合
							sql = String.Format(sql, Me.SqlPlus, Nothing, Nothing, Nothing)
						Case ENUM_OWNERTYPE.MSS															'メニューからの場合、連番を付与
							sql = String.Format(sql, Me.SqlPlus, sqlMSR170F010.sqlResult_AddCnd, sqlMSR170F010.sqlResult_AddCol, sqlMSR170F010.sqlSub_AddCol)
						Case Else : Return dt															'データなしで終了
					End Select

					db.setSQLDa(sql)
					Me.setSearchDbParam(db, True)

					'追加パラメータ
					db.setParamDa(sqlMSR170F010.prmLENDITEM_CD, clsDB.Enum_dbType.dbNVarChar)			'管理物コード(選択値
					db.setValDa(sqlMSR170F010.prmLENDITEM_CD, Me.pLendItem)

					db.setParamDa(sqlMSR170F010.prmITEM_M, clsDB.Enum_dbType.dbNVarChar)					'管理物コード(全て
					db.setParamDa(sqlMSR170F010.prmITEM_S, clsDB.Enum_dbType.dbNVarChar)
					db.setParamDa(sqlMSR170F010.prmITEM_1, clsDB.Enum_dbType.dbNVarChar)
					db.setParamDa(sqlMSR170F010.prmITEM_2, clsDB.Enum_dbType.dbNVarChar)
					db.setParamDa(sqlMSR170F010.prmITEM_3, clsDB.Enum_dbType.dbNVarChar)
					db.setValDa(sqlMSR170F010.prmITEM_M, clsConst.Enum_Lenditem.MedicalRecord, False)
					db.setValDa(sqlMSR170F010.prmITEM_S, clsConst.Enum_Lenditem.Summary, False)
					db.setValDa(sqlMSR170F010.prmITEM_1, clsConst.Enum_Lenditem.LendItem3, False)
					db.setValDa(sqlMSR170F010.prmITEM_2, clsConst.Enum_Lenditem.LendItem4, False)
					db.setValDa(sqlMSR170F010.prmITEM_3, clsConst.Enum_Lenditem.LendItem5, False)

					db.setParamDa(sqlMSR170F010.prmUNIT_VALB, clsDB.Enum_dbType.dbNVarChar)				'管理物単位値
					db.setParamDa(sqlMSR170F010.prmUNIT_VALH, clsDB.Enum_dbType.dbNVarChar)
					db.setParamDa(sqlMSR170F010.prmUNIT_VALC, clsDB.Enum_dbType.dbNVarChar)
					db.setValDa(sqlMSR170F010.prmUNIT_VALB, clsConst.Enum_LendUnit.Each_Patient, False)
					db.setValDa(sqlMSR170F010.prmUNIT_VALH, clsConst.Enum_LendUnit.Each_Hosp, False)
					db.setValDa(sqlMSR170F010.prmUNIT_VALC, clsConst.Enum_LendUnit.Each_Dept, False)

					db.setParamDa(sqlMSR170F010.prmUNIT_M, clsDB.Enum_dbType.dbNVarChar)					'管理物単位(全て
					db.setParamDa(sqlMSR170F010.prmUNIT_S, clsDB.Enum_dbType.dbNVarChar)
					db.setParamDa(sqlMSR170F010.prmUNIT_1, clsDB.Enum_dbType.dbNVarChar)
					db.setParamDa(sqlMSR170F010.prmUNIT_2, clsDB.Enum_dbType.dbNVarChar)
					db.setParamDa(sqlMSR170F010.prmUNIT_3, clsDB.Enum_dbType.dbNVarChar)
					db.setValDa(sqlMSR170F010.prmUNIT_M, String.Empty)									'一旦空値を設定しておく
					db.setValDa(sqlMSR170F010.prmUNIT_S, String.Empty)
					db.setValDa(sqlMSR170F010.prmUNIT_1, String.Empty)
					db.setValDa(sqlMSR170F010.prmUNIT_2, String.Empty)
					db.setValDa(sqlMSR170F010.prmUNIT_3, String.Empty)
					'マスタ値で上書き
					For Each row As DataRow In clsMSRCOMMON.getLendItemAll.Rows
						Select Case row.Item(sqlMSRCOMMON.itmLENDITEM_CD).ToString
							Case clsConst.Enum_Lenditem.MedicalRecord : db.setValDa(sqlMSR170F010.prmUNIT_M, row.Item(sqlMSRCOMMON.itmLENDUNIT_CD).ToString, False)
							Case clsConst.Enum_Lenditem.Summary : db.setValDa(sqlMSR170F010.prmUNIT_S, row.Item(sqlMSRCOMMON.itmLENDUNIT_CD).ToString, False)
							Case clsConst.Enum_Lenditem.LendItem3 : db.setValDa(sqlMSR170F010.prmUNIT_1, row.Item(sqlMSRCOMMON.itmLENDUNIT_CD).ToString, False)
							Case clsConst.Enum_Lenditem.LendItem4 : db.setValDa(sqlMSR170F010.prmUNIT_2, row.Item(sqlMSRCOMMON.itmLENDUNIT_CD).ToString, False)
							Case clsConst.Enum_Lenditem.LendItem5 : db.setValDa(sqlMSR170F010.prmUNIT_3, row.Item(sqlMSRCOMMON.itmLENDUNIT_CD).ToString, False)
						End Select
					Next

					db.execQueryDa(dt)
					Return dt
				End Using
			End Using
		Catch ex As Exception
			Throw
		Finally
			sql = Nothing
		End Try
	End Function

#End Region

End Class