﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 検索条件コントロール (SQLクラス）
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class sqlMSR000C010

#Region "検索項目"

	'---   TI_基本情報   ---
	Public Const itmB_PATIENT_NO As String = "XTI_BASICINFO.PATIENT_NO"																'TI_基本情報.患者番号
	Public Const itmB_PATIENT_NM As String = "XTI_BASICINFO.PATIENT_NM" & clsMSRSearch.CST_SEPARATOR _
										   & "XTI_BASICINFO.PREVIOUS1_NM" & clsMSRSearch.CST_SEPARATOR _
										   & "XTI_BASICINFO.PREVIOUS2_NM"															'TI_基本情報.氏名/旧姓１/旧姓２
	Public Const itmB_PATIENT_KNM As String = "XTI_BASICINFO.PATIENT_KNM" & clsMSRSearch.CST_SEPARATOR _
											& "XTI_BASICINFO.PREVIOUS1_KNM" & clsMSRSearch.CST_SEPARATOR _
											& "XTI_BASICINFO.PREVIOUS2_KNM"															'TI_基本情報.氏名カナ/旧姓１カナ/旧姓２カナ
	Public Const itmB_GENDER_CD As String = "XTI_BASICINFO.GENDER_CD"																'TI_基本情報.性別コード
	Public Const itmB_BIRTH_DT As String = "XTI_BASICINFO.BIRTH_DT"																	'TI_基本情報.生年月日
	Public Const itmB_BIRTH_MD As String = "substring(convert(varchar,XTI_BASICINFO.BIRTH_DT,111),6,5)"								'TI_基本情報.生年月日(誕生日)
	Public Const itmB_BLOODTYPE_CD As String = "XTI_BASICINFO.BLOODTYPE_CD"															'TI_基本情報.血液型コード
	Public Const itmB_RH_CD As String = "XTI_BASICINFO.RH_CD"																		'TI_基本情報.Ｒｈコード
	Public Const itmB_BLOOD_TRAN_CHK As String = "XTI_BASICINFO.BLOOD_TRAN_CHK"														'TI_基本情報.輸血歴有無コード
	Public Const itmB_RELATION_PATIENT_NO As String = "XTI_BASICINFO.RELATION_PATIENT_NO"											'TI_基本情報.関連患者番号
	Public Const itmB_NATIONALITY_CD As String = "XTI_BASICINFO.NATIONALITY_CD"														'TI_基本情報.国籍
	Public Const itmB_DOMICILE_ADDRESS_CD As String = "XTI_BASICINFO.DOMICILE_ADDRESS_CD"											'TI_基本情報.出生地コード
	Public Const itmB_DOMICILE_ADDRESS As String = "XTI_BASICINFO.DOMICILE_ADDRESS"													'TI_基本情報.本籍住所
	Public Const itmB_SMOKING_CHK As String = "XTI_BASICINFO.SMOKING_CHK"															'TI_基本情報.喫煙歴有無コード
	Public Const itmB_DRINKING_CHK As String = "XTI_BASICINFO.DRINKING_CHK"															'TI_基本情報.飲酒有無コード
	Public Const itmB_PREGNANCY_CHK As String = "XTI_BASICINFO.PREGNANCY_CHK"														'TI_基本情報.妊娠歴有無コード
	Public Const itmB_CB_CHK As String = "XTI_BASICINFO.CB_CHK"																		'TI_基本情報.出産歴有無コード
	Public Const itmB_REMARKS As String = "XTI_BASICINFO.REMARKS"																	'TI_基本情報.コメント
	Public Const itmB_FIRSTHSPVST_DT As String = "XTI_BASICINFO.FIRSTHSPVST_DT"														'TI_基本情報.初回来院日
	Public Const itmB_LASTHSPVST_DT As String = "XTI_BASICINFO.LASTHSPVST_DT"														'TI_基本情報.最終来院日
	Public Const itmB_LASTDEPT_CD As String = "XTI_BASICINFO.LASTDEPT_CD"															'TI_基本情報.最終受診科コード
	Public Const itmB_LASTLEFTHSP_DT As String = "XTI_BASICINFO.LASTLEFTHSP_DT"														'TI_基本情報.最終退院日
	Public Const itmB_LASTUPD_DT As String = "XTI_BASICINFO.LASTUPD_DT"																'TI_基本情報.最終更新日
	Public Const itmB_DATA_CAPTURE_DT As String = "XTI_BASICINFO.DATA_CAPTURE_DT"													'TI_基本情報.データ取込日
	Public Const itmB_NEW_REG_DT As String = "XTI_BASICINFO.NEW_REG_DT"																'TI_基本情報.新規登録日


	'---   TI_入退院情報   ---
	Public Const itmH_BYOREKI_NO As String = "MTI_HSP.BYOREKI_NO"																	'TI_入退院情報.病歴番号
	Public Const itmH_DEPT_CD As String = "MTI_HSP.DEPT_CD"																			'TI_入退院情報.診療科コード
	Public Const itmH_WARD_CD As String = "MTI_HSP.WARD_CD"																			'TI_入退院情報.病棟コード
	Public Const itmH_DOCTOR_CD As String = "MTI_HSP.DOCTOR_CD"																		'TI_入退院情報.医師コード
	Public Const itmH_HSP_CNL_CD As String = "MTI_HSP.HSP_CNL_CD"																	'TI_入退院情報.入院経路コード
	Public Const itmH_HSP_DT As String = "MTI_HSP.HSP_DT"																			'TI_入退院情報.入院日
	Public Const itmH_OUT_HSP_DT As String = "MTI_HSP.OUT_HSP_DT"																	'TI_入退院情報.退院日
	Public Const itmH_OUT_HSP_AGE As String = "MTI_HSP.OUT_HSP_AGE" & clsMSRSearch.CST_SEPARATOR _
											& "MTI_HSP.OUT_HSP_MONTH_AGE"															'TI_入退院情報.退院時年齢/月齢
	Public Const itmH_OUT_HSP_CNL_CD As String = "MTI_HSP.OUT_HSP_CNL_CD"															'TI_入退院情報.退院経路コード
	Public Const itmH_OUT_HSP_OUTCOME_CD As String = "MTI_HSP.OUT_HSP_OUTCOME_CD"													'TI_入退院情報.退院転帰コード
	Public Const itmH_HSP_DAYS As String = "MTI_HSP.HSP_DAYS"																		'TI_入退院情報.在院日数
	Public Const itmH_CHANGE_DEPT_CHK As String = "MTI_HSP.CHANGE_DEPT_CHK"															'TI_入退院情報.転科有無コード
	Public Const itmH_HOLD_DEPT_CHK As String = "MTI_HSP.HOLD_DEPT_CHK"																'TI_入退院情報.兼科有無コード
	Public Const itmH_TOTAL_MED_COST As String = "MTI_HSP.TOTAL_MED_COST"															'TI_入退院情報.医療費合計
	Public Const itmH_DPC_NO As String = "MTI_HSP.DPC_NO"																			'TI_入退院情報.ＤＰＣ番号
	Public Const itmH_HSP_HISTORY_NO As String = "MTI_HSP.HSP_HISTORY_NO"															'TI_入退院情報.入退院歴番号
	Public Const itmH_PLAN_EMERGENCY_CD As String = "MTI_HSP.PLAN_EMERGENCY_CD"														'TI_入退院情報.予定緊急コード
	Public Const itmH_TIME_OUT_FLG As String = "MTI_HSP.TIME_OUT_FLG"																'TI_入退院情報.時間外フラグ
	Public Const itmH_TAKE_AMBULANCE_CHK As String = "MTI_HSP.TAKE_AMBULANCE_CHK"													'TI_入退院情報.救急車搬送有無コード
	Public Const itmH_HSP_AIM_CD As String = "MTI_HSP.HSP_AIM_CD"																	'TI_入退院情報.入院目的コード
	Public Const itmH_HSP_FORM_CD As String = "MTI_HSP.HSP_FORM_CD"																	'TI_入退院情報.入院形態コード
	Public Const itmH_HSP_TIME As String = "MTI_HSP.HSP_TIME"																		'TI_入退院情報.入院時刻
	Public Const itmH_HSP_AGE As String = "MTI_HSP.HSP_AGE" & clsMSRSearch.CST_SEPARATOR _
										& "MTI_HSP.HSP_MONTH_AGE"																	'TI_入退院情報.入院時年齢/月齢
	Public Const itmH_OUT_HSP_TIME As String = "MTI_HSP.OUT_HSP_TIME"																'TI_入退院情報.退院時刻
	Public Const itmH_OUT_HSP_DAY_AGE As String = "MTI_HSP.OUT_HSP_DAY_AGE"															'TI_入退院情報.退院時日齢
	Public Const itmH_READMISSION_FLG As String = "MTI_HSP.READMISSION_FLG"															'TI_入退院情報.再入院フラグ
	Public Const itmH_LAST_SELF_OTHER_HSP_DIV As String = "MTI_HSP.LAST_SELF_OTHER_HSP_DIV"											'TI_入退院情報.前回自他院区分
	Public Const itmH_LAST_OUT_HSP_DT As String = "MTI_HSP.LAST_OUT_HSP_DT"															'TI_入退院情報.前回退院日
	Public Const itmH_DISEASE_READMISSION_FLG As String = "MTI_HSP.DISEASE_READMISSION_FLG"											'TI_入退院情報.疾病再入院フラグ
	Public Const itmH_SAME_DISEASE_LAST_HSP_DT As String = "MTI_HSP.SAME_DISEASE_LAST_HSP_DT"										'TI_入退院情報.同一疾病前回退院日
	Public Const itmH_CLINICAL_TRIAL_CHK As String = "MTI_HSP.CLINICAL_TRIAL_CHK"													'TI_入退院情報.治験実施有無コード
	Public Const itmH_HSP_INFECTION_CHK As String = "MTI_HSP.HSP_INFECTION_CHK"														'TI_入退院情報.院内感染症有無コード
	Public Const itmH_REMARKS As String = "MTI_HSP.REMARKS"																			'TI_入退院情報.備考
	Public Const itmH_HSP_FREEITEM As String = "MTI_HSP.HSP_FREEITEM{0}"															'TI_入退院情報.一般病棟以外からの移動有無コード～入退院有無コード６
	Public Const itmH_EXCLUDE_STATISTICS_FLG As String = "MTI_HSP.EXCLUDE_STATISTICS_FLG"											'TI_入退院情報.統計対象外フラグ
	Public Const itmH_LASTUPD_DT As String = "MTI_HSP.LASTUPD_DT"																	'TI_入退院情報.最終更新日
	Public Const itmH_DATA_CAPTURE_DT As String = "MTI_HSP.DATA_CAPTURE_DT"															'TI_入退院情報.データ取込日
	Public Const itmH_NEW_REG_DT As String = "MTI_HSP.NEW_REG_DT"																	'TI_入退院情報.新規登録日


	'---   TI_科歴情報   ---
	Public Const itmC_HSP_FLG As String = "MTI_CH.HSP_FLG"																			'TI_科歴情報.入院フラグ
	Public Const itmC_MAIN_DPM_FLG As String = "MTI_CH.MAIN_DPM_FLG"																'TI_科歴情報.主科フラグ
	Public Const itmC_OUT_HSP_FLG As String = "MTI_CH.OUT_HSP_FLG"																	'TI_科歴情報.退院フラグ
	Public Const itmC_BYOREKI_NO As String = "MTI_CH.BYOREKI_NO"																	'TI_科歴情報.病歴番号
	Public Const itmC_DEPT_CD As String = "MTI_CH.DEPT_CD"																			'TI_科歴情報.診療科コード
	Public Const itmC_WARD_CD As String = "MTI_CH.WARD_CD"																			'TI_科歴情報.病棟コード
	Public Const itmC_DOCTOR_CD As String = "MTI_CH.DOCTOR_CD"																		'TI_科歴情報.医師コード
	Public Const itmC_ZIP_CD As String = "MTI_CH.ZIP_CD"																			'TI_科歴情報.郵便番号
	Public Const itmC_AREA_CD As String = "MTI_CH.AREA_CD"																			'TI_科歴情報.診療圏コード
	Public Const itmC_CNR_REG_COUNT As String = "MTI_CH.CNR_REG_COUNT"																'TI_科歴情報.がん登録数
	Public Const itmC_START_CNL_CD As String = "MTI_CH.START_CNL_CD"																'TI_科歴情報.開始経路コード
	Public Const itmC_START_DT As String = "MTI_CH.START_DT"																		'TI_科歴情報.開始日
	Public Const itmC_END_DT As String = "MTI_CH.END_DT"																			'TI_科歴情報.終了日
	Public Const itmC_END_AGE As String = "MTI_CH.END_AGE" & clsMSRSearch.CST_SEPARATOR _
										& "MTI_CH.END_MONTH_AGE"																	'TI_科歴情報.終了時年齢/月齢
	Public Const itmC_END_CNL_CD As String = "MTI_CH.END_CNL_CD"																	'TI_科歴情報.終了経路コード
	Public Const itmC_END_OUTCOME_CD As String = "MTI_CH.END_OUTCOME_CD"															'TI_科歴情報.終了転帰コード
'(M) STR V4-11039-000 008 20110907 FJSK)荒川 XXX号 病歴大将V4PKG問題点No142 院内死亡の検索で「転帰が死亡」以外の科歴を取得しないように対応
'	Public Const itmC_DEATH_DIV_IN As String = "MTI_CH.END_OUTCOME_CD IN (" _
'												& "SELECT OUT_HSP_OUTCOME_CD FROM MTM_OUT_HSP_OUTCOME" _
'												& " WHERE FIXED_CD = '1')"															'院内死亡
	Public Const itmC_DEATH_DIV_IN As String = "MTI_CH.END_OUTCOME_CD IN (" _
												& "SELECT OUT_HSP_OUTCOME_CD FROM MTM_OUT_HSP_OUTCOME" _
												& " WHERE FIXED_CD = '3')"															'院内死亡
'(M) END V4-11039-000 008 20110907
	Public Const itmC_HSP_DAYS As String = "MTI_CH.HSP_DAYS"																		'TI_科歴情報.在院日数
	Public Const itmC_TOTAL_MED_COST As String = "MTI_CH.TOTAL_MED_COST"															'TI_科歴情報.医療費合計
	Public Const itmC_REG_STATUS_CD As String = "MTI_CH.REG_STATUS_CD"																'TI_科歴情報.登録状況コード
	Public Const itmC_REG_FINISHED_DT As String = "MTI_CH.REG_FINISHED_DT"															'TI_科歴情報.登録完了日
	Public Const itmC_REG_PERSON_CD As String = "MTI_CH.REG_PERSON_CD"																'TI_科歴情報.登録者コード
	Public Const itmC_LASTUPD_DT As String = "MTI_CH.LASTUPD_DT"																	'TI_科歴情報.最終更新日
	Public Const itmC_DATA_CAPTURE_DT As String = "MTI_CH.DATA_CAPTURE_DT"															'TI_科歴情報.データ取込日
	Public Const itmC_CH_NO As String = "MTI_CH.CH_NO"																				'TI_科歴情報.科歴番号
	Public Const itmC_START_TIME As String = "MTI_CH.START_TIME"																	'TI_科歴情報.開始時刻
	Public Const itmC_START_AGE As String = "MTI_CH.START_AGE" & clsMSRSearch.CST_SEPARATOR _
											& "MTI_CH.START_MONTH_AGE"																'TI_科歴情報.開始時年齢/月齢
	Public Const itmC_START_DAY_AGE As String = "MTI_CH.START_DAY_AGE"																'TI_科歴情報.開始時日齢
	Public Const itmC_END_TIME As String = "MTI_CH.END_TIME"																		'TI_科歴情報.終了時刻
	Public Const itmC_END_DAY_AGE As String = "MTI_CH.END_DAY_AGE"																	'TI_科歴情報.終了時日齢
	Public Const itmC_COMMENT As String = "MTI_CH.COMMENT"																			'TI_科歴情報.コメント
	Public Const itmC_PLAN_EMERGENCY_CD As String = "MTI_CH.PLAN_EMERGENCY_CD"														'TI_科歴情報.予定緊急コード
	Public Const itmC_TIME_OUT_FLG As String = "MTI_CH.TIME_OUT_FLG"																'TI_科歴情報.時間外フラグ
	Public Const itmC_TAKE_AMBULANCE_CHK As String = "MTI_CH.TAKE_AMBULANCE_CHK"													'TI_科歴情報.救急車搬送有無コード
	Public Const itmC_HSP_AIM_CD As String = "MTI_CH.HSP_AIM_CD"																	'TI_科歴情報.入院目的コード
	Public Const itmC_HSP_FORM_CD As String = "MTI_CH.HSP_FORM_CD"																	'TI_科歴情報.入院形態コード
	Public Const itmC_READMISSION_FLG As String = "MTI_CH.READMISSION_FLG"															'TI_科歴情報.再入院フラグ
	Public Const itmC_LAST_SELF_OTHER_HSP_DIV As String = "MTI_CH.LAST_SELF_OTHER_HSP_DIV"											'TI_科歴情報.前回自他院区分
	Public Const itmC_LAST_OUT_HSP_DT As String = "MTI_CH.LAST_OUT_HSP_DT"															'TI_科歴情報.前回退院日
	Public Const itmC_DISEASE_READMISSION_FLG As String = "MTI_CH.DISEASE_READMISSION_FLG"											'TI_科歴情報.疾病再入院フラグ
	Public Const itmC_SAME_DISEASE_LAST_HSP_DT As String = "MTI_CH.SAME_DISEASE_LAST_HSP_DT"										'TI_科歴情報.同一疾病前回退院日
	Public Const itmC_BLOOD_TRAN_CHK As String = "MTI_CH.BLOOD_TRAN_CHK"															'TI_科歴情報.輸血有無コード
	Public Const itmC_OPE_CHK As String = "MTI_CH.OPE_CHK"																			'TI_科歴情報.手術有無コード
	Public Const itmC_CLINICAL_TRIAL_CHK As String = "MTI_CH.CLINICAL_TRIAL_CHK"													'TI_科歴情報.治験実施有無コード
	Public Const itmC_HSP_INFECTION_CHK As String = "MTI_CH.HSP_INFECTION_CHK"														'TI_科歴情報.院内感染症有無コード
	Public Const itmC_OTHER_DEPT_CHK As String = "MTI_CH.OTHER_DEPT_CHK"															'TI_科歴情報.対診有無コード
	Public Const itmC_FIRST_DIAGNOSIS_DT As String = "MTI_CH.FIRST_DIAGNOSIS_DT"													'TI_科歴情報.初診日
	Public Const itmC_ADDRESS_NM As String = "MTI_CH.ADDRESS_NM"																	'TI_科歴情報.住所
	Public Const itmC_TELNUMBER As String = "MTI_CH.TELNUMBER"																		'TI_科歴情報.電話番号
	Public Const itmC_INTRODUCTION_CHK As String = "MTI_CH.INTRODUCTION_CHK"														'TI_科歴情報.紹介状有無コード
	Public Const itmC_INTRODUCED_CD As String = "MTI_CH.INTRODUCED_CD"																'TI_科歴情報.紹介元コード
	Public Const itmC_INTRODUCED_NM As String = "MTI_CH.INTRODUCED_NM"																'TI_科歴情報.紹介元名
	Public Const itmC_INTRODUCED_DOCTOR_NM As String = "MTI_CH.INTRODUCED_DOCTOR_NM"												'TI_科歴情報.紹介元医師名
	Public Const itmC_REFERENCE_CD As String = "MTI_CH.REFERENCE_CD"																'TI_科歴情報.紹介先コード
	Public Const itmC_REFERENCE_NM As String = "MTI_CH.REFERENCE_NM"																'TI_科歴情報.紹介先名
	Public Const itmC_REFERENCE_DOCTOR_NM As String = "MTI_CH.REFERENCE_DOCTOR_NM"													'TI_科歴情報.紹介先医師名
	Public Const itmC_INSURANCE_CD As String = "MTI_CH.INSURANCE_CD1" & clsMSRSearch.CST_SEPARATOR _
												& "MTI_CH.INSURANCE_CD2" & clsMSRSearch.CST_SEPARATOR _
												& "MTI_CH.INSURANCE_CD3"															'TI_科歴情報.保険コード１/保険コード２/保険コード３
	Public Const itmC_INFECTION1 As String = "MTI_CH.INFECTION1"																	'TI_科歴情報.感染症１
	Public Const itmC_INFECTION2 As String = "MTI_CH.INFECTION2"																	'TI_科歴情報.感染症２
	Public Const itmC_INFECTION3 As String = "MTI_CH.INFECTION3"																	'TI_科歴情報.感染症３
	Public Const itmC_INFECTION4 As String = "MTI_CH.INFECTION4"																	'TI_科歴情報.感染症４
	Public Const itmC_INFECTION5 As String = "MTI_CH.INFECTION5"																	'TI_科歴情報.感染症５
	Public Const itmC_INFECTION6 As String = "MTI_CH.INFECTION6"																	'TI_科歴情報.感染症６
	Public Const itmC_OTHER_INFECTION As String = "MTI_CH.OTHER_INFECTION"															'TI_科歴情報.感染症その他
	Public Const itmC_ALLERGY As String = "MTI_CH.ALLERGY1" & clsMSRSearch.CST_SEPARATOR _
										& "MTI_CH.ALLERGY2" & clsMSRSearch.CST_SEPARATOR _
										& "MTI_CH.ALLERGY3" & clsMSRSearch.CST_SEPARATOR _
										& "MTI_CH.ALLERGY4" & clsMSRSearch.CST_SEPARATOR _
										& "MTI_CH.ALLERGY5" & clsMSRSearch.CST_SEPARATOR _
										& "MTI_CH.ALLERGY6"																			'TI_科歴情報.アレルギー１/アレルギー２/アレルギー３/アレルギー４/アレルギー５/アレルギー６
	Public Const itmC_OTHER_ALLERGY As String = "MTI_CH.OTHER_ALLERGY"																'TI_科歴情報.アレルギーその他
	Public Const itmC_CURRENT_JOB_CD As String = "MTI_CH.CURRENT_JOB_CD"															'TI_科歴情報.職業コード
	Public Const itmC_PAST_JOB_CD As String = "MTI_CH.PAST_JOB_CD"																	'TI_科歴情報.既職コード
	Public Const itmC_REMARKS As String = "MTI_CH.REMARKS"																			'TI_科歴情報.備考
	Public Const itmC_DISEASE_COUNT As String = "MTI_CH.DISEASE_COUNT"																'TI_科歴情報.病名数
	Public Const itmC_OPE_COUNT As String = "MTI_CH.OPE_COUNT"																		'TI_科歴情報.手術数
	Public Const itmC_CARE_COUNT As String = "MTI_CH.CARE_COUNT"																	'TI_科歴情報.治療処置数
	Public Const itmC_TEST_COUNT As String = "MTI_CH.TEST_COUNT"																	'TI_科歴情報.検査数
	Public Const itmC_ASST_ITM1_COUNT As String = "MTI_CH.ASST_ITM1_COUNT"															'TI_科歴情報.補足項目１数
	Public Const itmC_ASST_ITM2_COUNT As String = "MTI_CH.ASST_ITM2_COUNT"															'TI_科歴情報.補足項目２数
	Public Const itmC_CB_COUNT As String = "MTI_CH.CB_COUNT"																		'TI_科歴情報.分娩数
	Public Const itmC_EMERGENCY_COUNT As String = "MTI_CH.EMERGENCY_COUNT"															'TI_科歴情報.救命救急数
	Public Const itmC_MED_COST_COUNT As String = "MTI_CH.MED_COST_COUNT"															'TI_科歴情報.医療費数
	Public Const itmC_PATH_COUNT As String = "MTI_CH.PATH_COUNT"																	'TI_科歴情報.パス数
	Public Const itmC_CNR_REG_EXPECTED_COUNT As String = "MTI_CH.CNR_REG_EXPECTED_COUNT"											'TI_科歴情報.がん登録予定数
	Public Const itmC_EXCLUDE_STATISTICS_FLG As String = "MTI_CH.EXCLUDE_STATISTICS_FLG"											'TI_科歴情報.統計対象外フラグ
	Public Const itmC_NEW_REG_DT As String = "MTI_CH.NEW_REG_DT"																	'TI_科歴情報.新規登録日


	'---   TI_死亡情報   ---
	Public Const itmD_DEATH_LCT_CD As String = "MTI_DEATH.DEATH_LCT_CD"																'TI_死亡情報.死亡場所コード
	Public Const itmD_DEATH_DT As String = "MTI_DEATH.DEATH_DT"																		'TI_死亡情報.死亡日
	Public Const itmD_DEATH_DIV As String = "MTI_DEATH.DEATH_DIV"																	'TI_死亡情報.死亡区分コード
	Public Const itmD_AFTER_OPE_DEATH_DIV As String = "MTI_DEATH.AFTER_OPE_DEATH_DIV"												'TI_死亡情報.術後死亡区分コード
	Public Const itmD_DEATH_AGE As String = "MTI_DEATH.DEATH_AGE" & clsMSRSearch.CST_SEPARATOR _
											& "MTI_DEATH.DEATH_MONTH_AGE"															'TI_死亡情報.死亡時年齢/月齢
	Public Const itmD_AUTOPSY_CHK As String = "MTI_DEATH.AUTOPSY_CHK"																'TI_死亡情報.剖検有無区分コード
	Public Const itmD_AUTOPSY_NO As String = "MTI_DEATH.AUTOPSY_NO"																	'TI_死亡情報.剖検番号
	Public Const itmD_DEATH_DISEASE1_CD As String = "MTI_DEATH.DEATH_DISEASE1_CD" & clsMSRSearch.CST_SEPARATOR _
													& "MTI_DEATH.DEATH_DISEASE2_CD"													'TI_死亡情報.死亡病名１コード/死亡病名２コード
	Public Const itmD_DEATH_DISEASE1 As String = "MTI_DEATH.DEATH_DISEASE1" & clsMSRSearch.CST_SEPARATOR _
												& "MTI_DEATH.DEATH_DISEASE2"														'TI_死亡情報.死亡病名１/死亡病名２
	Public Const itmD_DEATH_REMARKS As String = "MTI_DEATH.DEATH_REMARKS"															'TI_死亡情報.コメント


	'---   TI_病名情報   ---
	Public Const itmD_DISEASE_DIV As String = "MTI_DISEASE.DISEASE_DIV"																'TI_病名情報.病名区分コード
	Public Const itmD_ICD10_CD As String = "MTI_DISEASE.ICD10_CD"																	'TI_病名情報.ＩＣＤ１０コード
	Public Const itmD_ICD9_CD As String = "MTI_DISEASE.ICD9_CD"																		'TI_病名情報.ＩＣＤ９コード
	Public Const itmD_DISEASE As String = "MTI_DISEASE.DISEASE"																		'TI_病名情報.病名
	Public Const itmD_DISEASE_OUTCOME_CD As String = "MTI_DISEASE.DISEASE_OUTCOME_CD"												'TI_病名情報.病名転帰コード
	Public Const itmD_L_GRP_CD As String = "MTI_DISEASE.L_GRP_CD"																	'TI_病名情報.大分類コード
	Public Const itmD_PLURAL_GRP_CD As String = "MTI_DISEASE.PLURAL_GRP_CD"															'TI_病名情報.複数分類コード
	Public Const itmD_CAUSE_GRP_CD As String = "MTI_DISEASE.CAUSE_GRP_CD"															'TI_病名情報.外因分類コード
	Public Const itmD_ICDO_FORM_CD As String = "MTI_DISEASE.ICDO_FORM_CD"															'TI_病名情報.ＩＣＤＯ１
	Public Const itmD_HSP_CHANCE_DISEASE_FLG As String = "MTI_DISEASE.HSP_CHANCE_DISEASE_FLG"										'TI_病名情報.入院契機病名フラグ
	Public Const itmD_DISEASE_MED_RES_FLG1 As String = "MTI_DISEASE.DISEASE_MED_RES_FLG1"											'TI_病名情報.医療資源投入病名フラグ１
	Public Const itmD_DISEASE_MED_RES_FLG2 As String = "MTI_DISEASE.DISEASE_MED_RES_FLG2"											'TI_病名情報.医療資源投入病名フラグ２
	Public Const itmD_DEATH_DISEASE_FLG As String = "MTI_DISEASE.DEATH_DISEASE_FLG"													'TI_病名情報.死因病名フラグ
	Public Const itmD_DEATH_CAUSE_FLG As String = "MTI_DISEASE.DEATH_CAUSE_FLG"														'TI_病名情報.死因外因フラグ
	Public Const itmD_DIRECT_DEATH_DISEASE_FLG As String = "MTI_DISEASE.DIRECT_DEATH_DISEASE_FLG"									'TI_病名情報.直接死因病名フラグ
	Public Const itmD_CNR_REG_STATUS_CD As String = "MTI_DISEASE.CNR_REG_STATUS_CD"													'TI_病名情報.がん登録状況コード
	Public Const itmD_CNR_REG_EXTRACT_DT As String = "MTI_DISEASE.CNR_REG_EXTRACT_DT"												'TI_病名情報.がん登録抽出日
	Public Const itmD_DISEASE_MNG_NO As String = "MTI_DISEASE.DISEASE_MNG_NO"														'TI_病名情報.管理番号
	Public Const itmD_M_GRP_CD As String = "MTI_DISEASE.M_GRP_CD"																	'TI_病名情報.中分類コード
	Public Const itmD_GRP300_CD As String = "MTI_DISEASE.GRP300_CD"																	'TI_病名情報.３００分類コード
	Public Const itmD_A_GRP_CD As String = "MTI_DISEASE.A_GRP_CD"																	'TI_病名情報.ａ分類コード
	Public Const itmD_B_GRP_CD As String = "MTI_DISEASE.B_GRP_CD"																	'TI_病名情報.ｂ分類コード
	Public Const itmD_C_GRP_CD As String = "MTI_DISEASE.C_GRP_CD"																	'TI_病名情報.ｃ分類コード
	Public Const itmD_ICDO_FORM_NM As String = "MTI_DISEASE.ICDO_FORM_NM"															'TI_病名情報.ＩＣＤＯ１形態名
	Public Const itmD_HSP_DISEASE_FLG As String = "MTI_DISEASE.HSP_DISEASE_FLG"														'TI_病名情報.入院時併存症名フラグ
	Public Const itmD_AFTER_HSP_DISEASE_FLG As String = "MTI_DISEASE.AFTER_HSP_DISEASE_FLG"											'TI_病名情報.入院後発症疾患名フラグ
	Public Const itmD_REMARKS1 As String = "MTI_DISEASE.REMARKS1"																	'TI_病名情報.備考１
	Public Const itmD_REMARKS2 As String = "MTI_DISEASE.REMARKS2"																	'TI_病名情報.備考２
	Public Const itmD_DIAGNOSIS_DT As String = "MTI_DISEASE.DIAGNOSIS_DT"															'TI_病名情報.診断日
	Public Const itmD_ONSET_DT As String = "MTI_DISEASE.ONSET_DT"																	'TI_病名情報.発症日
	Public Const itmD_END_DT As String = "MTI_DISEASE.END_DT"																		'TI_病名情報.終了日
	Public Const itmD_LASTUPD_DT As String = "MTI_DISEASE.LASTUPD_DT"																'TI_病名情報.最終更新日
	Public Const itmD_DATA_CAPTURE_DT As String = "MTI_DISEASE.DATA_CAPTURE_DT"														'TI_病名情報.データ取込日
	Public Const itmD_NEW_REG_DT As String = "MTI_DISEASE.NEW_REG_DT"																'TI_病名情報.新規登録日


	'---   TI_手術情報   ---
	Public Const itmO_OPE_DIV As String = "MTI_OPE.OPE_DIV"																			'TI_手術情報.手術区分コード
	Public Const itmO_ICD9CM_CD As String = "MTI_OPE.ICD9CM_CD"																		'TI_手術情報.ＩＣＤ９ＣＭコード
	Public Const itmO_SCORE_CD As String = "MTI_OPE.SCORE_CD"																		'TI_手術情報.点数表コード
	Public Const itmO_OPE_NM As String = "MTI_OPE.OPE_NM"																			'TI_手術情報.手術名
	Public Const itmO_L_GRP_CD As String = "MTI_OPE.L_GRP_CD"																		'TI_手術情報.大分類コード
	Public Const itmO_OPE_DT As String = "MTI_OPE.OPE_DT"																			'TI_手術情報.実施日
	Public Const itmO_ANESTHESIA_DIV_CD As String = "MTI_OPE.ANESTHESIA_DIV1" & clsMSRSearch.CST_SEPARATOR _
												  & "MTI_OPE.ANESTHESIA_DIV2"														'TI_手術情報.麻酔区分コード１/２
	Public Const itmO_PRE_OPE_DAYS As String = "MTI_OPE.PRE_OPE_DAYS"																'TI_手術情報.術前日数
	Public Const itmO_AFTER_OPE_DAYS As String = "MTI_OPE.AFTER_OPE_DAYS"															'TI_手術情報.術後日数
	Public Const itmO_SPT_DISEASE_ICD10_CD As String = "MTI_OPE.SPT_DISEASE_ICD10_CD"												'TI_手術情報.ＩＣＤ１０コード
	Public Const itmO_SPT_DISEASE_NM As String = "MTI_OPE.SPT_DISEASE_NM"															'TI_手術情報.病名
	Public Const itmO_PLAN_EMERGENCY_CD As String = "MTI_OPE.PLAN_EMERGENCY_CD"														'TI_手術情報.緊急区分コード
	Public Const itmO_TIME_OUT_FLG As String = "MTI_OPE.TIME_OUT_FLG"																'TI_手術情報.時間外フラグ
	Public Const itmO_MNG_DIV As String = "MTI_OPE.MNG_DIV"																			'TI_手術情報.管理記号
	Public Const itmO_MNG_NO As String = "MTI_OPE.MNG_NO"																			'TI_手術情報.管理番号
	Public Const itmO_M_GRP_CD As String = "MTI_OPE.M_GRP_CD"																		'TI_手術情報.中分類コード
	Public Const itmO_HSP_OPE_CD As String = "MTI_OPE.HSP_OPE_CD"																	'TI_手術情報.院内手術コード
	Public Const itmO_OPE_AGE As String = "MTI_OPE.OPE_AGE" & clsMSRSearch.CST_SEPARATOR _
										& "MTI_OPE.OPE_MONTH_AGE"																	'TI_手術情報.手術時年齢/手術時月齢
'(A) STR V4-14017-000 006 20130416 ID)平井(検索２に回数、側性、補助区分１、補助区分２の項目を追加。)
	Public Const itmO_ASST_DIV1 As String = "MTI_OPE.ASST_DIV1"																		'TI_手術情報.補助区分コード１
	Public Const itmO_ASST_DIV2 As String = "MTI_OPE.ASST_DIV2"																		'TI_手術情報.補助区分コード２
	Public Const itmO_OPE_COUNT_CD As String = "MTI_OPE.OPE_COUNT_CD"																'TI_手術情報.手術回数コード
	Public Const itmO_OPE_PART_CD As String = "MTI_OPE.OPE_PART_CD"																	'TI_手術情報.手術側数コード
'(A) END V4-14017-000 006 20130416
	Public Const itmO_OPE_DAY_AGE As String = "MTI_OPE.OPE_DAY_AGE"																	'TI_手術情報.手術時日齢
	Public Const itmO_ASA_PS_GRP_CD As String = "MTI_OPE.ASA_PS_GRP_CD"																'TI_手術情報.麻酔分類コード
	Public Const itmO_ANESTHESIA_DIV1 As String = "MTI_OPE.ANESTHESIA_DIV1" & clsMSRSearch.CST_SEPARATOR _
												& "MTI_OPE.ANESTHESIA_DIV2"															'TI_手術情報.麻酔区分コード１/麻酔区分コード２
	Public Const itmO_AFTER_OPE_CMPC_CHK As String = "MTI_OPE.AFTER_OPE_CMPC_CHK"													'TI_手術情報.術後合併症有無コード
	Public Const itmO_REMARKS1 As String = "MTI_OPE.REMARKS1"																		'TI_手術情報.備考１
	Public Const itmO_REMARKS2 As String = "MTI_OPE.REMARKS2"																		'TI_手術情報.備考２
	Public Const itmO_LASTUPD_DT As String = "MTI_OPE.LASTUPD_DT"																	'TI_手術情報.最終更新日
	Public Const itmO_DATA_CAPTURE_DT As String = "MTI_OPE.DATA_CAPTURE_DT"															'TI_手術情報.データ取込日
	Public Const itmO_NEW_REG_DT As String = "MTI_OPE.NEW_REG_DT"																	'TI_手術情報.新規登録日


	'---   TI_手術医師情報   ---
	Public Const itmO_OPE_DOCTOR_DIV As String = "MTI_OPE_DOCTOR.OPE_DOCTOR_DIV"													'TI_手術医師情報.手術医師区分コード
	Public Const itmO_DOCTOR_CD As String = "MTI_OPE_DOCTOR.DOCTOR_CD"																'TI_手術医師情報.医師コード


	'---   TI_医師情報   ---
	Public Const itmD_MAIN_DOCTOR_FLG As String = "MTI_DOCTOR.MAIN_DOCTOR_FLG"														'TI_医師情報.主治医フラグ
	Public Const itmD_DOCTOR_CD As String = "MTI_DOCTOR.DOCTOR_CD"																	'TI_医師情報.医師コード
	Public Const itmD_DOCTOR_DIV As String = "MTI_DOCTOR.DOCTOR_DIV"																'TI_医師情報.医師区分コード

	'---   TI_病棟情報   ---
	Public Const itmW_MAIN_WARD_FLG As String = "MTI_WARD.MAIN_WARD_FLG"															'TI_病棟情報.主病棟フラグ
	Public Const itmW_WARD_CD As String = "MTI_WARD.WARD_CD"																		'TI_病棟情報.病棟コード


	'---   TI_治療処置情報   ---
	Public Const itmC_CARE_DIV As String = "MTI_CARE.CARE_DIV"																		'TI_治療処置情報.治療処置区分コード
	Public Const itmC_ICD9CM_CD As String = "MTI_CARE.ICD9CM_CD"																	'TI_治療処置情報.ＩＣＤ９ＣＭコード
	Public Const itmC_SCORE_CD As String = "MTI_CARE.SCORE_CD"																		'TI_治療処置情報.点数表コード
	Public Const itmC_CARE_NM As String = "MTI_CARE.CARE_NM"																		'TI_治療処置情報.治療処置名
	Public Const itmC_CARE_DT As String = "MTI_CARE.CARE_DT"																		'TI_治療処置情報.実施日
	Public Const itmC_MNG_DIV As String = "MTI_CARE.MNG_DIV"																		'TI_治療処置情報.管理記号
	Public Const itmC_MNG_NO As String = "MTI_CARE.MNG_NO"																			'TI_治療処置情報.管理番号
	Public Const itmC_L_GRP_CD As String = "MTI_CARE.L_GRP_CD"																		'TI_治療処置情報.大分類コード
	Public Const itmC_M_GRP_CD As String = "MTI_CARE.M_GRP_CD"																		'TI_治療処置情報.中分類コード
	Public Const itmC_HSP_OPE_CD As String = "MTI_CARE.HSP_OPE_CD"																	'TI_治療処置情報.院内手術コード
	Public Const itmC_ASST_DIV As String = "MTI_CARE.ASST_DIV"																		'TI_治療処置情報.補助区分コード
	Public Const itmC_REMARKS1 As String = "MTI_CARE.REMARKS1"																		'TI_治療処置情報.備考１
	Public Const itmC_REMARKS2 As String = "MTI_CARE.REMARKS2"																		'TI_治療処置情報.備考２
	Public Const itmC_CARE_LASTUPD_DT As String = "MTI_CARE.LASTUPD_DT"																'TI_治療処置情報.最終更新日
	Public Const itmC_CARE_DATA_CAPTURE_DT As String = "MTI_CARE.DATA_CAPTURE_DT"													'TI_治療処置情報.データ取込日
	Public Const itmC_CARE_NEW_REG_DT As String = "MTI_CARE.NEW_REG_DT"																'TI_治療処置情報.新規登録日


	'---   TI_検査情報   ---
	Public Const itmT_TEST_DIV As String = "MTI_TEST.TEST_DIV"																		'TI_検査情報.検査区分コード
	Public Const itmT_ICD9CM_CD As String = "MTI_TEST.ICD9CM_CD"																	'TI_検査情報.ＩＣＤ９ＣＭコード
	Public Const itmT_SCORE_CD As String = "MTI_TEST.SCORE_CD"																		'TI_検査情報.点数表コード
	Public Const itmT_TEST_NM As String = "MTI_TEST.TEST_NM"																		'TI_検査情報.検査名
	Public Const itmT_TEST_DT As String = "MTI_TEST.TEST_DT"																		'TI_検査情報.実施日
	Public Const itmT_MNG_DIV As String = "MTI_TEST.MNG_DIV"																		'TI_検査情報.管理記号
	Public Const itmT_MNG_NO As String = "MTI_TEST.MNG_NO"																			'TI_検査情報.管理番号
	Public Const itmT_L_GRP_CD As String = "MTI_TEST.L_GRP_CD"																		'TI_検査情報.大分類コード
	Public Const itmT_M_GRP_CD As String = "MTI_TEST.M_GRP_CD"																		'TI_検査情報.中分類コード
	Public Const itmT_HSP_OPE_CD As String = "MTI_TEST.HSP_OPE_CD"																	'TI_検査情報.院内手術コード
	Public Const itmT_ASST_DIV As String = "MTI_TEST.ASST_DIV"																		'TI_検査情報.補助区分コード
	Public Const itmT_REMARKS1 As String = "MTI_TEST.REMARKS1"																		'TI_検査情報.備考１
	Public Const itmT_REMARKS2 As String = "MTI_TEST.REMARKS2"																		'TI_検査情報.備考２
	Public Const itmT_LASTUPD_DT As String = "MTI_TEST.LASTUPD_DT"																	'TI_検査情報.最終更新日
	Public Const itmT_DATA_CAPTURE_DT As String = "MTI_TEST.DATA_CAPTURE_DT"														'TI_検査情報.データ取込日
	Public Const itmT_NEW_REG_DT As String = "MTI_TEST.NEW_REG_DT"																	'TI_検査情報.新規登録日


	'---   TI_分娩情報   ---
	Public Const itmC_CB_DT As String = "MTI_CB.CB_DT"																				'TI_分娩情報.分娩日
	Public Const itmC_CB_AGE As String = "MTI_CB.CB_AGE" & clsMSRSearch.CST_SEPARATOR _
									   & "MTI_CB.CB_MONTH_AGE"																		'TI_分娩情報.分娩時年齢/月齢
	Public Const itmC_GESTATIONAL_WEEK_COUNT = "MTI_CB.GESTATIONAL_WEEK_COUNT" & clsMSRSearch.CST_SEPARATOR _
											 & "MTI_CB.GESTATIONAL_DAY_COUNT"														'TI_分娩情報.在胎週数/日数
	Public Const itmC_CHD_COUNT As String = "MTI_CB.CHD_COUNT"																		'TI_分娩情報.児数
	Public Const itmC_CAESAREAN_OPE_CD As String = "MTI_CB.CAESAREAN_OPE_CD"														'TI_分娩情報.帝王切開有無コード
	Public Const itmC_PREMATURE_BIRTH As String = "MTI_CB.PREMATURE_BIRTH"															'TI_分娩情報.早産
	Public Const itmC_MISCARRIAGE As String = "MTI_CB.MISCARRIAGE"																	'TI_分娩情報.流産
	Public Const itmC_CB_REMARKS As String = "MTI_CB.REMARKS"																		'TI_分娩情報.備考
	Public Const itmC_CB_DIV1 As String = "MTI_CB.CB_DIV1"																			'TI_分娩情報.分娩区分コード１
	Public Const itmC_CB_DIV2 As String = "MTI_CB.CB_DIV2"																			'TI_分娩情報.分娩区分コード２
	Public Const itmC_CB_DIV3 As String = "MTI_CB.CB_DIV3"																			'TI_分娩情報.分娩区分コード３
	Public Const itmC_CB_DIV4 As String = "MTI_CB.CB_DIV4"																			'TI_分娩情報.分娩区分コード４
	Public Const itmC_CB_CHK1 As String = "MTI_CB.CB_CHK1"																			'TI_分娩情報.分娩チェック項目１
	Public Const itmC_CB_CHK2 As String = "MTI_CB.CB_CHK2"																			'TI_分娩情報.分娩チェック項目２
	Public Const itmC_CB_CHK3 As String = "MTI_CB.CB_CHK3"																			'TI_分娩情報.分娩チェック項目３
	Public Const itmC_CB_LASTUPD_DT As String = "MTI_CB.LASTUPD_DT"																	'TI_分娩情報.最終更新日
	Public Const itmC_CB_DATA_CAPTURE_DT As String = "MTI_CB.DATA_CAPTURE_DT"														'TI_分娩情報.データ取込日
	Public Const itmC_CB_NEW_REG_DT As String = "MTI_CB.NEW_REG_DT"																	'TI_分娩情報.新規登録日


	'---   TI_分娩子情報   ---
	Public Const itmC_GENDER_CD As String = "MTI_CB_CHILD.GENDER_CD"																'TI_分娩子情報.性別コード
	Public Const itmC_NEWBORN_WEIGHT As String = "MTI_CB_CHILD.NEWBORN_WEIGHT"														'TI_分娩子情報.新生児体重
	Public Const itmC_IMMATURE As String = "MTI_CB_CHILD.IMMATURE"																	'TI_分娩子情報.未熟
	Public Const itmC_DEFORMITY As String = "MTI_CB_CHILD.DEFORMITY"																'TI_分娩子情報.奇形
	Public Const itmC_STILLBIRTH As String = "MTI_CB_CHILD.STILLBIRTH"																'TI_分娩子情報.流死産
	Public Const itmC_CHD_CB_DT As String = "MTI_CB_CHILD.CHD_CB_DT"																'TI_分娩子情報.子分娩日
	Public Const itmC_CHD_BLOODTYPE_CD As String = "MTI_CB_CHILD.CHD_BLOODTYPE_CD"													'TI_分娩子情報.子血液型コード
	Public Const itmC_CHD_RH_CD As String = "MTI_CB_CHILD.CHD_RH_CD"																'TI_分娩子情報.子Ｒｈコード
	Public Const itmC_NEWBORN_NO As String = "MTI_CB_CHILD.NEWBORN_NO"																'TI_分娩子情報.新生児番号
	Public Const itmC_CHD_PATIENT_NO As String = "MTI_CB_CHILD.CHD_PATIENT_NO"														'TI_分娩子情報.子患者番号
	Public Const itmC_NEWBORN_STATURE As String = "MTI_CB_CHILD.NEWBORN_STATURE"													'TI_分娩子情報.新生児身長
	Public Const itmC_APGARSCORE_1MIN As String = "MTI_CB_CHILD.APGARSCORE_1MIN"													'TI_分娩子情報.アプガー指数１分
	Public Const itmC_APGARSCORE_5MIN As String = "MTI_CB_CHILD.APGARSCORE_5MIN"													'TI_分娩子情報.アプガー指数５分
	Public Const itmC_CHD_CB_CHK1 As String = "MTI_CB_CHILD.CHD_CB_CHK1"															'TI_分娩子情報.子分娩チェック項目１
	Public Const itmC_CHD_CB_CHK2 As String = "MTI_CB_CHILD.CHD_CB_CHK2"															'TI_分娩子情報.子分娩チェック項目２
	Public Const itmC_CHD_CB_CHK3 As String = "MTI_CB_CHILD.CHD_CB_CHK3"															'TI_分娩子情報.子分娩チェック項目３
	Public Const itmC_CHD_CB_CHK4 As String = "MTI_CB_CHILD.CHD_CB_CHK4"															'TI_分娩子情報.子分娩チェック項目４
	Public Const itmC_CHD_CB_CHK5 As String = "MTI_CB_CHILD.CHD_CB_CHK5"															'TI_分娩子情報.子分娩チェック項目５
	Public Const itmC_CB_PTN1 As String = "MTI_CB_CHILD.CB_PTN1"																	'TI_分娩子情報.分娩様式コード１
	Public Const itmC_CB_PTN2 As String = "MTI_CB_CHILD.CB_PTN2"																	'TI_分娩子情報.分娩様式コード２
	Public Const itmC_CB_PTN3 As String = "MTI_CB_CHILD.CB_PTN3"																	'TI_分娩子情報.分娩様式コード３
	Public Const itmC_CB_PTN4 As String = "MTI_CB_CHILD.CB_PTN4"																	'TI_分娩子情報.分娩様式コード４
	Public Const itmC_CHD_REMARKS As String = "MTI_CB_CHILD.CHD_REMARKS"															'TI_分娩子情報.子備考
	Public Const itmC_CB_CHILD_LASTUPD_DT As String = "MTI_CB_CHILD.LASTUPD_DT"														'TI_分娩子情報.最終更新日


	'---   TI_救命救急情報   ---
	Public Const itmE_IN_METHOD_CD As String = "MTI_EMERGENCY.IN_METHOD_CD"															'TI_救命救急情報.入法コード
	Public Const itmE_ENTERING_DT As String = "MTI_EMERGENCY.ENTERING_DT"															'TI_救命救急情報.入室日
	Public Const itmE_OUT_METHOD_CD As String = "MTI_EMERGENCY.OUT_METHOD_CD"														'TI_救命救急情報.出法コード
	Public Const itmE_LEAVING_DT As String = "MTI_EMERGENCY.LEAVING_DT"																'TI_救命救急情報.退室日
	Public Const itmE_SEVERE_CD As String = "MTI_EMERGENCY.SEVERE_CD"																'TI_救命救急情報.重症コード
	Public Const itmE_IN_ROOM_DAYS As String = "MTI_EMERGENCY.IN_ROOM_DAYS"															'TI_救命救急情報.在室日数
	Public Const itmE_ENTERING_AGE As String = "MTI_EMERGENCY.ENTERING_AGE" & clsMSRSearch.CST_SEPARATOR _
											& "MTI_EMERGENCY.ENTERING_MONTH_AGE"													'TI_救命救急情報.入室時年齢/入室時月齢
	Public Const itmE_ENTERING_DAY_AGE As String = "MTI_EMERGENCY.ENTERING_DAY_AGE"													'TI_救命救急情報.入室時日齢
	Public Const itmE_EMERGENCY_LEAVING_AGE As String = "MTI_EMERGENCY.LEAVING_AGE" & clsMSRSearch.CST_SEPARATOR _
														& "MTI_EMERGENCY.LEAVING_MONTH_AGE"											'TI_救命救急情報.退室時年齢/退室時月齢
	Public Const itmE_LEAVING_DAY_AGE As String = "MTI_EMERGENCY.LEAVING_DAY_AGE"													'TI_救命救急情報.退室時日齢
	Public Const itmE_LASTUPD_DT As String = "MTI_EMERGENCY.LASTUPD_DT"																'TI_救命救急情報.最終更新日


	'---   TK_貸出物情報   ---
	Public Const itmL_RECORD_RECEIPT_DT As String = "MTI_LENDITM.RECORD_RECEIPT_DT"													'TK_貸出物情報.カルテ受領日
	Public Const itmL_RECORD_MNGSTATUS_CD As String = "MTI_LENDITM.RECORD_MNGSTATUS_CD"												'TK_貸出物情報.カルテ管理状況コード
	Public Const itmL_RECORD_KEEPLCT_CD As String = "MTI_LENDITM.RECORD_KEEPLCT_CD"													'TK_貸出物情報.カルテ保管場所コード
	Public Const itmL_RECORD_ARG_STATUS_CD As String = "MTI_LENDITM.RECORD_ARG_STATUS_CD"											'TK_貸出物情報.カルテ整理状況コード
	Public Const itmL_RECORD_RECIPIENT_CD As String = "MTI_LENDITM.RECORD_RECIPIENT_CD"												'TK_貸出物情報.カルテ受領者コード
	Public Const itmL_RECORD_COUNT As String = "MTI_LENDITM.RECORD_COUNT"															'TK_貸出物情報.カルテ数
	Public Const itmL_SUMMARY_RECEIPT_DT As String = "MTI_LENDITM.SUMMARY_RECEIPT_DT"												'TK_貸出物情報.サマリ受領日
	Public Const itmL_SUMMARY_MNGSTATUS_CD As String = "MTI_LENDITM.SUMMARY_MNGSTATUS_CD"											'TK_貸出物情報.サマリ管理状況コード
	Public Const itmL_SUMMARY_KEEPLCT_CD As String = "MTI_LENDITM.SUMMARY_KEEPLCT_CD"												'TK_貸出物情報.サマリ保管場所コード
	Public Const itmL_SUMMARY_MAKER_CD As String = "MTI_LENDITM.SUMMARY_MAKER_CD"													'TK_貸出物情報.サマリ作成者コード
	Public Const itmL_SUMMARY_APPROVAL_DT As String = "MTI_LENDITM.SUMMARY_APPROVAL_DT"												'TK_貸出物情報.サマリ承認日
	Public Const itmL_SUMMARY_COUNT As String = "MTI_LENDITM.SUMMARY_COUNT"															'TK_貸出物情報.サマリ数
	Public Const itmL_OTHER1_RECEIPT_DT As String = "MTI_LENDITM.OTHER1_RECEIPT_DT"													'TK_貸出物情報.他１受領日
	Public Const itmL_OTHER1_COUNT As String = "MTI_LENDITM.OTHER1_COUNT"															'TK_貸出物情報.他１数
	Public Const itmL_OTHER1_MNGSTATUS_CD As String = "MTI_LENDITM.OTHER1_MNGSTATUS_CD"												'TK_貸出物情報.他１管理状況コード
	Public Const itmL_OTHER1_KEEPLCT_CD As String = "MTI_LENDITM.OTHER1_KEEPLCT_CD"													'TK_貸出物情報.他１保管場所コード
	Public Const itmL_OTHER2_RECEIPT_DT As String = "MTI_LENDITM.OTHER2_RECEIPT_DT"													'TK_貸出物情報.他２受領日
	Public Const itmL_OTHER2_COUNT As String = "MTI_LENDITM.OTHER2_COUNT"															'TK_貸出物情報.他２数
	Public Const itmL_OTHER2_MNGSTATUS_CD As String = "MTI_LENDITM.OTHER2_MNGSTATUS_CD"												'TK_貸出物情報.他２管理状況コード
	Public Const itmL_OTHER2_KEEPLCT_CD As String = "MTI_LENDITM.OTHER2_KEEPLCT_CD"													'TK_貸出物情報.他２保管場所コード
	Public Const itmL_OTHER3_RECEIPT_DT As String = "MTI_LENDITM.OTHER3_RECEIPT_DT"													'TK_貸出物情報.他３受領日
	Public Const itmL_OTHER3_COUNT As String = "MTI_LENDITM.OTHER3_COUNT"															'TK_貸出物情報.他３数
	Public Const itmL_OTHER3_MNGSTATUS_CD As String = "MTI_LENDITM.OTHER3_MNGSTATUS_CD"												'TK_貸出物情報.他３管理状況コード
	Public Const itmL_OTHER3_KEEPLCT_CD As String = "MTI_LENDITM.OTHER3_KEEPLCT_CD"													'TK_貸出物情報.他３保管場所コード


	'---   TK_貸出情報   ---
	Public Const itmL_LENDAIM_CD As String = "MTI_LEND.LENDAIM_CD"																	'TK_貸出情報.貸出目的コード
	Public Const itmL_LCT_CD As String = "MTI_LEND.LCT_CD"																			'TK_貸出情報.所在場所コード
	Public Const itmL_ISSUE_DT As String = "MTI_LEND.ISSUE_DT"																		'TK_貸出情報.貸出日
	Public Const itmL_EXPECTBACK_DT As String = "MTI_LEND.EXPECTBACK_DT"															'TK_貸出情報.返却予定日
	Public Const itmL_BACK_DT As String = "MTI_LEND.BACK_DT"																		'TK_貸出情報.返却日
	Public Const itmL_BORROWER_DIV As String = "MTI_LEND.BORROWER_DIV"																'TK_貸出情報.借用者部門コード
	Public Const itmL_BORROWER_CD As String = "MTI_LEND.BORROWER_CD"																'TK_貸出情報.借用者コード
	Public Const itmL_BORROWER_NM As String = "MTI_LEND.BORROWER_NM"																'TK_貸出情報.借用者名
	Public Const itmL_SLIP_CD As String = "MTI_LEND.SLIP_CD"																		'TK_貸出情報.伝票コード
	Public Const itmL_URGEDBACK_DT As String = "MTI_LEND.URGEDBACK_DT"																'TK_貸出情報.返却督促日
	Public Const itmL_TAKER_DIV As String = "MTI_LEND.TAKER_DIV"																	'TK_貸出情報.帯出者部門コード
	Public Const itmL_TAKER_CD As String = "MTI_LEND.TAKER_CD"																		'TK_貸出情報.帯出者コード
	Public Const itmL_TAKER_NM As String = "MTI_LEND.TAKER_NM"																		'TK_貸出情報.帯出者名
	Public Const itmL_LENDCLERK_CD As String = "MTI_LEND.LENDCLERK_CD"																'TK_貸出情報.貸出取扱者コード
	Public Const itmL_BACKCLERK_CD As String = "MTI_LEND.BACKCLERK_CD"																'TK_貸出情報.返却取扱者コード
	Public Const itmL_REMARKS As String = "MTI_LEND.REMARKS"																		'TK_貸出情報.備考
	Public Const itmL_LASTUPD_DT As String = "MTI_LEND.LASTUPD_DT"																	'TK_貸出情報.最終更新日


	'---   TM_診療科マスタ   ---
	Public Const itmD_DEPT_GRP_CD As String = "DEPT_GRP_CD"																			'TM_診療科マスタ.診療科グループコード
	Public Const selC_DEPD_CD As String = "MTI_CH.DEPT_CD IN (SELECT DEPT_CD FROM MTM_DEPT WHERE {0})"								'TM_診療科マスタより科歴情報を検索


	'---   TM_病棟マスタ   ---
	Public Const itmW_WARD_GRP_CD As String = "WARD_GRP_CD"																			'TM_病棟マスタ.病棟グループコード
	Public Const selC_WARD_CD As String = "MTI_WARD.WARD_CD IN (SELECT WARD_CD FROM MTM_WARD WHERE {0})"							'TM_病棟マスタより病棟情報を検索


	'---   XTM_職員部門   ---
	Public Const itmS_STAFFDIV_CD As String = "STAFFDIV_CD"																			'XTM_職員.職員部門コード
	Public Const selC_DOCTOR_CD As String = "MTI_DOCTOR.DOCTOR_CD IN (SELECT STAFF_CD FROM XTM_STAFF WHERE {0})"					'XTM_職員より医師情報を検索


	'---   TM_診療圏マスタ   ---
	Public Const itmA_AREA_GRP_CD As String = "AREA_GRP_CD"																			'TM_診療圏マスタ.診療圏グループコード
	Public Const selC_AREA_CD As String = "MTI_CH.AREA_CD IN (SELECT AREA_CD FROM MTM_AREA WHERE {0})"								'TM_診療圏マスタより科歴情報を検索


	'---   TM_医療機関マスタ   ---
	Public Const itmM_MED_AGENCY_GRP_CD As String = "MED_AGENCY_GRP_CD"																'TM_医療機関マスタ.医療機関グループコード
	Public Const selC_INTRODUCED_CD As String = "MTI_CH.INTRODUCED_CD IN (SELECT INTRODUCED_CD FROM MTM_MED_AGENCY WHERE {0})"		'TM_医療機関マスタより科歴情報を検索
	Public Const selC_REFERENCE_CD As String = "MTI_CH.REFERENCE_CD IN (SELECT REFERENCE_CD FROM MTM_MED_AGENCY WHERE {0})"			'TM_医療機関マスタより科歴情報を検索


	'---   TI_パス情報   ---
	Public Const itmP_PATH_CD As String = "MTI_PATH.PATH_CD"																		'TI_パス情報.パスコード
	Public Const itmP_START_DT As String = "MTI_PATH.START_DT"																		'TI_パス情報.開始日
	Public Const itmP_END_DT As String = "MTI_PATH.END_DT"																			'TI_パス情報.終了日
	Public Const itmP_DOCTOR_CD As String = "MTI_PATH.DOCTOR_CD"																	'TI_パス情報.医師コード
	Public Const itmP_VARIANCE_DAY As String = "MTI_PATH.VARIANCE_DAY"																'TI_パス情報.バリアンス日
	Public Const itmP_CHK_CD As String = "MTI_PATH.CHK_CD"																			'TI_パス情報.有無コード
	Public Const itmP_TYPE_CD As String = "MTI_PATH.TYPE_CD"																		'TI_パス情報.種類コード
	Public Const itmP_REASON1_CD As String = "MTI_PATH.REASON1_CD"																	'TI_パス情報.理由コード１
	Public Const itmP_REMARKS As String = "MTI_PATH.REMARKS"																		'TI_パス情報.コメント
	Public Const itmP_LASTUPD_DT As String = "MTI_PATH.LASTUPD_DT"																	'TI_パス情報.最終更新日


	'---   TI_医療費情報   ---
	Public Const itmM_MED_COST As String = "MTI_MED_COST.MED_COST{0}"																'TI_医療費情報.医療費０１/～医療費４５
	Public Const itmM_LASTUPD_DT As String = "MTI_MED_COST.LASTUPD_DT"																'TI_医療費情報.最終更新日
	Public Const itmM_DATA_CAPTURE_DT As String = "MTI_MED_COST.DATA_CAPTURE_DT"													'TI_医療費情報.データ取込日
	Public Const itmM_NEW_REG_DT As String = "MTI_MED_COST.NEW_REG_DT"																'TI_医療費情報.新規登録日
	Public Const itmM_MED_CH_COST As String = "MTI_MED_COST.MED_COST{0}"
	Public Const itmM_CH_LASTUPD_DT As String = "MTI_MED_COST.LASTUPD_DT"															'TI_医療費情報.最終更新日
	Public Const itmM_CH_DATA_CAPTURE_DT As String = "MTI_MED_COST.DATA_CAPTURE_DT"													'TI_医療費情報.データ取込日
	Public Const itmM_CH_NEW_REG_DT As String = "MTI_MED_COST.NEW_REG_DT"															'TI_医療費情報.新規登録日


	'---   TI_補足項目１情報   ---
	Public Const itmA_ASST_ITM As String = "MTI_ASST1.ASST_ITM{0}"																	'TI_補足項目１情報.補足項目０１/～補足項目１３２
	Public Const itmA_LASTUPD_DT As String = "MTI_ASST1.LASTUPD_DT"																	'TI_補足項目１情報.最終更新日


	'---   TI_補足項目２情報   ---
	Public Const itmA_ITEM As String = "MTI_ASST2.{0}"																				'TI_補足項目２情報.項目
	Public Const itmA_ASST2_LASTUPD_DT As String = "MTI_ASST2.LASTUPD_DT"															'TI_補足項目２情報.最終更新日


	'---   TK_監査情報   ---
	Public Const itmI_FINISHING_FLG As String = "MTI_INSPECT.FINISHING_FLG"															'TK_監査情報.完了フラグ
	Public Const itmI_INSPECT1_DT As String = "MTI_INSPECT.INSPECT1_DT"																'TK_監査情報.監査日１
	Public Const itmI_INSPECT2_DT As String = "MTI_INSPECT.INSPECT2_DT"																'TK_監査情報.監査日２
	Public Const itmI_INSPECT3_DT As String = "MTI_INSPECT.INSPECT3_DT"																'TK_監査情報.監査日３
	Public Const itmI_AUDITOR_CD As String = "MTI_INSPECT.AUDITOR_CD"																'TK_監査情報.監査人コード
	Public Const itmI_INSPECT_1 As String = "MTI_INSPECT.INSPECT{0}_1"																'TK_監査情報.001監査１/～040監査１
	Public Const itmI_INSPECT_2 As String = "MTI_INSPECT.INSPECT{0}_2"																'TK_監査情報.001監査２/～040監査２
	Public Const itmI_INSPECT_3 As String = "MTI_INSPECT.INSPECT{0}_3"																'TK_監査情報.001監査３/～040監査３
	Public Const itmI_DOCTOR_CD As String = "MTI_INSPECT.DOCTOR{0}_CD"																'TK_監査情報.001医師コード/～040医師コード

#End Region

#Region "検索"

	'パラメータ
	Public Const prmLENDITEM_CD_MR As String = "@LENDITEM_CD_MR"			'貸出物コード(診療録
	Public Const prmLENDITEM_CD_SU As String = "@LENDITEM_CD_SU"			'貸出物コード(サマリ
	Public Const prmLENDITEM_CD_I3 As String = "@LENDITEM_CD_I3"			'貸出物コード(物３
	Public Const prmLENDITEM_CD_I4 As String = "@LENDITEM_CD_I4"			'貸出物コード(物４
	Public Const prmLENDITEM_CD_I5 As String = "@LENDITEM_CD_I5"			'貸出物コード(物５

	Public Const selSEARCH_MTI_LENDITM_PLUS As String = "MTI_LEND.LENDITEM_CD = {0}"

	''' <summary>
	''' 通常検索
	''' </summary>
	Public Const sqlSEARCH_NORMAL As String = "" _
	& "INSERT INTO MTT_SEARCH_RESULT(" _
	& " USER_CD" _
	& ",SEARCH_NO" _
	& ",PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& ",CH_NO" _
	& ",LASTUPDUSER_CD" _
	& ",LASTUPD_DT" _
	& ") {0}"

	''' <summary>
	''' ＡＮＤ検索
	''' </summary>
	Public Const sqlSEARCH_AND As String = "" _
	& "DELETE FROM MTT_SEARCH_RESULT" _
	& "  FROM MTT_SEARCH_RESULT" _
	& "  LEFT JOIN ({0}) AS SEARCH" _
	& "    ON MTT_SEARCH_RESULT.PATIENT_NO     = SEARCH.PATIENT_NO" _
	& "   AND MTT_SEARCH_RESULT.HSP_HISTORY_NO = SEARCH.HSP_HISTORY_NO" _
	& "   AND MTT_SEARCH_RESULT.CH_NO          = SEARCH.CH_NO" _
	& " WHERE MTT_SEARCH_RESULT.USER_CD       = " & sqlMSRCOMMON.prmUSER_CD _
	& "   AND MTT_SEARCH_RESULT.SEARCH_NO     = " & sqlMSRCOMMON.prmSEARCH_NO _
	& "   AND SEARCH.PATIENT_NO IS NULL"

	''' <summary>
	''' ＯＲ検索
	''' </summary>
	Public Const sqlSEARCH_OR As String = "" _
	& "INSERT INTO MTT_SEARCH_RESULT(" _
	& " USER_CD" _
	& ",SEARCH_NO" _
	& ",PATIENT_NO" _
	& ",HSP_HISTORY_NO" _
	& ",CH_NO" _
	& ",LASTUPDUSER_CD" _
	& ",LASTUPD_DT" _
	& ")" _
	& " SELECT" _
	& " SEARCH.USER_CD" _
	& ",SEARCH.SEARCH_NO" _
	& ",SEARCH.PATIENT_NO" _
	& ",SEARCH.HSP_HISTORY_NO" _
	& ",SEARCH.CH_NO" _
	& ",SEARCH.LASTUPDUSER_CD" _
	& "," & sqlMSRCOMMON.prmLASTUPD_DT _
	& "  FROM ({0}) AS SEARCH" _
	& "  LEFT JOIN MTT_SEARCH_RESULT" _
	& "    ON SEARCH.USER_CD        = MTT_SEARCH_RESULT.USER_CD" _
	& "   AND SEARCH.SEARCH_NO      = MTT_SEARCH_RESULT.SEARCH_NO" _
	& "   AND SEARCH.PATIENT_NO     = MTT_SEARCH_RESULT.PATIENT_NO" _
	& "   AND SEARCH.HSP_HISTORY_NO = MTT_SEARCH_RESULT.HSP_HISTORY_NO" _
	& "   AND SEARCH.CH_NO          = MTT_SEARCH_RESULT.CH_NO" _
	& " WHERE MTT_SEARCH_RESULT.PATIENT_NO IS NULL"


	Public Const selSEARCH_SELECT As String = "" _
	& " SELECT" _
	& " " & sqlMSRCOMMON.prmUSER_CD & "    AS USER_CD" _
	& "," & sqlMSRCOMMON.prmSEARCH_NO & "  AS SEARCH_NO" _
	& ",XTI_BASICINFO.PATIENT_NO" _
	& ",ISNULL(MTI_HSP.HSP_HISTORY_NO,0)   AS HSP_HISTORY_NO" _
	& ",ISNULL(MTI_CH.CH_NO,0)             AS CH_NO" _
	& "," & sqlMSRCOMMON.prmUSER_CD & "    AS LASTUPDUSER_CD" _
	& "," & sqlMSRCOMMON.prmLASTUPD_DT & " AS LASTUPD_DT" _
	& " FROM XTI_BASICINFO" _
	& "      LEFT JOIN MTI_HSP ON XTI_BASICINFO.PATIENT_NO     = MTI_HSP.PATIENT_NO" _
	& "      LEFT JOIN MTI_CH  ON MTI_HSP.PATIENT_NO           = MTI_CH.PATIENT_NO" _
	& "                       AND MTI_HSP.HSP_HISTORY_NO       = MTI_CH.HSP_HISTORY_NO" _
	& "{0}" _
	& "{1}"

	'入退院存在チェック
	Public Const sqlSEARCH_MTI_HSP_PK_WHERE = "" _
	& " AND MTI_HSP.PATIENT_NO IS NOT NULL"

	'科歴存在チェック
	Public Const sqlSEARCH_MTI_CH_PK_WHERE = "" _
	& " AND MTI_CH.PATIENT_NO IS NOT NULL"

	'死亡情報
	Public Const selSEARCH_MTI_DEATH As String = "" _
	& " INNER JOIN (" _
	& "SELECT PATIENT_NO" _
	& "  FROM MTI_DEATH" _
	& " WHERE {0}" _
	& ") AS DEATH" _
	& "	 ON XTI_BASICINFO.PATIENT_NO     = DEATH.PATIENT_NO"

	'病棟情報
	Public Const selSEARCH_MTI_WARD As String = "" _
	& " INNER JOIN (" _
	& "SELECT DISTINCT PATIENT_NO,HSP_HISTORY_NO,CH_NO" _
	& "  FROM MTI_WARD" _
	& " WHERE {0}" _
	& ") AS WARD" _
	& "	 ON MTI_CH.PATIENT_NO     = WARD.PATIENT_NO" _
	& "	AND MTI_CH.HSP_HISTORY_NO = WARD.HSP_HISTORY_NO" _
	& "	AND MTI_CH.CH_NO          = WARD.CH_NO"

	'医師情報
	Public Const selSEARCH_MTI_DOCTOR As String = "" _
	& " INNER JOIN (" _
	& "SELECT DISTINCT PATIENT_NO,HSP_HISTORY_NO,CH_NO" _
	& "  FROM MTI_DOCTOR" _
	& " WHERE {0}" _
	& ") AS DOCTOR" _
	& "	 ON MTI_CH.PATIENT_NO     = DOCTOR.PATIENT_NO" _
	& "	AND MTI_CH.HSP_HISTORY_NO = DOCTOR.HSP_HISTORY_NO" _
	& "	AND MTI_CH.CH_NO          = DOCTOR.CH_NO"

	'医療費情報
	Public Const selSEARCH_MTI_MED_COST As String = "" _
	& " INNER JOIN (" _
	& "SELECT PATIENT_NO,HSP_HISTORY_NO,CH_NO" _
	& "  FROM MTI_MED_COST" _
	& " WHERE {0}" _
	& ") AS MED_COST" _
	& "	 ON MTI_CH.PATIENT_NO     = MED_COST.PATIENT_NO" _
	& "	AND MTI_CH.HSP_HISTORY_NO = MED_COST.HSP_HISTORY_NO" _
	& "	AND MTI_CH.CH_NO          = MED_COST.CH_NO"

	'医療費情報(入退院)
	Public Const selSEARCH_MTI_MED_COST_H As String = "" _
	& " INNER JOIN (" _
	& "SELECT PATIENT_NO,HSP_HISTORY_NO" _
	& "  FROM MTI_MED_COST" _
	& " WHERE {0}" _
	& "   AND CH_NO = 0" _
	& ") AS MED_COST_H" _
	& "	 ON MTI_HSP.PATIENT_NO     = MED_COST_H.PATIENT_NO" _
	& "	AND MTI_HSP.HSP_HISTORY_NO = MED_COST_H.HSP_HISTORY_NO"

	'医療費情報(科歴)
	Public Const selSEARCH_MTI_MED_COST_C As String = "" _
	& " INNER JOIN (" _
	& "SELECT PATIENT_NO,HSP_HISTORY_NO,CH_NO" _
	& "  FROM MTI_MED_COST" _
	& " WHERE {0}" _
	& ") AS MED_COST_C" _
	& "	 ON MTI_CH.PATIENT_NO     = MED_COST_C.PATIENT_NO" _
	& "	AND MTI_CH.HSP_HISTORY_NO = MED_COST_C.HSP_HISTORY_NO" _
	& "	AND MTI_CH.CH_NO          = MED_COST_C.CH_NO"

	'対診科情報
	Public Const selSEARCH_MTI_OTHER_DEPT As String = "" _
	& " INNER JOIN (" _
	& "SELECT PATIENT_NO,HSP_HISTORY_NO,CH_NO" _
	& "  FROM MTI_OTHER_DEPT" _
	& " WHERE {0}" _
	& ") AS OTHER_DEPT" _
	& "	 ON MTI_CH.PATIENT_NO     = OTHER_DEPT.PATIENT_NO" _
	& "	AND MTI_CH.HSP_HISTORY_NO = OTHER_DEPT.HSP_HISTORY_NO" _
	& "	AND MTI_CH.CH_NO          = OTHER_DEPT.CH_NO"

	'病名情報
	Public Const selSEARCH_MTI_DISEASE As String = "" _
	& " INNER JOIN (" _
	& "SELECT DISTINCT PATIENT_NO,HSP_HISTORY_NO,CH_NO" _
	& "  FROM MTI_DISEASE" _
	& " WHERE {0}" _
	& ") AS DISEASE" _
	& "	 ON MTI_CH.PATIENT_NO     = DISEASE.PATIENT_NO" _
	& "	AND MTI_CH.HSP_HISTORY_NO = DISEASE.HSP_HISTORY_NO" _
	& "	AND MTI_CH.CH_NO          = DISEASE.CH_NO"

	'手術情報
	Public Const selSEARCH_MTI_OPE As String = "" _
	& " INNER JOIN (" _
	& "SELECT DISTINCT PATIENT_NO,HSP_HISTORY_NO,CH_NO" _
	& "  FROM MTI_OPE" _
	& " WHERE {0}" _
	& ") AS OPE" _
	& "	 ON MTI_CH.PATIENT_NO     = OPE.PATIENT_NO" _
	& "	AND MTI_CH.HSP_HISTORY_NO = OPE.HSP_HISTORY_NO" _
	& "	AND MTI_CH.CH_NO          = OPE.CH_NO"

	'手術医師情報
	Public Const selSEARCH_MTI_OPE_DOCTOR As String = "" _
	& " INNER JOIN (" _
	& "SELECT DISTINCT PATIENT_NO,HSP_HISTORY_NO,CH_NO" _
	& "  FROM MTI_OPE_DOCTOR" _
	& " WHERE {0}" _
	& ") AS OPE_DOCTOR" _
	& "	 ON MTI_CH.PATIENT_NO     = OPE_DOCTOR.PATIENT_NO" _
	& "	AND MTI_CH.HSP_HISTORY_NO = OPE_DOCTOR.HSP_HISTORY_NO" _
	& "	AND MTI_CH.CH_NO          = OPE_DOCTOR.CH_NO"

	'検査情報
	Public Const selSEARCH_MTI_TEST As String = "" _
	& " INNER JOIN (" _
	& "SELECT DISTINCT PATIENT_NO,HSP_HISTORY_NO,CH_NO" _
	& "  FROM MTI_TEST" _
	& " WHERE {0}" _
	& ") AS TEST" _
	& "	 ON MTI_CH.PATIENT_NO     = TEST.PATIENT_NO" _
	& "	AND MTI_CH.HSP_HISTORY_NO = TEST.HSP_HISTORY_NO" _
	& "	AND MTI_CH.CH_NO          = TEST.CH_NO"

	'治療処置情報
	Public Const selSEARCH_MTI_CARE As String = "" _
	& " INNER JOIN (" _
	& "SELECT DISTINCT PATIENT_NO,HSP_HISTORY_NO,CH_NO" _
	& "  FROM MTI_CARE" _
	& " WHERE {0}" _
	& ") AS CARE" _
	& "	 ON MTI_CH.PATIENT_NO     = CARE.PATIENT_NO" _
	& "	AND MTI_CH.HSP_HISTORY_NO = CARE.HSP_HISTORY_NO" _
	& "	AND MTI_CH.CH_NO          = CARE.CH_NO"

	'補足項目１情報
	Public Const selSEARCH_MTI_ASST1 As String = "" _
	& " INNER JOIN (" _
	& "SELECT PATIENT_NO,HSP_HISTORY_NO,CH_NO" _
	& "  FROM MTI_ASST1" _
	& " WHERE {0}" _
	& ") AS ASST1" _
	& "	 ON MTI_CH.PATIENT_NO     = ASST1.PATIENT_NO" _
	& "	AND MTI_CH.HSP_HISTORY_NO = ASST1.HSP_HISTORY_NO" _
	& "	AND MTI_CH.CH_NO          = ASST1.CH_NO"

	'補足項目２情報
	Public Const selSEARCH_MTI_ASST2 As String = "" _
	& " INNER JOIN (" _
	& "SELECT PATIENT_NO,HSP_HISTORY_NO,CH_NO" _
	& "  FROM MTI_ASST2" _
	& " WHERE {0}" _
	& ") AS ASST2" _
	& "	 ON MTI_CH.PATIENT_NO     = ASST2.PATIENT_NO" _
	& "	AND MTI_CH.HSP_HISTORY_NO = ASST2.HSP_HISTORY_NO" _
	& "	AND MTI_CH.CH_NO          = ASST2.CH_NO"

	'救命救急情報
	Public Const selSEARCH_MTI_EMERGENCY As String = "" _
	& " INNER JOIN (" _
	& "SELECT DISTINCT PATIENT_NO,HSP_HISTORY_NO,CH_NO" _
	& "  FROM MTI_EMERGENCY" _
	& " WHERE {0}" _
	& ") AS EMERGENCY" _
	& "	 ON MTI_CH.PATIENT_NO     = EMERGENCY.PATIENT_NO" _
	& "	AND MTI_CH.HSP_HISTORY_NO = EMERGENCY.HSP_HISTORY_NO" _
	& "	AND MTI_CH.CH_NO          = EMERGENCY.CH_NO"

	'分娩情報
	Public Const selSEARCH_MTI_CB As String = "" _
	& " INNER JOIN (" _
	& "SELECT PATIENT_NO,HSP_HISTORY_NO,CH_NO" _
	& "  FROM MTI_CB" _
	& " WHERE {0}" _
	& ") AS CB" _
	& "	 ON MTI_CH.PATIENT_NO     = CB.PATIENT_NO" _
	& "	AND MTI_CH.HSP_HISTORY_NO = CB.HSP_HISTORY_NO" _
	& "	AND MTI_CH.CH_NO          = CB.CH_NO"

	'分娩子情報
	Public Const selSEARCH_MTI_CB_CHILD As String = "" _
	& " INNER JOIN (" _
	& "SELECT DISTINCT PATIENT_NO,HSP_HISTORY_NO,CH_NO" _
	& "  FROM MTI_CB_CHILD" _
	& " WHERE {0}" _
	& ") AS CB_CHILD" _
	& "	 ON MTI_CH.PATIENT_NO     = CB_CHILD.PATIENT_NO" _
	& "	AND MTI_CH.HSP_HISTORY_NO = CB_CHILD.HSP_HISTORY_NO" _
	& "	AND MTI_CH.CH_NO          = CB_CHILD.CH_NO"

	'分娩子流死情報
	Public Const selSEARCH_MTI_CB_SB As String = "" _
	& " INNER JOIN (" _
	& "SELECT DISTINCT PATIENT_NO,HSP_HISTORY_NO,CH_NO" _
	& "  FROM MTI_CB_SB" _
	& " WHERE {0}" _
	& ") AS CB_SB" _
	& "	 ON MTI_CH.PATIENT_NO     = CB_SB.PATIENT_NO" _
	& "	AND MTI_CH.HSP_HISTORY_NO = CB_SB.HSP_HISTORY_NO" _
	& "	AND MTI_CH.CH_NO          = CB_SB.CH_NO"

	'貸出情報(科歴単位)
	Public Const selSEARCH_MTI_LEND As String = "" _
	& selSEARCH_MTI_LEND_C

	'貸出情報(患者単位)
	Public Const selSEARCH_MTI_LEND_B As String = "" _
	& " INNER JOIN (" _
	& "SELECT DISTINCT PATIENT_NO" _
	& "  FROM MTI_LEND" _
	& " WHERE {0}" _
	& "   AND HSP_HISTORY_NO = 0" _
	& "   AND CH_NO = 0" _
	& ") AS LEND_B{1}" _
	& "	 ON XTI_BASICINFO.PATIENT_NO = LEND_B{1}.PATIENT_NO"

	'貸出情報(入退院単位)
	Public Const selSEARCH_MTI_LEND_H As String = "" _
	& " INNER JOIN (" _
	& "SELECT DISTINCT PATIENT_NO,HSP_HISTORY_NO" _
	& "  FROM MTI_LEND" _
	& " WHERE {0}" _
	& "   AND HSP_HISTORY_NO > 0" _
	& "   AND CH_NO = 0" _
	& ") AS LEND_H{1}" _
	& "	 ON MTI_HSP.PATIENT_NO     = LEND_H{1}.PATIENT_NO" _
	& "	AND MTI_HSP.HSP_HISTORY_NO = LEND_H{1}.HSP_HISTORY_NO"

	'貸出情報(科歴単位)
	Public Const selSEARCH_MTI_LEND_C As String = "" _
	& " INNER JOIN (" _
	& "SELECT DISTINCT PATIENT_NO,HSP_HISTORY_NO,CH_NO" _
	& "  FROM MTI_LEND" _
	& " WHERE {0}" _
	& "   AND CH_NO > 0" _
	& ") AS LEND_C{1}" _
	& "	 ON MTI_CH.PATIENT_NO     = LEND_C{1}.PATIENT_NO" _
	& "	AND MTI_CH.HSP_HISTORY_NO = LEND_C{1}.HSP_HISTORY_NO" _
	& "	AND MTI_CH.CH_NO          = LEND_C{1}.CH_NO"

	'貸出情報
	Public Const selSEARCH_MTI_LENDITM As String = "" _
	& selSEARCH_MTI_LENDITM_C

	'貸出物情報(患者単位)
	Public Const selSEARCH_MTI_LENDITM_B As String = "" _
	& " INNER JOIN (" _
	& "SELECT DISTINCT PATIENT_NO" _
	& "  FROM MTI_LENDITM" _
	& " WHERE {0}" _
	& "   AND HSP_HISTORY_NO = 0" _
	& "   AND CH_NO = 0" _
	& ") AS LENDITM_B{1}" _
	& "	 ON XTI_BASICINFO.PATIENT_NO = LENDITM_B{1}.PATIENT_NO"

	'貸出物情報(入退院単位)
	Public Const selSEARCH_MTI_LENDITM_H As String = "" _
	& " INNER JOIN (" _
	& "SELECT DISTINCT PATIENT_NO,HSP_HISTORY_NO" _
	& "  FROM MTI_LENDITM" _
	& " WHERE {0}" _
	& "   AND HSP_HISTORY_NO > 0" _
	& "   AND CH_NO = 0" _
	& ") AS LENDITM_H{1}" _
	& "	 ON MTI_HSP.PATIENT_NO     = LENDITM_H{1}.PATIENT_NO" _
	& "	AND MTI_HSP.HSP_HISTORY_NO = LENDITM_H{1}.HSP_HISTORY_NO"

	'貸出物情報(科歴単位)
	Public Const selSEARCH_MTI_LENDITM_C As String = "" _
	& " INNER JOIN (" _
	& "SELECT DISTINCT PATIENT_NO,HSP_HISTORY_NO,CH_NO" _
	& "  FROM MTI_LENDITM" _
	& " WHERE {0}" _
	& "   AND CH_NO > 0" _
	& ") AS LENDITM_C{1}" _
	& "	 ON MTI_CH.PATIENT_NO     = LENDITM_C{1}.PATIENT_NO" _
	& "	AND MTI_CH.HSP_HISTORY_NO = LENDITM_C{1}.HSP_HISTORY_NO" _
	& "	AND MTI_CH.CH_NO          = LENDITM_C{1}.CH_NO"

	'パス情報
	Public Const selSEARCH_MTI_PATH As String = "" _
	& " INNER JOIN (" _
	& "SELECT DISTINCT PATIENT_NO,HSP_HISTORY_NO,CH_NO" _
	& "  FROM MTI_PATH" _
	& " WHERE {0}" _
	& ") AS PATH" _
	& "	 ON MTI_CH.PATIENT_NO     = PATH.PATIENT_NO" _
	& "	AND MTI_CH.HSP_HISTORY_NO = PATH.HSP_HISTORY_NO" _
	& "	AND MTI_CH.CH_NO          = PATH.CH_NO"

	'監査情報
	Public Const selSEARCH_MTI_INSPECT As String = "" _
	& " INNER JOIN (" _
	& "SELECT PATIENT_NO,HSP_HISTORY_NO,CH_NO" _
	& "  FROM MTI_INSPECT" _
	& " WHERE {0}" _
	& ") AS INSPECT" _
	& "	 ON MTI_CH.PATIENT_NO     = INSPECT.PATIENT_NO" _
	& "	AND MTI_CH.HSP_HISTORY_NO = INSPECT.HSP_HISTORY_NO" _
	& "	AND MTI_CH.CH_NO          = INSPECT.CH_NO"

	'監査情報(特殊)
	Public Const selSEARCH_MTI_INSPECT_SP As String = "" _
	& " LEFT JOIN (" _
	& "SELECT PATIENT_NO,HSP_HISTORY_NO,CH_NO" _
	& "  FROM MTI_INSPECT" _
	& ") AS INSPECT_SP" _
	& "	 ON MTI_CH.PATIENT_NO     = INSPECT_SP.PATIENT_NO" _
	& "	AND MTI_CH.HSP_HISTORY_NO = INSPECT_SP.HSP_HISTORY_NO" _
	& "	AND MTI_CH.CH_NO          = INSPECT_SP.CH_NO"

	Public Const selSEARCH_MTI_INSPECT_SP_WHERE As String = "" _
	& " AND INSPECT_SP.PATIENT_NO IS NULL"

#End Region

#Region "検索処理結果コントロール 取得"
	'項目
	Public Const itmCTRL_CD As String = "CTRL_CD"					'画面コントロール名
	Public Const itmCTRL_VAL As String = "CTRL_VAL"					'画面コントロール値

	''' <summary>
	''' 検索処理結果コントロール 取得
	''' </summary>
	Public Const sqlSel_SearcCtl As String = "" _
	& "SELECT" _
	& " CTRL_CD" _
	& ",CTRL_VAL" _
	& "  FROM MTT_SEARCH_CTRL" _
	& " WHERE USER_CD = " & sqlMSRCOMMON.prmUSER_CD _
	& "   AND SEARCH_NO = " & sqlMSRCOMMON.prmSEARCH_NO _
	& " ORDER BY SERIAL_NO"

#End Region

End Class
