﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 検索 手術　検索結果更新(SQLクラス）
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class sqlMSR060F030

#Region "項目定義"

	Public Const itmICD10_CD As String = "ICD10_CD"						'ICD10コード
	Public Const itmL_GRP_CD As String = "L_GRP_CD"						'大分類コード
	Public Const itmM_GRP_CD As String = "M_GRP_CD"						'中分類コード
	Public Const itmS_GRP_CD As String = "S_GRP_CD"						'小分類コード
	Public Const itmGRP300_CD As String = "GRP300_CD"					'３００分類コード
	Public Const itmA_GRP_CD As String = "A_GRP_CD"						'ａ分類コード
	Public Const itmB_GRP_CD As String = "B_GRP_CD"						'ｂ分類コード
	Public Const itmC_GRP_CD As String = "C_GRP_CD"						'ｃ分類コード
	Public Const itmDEATH_GRP_CD As String = "DEATH_GRP_CD"				'死因分類コード
	Public Const itmHSP_DISEASE_CD As String = "HSP_DISEASE_CD"			'院内病名コード
	Public Const itmDISEASE_NM As String = "DISEASE_NM"					'病名
	Public Const itmL_GRP_NM As String = "L_GRP_NM"						'大分類名
	Public Const itmM_GRP_NM As String = "M_GRP_NM"						'中分類名
	Public Const itmS_GRP_NM As String = "S_GRP_NM"						'小分類名
	Public Const itmGRP300_NM As String = "GRP300_NM"					'３００分類名
	Public Const itmA_GRP_NM As String = "A_GRP_NM"						'ａ分類名
	Public Const itmB_GRP_NM As String = "B_GRP_NM"						'ｂ分類名
	Public Const itmC_GRP_NM As String = "C_GRP_NM"						'ｃ分類名
	Public Const itmDEATH_GRP_NM As String = "DEATH_GRP_NM"				'死因分類名
	Public Const itmREG_STATUS_CD As String = "REG_STATUS_CD"			'がん登録状況コード
	Public Const itmREG_STATUS_NM As String = "REG_STATUS_NM"			'がん登録状況名

#End Region

#Region "パラメータ"

	Public Const prmOUT_ORDER As String = "@OUT_ORDER"					'出力順
	Public Const prmICD10_CD As String = "@ICD10_CD"					'ICD10コード
	Public Const prmL_GRP_CD As String = "@L_GRP_CD"					'大分類コード
	Public Const prmM_GRP_CD As String = "@M_GRP_CD"					'中分類コード
	Public Const prmS_GRP_CD As String = "@S_GRP_CD"					'小分類コード
	Public Const prmGRP300_CD As String = "@GRP300_CD"					'３００分類コード
	Public Const prmA_GRP_CD As String = "@A_GRP_CD"					'ａ分類コード
	Public Const prmB_GRP_CD As String = "@B_GRP_CD"					'ｂ分類コード
	Public Const prmC_GRP_CD As String = "@C_GRP_CD"					'ｃ分類コード
	Public Const prmDEATH_GRP_CD As String = "@DEATH_GRP_CD"			'死因分類コード
	Public Const prmHSP_DISEASE_CD As String = "@HSP_DISEASE_CD"		'院内病名コード
	Public Const prmDISEASE As String = "@DISEASE"						'病名
	Public Const prmDISEASE_MNG_DIV As String = "@DISEASE_MNG_DIV"		'管理記号
	Public Const prmDISEASE_MNG_NO As String = "@DISEASE_MNG_NO"		'管理番号
	Public Const prmCNR_REG_STATUS_CD As String = "@CNR_REG_STATUS_CD"	'がん登録状況コード
	Public Const prmCNR_REG_COUNT As String = "@CNR_REG_COUNT"			'がん登録数
	Public Const prmCNR_REG_EXPECTED_COUNT As String = "@CNR_REG_EXPECTED_COUNT"	'がん登録予定数
	Public Const prmCNR_REG_EXTRACT_DT As String = "@CNR_REG_EXTRACT_DT"			'がん登録抽出日
'(A) STR V4-14016-000 003 20130415 ID)平井(病名の転帰を一括更新する起動追加。)
	Public Const prmDISEASE_OUTCOME_CD As String = "@DISEASE_OUTCOME_CD" '病名転帰コード
'(A) END V4-14016-000 003 20130415
	Public Const prmFIX_CD As String = "@FIX_CD"						'固定コード

#End Region

#Region "データ更新関連（病名チェック時）"
	''' <summary>
	''' UPDATE句（病名上書き＝ON時）
	''' </summary>
	Public Const sqlUpdByomeiNM As String = _
	  " UPDATE i" _
	& " SET" _
	& "  i.ICD10_CD                            = " & prmICD10_CD _
	& " ,i.L_GRP_CD                            = " & prmL_GRP_CD _
	& " ,i.M_GRP_CD                            = " & prmM_GRP_CD _
	& " ,i.S_GRP_CD                            = " & prmS_GRP_CD _
	& " ,i.GRP300_CD                           = " & prmGRP300_CD _
	& " ,i.A_GRP_CD                            = " & prmA_GRP_CD _
	& " ,i.B_GRP_CD                            = " & prmB_GRP_CD _
	& " ,i.C_GRP_CD                            = " & prmC_GRP_CD _
	& " ,i.DEATH_GRP_CD                        = " & prmDEATH_GRP_CD _
	& " ,i.HSP_DISEASE_CD                      = " & prmHSP_DISEASE_CD _
	& " ,i.DISEASE                             = " & prmDISEASE _
	& " ,i.LASTUPD_DT                          =" & sqlMSRCOMMON.prmLASTUPD_DT _
	& " ,i.LASTUPDUSER_CD                      =" & sqlMSRCOMMON.prmLASTUPDUSER_CD _
	& " FROM MTW_SEARCH_WORK" _
	& "  INNER JOIN MTI_DISEASE AS i" _
	& "   ON MTW_SEARCH_WORK.PATIENT_NO        = i.PATIENT_NO" _
	& "  AND MTW_SEARCH_WORK.HSP_HISTORY_NO    = i.HSP_HISTORY_NO" _
	& "  AND MTW_SEARCH_WORK.CH_NO             = i.CH_NO" _
	& "  AND MTW_SEARCH_WORK.SERIAL_NO         = i.DISEASE_SERIAL_NO" _
	& " WHERE MTW_SEARCH_WORK.HOST_NM          = " & sqlMSRCOMMON.prmHOST_NM

	''' <summary>
	''' UPDATE句（病名選択＝「管理番号」時）
	''' </summary>
	Public Const sqlUpdByomeiKan As String = _
	  " UPDATE i" _
	& " SET" _
	& "  i.ICD10_CD                            = " & prmICD10_CD _
	& " ,i.L_GRP_CD                            = " & prmL_GRP_CD _
	& " ,i.M_GRP_CD                            = " & prmM_GRP_CD _
	& " ,i.S_GRP_CD                            = " & prmS_GRP_CD _
	& " ,i.GRP300_CD                           = " & prmGRP300_CD _
	& " ,i.A_GRP_CD                            = " & prmA_GRP_CD _
	& " ,i.B_GRP_CD                            = " & prmB_GRP_CD _
	& " ,i.C_GRP_CD                            = " & prmC_GRP_CD _
	& " ,i.DEATH_GRP_CD                        = " & prmDEATH_GRP_CD _
	& " ,i.HSP_DISEASE_CD                      = " & prmHSP_DISEASE_CD _
	& " ,i.DISEASE_MNG_DIV                     = " & prmDISEASE_MNG_DIV _
	& " ,i.DISEASE_MNG_NO                      = " & prmDISEASE_MNG_NO _
	& " ,i.LASTUPD_DT                          =" & sqlMSRCOMMON.prmLASTUPD_DT _
	& " ,i.LASTUPDUSER_CD                      =" & sqlMSRCOMMON.prmLASTUPDUSER_CD _
	& " FROM MTW_SEARCH_WORK" _
	& "  INNER JOIN MTI_DISEASE AS i" _
	& "   ON MTW_SEARCH_WORK.PATIENT_NO        = i.PATIENT_NO" _
	& "  AND MTW_SEARCH_WORK.HSP_HISTORY_NO    = i.HSP_HISTORY_NO" _
	& "  AND MTW_SEARCH_WORK.CH_NO             = i.CH_NO" _
	& "  AND MTW_SEARCH_WORK.SERIAL_NO         = i.DISEASE_SERIAL_NO" _
	& " WHERE MTW_SEARCH_WORK.HOST_NM          = " & sqlMSRCOMMON.prmHOST_NM

	''' <summary>
	''' UPDATE句（病名上書き＝ON、病名選択＝「管理番号」時）
	''' </summary>
	Public Const sqlUpdByomeiNMKan As String = _
	  " UPDATE i" _
	& " SET" _
	& "  i.ICD10_CD                            = " & prmICD10_CD _
	& " ,i.L_GRP_CD                            = " & prmL_GRP_CD _
	& " ,i.M_GRP_CD                            = " & prmM_GRP_CD _
	& " ,i.S_GRP_CD                            = " & prmS_GRP_CD _
	& " ,i.GRP300_CD                           = " & prmGRP300_CD _
	& " ,i.A_GRP_CD                            = " & prmA_GRP_CD _
	& " ,i.B_GRP_CD                            = " & prmB_GRP_CD _
	& " ,i.C_GRP_CD                            = " & prmC_GRP_CD _
	& " ,i.DEATH_GRP_CD                        = " & prmDEATH_GRP_CD _
	& " ,i.HSP_DISEASE_CD                      = " & prmHSP_DISEASE_CD _
	& " ,i.DISEASE                             = " & prmDISEASE _
	& " ,i.DISEASE_MNG_DIV                     = " & prmDISEASE_MNG_DIV _
	& " ,i.DISEASE_MNG_NO                      = " & prmDISEASE_MNG_NO _
	& " ,i.LASTUPD_DT                          =" & sqlMSRCOMMON.prmLASTUPD_DT _
	& " ,i.LASTUPDUSER_CD                      =" & sqlMSRCOMMON.prmLASTUPDUSER_CD _
	& " FROM MTW_SEARCH_WORK" _
	& "  INNER JOIN MTI_DISEASE AS i" _
	& "   ON MTW_SEARCH_WORK.PATIENT_NO        = i.PATIENT_NO" _
	& "  AND MTW_SEARCH_WORK.HSP_HISTORY_NO    = i.HSP_HISTORY_NO" _
	& "  AND MTW_SEARCH_WORK.CH_NO             = i.CH_NO" _
	& "  AND MTW_SEARCH_WORK.SERIAL_NO         = i.DISEASE_SERIAL_NO" _
	& " WHERE MTW_SEARCH_WORK.HOST_NM          = " & sqlMSRCOMMON.prmHOST_NM

'(A) STR V4-12022-000 027 20120313 FJSK)H.Y 病名検索後更新エラー対応
	''' <summary>
	''' UPDATE句（病名上書き＝OFF、病名選択＝「ICD10」時）
	''' </summary>
	Public Const sqlUpdByomeiICD10 As String = _
	  " UPDATE i" _
	& " SET" _
	& "  i.ICD10_CD                            = " & prmICD10_CD _
	& " ,i.L_GRP_CD                            = " & prmL_GRP_CD _
	& " ,i.M_GRP_CD                            = " & prmM_GRP_CD _
	& " ,i.S_GRP_CD                            = " & prmS_GRP_CD _
	& " ,i.GRP300_CD                           = " & prmGRP300_CD _
	& " ,i.A_GRP_CD                            = " & prmA_GRP_CD _
	& " ,i.B_GRP_CD                            = " & prmB_GRP_CD _
	& " ,i.C_GRP_CD                            = " & prmC_GRP_CD _
	& " ,i.DEATH_GRP_CD                        = " & prmDEATH_GRP_CD _
	& " ,i.HSP_DISEASE_CD                      = " & prmHSP_DISEASE_CD _
	& " ,i.LASTUPD_DT                          =" & sqlMSRCOMMON.prmLASTUPD_DT _
	& " ,i.LASTUPDUSER_CD                      =" & sqlMSRCOMMON.prmLASTUPDUSER_CD _
	& " FROM MTW_SEARCH_WORK" _
	& "  INNER JOIN MTI_DISEASE AS i" _
	& "   ON MTW_SEARCH_WORK.PATIENT_NO        = i.PATIENT_NO" _
	& "  AND MTW_SEARCH_WORK.HSP_HISTORY_NO    = i.HSP_HISTORY_NO" _
	& "  AND MTW_SEARCH_WORK.CH_NO             = i.CH_NO" _
	& "  AND MTW_SEARCH_WORK.SERIAL_NO         = i.DISEASE_SERIAL_NO" _
	& " WHERE MTW_SEARCH_WORK.HOST_NM          = " & sqlMSRCOMMON.prmHOST_NM
'(A) END V4-12022-000 027 20120313 FJSK)H.Y 病名検索後更新エラー対応

#End Region

#Region "データ更新関連（がん登録状況チェック時）"

	''' <summary>
	''' がん登録状況コードの更新
	''' </summary>
	Public Const sqlUpdCNR_REG_CD As String = _
	 " UPDATE i" _
	& " SET" _
	& "  i.CNR_REG_STATUS_CD                   = " & prmCNR_REG_STATUS_CD _
	& " ,i.LASTUPD_DT                          =" & sqlMSRCOMMON.prmLASTUPD_DT _
	& " ,i.LASTUPDUSER_CD                      =" & sqlMSRCOMMON.prmLASTUPDUSER_CD _
	& "  FROM MTW_SEARCH_WORK" _
	& "  INNER JOIN MTI_DISEASE AS i" _
	& "    ON MTW_SEARCH_WORK.PATIENT_NO       = i.PATIENT_NO" _
	& "   AND MTW_SEARCH_WORK.HSP_HISTORY_NO   = i.HSP_HISTORY_NO" _
	& "   AND MTW_SEARCH_WORK.CH_NO            = i.CH_NO" _
	& "   AND MTW_SEARCH_WORK.SERIAL_NO        = i.DISEASE_SERIAL_NO" _
	& " WHERE MTW_SEARCH_WORK.HOST_NM          = " & sqlMSRCOMMON.prmHOST_NM

	''' <summary>
	''' がん登録予定数・がん登録数Zero更新
	''' </summary>
	Public Const sqlUpdCNR_Zero As String = _
	  " UPDATE c SET " _
	& "        c.CNR_REG_EXPECTED_COUNT        = " & prmCNR_REG_EXPECTED_COUNT _
	& "      , c.CNR_REG_COUNT                 = " & prmCNR_REG_COUNT _
	& "      , c.LASTUPD_DT                    =" & sqlMSRCOMMON.prmLASTUPD_DT _
	& "      , c.LASTUPDUSER_CD                =" & sqlMSRCOMMON.prmLASTUPDUSER_CD _
	& "  FROM MTW_SEARCH_WORK" _
	& "  INNER JOIN MTI_CH AS c" _
	& "    ON MTW_SEARCH_WORK.PATIENT_NO       = c.PATIENT_NO" _
	& "   AND MTW_SEARCH_WORK.HSP_HISTORY_NO   = c.HSP_HISTORY_NO" _
	& "   AND MTW_SEARCH_WORK.CH_NO            = c.CH_NO" _
	& " WHERE MTW_SEARCH_WORK.HOST_NM          = " & sqlMSRCOMMON.prmHOST_NM

	''' <summary>
	''' がん登録予定数
	''' </summary>
	Public Const sqlUpdCNR_REG_EXP_CNT_Set As String = _
	   " UPDATE c SET " _
	& "         c.CNR_REG_EXPECTED_COUNT       = (" & sqlSelCNR_Cnt & ") " _
	& "       , c.LASTUPD_DT                   =" & sqlMSRCOMMON.prmLASTUPD_DT _
	& "       , c.LASTUPDUSER_CD               =" & sqlMSRCOMMON.prmLASTUPDUSER_CD _
	& "   FROM MTW_SEARCH_WORK" _
	& "  INNER JOIN MTI_CH AS c" _
	& "     ON MTW_SEARCH_WORK.PATIENT_NO      = c.PATIENT_NO" _
	& "    AND MTW_SEARCH_WORK.HSP_HISTORY_NO  = c.HSP_HISTORY_NO" _
	& "    AND MTW_SEARCH_WORK.CH_NO           = c.CH_NO" _
	& "  WHERE MTW_SEARCH_WORK.HOST_NM         = " & sqlMSRCOMMON.prmHOST_NM

	''' <summary>
	''' がん登録数
	''' </summary>
	Public Const sqlUpdCNR_REG_CNT_Set As String = _
	   " UPDATE c SET " _
	& "        c.CNR_REG_COUNT                 = (" & sqlSelCNR_Cnt & ") " _
	& "      , c.LASTUPD_DT                    =" & sqlMSRCOMMON.prmLASTUPD_DT _
	& "      , c.LASTUPDUSER_CD                =" & sqlMSRCOMMON.prmLASTUPDUSER_CD _
	& "   FROM MTW_SEARCH_WORK" _
	& "  INNER JOIN MTI_CH AS c" _
	& "     ON MTW_SEARCH_WORK.PATIENT_NO      = c.PATIENT_NO" _
	& "    AND MTW_SEARCH_WORK.HSP_HISTORY_NO  = c.HSP_HISTORY_NO" _
	& "    AND MTW_SEARCH_WORK.CH_NO           = c.CH_NO" _
	& "  WHERE MTW_SEARCH_WORK.HOST_NM         = " & sqlMSRCOMMON.prmHOST_NM

	''' <summary>
	''' がん登録予定数・がん登録数カウント用SQL
	''' </summary>
	Private Const sqlSelCNR_Cnt As String = _
	  "SELECT Count(MTM_CNR_REG_STATUS.FIXED_CD) AS CNT" _
	& "  FROM MTI_DISEASE AS i" _
	& "       INNER JOIN MTM_CNR_REG_STATUS" _
	& "    ON i.CNR_REG_STATUS_CD              = MTM_CNR_REG_STATUS.REG_STATUS_CD" _
	& " WHERE MTM_CNR_REG_STATUS.FIXED_CD      = " & prmFIX_CD _
	& "   AND i.PATIENT_NO                     = MTW_SEARCH_WORK.PATIENT_NO" _
	& "   AND i.HSP_HISTORY_NO                 = MTW_SEARCH_WORK.HSP_HISTORY_NO" _
	& "   AND i.CH_NO                          = MTW_SEARCH_WORK.CH_NO " _
	& "   AND i.DISEASE_SERIAL_NO              = MTW_SEARCH_WORK.SERIAL_NO"

#End Region

#Region "データ更新関連(がん登録抽出日)"

	''' <summary>
	''' がん登録抽出日の更新
	''' </summary>
	Public Const sqlUpdCNR_REG_DT As String = _
	  " UPDATE i SET" _
	& "        i.CNR_REG_EXTRACT_DT            = " & prmCNR_REG_EXTRACT_DT _
	& "       ,i.LASTUPD_DT                    =" & sqlMSRCOMMON.prmLASTUPD_DT _
	& "       ,i.LASTUPDUSER_CD                =" & sqlMSRCOMMON.prmLASTUPDUSER_CD _
	& "  FROM MTW_SEARCH_WORK" _
	& "       INNER JOIN MTI_DISEASE AS i" _
	& "    ON MTW_SEARCH_WORK.PATIENT_NO       = i.PATIENT_NO" _
	& "   AND MTW_SEARCH_WORK.HSP_HISTORY_NO   = i.HSP_HISTORY_NO" _
	& "   AND MTW_SEARCH_WORK.CH_NO            = i.CH_NO" _
	& "   AND MTW_SEARCH_WORK.SERIAL_NO        = i.DISEASE_SERIAL_NO" _
	& " WHERE MTW_SEARCH_WORK.HOST_NM          = " & sqlMSRCOMMON.prmHOST_NM

#End Region

'(A) STR V4-14016-000 021 20130415 ID)平井(病名の転帰を一括更新する起動追加。)
#Region "データ更新関連(病名転帰コード)"

	''' <summary>
	''' 病名転帰コードの更新
	''' </summary>
	Public Const sqlUpdDISEASE_OUTCOME_CD As String = _
	  " UPDATE i SET" _
	& "        i.DISEASE_OUTCOME_CD            = " & prmDISEASE_OUTCOME_CD _
	& "       ,i.LASTUPD_DT                    =" & sqlMSRCOMMON.prmLASTUPD_DT _
	& "       ,i.LASTUPDUSER_CD                =" & sqlMSRCOMMON.prmLASTUPDUSER_CD _
	& "  FROM MTW_SEARCH_WORK" _
	& "       INNER JOIN MTI_DISEASE AS i" _
	& "    ON MTW_SEARCH_WORK.PATIENT_NO       = i.PATIENT_NO" _
	& "   AND MTW_SEARCH_WORK.HSP_HISTORY_NO   = i.HSP_HISTORY_NO" _
	& "   AND MTW_SEARCH_WORK.CH_NO            = i.CH_NO" _
	& "   AND MTW_SEARCH_WORK.SERIAL_NO        = i.DISEASE_SERIAL_NO" _
	& " WHERE MTW_SEARCH_WORK.HOST_NM          = " & sqlMSRCOMMON.prmHOST_NM

#End Region
'(A) END V4-14016-000 021 20130415

#Region "病名マスタ取得用"

	Public Const sqlSelMstByomei As String = _
	 " SELECT" _
	& "       ICD10_CD" _
	& "      ,DISEASE_NM" _
	& "      ,L_GRP_CD" _
	& "      ,M_GRP_CD" _
	& "      ,S_GRP_CD" _
	& "      ,GRP300_CD" _
	& "      ,A_GRP_CD" _
	& "      ,B_GRP_CD" _
	& "      ,C_GRP_CD" _
	& "      ,DEATH_GRP_CD" _
	& "      ,HSP_DISEASE_CD" _
	& "  FROM MTM_DISEASE" _
	& " WHERE MNG_DIV  = " & prmDISEASE_MNG_DIV _
	& "   AND MNG_NO   = " & prmDISEASE_MNG_NO

#End Region

#Region "各分類コード取得用"

	'病名小分類マスタ取得
	Public Const sqlSelMstS_GRP As String = _
	 " SELECT" _
	& "       L_GRP_CD" _
	& "      ,M_GRP_CD" _
	& "  FROM MTM_DISEASE_S_GRP" _
	& " WHERE S_GRP_CD  = " & prmICD10_CD

	'病名変換ｃ分類マスタ取得
	Public Const sqlSelMstB_C_GRP As String = _
	 " SELECT" _
	& "       GRP300_CD" _
	& "      ,C_GRP_CD" _
	& "      ,DEATH_GRP_CD" _
	& "  FROM MTM_DISEASE_CNV_C_GRP" _
	& " WHERE ICD10_CD = " & prmICD10_CD

	'病名変換ｃ分類４マスタ取得
	Public Const sqlSelMstB_C_GRP4 As String = _
	 " SELECT" _
	& "       C_GRP_CD" _
	& "  FROM MTM_DISEASE_CNV_C_GRP4" _
	& " WHERE ICD10_CD = " & prmICD10_CD

	'死因分類４マスタ取得
	Public Const sqlSelMstDEATH_GRP As String = _
	 " SELECT" _
	& "       DEATH_GRP_CD" _
	& "  FROM MTM_DEATH_GRP_4CNV" _
	& " WHERE ICD10_CD = " & prmICD10_CD

	'病名変換ａｂｃマスタ取得
	Public Const sqlSelMstB_ABC As String = _
	 " SELECT" _
	& "       A_GRP_CD" _
	& "      ,B_GRP_CD" _
	& "  FROM MTM_DISEASE_CNVT_ABC_DIV" _
	& " WHERE C_GRP_CD   = " & prmC_GRP_CD

#End Region

#Region "マスタデータ項目取得用"

	'病名大分類マスタ取得
	Public Const sqlSelGetMstL_GRP As String = _
	 " SELECT" _
	& "       L_GRP_NM" _
	& "  FROM MTM_DISEASE_L_GRP" _
	& " WHERE L_GRP_CD   = " & prmL_GRP_CD

	'病名中分類マスタ取得
	Public Const sqlSelGetMstM_GRP As String = _
	 " SELECT" _
	& "       M_GRP_NM" _
	& "  FROM MTM_DISEASE_M_GRP" _
	& " WHERE M_GRP_CD   = " & prmM_GRP_CD

	'病名小分類マスタ取得
	Public Const sqlSelGetMstS_GRP As String = _
	 " SELECT" _
	& "       S_GRP_NM" _
	& "  FROM MTM_DISEASE_S_GRP" _
	& " WHERE S_GRP_CD   = " & prmS_GRP_CD

	'病名300分類マスタ取得
	Public Const sqlSelGetMst300_GRP As String = _
	 " SELECT" _
	& "       GRP300_NM" _
	& "  FROM MTM_DISEASE_300GRP" _
	& " WHERE GRP300_CD  = " & prmGRP300_CD

	'病名a分類マスタ取得
	Public Const sqlSelGetMstA_GRP As String = _
	 " SELECT" _
	& "       A_GRP_NM" _
	& "  FROM MTM_DISEASE_A_GRP" _
	& " WHERE A_GRP_CD   = " & prmA_GRP_CD

	'病名b分類マスタ取得
	Public Const sqlSelGetMstB_GRP As String = _
	 " SELECT" _
	& "       B_GRP_NM" _
	& "  FROM MTM_DISEASE_B_GRP" _
	& " WHERE B_GRP_CD   = " & prmB_GRP_CD

	'病名c分類マスタ取得
	Public Const sqlSelGetMstC_GRP As String = _
	 " SELECT" _
	& "       C_GRP_NM" _
	& "  FROM MTM_DISEASE_C_GRP" _
	& " WHERE C_GRP_CD   = " & prmC_GRP_CD

	'死因分類マスタ取得
	Public Const sqlSelGetMstDEATH_GRP As String = _
	 " SELECT" _
	& "       DEATH_GRP_NM" _
	& "  FROM MTM_DEATH_GRP" _
	& " WHERE DEATH_GRP_CD = " & prmDEATH_GRP_CD

#End Region



End Class
