﻿''' ---------------------------------------------
''' <summary>
''' 診療情報管理 照会 先月疾病SQLクラス
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class sqlMSS010F030

    Public Const itmCODE As String = "CODE"     'ICD10コード、ICD9CMコード
    Public Const itmGRP_NM As String = "GRP_NM" '分類名
    Public Const itmCNT As String = "CNT"       '件数

    Public Const prmOUT_HSP_DT_FROM As String = "@OUT_HSP_DT_FROM"  '退院日FROM
    Public Const prmOUT_HSP_DT_TO As String = "@OUT_HSP_DT_TO"      '退院日TO
    Public Const prmMAIN_DPM_FLG As String = "@MAIN_DPM_FLG"        '主科フラグ
    Public Const prmFIXED_CD As String = "@FIXED_CD"                '固定コード

    ''' ---------------------------------------------
    ''' <summary>
    ''' 上位３疾病取得
    ''' </summary>
    ''' ---------------------------------------------
    Public Const sqlSel_DISEASE_TOP As String =
        "SELECT TOP 3" _
            & " MTI_DISEASE.ICD10_CD            AS CODE" _
            & ",MTM_DISEASE_GRP.DISEASE_GRP_NM  AS GRP_NM" _
            & ",COUNT(MTI_DISEASE.ICD10_CD)     AS CNT" _
        & " FROM" _
            & " MTI_HSP" _
            & " INNER JOIN MTI_CH ON" _
            & "     MTI_HSP.PATIENT_NO          = MTI_CH.PATIENT_NO" _
            & " AND MTI_HSP.HSP_HISTORY_NO      = MTI_CH.HSP_HISTORY_NO" _
            & " INNER JOIN MTI_DISEASE ON" _
            & "     MTI_CH.PATIENT_NO           = MTI_DISEASE.PATIENT_NO" _
            & " AND MTI_CH.HSP_HISTORY_NO       = MTI_DISEASE.HSP_HISTORY_NO" _
            & " AND MTI_CH.CH_NO                = MTI_DISEASE.CH_NO" _
            & " INNER JOIN MTM_DISEASE_DIV ON" _
            & "     MTI_DISEASE.DISEASE_DIV     = MTM_DISEASE_DIV.DISEASE_DIV_CD" _
            & " LEFT JOIN MTM_DISEASE_GRP ON" _
            & "     MTI_DISEASE.ICD10_CD        = MTM_DISEASE_GRP.DISEASE_GRP_CD" _
        & " WHERE" _
            & "     MTI_HSP.OUT_HSP_DT          BETWEEN " & prmOUT_HSP_DT_FROM _
                                                & " AND " & prmOUT_HSP_DT_TO _
            & " AND MTI_CH.MAIN_DPM_FLG         = " & prmMAIN_DPM_FLG _
            & " AND MTM_DISEASE_DIV.FIXED_CD    = " & prmFIXED_CD _
        & " GROUP BY" _
            & " MTI_DISEASE.ICD10_CD" _
            & ",MTM_DISEASE_GRP.DISEASE_GRP_NM" _
        & " ORDER BY" _
            & " COUNT(MTI_DISEASE.ICD10_CD) DESC" _
            & ",MTI_DISEASE.ICD10_CD"

    ''' ---------------------------------------------
    ''' <summary>
    ''' 上位３手術取得
    ''' </summary>
    ''' ---------------------------------------------
    Public Const sqlSel_OPE_TOP As String =
        "SELECT TOP 3" _
            & " MTI_OPE.ICD9CM_CD               AS CODE" _
            & ",MTM_OPE_GRP.OPE_GRP_NM          AS GRP_NM" _
            & ",COUNT(MTI_OPE.ICD9CM_CD)        AS CNT" _
        & " FROM" _
            & " MTI_HSP" _
            & " INNER JOIN MTI_CH ON" _
            & "     MTI_HSP.PATIENT_NO          = MTI_CH.PATIENT_NO" _
            & " AND MTI_HSP.HSP_HISTORY_NO      = MTI_CH.HSP_HISTORY_NO" _
            & " INNER JOIN MTI_OPE ON" _
            & "     MTI_CH.PATIENT_NO           = MTI_OPE.PATIENT_NO" _
            & " AND MTI_CH.HSP_HISTORY_NO       = MTI_OPE.HSP_HISTORY_NO" _
            & " AND MTI_CH.CH_NO                = MTI_OPE.CH_NO" _
            & " INNER JOIN MTM_OPE_DIV ON" _
            & "     MTI_OPE.OPE_DIV             = MTM_OPE_DIV.OPE_DIV_CD" _
            & " LEFT JOIN MTM_OPE_GRP ON" _
            & "     MTI_OPE.ICD9CM_CD           = MTM_OPE_GRP.OPE_CD" _
        & " WHERE" _
            & "     MTI_HSP.OUT_HSP_DT          BETWEEN " & prmOUT_HSP_DT_FROM _
                                                & " AND " & prmOUT_HSP_DT_TO _
            & " AND MTM_OPE_DIV.FIXED_CD        = " & prmFIXED_CD _
        & " GROUP BY" _
            & " MTI_OPE.ICD9CM_CD" _
            & ",MTM_OPE_GRP.OPE_GRP_NM" _
        & " ORDER BY" _
            & " COUNT(MTI_OPE.ICD9CM_CD) DESC" _
            & ",MTI_OPE.ICD9CM_CD"

End Class
