﻿Imports XCM
Imports XSP

''' ---------------------------------------------
''' <summary>
''' 病名登録／参照
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MEN040F010

#Region "コンスタント"
	Private Const CONTROL_C01001MEN040F010 As String = "c01001MEN040F010"

	'外因４桁分類マスタフィルター条件
	Private Const CONST_CAUSE4GRP_SELECT As String = "CAUSE_4GRP_PTN = '@CAUSE_4GRP_PTN'"
	'連携病名テーブルフィルター条件
	Private Const CONST_CANCER_SELECT As String = "START_ICD10_CD <= '@ICD10_CD' AND END_ICD10_CD >= '@ICD10_CD'"
	Private Const CONST_CANCER_SELECT_ZERO As String = "000000"
	'がん登録状況マスタフィルター条件
	Private Const CONST_CNR_REG_STATUS_SELECT As String = "REG_STATUS_CD = '@CNR_REG_STATUS_CD'"
	'病名区分マスタフィルター条件
	Private Const CONST_DISEASE_DIV_SELECT As String = "DISEASE_DIV_CD = '@DISEASE_DIV'"
	'病名情報複写画面ID
	Private Const CONST_MEN040F020 As String = "MEN040F020"
	'病名検索(ICD9)画面ID
	Private Const CONST_XSP230F010 As String = "XSP230F010"
	'修飾語検索画面ID
	Private Const CONST_XSP190F010 As String = "XSP190F010"
	'組織形態検索画面ID
	Private Const CONST_XSP120F010 As String = "XSP120F010"
	'外因分類検索画面ID
	Private Const CONST_XSP130F010 As String = "XSP130F010"
	'病名マスタ追加画面ID
	Private Const CONST_MEN040F030 As String = "MEN040F030"
	'名称検索ボタン
	Private Const CONST_BTN017MEN040F010 As String = "btn017MEN040F010"
	'ICD10
	Private Const CONST_CMB013MEN040F010 As String = "cmb013MEN040F010"
	'マスタより
	Private Const CONST_BTN008MEN000F010 As String = "btn008MEN000F010"
	'組織形態コード接頭語
	Private Const CONST_FORM_CD_PREFIX As String = "M"
'(A) STR V4-13014-000 003 20130213 ID)平井(区分のマウススクロールによる変更抑止)
	Private Const CONTROL_C02001MEN040F010 As String = "c02001MEN040F010"
'(A) END V4-13014-000 003 20130213

	''' ---------------------------------------------
	''' <summary>
	''' 形態名
	''' </summary>
	''' <remarks>
	''' 2010/11/01 新規作成　CS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Enum Enum_Morphology
		''' ---------------------------------------------
		''' <summary>日本語</summary>
		''' ---------------------------------------------
		Japanese = 1
		''' ---------------------------------------------
		''' <summary>英語</summary>
		''' ---------------------------------------------
		English = 2
	End Enum

#End Region

#Region "変数"
	' 前回値取得・保存コントロール名
	Private LastValueCtl() As String = {"cmb022MEN000F040"}
	' 引数連番
	Private _pSerialNo As Integer
	' 入力チェッククラス
	Private cliMEN010F060 As clsMEN010F060
	' MEN共通クラス
	Private cliMENCOMMON As clsMENCOMMON
	' グリッドスタイルクラス
	Private cliGridStyle As clsGridStyle
	'コンボ共通クラス
	Private cliCombo As clsComboCom
	' 共通メソッドクラス
	Private cliCom As clsCom
	' 外因分類４桁テーブル
	Private datCombo_MCause4Grp As DataTable
	' 病名データテーブル
	Private datMtiDisease As DataTable
	' 連携病名テーブル
	Private datMtmImpDisease As DataTable
	' ICD10更新フラグ
	Private pIcd10ChFlg As Boolean = False
	' 病名形態更新フラグ
	Private pIcdoFormChFlg As Boolean = False
	' グリッドソートフラグ
	Private pGridSortFlg As clsConst.Enum_SortDisease = clsConst.Enum_SortDisease.NoSort
	Private pGridSortString As String = Nothing
	' 外因４桁細分類パターン(表示領域なしの為ワークで使用)
	Private pCause_4Grp_Ptn As String = Nothing
	' 現在編集中連番
	Private pNowSerialNo As Integer = 0
	' 修飾語追加項目前後判定
	Private pMdfrkey1 As String = Nothing						'ボタン1キー
	Private pMdfrkey2 As String = Nothing						'ボタン2キー
	Private pMdfrkey3 As String = Nothing						'ボタン3キー
	Private pMdfrkey4 As String = Nothing						'ボタン4キー
	Private pMdfrkey5 As String = Nothing						'ボタン5キー
	Private pMdfrkey6 As String = Nothing						'ボタン6キー
	Private pMdfrkey7 As String = Nothing						'ボタン7キー
	Private pMdfrkey8 As String = Nothing						'ボタン8キー
	' チェックボックス用グリッド表示文字列
	Private pCHECKBOX_TRUE As String
	Private pCHECKBOX_FALSE As String
	' 区分の初期プロパティ
	Private pFirstSelectValue As String = String.Empty
	' 現在編集中ICD10コンボ
	Private pNowICD10_Text As String = Nothing
	Private pNowICD10_Index As Integer = Nothing
	' 現在編集中病名形態コンボ
	Private pNowICDO_FORM_Text As String = Nothing
	Private pNowICDO_FORM_Index As Integer = Nothing
	' がん登録状況のデフォルト値
	Private pCnrRegStatusCdPlan As String = Nothing				'抽出予定
	Private pCnrRegStatusCdFinish As String = Nothing			'抽出済み
	Private pCnrRegStatusCdNotExtract As String = Nothing		'適用外
#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pExeMode">処理モード</param>
	''' <param name="pPatientNo">患者番号</param>
	''' <param name="pHspHistoryNo">入退院歴番号</param>
	''' <param name="pChNo">科歴番号</param>
	''' <remarks>
	''' 2010/11/15 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal pExeMode As Enum_ExeMode, ByVal pPatientNo As String, ByVal pHspHistoryNo As Integer, ByVal pChNo As Integer)
		Me.New(pExeMode, pPatientNo, pHspHistoryNo, pChNo, 0)
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ（病名連番指定）
	''' </summary>
	''' <param name="pExeMode">処理モード</param>
	''' <param name="pPatientNo">患者番号</param>
	''' <param name="pHspHistoryNo">入退院歴番号</param>
	''' <param name="pChNo">科歴番号</param>
	''' <param name="pRenban">病名連番</param>
	''' <remarks>
	''' 2010/11/15 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal pExeMode As Enum_ExeMode, ByVal pPatientNo As String, ByVal pHspHistoryNo As Integer, ByVal pChNo As Integer, ByVal pRenban As Integer)
		' この呼び出しは、Windows フォーム デザイナで必要です。
		MyBase.New()
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。
		Me.ExeMode = pExeMode						'処理モード
		Me.PatientNo = pPatientNo					'患者番号
		Me.HspHistoryNo = pHspHistoryNo				'入退院歴番号
		Me.ChNo = pChNo								'科歴番号
		Me.BeforeTransit = Enum_Transit.eDisease	'画面遷移前は「病名」
		_pSerialNo = pRenban
	End Sub

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' 画面ロード時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN040F010_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Me.Load
		If Me.DesignMode OrElse Me.LoadError Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.NRM, "MEN040F010_Load", "病名登録＿Ｌｏａｄ処理 Start")
		Dim lArOrderBy As ArrayList = Nothing
		Try
			cliMEN010F060 = New clsMEN010F060
			cliMENCOMMON = New clsMENCOMMON
			cliGridStyle = New clsGridStyle
			cliCombo = New clsComboCom
			cliCom = New clsCom
			datCombo_MCause4Grp = New DataTable
			datMtiDisease = New DataTable
			datMtmImpDisease = New DataTable
			'TAB外移動の設定
			Me.MoveTabOutsideControl = {Me.tab039MEN040F010.Name}
			'コントロール名の設定
			setControlName()
			' 参照モード？
			If Me.ExeMode = Enum_ExeMode.eReference Then showReferenceMode()
			'入力必須項目については該当する見出しの前景色を青色にする。
			'病名区分コード
			lbl002MEN040F010.ForeColor = clsConst.CST_REQUIRED_COLOR
			'ＩＣＤ１０コード
			btn012MEN040F010.ForeColor = clsConst.CST_REQUIRED_COLOR
			'転帰
			If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00064) = CStr(clsConst.Enum_MainDiseaseOutCome.Required) Then
				lbl018MEN040F010.ForeColor = clsConst.CST_OPTIONAL_REQUIRED_COLOR
			End If
			'ICD9の使用可否
			If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00081) = CStr(clsConst.Enum_ICD9Can.NonUse) Then
				btn014MEN040F010.CanInput = False
				cmb015MEN040F010.CanInput = False
			End If
			'形態名
			If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00044) = CStr(Enum_Morphology.English) Then
				'英語
				cmb042MEN040F010.DisplayMemberEx = XSP.sqlComboCom.itmFORM_ENGLISHNM
			Else
				'日本語
				cmb042MEN040F010.DisplayMemberEx = XSP.sqlComboCom.itmFORM_NM
			End If
			'科歴情報の死亡転帰チェック
			If Me.ChRec.END_OUTCOME_FIXED_CD <> CStr(clsConst.Enum_DiscchargeOutcome_Fix1.Decease) Then
				'死因病名フラグ、死因外因フラグ、直接死因病名フラグ
				lbl096MEN040F010.Visible = False
				chk097MEN040F010.Visible = False
				chk098MEN040F010.Visible = False
				lbl099MEN040F010.Visible = False
				lbl100MEN040F010.Visible = False
				chk101MEN040F010.Visible = False
				lbl102MEN040F010.Visible = False
			End If
			'病名一覧並び替え設定
			If Not Integer.TryParse(clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00045), pGridSortFlg) Then
				pGridSortFlg = clsConst.Enum_SortDisease.NoSort
			End If
			'病名一覧並び替え実行文字列
			lArOrderBy = New ArrayList
			Select Case pGridSortFlg
				Case clsConst.Enum_SortDisease.NoSort
					' 並び替えを行わない
				Case clsConst.Enum_SortDisease.Sort
					' 保存時に並び替えを行う
					lArOrderBy.Add(sqlMENCOMMON.itmAddCol4NewRow)			'新規行識別
					lArOrderBy.Add(sqlMENCOMMON.itmAddCol4RowSeq)			'順番識別
					lArOrderBy.Add(sqlMTI_DISEASE.itmDISEASE_DIV_DSPORDER)	'病名区分コード（表示順）
					lArOrderBy.Add(sqlMTI_DISEASE.itmDISEASE_DIV)			'病名区分コード
					lArOrderBy.Add(sqlMTI_DISEASE.itmDISEASE_SERIAL_NO)		'病名連番
				Case Else
			End Select
			pGridSortString = Join(CType(lArOrderBy.ToArray(GetType(String)), String()), clsMENCOMMON.CONTROL_STRING_COMMA)
			'チェックボックスのグリッド表示文字取得
			pCHECKBOX_TRUE = cliMENCOMMON.getCheckFlgDisp(clsConst.Enum_CheckBox_Flg.CheckOn)
			pCHECKBOX_FALSE = cliMENCOMMON.getCheckFlgDisp(clsConst.Enum_CheckBox_Flg.CheckOff)
			' コンボボックスの値取得
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				'IDC10
				cliCombo.setICD10Combo(Me, cmb013MEN040F010, db)
				cmb013MEN040F010.setDropDownWidth()
				'病名区分コード
				cmb003MEN040F010.DataSource = cliCombo.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_DiseaseDiv)
				cmb003MEN040F010.setDropDownWidth()
				If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00081) = CStr(clsConst.Enum_ICD9Can.Use) Then
					'ＩＣＤ９コード
					cmb015MEN040F010.DataSource = cliCombo.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_Disease9)
					cmb015MEN040F010.setDropDownWidth()
				End If
				'病名転帰
				cmb019MEN040F010.DataSource = cliCombo.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_DiseaseOutcome)
				cmb019MEN040F010.setDropDownWidth()
				'病名形態
				cmb042MEN040F010.DataSource = cliCombo.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_DiseaseForm)
				cmb042MEN040F010.setDropDownWidth()
				'病名形態６コード
				cmb044MEN040F010.DataSource = cliCombo.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_DiseaseForm6DigCd)
				cmb044MEN040F010.setDropDownWidth()
				'外因分類コード
				cmb049MEN040F010.DataSource = cliCombo.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_ExogenousGrp)
				cmb049MEN040F010.setDropDownWidth()
				'がん登録状況コード
				cmb108MEN040F010.DataSource = cliCombo.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_CnrRegStatus)
				cmb108MEN040F010.setDropDownWidth()
				'外因分類４桁コード
				datCombo_MCause4Grp = cliCombo.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_Cause_4Grp)
				'連結病名コードマスタの読込み
				db.setSQLDa(sqlMEN040F010.sqlMtmImpDisease)
				db.execQueryDa(datMtmImpDisease)
				'病名情報取得処理
				Using cliDisease As clsMTI_DISEASE = New clsMTI_DISEASE(pGridSortFlg)
					datMtiDisease = cliDisease.getDiseasePlusChDa(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
					datMtiDisease.Columns.Add(sqlMENCOMMON.itmAddCol4NewRow, GetType(String))
					datMtiDisease.Columns.Add(sqlMENCOMMON.itmAddCol4RowSeq, GetType(Integer))
				End Using
			End Using
			'がん登録状況のデフォルト値取得処理
			getCnrRegStatusDefaultValue()
			' グリッド設定
			dgv001MEN040F010.AutoGenerateColumns = False		'自動行追加禁止
			cliGridStyle.setGridHeight(dgv001MEN040F010)		'グリッド１行の高さを設定
			dgv001MEN040F010.DataSource = datMtiDisease
			datMtiDisease.AcceptChanges()						'変更をすべてクリアする
			'前回値を継承元で保存しない
			Me.LastValueSkip = True
		Catch ex As Exception
			ErrorProc(ex)
			Me.EndProc4Load()
		Finally
			lArOrderBy = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 病名登録＿初期表示
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN040F010_Shown(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Me.Shown
		If Me.DesignMode OrElse Me.LoadError Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.NRM, "MEN040F010_Shown", "病名登録＿初期表示 Start")
		Dim clickedColumn As DataGridViewColumn = Nothing
		Try
			If Me.ExeMode = Enum_ExeMode.eEntry Then
				' 前回値取得
				LoadModificationName()
				Me.LoadLastValue(LastValueCtl)
			End If
			' レコードなしチェック
			If datMtiDisease.Rows.Count = 0 Then
				If Me.ExeMode = Enum_ExeMode.eEntry Then
					' 新規レコード追加
					AddNewRow()
				End If
			Else
				' 病名連番でレコードを取得しセットする（なければ先頭）
				srhSerialNo(Me._pSerialNo)
				' ソート処理を行う
				sortDatMtiDisease(False)
			End If
			dspDataRow()
'(A) STR V4-13014-000 003 20130213 ID)平井(区分のマウススクロールによる変更抑止)
			setInitialFocus()
'(A) END V4-13014-000 003 20130213
		Catch ex As Exception
			ErrorProc(ex)
			Me.EndProc4Shown()
		Finally
			clickedColumn = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 医療資源投入１変更時処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub chk007MEN040F010_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chk007MEN040F010.CheckedChanged
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "chk007MEN040F010_CheckedChanged", "医療資源投入１変更時処理 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "医療資源投入１変更時処理 Start")
'(M) END V4-11023-000 004 20110816
		Try
			If Not chk007MEN040F010.Checked Then Exit Sub
			chk008MEN040F010.Checked = Not chk007MEN040F010.Checked
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 医療資源投入２変更時処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub chk008MEN040F010_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chk008MEN040F010.CheckedChanged
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "chk008MEN040F010_CheckedChanged", "医療資源投入２変更時処理 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "医療資源投入２変更時処理 Start")
'(M) END V4-11023-000 004 20110816
		Try
			If Not chk008MEN040F010.Checked Then Exit Sub
			chk007MEN040F010.Checked = Not chk008MEN040F010.Checked
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 外因分類コンボ変更時処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb049MEN040F010_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmb049MEN040F010.SelectedIndexChanged
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "cmb049MEN040F010_SelectedIndexChanged", "外因分類コンボ変更時処理 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "外因分類コンボ変更時処理 Start")
'(M) END V4-11023-000 004 20110816
		Dim lWhereString As String = String.Empty
		Dim ldtTable As DataTable
		Try
			ldtTable = New DataTable
			'外因４桁分類コード
			If pNowSerialNo = 0 Then Exit Sub
			If cmb049MEN040F010.SelectedRowValue Is Nothing Then Exit Sub
			pCause_4Grp_Ptn = cmb049MEN040F010.SelectedRowValue.Item(XSP.sqlComboCom.itmCAUSE_4GRP_PTN).ToString
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				cmb051MEN040F010.DataSource = cliCom.getTableFromRows(datCombo_MCause4Grp, datCombo_MCause4Grp.Select(Replace(CONST_CAUSE4GRP_SELECT, sqlMEN040F010.prmCAUSE_4GRP_PTN, cmb049MEN040F010.SelectedRowValue.Item(XSP.sqlComboCom.itmCAUSE_4GRP_PTN).ToString)))
				cmb051MEN040F010.setDropDownWidth()
				With cmb049MEN040F010
					lbl084MEN040F010.Text = .SelectedRowValue.Item(XSP.sqlComboCom.itmCAUSE_L_GRP_CD).ToString
					lbl087MEN040F010.Text = .SelectedRowValue.Item(XSP.sqlComboCom.itmDEATH_GRP_CD).ToString
					db.setSQLDa(sqlMEN040F010.sqlMtmCauseLgrp)
					db.setParamDa(sqlMEN040F010.prmCAUSE_L_GRP_CD, clsDB.Enum_dbType.dbNVarChar)
					db.setValDa(sqlMEN040F010.prmCAUSE_L_GRP_CD, .SelectedRowValue.Item(XSP.sqlComboCom.itmCAUSE_L_GRP_CD).ToString)
					db.execQueryDa(ldtTable)
					If ldtTable.Rows.Count <> 0 Then
						lbl085MEN040F010.Text = ldtTable.Rows(0).Item(sqlMEN040F010.itmCAUSE_L_GRP_NM).ToString
					Else
						lbl085MEN040F010.Text = Nothing
					End If
				End With
			End Using
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			lWhereString = Nothing
			ldtTable = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 外因分類コンボチェック後処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/02 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb049MEN040F010_Validated(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmb049MEN040F010.Validated
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "cmb049MEN040F010_Validated", "外因分類コンボチェック後処理 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "外因分類コンボチェック後処理 Start")
'(M) END V4-11023-000 004 20110816
		Try
			If Me.ValidatedSkip AndAlso cmb049MEN040F010.ContainsFocus = False Then Exit Sub
			If String.IsNullOrEmpty(cmb049MEN040F010.Text) Then
				txt050MEN040F010.Text = Nothing
				txt052MEN040F010.Text = Nothing
				cliCom.setComboValue(cmb051MEN040F010, String.Empty)
				lbl084MEN040F010.Text = Nothing
				lbl087MEN040F010.Text = Nothing
				lbl085MEN040F010.Text = Nothing
				pCause_4Grp_Ptn = Nothing
			End If
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ICD10コンボドロップダウン開始時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/02 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb013MEN040F010_DropDown(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmb013MEN040F010.DropDown
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "cmb013MEN040F010_DropDown", "ICD10コンボドロップダウン開始時 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "ICD10コンボドロップダウン開始時 Start")
'(M) END V4-11023-000 004 20110816
		Try
			'インデックスを保存
			pNowICD10_Index = cmb013MEN040F010.SelectedIndex
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ICD10コンボドロップダウン終了時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/02 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb013MEN040F010_DropDownClosed(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmb013MEN040F010.DropDownClosed
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "cmb013MEN040F010_DropDownClosed", "ICD10コンボドロップダウン終了時 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "ICD10コンボドロップダウン終了時 Start")
'(M) END V4-11023-000 004 20110816
		Try
			'分類コードセット処理
			'##S BT-41012-001 2011/10/06 FJSK)mana(障害対応:コンボ対応)
			'If pNowICD10_Index <> cmb013MEN040F010.SelectedIndex Then setBunruiCode()
			'##E BT-41012-001
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ICD10コンボフォーカス取得時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/02 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb013MEN040F010_Enter(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmb013MEN040F010.Enter
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "cmb013MEN040F010_Enter", "ICD10コンボフォーカス取得時 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "ICD10コンボフォーカス取得時 Start")
'(M) END V4-11023-000 004 20110816
		Try
			'コンボ内容を保存
			pNowICD10_Text = cmb013MEN040F010.SelectedValue
			'インデックスを保存
			pNowICD10_Index = cmb013MEN040F010.SelectedIndex
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ICD10コンボ選択変更時処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb013MEN040F010_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmb013MEN040F010.SelectedIndexChanged
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "cmb013MEN040F010_SelectedIndexChanged", "ICD10コンボ選択変更時処理 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "ICD10コンボ選択変更時処理 Start")
'(M) END V4-11023-000 004 20110816
		Try
			'インデックスを保存
			'##S BT-41012-001 2011/10/06 FJSK)mana(障害対応:コンボ対応)
			'pNowICD10_Index = cmb013MEN040F010.SelectedIndex
			If pNowSerialNo = 0 Then Exit Sub
			If cmb013MEN040F010.SelectedRowValue Is Nothing Then Exit Sub
			If pNowICD10_Index <> cmb013MEN040F010.SelectedIndex Then setBunruiCode()
			'##E BT-41012-001
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ICD10コンボチェック後処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/02 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb013MEN040F010_Validated(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmb013MEN040F010.Validated
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "cmb013MEN040F010_Validated", "ICD10コンボチェック後処理 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "ICD10コンボチェック後処理 Start")
'(M) END V4-11023-000 004 20110816
		Try
			'##S BT-41012-001 2011/10/06 FJSK)mana(障害対応:コンボ対応)
			'If Me.ValidatedSkip AndAlso cmb013MEN040F010.ContainsFocus = False Then Exit Sub
			''分類コードセット処理
			'If pNowICD10_Text <> cmb013MEN040F010.SelectedValue Then setBunruiCode()
			'##E BT-41012-001

'(A) STR V4-12019-000 007 2012/02/16 FJSK)H.Y 病名・手術分類付番の正確化
			'ICD10を手入力した場合(FindStringExactで見つからなかった場合)、分類を付与する
			If Me.ValidatedSkip AndAlso cmb013MEN040F010.ContainsFocus = False Then Exit Sub
			If cmb013MEN040F010.FindStringExact(cmb013MEN040F010.Text) < 0 Then
				setBunruiCode2()
			End If
'(A) END V4-12019-000 007 2012/02/16 FJSK)H.Y 病名・手術分類付番の正確化
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ICD9コンボ選択変更時処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb015MEN040F010_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmb015MEN040F010.SelectedIndexChanged
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "cmb015MEN040F010_SelectedIndexChanged", "ICD9コンボ選択変更時処理 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "ICD9コンボ選択変更時処理 Start")
'(M) END V4-11023-000 004 20110816
		Try
			If pNowSerialNo = 0 Then Exit Sub
			If String.IsNullOrEmpty(cmb015MEN040F010.Text) Then Exit Sub
			If String.IsNullOrEmpty(cmb013MEN040F010.Text) Then
				txt016MEN040F010.Text = CType(cmb015MEN040F010.SelectedItem, DataRowView).Item(XSP.sqlComboCom.itmDISEASE_NM).ToString
			End If
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData), lDtTable As DataTable = New DataTable
				db.setSQLDa(sqlMEN040F010.sqlMTM_DISEASE9_M_GRP)
				db.setParamDa(sqlMEN040F010.prmM_GRP_CD, clsDB.Enum_dbType.dbNVarChar)
				db.setValDa(sqlMEN040F010.prmM_GRP_CD, Mid(cmb015MEN040F010.Text & Space(3), 1, 3))
				db.execQueryDa(lDtTable)
				If lDtTable.Rows.Count > 0 Then
					lbl074MEN040F010.Text = lDtTable.Rows(0).Item(sqlMEN040F010.itmL_GRP_CD).ToString
					lbl076MEN040F010.Text = lDtTable.Rows(0).Item(sqlMEN040F010.itmM_GRP_CD).ToString
				Else
					lbl074MEN040F010.Text = Nothing
					lbl076MEN040F010.Text = Nothing
				End If
			End Using
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ICD9コンボチェック後処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/02 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb015MEN040F010_Validated(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmb015MEN040F010.Validated
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "cmb015MEN040F010_Validated", "ICD9コンボチェック後処理 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "ICD9コンボチェック後処理 Start")
'(M) END V4-11023-000 004 20110816
		Try
			If Me.ValidatedSkip AndAlso cmb015MEN040F010.ContainsFocus = False Then Exit Sub
			If String.IsNullOrEmpty(cmb015MEN040F010.Text) Then
				If String.IsNullOrEmpty(cmb013MEN040F010.Text) Then
					txt016MEN040F010.Text = Nothing
				End If
				lbl074MEN040F010.Text = Nothing
				lbl076MEN040F010.Text = Nothing
			Else
				If Not String.IsNullOrEmpty(cmb013MEN040F010.Text) Then
					If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00081) = CStr(clsConst.Enum_ICD9Can.Use) Then
						showMsg("E0012", "ICD10コードが入力", Nothing)
					End If
					cliCom.setComboValue(cmb015MEN040F010, Nothing)
					lbl074MEN040F010.Text = Nothing
					lbl076MEN040F010.Text = Nothing
				End If
			End If
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ＩＣＤＯ－Ｍコンボドロップダウン開始時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/02 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb042MEN040F010_DropDown(sender As Object, e As System.EventArgs) Handles cmb042MEN040F010.DropDown
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "cmb042MEN040F010_DropDown", "ＩＣＤＯ－Ｍコンボドロップダウン開始時 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "ＩＣＤＯ－Ｍコンボドロップダウン開始時 Start")
'(M) END V4-11023-000 004 20110816
		Try
			'インデックスを保存
			pNowICDO_FORM_Index = cmb042MEN040F010.SelectedIndex
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ＩＣＤＯ－Ｍコンボドロップダウン終了時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/02 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb042MEN040F010_DropDownClosed(sender As Object, e As System.EventArgs) Handles cmb042MEN040F010.DropDownClosed
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "cmb042MEN040F010_DropDownClosed", "ＩＣＤＯ－Ｍコンボドロップダウン終了時 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "ＩＣＤＯ－Ｍコンボドロップダウン終了時 Start")
'(M) END V4-11023-000 004 20110816
		Try
			'組織形態セット処理
			If pNowICDO_FORM_Index <> cmb042MEN040F010.SelectedIndex Then setDiseaseForm()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ＩＣＤＯ－Ｍコンボフォーカス取得時処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb042MEN040F010_Enter(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmb042MEN040F010.Enter
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "cmb042MEN040F010_Enter", "ＩＣＤＯ－Ｍコンボフォーカス取得時処理 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "ＩＣＤＯ－Ｍコンボフォーカス取得時処理 Start")
'(M) END V4-11023-000 004 20110816
		Try
			'コンボ内容を保存
			pNowICDO_FORM_Text = cmb042MEN040F010.Text
			'インデックスを保存
			pNowICDO_FORM_Index = cmb042MEN040F010.SelectedIndex
			'空白時に組織形態コード接頭語を補完
			If Me.ExeMode = Enum_ExeMode.eEntry Then
				If String.IsNullOrEmpty(cmb042MEN040F010.Text) Then
					cliCom.setComboValue(cmb042MEN040F010, CONST_FORM_CD_PREFIX)
				End If
			End If
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ＩＣＤＯ－Ｍコンボフォーカス取得後処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb042MEN040F010_GotFocus(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmb042MEN040F010.GotFocus
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "cmb042MEN040F010_GotFocus", "ＩＣＤＯ－Ｍコンボフォーカス取得後処理 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "ＩＣＤＯ－Ｍコンボフォーカス取得後処理 Start")
'(M) END V4-11023-000 004 20110816
		Try
			'組織形態コード接頭語のみならカーソルを最後にセット
			If Me.ExeMode = Enum_ExeMode.eEntry Then
				With cmb042MEN040F010
					If .Text.Equals(CONST_FORM_CD_PREFIX) Then .Select(.Text.Length, 0)
				End With
			End If
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ＩＣＤＯ－Ｍコンボ選択変更時処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb042MEN040F010_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmb042MEN040F010.SelectedIndexChanged
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "cmb042MEN040F010_SelectedIndexChanged", "ＩＣＤＯ－Ｍコンボ選択変更時処理 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "ＩＣＤＯ－Ｍコンボ選択変更時処理 Start")
'(M) END V4-11023-000 004 20110816
		Try
			'インデックスを保存
			pNowICDO_FORM_Index = cmb042MEN040F010.SelectedIndex
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ＩＣＤＯ－Ｍコンボテキスト変更時処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/02 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb042MEN040F010_TextChanged(ByVal sender As System.Object, e As System.EventArgs) Handles cmb042MEN040F010.TextChanged
		log(clsSysMst.logLevel.DBG, "cmb042MEN040F010_TextChanged", "ＩＣＤＯ－Ｍコンボテキスト変更時 Start")
		Dim lNewText As String = String.Empty
		Try
			With CType(sender, BT_MultiComboBox)
				Select Case True
					Case Me.ExeMode = Enum_ExeMode.eReference
						'参照モードは除外
					Case pIcdoFormChFlg
						'フォーカスなしは除外
					Case String.IsNullOrEmpty(.Text)
'(D) STR V4-12025-000 005 2012/04/02 FJSK)H.Y ICD-O-M削除不可対応
'						'空白時に組織形態コード接頭語を補完
'						cliCom.setComboValue(sender, CONST_FORM_CD_PREFIX)
'						.Select(.Text.Length, 0)
'(D) END V4-12025-000 005 2012/04/02 FJSK)H.Y ICD-O-M削除不可対応
					Case .Text.Length >= CONST_FORM_CD_PREFIX.Length AndAlso .Text.Substring(0, CONST_FORM_CD_PREFIX.Length).Equals(CONST_FORM_CD_PREFIX)
						'組織形態コード接頭語があれば除外
					Case Else
						'先頭に組織形態コード接頭語を補完
						lNewText = CONST_FORM_CD_PREFIX & .Text
						If lNewText.Length > .MaxLength Then lNewText = lNewText.Substring(0, .MaxLength)
						cliCom.setComboValue(sender, lNewText)
						.Select(.Text.Length, 0)
				End Select
			End With
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			lNewText = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ＩＣＤＯ－Ｍコンボチェック後処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/02 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb042MEN040F010_Validated(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmb042MEN040F010.Validated
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "cmb042MEN040F010_Validated", "ＩＣＤＯ－Ｍコンボチェック後処理 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "ＩＣＤＯ－Ｍコンボチェック後処理 Start")
'(M) END V4-11023-000 004 20110816
		Try
			If Me.ValidatedSkip AndAlso cmb042MEN040F010.ContainsFocus = False Then Exit Sub
			'組織形態コード接頭語のみならクリア
			If Me.ExeMode = Enum_ExeMode.eEntry Then
				If cmb042MEN040F010.Text.Equals(CONST_FORM_CD_PREFIX) Then
					pIcdoFormChFlg = True
					cliCom.setComboValue(cmb042MEN040F010, Nothing)
				End If
			End If
			'組織形態セット処理
			If pNowICDO_FORM_Text <> cmb042MEN040F010.Text Then setDiseaseForm()
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			pIcdoFormChFlg = False
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' グリッドセルクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dgv001MEN040F010_CellMouseClick(ByVal sender As System.Object, ByVal e As System.Windows.Forms.DataGridViewCellMouseEventArgs) Handles dgv001MEN040F010.CellMouseClick
		log(clsSysMst.logLevel.NRM, "dgv001MEN040F010_CellMouseClick", "グリッドセルクリック Start")
		Try
			If e.RowIndex < 0 OrElse e.ColumnIndex < 0 Then Exit Sub
			selGridView()
			'フォーカス移動
'(M) STR V4-13014-000 004 20130213 ID)平井(区分のマウススクロールによる変更抑止)
'			cmb003MEN040F010.Focus()
			setInitialFocus()
'(M) END V4-13014-000 004 20130213
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' グリッドKeyDown処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dgv001MEN040F010_KeyDown(ByVal sender As System.Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles dgv001MEN040F010.KeyDown
		log(clsSysMst.logLevel.DBG, "dgv001MEN110F010_KeyDown", "救命救急グリッドKeyDown処理 Start")	'大量ログ出力の為、DBGに変更
		Dim lPageDisplayedCnt As Integer = dgv001MEN040F010.DisplayedRowCount(False)
		Dim lCurrentIndex As Integer = 0
		Try
			Select Case e.KeyCode
				Case Keys.Down
					If dgv001MEN040F010.RowCount = 0 Then Exit Sub
					If dgv001MEN040F010.RowCount - 1 <= dgv001MEN040F010.CurrentRow.Index Then Exit Sub
					GrdRowUpDownIndex(False)
					e.SuppressKeyPress = True
				Case Keys.Up
					If dgv001MEN040F010.RowCount = 0 Then Exit Sub
					If 0 >= dgv001MEN040F010.CurrentRow.Index Then Exit Sub
					GrdRowUpDownIndex(True)
					e.SuppressKeyPress = True
				Case Keys.PageUp
					If dgv001MEN040F010.RowCount = 0 Then Exit Sub
					lCurrentIndex = dgv001MEN040F010.FirstDisplayedScrollingRowIndex
					If Not setDataRow(srhSerialNo(pNowSerialNo, True), False) Then Exit Sub
					Select Case True
						Case 0 <= lCurrentIndex - (lPageDisplayedCnt)
							srhSerialNo(dgv001MEN040F010.Rows(lCurrentIndex - lPageDisplayedCnt).Cells(CONTROL_C01001MEN040F010).Value)
							dspDataRow()
						Case 0 > lCurrentIndex - (lPageDisplayedCnt)
							srhSerialNo(dgv001MEN040F010.Rows(0).Cells(CONTROL_C01001MEN040F010).Value)
							dspDataRow()
						Case Else
					End Select
					e.SuppressKeyPress = True
				Case Keys.PageDown
					If dgv001MEN040F010.RowCount = 0 Then Exit Sub
					lCurrentIndex = dgv001MEN040F010.CurrentCell.RowIndex
					If Not setDataRow(srhSerialNo(pNowSerialNo, True), False) Then Exit Sub
					Select Case True
						Case dgv001MEN040F010.Rows.Count - 1 >= lCurrentIndex + lPageDisplayedCnt
							srhSerialNo(dgv001MEN040F010.Rows(lCurrentIndex + lPageDisplayedCnt).Cells(CONTROL_C01001MEN040F010).Value, False, False)
							dspDataRow()
						Case dgv001MEN040F010.Rows.Count - 1 < lCurrentIndex + lPageDisplayedCnt
							srhSerialNo(dgv001MEN040F010.Rows(dgv001MEN040F010.Rows.Count - 1).Cells(CONTROL_C01001MEN040F010).Value, False, False)
							dspDataRow()
						Case Else
					End Select
					e.SuppressKeyPress = True
				Case Else
			End Select
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			lPageDisplayedCnt = Nothing
			lCurrentIndex = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ICD9ボタンクリック処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn014MEN040F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn014MEN040F010.Click
		log(clsSysMst.logLevel.NRM, "btn014MEN040F010_Click", "ICD9ボタンクリック処理 Start")
		Try
			cmb015MEN040F010.Focus()
			If String.IsNullOrEmpty(cmb013MEN040F010.Text) Then
				nextForm(New XSP.XSP230F010(CONST_XSP230F010, cmb015MEN040F010.Text))
			Else
				showMsg("E0012", "ICD10コードが入力", Nothing)
			End If
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ICD10ボタンクリック処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn012MEN040F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn012MEN040F010.Click
		log(clsSysMst.logLevel.NRM, "btn012MEN040F010_Click", "ICD10ボタンクリック処理 Start")
		Try
			'検索画面表示
			cmb013MEN040F010.Focus()
			nextForm(New XSP.XSP110F010(CONST_CMB013MEN040F010, cmb022MEN000F040.SelectedValue, Me.BasicInfoRec.GENDER_CD, cmb013MEN040F010.Text))
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 名称検索ボタンクリック処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn017MEN040F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn017MEN040F010.Click
		log(clsSysMst.logLevel.NRM, "btn017MEN040F010_Click", "名称検索ボタンクリック処理 Start")
		Try
			'検索画面表示
			cmb013MEN040F010.Focus()
			nextForm(New XSP.XSP110F010(CONST_CMB013MEN040F010, cmb022MEN000F040.SelectedValue, Me.BasicInfoRec.GENDER_CD, cmb013MEN040F010.Text, txt016MEN040F010.Text))
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ＩＣＤＯ－Ｍボタンクリック処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn041MEN040F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn041MEN040F010.Click
		log(clsSysMst.logLevel.NRM, "btn041MEN040F010_Click", "ＩＣＤＯ－Ｍボタンクリック処理 Start")
		Try
			'検索画面表示
			cmb042MEN040F010.Focus()
			nextForm(New XSP.XSP120F010(CONST_XSP120F010, cmb042MEN040F010.Text))
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 外因分類ボタンクリック処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn048MEN040F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn048MEN040F010.Click
		log(clsSysMst.logLevel.NRM, "btn048MEN040F010_Click", "外因分類ボタンクリック処理 Start")
		Try
			'検索画面表示
			cmb049MEN040F010.Focus()
			nextForm(New XSP.XSP130F010(CONST_XSP130F010, cmb049MEN040F010.Text))
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 修飾語ボタンクリック処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn029MEN040F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn029MEN040F010.Click
		log(clsSysMst.logLevel.NRM, "btn029MEN040F010_Click", "修飾語ボタンクリック処理 Start")
		Try
			If String.IsNullOrEmpty(cmb013MEN040F010.Text) AndAlso String.IsNullOrEmpty(cmb015MEN040F010.Text) = False Then
				showMsg("E0012", "ICD9コードが入力", Nothing)
				Exit Sub
			End If
'(M) STR V4-13014-000 008 20130213 ID)平井(区分のマウススクロールによる変更抑止)
'			cmb003MEN040F010.Focus()
			setInitialFocus()
'(M) END V4-13014-000 008 20130213
			nextForm(New XSP.XSP190F010(CONST_XSP190F010))
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 修飾語１ボタンクリック処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn030MEN040F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn030MEN040F010.Click
		log(clsSysMst.logLevel.NRM, "btn030MEN040F010_Click", "修飾語１ボタンクリック処理 Start")
		Try
			ApdDiseaseName(btn030MEN040F010.Text, pMdfrkey1)
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 修飾語２ボタンクリック処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn031MEN040F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn031MEN040F010.Click
		log(clsSysMst.logLevel.NRM, "btn030MEN040F010_Click", "修飾語２ボタンクリック処理 Start")
		Try
			ApdDiseaseName(btn031MEN040F010.Text, pMdfrkey2)
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 修飾語３ボタンクリック処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn032MEN040F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn032MEN040F010.Click
		log(clsSysMst.logLevel.NRM, "btn030MEN040F010_Click", "修飾語３ボタンクリック処理 Start")
		Try
			ApdDiseaseName(btn032MEN040F010.Text, pMdfrkey3)
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 修飾語４ボタンクリック処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn033MEN040F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn033MEN040F010.Click
		log(clsSysMst.logLevel.NRM, "btn030MEN040F010_Click", "修飾語４ボタンクリック処理 Start")
		Try
			ApdDiseaseName(btn033MEN040F010.Text, pMdfrkey4)
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 修飾語５ボタンクリック処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn034MEN040F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn034MEN040F010.Click
		log(clsSysMst.logLevel.NRM, "btn030MEN040F010_Click", "修飾語５ボタンクリック処理 Start")
		Try
			ApdDiseaseName(btn034MEN040F010.Text, pMdfrkey5)
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 修飾語６ボタンクリック処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn035MEN040F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn035MEN040F010.Click
		log(clsSysMst.logLevel.NRM, "btn030MEN040F010_Click", "修飾語６ボタンクリック処理 Start")
		Try
			ApdDiseaseName(btn035MEN040F010.Text, pMdfrkey6)
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 修飾語７ボタンクリック処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn036MEN040F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn036MEN040F010.Click
		log(clsSysMst.logLevel.NRM, "btn030MEN040F010_Click", "修飾語７ボタンクリック処理 Start")
		Try
			ApdDiseaseName(btn036MEN040F010.Text, pMdfrkey7)
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 修飾語８ボタンクリック処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn037MEN040F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn037MEN040F010.Click
		log(clsSysMst.logLevel.NRM, "btn030MEN040F010_Click", "修飾語８ボタンクリック処理 Start")
		Try
			ApdDiseaseName(btn037MEN040F010.Text, pMdfrkey8)
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 死因病名変更時処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub chk097MEN040F010_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chk097MEN040F010.CheckedChanged
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "chk097MEN040F010_CheckedChanged", "死因病名変更時処理 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "死因病名変更時処理 Start")
'(M) END V4-11023-000 004 20110816
		Try
			If pIcd10ChFlg Then Exit Sub
			If Not chk097MEN040F010.Checked Then Exit Sub
			chk098MEN040F010.Checked = Not chk097MEN040F010.Checked
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 死因外因変更時処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub chk098MEN040F010_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chk098MEN040F010.CheckedChanged
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "chk098MEN040F010_CheckedChanged", "死因外因変更時処理 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "死因外因変更時処理 Start")
'(M) END V4-11023-000 004 20110816
		Try
			If pIcd10ChFlg Then Exit Sub
			If Not chk098MEN040F010.Checked Then Exit Sub
			chk097MEN040F010.Checked = Not chk098MEN040F010.Checked
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 病名登録＿終了処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN040F010_FormClosing(ByVal sender As System.Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(clsSysMst.logLevel.NRM, "MEN040F010_FormClosing", "病名登録＿終了処理 Start")
		Try
			' 画面途中でエラーの場合は処理しない
			If Me.LoadError OrElse e.Cancel Then
				Exit Try
			End If
			If Me.ExeMode = Enum_ExeMode.eEntry Then
				' 前回値保存
				Me.SaveLastValue(LastValueCtl)
			End If
			' 終了時処理
			Me.ClosingProc()
		Catch ex As Exception
			e.Cancel = True		'エラー時は画面を閉じない
			ErrorProc(ex)
		Finally
			' 変数の解放は ClosedProc に記述する
			ClosedProc(e.Cancel)
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' コントロール名の設定
	''' </summary>
	''' <remarks>
	''' 2011/03/16 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setControlName()
		log(clsSysMst.logLevel.DBG, "setControlName", "コントロール名の設定 Start")
		Try
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.DISEASE_DIV) = cmb003MEN040F010.Name				'病名区分コード
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.HSP_CHANCE_DISEASE_FLG) = chk005MEN040F010.Name		'入院契機病名フラグ
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.DISEASE_MED_RES_FLG1) = chk007MEN040F010.Name		'医療資源投入病名フラグ１
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.DISEASE_MED_RES_FLG2) = chk008MEN040F010.Name		'医療資源投入病名フラグ２
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.HSP_DISEASE_FLG) = chk010MEN040F010.Name			'入院時併存症名フラグ
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.AFTER_HSP_DISEASE_FLG) = chk011MEN040F010.Name		'入院後発症疾患名フラグ
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.ICD10_CD) = cmb013MEN040F010.Name					'ＩＣＤ１０コード
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.ICD9_CD) = cmb015MEN040F010.Name					'ＩＣＤ９コード
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.DISEASE) = txt016MEN040F010.Name					'病名
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.DISEASE_OUTCOME_CD) = cmb019MEN040F010.Name			'病名転帰コード
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.PLURAL_GRP_CD) = txt022MEN040F010.Name				'複数分類コード
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.DIAGNOSIS_DT) = dte024MEN040F010.Name				'診断日
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.ONSET_DT) = dte026MEN040F010.Name					'発症日
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.END_DT) = dte028MEN040F010.Name						'終了日
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.ICDO_FORM_CD) = cmb042MEN040F010.Name				'ＩＣＤＯ１
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.ICDO_FORM_NM) = txt043MEN040F010.Name				'ＩＣＤＯ１形態名
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.ICDO_FORM_6DIGS_CD) = cmb044MEN040F010.Name			'ＩＣＤＯ１２
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.SPECIMEN_NO) = txt047MEN040F010.Name				'標本番号
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.CAUSE_GRP_CD) = cmb049MEN040F010.Name				'外因分類コード
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.CAUSE_GRP_NM) = txt050MEN040F010.Name				'外因分類名
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.CAUSE_4DIGS_CD) = cmb051MEN040F010.Name				'外因４桁目コード
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.CAUSE_4GRP_NM) = txt052MEN040F010.Name				'外因４桁細分類名
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.DEATH_DISEASE_FLG) = chk097MEN040F010.Name			'死因病名フラグ
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.DEATH_CAUSE_FLG) = chk098MEN040F010.Name			'死因外因フラグ
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.DIRECT_DEATH_DISEASE_FLG) = chk101MEN040F010.Name	'直接死因病名フラグ
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.REMARKS1) = txt104MEN040F010.Name					'備考１
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.REMARKS2) = txt106MEN040F010.Name					'備考２
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.CNR_REG_STATUS_CD) = cmb108MEN040F010.Name			'がん登録状況コード
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.CNR_REG_EXTRACT_DT) = dte111MEN040F010.Name			'がん登録抽出日
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 表示切替_参照処理
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub showReferenceMode()
		log(clsSysMst.logLevel.DBG, "showReferenceMode", "表示切替_参照処理 Start")
		Try
			btn004MEN000F010.Visible = False
			btn005MEN000F010.Visible = False
			pnl020MEN000F040.Visible = False
			btn011MEN000F010.Visible = False
			btn013MEN000F010.Visible = False
			btn008MEN000F010.Visible = False
			pnl019MEN000F040.Visible = False
			pnl020MEN000F040.Visible = False

			btn029MEN040F010.Visible = False
			btn030MEN040F010.Visible = False
			btn031MEN040F010.Visible = False
			btn032MEN040F010.Visible = False
			btn033MEN040F010.Visible = False
			btn034MEN040F010.Visible = False
			btn035MEN040F010.Visible = False
			btn036MEN040F010.Visible = False
			btn037MEN040F010.Visible = False
			btn017MEN040F010.Visible = False
			btn012MEN040F010.CanInput = False
			btn014MEN040F010.CanInput = False
			btn041MEN040F010.CanInput = False
			btn048MEN040F010.CanInput = False
			cmb003MEN040F010.CanInput = False
			cmb013MEN040F010.CanInput = False
			cmb015MEN040F010.CanInput = False
			cmb019MEN040F010.CanInput = False
			cmb042MEN040F010.CanInput = False
			cmb044MEN040F010.CanInput = False
			cmb049MEN040F010.CanInput = False
			cmb051MEN040F010.CanInput = False
			cmb108MEN040F010.CanInput = False
			dte024MEN040F010.CanInput = False
			dte026MEN040F010.CanInput = False
			dte028MEN040F010.CanInput = False
			dte111MEN040F010.CanInput = False
			txt022MEN040F010.CanInput = False
			txt016MEN040F010.CanInput = False
			txt043MEN040F010.CanInput = False
			txt047MEN040F010.CanInput = False
			txt050MEN040F010.CanInput = False
			txt052MEN040F010.CanInput = False
			txt104MEN040F010.CanInput = False
			txt106MEN040F010.CanInput = False
			chk005MEN040F010.CanInput = False
			chk007MEN040F010.CanInput = False
			chk008MEN040F010.CanInput = False
			chk010MEN040F010.CanInput = False
			chk011MEN040F010.CanInput = False
			chk097MEN040F010.CanInput = False
			chk098MEN040F010.CanInput = False
			chk101MEN040F010.CanInput = False
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 主病名を確認
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkMainDisease() As Boolean
		log(clsSysMst.logLevel.DBG, "chkMainDisease", "主病名を確認 Start")
		Dim lDtRow As DataRow = Nothing
		Try
			'主病名を確認
			For Each lDtRow In datMtiDisease.Rows
				If lDtRow.RowState = DataRowState.Deleted Then Continue For
				If lDtRow(sqlMENCOMMON.itmAddCol4NewRow).ToString = clsMENCOMMON.CONST_NEWROW Then Continue For
				If lDtRow.Item(sqlMTI_DISEASE.itmDISEASE_DIV_FIXED_CD).ToString = CStr(clsConst.Enum_Disease_Div_Fix1.MainDisease) Then
					Return True
				End If
			Next
			Return False
		Catch ex As Exception
			Throw
		Finally
			lDtRow = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 病名区分ディフォルト選択処理
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub selcmbKbn_DefIndex()
		log(clsSysMst.logLevel.DBG, "selcmbKbn_DefIndex", "病名区分ディフォルト選択処理 Start")
		Dim lMainDiseaseFlg As Boolean = False
		Dim lRetString As String = String.Empty
		Dim lDiv_Nm As String = String.Empty
		Dim lDiv_Rnm As String = String.Empty
		Dim lFixed_Cd As String = String.Empty
		Dim lDsporder As Nullable(Of Integer) = Nothing
		Try
			'主病名を確認
			lMainDiseaseFlg = chkMainDisease()
			'病名区分の選択
			If String.IsNullOrEmpty(cmb003MEN040F010.Text) Then
				If lMainDiseaseFlg = False Then
					cliMENCOMMON.selectCodeKbnDefIndex(cmb003MEN040F010.DataSource, 1, lRetString, lDiv_Nm, lDiv_Rnm, lFixed_Cd, lDsporder, clsMENCOMMON.Enum_ScrKind.eDisease)
				Else
					cliMENCOMMON.selectCodeKbnDefIndex(cmb003MEN040F010.DataSource, pNowSerialNo, lRetString, lDiv_Nm, lDiv_Rnm, lFixed_Cd, lDsporder, clsMENCOMMON.Enum_ScrKind.eDisease)
				End If
				cliCom.setComboValue(cmb003MEN040F010, lRetString)
			End If
		Catch ex As Exception
			Throw
		Finally
			lMainDiseaseFlg = Nothing
			lRetString = Nothing
			lDiv_Nm = Nothing
			lDiv_Rnm = Nothing
			lFixed_Cd = Nothing
			lDsporder = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 分類コードセット処理
	''' </summary>
	''' <remarks>
	''' 2010/12/10 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setBunruiCode()
		log(clsSysMst.logLevel.DBG, "setBunruiCode", "分類コードセット処理 Start")
		Dim lChk As Boolean = False	' 主病名フラグ
		Dim lWkString As String = String.Empty
		Dim lDtRow As DataRow = Nothing
		Dim lArList As ArrayList = Nothing
		Dim lDiseaseOneRec As datMTM_DISEASE_OneRec = Nothing
		Try
			If pNowSerialNo = 0 Then Exit Sub
			If pIcd10ChFlg Then Exit Sub
			lDtRow = cmb013MEN040F010.SelectedRowValue
			Select Case True
				Case lDtRow IsNot Nothing
					With lDtRow
						'複数分類コード
						txt022MEN040F010.Text = .Item(XSP.sqlComboCom.itmSelICD10Combo_ICD10_PLURAL_GRP_CD).ToString
						'院内病名コード
						lbl089MEN040F010.Text = .Item(XSP.sqlComboCom.itmSelICD10Combo_HSP_DISEASE_CD).ToString
						'病名分類ICD10大
						lbl057MEN040F010.Text = .Item(XSP.sqlComboCom.itmSelICD10Combo_L_GRP_CD).ToString
						'病名分類ICD10中
						lbl059MEN040F010.Text = .Item(XSP.sqlComboCom.itmSelICD10Combo_M_GRP_CD).ToString
						'病名分類ICD10小
						lbl061MEN040F010.Text = .Item(XSP.sqlComboCom.itmSelICD10Combo_S_GRP_CD).ToString
						'病名分類ICD10300
						lbl063MEN040F010.Text = .Item(XSP.sqlComboCom.itmSelICD10Combo_GRP300_CD).ToString
						'病名分類ICD10ａ
						lbl067MEN040F010.Text = .Item(XSP.sqlComboCom.itmSelICD10Combo_A_GRP_CD).ToString
						'病名分類ICD10ｂ
						lbl069MEN040F010.Text = .Item(XSP.sqlComboCom.itmSelICD10Combo_B_GRP_CD).ToString
						'病名分類ICD10ｃ
						lbl071MEN040F010.Text = .Item(XSP.sqlComboCom.itmSelICD10Combo_C_GRP_CD).ToString
						'死因分類
						lbl065MEN040F010.Text = .Item(XSP.sqlComboCom.itmSelICD10Combo_DEATH_GRP_CD).ToString
						'管理記号
						lbl091MEN040F010.Text = .Item(XSP.sqlComboCom.itmSelICD10Combo_MNG_DIV).ToString
						'管理番号
						lbl092MEN040F010.Text = .Item(XSP.sqlComboCom.itmSelICD10Combo_MNG_NO).ToString
						'病名表記
						If String.IsNullOrEmpty(txt016MEN040F010.Text) OrElse cmb022MEN000F040.SelectedValue = CStr(clsConst.Enum_OverWrite.OverWrite) Then
							txt016MEN040F010.Text = .Item(XSP.sqlComboCom.itmSelICD10Combo_DISEASE_NM).ToString
						End If
						'がん登録状況
						If (cmb003MEN040F010.SelectedRowValue IsNot Nothing AndAlso cmb003MEN040F010.SelectedRowValue.Item(XSP.sqlComboCom.itmFIXED_CD).ToString = CStr(clsConst.Enum_Disease_Div_Fix1.MainDisease)) Then lChk = True
						lWkString = Chg_StateEnterCancer(cmb013MEN040F010.Text, lChk)
						If Not String.IsNullOrEmpty(lWkString) Then
							cliCom.setComboValue(cmb108MEN040F010, lWkString)
						End If
					End With
				Case String.IsNullOrEmpty(cmb013MEN040F010.Text)
					txt022MEN040F010.Text = Nothing	'複数分類コード
					lbl089MEN040F010.Text = Nothing	'院内病名コード
					lbl057MEN040F010.Text = Nothing	'病名分類ICD10大
					lbl059MEN040F010.Text = Nothing	'病名分類ICD10中
					lbl061MEN040F010.Text = Nothing	'病名分類ICD10小
					lbl063MEN040F010.Text = Nothing	'病名分類ICD10300
					lbl067MEN040F010.Text = Nothing	'病名分類ICD10ａ
					lbl069MEN040F010.Text = Nothing	'病名分類ICD10ｂ
					lbl071MEN040F010.Text = Nothing	'病名分類ICD10ｃ
					lbl065MEN040F010.Text = Nothing	'死因分類
					lbl091MEN040F010.Text = Nothing	'管理記号
					lbl092MEN040F010.Text = Nothing	'管理番号
					'病名表記
					If cmb022MEN000F040.SelectedValue = CStr(clsConst.Enum_OverWrite.OverWrite) AndAlso String.IsNullOrEmpty(cmb015MEN040F010.Text) Then
						txt016MEN040F010.Text = Nothing
					End If
				Case Else
					Using cliDiseaseNm As clsMTM_DISEASE = New clsMTM_DISEASE
						lArList = cliDiseaseNm.getMTM_DISEASE_SAME_ICD10_CD(cmb013MEN040F010.Text)
					End Using
					Select Case True
						Case lArList IsNot Nothing
							lDiseaseOneRec = lArList(0)
							With lDiseaseOneRec
								'複数分類コード
								txt022MEN040F010.Text = .ICD10_PLURAL_GRP_CD
								'院内病名コード
								lbl089MEN040F010.Text = .HSP_DISEASE_CD
								'病名分類ICD10大
								lbl057MEN040F010.Text = .L_GRP_CD
								'病名分類ICD10中
								lbl059MEN040F010.Text = .M_GRP_CD
								'病名分類ICD10小
								lbl061MEN040F010.Text = .S_GRP_CD
								'病名分類ICD10300
								lbl063MEN040F010.Text = .GRP300_CD
								'病名分類ICD10ａ
								lbl067MEN040F010.Text = .A_GRP_CD
								'病名分類ICD10ｂ
								lbl069MEN040F010.Text = .B_GRP_CD
								'病名分類ICD10ｃ
								lbl071MEN040F010.Text = .C_GRP_CD
								'死因分類
								lbl065MEN040F010.Text = .DEATH_GRP_CD
								'管理記号
								lbl091MEN040F010.Text = .MNG_DIV
								'管理番号
								lbl092MEN040F010.Text = .MNG_NO
								'病名表記
								If String.IsNullOrEmpty(txt016MEN040F010.Text) OrElse cmb022MEN000F040.SelectedValue = CStr(clsConst.Enum_OverWrite.OverWrite) Then
									txt016MEN040F010.Text = .DISEASE_NM
								End If
								'がん登録状況
								If (cmb003MEN040F010.SelectedRowValue IsNot Nothing AndAlso cmb003MEN040F010.SelectedRowValue.Item(XSP.sqlComboCom.itmFIXED_CD).ToString = CStr(clsConst.Enum_Disease_Div_Fix1.MainDisease)) Then lChk = True
								lWkString = Chg_StateEnterCancer(cmb013MEN040F010.Text, lChk)
								If Not String.IsNullOrEmpty(lWkString) Then
									cliCom.setComboValue(cmb108MEN040F010, lWkString)
								End If
							End With
						Case Else
							txt022MEN040F010.Text = Nothing	'複数分類コード
							lbl089MEN040F010.Text = Nothing	'院内病名コード
							lbl091MEN040F010.Text = Nothing	'管理記号
							lbl092MEN040F010.Text = Nothing	'管理番号
							'病名表記
							If cmb022MEN000F040.SelectedValue = CStr(clsConst.Enum_OverWrite.OverWrite) AndAlso String.IsNullOrEmpty(cmb015MEN040F010.Text) Then
								txt016MEN040F010.Text = Nothing
							End If
							cliMENCOMMON.getICD10ToByomeiBunruCode(cmb013MEN040F010.Text, _
							   lbl061MEN040F010.Text, _
							   lbl057MEN040F010.Text, _
							   lbl059MEN040F010.Text, _
							   lbl063MEN040F010.Text, _
							   lbl067MEN040F010.Text, _
							   lbl069MEN040F010.Text, _
							   lbl071MEN040F010.Text, _
							   lbl065MEN040F010.Text)
					End Select
			End Select
			'コンボ内容を保存
			pNowICD10_Text = cmb013MEN040F010.SelectedValue
		Catch ex As Exception
			Throw
		Finally
			lChk = Nothing
			lWkString = Nothing
			lDtRow = Nothing
			lArList = Nothing
			lDiseaseOneRec = Nothing
		End Try
	End Sub

'(A) STR V4-12019-000 117 2012/02/16 FJSK)H.Y 病名・手術分類付番の正確化
	''' ---------------------------------------------
	''' <summary>
	''' 分類コードセット処理(ICD10コードを元に分類を設定する)
	''' </summary>
	''' <remarks>
	''' 2012/02/16 新規作成　FJSK)柳原<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setBunruiCode2()
		log(clsSysMst.logLevel.DBG, "setBunruiCode2", "分類コードセット処理 Start")
		Dim lChk As Boolean = False	' 主病名フラグ
		Dim lWkString As String = String.Empty
		Dim lArList As ArrayList = Nothing
		Dim lDiseaseOneRec As datMTM_DISEASE_OneRec = Nothing
		Try
			If pNowSerialNo = 0 Then Exit Sub
			If pIcd10ChFlg Then Exit Sub
			Select Case True
				Case String.IsNullOrEmpty(cmb013MEN040F010.Text)
					'ICD10未入力の場合、分類はクリアする
					txt022MEN040F010.Text = Nothing	'複数分類コード
					lbl089MEN040F010.Text = Nothing	'院内病名コード
					lbl057MEN040F010.Text = Nothing	'病名分類ICD10大
					lbl059MEN040F010.Text = Nothing	'病名分類ICD10中
					lbl061MEN040F010.Text = Nothing	'病名分類ICD10小
					lbl063MEN040F010.Text = Nothing	'病名分類ICD10300
					lbl067MEN040F010.Text = Nothing	'病名分類ICD10ａ
					lbl069MEN040F010.Text = Nothing	'病名分類ICD10ｂ
					lbl071MEN040F010.Text = Nothing	'病名分類ICD10ｃ
					lbl065MEN040F010.Text = Nothing	'死因分類
					lbl091MEN040F010.Text = Nothing	'管理記号
					lbl092MEN040F010.Text = Nothing	'管理番号
					'病名表記
					If cmb022MEN000F040.SelectedValue = CStr(clsConst.Enum_OverWrite.OverWrite) AndAlso String.IsNullOrEmpty(cmb015MEN040F010.Text) Then
						txt016MEN040F010.Text = Nothing
					End If
				Case Else
					Using cliDiseaseNm As clsMTM_DISEASE = New clsMTM_DISEASE
						lArList = cliDiseaseNm.getMTM_DISEASE_SAME_ICD10_CD(cmb013MEN040F010.Text)
					End Using
					Select Case True
						Case lArList IsNot Nothing
							'入力されたICD10がマスタにヒットした場合、分類をセットする
							lDiseaseOneRec = lArList(0)
							With lDiseaseOneRec
								'複数分類コード
								txt022MEN040F010.Text = .ICD10_PLURAL_GRP_CD
								'院内病名コード
								lbl089MEN040F010.Text = .HSP_DISEASE_CD
								'病名分類ICD10大
								lbl057MEN040F010.Text = .L_GRP_CD
								'病名分類ICD10中
								lbl059MEN040F010.Text = .M_GRP_CD
								'病名分類ICD10小
								lbl061MEN040F010.Text = .S_GRP_CD
								'病名分類ICD10300
								lbl063MEN040F010.Text = .GRP300_CD
								'病名分類ICD10ａ
								lbl067MEN040F010.Text = .A_GRP_CD
								'病名分類ICD10ｂ
								lbl069MEN040F010.Text = .B_GRP_CD
								'病名分類ICD10ｃ
								lbl071MEN040F010.Text = .C_GRP_CD
								'死因分類
								lbl065MEN040F010.Text = .DEATH_GRP_CD
								'管理記号
								lbl091MEN040F010.Text = .MNG_DIV
								'管理番号
								lbl092MEN040F010.Text = .MNG_NO
								'病名表記
								If String.IsNullOrEmpty(txt016MEN040F010.Text) OrElse cmb022MEN000F040.SelectedValue = CStr(clsConst.Enum_OverWrite.OverWrite) Then
									txt016MEN040F010.Text = .DISEASE_NM
								End If
								'がん登録状況
								If (cmb003MEN040F010.SelectedRowValue IsNot Nothing AndAlso cmb003MEN040F010.SelectedRowValue.Item(XSP.sqlComboCom.itmFIXED_CD).ToString = CStr(clsConst.Enum_Disease_Div_Fix1.MainDisease)) Then lChk = True
								lWkString = Chg_StateEnterCancer(cmb013MEN040F010.Text, lChk)
								If Not String.IsNullOrEmpty(lWkString) Then
									cliCom.setComboValue(cmb108MEN040F010, lWkString)
								End If
							End With
						Case Else
							'入力されたICD10がマスタにヒットしない場合、入力値から分類をセットする
							txt022MEN040F010.Text = Nothing	'複数分類コード
							lbl089MEN040F010.Text = Nothing	'院内病名コード
							lbl091MEN040F010.Text = Nothing	'管理記号
							lbl092MEN040F010.Text = Nothing	'管理番号
							'病名表記
							If cmb022MEN000F040.SelectedValue = CStr(clsConst.Enum_OverWrite.OverWrite) AndAlso String.IsNullOrEmpty(cmb015MEN040F010.Text) Then
								txt016MEN040F010.Text = Nothing
							End If
							cliMENCOMMON.getICD10ToByomeiBunruCode(cmb013MEN040F010.Text, _
							   lbl061MEN040F010.Text, _
							   lbl057MEN040F010.Text, _
							   lbl059MEN040F010.Text, _
							   lbl063MEN040F010.Text, _
							   lbl067MEN040F010.Text, _
							   lbl069MEN040F010.Text, _
							   lbl071MEN040F010.Text, _
							   lbl065MEN040F010.Text)
							'がん登録状況
							If (cmb003MEN040F010.SelectedRowValue IsNot Nothing AndAlso cmb003MEN040F010.SelectedRowValue.Item(XSP.sqlComboCom.itmFIXED_CD).ToString = CStr(clsConst.Enum_Disease_Div_Fix1.MainDisease)) Then lChk = True
							lWkString = Chg_StateEnterCancer(cmb013MEN040F010.Text, lChk)
							If Not String.IsNullOrEmpty(lWkString) Then
								cliCom.setComboValue(cmb108MEN040F010, lWkString)
							End If
					End Select
			End Select
			'コンボ内容を保存
			pNowICD10_Text = cmb013MEN040F010.SelectedValue
		Catch ex As Exception
			Throw
		Finally
			lChk = Nothing
			lWkString = Nothing
			lArList = Nothing
			lDiseaseOneRec = Nothing
		End Try
	End Sub
'(A) END V4-12019-000 117 2012/02/16 FJSK)H.Y 病名・手術分類付番の正確化

	''' ---------------------------------------------
	''' <summary>
	''' 組織形態セット処理
	''' </summary>
	''' <remarks>
	''' 2010/12/10 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setDiseaseForm()
		log(clsSysMst.logLevel.DBG, "setDiseaseForm", "組織形態セット処理 Start")
		Dim lDtRow As DataRow = Nothing
		Try
			If pNowSerialNo = 0 Then Exit Sub
			lDtRow = cmb042MEN040F010.SelectedRowValue
			Select Case True
				Case lDtRow IsNot Nothing
					With lDtRow
						'ＩＣＤＯ１形態名
						If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00044) = CStr(Enum_Morphology.English) Then
							'形態名＝英語
							txt043MEN040F010.Text = .Item(XSP.sqlComboCom.itmFORM_ENGLISHNM).ToString
						Else
							'形態名＝日本語
							txt043MEN040F010.Text = .Item(XSP.sqlComboCom.itmFORM_NM).ToString
						End If
						'ＩＣＤＯ１２
						cliCom.setComboValue(cmb044MEN040F010, String.Empty)
						'管理記号
						lbl094MEN040F010.Text = .Item(XSP.sqlComboCom.itmMNG_DIV).ToString
						'管理番号
						lbl095MEN040F010.Text = .Item(XSP.sqlComboCom.itmMNG_NO).ToString
					End With
				Case Else
					txt043MEN040F010.Text = Nothing							'ＩＣＤＯ１形態名
					cliCom.setComboValue(cmb044MEN040F010, String.Empty)	'ＩＣＤＯ１２
					lbl094MEN040F010.Text = Nothing							'管理記号
					lbl095MEN040F010.Text = Nothing							'管理番号
			End Select
			'コンボ内容を保存
			pNowICDO_FORM_Text = cmb042MEN040F010.Text
		Catch ex As Exception
			Throw
		Finally
			lDtRow = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 連番を探しカレントにする
	''' </summary>
	''' <param name="aSerialNo">シリアル番号</param>
	''' <param name="aMvFlg">移動可否</param>
	''' <param name="aDisplayScroll">スクロール可否</param>
	''' <returns>行番号</returns>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function srhSerialNo(ByVal aSerialNo As Integer, Optional ByVal aMvFlg As Boolean = False, Optional ByVal aDisplayScroll As Boolean = True) As Integer
		log(clsSysMst.logLevel.DBG, "srhSerialNo", "連番を探しカレントにする Start")
		Dim lRetIndex As Integer = -1
		Dim lcnt As Integer = 0
		Try
			For lcnt = 0 To dgv001MEN040F010.Rows.Count - 1
				If dgv001MEN040F010.Rows(lcnt).Cells(CONTROL_C01001MEN040F010).Value = aSerialNo Then
					If Not aMvFlg Then
						dgv001MEN040F010.Rows(lcnt).Selected = True
						dgv001MEN040F010.Rows(lcnt).Cells(1).Selected = True
						If aDisplayScroll Then
							dgv001MEN040F010.FirstDisplayedScrollingRowIndex = lcnt
						End If
						dgv001MEN040F010.Refresh()
					End If
					lRetIndex = lcnt
					Exit For
				End If
			Next
		Catch ex As Exception
			Throw
		Finally
			lcnt = Nothing
		End Try
		Return lRetIndex
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 新規レコード追加処理
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub AddNewRow(Optional ByVal aDiseaseOneRec As datMTM_DISEASE_OneRec = Nothing, Optional ByRef aAddSeq As Integer = 0)
		log(clsSysMst.logLevel.DBG, "AddNewRow", "新規レコード追加処理 Start")
		Dim wGridViewRow As DataGridViewRow = Nothing
		Dim wDataRowView As DataRowView = Nothing
		Dim wRow As DataRow = Nothing
		Dim lMainDiseaseFlg As Boolean = False
		Dim lSerialNo As Integer = Nothing
		Dim lRowIndex As Integer = Nothing
		Dim lRetString As String = String.Empty
		Dim lDiv_Nm As String = String.Empty
		Dim lDiv_Rnm As String = String.Empty
		Dim lFixed_Cd As String = String.Empty
		Dim lDsporder As Nullable(Of Integer) = Nothing
		Dim lChk As Boolean = False		' 主病名フラグ
		Dim lCnrRegStatusCd As String = String.Empty
		Dim lCnrRegStatusNm As String = String.Empty
		Dim lCnrRegStatusRnm As String = String.Empty
		Dim lCnrRegStatusFixedCd As String = String.Empty
		Try
			'主病名を確認
			lMainDiseaseFlg = chkMainDisease()
			' 既存の最大連番を取得する
			If dgv001MEN040F010.Rows.Count = 0 Then
				lSerialNo = 0
			Else
				lSerialNo = dgv001MEN040F010.Rows(dgv001MEN040F010.Rows.Count - 1).Cells(CONTROL_C01001MEN040F010).Value
			End If
			' 最大連番の選択行を取得する
			lRowIndex = srhSerialNo(lSerialNo, True)
			If lRowIndex < 0 Then
				' 選択行なしは新規追加
				wRow = datMtiDisease.NewRow
				lSerialNo = lSerialNo + 1
			Else
				' 選択行レコード取得
				wGridViewRow = dgv001MEN040F010.Rows(lRowIndex)
				wDataRowView = CType(wGridViewRow.DataBoundItem, DataRowView)
				wRow = CType(wDataRowView.Row, DataRow)
				If wRow(sqlMENCOMMON.itmAddCol4NewRow).ToString <> clsMENCOMMON.CONST_NEWROW Then
					' 選択行が新規行以外は新規追加
					lRowIndex = -1
					wRow = datMtiDisease.NewRow
					lSerialNo = lSerialNo + 1
				Else
					' 選択行が新規行のときは更新開始
					wRow.BeginEdit()
				End If
			End If
			wRow(sqlMTI_DISEASE.itmDISEASE_SERIAL_NO) = lSerialNo
			If aDiseaseOneRec IsNot Nothing Then
				'患者番号
				wRow(sqlMTI_DISEASE.itmPATIENT_NO) = Me.PatientNo
				'入退院歴番号
				wRow(sqlMTI_DISEASE.itmHSP_HISTORY_NO) = Me.HspHistoryNo
				'科歴番号
				wRow(sqlMTI_DISEASE.itmCH_NO) = Me.ChNo
				'ＩＣＤ１０コード
				wRow(sqlMTI_DISEASE.itmICD10_CD) = aDiseaseOneRec.ICD10_CD
				'病名区分
				If lMainDiseaseFlg = False Then
					cliMENCOMMON.selectCodeKbnDefIndex(cmb003MEN040F010.DataSource, 1, lRetString, lDiv_Nm, lDiv_Rnm, lFixed_Cd, lDsporder, clsMENCOMMON.Enum_ScrKind.eDisease)
				Else
					cliMENCOMMON.selectCodeKbnDefIndex(cmb003MEN040F010.DataSource, lSerialNo, lRetString, lDiv_Nm, lDiv_Rnm, lFixed_Cd, lDsporder, clsMENCOMMON.Enum_ScrKind.eDisease)
				End If
				wRow(sqlMTI_DISEASE.itmDISEASE_DIV_NM) = lDiv_Nm
				wRow(sqlMTI_DISEASE.itmDISEASE_DIV_RNM) = lDiv_Rnm
				wRow(sqlMTI_DISEASE.itmDISEASE_DIV_FIXED_CD) = lFixed_Cd
				wRow(sqlMTI_DISEASE.itmDISEASE_DIV_DSPORDER) = If(lDsporder.HasValue, lDsporder.Value, DBNull.Value)
				wRow(sqlMTI_DISEASE.itmDISEASE_DIV) = lRetString
				If lFixed_Cd = CStr(clsConst.Enum_Disease_Div_Fix1.MainDisease) Then lChk = True
				'病名
				wRow(sqlMTI_DISEASE.itmDISEASE) = aDiseaseOneRec.DISEASE_NM
				'複数分類コード
				wRow(sqlMTI_DISEASE.itmPLURAL_GRP_CD) = aDiseaseOneRec.ICD10_PLURAL_GRP_CD
				'院内病名コード
				wRow(sqlMTI_DISEASE.itmHSP_DISEASE_CD) = aDiseaseOneRec.HSP_DISEASE_CD
				'大分類コード
				wRow(sqlMTI_DISEASE.itmL_GRP_CD) = aDiseaseOneRec.L_GRP_CD
				'中分類コード
				wRow(sqlMTI_DISEASE.itmM_GRP_CD) = aDiseaseOneRec.M_GRP_CD
				'小分類コード
				wRow(sqlMTI_DISEASE.itmS_GRP_CD) = aDiseaseOneRec.S_GRP_CD
				'３００分類コード
				wRow(sqlMTI_DISEASE.itmGRP300_CD) = aDiseaseOneRec.GRP300_CD
				'ａ分類コード
				wRow(sqlMTI_DISEASE.itmA_GRP_CD) = aDiseaseOneRec.A_GRP_CD
				'ｂ分類コード
				wRow(sqlMTI_DISEASE.itmB_GRP_CD) = aDiseaseOneRec.B_GRP_CD
				'ｃ分類コード
				wRow(sqlMTI_DISEASE.itmC_GRP_CD) = aDiseaseOneRec.C_GRP_CD
				'死因分類コード
				wRow(sqlMTI_DISEASE.itmDEATH_GRP_CD) = aDiseaseOneRec.DEATH_GRP_CD
				'管理記号
				wRow(sqlMTI_DISEASE.itmDISEASE_MNG_DIV) = aDiseaseOneRec.MNG_DIV
				'管理番号
				wRow(sqlMTI_DISEASE.itmDISEASE_MNG_NO) = aDiseaseOneRec.MNG_NO
				'入院契機病名フラグ
				wRow(sqlMTI_DISEASE.itmHSP_CHANCE_DISEASE_FLG) = clsConst.Enum_CheckBox_Flg.CheckOff
				wRow(sqlMTI_DISEASE.itmHSP_CHANCE_DISEASE_FLG_DSP) = pCHECKBOX_FALSE
				'医療資源投入病名フラグ１
				wRow(sqlMTI_DISEASE.itmDISEASE_MED_RES_FLG1) = clsConst.Enum_CheckBox_Flg.CheckOff
				wRow(sqlMTI_DISEASE.itmDISEASE_MED_RES_FLG1_DSP) = pCHECKBOX_FALSE
				'医療資源投入病名フラグ２
				wRow(sqlMTI_DISEASE.itmDISEASE_MED_RES_FLG2) = clsConst.Enum_CheckBox_Flg.CheckOff
				wRow(sqlMTI_DISEASE.itmDISEASE_MED_RES_FLG2_DSP) = pCHECKBOX_FALSE
				'死因病名フラグ
				wRow(sqlMTI_DISEASE.itmDEATH_DISEASE_FLG) = clsConst.Enum_CheckBox_Flg.CheckOff
				wRow(sqlMTI_DISEASE.itmDEATH_DISEASE_FLG_DSP) = pCHECKBOX_FALSE
				'死因外因フラグ
				wRow(sqlMTI_DISEASE.itmDEATH_CAUSE_FLG) = clsConst.Enum_CheckBox_Flg.CheckOff
				wRow(sqlMTI_DISEASE.itmDEATH_CAUSE_FLG_DSP) = pCHECKBOX_FALSE
				'入院時併存症名フラグ
				wRow(sqlMTI_DISEASE.itmHSP_DISEASE_FLG) = clsConst.Enum_CheckBox_Flg.CheckOff
				wRow(sqlMTI_DISEASE.itmHSP_DISEASE_FLG_DSP) = pCHECKBOX_FALSE
				'入院後発症疾患名フラグ
				wRow(sqlMTI_DISEASE.itmAFTER_HSP_DISEASE_FLG) = clsConst.Enum_CheckBox_Flg.CheckOff
				wRow(sqlMTI_DISEASE.itmAFTER_HSP_DISEASE_FLG_DSP) = pCHECKBOX_FALSE
				'直接死因病名フラグ
				wRow(sqlMTI_DISEASE.itmDIRECT_DEATH_DISEASE_FLG) = clsConst.Enum_CheckBox_Flg.CheckOff
				wRow(sqlMTI_DISEASE.itmDIRECT_DEATH_DISEASE_FLG_DSP) = pCHECKBOX_FALSE
				'直接死因外因フラグ
				wRow(sqlMTI_DISEASE.itmDIRECT_DEATH_CAUSE_FLG_V3) = clsConst.Enum_CheckBox_Flg.CheckOff
				wRow(sqlMTI_DISEASE.itmDIRECT_DEATH_CAUSE_FLG_V3_DSP) = pCHECKBOX_FALSE
				'新規登録日
				wRow(sqlMTI_DISEASE.itmNEW_REG_DT) = Now
				'最終更新日
				wRow(sqlMTI_DISEASE.itmLASTUPD_DT) = Now
				'更新ユーザＩＤ
				wRow(sqlMTI_DISEASE.itmLASTUPDUSER_CD) = clsSysMst.getLoginId
				'がん登録状況コード
				lCnrRegStatusCd = Chg_StateEnterCancer(aDiseaseOneRec.ICD10_CD, lChk)
				getCnrRegStatusNm(lCnrRegStatusCd, lCnrRegStatusNm, lCnrRegStatusRnm, lCnrRegStatusFixedCd)
				wRow(sqlMTI_DISEASE.itmCNR_REG_STATUS_CD) = lCnrRegStatusCd
				wRow(sqlMTI_DISEASE.itmCNR_REG_STATUS_NM) = lCnrRegStatusNm
				wRow(sqlMTI_DISEASE.itmCNR_REG_STATUS_RNM) = lCnrRegStatusRnm
				wRow(sqlMTI_DISEASE.itmCNR_REG_STATUS_FIXED_CD) = lCnrRegStatusFixedCd
				'追加行
				aAddSeq += 1
				wRow(sqlMENCOMMON.itmAddCol4NewRow) = clsMENCOMMON.CONST_ADDROW
				wRow(sqlMENCOMMON.itmAddCol4RowSeq) = aAddSeq
			Else
				'新規行
				wRow(sqlMENCOMMON.itmAddCol4NewRow) = clsMENCOMMON.CONST_NEWROW
			End If
			If lRowIndex < 0 Then
				'追加
				datMtiDisease.Rows.Add(wRow)
			Else
				'更新終了
				wRow.EndEdit()
			End If
			cliMENCOMMON.dspUpDownButtonFace(dgv001MEN040F010, Me)
			' 新規選択
			pNowSerialNo = lSerialNo
			srhSerialNo(pNowSerialNo)
		Catch ex As Exception
			Throw
		Finally
			wGridViewRow = Nothing
			wDataRowView = Nothing
			wRow = Nothing
			lMainDiseaseFlg = Nothing
			lSerialNo = Nothing
			lRowIndex = Nothing
			lRetString = Nothing
			lDiv_Nm = Nothing
			lDiv_Rnm = Nothing
			lFixed_Cd = Nothing
			lDsporder = Nothing
			lChk = Nothing
			lCnrRegStatusCd = Nothing
			lCnrRegStatusNm = Nothing
			lCnrRegStatusRnm = Nothing
			lCnrRegStatusFixedCd = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 過去データ追加処理
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub AddDiseaseOneRec(ByVal aOneRec As datMTI_DISEASE_PLUS_OneRec, ByRef aAddSeq As Integer)
		log(clsSysMst.logLevel.DBG, "AddDiseaseOneRec", "過去データ追加処理 Start")
		Dim wGridViewRow As DataGridViewRow = Nothing
		Dim wDataRowView As DataRowView = Nothing
		Dim wRow As DataRow = Nothing
		Dim lSerialNo As Integer = Nothing
		Dim lRowIndex As Integer = Nothing
		Dim lMainDiseaseFlg As Boolean = False
		Dim lNextInitDisplayString As String = String.Empty
		Dim lDiv_Nm As String = String.Empty
		Dim lDiv_Rnm As String = String.Empty
		Dim lFixed_Cd As String = String.Empty
		Dim lDsporder As Nullable(Of Integer) = Nothing
		Dim lChk As Boolean = False		' 主病名フラグ
		Dim lCnrRegStatusCd As String = String.Empty
		Dim lCnrRegStatusNm As String = String.Empty
		Dim lCnrRegStatusRnm As String = String.Empty
		Dim lCnrRegStatusFixedCd As String = String.Empty
		Try
			'主病名を確認
			lMainDiseaseFlg = chkMainDisease()
			'病名区分の２件目以降のデフォルト値を取得
			cliMENCOMMON.selectCodeKbnDefIndex(cmb003MEN040F010.DataSource, 2, lNextInitDisplayString, lDiv_Nm, lDiv_Rnm, lFixed_Cd, lDsporder, clsMENCOMMON.Enum_ScrKind.eDisease)
			' 既存の最大連番を取得する
			If dgv001MEN040F010.Rows.Count = 0 Then
				lSerialNo = 0
			Else
				lSerialNo = dgv001MEN040F010.Rows(dgv001MEN040F010.Rows.Count - 1).Cells(CONTROL_C01001MEN040F010).Value
			End If
			' 最大連番の選択行を取得する
			lRowIndex = srhSerialNo(lSerialNo, True)
			If lRowIndex < 0 Then
				' 選択行なしは新規追加
				wRow = datMtiDisease.NewRow
				lSerialNo = lSerialNo + 1
			Else
				' 選択行レコード取得
				wGridViewRow = dgv001MEN040F010.Rows(lRowIndex)
				wDataRowView = CType(wGridViewRow.DataBoundItem, DataRowView)
				wRow = CType(wDataRowView.Row, DataRow)
				If wRow(sqlMENCOMMON.itmAddCol4NewRow).ToString <> clsMENCOMMON.CONST_NEWROW Then
					' 選択行が新規行以外は新規追加
					lRowIndex = -1
					wRow = datMtiDisease.NewRow
					lSerialNo = lSerialNo + 1
				Else
					' 選択行が新規行のときは更新開始
					wRow.BeginEdit()
				End If
			End If
			wRow(sqlMTI_DISEASE.itmDISEASE_SERIAL_NO) = lSerialNo
			'病名区分コード
			If lMainDiseaseFlg AndAlso aOneRec.DISEASE_DIV_FIXED_CD = CStr(clsConst.Enum_Disease_Div_Fix1.MainDisease) Then
				'主病名がすでに存在する場合、２件目以降のデフォルト値を設定
				wRow(sqlMTI_DISEASE.itmDISEASE_DIV_NM) = lDiv_Nm
				wRow(sqlMTI_DISEASE.itmDISEASE_DIV_RNM) = lDiv_Rnm
				wRow(sqlMTI_DISEASE.itmDISEASE_DIV_FIXED_CD) = lFixed_Cd
				wRow(sqlMTI_DISEASE.itmDISEASE_DIV_DSPORDER) = If(lDsporder.HasValue, lDsporder.Value, DBNull.Value)
				wRow(sqlMTI_DISEASE.itmDISEASE_DIV) = lNextInitDisplayString
			Else
				wRow(sqlMTI_DISEASE.itmDISEASE_DIV_NM) = aOneRec.DISEASE_DIV_NM
				wRow(sqlMTI_DISEASE.itmDISEASE_DIV_RNM) = aOneRec.DISEASE_DIV_RNM
				wRow(sqlMTI_DISEASE.itmDISEASE_DIV_FIXED_CD) = aOneRec.DISEASE_DIV_FIXED_CD
				wRow(sqlMTI_DISEASE.itmDISEASE_DIV_DSPORDER) = If(aOneRec.DISEASE_DIV_DSPORDER.HasValue, aOneRec.DISEASE_DIV_DSPORDER.Value, DBNull.Value)
				wRow(sqlMTI_DISEASE.itmDISEASE_DIV) = aOneRec.DISEASE_DIV
				If aOneRec.DISEASE_DIV_FIXED_CD = CStr(clsConst.Enum_Disease_Div_Fix1.MainDisease) Then lChk = True
			End If
			'患者番号
			wRow(sqlMTI_DISEASE.itmPATIENT_NO) = Me.PatientNo
			'入退院歴番号
			wRow(sqlMTI_DISEASE.itmHSP_HISTORY_NO) = Me.HspHistoryNo
			'科歴番号
			wRow(sqlMTI_DISEASE.itmCH_NO) = Me.ChNo
			'入院契機病名フラグ
			wRow(sqlMTI_DISEASE.itmHSP_CHANCE_DISEASE_FLG) = clsConst.Enum_CheckBox_Flg.CheckOff
			wRow(sqlMTI_DISEASE.itmHSP_CHANCE_DISEASE_FLG_DSP) = pCHECKBOX_FALSE
			'医療資源投入病名フラグ１
			wRow(sqlMTI_DISEASE.itmDISEASE_MED_RES_FLG1) = clsConst.Enum_CheckBox_Flg.CheckOff
			wRow(sqlMTI_DISEASE.itmDISEASE_MED_RES_FLG1_DSP) = pCHECKBOX_FALSE
			'医療資源投入病名フラグ２
			wRow(sqlMTI_DISEASE.itmDISEASE_MED_RES_FLG2) = clsConst.Enum_CheckBox_Flg.CheckOff
			wRow(sqlMTI_DISEASE.itmDISEASE_MED_RES_FLG2_DSP) = pCHECKBOX_FALSE
			'死因病名フラグ
			wRow(sqlMTI_DISEASE.itmDEATH_DISEASE_FLG) = clsConst.Enum_CheckBox_Flg.CheckOff
			wRow(sqlMTI_DISEASE.itmDEATH_DISEASE_FLG_DSP) = pCHECKBOX_FALSE
			'病名
			wRow(sqlMTI_DISEASE.itmDISEASE) = aOneRec.DISEASE
			'診断日
			wRow(sqlMTI_DISEASE.itmDIAGNOSIS_DT) = aOneRec.DIAGNOSIS_DT
			'発症日
			wRow(sqlMTI_DISEASE.itmONSET_DT) = aOneRec.ONSET_DT
			'ＩＣＤ１０コード
			wRow(sqlMTI_DISEASE.itmICD10_CD) = aOneRec.ICD10_CD
			'複数分類コード
			wRow(sqlMTI_DISEASE.itmPLURAL_GRP_CD) = aOneRec.PLURAL_GRP_CD
			'備考１
			wRow(sqlMTI_DISEASE.itmREMARKS1) = aOneRec.REMARKS1
			'備考２
			wRow(sqlMTI_DISEASE.itmREMARKS2) = aOneRec.REMARKS2
			'院内病名コード
			wRow(sqlMTI_DISEASE.itmHSP_DISEASE_CD) = aOneRec.HSP_DISEASE_CD
			'ＩＣＤ９コード
			wRow(sqlMTI_DISEASE.itmICD9_CD) = aOneRec.ICD9_CD
			'外因分類コード
			wRow(sqlMTI_DISEASE.itmCAUSE_GRP_CD) = aOneRec.CAUSE_GRP_CD
			'死因外因フラグ
			wRow(sqlMTI_DISEASE.itmDEATH_CAUSE_FLG) = clsConst.Enum_CheckBox_Flg.CheckOff
			wRow(sqlMTI_DISEASE.itmDEATH_CAUSE_FLG_DSP) = pCHECKBOX_FALSE
			'ＩＣＤＯ１
			wRow(sqlMTI_DISEASE.itmICDO_FORM_CD) = aOneRec.ICDO_FORM_CD
			'ＩＣＤＯ１２
			wRow(sqlMTI_DISEASE.itmICDO_FORM_6DIGS_CD) = aOneRec.ICDO_FORM_6DIGS_CD
			'大分類コード
			wRow(sqlMTI_DISEASE.itmL_GRP_CD) = aOneRec.L_GRP_CD
			'中分類コード
			wRow(sqlMTI_DISEASE.itmM_GRP_CD) = aOneRec.M_GRP_CD
			'小分類コード
			wRow(sqlMTI_DISEASE.itmS_GRP_CD) = aOneRec.S_GRP_CD
			'３００分類コード
			wRow(sqlMTI_DISEASE.itmGRP300_CD) = aOneRec.GRP300_CD
			'ａ分類コード
			wRow(sqlMTI_DISEASE.itmA_GRP_CD) = aOneRec.A_GRP_CD
			'ｂ分類コード
			wRow(sqlMTI_DISEASE.itmB_GRP_CD) = aOneRec.B_GRP_CD
			'ｃ分類コード
			wRow(sqlMTI_DISEASE.itmC_GRP_CD) = aOneRec.C_GRP_CD
			'死因分類コード
			wRow(sqlMTI_DISEASE.itmDEATH_GRP_CD) = aOneRec.DEATH_GRP_CD
			'外因大分類コード
			wRow(sqlMTI_DISEASE.itmCAUSE_L_GRP_CD) = aOneRec.CAUSE_L_GRP_CD
			'外因死因分類コード
			wRow(sqlMTI_DISEASE.itmCAUSE_DEATH_GRP_CD) = aOneRec.CAUSE_DEATH_GRP_CD
			'外因４桁細分類パターン
			wRow(sqlMTI_DISEASE.itmCAUSE_4GRP_PTN) = aOneRec.CAUSE_4GRP_PTN
			'外因４桁目コード
			wRow(sqlMTI_DISEASE.itmCAUSE_4DIGS_CD) = aOneRec.CAUSE_4DIGS_CD
			'ＩＣＤ９大分類コード
			wRow(sqlMTI_DISEASE.itmICD9_L_GRP_CD) = aOneRec.ICD9_L_GRP_CD
			'ＩＣＤ９中分類コード
			wRow(sqlMTI_DISEASE.itmICD9_M_GRP_CD) = aOneRec.ICD9_M_GRP_CD
			'ＩＣＤ９補助分類コード１
			wRow(sqlMTI_DISEASE.itmICD9_ASST_GRP1_CD) = aOneRec.ICD9_ASST_GRP1_CD
			'ＩＣＤ９補助分類コード２
			wRow(sqlMTI_DISEASE.itmICD9_ASST_GRP2_CD) = aOneRec.ICD9_ASST_GRP2_CD
			'ＩＣＤ９補助分類コード３
			wRow(sqlMTI_DISEASE.itmICD9_ASST_GRP3_CD) = aOneRec.ICD9_ASST_GRP3_CD
			'管理記号
			wRow(sqlMTI_DISEASE.itmDISEASE_MNG_DIV) = aOneRec.DISEASE_MNG_DIV
			'管理番号
			wRow(sqlMTI_DISEASE.itmDISEASE_MNG_NO) = aOneRec.DISEASE_MNG_NO
			'入院時併存症名フラグ
			wRow(sqlMTI_DISEASE.itmHSP_DISEASE_FLG) = clsConst.Enum_CheckBox_Flg.CheckOff
			wRow(sqlMTI_DISEASE.itmHSP_DISEASE_FLG_DSP) = pCHECKBOX_FALSE
			'入院後発症疾患名フラグ
			wRow(sqlMTI_DISEASE.itmAFTER_HSP_DISEASE_FLG) = clsConst.Enum_CheckBox_Flg.CheckOff
			wRow(sqlMTI_DISEASE.itmAFTER_HSP_DISEASE_FLG_DSP) = pCHECKBOX_FALSE
			'ＩＣＤＯ１管理記号
			wRow(sqlMTI_DISEASE.itmICDO_MNG_DIV) = aOneRec.ICDO_MNG_DIV
			'ＩＣＤＯ１管理番号
			wRow(sqlMTI_DISEASE.itmICDO_MNG_NO) = aOneRec.ICDO_MNG_NO
			'ＩＣＤＯ１形態名
			wRow(sqlMTI_DISEASE.itmICDO_FORM_NM) = aOneRec.ICDO_FORM_NM
			'直接死因病名フラグ
			wRow(sqlMTI_DISEASE.itmDIRECT_DEATH_DISEASE_FLG) = clsConst.Enum_CheckBox_Flg.CheckOff
			wRow(sqlMTI_DISEASE.itmDIRECT_DEATH_DISEASE_FLG_DSP) = pCHECKBOX_FALSE
			'直接死因外因フラグ
			wRow(sqlMTI_DISEASE.itmDIRECT_DEATH_CAUSE_FLG_V3) = clsConst.Enum_CheckBox_Flg.CheckOff
			wRow(sqlMTI_DISEASE.itmDIRECT_DEATH_CAUSE_FLG_V3_DSP) = pCHECKBOX_FALSE
			'外因分類名
			wRow(sqlMTI_DISEASE.itmCAUSE_GRP_NM) = aOneRec.CAUSE_GRP_NM
			'外因４桁細分類名
			wRow(sqlMTI_DISEASE.itmCAUSE_4GRP_NM) = aOneRec.CAUSE_4GRP_NM
			'新規登録日
			wRow(sqlMTI_DISEASE.itmNEW_REG_DT) = Now
			'最終更新日
			wRow(sqlMTI_DISEASE.itmLASTUPD_DT) = Now
			'更新ユーザＩＤ
			wRow(sqlMTI_DISEASE.itmLASTUPDUSER_CD) = clsSysMst.getLoginId
			'がん登録状況コード
'(M) STR V4-12033-000 004 2012/06/26 FWEST)H.Y がん登録Ｖ２対応
'			lCnrRegStatusCd = Chg_StateEnterCancer(aOneRec.ICD10_CD, lChk, True)
			lCnrRegStatusCd = Chg_StateEnterCancer(aOneRec.ICD10_CD, lChk)
'(M) END V4-12033-000 004 2012/06/26 FWEST)H.Y がん登録Ｖ２対応
			getCnrRegStatusNm(lCnrRegStatusCd, lCnrRegStatusNm, lCnrRegStatusRnm, lCnrRegStatusFixedCd)
			wRow(sqlMTI_DISEASE.itmCNR_REG_STATUS_CD) = lCnrRegStatusCd
			wRow(sqlMTI_DISEASE.itmCNR_REG_STATUS_NM) = lCnrRegStatusNm
			wRow(sqlMTI_DISEASE.itmCNR_REG_STATUS_RNM) = lCnrRegStatusRnm
			wRow(sqlMTI_DISEASE.itmCNR_REG_STATUS_FIXED_CD) = lCnrRegStatusFixedCd
			'追加行
			aAddSeq += 1
			wRow(sqlMENCOMMON.itmAddCol4NewRow) = clsMENCOMMON.CONST_ADDROW
			wRow(sqlMENCOMMON.itmAddCol4RowSeq) = aAddSeq
			If lRowIndex < 0 Then
				'追加
				datMtiDisease.Rows.Add(wRow)
			Else
				'更新
				wRow.EndEdit()
			End If
			cliMENCOMMON.dspUpDownButtonFace(dgv001MEN040F010, Me)
			' 新規選択
			pNowSerialNo = lSerialNo
			srhSerialNo(pNowSerialNo)
		Catch ex As Exception
			Throw
		Finally
			wGridViewRow = Nothing
			wDataRowView = Nothing
			wRow = Nothing
			lSerialNo = Nothing
			lRowIndex = Nothing
			lMainDiseaseFlg = Nothing
			lNextInitDisplayString = Nothing
			lDiv_Nm = Nothing
			lDiv_Rnm = Nothing
			lFixed_Cd = Nothing
			lDsporder = Nothing
			lChk = Nothing
			lCnrRegStatusCd = Nothing
			lCnrRegStatusNm = Nothing
			lCnrRegStatusRnm = Nothing
			lCnrRegStatusFixedCd = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 修正表示処理
	''' </summary>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dspDataRow()
		log(clsSysMst.logLevel.DBG, "dspDataRow", "修正表示処理 Start")
		Dim lGridViewRow As DataGridViewRow = Nothing
		Dim lDataRowView As DataRowView = Nothing
		Dim lDataRow As DataRow = Nothing
		Try
			' 選択行レコード取得
			lGridViewRow = dgv001MEN040F010.CurrentRow
			If lGridViewRow Is Nothing Then Exit Sub
			lDataRowView = CType(lGridViewRow.DataBoundItem, DataRowView)
			lDataRow = CType(lDataRowView.Row, DataRow)
			' 編集中連番を退避する
			pNowSerialNo = lDataRow.Item(sqlMTI_DISEASE.itmDISEASE_SERIAL_NO)
			'病名区分
			cliCom.setComboValue(cmb003MEN040F010, lDataRow.Item(sqlMTI_DISEASE.itmDISEASE_DIV).ToString)
			'ＩＣＤ１０
			pIcd10ChFlg = True
			cliCom.setManyValueComboValue(cmb013MEN040F010, lDataRow.Item(sqlMTI_DISEASE.itmICD10_CD).ToString, lDataRow.Item(sqlMTI_DISEASE.itmDISEASE_MNG_DIV).ToString, lDataRow.Item(sqlMTI_DISEASE.itmDISEASE_MNG_NO).ToString)
			'ＩＣＤ９
			cliCom.setComboValue(cmb015MEN040F010, lDataRow.Item(sqlMTI_DISEASE.itmICD9_CD).ToString)
			'転帰
			cliCom.setComboValue(cmb019MEN040F010, lDataRow.Item(sqlMTI_DISEASE.itmDISEASE_OUTCOME_CD).ToString)
			'ＩＣＤＯ-Ｍ
			pIcdoFormChFlg = True
			cliCom.setComboValue(cmb042MEN040F010, lDataRow.Item(sqlMTI_DISEASE.itmICDO_FORM_CD).ToString)
			cliCom.setComboValue(cmb044MEN040F010, lDataRow.Item(sqlMTI_DISEASE.itmICDO_FORM_6DIGS_CD).ToString)
			'外因分類
			cliCom.setComboValue(cmb049MEN040F010, lDataRow.Item(sqlMTI_DISEASE.itmCAUSE_GRP_CD).ToString)
			cliCom.setComboValue(cmb051MEN040F010, lDataRow.Item(sqlMTI_DISEASE.itmCAUSE_4DIGS_CD).ToString)
			'外因分類４桁名称
			txt052MEN040F010.Text = lDataRow.Item(sqlMTI_DISEASE.itmCAUSE_4GRP_NM).ToString
			'がん登録
			cliCom.setComboValue(cmb108MEN040F010, lDataRow.Item(sqlMTI_DISEASE.itmCNR_REG_STATUS_CD).ToString)
			'病名
			txt016MEN040F010.Text = lDataRow.Item(sqlMTI_DISEASE.itmDISEASE).ToString
			'複数分類
			txt022MEN040F010.Text = lDataRow.Item(sqlMTI_DISEASE.itmPLURAL_GRP_CD).ToString
			'備考１
			txt104MEN040F010.Text = lDataRow.Item(sqlMTI_DISEASE.itmREMARKS1).ToString
			'備考２
			txt106MEN040F010.Text = lDataRow.Item(sqlMTI_DISEASE.itmREMARKS2).ToString
			'ＩＣＤＯ-Ｍ名称
			txt043MEN040F010.Text = lDataRow.Item(sqlMTI_DISEASE.itmICDO_FORM_NM).ToString
			'標本
			txt047MEN040F010.Text = lDataRow.Item(sqlMTI_DISEASE.itmSPECIMEN_NO).ToString
			'外因分類名称
			txt050MEN040F010.Text = lDataRow.Item(sqlMTI_DISEASE.itmCAUSE_GRP_NM).ToString
			'入院契機
			chk005MEN040F010.Checked = cliMENCOMMON.getCheckBoxValue(lDataRow.Item(sqlMTI_DISEASE.itmHSP_CHANCE_DISEASE_FLG))
			'医療資源投入１
			chk007MEN040F010.Checked = cliMENCOMMON.getCheckBoxValue(lDataRow.Item(sqlMTI_DISEASE.itmDISEASE_MED_RES_FLG1))
			'医療資源投入２
			chk008MEN040F010.Checked = cliMENCOMMON.getCheckBoxValue(lDataRow.Item(sqlMTI_DISEASE.itmDISEASE_MED_RES_FLG2))
			'入院時併存
			chk010MEN040F010.Checked = cliMENCOMMON.getCheckBoxValue(lDataRow.Item(sqlMTI_DISEASE.itmHSP_DISEASE_FLG))
			'入院後発症
			chk011MEN040F010.Checked = cliMENCOMMON.getCheckBoxValue(lDataRow.Item(sqlMTI_DISEASE.itmAFTER_HSP_DISEASE_FLG))
			'原死因(病名)
			chk097MEN040F010.Checked = cliMENCOMMON.getCheckBoxValue(lDataRow.Item(sqlMTI_DISEASE.itmDEATH_DISEASE_FLG))
			'原死因(原因)
			chk098MEN040F010.Checked = cliMENCOMMON.getCheckBoxValue(lDataRow.Item(sqlMTI_DISEASE.itmDEATH_CAUSE_FLG))
			'直接死因(病名)
			chk101MEN040F010.Checked = cliMENCOMMON.getCheckBoxValue(lDataRow.Item(sqlMTI_DISEASE.itmDIRECT_DEATH_DISEASE_FLG))
			'診断日
			If IsDBNull(lDataRow.Item(sqlMTI_DISEASE.itmDIAGNOSIS_DT)) Then
				dte024MEN040F010.DateValue = Nothing
			Else
				dte024MEN040F010.DateValue = lDataRow.Item(sqlMTI_DISEASE.itmDIAGNOSIS_DT)
			End If
			'発症日
			If IsDBNull(lDataRow.Item(sqlMTI_DISEASE.itmONSET_DT)) Then
				dte026MEN040F010.DateValue = Nothing
			Else
				dte026MEN040F010.DateValue = lDataRow.Item(sqlMTI_DISEASE.itmONSET_DT)
			End If
			'終了日
			If IsDBNull(lDataRow.Item(sqlMTI_DISEASE.itmEND_DT)) Then
				dte028MEN040F010.DateValue = Nothing
			Else
				dte028MEN040F010.DateValue = lDataRow.Item(sqlMTI_DISEASE.itmEND_DT)
			End If
			'抽出日
			If IsDBNull(lDataRow.Item(sqlMTI_DISEASE.itmCNR_REG_EXTRACT_DT)) Then
				dte111MEN040F010.DateValue = Nothing
			Else
				dte111MEN040F010.DateValue = lDataRow.Item(sqlMTI_DISEASE.itmCNR_REG_EXTRACT_DT)
			End If
			'病名分類ICD10大		lbl057MEN040F010
			lbl057MEN040F010.Text = lDataRow.Item(sqlMTI_DISEASE.itmL_GRP_CD).ToString
			'病名分類ICD10中		lbl059MEN040F010
			lbl059MEN040F010.Text = lDataRow.Item(sqlMTI_DISEASE.itmM_GRP_CD).ToString
			'病名分類ICD10小		lbl061MEN040F010
			lbl061MEN040F010.Text = lDataRow.Item(sqlMTI_DISEASE.itmS_GRP_CD).ToString
			'病名分類ICD10300		lbl063MEN040F010
			lbl063MEN040F010.Text = lDataRow.Item(sqlMTI_DISEASE.itmGRP300_CD).ToString
			'病名分類ICD10ａ		lbl067MEN040F010
			lbl067MEN040F010.Text = lDataRow.Item(sqlMTI_DISEASE.itmA_GRP_CD).ToString
			'病名分類ICD10ｂ		lbl069MEN040F010
			lbl069MEN040F010.Text = lDataRow.Item(sqlMTI_DISEASE.itmB_GRP_CD).ToString
			'病名分類ICD10ｃ		lbl071MEN040F010
			lbl071MEN040F010.Text = lDataRow.Item(sqlMTI_DISEASE.itmC_GRP_CD).ToString
			'病名分類ICD9大			lbl074MEN040F010
			lbl074MEN040F010.Text = lDataRow.Item(sqlMTI_DISEASE.itmICD9_L_GRP_CD).ToString
			'病名分類ICD9中			lbl076MEN040F010
			lbl076MEN040F010.Text = lDataRow.Item(sqlMTI_DISEASE.itmICD9_M_GRP_CD).ToString
			'ICD9補助１				lbl078MEN040F010
			lbl078MEN040F010.Text = lDataRow.Item(sqlMTI_DISEASE.itmICD9_ASST_GRP1_CD).ToString
			'ICD9補助２				lbl079MEN040F010
			lbl079MEN040F010.Text = lDataRow.Item(sqlMTI_DISEASE.itmICD9_ASST_GRP2_CD).ToString
			'ICD9補助３				lbl080MEN040F010
			lbl080MEN040F010.Text = lDataRow.Item(sqlMTI_DISEASE.itmICD9_ASST_GRP3_CD).ToString
			'死因分類				lbl065MEN040F010
			lbl065MEN040F010.Text = lDataRow.Item(sqlMTI_DISEASE.itmDEATH_GRP_CD).ToString
			'院内病名コード			lbl089MEN040F010
			lbl089MEN040F010.Text = lDataRow.Item(sqlMTI_DISEASE.itmHSP_DISEASE_CD).ToString
			'管理記号				lbl091MEN040F010
			lbl091MEN040F010.Text = lDataRow.Item(sqlMTI_DISEASE.itmDISEASE_MNG_DIV).ToString
			'管理番号				lbl092MEN040F010
			lbl092MEN040F010.Text = lDataRow.Item(sqlMTI_DISEASE.itmDISEASE_MNG_NO).ToString
			'ICD0管理記号			lbl094MEN040F010
			lbl094MEN040F010.Text = lDataRow.Item(sqlMTI_DISEASE.itmICDO_MNG_DIV).ToString
			'ICD0管理番号			lbl095MEN040F010
			lbl095MEN040F010.Text = lDataRow.Item(sqlMTI_DISEASE.itmICDO_MNG_NO).ToString
			'外因分類ICD10大		lbl084MEN040F010
			lbl084MEN040F010.Text = lDataRow.Item(sqlMTI_DISEASE.itmCAUSE_L_GRP_CD).ToString
			'外因分類ICD10大名称	lbl085MEN040F010
			lbl085MEN040F010.Text = lDataRow.Item(sqlMTI_DISEASE.itmCAUSE_L_GRP_NM).ToString
			'死因（外因死因分類）	lbl087MEN040F010
			lbl087MEN040F010.Text = lDataRow.Item(sqlMTI_DISEASE.itmCAUSE_DEATH_GRP_CD).ToString
			'外因４桁細分類パターン
			pCause_4Grp_Ptn = lDataRow.Item(sqlMTI_DISEASE.itmCAUSE_4GRP_PTN).ToString

			'最終更新日
			lbl113MEN040F010.Text = cliMENCOMMON.getDateFormat(lDataRow.Item(sqlMTI_DISEASE.itmLASTUPD_DT))
			'データ取込み日
			lbl115MEN040F010.Text = cliMENCOMMON.getDateFormat(lDataRow.Item(sqlMTI_DISEASE.itmDATA_CAPTURE_DT))
			'新規登録日
			lbl117MEN040F010.Text = cliMENCOMMON.getDateFormat(lDataRow.Item(sqlMTI_DISEASE.itmNEW_REG_DT))
			If Me.ExeMode = Enum_ExeMode.eEntry Then
				' 矢印制御
				cliMENCOMMON.dspUpDownButtonFace(dgv001MEN040F010, Me)
				' 病名区分ディフォルトセット
				selcmbKbn_DefIndex()
				'区分の初期プロパティ
				If lDataRow(sqlMENCOMMON.itmAddCol4NewRow).ToString = clsMENCOMMON.CONST_NEWROW Then
					pFirstSelectValue = cmb003MEN040F010.Text
				Else
					pFirstSelectValue = String.Empty
				End If
			End If
		Catch ex As Exception
			Throw
		Finally
			pIcd10ChFlg = False
			pIcdoFormChFlg = False
			lGridViewRow = Nothing
			lDataRowView = Nothing
			lDataRow = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 修正データグリッド反映処理
	''' </summary>
	''' <param name="aRowIndex">対象行番号</param>
	''' <param name="aFocusSelect">フォーカス移動可否</param>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function setDataRow(ByVal aRowIndex As Integer, Optional ByVal aFocusSelect As Boolean = True) As Boolean
		log(clsSysMst.logLevel.DBG, "setDataRow", "修正データグリッド反映処理 Start")
		Dim lGridViewRow As DataGridViewRow = Nothing
		Dim lDataRowView As DataRowView = Nothing
		Dim lDataRow As DataRow = Nothing
		Try
			'更新モード以外は抜ける
			If Me.ExeMode <> Enum_ExeMode.eEntry Then Return True
			If dgv001MEN040F010.Rows.Count = 0 Then Return True
			' コントロール値確定
			If aRowIndex < 0 Then Return False
			If Not Me.ValidateChildren() Then Return False
			Dim lRowState As Boolean = False
			' 選択行レコード取得
			lGridViewRow = dgv001MEN040F010.Rows(aRowIndex)
			lDataRowView = CType(lGridViewRow.DataBoundItem, DataRowView)
			lDataRow = CType(lDataRowView.Row, DataRow)
			' 死因病名フラグ、直接死因病名フラグのチェック
			If (chk097MEN040F010.Checked OrElse chk101MEN040F010.Checked) AndAlso String.IsNullOrEmpty(lbl065MEN040F010.Text) Then
				If confMsg("Q0005", MessageBoxButtons.YesNo, MessageBoxDefaultButton.Button2, "死因分類コードが無い病名が死因になっています。登録", Nothing) <> MsgBoxResult.Yes Then Return False
			End If
			' 死因外因フラグの状態
			If chk098MEN040F010.Checked And String.IsNullOrEmpty(lbl087MEN040F010.Text) Then
				If confMsg("Q0005", MessageBoxButtons.YesNo, MessageBoxDefaultButton.Button2, "死因分類コードが無い外因が死因になっています。登録", Nothing) <> MsgBoxResult.Yes Then Return False
			End If
			' 個別入力チェック
			If Not ChkLocalInput() Then
				If Me.getErrCount <> 0 Then nextErrForm()
				Return False
			End If
			' 入力チェックを行う
			Select Case chkDataRow()
				Case MsgBoxResult.Cancel
					Return True
				Case MsgBoxResult.No
					If Me.getErrCount <> 0 Then nextErrForm()
					Return False
				Case Else
			End Select
			With lDataRow
				.BeginEdit()
				.Item(sqlMTI_DISEASE.itmPATIENT_NO) = Me.PatientNo
				.Item(sqlMTI_DISEASE.itmHSP_HISTORY_NO) = Me.HspHistoryNo
				.Item(sqlMTI_DISEASE.itmCH_NO) = Me.ChNo
				' 病名区分コード
				If cliMENCOMMON.setDtTableField_BTMultiCombo(.Item(sqlMTI_DISEASE.itmDISEASE_DIV), cmb003MEN040F010) Then
					If cmb003MEN040F010.SelectedRowValue Is Nothing Then
						.Item(sqlMTI_DISEASE.itmDISEASE_DIV_NM) = DBNull.Value
						.Item(sqlMTI_DISEASE.itmDISEASE_DIV_RNM) = DBNull.Value
						.Item(sqlMTI_DISEASE.itmDISEASE_DIV_FIXED_CD) = DBNull.Value
						.Item(sqlMTI_DISEASE.itmDISEASE_DIV_DSPORDER) = DBNull.Value
					Else
						.Item(sqlMTI_DISEASE.itmDISEASE_DIV_NM) = cmb003MEN040F010.SelectedRowValue.Item(sqlComboCom.itmDISEASE_DIV_NM).ToString
						.Item(sqlMTI_DISEASE.itmDISEASE_DIV_RNM) = cmb003MEN040F010.SelectedRowValue.Item(sqlComboCom.itmDISEASE_DIV_RNM).ToString
						.Item(sqlMTI_DISEASE.itmDISEASE_DIV_FIXED_CD) = cmb003MEN040F010.SelectedRowValue.Item(sqlComboCom.itmFIXED_CD).ToString
						.Item(sqlMTI_DISEASE.itmDISEASE_DIV_DSPORDER) = cmb003MEN040F010.SelectedRowValue.Item(sqlComboCom.itmDSPORDER)
					End If
					lRowState = True
				End If
				' ＩＣＤ10コード
				If cliMENCOMMON.setDtTableField_Text(.Item(sqlMTI_DISEASE.itmICD10_CD), cmb013MEN040F010.Text) Then
					lRowState = True
				End If
				' ＩＣＤ９コード
				If cliMENCOMMON.setDtTableField_Text(.Item(sqlMTI_DISEASE.itmICD9_CD), cmb015MEN040F010.Text) Then
					lRowState = True
				End If
				'病名
				If cliMENCOMMON.setDtTableField_Text(.Item(sqlMTI_DISEASE.itmDISEASE), txt016MEN040F010.Text) Then
					lRowState = True
				End If
				'転帰
				If cliMENCOMMON.setDtTableField_BTMultiCombo(.Item(sqlMTI_DISEASE.itmDISEASE_OUTCOME_CD), cmb019MEN040F010) Then
					If cmb019MEN040F010.SelectedRowValue Is Nothing Then
						.Item(sqlMTI_DISEASE.itmDISEASE_OUTCOME_NM) = DBNull.Value
						.Item(sqlMTI_DISEASE.itmDISEASE_OUTCOME_RNM) = DBNull.Value
						.Item(sqlMTI_DISEASE.itmDISEASE_OUTCOME_FIXED_CD) = DBNull.Value
					Else
						.Item(sqlMTI_DISEASE.itmDISEASE_OUTCOME_NM) = cmb019MEN040F010.SelectedRowValue.Item(sqlComboCom.itmDISEASE_OUTCOME_NM).ToString
						.Item(sqlMTI_DISEASE.itmDISEASE_OUTCOME_RNM) = cmb019MEN040F010.SelectedRowValue.Item(sqlComboCom.itmDISEASE_OUTCOME_RNM).ToString
						.Item(sqlMTI_DISEASE.itmDISEASE_OUTCOME_FIXED_CD) = cmb019MEN040F010.SelectedRowValue.Item(sqlComboCom.itmFIXED_CD).ToString
					End If
					lRowState = True
				End If
				'ＩＣＤＯ-Ｍ
				If cliMENCOMMON.setDtTableField_BTMultiCombo(.Item(sqlMTI_DISEASE.itmICDO_FORM_CD), cmb042MEN040F010) Then
					lRowState = True
				End If
				If cliMENCOMMON.setDtTableField_BTMultiCombo(.Item(sqlMTI_DISEASE.itmICDO_FORM_6DIGS_CD), cmb044MEN040F010) Then
					lRowState = True
				End If
				'外因分類
				If cliMENCOMMON.setDtTableField_BTMultiCombo(.Item(sqlMTI_DISEASE.itmCAUSE_GRP_CD), cmb049MEN040F010) Then
					lRowState = True
				End If
				If cliMENCOMMON.setDtTableField_BTMultiCombo(.Item(sqlMTI_DISEASE.itmCAUSE_4DIGS_CD), cmb051MEN040F010) Then
					lRowState = True
				End If
				'がん登録
				If cliMENCOMMON.setDtTableField_BTMultiCombo(.Item(sqlMTI_DISEASE.itmCNR_REG_STATUS_CD), cmb108MEN040F010) Then
					If cmb108MEN040F010.SelectedRowValue Is Nothing Then
						.Item(sqlMTI_DISEASE.itmCNR_REG_STATUS_NM) = DBNull.Value
						.Item(sqlMTI_DISEASE.itmCNR_REG_STATUS_RNM) = DBNull.Value
						.Item(sqlMTI_DISEASE.itmCNR_REG_STATUS_FIXED_CD) = DBNull.Value
					Else
						.Item(sqlMTI_DISEASE.itmCNR_REG_STATUS_NM) = cmb108MEN040F010.SelectedRowValue.Item(sqlComboCom.itmREG_STATUS_NM).ToString
						.Item(sqlMTI_DISEASE.itmCNR_REG_STATUS_RNM) = cmb108MEN040F010.SelectedRowValue.Item(sqlComboCom.itmREG_STATUS_RNM).ToString
						.Item(sqlMTI_DISEASE.itmCNR_REG_STATUS_FIXED_CD) = cmb108MEN040F010.SelectedRowValue.Item(sqlComboCom.itmFIXED_CD).ToString
					End If
					lRowState = True
				End If
				'複数分類
				If cliMENCOMMON.setDtTableField_Text(.Item(sqlMTI_DISEASE.itmPLURAL_GRP_CD), txt022MEN040F010.Text) Then
					lRowState = True
				End If
				'備考１
				If cliMENCOMMON.setDtTableField_Text(.Item(sqlMTI_DISEASE.itmREMARKS1), txt104MEN040F010.Text) Then
					lRowState = True
				End If
				'備考２
				If cliMENCOMMON.setDtTableField_Text(.Item(sqlMTI_DISEASE.itmREMARKS2), txt106MEN040F010.Text) Then
					lRowState = True
				End If
				'ＩＣＤＯ-Ｍ名称
				If cliMENCOMMON.setDtTableField_Text(.Item(sqlMTI_DISEASE.itmICDO_FORM_NM), txt043MEN040F010.Text) Then
					lRowState = True
				End If
				'標本
				If cliMENCOMMON.setDtTableField_Text(.Item(sqlMTI_DISEASE.itmSPECIMEN_NO), txt047MEN040F010.Text) Then
					lRowState = True
				End If
				'外因分類名称
				If cliMENCOMMON.setDtTableField_Text(.Item(sqlMTI_DISEASE.itmCAUSE_GRP_NM), txt050MEN040F010.Text) Then
					lRowState = True
				End If
				'外因４桁細分類名
				If cliMENCOMMON.setDtTableField_Text(.Item(sqlMTI_DISEASE.itmCAUSE_4GRP_NM), txt052MEN040F010.Text) Then
					lRowState = True
				End If
				'入院契機
				If cliMENCOMMON.setDtTableField_Checked(.Item(sqlMTI_DISEASE.itmHSP_CHANCE_DISEASE_FLG), chk005MEN040F010.Checked) Then
					If chk005MEN040F010.Checked Then
						.Item(sqlMTI_DISEASE.itmHSP_CHANCE_DISEASE_FLG_DSP) = pCHECKBOX_TRUE
					Else
						.Item(sqlMTI_DISEASE.itmHSP_CHANCE_DISEASE_FLG_DSP) = pCHECKBOX_FALSE
					End If
					lRowState = True
				End If
				'医療資源投入１
				If cliMENCOMMON.setDtTableField_Checked(.Item(sqlMTI_DISEASE.itmDISEASE_MED_RES_FLG1), chk007MEN040F010.Checked) Then
					If chk007MEN040F010.Checked Then
						.Item(sqlMTI_DISEASE.itmDISEASE_MED_RES_FLG1_DSP) = pCHECKBOX_TRUE
					Else
						.Item(sqlMTI_DISEASE.itmDISEASE_MED_RES_FLG1_DSP) = pCHECKBOX_FALSE
					End If
					lRowState = True
				End If
				'医療資源投入２
				If cliMENCOMMON.setDtTableField_Checked(.Item(sqlMTI_DISEASE.itmDISEASE_MED_RES_FLG2), chk008MEN040F010.Checked) Then
					If chk008MEN040F010.Checked Then
						.Item(sqlMTI_DISEASE.itmDISEASE_MED_RES_FLG2_DSP) = pCHECKBOX_TRUE
					Else
						.Item(sqlMTI_DISEASE.itmDISEASE_MED_RES_FLG2_DSP) = pCHECKBOX_FALSE
					End If
					lRowState = True
				End If
				'入院時併存
				If cliMENCOMMON.setDtTableField_Checked(.Item(sqlMTI_DISEASE.itmHSP_DISEASE_FLG), chk010MEN040F010.Checked) Then
					If chk010MEN040F010.Checked Then
						.Item(sqlMTI_DISEASE.itmHSP_DISEASE_FLG_DSP) = pCHECKBOX_TRUE
					Else
						.Item(sqlMTI_DISEASE.itmHSP_DISEASE_FLG_DSP) = pCHECKBOX_FALSE
					End If
					lRowState = True
				End If
				'入院後発症
				If cliMENCOMMON.setDtTableField_Checked(.Item(sqlMTI_DISEASE.itmAFTER_HSP_DISEASE_FLG), chk011MEN040F010.Checked) Then
					If chk011MEN040F010.Checked Then
						.Item(sqlMTI_DISEASE.itmAFTER_HSP_DISEASE_FLG_DSP) = pCHECKBOX_TRUE
					Else
						.Item(sqlMTI_DISEASE.itmAFTER_HSP_DISEASE_FLG_DSP) = pCHECKBOX_FALSE
					End If
					lRowState = True
				End If
				'原死因(病名)
				If cliMENCOMMON.setDtTableField_Checked(.Item(sqlMTI_DISEASE.itmDEATH_DISEASE_FLG), chk097MEN040F010.Checked) Then
					If chk097MEN040F010.Checked Then
						.Item(sqlMTI_DISEASE.itmDEATH_DISEASE_FLG_DSP) = pCHECKBOX_TRUE
					Else
						.Item(sqlMTI_DISEASE.itmDEATH_DISEASE_FLG_DSP) = pCHECKBOX_FALSE
					End If
					lRowState = True
				End If
				'原死因(原因)
				If cliMENCOMMON.setDtTableField_Checked(.Item(sqlMTI_DISEASE.itmDEATH_CAUSE_FLG), chk098MEN040F010.Checked) Then
					If chk098MEN040F010.Checked Then
						.Item(sqlMTI_DISEASE.itmDEATH_CAUSE_FLG_DSP) = pCHECKBOX_TRUE
					Else
						.Item(sqlMTI_DISEASE.itmDEATH_CAUSE_FLG_DSP) = pCHECKBOX_FALSE
					End If
					lRowState = True
				End If
				'直接死因(病名)
				If cliMENCOMMON.setDtTableField_Checked(.Item(sqlMTI_DISEASE.itmDIRECT_DEATH_DISEASE_FLG), chk101MEN040F010.Checked) Then
					If chk101MEN040F010.Checked Then
						.Item(sqlMTI_DISEASE.itmDIRECT_DEATH_DISEASE_FLG_DSP) = pCHECKBOX_TRUE
					Else
						.Item(sqlMTI_DISEASE.itmDIRECT_DEATH_DISEASE_FLG_DSP) = pCHECKBOX_FALSE
					End If
					lRowState = True
				End If
				'診断日
				If cliMENCOMMON.setDtTableField_BTDate(.Item(sqlMTI_DISEASE.itmDIAGNOSIS_DT), dte024MEN040F010) Then
					lRowState = True
				End If
				'発症日
				If cliMENCOMMON.setDtTableField_BTDate(.Item(sqlMTI_DISEASE.itmONSET_DT), dte026MEN040F010) Then
					lRowState = True
				End If
				'終了日
				If cliMENCOMMON.setDtTableField_BTDate(.Item(sqlMTI_DISEASE.itmEND_DT), dte028MEN040F010) Then
					lRowState = True
				End If
				'抽出日
				If cliMENCOMMON.setDtTableField_BTDate(.Item(sqlMTI_DISEASE.itmCNR_REG_EXTRACT_DT), dte111MEN040F010) Then
					lRowState = True
				End If
				'病名分類ICD10大
				If cliMENCOMMON.setDtTableField_Text(lDataRow.Item(sqlMTI_DISEASE.itmL_GRP_CD), lbl057MEN040F010.Text) Then
					lRowState = True
				End If
				'病名分類ICD10中		lbl059MEN040F010
				If cliMENCOMMON.setDtTableField_Text(lDataRow.Item(sqlMTI_DISEASE.itmM_GRP_CD), lbl059MEN040F010.Text) Then
					lRowState = True
				End If
				'病名分類ICD10小		lbl061MEN040F010
				If cliMENCOMMON.setDtTableField_Text(lDataRow.Item(sqlMTI_DISEASE.itmS_GRP_CD), lbl061MEN040F010.Text) Then
					lRowState = True
				End If
				'病名分類ICD10300		lbl063MEN040F010
				If cliMENCOMMON.setDtTableField_Text(lDataRow.Item(sqlMTI_DISEASE.itmGRP300_CD), lbl063MEN040F010.Text) Then
					lRowState = True
				End If
				'病名分類ICD10ａ		lbl067MEN040F010
				If cliMENCOMMON.setDtTableField_Text(lDataRow.Item(sqlMTI_DISEASE.itmA_GRP_CD), lbl067MEN040F010.Text) Then
					lRowState = True
				End If
				'病名分類ICD10ｂ		lbl069MEN040F010
				If cliMENCOMMON.setDtTableField_Text(lDataRow.Item(sqlMTI_DISEASE.itmB_GRP_CD), lbl069MEN040F010.Text) Then
					lRowState = True
				End If
				'病名分類ICD10ｃ		lbl071MEN040F010
				If cliMENCOMMON.setDtTableField_Text(lDataRow.Item(sqlMTI_DISEASE.itmC_GRP_CD), lbl071MEN040F010.Text) Then
					lRowState = True
				End If
				'病名分類ICD9大			lbl074MEN040F010
				If cliMENCOMMON.setDtTableField_Text(lDataRow.Item(sqlMTI_DISEASE.itmICD9_L_GRP_CD), lbl074MEN040F010.Text) Then
					lRowState = True
				End If
				'病名分類ICD9中			lbl076MEN040F010
				If cliMENCOMMON.setDtTableField_Text(lDataRow.Item(sqlMTI_DISEASE.itmICD9_M_GRP_CD), lbl076MEN040F010.Text) Then
					lRowState = True
				End If
				'ICD9補助１				lbl078MEN040F010
				If cliMENCOMMON.setDtTableField_Text(lDataRow.Item(sqlMTI_DISEASE.itmICD9_ASST_GRP1_CD), lbl078MEN040F010.Text) Then
					lRowState = True
				End If
				'ICD9補助２				lbl079MEN040F010
				If cliMENCOMMON.setDtTableField_Text(lDataRow.Item(sqlMTI_DISEASE.itmICD9_ASST_GRP2_CD), lbl079MEN040F010.Text) Then
					lRowState = True
				End If
				'ICD9補助３				lbl080MEN040F010
				If cliMENCOMMON.setDtTableField_Text(lDataRow.Item(sqlMTI_DISEASE.itmICD9_ASST_GRP3_CD), lbl080MEN040F010.Text) Then
					lRowState = True
				End If
				'死因分類				lbl065MEN040F010
				If cliMENCOMMON.setDtTableField_Text(lDataRow.Item(sqlMTI_DISEASE.itmDEATH_GRP_CD), lbl065MEN040F010.Text) Then
					lRowState = True
				End If
				'院内病名コード			lbl089MEN040F010
				If cliMENCOMMON.setDtTableField_Text(lDataRow.Item(sqlMTI_DISEASE.itmHSP_DISEASE_CD), lbl089MEN040F010.Text) Then
					lRowState = True
				End If
				'管理記号				lbl091MEN040F010
				If cliMENCOMMON.setDtTableField_Text(lDataRow.Item(sqlMTI_DISEASE.itmDISEASE_MNG_DIV), lbl091MEN040F010.Text) Then
					lRowState = True
				End If
				'管理番号				lbl092MEN040F010
				If cliMENCOMMON.setDtTableField_Text(lDataRow.Item(sqlMTI_DISEASE.itmDISEASE_MNG_NO), lbl092MEN040F010.Text) Then
					lRowState = True
				End If
				'ICD0管理記号			lbl094MEN040F010
				If cliMENCOMMON.setDtTableField_Text(lDataRow.Item(sqlMTI_DISEASE.itmICDO_MNG_DIV), lbl094MEN040F010.Text) Then
					lRowState = True
				End If
				'ICD0管理番号			lbl095MEN040F010
				If cliMENCOMMON.setDtTableField_Text(lDataRow.Item(sqlMTI_DISEASE.itmICDO_MNG_NO), lbl095MEN040F010.Text) Then
					lRowState = True
				End If
				'外因分類ICD10大		lbl084MEN040F010
				If cliMENCOMMON.setDtTableField_Text(lDataRow.Item(sqlMTI_DISEASE.itmCAUSE_L_GRP_CD), lbl084MEN040F010.Text) Then
					lRowState = True
				End If
				'外因分類ICD10大名称	lbl085MEN040F010
				If cliMENCOMMON.setDtTableField_Text(lDataRow.Item(sqlMTI_DISEASE.itmCAUSE_L_GRP_NM), lbl085MEN040F010.Text) Then
					lRowState = True
				End If
				'死因（外因死因分類）	lbl087MEN040F010
				If cliMENCOMMON.setDtTableField_Text(lDataRow.Item(sqlMTI_DISEASE.itmCAUSE_DEATH_GRP_CD), lbl087MEN040F010.Text) Then
					lRowState = True
				End If
				'外因４桁細分類パターン
				If cliMENCOMMON.setDtTableField_Text(lDataRow.Item(sqlMTI_DISEASE.itmCAUSE_4GRP_PTN), pCause_4Grp_Ptn) Then
					lRowState = True
				End If
				' 更新チェック
				If lRowState Then
					If .Item(sqlMENCOMMON.itmAddCol4NewRow).ToString = clsMENCOMMON.CONST_NEWROW Then
						.Item(sqlMTI_DISEASE.itmNEW_REG_DT) = Now					'新規登録日
					End If
					.Item(sqlMTI_DISEASE.itmLASTUPDUSER_CD) = clsSysMst.getLoginId	'更新者コード
					.Item(sqlMTI_DISEASE.itmLASTUPD_DT) = Now						'最終更新日
					.EndEdit()
					' 新規行クリア
					resetNewRow(.Item(sqlMENCOMMON.itmAddCol4NewRow).ToString)
				Else
					.CancelEdit()
				End If
			End With
			' ソート処理を行う
			sortDatMtiDisease(aFocusSelect)
			pFirstSelectValue = String.Empty	'区分初期値のクリア
		Catch ex As Exception
			Throw
		Finally
			lGridViewRow = Nothing
			lDataRowView = Nothing
			lDataRow = Nothing
		End Try
		Return True
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 新規行クリア処理
	''' </summary>
	''' <param name="aNewRow">新規行識別</param>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub resetNewRow(ByVal aNewRow As String)
		log(clsSysMst.logLevel.DBG, "resetNewRow", "新規行クリア処理 Start")
		Dim lGridViewRow As DataGridViewRow = Nothing
		Dim lDataRowView As DataRowView = Nothing
		Dim lDataRow As DataRow = Nothing
		Try
			If String.IsNullOrEmpty(aNewRow) Then Exit Sub
			For Each lGridViewRow In dgv001MEN040F010.Rows
				lDataRowView = CType(lGridViewRow.DataBoundItem, DataRowView)
				lDataRow = CType(lDataRowView.Row, DataRow)
				With lDataRow
					'同じ新規行識別
					If .Item(sqlMENCOMMON.itmAddCol4NewRow).ToString <> aNewRow Then Continue For
					'ソート項目あり
					If String.IsNullOrEmpty(.Item(sqlMTI_DISEASE.itmDISEASE_DIV).ToString) Then Continue For
					.BeginEdit()
					.Item(sqlMENCOMMON.itmAddCol4NewRow) = DBNull.Value				'新規行識別
					.Item(sqlMENCOMMON.itmAddCol4RowSeq) = DBNull.Value				'順番識別
					.EndEdit()
				End With
			Next
		Catch ex As Exception
			Throw
		Finally
			lGridViewRow = Nothing
			lDataRowView = Nothing
			lDataRow = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' データテーブルソート処理
	''' </summary>
	''' <param name="aFocusSelect">フォーカス移動可否</param>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub sortDatMtiDisease(Optional ByVal aFocusSelect As Boolean = True)
		log(clsSysMst.logLevel.DBG, "sortDatMtiDisease", "データテーブルソート処理 Start")
		Dim lSerialNo As Integer = 0
		Dim ldv As DataView = datMtiDisease.DefaultView
		Dim lwkSerialNo As Integer = pNowSerialNo
		Try
			If Not String.IsNullOrEmpty(pGridSortString) Then
				ldv.Sort = pGridSortString
			End If
			For Each dtview As DataRowView In ldv
				lSerialNo = lSerialNo + 1
				With datMtiDisease.Rows(datMtiDisease.Rows.IndexOf(dtview.Row))
					' 現在行のNoを新しく振られたNoにする
					If pNowSerialNo = .Item(sqlMTI_DISEASE.itmDISEASE_SERIAL_NO) Then
						lwkSerialNo = lSerialNo
					End If
					.Item(sqlMTI_DISEASE.itmDISEASE_SERIAL_NO) = lSerialNo
				End With
			Next
			' ソート処理
			dgv001MEN040F010.Columns(CONTROL_C01001MEN040F010).HeaderCell.SortGlyphDirection = SortOrder.Ascending
			If aFocusSelect Then
				' 現在行にフォーカス移動
				srhSerialNo(lwkSerialNo)
				pNowSerialNo = lwkSerialNo
			End If
			cliMENCOMMON.dspUpDownButtonFace(dgv001MEN040F010, Me)
		Catch ex As Exception
			Throw
		Finally
			lSerialNo = Nothing
			ldv = Nothing
			lwkSerialNo = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' グリッド上下入替え処理
	''' </summary>
	''' <param name="aRowIndex1">入替え元Index</param>
	''' <param name="aRowIndex2">入替え先Index</param>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub chgUpDownGrid(ByVal aRowIndex1 As Integer, ByVal aRowIndex2 As Integer)
		log(clsSysMst.logLevel.DBG, "chgUpDownGrid", "グリッド上下入替え処理 クリック Start")
		Dim lGridViewRow1 As DataGridViewRow = Nothing
		Dim lGridViewRow2 As DataGridViewRow = Nothing
		Dim lDataRowView1 As DataRowView = Nothing
		Dim lDataRowView2 As DataRowView = Nothing
		Dim lDataRow1 As DataRow = Nothing
		Dim lDataRow2 As DataRow = Nothing
		Dim ldv As DataView = Nothing
		Dim lIndex1 As Integer
		Dim lIndex2 As Integer
		Try
			With dgv001MEN040F010
				.Columns(CONTROL_C01001MEN040F010).HeaderCell.SortGlyphDirection = SortOrder.Ascending
				lGridViewRow1 = .Rows(aRowIndex1)
				lGridViewRow2 = .Rows(aRowIndex2)
				lDataRowView1 = CType(lGridViewRow1.DataBoundItem, DataRowView)
				lDataRowView2 = CType(lGridViewRow2.DataBoundItem, DataRowView)
				lDataRow1 = CType(lDataRowView1.Row, DataRow)
				lDataRow2 = CType(lDataRowView2.Row, DataRow)
				' Index退避
				lIndex1 = .Rows(aRowIndex1).Cells(CONTROL_C01001MEN040F010).Value
				lIndex2 = .Rows(aRowIndex2).Cells(CONTROL_C01001MEN040F010).Value
				' 選択行レコード取得
				lDataRow1.BeginEdit()
				lDataRow2.BeginEdit()
				lDataRow1(sqlMTI_DISEASE.itmDISEASE_SERIAL_NO) = lIndex2
				lDataRow2(sqlMTI_DISEASE.itmDISEASE_SERIAL_NO) = lIndex1
				lDataRow1.EndEdit()
				lDataRow2.EndEdit()
				' ソート処理
				ldv = datMtiDisease.DefaultView
				ldv.Sort = sqlMTI_DISEASE.itmDISEASE_SERIAL_NO
				.Columns(CONTROL_C01001MEN040F010).HeaderCell.SortGlyphDirection = SortOrder.Ascending
			End With
			' 現在行にフォーカス移動
			srhSerialNo(lIndex2)
			pNowSerialNo = lIndex2
			' ボタン表示切替
			cliMENCOMMON.dspUpDownButtonFace(dgv001MEN040F010, Me)
		Catch ex As Exception
			Throw
		Finally
			lGridViewRow1 = Nothing
			lGridViewRow2 = Nothing
			lDataRowView1 = Nothing
			lDataRowView2 = Nothing
			lDataRow1 = Nothing
			lDataRow2 = Nothing
			lIndex1 = Nothing
			lIndex2 = Nothing
			ldv = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' グリッド上下移動処理
	''' </summary>
	''' <param name="aUpFlg"></param>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub GrdRowUpDownIndex(ByVal aUpFlg As Boolean)
		log(clsSysMst.logLevel.DBG, "GrdRowUpDownIndex", "グリッド上下移動処理 クリック Start")
		Try
			Dim wRowIndex As Integer = srhSerialNo(pNowSerialNo, True)
			Dim wRowNextIndex As Integer = IIf(aUpFlg, wRowIndex - 1, wRowIndex + 1)
			' グリッドに反映
			If Not setDataRow(wRowIndex, False) Then Exit Sub
			If wRowNextIndex >= 0 AndAlso wRowNextIndex < dgv001MEN040F010.RowCount Then
				dgv001MEN040F010.Rows(wRowNextIndex).Cells(1).Selected = True
			End If
			' グリッドから取得
			dspDataRow()
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 入力チェック
	''' </summary>
	''' <returns>成否</returns>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkDataRow() As MsgBoxResult
		log(clsSysMst.logLevel.DBG, "chkDataRow", "入力チェック Start")
		Dim lRet As MsgBoxResult = MsgBoxResult.Yes
		Dim ldtDiseaseInfoRow As datDiseaseNameInfo			' チェック用テーブル
		Dim lArList As ArrayList
		Dim lRetErrCnt As ArrayList
		Dim lChkObj As Object = Nothing
		Try
			' すべて入力なしの場合は抜ける
			Select Case False
				Case String.IsNullOrEmpty(cmb003MEN040F010.Text) OrElse cmb003MEN040F010.Text = pFirstSelectValue
				Case Not chk005MEN040F010.Checked
				Case Not chk007MEN040F010.Checked
				Case Not chk008MEN040F010.Checked
				Case Not chk010MEN040F010.Checked
				Case Not chk011MEN040F010.Checked
				Case String.IsNullOrEmpty(cmb013MEN040F010.Text)
				Case String.IsNullOrEmpty(cmb015MEN040F010.Text)
				Case String.IsNullOrEmpty(txt016MEN040F010.Text)
				Case String.IsNullOrEmpty(cmb019MEN040F010.Text)
				Case String.IsNullOrEmpty(txt022MEN040F010.Text)
				Case String.IsNullOrEmpty(dte024MEN040F010.Text)
				Case String.IsNullOrEmpty(dte026MEN040F010.Text)
				Case String.IsNullOrEmpty(dte028MEN040F010.Text)
				Case String.IsNullOrEmpty(cmb042MEN040F010.Text)
				Case String.IsNullOrEmpty(txt043MEN040F010.Text)
				Case String.IsNullOrEmpty(cmb044MEN040F010.Text)
				Case String.IsNullOrEmpty(txt047MEN040F010.Text)
				Case String.IsNullOrEmpty(cmb049MEN040F010.Text)
				Case String.IsNullOrEmpty(txt050MEN040F010.Text)
				Case String.IsNullOrEmpty(cmb051MEN040F010.Text)
				Case String.IsNullOrEmpty(txt052MEN040F010.Text)
				Case Not chk097MEN040F010.Checked
				Case Not chk098MEN040F010.Checked
				Case Not chk101MEN040F010.Checked
				Case String.IsNullOrEmpty(txt104MEN040F010.Text)
				Case String.IsNullOrEmpty(txt106MEN040F010.Text)
				Case String.IsNullOrEmpty(cmb108MEN040F010.Text)
				Case String.IsNullOrEmpty(dte111MEN040F010.Text)
				Case Else
					cliCom.setComboValue(cmb003MEN040F010, Nothing)
					Return MsgBoxResult.Cancel
			End Select
			ldtDiseaseInfoRow = New datDiseaseNameInfo
			ldtDiseaseInfoRow.PATIENT_NO = Me.PatientNo
			ldtDiseaseInfoRow.HSP_HISTORY_NO = Me.HspHistoryNo
			ldtDiseaseInfoRow.CH_NO = Me.ChNo
			ldtDiseaseInfoRow.DISEASE_SERIAL_NO = pNowSerialNo
			'病名区分
			ldtDiseaseInfoRow.DISEASE_DIV = cmb003MEN040F010.Text
			ldtDiseaseInfoRow.DISEASE_DIV_NM = lbl004MEN040F010.Text
			'ＩＣＤ１０
			ldtDiseaseInfoRow.ICD10_CD = cmb013MEN040F010.Text
			'ＩＣＤ９
			ldtDiseaseInfoRow.ICD9_CD = cmb015MEN040F010.Text
			'転帰
			ldtDiseaseInfoRow.DISEASE_OUTCOME_CD = cmb019MEN040F010.Text
			ldtDiseaseInfoRow.DISEASE_OUTCOME_NM = lbl020MEN040F010.Text
			'ＩＣＤＯ-Ｍ
			ldtDiseaseInfoRow.ICDO_FORM_CD = cmb042MEN040F010.Text
			ldtDiseaseInfoRow.ICDO_FORM_6DIGS_CD = cmb044MEN040F010.Text
			'外因分類
			ldtDiseaseInfoRow.CAUSE_GRP_CD = cmb049MEN040F010.Text
			ldtDiseaseInfoRow.CAUSE_4DIGS_CD = cmb051MEN040F010.Text
			'がん登録
			ldtDiseaseInfoRow.CNR_REG_STATUS_CD = cmb108MEN040F010.Text
			'病名
			ldtDiseaseInfoRow.DISEASE = txt016MEN040F010.Text
			'複数分類
			ldtDiseaseInfoRow.PLURAL_GRP_CD = txt022MEN040F010.Text
			'備考１
			ldtDiseaseInfoRow.REMARKS1 = txt104MEN040F010.Text
			'備考２
			ldtDiseaseInfoRow.REMARKS2 = txt106MEN040F010.Text
			'ＩＣＤＯ-Ｍ名称
			ldtDiseaseInfoRow.ICDO_FORM_NM = txt043MEN040F010.Text
			'標本
			ldtDiseaseInfoRow.SPECIMEN_NO = txt047MEN040F010.Text
			'外因分類名称
			ldtDiseaseInfoRow.CAUSE_GRP_NM = txt050MEN040F010.Text
			'入院契機
			ldtDiseaseInfoRow.HSP_CHANCE_DISEASE_FLG = cliMENCOMMON.setCheckBoxValue(chk005MEN040F010.Checked)
			'医療資源投入１
			ldtDiseaseInfoRow.DISEASE_MED_RES_FLG1 = cliMENCOMMON.setCheckBoxValue(chk007MEN040F010.Checked)
			'医療資源投入２
			ldtDiseaseInfoRow.DISEASE_MED_RES_FLG2 = cliMENCOMMON.setCheckBoxValue(chk008MEN040F010.Checked)
			'入院時併存
			ldtDiseaseInfoRow.HSP_DISEASE_FLG = cliMENCOMMON.setCheckBoxValue(chk010MEN040F010.Checked)
			'入院後発症
			ldtDiseaseInfoRow.AFTER_HSP_DISEASE_FLG = cliMENCOMMON.setCheckBoxValue(chk011MEN040F010.Checked)
			'原死因(病名)
			ldtDiseaseInfoRow.DEATH_DISEASE_FLG = cliMENCOMMON.setCheckBoxValue(chk097MEN040F010.Checked)
			'原死因(原因)
			ldtDiseaseInfoRow.DEATH_CAUSE_FLG = cliMENCOMMON.setCheckBoxValue(chk098MEN040F010.Checked)
			'直接死因(病名)
			ldtDiseaseInfoRow.DIRECT_DEATH_DISEASE_FLG = cliMENCOMMON.setCheckBoxValue(chk101MEN040F010.Checked)
			'診断日
			If Not String.IsNullOrEmpty(dte024MEN040F010.Text) Then
				ldtDiseaseInfoRow.DIAGNOSIS_DT = dte024MEN040F010.Text
			End If
			'発症日
			If Not String.IsNullOrEmpty(dte026MEN040F010.Text) Then
				ldtDiseaseInfoRow.ONSET_DT = dte026MEN040F010.Text
			End If
			'終了日
			If Not String.IsNullOrEmpty(dte028MEN040F010.Text) Then
				ldtDiseaseInfoRow.END_DT = dte028MEN040F010.Text
			End If
			'抽出日
			If Not String.IsNullOrEmpty(dte111MEN040F010.Text) Then
				ldtDiseaseInfoRow.CNR_REG_EXTRACT_DT = dte111MEN040F010.Text
			End If
			'病名分類ICD10大
			ldtDiseaseInfoRow.L_GRP_CD = lbl057MEN040F010.Text
			'病名分類ICD10中
			ldtDiseaseInfoRow.M_GRP_CD = lbl059MEN040F010.Text
			'病名分類ICD10小
			ldtDiseaseInfoRow.S_GRP_CD = lbl061MEN040F010.Text
			'病名分類ICD10300
			ldtDiseaseInfoRow.GRP300_CD = lbl063MEN040F010.Text
			'病名分類ICD10ａ
			ldtDiseaseInfoRow.A_GRP_CD = lbl067MEN040F010.Text
			'病名分類ICD10ｂ
			ldtDiseaseInfoRow.B_GRP_CD = lbl069MEN040F010.Text
			'病名分類ICD10ｃ
			ldtDiseaseInfoRow.C_GRP_CD = lbl071MEN040F010.Text
			'病名分類ICD9大
			ldtDiseaseInfoRow.ICD9_L_GRP_CD = lbl074MEN040F010.Text
			'病名分類ICD9中
			ldtDiseaseInfoRow.ICD9_M_GRP_CD = lbl076MEN040F010.Text
			'ICD9補助１
			ldtDiseaseInfoRow.ICD9_ASST_GRP1_CD = lbl078MEN040F010.Text
			'ICD9補助２
			ldtDiseaseInfoRow.ICD9_ASST_GRP2_CD = lbl079MEN040F010.Text
			'ICD9補助３
			ldtDiseaseInfoRow.ICD9_ASST_GRP3_CD = lbl080MEN040F010.Text
			'死因分類
			ldtDiseaseInfoRow.DEATH_GRP_CD = lbl065MEN040F010.Text
			'院内病名コード
			ldtDiseaseInfoRow.HSP_DISEASE_CD = lbl089MEN040F010.Text
			'管理記号
			ldtDiseaseInfoRow.DISEASE_MNG_DIV = lbl091MEN040F010.Text
			'管理番号
			ldtDiseaseInfoRow.DISEASE_MNG_NO = If(String.IsNullOrEmpty(lbl092MEN040F010.Text), Nothing, CInt(lbl092MEN040F010.Text))
			'ICD0管理記号
			ldtDiseaseInfoRow.ICDO_MNG_DIV = lbl094MEN040F010.Text
			'ICD0管理番号
			ldtDiseaseInfoRow.ICDO_MNG_NO = If(String.IsNullOrEmpty(lbl095MEN040F010.Text), Nothing, CInt(lbl095MEN040F010.Text))
			'外因分類ICD10大
			ldtDiseaseInfoRow.CAUSE_L_GRP_CD = lbl084MEN040F010.Text
			'死因（外因死因分類）
			ldtDiseaseInfoRow.CAUSE_DEATH_GRP_CD = lbl087MEN040F010.Text
			'病名区分固定コード
			If cmb003MEN040F010.SelectedRowValue IsNot Nothing Then
				ldtDiseaseInfoRow.DISEASE_DIV_FIXED_CD = cmb003MEN040F010.SelectedRowValue.Item(XSP.sqlComboCom.itmFIXED_CD).ToString
			End If
			'科歴終了日
			ldtDiseaseInfoRow.CH_END_DT = Me.ChRec.END_DT
			'終了転帰コード
			ldtDiseaseInfoRow.END_OUTCOME_CD = Me.ChRec.END_OUTCOME_CD
			'退院転帰マスタ_固定コード
			ldtDiseaseInfoRow.FIXED_CD = Me.ChRec.END_OUTCOME_FIXED_CD
			'チェック
			lArList = New ArrayList
			lArList.Add(ldtDiseaseInfoRow)
			lRetErrCnt = cliMEN010F060.chkDiseaseNameInfo(lArList, Me)
			For Each lChkObj In lRetErrCnt
				If IIf(lChkObj Is Nothing, 0, lChkObj) <> 0 Then
					lRet = MsgBoxResult.No
				End If
			Next
		Catch ex As Exception
			Throw
		Finally
			ldtDiseaseInfoRow = Nothing
			lArList = Nothing
			lRetErrCnt = Nothing
			lChkObj = Nothing
		End Try
		Return lRet
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 全入力チェック
	''' </summary>
	''' <returns>成否</returns>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkDataRowAll() As Boolean
		log(clsSysMst.logLevel.DBG, "chkDataRowAll", "全入力チェック Start")
		Dim lRet As Boolean = True
		Dim lDtRow As DataRow = Nothing
		Dim ldtDiseaseInfoRow As datDiseaseNameInfo			' チェック用テーブル
		Dim lArList As ArrayList
		Dim lRetErrCnt As ArrayList
		Dim lChkObj As Object = Nothing
		Try
			lArList = New ArrayList
			For Each lDtRow In datMtiDisease.Rows
				If lDtRow.RowState = DataRowState.Deleted Then Continue For
				If lDtRow(sqlMENCOMMON.itmAddCol4NewRow).ToString = clsMENCOMMON.CONST_NEWROW Then Continue For
				ldtDiseaseInfoRow = New datDiseaseNameInfo
				With lDtRow
					ldtDiseaseInfoRow.PATIENT_NO = .Item(sqlMTI_DISEASE.itmPATIENT_NO)
					ldtDiseaseInfoRow.HSP_HISTORY_NO = .Item(sqlMTI_DISEASE.itmHSP_HISTORY_NO)
					ldtDiseaseInfoRow.CH_NO = .Item(sqlMTI_DISEASE.itmCH_NO)
					ldtDiseaseInfoRow.DISEASE_SERIAL_NO = .Item(sqlMTI_DISEASE.itmDISEASE_SERIAL_NO)
					'病名区分
					ldtDiseaseInfoRow.DISEASE_DIV = .Item(sqlMTI_DISEASE.itmDISEASE_DIV).ToString
					ldtDiseaseInfoRow.DISEASE_DIV_NM = .Item(sqlMTI_DISEASE.itmDISEASE_DIV_NM).ToString
					ldtDiseaseInfoRow.DISEASE_DIV_FIXED_CD = .Item(sqlMTI_DISEASE.itmDISEASE_DIV_FIXED_CD).ToString
					'ＩＣＤ１０
					ldtDiseaseInfoRow.ICD10_CD = .Item(sqlMTI_DISEASE.itmICD10_CD).ToString
					'ＩＣＤ９
					ldtDiseaseInfoRow.ICD9_CD = .Item(sqlMTI_DISEASE.itmICD9_CD).ToString
					'転帰
					ldtDiseaseInfoRow.DISEASE_OUTCOME_CD = .Item(sqlMTI_DISEASE.itmDISEASE_OUTCOME_CD).ToString
					ldtDiseaseInfoRow.DISEASE_OUTCOME_NM = .Item(sqlMTI_DISEASE.itmDISEASE_OUTCOME_NM).ToString
					'ＩＣＤＯ-Ｍ
					ldtDiseaseInfoRow.ICDO_FORM_CD = .Item(sqlMTI_DISEASE.itmICDO_FORM_CD).ToString
					ldtDiseaseInfoRow.ICDO_FORM_6DIGS_CD = .Item(sqlMTI_DISEASE.itmICDO_FORM_6DIGS_CD).ToString
					'外因分類
					ldtDiseaseInfoRow.CAUSE_GRP_CD = .Item(sqlMTI_DISEASE.itmCAUSE_GRP_CD).ToString
					ldtDiseaseInfoRow.CAUSE_4DIGS_CD = .Item(sqlMTI_DISEASE.itmCAUSE_4DIGS_CD).ToString
					'がん登録
					ldtDiseaseInfoRow.CNR_REG_STATUS_CD = .Item(sqlMTI_DISEASE.itmCNR_REG_STATUS_CD).ToString
					'病名
					ldtDiseaseInfoRow.DISEASE = .Item(sqlMTI_DISEASE.itmDISEASE).ToString
					'複数分類
					ldtDiseaseInfoRow.PLURAL_GRP_CD = .Item(sqlMTI_DISEASE.itmPLURAL_GRP_CD).ToString
					'備考１
					ldtDiseaseInfoRow.REMARKS1 = .Item(sqlMTI_DISEASE.itmREMARKS1).ToString
					'備考２
					ldtDiseaseInfoRow.REMARKS2 = .Item(sqlMTI_DISEASE.itmREMARKS2).ToString
					'ＩＣＤＯ-Ｍ名称
					ldtDiseaseInfoRow.ICDO_FORM_NM = .Item(sqlMTI_DISEASE.itmICDO_FORM_NM).ToString
					'標本
					ldtDiseaseInfoRow.SPECIMEN_NO = .Item(sqlMTI_DISEASE.itmSPECIMEN_NO).ToString
					'外因分類名称
					ldtDiseaseInfoRow.CAUSE_GRP_NM = .Item(sqlMTI_DISEASE.itmCAUSE_GRP_NM).ToString
					'入院契機
					If IsNumeric(.Item(sqlMTI_DISEASE.itmHSP_CHANCE_DISEASE_FLG)) Then
						ldtDiseaseInfoRow.HSP_CHANCE_DISEASE_FLG = .Item(sqlMTI_DISEASE.itmHSP_CHANCE_DISEASE_FLG)
					End If
					'医療資源投入１
					If IsNumeric(.Item(sqlMTI_DISEASE.itmDISEASE_MED_RES_FLG1)) Then
						ldtDiseaseInfoRow.DISEASE_MED_RES_FLG1 = .Item(sqlMTI_DISEASE.itmDISEASE_MED_RES_FLG1)
					End If
					'医療資源投入２
					If IsNumeric(.Item(sqlMTI_DISEASE.itmDISEASE_MED_RES_FLG2)) Then
						ldtDiseaseInfoRow.DISEASE_MED_RES_FLG2 = .Item(sqlMTI_DISEASE.itmDISEASE_MED_RES_FLG2)
					End If
					'入院時併存
					If IsNumeric(.Item(sqlMTI_DISEASE.itmHSP_DISEASE_FLG)) Then
						ldtDiseaseInfoRow.HSP_DISEASE_FLG = .Item(sqlMTI_DISEASE.itmHSP_DISEASE_FLG)
					End If
					'入院後発症
					If IsNumeric(.Item(sqlMTI_DISEASE.itmAFTER_HSP_DISEASE_FLG)) Then
						ldtDiseaseInfoRow.AFTER_HSP_DISEASE_FLG = .Item(sqlMTI_DISEASE.itmAFTER_HSP_DISEASE_FLG)
					End If
					'原死因(病名)
					If IsNumeric(.Item(sqlMTI_DISEASE.itmDEATH_DISEASE_FLG)) Then
						ldtDiseaseInfoRow.DEATH_DISEASE_FLG = .Item(sqlMTI_DISEASE.itmDEATH_DISEASE_FLG)
					End If
					'原死因(原因)
					If IsNumeric(.Item(sqlMTI_DISEASE.itmDEATH_CAUSE_FLG)) Then
						ldtDiseaseInfoRow.DEATH_CAUSE_FLG = .Item(sqlMTI_DISEASE.itmDEATH_CAUSE_FLG)
					End If
					'直接死因(病名)
					If IsNumeric(.Item(sqlMTI_DISEASE.itmDIRECT_DEATH_DISEASE_FLG)) Then
						ldtDiseaseInfoRow.DIRECT_DEATH_DISEASE_FLG = .Item(sqlMTI_DISEASE.itmDIRECT_DEATH_DISEASE_FLG)
					End If
					'診断日
					If IsDate(.Item(sqlMTI_DISEASE.itmDIAGNOSIS_DT)) Then
						ldtDiseaseInfoRow.DIAGNOSIS_DT = .Item(sqlMTI_DISEASE.itmDIAGNOSIS_DT)
					End If
					'発症日
					If IsDate(.Item(sqlMTI_DISEASE.itmONSET_DT)) Then
						ldtDiseaseInfoRow.ONSET_DT = .Item(sqlMTI_DISEASE.itmONSET_DT)
					End If
					'終了日
					If IsDate(.Item(sqlMTI_DISEASE.itmEND_DT)) Then
						ldtDiseaseInfoRow.END_DT = .Item(sqlMTI_DISEASE.itmEND_DT)
					End If
					'抽出日
					If IsDate(.Item(sqlMTI_DISEASE.itmCNR_REG_EXTRACT_DT)) Then
						ldtDiseaseInfoRow.CNR_REG_EXTRACT_DT = .Item(sqlMTI_DISEASE.itmCNR_REG_EXTRACT_DT)
					End If
					'病名分類ICD10大
					ldtDiseaseInfoRow.L_GRP_CD = .Item(sqlMTI_DISEASE.itmL_GRP_CD).ToString
					'病名分類ICD10中
					ldtDiseaseInfoRow.M_GRP_CD = .Item(sqlMTI_DISEASE.itmM_GRP_CD).ToString
					'病名分類ICD10小
					ldtDiseaseInfoRow.S_GRP_CD = .Item(sqlMTI_DISEASE.itmS_GRP_CD).ToString
					'病名分類ICD10300
					ldtDiseaseInfoRow.GRP300_CD = .Item(sqlMTI_DISEASE.itmGRP300_CD).ToString
					'病名分類ICD10ａ
					ldtDiseaseInfoRow.A_GRP_CD = .Item(sqlMTI_DISEASE.itmA_GRP_CD).ToString
					'病名分類ICD10ｂ
					ldtDiseaseInfoRow.B_GRP_CD = .Item(sqlMTI_DISEASE.itmB_GRP_CD).ToString
					'病名分類ICD10ｃ
					ldtDiseaseInfoRow.C_GRP_CD = .Item(sqlMTI_DISEASE.itmC_GRP_CD).ToString
					'病名分類ICD9大
					ldtDiseaseInfoRow.ICD9_L_GRP_CD = .Item(sqlMTI_DISEASE.itmICD9_L_GRP_CD).ToString
					'病名分類ICD9中
					ldtDiseaseInfoRow.ICD9_M_GRP_CD = .Item(sqlMTI_DISEASE.itmICD9_M_GRP_CD).ToString
					'ICD9補助１
					ldtDiseaseInfoRow.ICD9_ASST_GRP1_CD = .Item(sqlMTI_DISEASE.itmICD9_ASST_GRP1_CD).ToString
					'ICD9補助２
					ldtDiseaseInfoRow.ICD9_ASST_GRP2_CD = .Item(sqlMTI_DISEASE.itmICD9_ASST_GRP2_CD).ToString
					'ICD9補助３
					ldtDiseaseInfoRow.ICD9_ASST_GRP3_CD = .Item(sqlMTI_DISEASE.itmICD9_ASST_GRP3_CD).ToString
					'死因分類
					ldtDiseaseInfoRow.DEATH_GRP_CD = .Item(sqlMTI_DISEASE.itmDEATH_GRP_CD).ToString
					'院内病名コード
					ldtDiseaseInfoRow.HSP_DISEASE_CD = .Item(sqlMTI_DISEASE.itmHSP_DISEASE_CD).ToString
					'管理記号
					ldtDiseaseInfoRow.DISEASE_MNG_DIV = .Item(sqlMTI_DISEASE.itmDISEASE_MNG_DIV).ToString
					'管理番号
					If IsNumeric(.Item(sqlMTI_DISEASE.itmDISEASE_MNG_NO)) Then
						ldtDiseaseInfoRow.DISEASE_MNG_NO = .Item(sqlMTI_DISEASE.itmDISEASE_MNG_NO)
					End If
					'ICD0管理記号
					ldtDiseaseInfoRow.ICDO_MNG_DIV = .Item(sqlMTI_DISEASE.itmICDO_MNG_DIV).ToString
					'ICD0管理番号
					If IsNumeric(.Item(sqlMTI_DISEASE.itmICDO_MNG_NO)) Then
						ldtDiseaseInfoRow.ICDO_MNG_NO = .Item(sqlMTI_DISEASE.itmICDO_MNG_NO)
					End If
					'外因分類ICD10大
					ldtDiseaseInfoRow.CAUSE_L_GRP_CD = .Item(sqlMTI_DISEASE.itmCAUSE_L_GRP_CD).ToString
					'死因（外因死因分類）
					ldtDiseaseInfoRow.CAUSE_DEATH_GRP_CD = .Item(sqlMTI_DISEASE.itmCAUSE_DEATH_GRP_CD).ToString
					'科歴終了日
					ldtDiseaseInfoRow.CH_END_DT = Me.ChRec.END_DT
					'終了転帰コード
					ldtDiseaseInfoRow.END_OUTCOME_CD = Me.ChRec.END_OUTCOME_CD
					'退院転帰マスタ_固定コード
					ldtDiseaseInfoRow.FIXED_CD = Me.ChRec.END_OUTCOME_FIXED_CD
				End With
				lArList.Add(ldtDiseaseInfoRow)
			Next
			'チェック
			If lArList.Count > 0 Then
				lRetErrCnt = cliMEN010F060.chkDiseaseNameInfo(lArList, Me)
				For Each lChkObj In lRetErrCnt
					If IIf(lChkObj Is Nothing, 0, lChkObj) <> 0 Then
						lRet = False
					End If
				Next
			End If
		Catch ex As Exception
			Throw
		Finally
			lDtRow = Nothing
			ldtDiseaseInfoRow = Nothing
			lArList = Nothing
			lRetErrCnt = Nothing
			lChkObj = Nothing
		End Try
		Return lRet
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ローカル入力チェック
	''' </summary>
	''' <returns>成否</returns>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function ChkLocalInput() As Boolean
		log(clsSysMst.logLevel.DBG, "ChkLocalInput", "ローカル入力チェック Start")
		Dim lDtRow As DataRow = Nothing
		Dim lChkCount As Integer = 0			'入院契機病名フラグの件数
		Dim lChkFlg1Count As Integer = 0		'医療資源投入病名フラグ１の件数
		Dim lChkFlg2Count As Integer = 0		'医療資源投入病名フラグ２の件数
		Dim lDtTable As DataTable
		Dim lRetFlg As Boolean = True
		Try
			lDtTable = New DataTable
			For Each lDtRow In datMtiDisease.Rows
				If lDtRow.RowState = DataRowState.Deleted Then Continue For
				If lDtRow.Item(sqlMTI_DISEASE.itmDISEASE_SERIAL_NO) <> pNowSerialNo AndAlso IsDBNull(lDtRow.Item(sqlMTI_DISEASE.itmHSP_CHANCE_DISEASE_FLG)) = False AndAlso lDtRow.Item(sqlMTI_DISEASE.itmHSP_CHANCE_DISEASE_FLG) = clsConst.Enum_CheckBox_Flg.CheckOn Then
					lChkCount = lChkCount + 1
				End If
				If lDtRow.Item(sqlMTI_DISEASE.itmDISEASE_SERIAL_NO) <> pNowSerialNo AndAlso IsDBNull(lDtRow.Item(sqlMTI_DISEASE.itmDISEASE_MED_RES_FLG1)) = False AndAlso lDtRow.Item(sqlMTI_DISEASE.itmDISEASE_MED_RES_FLG1) = clsConst.Enum_CheckBox_Flg.CheckOn Then
					lChkFlg1Count = lChkFlg1Count + 1
				End If
				If lDtRow.Item(sqlMTI_DISEASE.itmDISEASE_SERIAL_NO) <> pNowSerialNo AndAlso IsDBNull(lDtRow.Item(sqlMTI_DISEASE.itmDISEASE_MED_RES_FLG2)) = False AndAlso lDtRow.Item(sqlMTI_DISEASE.itmDISEASE_MED_RES_FLG2) = clsConst.Enum_CheckBox_Flg.CheckOn Then
					lChkFlg2Count = lChkFlg2Count + 1
				End If
			Next
			'入院契機病名フラグのチェック
			If chk005MEN040F010.Checked Then
				Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
					db.setSQLDa(sqlMEN040F010.sqlHSP_CHANCE_DISEASE_FLG_CHK)
					db.setParamDa(MEN.sqlMEN040F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
					db.setParamDa(MEN.sqlMEN040F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
					db.setParamDa(MEN.sqlMEN040F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
					db.setParamDa(MEN.sqlMEN040F010.prmCheckFlg, clsDB.Enum_dbType.dbInt)
					db.setValDa(MEN.sqlMEN040F010.prmPATIENT_NO, Me.PatientNo)
					db.setValDa(MEN.sqlMEN040F010.prmHSP_HISTORY_NO, Me.HspHistoryNo, False)
					db.setValDa(MEN.sqlMEN040F010.prmCH_NO, Me.ChNo, False)
					db.setValDa(MEN.sqlMEN040F010.prmCheckFlg, clsConst.Enum_CheckBox_Flg.CheckOn, False)
					db.execQueryDa(lDtTable)
					If lDtTable.Rows.Count <> 0 Then
						If lDtTable.Rows(0).Item(sqlMEN010F060.itmCNT) > 0 Then lChkCount = lChkCount + 1
					End If
				End Using
				If Not lChkCount = 0 Then
					If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00066) = CStr(clsConst.Enum_InHspChangeDiseaseDup.Possible) Then
						If confMsg("Q0005", MessageBoxButtons.YesNo, MessageBoxDefaultButton.Button2, "既に入院契機となった病名が選択されています。登録", Nothing) <> MsgBoxResult.Yes Then
							Return False
						End If
					Else
						Me.addErrList("E0012", String.Empty, "入院契機病名フラグ", "入院契機となった病名が選択", Nothing)
						lRetFlg = False
					End If
				End If
			End If
			'医療資源投入病名フラグ１のチェック
			If chk007MEN040F010.Checked Then
				Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
					db.setSQLDa(sqlMEN040F010.sqlDISEASE_MED_RES_FLG1_CHK)
					db.setParamDa(MEN.sqlMEN040F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
					db.setParamDa(MEN.sqlMEN040F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
					db.setParamDa(MEN.sqlMEN040F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
					db.setParamDa(MEN.sqlMEN040F010.prmCheckFlg, clsDB.Enum_dbType.dbInt)
					db.setValDa(MEN.sqlMEN040F010.prmPATIENT_NO, Me.PatientNo)
					db.setValDa(MEN.sqlMEN040F010.prmHSP_HISTORY_NO, Me.HspHistoryNo, False)
					db.setValDa(MEN.sqlMEN040F010.prmCH_NO, Me.ChNo, False)
					db.setValDa(MEN.sqlMEN040F010.prmCheckFlg, clsConst.Enum_CheckBox_Flg.CheckOn, False)
					db.execQueryDa(lDtTable)
					If lDtTable.Rows.Count <> 0 Then
						If lDtTable.Rows(0).Item(sqlMEN010F060.itmCNT) > 0 Then lChkFlg1Count = lChkFlg1Count + 1
					End If
				End Using
				If Not lChkFlg1Count = 0 Then
					Me.addErrList("E0012", String.Empty, "医療資源投入病名フラグ１", "医療資源投入病名フラグ１となった病名が選択", Nothing)
					lRetFlg = False
				End If
			End If
			'医療資源投入病名フラグ２のチェック
			If chk008MEN040F010.Checked Then
				Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
'(M) STR V4-11004-000 004 20110727 FJSK)荒川 XXX号 病歴大将V4PKG問題点No85 病名登録-医療資源第２位チェック対応
					'db.setSQLDa(sqlMEN040F010.sqlDISEASE_MED_RES_FLG1_CHK)
					db.setSQLDa(sqlMEN040F010.sqlDISEASE_MED_RES_FLG2_CHK)
'(M) END V4-11004-000 004 20110727
					db.setParamDa(MEN.sqlMEN040F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
					db.setParamDa(MEN.sqlMEN040F010.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
					db.setParamDa(MEN.sqlMEN040F010.prmCH_NO, clsDB.Enum_dbType.dbInt)
					db.setParamDa(MEN.sqlMEN040F010.prmCheckFlg, clsDB.Enum_dbType.dbInt)
					db.setValDa(MEN.sqlMEN040F010.prmPATIENT_NO, Me.PatientNo)
					db.setValDa(MEN.sqlMEN040F010.prmHSP_HISTORY_NO, Me.HspHistoryNo, False)
					db.setValDa(MEN.sqlMEN040F010.prmCH_NO, Me.ChNo, False)
					db.setValDa(MEN.sqlMEN040F010.prmCheckFlg, clsConst.Enum_CheckBox_Flg.CheckOn, False)
					db.execQueryDa(lDtTable)
					If lDtTable.Rows.Count <> 0 Then
						If lDtTable.Rows(0).Item(sqlMEN010F060.itmCNT) > 0 Then lChkFlg2Count = lChkFlg2Count + 1
					End If
				End Using
				If Not lChkFlg2Count = 0 Then
					Me.addErrList("E0012", String.Empty, "医療資源投入病名フラグ２", "医療資源投入病名フラグ２となった病名が選択", Nothing)
					lRetFlg = False
				End If
			End If
			'主病名重複チェック
			If cmb003MEN040F010.SelectedRowValue IsNot Nothing AndAlso cmb003MEN040F010.SelectedRowValue.Item(XSP.sqlComboCom.itmFIXED_CD).ToString = CStr(clsConst.Enum_Disease_Div_Fix1.MainDisease) Then
				For Each lDtRow In datMtiDisease.Rows
					If lDtRow.RowState = DataRowState.Deleted Then Continue For
					If lDtRow.Item(sqlMTI_DISEASE.itmDISEASE_SERIAL_NO) = pNowSerialNo Then Continue For
					If lDtRow.Item(sqlMTI_DISEASE.itmDISEASE_DIV).ToString = cmb003MEN040F010.Text Then
						Me.addErrList("E0012", String.Empty, "主病名重複", "主病名となった病名が選択", Nothing)
						lRetFlg = False
						Exit For
					End If
				Next
			End If
			'死因病名、死因外因フラグチェック
			If chk097MEN040F010.Checked OrElse chk098MEN040F010.Checked Then
				For Each lDtRow In datMtiDisease.Rows
					If lDtRow.RowState = DataRowState.Deleted Then Continue For
					If lDtRow.Item(sqlMTI_DISEASE.itmDISEASE_SERIAL_NO) = pNowSerialNo Then Continue For
					Select Case CStr(clsConst.Enum_CheckBox_Flg.CheckOn)
						Case lDtRow.Item(sqlMTI_DISEASE.itmDEATH_DISEASE_FLG).ToString
						Case lDtRow.Item(sqlMTI_DISEASE.itmDEATH_CAUSE_FLG).ToString
						Case Else
							Continue For
					End Select
					Me.addErrList("E0012", String.Empty, "死因フラグ", "死因となった病名が選択", Nothing)
					lRetFlg = False
					Exit For
				Next
			End If
			'直接死因病名フラグチェック
			If chk101MEN040F010.Checked Then
				For Each lDtRow In datMtiDisease.Rows
					If lDtRow.RowState = DataRowState.Deleted Then Continue For
					If lDtRow.Item(sqlMTI_DISEASE.itmDISEASE_SERIAL_NO) = pNowSerialNo Then Continue For
					Select Case CStr(clsConst.Enum_CheckBox_Flg.CheckOn)
						Case lDtRow.Item(sqlMTI_DISEASE.itmDIRECT_DEATH_DISEASE_FLG).ToString
						Case Else
							Continue For
					End Select
					Me.addErrList("E0012", String.Empty, "直接死因病名フラグ", "死因となった病名が選択", Nothing)
					lRetFlg = False
					Exit For
				Next
			End If
			Return lRetFlg
		Catch ex As Exception
			Throw
		Finally
			lDtRow = Nothing
			lChkCount = Nothing
			lDtTable = Nothing
			lChkFlg1Count = Nothing
			lChkFlg2Count = Nothing
			lRetFlg = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 修飾語追加処理
	''' </summary>
	''' <param name="aString">追加文字</param>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub ApdDiseaseName(ByVal aString As String, ByVal aMdfrInsItemJudg As String)
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "ApdDiseaseName", "修飾語追加処理 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "修飾語追加処理 Start")
'(M) END V4-11023-000 004 20110816
		Try
			If String.IsNullOrEmpty(aString) Then Exit Sub
			If String.IsNullOrEmpty(cmb015MEN040F010.Text) = False AndAlso String.IsNullOrEmpty(cmb013MEN040F010.Text) Then
				Exit Sub
			End If
			If aMdfrInsItemJudg = clsConst.Enum_MdfrInsItemJudg.Prefix Then
				txt016MEN040F010.Text = aString & txt016MEN040F010.Text
			Else
				txt016MEN040F010.Text = txt016MEN040F010.Text & aString
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 修飾語Load処理
	''' </summary>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub LoadModificationName()
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "LoadModificationName", "修飾語Load処理 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "修飾語Load処理 Start")
'(M) END V4-11023-000 004 20110816
		Dim SpecialItems As ArrayList
		Dim lHashItems As Hashtable
		Dim cliLASTVALUE As clsXTI_LASTVALUE
		Dim lLastValue As XCM.datXTI_LASTVALUE = Nothing
		Try
			SpecialItems = New ArrayList
			lHashItems = New Hashtable
			'前回値取得
			cliLASTVALUE = New clsXTI_LASTVALUE(Me)
			SpecialItems = cliLASTVALUE.getLastValueMdfr(clsConst.CST_XSP190F010_ID)
			'項目初期化
			btn030MEN040F010.Text = String.Empty
			btn031MEN040F010.Text = String.Empty
			btn032MEN040F010.Text = String.Empty
			btn033MEN040F010.Text = String.Empty
			btn034MEN040F010.Text = String.Empty
			btn035MEN040F010.Text = String.Empty
			btn036MEN040F010.Text = String.Empty
			btn037MEN040F010.Text = String.Empty
			If SpecialItems Is Nothing Then Exit Sub
			'項目設定
			For Each lLastValue In SpecialItems
				Select Case lLastValue.OBJECT_NM
					Case clsConst.CST_MDFR1_BTN
						btn030MEN040F010.Text = lLastValue.LASTVALUE.ToString
					Case clsConst.CST_MDFR2_BTN
						btn031MEN040F010.Text = lLastValue.LASTVALUE.ToString
					Case clsConst.CST_MDFR3_BTN
						btn032MEN040F010.Text = lLastValue.LASTVALUE.ToString
					Case clsConst.CST_MDFR4_BTN
						btn033MEN040F010.Text = lLastValue.LASTVALUE.ToString
					Case clsConst.CST_MDFR5_BTN
						btn034MEN040F010.Text = lLastValue.LASTVALUE.ToString
					Case clsConst.CST_MDFR6_BTN
						btn035MEN040F010.Text = lLastValue.LASTVALUE.ToString
					Case clsConst.CST_MDFR7_BTN
						btn036MEN040F010.Text = lLastValue.LASTVALUE.ToString
					Case clsConst.CST_MDFR8_BTN
						btn037MEN040F010.Text = lLastValue.LASTVALUE.ToString
					Case clsConst.CST_MDFR1_CONPOSIDIV
						pMdfrkey1 = lLastValue.LASTVALUE.ToString
					Case clsConst.CST_MDFR2_CONPOSIDIV
						pMdfrkey2 = lLastValue.LASTVALUE.ToString
					Case clsConst.CST_MDFR3_CONPOSIDIV
						pMdfrkey3 = lLastValue.LASTVALUE.ToString
					Case clsConst.CST_MDFR4_CONPOSIDIV
						pMdfrkey4 = lLastValue.LASTVALUE.ToString
					Case clsConst.CST_MDFR5_CONPOSIDIV
						pMdfrkey5 = lLastValue.LASTVALUE.ToString
					Case clsConst.CST_MDFR6_CONPOSIDIV
						pMdfrkey6 = lLastValue.LASTVALUE.ToString
					Case clsConst.CST_MDFR7_CONPOSIDIV
						pMdfrkey7 = lLastValue.LASTVALUE.ToString
					Case clsConst.CST_MDFR8_CONPOSIDIV
						pMdfrkey8 = lLastValue.LASTVALUE.ToString
					Case Else
				End Select
			Next
		Catch ex As Exception
			Throw
		Finally
			lHashItems = Nothing
			cliLASTVALUE = Nothing
			SpecialItems = Nothing
			lLastValue = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' がん登録状況取得処理
	''' </summary>
	''' <param name="aICD10String">ＩＣＤ１０コード</param>
	''' <param name="aMainDisease">主病名</param>
	''' <param name="aSkipEnv">動作環境設定を見ない</param>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function Chg_StateEnterCancer(ByVal aICD10String As String, ByVal aMainDisease As Boolean, Optional ByVal aSkipEnv As Boolean = False) As String
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "Chg_StateEnterCancer", "がん登録状況取得処理 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "がん登録状況取得処理 Start")
'(M) END V4-11023-000 004 20110816
		Dim lDtRows() As DataRow = Nothing
		Dim lRetString As String = String.Empty
		Try
			'対象でない場合処理を抜ける
			If aSkipEnv = False Then
				Select Case clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00032)
					Case CStr(clsConst.Enum_DiseaseCnrRegSet.AllDisease)
					Case CStr(clsConst.Enum_DiseaseCnrRegSet.MainDisease)
						'病名区分が主病名の場合のみ
						If Not aMainDisease Then Return lRetString
					Case Else
						Return lRetString
				End Select
			End If
			'ICD10が無い場合は処理を抜ける
			If String.IsNullOrEmpty(aICD10String) Then Return lRetString
			'範囲チェック
			lDtRows = datMtmImpDisease.Select(Replace(CONST_CANCER_SELECT, sqlMEN040F010.prmICD10_CD, LSet(aICD10String & CONST_CANCER_SELECT_ZERO, Len(CONST_CANCER_SELECT_ZERO))))
			If lDtRows.Length = 0 Then
				lRetString = pCnrRegStatusCdNotExtract
			Else
				lRetString = pCnrRegStatusCdPlan
			End If
			Return lRetString
		Catch ex As Exception
			Throw
		Finally
			lDtRows = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' がん登録状況のデフォルト値取得処理
	''' </summary>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub getCnrRegStatusDefaultValue()
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "getCnrRegStatusDefaultValue", "がん登録状況のデフォルト値取得処理 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "がん登録状況のデフォルト値取得処理 Start")
'(M) END V4-11023-000 004 20110816
		Dim lDtRow As DataRow = Nothing
		Try
			If TypeOf cmb108MEN040F010.DataSource Is DataTable Then
				For Each lDtRow In CType(cmb108MEN040F010.DataSource, DataTable).Rows
					Select Case lDtRow(XSP.sqlComboCom.itmFIXED_CD).ToString
						Case CStr(clsConst.Enum_ClrRegStatus_Fix1.Plan)
							pCnrRegStatusCdPlan = lDtRow.Item(XSP.sqlComboCom.itmREG_STATUS_CD)
						Case CStr(clsConst.Enum_ClrRegStatus_Fix1.Finish)
							pCnrRegStatusCdFinish = lDtRow.Item(XSP.sqlComboCom.itmREG_STATUS_CD)
						Case CStr(clsConst.Enum_ClrRegStatus_Fix1.NotExtract)
							pCnrRegStatusCdNotExtract = lDtRow.Item(XSP.sqlComboCom.itmREG_STATUS_CD)
						Case Else
					End Select
				Next
			End If
		Catch ex As Exception
			Throw
		Finally
			lDtRow = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' がん登録状況の名称取得処理
	''' </summary>
	''' <param name="aCnrRegStatusCd">がん登録状況コード</param>
	''' <param name="aCnrRegStatusNm">がん登録状況名</param>
	''' <param name="aCnrRegStatusRnm">がん登録状況略称名</param>
	''' <param name="aCnrRegStatusFixedCd">がん登録状況固定コード</param>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub getCnrRegStatusNm(ByVal aCnrRegStatusCd As String, ByRef aCnrRegStatusNm As String, ByRef aCnrRegStatusRnm As String, ByRef aCnrRegStatusFixedCd As String)
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "getCnrRegStatusNm", "がん登録状況の名称取得処理 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "がん登録状況の名称取得処理 Start")
'(M) END V4-11023-000 004 20110816
		Dim lDtRow As DataRow = Nothing
		Try
			aCnrRegStatusNm = String.Empty
			aCnrRegStatusRnm = String.Empty
			aCnrRegStatusFixedCd = String.Empty
			If TypeOf cmb108MEN040F010.DataSource Is DataTable Then
				For Each lDtRow In CType(cmb108MEN040F010.DataSource, DataTable).Select(Replace(CONST_CNR_REG_STATUS_SELECT, sqlMTI_DISEASE.prmCNR_REG_STATUS_CD, aCnrRegStatusCd))
					aCnrRegStatusNm = lDtRow.Item(XSP.sqlComboCom.itmREG_STATUS_NM)
					aCnrRegStatusRnm = lDtRow.Item(XSP.sqlComboCom.itmREG_STATUS_RNM)
					aCnrRegStatusFixedCd = lDtRow.Item(XSP.sqlComboCom.itmFIXED_CD)
				Next
			End If
		Catch ex As Exception
			Throw
		Finally
			lDtRow = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 病名情報更新処理
	''' </summary>
	''' <remarks>
	''' 2010/12/10 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub UpdProcDisease()
		log(clsSysMst.logLevel.DBG, "UpdProcDisease", "病名情報更新処理 Start")
		Dim lSerialNo As Integer = 0
		Dim ldv As DataView = datMtiDisease.DefaultView
		Dim lInsertCount As Integer = 0			' 病名追加数
		Dim lRegCount As Integer = 0			' がん登録数
		Dim lRegExpectedCount As Integer = 0	' がん登録予定数
		Try
			'更新モード以外は抜ける
			If Me.ExeMode <> Enum_ExeMode.eEntry Then Exit Sub

			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData), cliDisease As clsMTI_DISEASE = New clsMTI_DISEASE, cliCh As clsMTI_CH = New clsMTI_CH
				' トランザクション開始
				db.ctlTran(clsDB.Enum_TranMode.Begin)
				Try
					' 病名情報の対象レコード削除
					cliDisease.execDelDiseaseCh(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
					' 病名情報を登録
					ldv.Sort = sqlMTI_DISEASE.itmDISEASE_SERIAL_NO
					For Each lDtRow As DataRow In ldv.ToTable.Rows
						Select Case lDtRow.RowState
							Case DataRowState.Added, DataRowState.Modified, DataRowState.Unchanged		' 追加 変更 変更なし
								' キーが入っていないものは登録しない
								If IsDBNull(lDtRow(sqlMTI_DISEASE.itmDISEASE_DIV)) OrElse String.IsNullOrEmpty(lDtRow(sqlMTI_DISEASE.itmDISEASE_DIV)) Then Continue For
								If IsDBNull(lDtRow(sqlMTI_DISEASE.itmDISEASE)) OrElse String.IsNullOrEmpty(lDtRow(sqlMTI_DISEASE.itmDISEASE)) Then Continue For
								lSerialNo = lSerialNo + 1
							Case Else
								Continue For
						End Select

						' 更新
						lDtRow(sqlMTI_DISEASE.itmPATIENT_NO) = Me.PatientNo
						lDtRow(sqlMTI_DISEASE.itmHSP_HISTORY_NO) = Me.HspHistoryNo
						lDtRow(sqlMTI_DISEASE.itmCH_NO) = Me.ChNo
						lDtRow(sqlMTI_DISEASE.itmDISEASE_SERIAL_NO) = lSerialNo
						cliDisease.execInsDiseaseOneRec(db, lDtRow)

						' 病名数
						lInsertCount = lInsertCount + 1
						Select Case lDtRow(sqlMTI_DISEASE.itmCNR_REG_STATUS_CD).ToString
							Case pCnrRegStatusCdFinish	'がん登録数
								If String.IsNullOrEmpty(pCnrRegStatusCdFinish) = False Then lRegCount = lRegCount + 1
							Case pCnrRegStatusCdPlan	'がん登録予定数
								If String.IsNullOrEmpty(pCnrRegStatusCdPlan) = False Then lRegExpectedCount = lRegExpectedCount + 1
							Case Else
						End Select
					Next
					' 科歴情報の更新を行う
					cliCh.execUpdChDiseaseCountPlus(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo, lInsertCount, lRegCount, lRegExpectedCount)
					' コミット
					db.ctlTran(clsDB.Enum_TranMode.Commit)
				Catch ex As Exception
					' ロールバック
					db.ctlTran(clsDB.Enum_TranMode.RollBack)
					Throw
				End Try
			End Using
		Catch ex As Exception
			Throw
		Finally
			ldv = Nothing
			lSerialNo = Nothing
			lRegCount = Nothing
			lRegExpectedCount = Nothing
			lInsertCount = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ICD10のコンボボックスデータセット処理
	''' </summary>
	''' <remarks>
	''' 2010/12/10 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setICD10ComboDataSource()
		log(clsSysMst.logLevel.DBG, "setICD10ComboDataSource", "ICD10のコンボボックスデータセット処理 Start")
		Dim lwkICD10_CD As String = String.Empty
		Dim lwkMNG_DIV As String = String.Empty
		Dim lwkMNG_NO As String = String.Empty
		Try
			' コンボボックスの値を退避する
			pIcd10ChFlg = True
			lwkICD10_CD = cmb013MEN040F010.Text		'ＩＣＤ１０コード
			lwkMNG_DIV = lbl091MEN040F010.Text		'管理記号
			lwkMNG_NO = lbl092MEN040F010.Text		'管理番号
			' コンボボックスの内容を設定する
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				cliCombo.setICD10Combo(Me, cmb013MEN040F010, db)
				cmb013MEN040F010.setDropDownWidth()
			End Using
			' コンボボックスに値を戻す
			cliCom.setManyValueComboValue(cmb013MEN040F010, lwkICD10_CD, lwkMNG_DIV, lwkMNG_NO)
		Catch ex As Exception
			Throw
		Finally
			pIcd10ChFlg = False
			lwkICD10_CD = Nothing
			lwkMNG_DIV = Nothing
			lwkMNG_NO = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' グリッドの行確定処理
	''' </summary>
	''' <remarks>
	''' 2010/12/10 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub selGridView()
		log(clsSysMst.logLevel.DBG, "selGridView", "グリッドの行確定処理 クリック Start")
		Try
			If pNowSerialNo = 0 Then Exit Sub
			If Not setDataRow(srhSerialNo(pNowSerialNo, True), False) Then
				srhSerialNo(pNowSerialNo)
				dgv001MEN040F010.Refresh()
				Exit Sub
			End If
			dspDataRow()
		Catch ex As Exception
			Throw
		End Try
	End Sub

'(A) STR V4-13014-000 028 20130213 ID)平井(区分のマウススクロールによる変更抑止)
	''' ---------------------------------------------
	''' <summary>
	''' 初期フォーカス設定
	''' </summary>
	''' <remarks>
	''' 2013/02/13 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setInitialFocus()
		log(clsSysMst.logLevel.DBG, "setInitialFocus", "初期フォーカス設定 Start")
		Try
			If String.IsNullOrEmpty(cmb003MEN040F010.Text) Then
				cmb003MEN040F010.Focus()
			Else
				If dgv001MEN040F010.Rows IsNot Nothing AndAlso _
					dgv001MEN040F010.SelectedRows IsNot Nothing AndAlso _
					String.IsNullOrEmpty(dgv001MEN040F010.SelectedRows(0).Cells(CONTROL_C02001MEN040F010).Value.ToString) Then
					cmb003MEN040F010.Focus()
				Else
					txt016MEN040F010.Focus()
				End If
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub
'(A) END V4-13014-000 028 20130213

#End Region

#Region "オーバーライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 表示切替処理
	''' </summary>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function DispChangeProc(ByVal flg As Boolean) As Boolean
		log(clsSysMst.logLevel.DBG, "DispChangeProc", "表示切替処理 Start")
		Try
			Me.tab039MEN040F010.SelectedIndex = IIf(flg, 1, 0)
		Catch ex As Exception
			Throw
		End Try
		Return True
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 更新処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function UpdProc() As Boolean
		log(clsSysMst.logLevel.DBG, "UpdProc", "更新処理 Start")
		Dim lDtRow As DataRow = Nothing
		Dim lExistFlg As Boolean = False
		Try
			' 現状行のDataTable反映
			If Not setDataRow(srhSerialNo(pNowSerialNo, True), False) Then
				Return False
			End If
			dspDataRow()
			' 全入力行のチェック処理
			If Not chkDataRowAll() Then
				If Me.getErrCount <> 0 Then nextErrForm()
				Return False
			End If
			'主病名チェック
			For Each lDtRow In datMtiDisease.Rows
				If lDtRow.RowState = DataRowState.Deleted Then Continue For
				If lDtRow(sqlMENCOMMON.itmAddCol4NewRow).ToString = clsMENCOMMON.CONST_NEWROW Then Continue For
				If lDtRow.Item(sqlMTI_DISEASE.itmDISEASE_DIV_FIXED_CD).ToString = CStr(clsConst.Enum_Disease_Div_Fix1.MainDisease) Then
					lExistFlg = False
					Exit For
				End If
				lExistFlg = True
			Next
			If lExistFlg AndAlso confMsg("Q0005", MessageBoxButtons.YesNo, MessageBoxDefaultButton.Button2, "主病名が入力されていません。このまま登録", Nothing) <> MsgBoxResult.Yes Then
				Return False
			End If
			Return True
		Catch ex As Exception
			Throw
		Finally
			lDtRow = Nothing
			lExistFlg = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ＤＢ更新
	''' </summary>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function DBProc() As Boolean
		log(clsSysMst.logLevel.DBG, "DBProc", "ＤＢ更新 Start")
		Try
			' 更新処理
			UpdProcDisease()
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 上へ処理
	''' </summary>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function UpWardProc() As Boolean
		log(clsSysMst.logLevel.DBG, "UpWardProc", "上へ処理 クリック Start")
		Try
			chgUpDownGrid(dgv001MEN040F010.CurrentCell.RowIndex, dgv001MEN040F010.CurrentCell.RowIndex - 1)
			' フォーカスを病名区分へ
'(M) STR V4-13014-000 008 20130213 ID)平井(区分のマウススクロールによる変更抑止)
'			cmb003MEN040F010.Focus()
			setInitialFocus()
'(M) END V4-13014-000 008 20130213
			Return True
		Catch ex As Exception
			Throw
		End Try
		Return MyBase.UpWardProc()
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 下へ処理
	''' </summary>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function DownWardProc() As Boolean
		log(clsSysMst.logLevel.DBG, "DownWardProc", "下へ処理 クリック Start")
		Try
			chgUpDownGrid(dgv001MEN040F010.CurrentCell.RowIndex, dgv001MEN040F010.CurrentCell.RowIndex + 1)
			' フォーカスを病名区分へ
'(M) STR V4-13014-000 008 20130213 ID)平井(区分のマウススクロールによる変更抑止)
'			cmb003MEN040F010.Focus()
			setInitialFocus()
'(M) END V4-13014-000 008 20130213
			Return True
		Catch ex As Exception
			Throw
		End Try
		Return MyBase.DownWardProc()
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' カーソル上移動処理
	''' </summary>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function Func1Proc() As Boolean
		log(clsSysMst.logLevel.DBG, "Func1Proc", "カーソル上移動処理 クリック Start")
		Try
			GrdRowUpDownIndex(True)
'(M) STR V4-13014-000 008 20130213 ID)平井(区分のマウススクロールによる変更抑止)
'			cmb003MEN040F010.Focus()
			setInitialFocus()
'(M) END V4-13014-000 008 20130213
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' カーソル下移動処理
	''' </summary>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function Func2Proc() As Boolean
		log(clsSysMst.logLevel.DBG, "Func2Proc", "カーソル下移動処理 クリック Start")
		Try
			GrdRowUpDownIndex(False)
'(M) STR V4-13014-000 008 20130213 ID)平井(区分のマウススクロールによる変更抑止)
'			cmb003MEN040F010.Focus()
			setInitialFocus()
'(M) END V4-13014-000 008 20130213
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' マスタより処理
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function Func3Proc() As Boolean
		log(clsSysMst.logLevel.DBG, "Func3Proc", "マスタより処理 クリック Start")
		Try
			' データ保存
			If Not setDataRow(srhSerialNo(pNowSerialNo, True)) Then Return True
			'検索画面表示
'(M) STR V4-13014-000 008 20130213 ID)平井(区分のマウススクロールによる変更抑止)
'			cmb003MEN040F010.Focus()
			setInitialFocus()
'(M) END V4-13014-000 008 20130213
			nextForm(New XSP.XSP110F010(CONST_BTN008MEN000F010, Me.BasicInfoRec.GENDER_CD))
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 過去より処理
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function Func4Proc() As Boolean
		log(clsSysMst.logLevel.DBG, "Func4Proc", "過去より処理 クリック Start")
		Try
			' データ保存
			If Not setDataRow(srhSerialNo(pNowSerialNo, True)) Then Return True
'(M) STR V4-13014-000 008 20130213 ID)平井(区分のマウススクロールによる変更抑止)
'			cmb003MEN040F010.Focus()
			setInitialFocus()
'(M) END V4-13014-000 008 20130213
			nextForm(New MEN.MEN040F020(Me.PatientNo, Me.HspHistoryNo, Me.ChNo, datMtiDisease))
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ﾏｽﾀ登録処理
	''' </summary>
	''' <remarks>
	''' 2010/11/29 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function Func5Proc() As Boolean
		log(clsSysMst.logLevel.DBG, "Func5Proc", "ﾏｽﾀ登録処理 クリック Start")
		Try
			If String.IsNullOrEmpty(lbl091MEN040F010.Text) OrElse lbl091MEN040F010.Text.Equals(clsMENCOMMON.CONST_MNGSIGN_F) = False Then
				showMsg("E0003", "病歴大将で追加した情報でない", "マスタに追加", Nothing)
				Return False
			End If
'(M) STR V4-13014-000 008 20130213 ID)平井(区分のマウススクロールによる変更抑止)
'			cmb003MEN040F010.Focus()
			setInitialFocus()
'(M) END V4-13014-000 008 20130213
			'起動時の引数（管理記号、管理番号、病名、院内病名コード）
			nextForm(New MEN.MEN040F030(lbl091MEN040F010.Text, lbl092MEN040F010.Text, txt016MEN040F010.Text, lbl089MEN040F010.Text))		'病名マスタ追加
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' Ｆ３キー押下による追加
	''' </summary>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function FuncAddProc() As Boolean
		log(clsSysMst.logLevel.DBG, "FuncAddProc", "Ｆ３キー押下 Start")
		Try
			' グリッドに反映
			If Not setDataRow(srhSerialNo(pNowSerialNo, True), False) Then Return True
			AddNewRow()
			dspDataRow()
			' ソート処理を行う
			sortDatMtiDisease()
'(M) STR V4-13014-000 008 20130213 ID)平井(区分のマウススクロールによる変更抑止)
'			cmb003MEN040F010.Focus()
			setInitialFocus()
'(M) END V4-13014-000 008 20130213
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' Ｆ５キー押下による削除
	''' </summary>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function FuncDeleteProc() As Boolean
		log(clsSysMst.logLevel.DBG, "FuncDeleteProc", "Ｆ５キー押下 Start")
		Dim lGridViewRow As DataGridViewRow = Nothing
		Dim lDataRowView As DataRowView = Nothing
		Dim lDataRow As DataRow = Nothing
		Try
			lGridViewRow = dgv001MEN040F010.CurrentRow
			If lGridViewRow Is Nothing Then Return False
			If confMsg("Q0005", MessageBoxButtons.YesNo, MessageBoxDefaultButton.Button2, "削除", Nothing) = MsgBoxResult.Yes Then
				' 選択行レコード取得
				lDataRowView = CType(lGridViewRow.DataBoundItem, DataRowView)
				lDataRow = CType(lDataRowView.Row, DataRow)
				' 最終行の場合は１つカーソルを前に移動する
				If dgv001MEN040F010.CurrentCell.RowIndex = dgv001MEN040F010.Rows.Count - 1 AndAlso dgv001MEN040F010.Rows.Count <> 1 Then
					dgv001MEN040F010.Rows(dgv001MEN040F010.Rows.Count - 2).Cells(1).Selected = True
				End If
				lDataRow.Delete()
				' すべて削除されている場合は新規追加
				If dgv001MEN040F010.Rows.Count = 0 Then
					AddNewRow()
					dspDataRow()
				Else
					dspDataRow()
				End If
			End If
'(M) STR V4-13014-000 008 20130213 ID)平井(区分のマウススクロールによる変更抑止)
'			cmb003MEN040F010.Focus()
			setInitialFocus()
'(M) END V4-13014-000 008 20130213
			Return True
		Catch ex As Exception
			Throw
		Finally
			lGridViewRow = Nothing
			lDataRowView = Nothing
			lDataRow = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' Ｆ７キー押下による保存
	''' </summary>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function FuncExecProc() As Boolean
		log(clsSysMst.logLevel.DBG, "FuncExecProc", "Ｆ７キー押下 Start")
		Try
			If Not setDataRow(srhSerialNo(pNowSerialNo, True)) Then Return True
			cliMENCOMMON.dspUpDownButtonFace(dgv001MEN040F010, Me)
			dspDataRow()
'(M) STR V4-13014-000 008 20130213 ID)平井(区分のマウススクロールによる変更抑止)
'			cmb003MEN040F010.Focus()
			setInitialFocus()
'(M) END V4-13014-000 008 20130213
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' Ｆ８キー押下による取消し
	''' </summary>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function FuncCancelProc() As Boolean
		log(clsSysMst.logLevel.DBG, "FuncCancelProc", "Ｆ８キー押下 Start")
		Try
			If confMsg("Q0001", MessageBoxButtons.YesNo, MessageBoxDefaultButton.Button2, "修正内容を取消します。", Nothing) = MsgBoxResult.Yes Then
				dspDataRow()
			End If
'(M) STR V4-13014-000 008 20130213 ID)平井(区分のマウススクロールによる変更抑止)
'			cmb003MEN040F010.Focus()
			setInitialFocus()
'(M) END V4-13014-000 008 20130213
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 子画面からデータ受信処理
	''' </summary>
	''' <param name="fret"></param>
	''' <param name="de"></param>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub rcvData(ByVal fret As Enum_FormReturn, ByVal de As DictionaryEntry)
		log(clsSysMst.logLevel.DBG, "rcvData", "子画面からデータ受信処理 Start")
		Dim ldatDiseaseOneRec As datMTM_DISEASE_OneRec = Nothing
		Dim ldatDisease9OneRec As datMTM_DISEASE9_OneRec = Nothing
		Dim ldatDiseaseFormAddOneRec As datMTM_DISEASE_FORM_OneRecAdd = Nothing
		Dim ldatMtiDiseasePlusOneRec As datMTI_DISEASE_PLUS_OneRec = Nothing
		Dim ldatCauseGrpAddOneRec As datMTM_CAUSE_GRP_OneRecAdd = Nothing
		Dim ldatDiseaseMdfrAddOneRec As datMTM_DISEASE_MDFR_OneRecAdd = Nothing
		Dim lPrefixString As String = String.Empty
		Dim lSuffixString As String = String.Empty
		Dim lwkString As String = String.Empty
		Dim lChk As Boolean = False		' 主病名フラグ
		Dim lAddSeq As Integer = 0
		Try
			Select Case de.Key
				Case CONST_CMB013MEN040F010, CONST_BTN017MEN040F010	'ICD10 OR 名称検索
					If Not TryCast(de.Value, ArrayList) Is Nothing Then
						cmb022MEN000F040.SelectedValue = CType(de.Value, ArrayList)(0)
						setICD10ComboDataSource()
						If CType(de.Value, ArrayList).Count < clsMENCOMMON.CONST_XSP110_RETRUNCOUNT Then Exit Sub
						ldatDiseaseOneRec = CType(CType(de.Value, ArrayList)(1), datMTM_DISEASE_OneRec)
						'ＩＣＤ10コード
						pIcd10ChFlg = True
						cliCom.setManyValueComboValue(cmb013MEN040F010, ldatDiseaseOneRec.ICD10_CD, ldatDiseaseOneRec.MNG_DIV, ldatDiseaseOneRec.MNG_NO)
						'病名
						If String.IsNullOrEmpty(txt016MEN040F010.Text) OrElse cmb022MEN000F040.SelectedValue = CStr(clsConst.Enum_OverWrite.OverWrite) Then
							txt016MEN040F010.Text = ldatDiseaseOneRec.DISEASE_NM
						End If
						'複数分類コード
						txt022MEN040F010.Text = ldatDiseaseOneRec.ICD10_PLURAL_GRP_CD
						'院内病名コード
						lbl089MEN040F010.Text = ldatDiseaseOneRec.HSP_DISEASE_CD
						'病名分類ICD10大
						lbl057MEN040F010.Text = ldatDiseaseOneRec.L_GRP_CD
						'病名分類ICD10中
						lbl059MEN040F010.Text = ldatDiseaseOneRec.M_GRP_CD
						'病名分類ICD10小
						lbl061MEN040F010.Text = ldatDiseaseOneRec.S_GRP_CD
						'病名分類ICD10300
						lbl063MEN040F010.Text = ldatDiseaseOneRec.GRP300_CD
						'病名分類ICD10ａ
						lbl067MEN040F010.Text = ldatDiseaseOneRec.A_GRP_CD
						'病名分類ICD10ｂ
						lbl069MEN040F010.Text = ldatDiseaseOneRec.B_GRP_CD
						'病名分類ICD10ｃ
						lbl071MEN040F010.Text = ldatDiseaseOneRec.C_GRP_CD
						'死因分類
						lbl065MEN040F010.Text = ldatDiseaseOneRec.DEATH_GRP_CD
						'管理記号
						lbl091MEN040F010.Text = ldatDiseaseOneRec.MNG_DIV
						'管理番号
						lbl092MEN040F010.Text = ldatDiseaseOneRec.MNG_NO
						'がん登録状況
						If (cmb003MEN040F010.SelectedRowValue IsNot Nothing AndAlso cmb003MEN040F010.SelectedRowValue.Item(XSP.sqlComboCom.itmFIXED_CD).ToString = CStr(clsConst.Enum_Disease_Div_Fix1.MainDisease)) Then lChk = True
						lwkString = Chg_StateEnterCancer(ldatDiseaseOneRec.ICD10_CD, lChk)
						If Not String.IsNullOrEmpty(lwkString) Then
							cliCom.setComboValue(cmb108MEN040F010, lwkString)
						End If
					End If
				Case CONST_BTN008MEN000F010	'マスタより
					If Not TryCast(de.Value, ArrayList) Is Nothing Then
						setICD10ComboDataSource()
						If CType(de.Value, ArrayList).Count < clsMENCOMMON.CONST_XSP110_RETRUNCOUNT Then Exit Sub
						For Each ldatDiseaseOneRec In CType(de.Value, ArrayList).GetRange(clsMENCOMMON.CONST_XSP110_RETRUNCOUNT - 1, CType(de.Value, ArrayList).Count - (clsMENCOMMON.CONST_XSP110_RETRUNCOUNT - 1))
							AddNewRow(ldatDiseaseOneRec, lAddSeq)
						Next
						dspDataRow()
						' ソート処理を行う
						sortDatMtiDisease()
					End If
				Case CONST_MEN040F020		'過去より
					If Not TryCast(de.Value, ArrayList) Is Nothing Then
						For Each ldatMtiDiseasePlusOneRec In CType(de.Value, ArrayList)
							AddDiseaseOneRec(ldatMtiDiseasePlusOneRec, lAddSeq)
						Next
						dspDataRow()
						' ソート処理を行う
						sortDatMtiDisease()
					End If
				Case CONST_XSP230F010		'病名検索(ICD9)画面ID
					If Not TryCast(de.Value, ArrayList) Is Nothing Then
						If CType(de.Value, ArrayList).Count < clsMENCOMMON.CONST_XSP230_RETRUNCOUNT Then Exit Sub
						ldatDisease9OneRec = CType(de.Value, ArrayList)(1)
						'ＩＣＤ９コード
						cliCom.setComboValue(cmb015MEN040F010, ldatDisease9OneRec.DISEASE_CD)
						'病名
						If CType(de.Value, ArrayList)(0) = CStr(clsConst.Enum_OverWrite.OverWrite) Then
							txt016MEN040F010.Text = ldatDisease9OneRec.DISEASE_NM
						End If
						'ＩＣＤ９大分類コード
						lbl074MEN040F010.Text = ldatDisease9OneRec.GRP_CD1
						'ＩＣＤ９中分類コード
						lbl076MEN040F010.Text = ldatDisease9OneRec.GRP_CD2
					End If
				Case CONST_XSP190F010		'修飾語検索画面ID
					LoadModificationName()
					If String.IsNullOrEmpty(cmb015MEN040F010.Text) = False AndAlso String.IsNullOrEmpty(cmb013MEN040F010.Text) Then
						Exit Sub
					End If
					If Not TryCast(de.Value, ArrayList) Is Nothing Then
						For Each ldatDiseaseMdfrAddOneRec In CType(de.Value, ArrayList)
							If ldatDiseaseMdfrAddOneRec.CONNECT_POSITION_DIV = clsConst.Enum_MdfrInsItemJudg.Prefix Then
								lPrefixString = lPrefixString + ldatDiseaseMdfrAddOneRec.MDFR_NM
							Else
								lSuffixString = lSuffixString + ldatDiseaseMdfrAddOneRec.MDFR_NM
							End If
						Next
						txt016MEN040F010.Text = lPrefixString + txt016MEN040F010.Text + lSuffixString
					End If
				Case CONST_XSP120F010		'組織形態検索画面ID
					If Not TryCast(de.Value, ArrayList) Is Nothing Then
						ldatDiseaseFormAddOneRec = CType(de.Value, ArrayList)(0)
						'ＩＣＤＯ１
						pIcdoFormChFlg = True
						cliCom.setComboValue(cmb042MEN040F010, ldatDiseaseFormAddOneRec.FORM_CD)
						'ＩＣＤＯ１形態名
						If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00044) = CStr(Enum_Morphology.English) Then
							'形態名＝英語
							txt043MEN040F010.Text = ldatDiseaseFormAddOneRec.FORM_ENGLISHNM
						Else
							'形態名＝日本語
							txt043MEN040F010.Text = ldatDiseaseFormAddOneRec.FORM_NM
						End If
						'ＩＣＤＯ１２
						cliCom.setComboValue(cmb044MEN040F010, ldatDiseaseFormAddOneRec.FORM6_CD)
						'管理記号
						lbl094MEN040F010.Text = ldatDiseaseFormAddOneRec.MNG_DIV
						'管理番号
						lbl095MEN040F010.Text = ldatDiseaseFormAddOneRec.MNG_NO
					End If
				Case CONST_XSP130F010		'外因分類検索画面ID
					If Not TryCast(de.Value, ArrayList) Is Nothing Then
						ldatCauseGrpAddOneRec = CType(de.Value, ArrayList)(0)
						'外因分類コード
						cliCom.setComboValue(cmb049MEN040F010, ldatCauseGrpAddOneRec.CAUSE_GRP_CD)
						'外因分類名
						txt050MEN040F010.Text = ldatCauseGrpAddOneRec.CAUSE_GRP_NM
						'外因大分類コード
						lbl084MEN040F010.Text = ldatCauseGrpAddOneRec.CAUSE_L_GRP_CD
						'外因４桁細分類パターン
						pCause_4Grp_Ptn = ldatCauseGrpAddOneRec.CAUSE_4GRP_PTN
						'死因分類コード
						lbl087MEN040F010.Text = ldatCauseGrpAddOneRec.DEATH_GRP_CD
						'外因４桁目コード
						cliCom.setComboValue(cmb051MEN040F010, ldatCauseGrpAddOneRec.EXOGENOUS_4DIGS_CD)
					End If
				Case CONST_MEN040F030		'病名マスタ追加画面ID
					If Not TryCast(de.Value, datMTM_DISEASE_OneRec) Is Nothing Then
						setICD10ComboDataSource()
						ldatDiseaseOneRec = CType(de.Value, datMTM_DISEASE_OneRec)
						'ＩＣＤ10コード
						pIcd10ChFlg = True
						cliCom.setManyValueComboValue(cmb013MEN040F010, ldatDiseaseOneRec.ICD10_CD, ldatDiseaseOneRec.MNG_DIV, ldatDiseaseOneRec.MNG_NO)
						'院内病名コード
						lbl089MEN040F010.Text = ldatDiseaseOneRec.HSP_DISEASE_CD
						'病名
						If String.IsNullOrEmpty(txt016MEN040F010.Text) OrElse cmb022MEN000F040.SelectedValue = CStr(clsConst.Enum_OverWrite.OverWrite) Then
							txt016MEN040F010.Text = ldatDiseaseOneRec.DISEASE_NM
						End If
						'管理記号
						lbl091MEN040F010.Text = ldatDiseaseOneRec.MNG_DIV
						'管理番号
						lbl092MEN040F010.Text = ldatDiseaseOneRec.MNG_NO
					End If
				Case CST_SHOW_XSP080F010_ID
'(M) STR V4-13014-000 008 20130213 ID)平井(区分のマウススクロールによる変更抑止)
'					cmb003MEN040F010.Focus()
					setInitialFocus()
'(M) END V4-13014-000 008 20130213
					MyBase.rcvData(fret, de)
				Case Else
					MyBase.rcvData(fret, de)
			End Select
		Catch ex As Exception
			Throw
		Finally
			pIcd10ChFlg = False
			pIcdoFormChFlg = False
			ldatDiseaseOneRec = Nothing
			ldatDisease9OneRec = Nothing
			ldatDiseaseFormAddOneRec = Nothing
			ldatMtiDiseasePlusOneRec = Nothing
			ldatCauseGrpAddOneRec = Nothing
			ldatDiseaseMdfrAddOneRec = Nothing
			lwkString = Nothing
			lPrefixString = Nothing
			lSuffixString = Nothing
			lChk = Nothing
			lAddSeq = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Ｆ１キー押下処理
	''' </summary>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function F1KeyProc() As Boolean
		log(clsSysMst.logLevel.DBG, "F1KeyProc", "Ｆ１キー押下処理 Start")
		Try
			Select Case True
				Case Me.ExeMode = Enum_ExeMode.eReference
					' 処理モード＝「参照」の場合は処理しない
					Return MyBase.F1KeyProc()
				Case cmb013MEN040F010.Focused	'ICD10
					nextForm(New XSP.XSP110F010(CONST_CMB013MEN040F010, cmb022MEN000F040.SelectedValue, Me.BasicInfoRec.GENDER_CD, cmb013MEN040F010.Text))
					Return True
				Case cmb015MEN040F010.Focused	'ICD9
					If cmb015MEN040F010.CanInput = False Then Return True
					If String.IsNullOrEmpty(cmb013MEN040F010.Text) Then
						nextForm(New XSP.XSP230F010(CONST_XSP230F010, cmb015MEN040F010.Text))
					Else
						showMsg("E0012", "ICD10コードが入力", Nothing)
					End If
					Return True
				Case cmb042MEN040F010.Focused	'ICD0
					nextForm(New XSP.XSP120F010(CONST_XSP120F010, cmb042MEN040F010.Text))
					Return True
				Case cmb049MEN040F010.Focused	'外因分類
					nextForm(New XSP.XSP130F010(CONST_XSP130F010, cmb049MEN040F010.Text))
					Return True
				Case Else
					Return MyBase.F1KeyProc()
			End Select
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ＥＮＴＥＲキー押下処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function EnterProc() As Boolean
		log(clsSysMst.logLevel.DBG, "EnterProc", "ＥＮＴＥＲキー押下処理 Start")
		Try
			Select Case True
				Case dgv001MEN040F010.Focused
					selGridView()
'(M) STR V4-13014-000 008 20130213 ID)平井(区分のマウススクロールによる変更抑止)
'					cmb003MEN040F010.Focus()
					setInitialFocus()
'(M) END V4-13014-000 008 20130213
					Return True
				Case Else
					Return MyBase.EnterProc()
			End Select
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 画面終了後処理
	''' </summary>
	''' <param name="bCancel">キャンセルフラグ</param>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub ClosedProc(ByVal bCancel As Boolean)
		If bCancel Then
			Exit Sub
		End If
		Try
			' インスタンス開放
			If cliMEN010F060 IsNot Nothing Then cliMEN010F060.Dispose()
			If datCombo_MCause4Grp IsNot Nothing Then datCombo_MCause4Grp.Dispose()
			If datMtiDisease IsNot Nothing Then datMtiDisease.Dispose()
			If datMtmImpDisease IsNot Nothing Then datMtmImpDisease.Dispose()

			' 画面終了後処理
			MyBase.ClosedProc(bCancel)
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			LastValueCtl = Nothing
			_pSerialNo = Nothing
			cliMEN010F060 = Nothing
			cliMENCOMMON = Nothing
			cliGridStyle = Nothing
			cliCombo = Nothing
			cliCom = Nothing
			datCombo_MCause4Grp = Nothing
			datMtiDisease = Nothing
			datMtmImpDisease = Nothing
			pIcd10ChFlg = Nothing
			pIcdoFormChFlg = Nothing
			pGridSortFlg = Nothing
			pGridSortString = Nothing
			pCause_4Grp_Ptn = Nothing
			pNowSerialNo = Nothing
			pMdfrkey1 = Nothing
			pMdfrkey2 = Nothing
			pMdfrkey3 = Nothing
			pMdfrkey4 = Nothing
			pMdfrkey5 = Nothing
			pMdfrkey6 = Nothing
			pMdfrkey7 = Nothing
			pMdfrkey8 = Nothing
			pCHECKBOX_TRUE = Nothing
			pCHECKBOX_FALSE = Nothing
			pFirstSelectValue = Nothing
			pNowICD10_Text = Nothing
			pNowICD10_Index = Nothing
			pNowICDO_FORM_Text = Nothing
			pNowICDO_FORM_Index = Nothing
			pCnrRegStatusCdPlan = Nothing
			pCnrRegStatusCdFinish = Nothing
			pCnrRegStatusCdNotExtract = Nothing
		End Try
	End Sub

#End Region

End Class